/*===========================================================================*/
/*   (Jvm/instr.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


static obj_t BGl___ddivz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl___arraylengthz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__ixorz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl_zc3anonymousza33174ze3z83zzjvm_instrz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_instrz00();
static obj_t BGl___newz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl__iorz00zzjvm_instrz00(BgL_envz00_bglt);
static bool_t BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl___invokestaticz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl___getstaticz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl___aconst_nullz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___dremz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___store_namez00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_splitzd2stringzd2zzjvm_instrz00(obj_t, obj_t, long, obj_t);
static obj_t BGl___storez00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl__d2fz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__d2iz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__newarrayz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__iaddz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__d2lz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__dcmpgz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__instanceofz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__dcmplz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl__dsubz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___gotoz00zzjvm_instrz00(obj_t, obj_t, obj_t);
static obj_t BGl_pushz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl__if_icmpz00zzjvm_instrz00(obj_t, BgL_envz00_bglt, obj_t);
static obj_t BGl___swapz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___linez00zzjvm_instrz00(obj_t, obj_t, obj_t);
static bool_t BGl_envzd2newzd2labelz12z12zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_flatz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__inegz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__arraylengthz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__lxorz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___i2bz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___i2dz00zzjvm_instrz00(obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl__dup2z00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___ifz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl___i2lz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__aconst_nullz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__iandz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
static obj_t BGl___commentz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl___lushrz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__imulz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___ixorz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___putfieldz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl__laddz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__f2dz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___getstatic2z00zzjvm_instrz00(obj_t, obj_t, obj_t);
static obj_t BGl__createzd2stringzd2zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl__lorz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___popz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl__lnegz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___iaddz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___handlerz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__putfieldz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl___dsubz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl__aloadz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__loadz00zzjvm_instrz00(BgL_envz00_bglt, BgL_localz00_bglt);
static obj_t BGl_cnstzd2initzd2zzjvm_instrz00();
static obj_t BGl___inegz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__landz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_simplezd2typezd2zzjvm_instrz00(obj_t);
extern obj_t BGl__lmulz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___lxorz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t c_substring(obj_t, int, int);
static obj_t BGl___invokevirtualz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__newz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl___dup2z00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___iandz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__iushrz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl___dupz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_instrz00();
static obj_t BGl___imulz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__idivz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___if_icmpz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl___newarrayz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl_createzd2stringzd2zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__store_namez00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
static obj_t BGl___l2dz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___laddz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___l2iz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t current_output_port;
extern obj_t BGl__astorez00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__if_acmpz00zzjvm_instrz00(obj_t, BgL_envz00_bglt, obj_t);
extern long BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_cpopz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl___lnegz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__checkcastz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__load_namez00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl__switchz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl__iremz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl__lcmpz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__storez00zzjvm_instrz00(BgL_envz00_bglt, BgL_localz00_bglt);
extern obj_t BGl__i2bz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__i2dz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl_toplevelzd2initzd2zzjvm_instrz00();
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl___loadz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl__i2lz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl___landz00zzjvm_instrz00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl__returnz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl__athrowz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___lmulz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___invokeinterfacez00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2lastzd2lineza2zd2zzjvm_instrz00 = BUNSPEC;
extern obj_t BGl__ldivz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__putstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__daddz00zzjvm_instrz00(BgL_envz00_bglt);
extern long bgl_list_length(obj_t);
static obj_t BGl___localvarz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__ifz00zzjvm_instrz00(obj_t, BgL_envz00_bglt, obj_t);
extern obj_t BGl__ishlz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__ishrz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___idivz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__getstatic2z00zzjvm_instrz00(BgL_envz00_bglt, BgL_globalz00_bglt);
extern obj_t BGl__dnegz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___labelz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl__lushrz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__popz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t bgl_reverse(obj_t);
extern obj_t BGl__lremz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___iremz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__dmulz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___invokespecial_initz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__simplezd2typezd2zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__invokespecial_initz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl___lcmpz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl__isubz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___push3754z00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__dupz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__lshlz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___invokespecialz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__getfieldz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
static obj_t BGl___if_acmpz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__lshrz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___dcmpgz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___ldivz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___dcmplz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___daddz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___iorz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__l2dz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__l2iz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___ishlz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__getstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl___ishrz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___checkcastz00zzjvm_instrz00(obj_t, obj_t, obj_t);
static obj_t BGl___load_namez00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl___dnegz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___lremz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl___d2fz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___d2iz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___instanceofz00zzjvm_instrz00(obj_t, obj_t, obj_t);
static obj_t BGl___d2lz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl_za2simplezd2pushzd2instructionsza2z00zzjvm_instrz00 = BUNSPEC;
static obj_t BGl___getfieldz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__pushz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl__lsubz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___dmulz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___putstaticz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_bglt, BgL_globalz00_bglt);
extern obj_t BGl__ddivz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl___isubz00zzjvm_instrz00(obj_t, obj_t);
extern bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl___lshlz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___lshrz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___astorez00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl__dremz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_instrz00 = BUNSPEC;
extern obj_t BGl__commentz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
static obj_t BGl___aloadz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl___switchz00zzjvm_instrz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__gotoz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl___f2dz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__swapz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__localvarz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_popz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl__linez00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl___lorz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_instrz00();
extern obj_t BGl__labelz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl___iushrz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___lsubz00zzjvm_instrz00(obj_t, obj_t);
static obj_t BGl___returnz00zzjvm_instrz00(obj_t, obj_t, obj_t);
extern obj_t BGl__invokeinterfacez00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl___athrowz00zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__handlerz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 165 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_createzd2stringzd2envz00zzjvm_instrz00, BgL_bgl__createza7d2stringza7d2za7za7jvm_instrza7003772za7, BGl__createzd2stringzd2zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__iandzd2envzd2zzjvm_instrz00, BgL_bgl___iandza700za7za7jvm_instrza7003773z00, BGl___iandz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__ishlzd2envzd2zzjvm_instrz00, BgL_bgl___ishlza700za7za7jvm_instrza7003774z00, BGl___ishlz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__load_namezd2envzd2zzjvm_instrz00, BgL_bgl___load_nameza700za7za7jvm_instrza7003775z00, BGl___load_namez00zzjvm_instrz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl__daddzd2envzd2zzjvm_instrz00, BgL_bgl___daddza700za7za7jvm_instrza7003776z00, BGl___daddz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__l2izd2envzd2zzjvm_instrz00, BgL_bgl___l2iza700za7za7jvm_instrza7003777z00, BGl___l2iz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__getfieldzd2envzd2zzjvm_instrz00, BgL_bgl___getfieldza700za7za7jvm_instrza7003778z00, BGl___getfieldz00zzjvm_instrz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl__i2dzd2envzd2zzjvm_instrz00, BgL_bgl___i2dza700za7za7jvm_instrza7003779z00, BGl___i2dz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__ixorzd2envzd2zzjvm_instrz00, BgL_bgl___ixorza700za7za7jvm_instrza7003780z00, BGl___ixorz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__lushrzd2envzd2zzjvm_instrz00, BgL_bgl___lushrza700za7za7jvm_instrza7003781z00, BGl___lushrz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__lremzd2envzd2zzjvm_instrz00, BgL_bgl___lremza700za7za7jvm_instrza7003782z00, BGl___lremz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__if_acmpzd2envzd2zzjvm_instrz00, BgL_bgl___if_acmpza700za7za7jvm_instrza7003783z00, BGl___if_acmpz00zzjvm_instrz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl__inegzd2envzd2zzjvm_instrz00, BgL_bgl___inegza700za7za7jvm_instrza7003784z00, BGl___inegz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__lshrzd2envzd2zzjvm_instrz00, BgL_bgl___lshrza700za7za7jvm_instrza7003785z00, BGl___lshrz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__newarrayzd2envzd2zzjvm_instrz00, BgL_bgl___newarrayza700za7za7jvm_instrza7003786z00, BGl___newarrayz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__f2dzd2envzd2zzjvm_instrz00, BgL_bgl___f2dza700za7za7jvm_instrza7003787z00, BGl___f2dz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__ifzd2envzd2zzjvm_instrz00, BgL_bgl___ifza700za7za7jvm_instrza7003788z00, BGl___ifz00zzjvm_instrz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_simplezd2typezd2envz00zzjvm_instrz00, BgL_bgl__simpleza7d2typeza7d2za7za7jvm_instrza7003789za7, BGl__simplezd2typezd2zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__dremzd2envzd2zzjvm_instrz00, BgL_bgl___dremza700za7za7jvm_instrza7003790z00, BGl___dremz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__aloadzd2envzd2zzjvm_instrz00, BgL_bgl___aloadza700za7za7jvm_instrza7003791z00, BGl___aloadz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__if_icmpzd2envzd2zzjvm_instrz00, BgL_bgl___if_icmpza700za7za7jvm_instrza7003792z00, BGl___if_icmpz00zzjvm_instrz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl__d2izd2envzd2zzjvm_instrz00, BgL_bgl___d2iza700za7za7jvm_instrza7003793z00, BGl___d2iz00zzjvm_instrz00, 0L, 1 );
DEFINE_REAL( BGl_real3758z00zzjvm_instrz00, BgL_bgl_real3758za700za7za7jvm_instrza7003794z00, 0.0 );
DEFINE_REAL( BGl_real3760z00zzjvm_instrz00, BgL_bgl_real3760za700za7za7jvm_instrza7003795z00, 2.0 );
DEFINE_REAL( BGl_real3759z00zzjvm_instrz00, BgL_bgl_real3759za700za7za7jvm_instrza7003796z00, 1.0 );
DEFINE_REAL( BGl_real3764z00zzjvm_instrz00, BgL_bgl_real3764za700za7za7jvm_instrza7003797z00, 0.75 );
DEFINE_EXPORT_PROCEDURE( BGl__putstaticzd2envzd2zzjvm_instrz00, BgL_bgl___putstaticza700za7za7jvm_instrza7003798z00, BGl___putstaticz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__lsubzd2envzd2zzjvm_instrz00, BgL_bgl___lsubza700za7za7jvm_instrza7003799z00, BGl___lsubz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__dcmplzd2envzd2zzjvm_instrz00, BgL_bgl___dcmplza700za7za7jvm_instrza7003800z00, BGl___dcmplz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__i2bzd2envzd2zzjvm_instrz00, BgL_bgl___i2bza700za7za7jvm_instrza7003801z00, BGl___i2bz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__athrowzd2envzd2zzjvm_instrz00, BgL_bgl___athrowza700za7za7jvm_instrza7003802z00, BGl___athrowz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__dsubzd2envzd2zzjvm_instrz00, BgL_bgl___dsubza700za7za7jvm_instrza7003803z00, BGl___dsubz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__dcmpgzd2envzd2zzjvm_instrz00, BgL_bgl___dcmpgza700za7za7jvm_instrza7003804z00, BGl___dcmpgz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__lorzd2envzd2zzjvm_instrz00, BgL_bgl___lorza700za7za7jvm_instrza7003805z00, BGl___lorz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__localvarzd2envzd2zzjvm_instrz00, BgL_bgl___localvarza700za7za7jvm_instrza7003806z00, BGl___localvarz00zzjvm_instrz00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl__i2lzd2envzd2zzjvm_instrz00, BgL_bgl___i2lza700za7za7jvm_instrza7003807z00, BGl___i2lz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__invokevirtualzd2envzd2zzjvm_instrz00, BgL_bgl___invokevirtualza700za7za7jvm_instrza7003808z00, BGl___invokevirtualz00zzjvm_instrz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl__iorzd2envzd2zzjvm_instrz00, BgL_bgl___iorza700za7za7jvm_instrza7003809z00, BGl___iorz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__getstatic2zd2envzd2zzjvm_instrz00, BgL_bgl___getstatic2za700za7za7jvm_instrza7003810z00, BGl___getstatic2z00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__dup2zd2envzd2zzjvm_instrz00, BgL_bgl___dup2za700za7za7jvm_instrza7003811z00, BGl___dup2z00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__lmulzd2envzd2zzjvm_instrz00, BgL_bgl___lmulza700za7za7jvm_instrza7003812z00, BGl___lmulz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__d2lzd2envzd2zzjvm_instrz00, BgL_bgl___d2lza700za7za7jvm_instrza7003813z00, BGl___d2lz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__iaddzd2envzd2zzjvm_instrz00, BgL_bgl___iaddza700za7za7jvm_instrza7003814z00, BGl___iaddz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__handlerzd2envzd2zzjvm_instrz00, BgL_bgl___handlerza700za7za7jvm_instrza7003815z00, BGl___handlerz00zzjvm_instrz00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl__popzd2envzd2zzjvm_instrz00, BgL_bgl___popza700za7za7jvm_instrza7003816z00, BGl___popz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__dmulzd2envzd2zzjvm_instrz00, BgL_bgl___dmulza700za7za7jvm_instrza7003817z00, BGl___dmulz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__checkcastzd2envzd2zzjvm_instrz00, BgL_bgl___checkcastza700za7za7jvm_instrza7003818z00, BGl___checkcastz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__instanceofzd2envzd2zzjvm_instrz00, BgL_bgl___instanceofza700za7za7jvm_instrza7003819z00, BGl___instanceofz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__commentzd2envzd2zzjvm_instrz00, BgL_bgl___commentza700za7za7jvm_instrza7003820z00, BGl___commentz00zzjvm_instrz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl__iremzd2envzd2zzjvm_instrz00, BgL_bgl___iremza700za7za7jvm_instrza7003821z00, BGl___iremz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__ishrzd2envzd2zzjvm_instrz00, BgL_bgl___ishrza700za7za7jvm_instrza7003822z00, BGl___ishrz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__getstaticzd2envzd2zzjvm_instrz00, BgL_bgl___getstaticza700za7za7jvm_instrza7003823z00, BGl___getstaticz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__iushrzd2envzd2zzjvm_instrz00, BgL_bgl___iushrza700za7za7jvm_instrza7003824z00, BGl___iushrz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__putfieldzd2envzd2zzjvm_instrz00, BgL_bgl___putfieldza700za7za7jvm_instrza7003825z00, BGl___putfieldz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__gotozd2envzd2zzjvm_instrz00, BgL_bgl___gotoza700za7za7jvm_instrza7003826z00, BGl___gotoz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__dupzd2envzd2zzjvm_instrz00, BgL_bgl___dupza700za7za7jvm_instrza7003827z00, BGl___dupz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__astorezd2envzd2zzjvm_instrz00, BgL_bgl___astoreza700za7za7jvm_instrza7003828z00, BGl___astorez00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__ldivzd2envzd2zzjvm_instrz00, BgL_bgl___ldivza700za7za7jvm_instrza7003829z00, BGl___ldivz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__isubzd2envzd2zzjvm_instrz00, BgL_bgl___isubza700za7za7jvm_instrza7003830z00, BGl___isubz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__labelzd2envzd2zzjvm_instrz00, BgL_bgl___labelza700za7za7jvm_instrza7003831z00, BGl___labelz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__store_namezd2envzd2zzjvm_instrz00, BgL_bgl___store_nameza700za7za7jvm_instrza7003832z00, BGl___store_namez00zzjvm_instrz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl__newzd2envzd2zzjvm_instrz00, BgL_bgl___newza700za7za7jvm_instrza7003833z00, BGl___newz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__swapzd2envzd2zzjvm_instrz00, BgL_bgl___swapza700za7za7jvm_instrza7003834z00, BGl___swapz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__landzd2envzd2zzjvm_instrz00, BgL_bgl___landza700za7za7jvm_instrza7003835z00, BGl___landz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__lshlzd2envzd2zzjvm_instrz00, BgL_bgl___lshlza700za7za7jvm_instrza7003836z00, BGl___lshlz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__ddivzd2envzd2zzjvm_instrz00, BgL_bgl___ddivza700za7za7jvm_instrza7003837z00, BGl___ddivz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__lxorzd2envzd2zzjvm_instrz00, BgL_bgl___lxorza700za7za7jvm_instrza7003838z00, BGl___lxorz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__lnegzd2envzd2zzjvm_instrz00, BgL_bgl___lnegza700za7za7jvm_instrza7003839z00, BGl___lnegz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__invokestaticzd2envzd2zzjvm_instrz00, BgL_bgl___invokestaticza700za7za7jvm_instrza7003840z00, BGl___invokestaticz00zzjvm_instrz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl__invokespecial_initzd2envzd2zzjvm_instrz00, BgL_bgl___invokespecial_initza700za7za7jvm_instrza7003841z00, BGl___invokespecial_initz00zzjvm_instrz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl__dnegzd2envzd2zzjvm_instrz00, BgL_bgl___dnegza700za7za7jvm_instrza7003842z00, BGl___dnegz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__imulzd2envzd2zzjvm_instrz00, BgL_bgl___imulza700za7za7jvm_instrza7003843z00, BGl___imulz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__pushzd2envzd2zzjvm_instrz00, BgL_bgl___push3754za700za7za7jvm_instrza7003844z00, BGl___push3754z00zzjvm_instrz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl__invokeinterfacezd2envzd2zzjvm_instrz00, BgL_bgl___invokeinterfaceza700za7za7jvm_instrza7003845z00, BGl___invokeinterfacez00zzjvm_instrz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl__arraylengthzd2envzd2zzjvm_instrz00, BgL_bgl___arraylengthza700za7za7jvm_instrza7003846z00, BGl___arraylengthz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__loadzd2envzd2zzjvm_instrz00, BgL_bgl___loadza700za7za7jvm_instrza7003847z00, BGl___loadz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__switchzd2envzd2zzjvm_instrz00, BgL_bgl___switchza700za7za7jvm_instrza7003848z00, BGl___switchz00zzjvm_instrz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl__storezd2envzd2zzjvm_instrz00, BgL_bgl___storeza700za7za7jvm_instrza7003849z00, BGl___storez00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__returnzd2envzd2zzjvm_instrz00, BgL_bgl___returnza700za7za7jvm_instrza7003850z00, BGl___returnz00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__lcmpzd2envzd2zzjvm_instrz00, BgL_bgl___lcmpza700za7za7jvm_instrza7003851z00, BGl___lcmpz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__aconst_nullzd2envzd2zzjvm_instrz00, BgL_bgl___aconst_nullza700za7za7jvm_instrza7003852z00, BGl___aconst_nullz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__invokespecialzd2envzd2zzjvm_instrz00, BgL_bgl___invokespecialza700za7za7jvm_instrza7003853z00, BGl___invokespecialz00zzjvm_instrz00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_proc3763z00zzjvm_instrz00, BgL_bgl_za7c3anonymousza7a33174za7e3za783za7za7jvm_instrza7003854za7, BGl_zc3anonymousza33174ze3z83zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__linezd2envzd2zzjvm_instrz00, BgL_bgl___lineza700za7za7jvm_instrza7003855z00, BGl___linez00zzjvm_instrz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl__d2fzd2envzd2zzjvm_instrz00, BgL_bgl___d2fza700za7za7jvm_instrza7003856z00, BGl___d2fz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__laddzd2envzd2zzjvm_instrz00, BgL_bgl___laddza700za7za7jvm_instrza7003857z00, BGl___laddz00zzjvm_instrz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl__idivzd2envzd2zzjvm_instrz00, BgL_bgl___idivza700za7za7jvm_instrza7003858z00, BGl___idivz00zzjvm_instrz00, 0L, 1 );
DEFINE_STRING( BGl_string3767z00zzjvm_instrz00, BgL_bgl_string3767za700za7za7jvm_instrza7003859z00, "(ad ad) concat (ad) getbytes line comment handler (athrow) (areturn) (dreturn) (freturn) (lreturn) (ireturn) invokeinterface invokevirtual localvar dup invokespecial invokestatic (arraylength) (aastore) (dastore) (fastore) (lastore) (iastore) (sastore) (castore) (bastore) (aaload) (daload) (faload) (laload) (iaload) (saload) short (caload) char (baload) (boolean byte) anewarray newarray (boolean byte char short int long float double) putfield getfield checkcast (void boolean byte char short int long float double jobject) instanceof new tableswitch lookupswitch if_acmp if_acmpne if_acmpeq if_icmp if_icmplt if_icmpgt if_icmple if_icmpge if_icmpne if_icmpeq if iflt lt ifgt gt ifle le ifge ge ifne ne ifeq eq (f2d) (d2f) (d2l) (d2i) (l2d) (l2i) (i2d) (i2b) (i2l) (dcmpl) (dcmpg) (lcmp) (dneg) (drem) (ddiv) (dmul) (dsub) (dadd) (lushr) (lshr) (lshl) (lxor) (land) (lor) (lneg) (lrem) (ldiv) (lmul) (lsub) (ladd) (iushr) (ishr) (ishl) (ixor) (iand) (ior) (ineg) (irem) (idiv) (imul) (isub) (iadd) putstatic getstatic ast"
"ore dstore fstore lstore istore aload dload fload lload iload (pop) (pop2) ok (swap) (dup2) (dup) _push string (dconst_1) (dconst_0) (fconst_2) (fconst_1) (fconst_0) ldc2_w (lconst_1) (lconst_0) (iconst_5) (iconst_4) (iconst_3) (iconst_2) (iconst_1) (iconst_0) (iconst_m1) ldc sipush bipush (booolean byte char short int) (aconst_null) goto ad double float long int (boolean byte char short int) unknown void (iconst_m1 iconst_0 iconst_1 iconst_2 iconst_3 iconst_4 iconst_5 bipush sipush ldc lconst_0 lconst_1 ldc2_w fconst_0 fconst_1 fconst_2 dconst_0 dconst_1 ldc2_w aconst_null aload iload lload dload fload getstatic) ", 1646 );
DEFINE_STRING( BGl_string3766z00zzjvm_instrz00, BgL_bgl_string3766za700za7za7jvm_instrza7003860z00, "type ", 5 );
DEFINE_STRING( BGl_string3765z00zzjvm_instrz00, BgL_bgl_string3765za700za7za7jvm_instrza7003861z00, "fail to reach the new instruction for <init> ", 45 );
DEFINE_STRING( BGl_string3762z00zzjvm_instrz00, BgL_bgl_string3762za700za7za7jvm_instrza7003862z00, "unknown operation", 17 );
DEFINE_STRING( BGl_string3761z00zzjvm_instrz00, BgL_bgl_string3761za700za7za7jvm_instrza7003863z00, "bad type", 8 );
DEFINE_EXPORT_PROCEDURE( BGl__l2dzd2envzd2zzjvm_instrz00, BgL_bgl___l2dza700za7za7jvm_instrza7003864z00, BGl___l2dz00zzjvm_instrz00, 0L, 1 );
DEFINE_STRING( BGl_string3757z00zzjvm_instrz00, BgL_bgl_string3757za700za7za7jvm_instrza7003865z00, "unexpected type in stack", 24 );
DEFINE_STRING( BGl_string3756z00zzjvm_instrz00, BgL_bgl_string3756za700za7za7jvm_instrza7003866z00, "is empty", 8 );
DEFINE_STRING( BGl_string3755z00zzjvm_instrz00, BgL_bgl_string3755za700za7za7jvm_instrza7003867z00, "stack", 5 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long BgL_checksumz00_4664, char * BgL_fromz00_4665)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_instrz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_instrz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_instrz00(); 
BGl_cnstzd2initzd2zzjvm_instrz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_instrz00(); 
BGl_toplevelzd2initzd2zzjvm_instrz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_instrz00()
{ AN_OBJECT;
{ /* Jvm/instr.scm 2 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)0), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "jvm_instr"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_instrz00()
{ AN_OBJECT;
{ /* Jvm/instr.scm 2 */
{ /* Jvm/instr.scm 2 */
obj_t BgL_cportz00_4657;
BgL_cportz00_4657 = 
open_input_string(BGl_string3767z00zzjvm_instrz00); 
{ 
long BgL_iz00_4658;
BgL_iz00_4658 = ((long)164); 
BgL_loopz00_4659:
if(
(BgL_iz00_4658==((long)-1)))
{ /* Jvm/instr.scm 2 */
return BUNSPEC;}  else 
{ /* Jvm/instr.scm 2 */
{ /* Jvm/instr.scm 2 */
obj_t BgL_arg3769z00_4661;
{ /* Jvm/instr.scm 2 */
obj_t BgL_list3770z00_4662;
BgL_list3770z00_4662 = 
MAKE_PAIR(BgL_cportz00_4657, BNIL); 
BgL_arg3769z00_4661 = 
BGl_readz00zz__readerz00(BgL_list3770z00_4662); } 
{ /* Jvm/instr.scm 2 */
int BgL_auxz00_4686;
BgL_auxz00_4686 = 
(int)(BgL_iz00_4658); 
CNST_TABLE_SET(BgL_auxz00_4686, BgL_arg3769z00_4661); } } 
{ 
long BgL_iz00_4689;
{ /* Jvm/instr.scm 2 */
int BgL_auxz00_4690;
{ /* Jvm/instr.scm 2 */
long BgL_auxz00_4691;
BgL_auxz00_4691 = 
(BgL_iz00_4658-((long)1)); 
BgL_auxz00_4690 = 
(int)(BgL_auxz00_4691); } 
BgL_iz00_4689 = 
(long)(BgL_auxz00_4690); } 
BgL_iz00_4658 = BgL_iz00_4689; 
goto BgL_loopz00_4659;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_instrz00()
{ AN_OBJECT;
{ /* Jvm/instr.scm 2 */
BGl_za2simplezd2pushzd2instructionsza2z00zzjvm_instrz00 = 
CNST_TABLE_REF(((long)0)); 
return ( 
BGl_za2lastzd2lineza2zd2zzjvm_instrz00 = 
BINT(((long)-1)), BUNSPEC) ;} 
}



/* push */
obj_t BGl_pushz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_1, obj_t BgL_typez00_2)
{ AN_OBJECT;
{ /* Jvm/instr.scm 94 */
{ /* Jvm/instr.scm 95 */
bool_t BgL_testz00_4697;
{ /* Jvm/instr.scm 95 */
obj_t BgL_auxz00_4698;
BgL_auxz00_4698 = 
CNST_TABLE_REF(((long)1)); 
BgL_testz00_4697 = 
(BgL_typez00_2==BgL_auxz00_4698); } 
if(BgL_testz00_4697)
{ /* Jvm/instr.scm 95 */
return BFALSE;}  else 
{ /* Jvm/instr.scm 96 */
obj_t BgL_arg2985z00_1636;
{ /* Jvm/instr.scm 96 */
obj_t BgL_auxz00_4701;
BgL_auxz00_4701 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_1))->BgL_stackz00); 
BgL_arg2985z00_1636 = 
MAKE_PAIR(BgL_typez00_2, BgL_auxz00_4701); } 
return 
((((BgL_envz00_bglt)CREF(BgL_envz00_1))->BgL_stackz00) = ((obj_t)BgL_arg2985z00_1636), BUNSPEC);} } } 
}



/* pop */
obj_t BGl_popz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_3)
{ AN_OBJECT;
{ /* Jvm/instr.scm 98 */
{ /* Jvm/instr.scm 99 */
obj_t BgL_lz00_1638;
BgL_lz00_1638 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_3))->BgL_stackz00); 
if(
NULLP(BgL_lz00_1638))
{ /* Jvm/instr.scm 100 */
BGl_ppz00zz__ppz00(
bgl_reverse(
(((BgL_envz00_bglt)CREF(BgL_envz00_3))->BgL_codez00)), BNIL); 
{ 
obj_t BgL_auxz00_4711;
BgL_auxz00_4711 = 
bgl_reverse(
(((BgL_envz00_bglt)CREF(BgL_envz00_3))->BgL_codez00)); 
FAILURE(BGl_string3755z00zzjvm_instrz00,BGl_string3756z00zzjvm_instrz00,BgL_auxz00_4711);} }  else 
{ /* Jvm/instr.scm 100 */BFALSE; } 
{ /* Jvm/instr.scm 104 */
obj_t BgL_arg2995z00_1647;
BgL_arg2995z00_1647 = 
CDR(BgL_lz00_1638); 
((((BgL_envz00_bglt)CREF(BgL_envz00_3))->BgL_stackz00) = ((obj_t)BgL_arg2995z00_1647), BUNSPEC); } 
return 
CAR(BgL_lz00_1638);} } 
}



/* cpop */
obj_t BGl_cpopz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_4, obj_t BgL_tyz00_5)
{ AN_OBJECT;
{ /* Jvm/instr.scm 107 */
{ /* Jvm/instr.scm 108 */
obj_t BgL_rtyz00_1648;
BgL_rtyz00_1648 = 
BGl_popz00zzjvm_instrz00(BgL_envz00_4); 
{ /* Jvm/instr.scm 109 */
bool_t BgL_testz00_4719;
if(
(BgL_tyz00_5==BgL_rtyz00_1648))
{ /* Jvm/instr.scm 109 */
BgL_testz00_4719 = ((bool_t)1)
; }  else 
{ /* Jvm/instr.scm 109 */
obj_t BgL_auxz00_4722;
BgL_auxz00_4722 = 
CNST_TABLE_REF(((long)2)); 
BgL_testz00_4719 = 
(BgL_rtyz00_1648==BgL_auxz00_4722); } 
if(BgL_testz00_4719)
{ /* Jvm/instr.scm 109 */
return BgL_tyz00_5;}  else 
{ /* Jvm/instr.scm 109 */
BGl_ppz00zz__ppz00(
bgl_reverse(
(((BgL_envz00_bglt)CREF(BgL_envz00_4))->BgL_codez00)), BNIL); 
{ /* Jvm/instr.scm 113 */
obj_t BgL_arg3002z00_1655;
{ /* Jvm/instr.scm 114 */
obj_t BgL_arg3003z00_1656;
{ /* Jvm/instr.scm 114 */
obj_t BgL_auxz00_4728;
BgL_auxz00_4728 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_4))->BgL_stackz00); 
BgL_arg3003z00_1656 = 
MAKE_PAIR(BgL_rtyz00_1648, BgL_auxz00_4728); } 
{ /* Jvm/instr.scm 114 */
obj_t BgL_list3004z00_1657;
{ /* Jvm/instr.scm 114 */
obj_t BgL_arg3005z00_1658;
BgL_arg3005z00_1658 = 
MAKE_PAIR(BgL_arg3003z00_1656, BNIL); 
BgL_list3004z00_1657 = 
MAKE_PAIR(BgL_tyz00_5, BgL_arg3005z00_1658); } 
BgL_arg3002z00_1655 = BgL_list3004z00_1657; } } 
FAILURE(BGl_string3755z00zzjvm_instrz00,BGl_string3757z00zzjvm_instrz00,BgL_arg3002z00_1655);} } } } } 
}



/* simple-type */
obj_t BGl_simplezd2typezd2zzjvm_instrz00(obj_t BgL_typez00_6)
{ AN_OBJECT;
{ /* Jvm/instr.scm 116 */
{ /* Jvm/instr.scm 117 */
bool_t BgL_testz00_4734;
{ /* Jvm/instr.scm 117 */
obj_t BgL_auxz00_4735;
BgL_auxz00_4735 = 
CNST_TABLE_REF(((long)1)); 
BgL_testz00_4734 = 
(BgL_typez00_6==BgL_auxz00_4735); } 
if(BgL_testz00_4734)
{ /* Jvm/instr.scm 117 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Jvm/instr.scm 117 */
bool_t BgL_testz00_4739;
{ /* Jvm/instr.scm 117 */
obj_t BgL_auxz00_4740;
BgL_auxz00_4740 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_6, 
CNST_TABLE_REF(((long)3))); 
BgL_testz00_4739 = 
CBOOL(BgL_auxz00_4740); } 
if(BgL_testz00_4739)
{ /* Jvm/instr.scm 117 */
return 
CNST_TABLE_REF(((long)4));}  else 
{ /* Jvm/instr.scm 117 */
bool_t BgL_testz00_4745;
{ /* Jvm/instr.scm 117 */
obj_t BgL_auxz00_4746;
BgL_auxz00_4746 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_4745 = 
(BgL_typez00_6==BgL_auxz00_4746); } 
if(BgL_testz00_4745)
{ /* Jvm/instr.scm 117 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Jvm/instr.scm 117 */
bool_t BgL_testz00_4750;
{ /* Jvm/instr.scm 117 */
obj_t BgL_auxz00_4751;
BgL_auxz00_4751 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_4750 = 
(BgL_typez00_6==BgL_auxz00_4751); } 
if(BgL_testz00_4750)
{ /* Jvm/instr.scm 117 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* Jvm/instr.scm 117 */
bool_t BgL_testz00_4755;
{ /* Jvm/instr.scm 117 */
obj_t BgL_auxz00_4756;
BgL_auxz00_4756 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_4755 = 
(BgL_typez00_6==BgL_auxz00_4756); } 
if(BgL_testz00_4755)
{ /* Jvm/instr.scm 117 */
return 
CNST_TABLE_REF(((long)7));}  else 
{ /* Jvm/instr.scm 117 */
return 
CNST_TABLE_REF(((long)8));} } } } } } } 
}



/* _simple-type */
obj_t BGl__simplezd2typezd2zzjvm_instrz00(obj_t BgL_envz00_4427, obj_t BgL_typez00_4428)
{ AN_OBJECT;
{ /* Jvm/instr.scm 116 */
return 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_typez00_4428);} 
}



/* env-code! */
bool_t BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_7, obj_t BgL_insz00_8)
{ AN_OBJECT;
{ /* Jvm/instr.scm 125 */
{ /* Jvm/instr.scm 126 */
obj_t BgL_arg3013z00_2954;
{ /* Jvm/instr.scm 126 */
obj_t BgL_auxz00_4762;
BgL_auxz00_4762 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_7))->BgL_codez00); 
BgL_arg3013z00_2954 = 
MAKE_PAIR(BgL_insz00_8, BgL_auxz00_4762); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_7))->BgL_codez00) = ((obj_t)BgL_arg3013z00_2954), BUNSPEC); } 
return ((bool_t)1);} 
}



/* env-new-label! */
bool_t BGl_envzd2newzd2labelz12z12zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_9, obj_t BgL_labelz00_10)
{ AN_OBJECT;
{ /* Jvm/instr.scm 130 */
{ /* Jvm/instr.scm 132 */
obj_t BgL_ezd2102zd2_1674;
BgL_ezd2102zd2_1674 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_9))->BgL_codez00); 
if(
PAIRP(BgL_ezd2102zd2_1674))
{ /* Jvm/instr.scm 132 */
obj_t BgL_carzd2107zd2_1676;
BgL_carzd2107zd2_1676 = 
CAR(BgL_ezd2102zd2_1674); 
if(
PAIRP(BgL_carzd2107zd2_1676))
{ /* Jvm/instr.scm 132 */
obj_t BgL_cdrzd2111zd2_1678;
BgL_cdrzd2111zd2_1678 = 
CDR(BgL_carzd2107zd2_1676); 
{ /* Jvm/instr.scm 132 */
bool_t BgL_testz00_4773;
{ /* Jvm/instr.scm 132 */
obj_t BgL_auxz00_4776;obj_t BgL_auxz00_4774;
BgL_auxz00_4776 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_4774 = 
CAR(BgL_carzd2107zd2_1676); 
BgL_testz00_4773 = 
(BgL_auxz00_4774==BgL_auxz00_4776); } 
if(BgL_testz00_4773)
{ /* Jvm/instr.scm 132 */
if(
PAIRP(BgL_cdrzd2111zd2_1678))
{ /* Jvm/instr.scm 132 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2111zd2_1678), BNIL))
{ /* Jvm/instr.scm 132 */
obj_t BgL_arg3021z00_1683;
BgL_arg3021z00_1683 = 
CDR(BgL_ezd2102zd2_1674); 
{ /* Jvm/instr.scm 132 */
bool_t BgL_testz00_4785;
{ /* Jvm/instr.scm 132 */
obj_t BgL_auxz00_4786;
BgL_auxz00_4786 = 
CAR(BgL_cdrzd2111zd2_1678); 
BgL_testz00_4785 = 
(BgL_auxz00_4786==BgL_labelz00_10); } 
if(BgL_testz00_4785)
{ /* Jvm/instr.scm 132 */
((((BgL_envz00_bglt)CREF(BgL_envz00_9))->BgL_codez00) = ((obj_t)BgL_arg3021z00_1683), BUNSPEC); }  else 
{ /* Jvm/instr.scm 132 */BFALSE; } } }  else 
{ /* Jvm/instr.scm 132 */BFALSE; } }  else 
{ /* Jvm/instr.scm 132 */BFALSE; } }  else 
{ /* Jvm/instr.scm 132 */BFALSE; } } }  else 
{ /* Jvm/instr.scm 132 */BFALSE; } }  else 
{ /* Jvm/instr.scm 132 */BFALSE; } } 
{ /* Jvm/instr.scm 136 */
obj_t BgL_arg3027z00_1689;
{ /* Jvm/instr.scm 136 */
obj_t BgL_auxz00_4790;
BgL_auxz00_4790 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_9))->BgL_codez00); 
BgL_arg3027z00_1689 = 
MAKE_PAIR(BgL_labelz00_10, BgL_auxz00_4790); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_9))->BgL_codez00) = ((obj_t)BgL_arg3027z00_1689), BUNSPEC); } 
return ((bool_t)1);} 
}



/* _aconst_null */
obj_t BGl__aconst_nullz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_11)
{ AN_OBJECT;
{ /* Jvm/instr.scm 140 */
{ /* Jvm/instr.scm 141 */
obj_t BgL_arg3013z00_2983;
{ /* Jvm/instr.scm 141 */
obj_t BgL_auxz00_4796;obj_t BgL_auxz00_4794;
BgL_auxz00_4796 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_11))->BgL_codez00); 
BgL_auxz00_4794 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg3013z00_2983 = 
MAKE_PAIR(BgL_auxz00_4794, BgL_auxz00_4796); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_11))->BgL_codez00) = ((obj_t)BgL_arg3013z00_2983), BUNSPEC); } ((bool_t)1); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_11, 
CNST_TABLE_REF(((long)8)));} 
}



/* __aconst_null */
obj_t BGl___aconst_nullz00zzjvm_instrz00(obj_t BgL_envz00_4429, obj_t BgL_envz00_4430)
{ AN_OBJECT;
{ /* Jvm/instr.scm 140 */
return 
BGl__aconst_nullz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4430));} 
}



/* _push */
obj_t BGl__pushz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_12, obj_t BgL_typez00_13, obj_t BgL_nz00_14)
{ AN_OBJECT;
{ /* Jvm/instr.scm 144 */
{ /* Jvm/instr.scm 146 */
obj_t BgL_arg3029z00_1691;
{ /* Jvm/instr.scm 146 */
bool_t BgL_testz00_4804;
{ /* Jvm/instr.scm 146 */
obj_t BgL_auxz00_4805;
BgL_auxz00_4805 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_13, 
CNST_TABLE_REF(((long)11))); 
BgL_testz00_4804 = 
CBOOL(BgL_auxz00_4805); } 
if(BgL_testz00_4804)
{ 

if(
INTEGERP(BgL_nz00_14))
{ /* Jvm/instr.scm 148 */
switch( 
(long)CINT(BgL_nz00_14)) { case ((long)-1) : 

BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)15)); break;case ((long)0) : 

BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)16)); break;case ((long)1) : 

BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)17)); break;case ((long)2) : 

BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)18)); break;case ((long)3) : 

BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)19)); break;case ((long)4) : 

BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)20)); break;case ((long)5) : 

BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)21)); break;
default: 
BgL_case_else2957z00_1694:
{ /* Jvm/instr.scm 157 */
bool_t BgL_testz00_4818;
if(
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_nz00_14, 
BINT(((long)-129))))
{ /* Jvm/instr.scm 157 */
BgL_testz00_4818 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_nz00_14, 
BINT(((long)128)))
; }  else 
{ /* Jvm/instr.scm 157 */
BgL_testz00_4818 = ((bool_t)0)
; } 
if(BgL_testz00_4818)
{ /* Jvm/instr.scm 157 */
{ /* Jvm/instr.scm 157 */
obj_t BgL_arg3033z00_1698;obj_t BgL_arg3034z00_1699;
BgL_arg3033z00_1698 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg3034z00_1699 = 
MAKE_PAIR(BgL_nz00_14, BNIL); 
BgL_arg3029z00_1691 = 
MAKE_PAIR(BgL_arg3033z00_1698, BgL_arg3034z00_1699); } }  else 
{ /* Jvm/instr.scm 158 */
bool_t BgL_testz00_4827;
if(
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_nz00_14, 
BINT(((long)-32769))))
{ /* Jvm/instr.scm 158 */
BgL_testz00_4827 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_nz00_14, 
BINT(((long)32768)))
; }  else 
{ /* Jvm/instr.scm 158 */
BgL_testz00_4827 = ((bool_t)0)
; } 
if(BgL_testz00_4827)
{ /* Jvm/instr.scm 158 */
{ /* Jvm/instr.scm 158 */
obj_t BgL_arg3036z00_1701;obj_t BgL_arg3037z00_1702;
BgL_arg3036z00_1701 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3037z00_1702 = 
MAKE_PAIR(BgL_nz00_14, BNIL); 
BgL_arg3029z00_1691 = 
MAKE_PAIR(BgL_arg3036z00_1701, BgL_arg3037z00_1702); } }  else 
{ /* Jvm/instr.scm 158 */
{ /* Jvm/instr.scm 159 */
obj_t BgL_arg3038z00_1703;obj_t BgL_arg3039z00_1704;
BgL_arg3038z00_1703 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3039z00_1704 = 
MAKE_PAIR(BgL_nz00_14, BNIL); 
BgL_arg3029z00_1691 = 
MAKE_PAIR(BgL_arg3038z00_1703, BgL_arg3039z00_1704); } } } } } }  else 
{ /* Jvm/instr.scm 148 */
goto BgL_case_else2957z00_1694;} }  else 
{ /* Jvm/instr.scm 146 */
bool_t BgL_testz00_4841;
{ /* Jvm/instr.scm 146 */
obj_t BgL_auxz00_4842;
BgL_auxz00_4842 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_4841 = 
(BgL_typez00_13==BgL_auxz00_4842); } 
if(BgL_testz00_4841)
{ /* Jvm/instr.scm 146 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_14, 
BINT(((long)0))))
{ /* Jvm/instr.scm 161 */
BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)22)); }  else 
{ /* Jvm/instr.scm 161 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_14, 
BINT(((long)1))))
{ /* Jvm/instr.scm 162 */
BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)23)); }  else 
{ /* Jvm/instr.scm 162 */
{ /* Jvm/instr.scm 163 */
obj_t BgL_arg3045z00_1710;obj_t BgL_arg3046z00_1711;
BgL_arg3045z00_1710 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg3046z00_1711 = 
MAKE_PAIR(BgL_nz00_14, BNIL); 
BgL_arg3029z00_1691 = 
MAKE_PAIR(BgL_arg3045z00_1710, BgL_arg3046z00_1711); } } } }  else 
{ /* Jvm/instr.scm 146 */
bool_t BgL_testz00_4856;
{ /* Jvm/instr.scm 146 */
obj_t BgL_auxz00_4857;
BgL_auxz00_4857 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_4856 = 
(BgL_typez00_13==BgL_auxz00_4857); } 
if(BgL_testz00_4856)
{ /* Jvm/instr.scm 146 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_14, BGl_real3758z00zzjvm_instrz00))
{ /* Jvm/instr.scm 165 */
BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)25)); }  else 
{ /* Jvm/instr.scm 165 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_14, BGl_real3759z00zzjvm_instrz00))
{ /* Jvm/instr.scm 166 */
BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)26)); }  else 
{ /* Jvm/instr.scm 166 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_14, BGl_real3760z00zzjvm_instrz00))
{ /* Jvm/instr.scm 167 */
BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)27)); }  else 
{ /* Jvm/instr.scm 167 */
{ /* Jvm/instr.scm 168 */
obj_t BgL_arg3051z00_1716;obj_t BgL_arg3052z00_1717;
BgL_arg3051z00_1716 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3052z00_1717 = 
MAKE_PAIR(BgL_nz00_14, BNIL); 
BgL_arg3029z00_1691 = 
MAKE_PAIR(BgL_arg3051z00_1716, BgL_arg3052z00_1717); } } } } }  else 
{ /* Jvm/instr.scm 146 */
bool_t BgL_testz00_4872;
{ /* Jvm/instr.scm 146 */
obj_t BgL_auxz00_4873;
BgL_auxz00_4873 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_4872 = 
(BgL_typez00_13==BgL_auxz00_4873); } 
if(BgL_testz00_4872)
{ /* Jvm/instr.scm 146 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_14, BGl_real3758z00zzjvm_instrz00))
{ /* Jvm/instr.scm 170 */
BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)28)); }  else 
{ /* Jvm/instr.scm 170 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_14, BGl_real3759z00zzjvm_instrz00))
{ /* Jvm/instr.scm 171 */
BgL_arg3029z00_1691 = 
CNST_TABLE_REF(((long)29)); }  else 
{ /* Jvm/instr.scm 171 */
{ /* Jvm/instr.scm 172 */
obj_t BgL_arg3056z00_1721;obj_t BgL_arg3057z00_1722;
BgL_arg3056z00_1721 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg3057z00_1722 = 
MAKE_PAIR(BgL_nz00_14, BNIL); 
BgL_arg3029z00_1691 = 
MAKE_PAIR(BgL_arg3056z00_1721, BgL_arg3057z00_1722); } } } }  else 
{ /* Jvm/instr.scm 146 */
bool_t BgL_testz00_4885;
{ /* Jvm/instr.scm 146 */
obj_t BgL_auxz00_4886;
BgL_auxz00_4886 = 
CNST_TABLE_REF(((long)30)); 
BgL_testz00_4885 = 
(BgL_typez00_13==BgL_auxz00_4886); } 
if(BgL_testz00_4885)
{ /* Jvm/instr.scm 174 */
obj_t BgL_arg3059z00_1724;obj_t BgL_arg3060z00_1725;
BgL_arg3059z00_1724 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3060z00_1725 = 
MAKE_PAIR(BgL_nz00_14, BNIL); 
BgL_arg3029z00_1691 = 
MAKE_PAIR(BgL_arg3059z00_1724, BgL_arg3060z00_1725); }  else 
{ 
obj_t BgL_auxz00_4892;
BgL_auxz00_4892 = 
CNST_TABLE_REF(((long)31)); 
FAILURE(BgL_auxz00_4892,BGl_string3761z00zzjvm_instrz00,BgL_typez00_13);} } } } } } 
{ /* Jvm/instr.scm 145 */
obj_t BgL_arg3013z00_2994;
{ /* Jvm/instr.scm 145 */
obj_t BgL_auxz00_4895;
BgL_auxz00_4895 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_12))->BgL_codez00); 
BgL_arg3013z00_2994 = 
MAKE_PAIR(BgL_arg3029z00_1691, BgL_auxz00_4895); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_12))->BgL_codez00) = ((obj_t)BgL_arg3013z00_2994), BUNSPEC); } ((bool_t)1); } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_12, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_typez00_13));} 
}



/* __push3754 */
obj_t BGl___push3754z00zzjvm_instrz00(obj_t BgL_envz00_4431, obj_t BgL_envz00_4432, obj_t BgL_typez00_4433, obj_t BgL_nz00_4434)
{ AN_OBJECT;
{ /* Jvm/instr.scm 144 */
return 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4432), BgL_typez00_4433, BgL_nz00_4434);} 
}



/* _dup */
obj_t BGl__dupz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_15)
{ AN_OBJECT;
{ /* Jvm/instr.scm 178 */
{ /* Jvm/instr.scm 179 */
obj_t BgL_arg3013z00_3002;
{ /* Jvm/instr.scm 179 */
obj_t BgL_auxz00_4905;obj_t BgL_auxz00_4903;
BgL_auxz00_4905 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_15))->BgL_codez00); 
BgL_auxz00_4903 = 
CNST_TABLE_REF(((long)32)); 
BgL_arg3013z00_3002 = 
MAKE_PAIR(BgL_auxz00_4903, BgL_auxz00_4905); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_15))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3002), BUNSPEC); } ((bool_t)1); 
{ /* Jvm/instr.scm 180 */
obj_t BgL_tyz00_1727;
BgL_tyz00_1727 = 
BGl_popz00zzjvm_instrz00(BgL_envz00_15); 
BGl_pushz00zzjvm_instrz00(BgL_envz00_15, BgL_tyz00_1727); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_15, BgL_tyz00_1727);} } 
}



/* __dup */
obj_t BGl___dupz00zzjvm_instrz00(obj_t BgL_envz00_4435, obj_t BgL_envz00_4436)
{ AN_OBJECT;
{ /* Jvm/instr.scm 178 */
return 
BGl__dupz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4436));} 
}



/* _dup2 */
obj_t BGl__dup2z00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_16)
{ AN_OBJECT;
{ /* Jvm/instr.scm 184 */
{ /* Jvm/instr.scm 185 */
obj_t BgL_arg3013z00_3010;
{ /* Jvm/instr.scm 185 */
obj_t BgL_auxz00_4916;obj_t BgL_auxz00_4914;
BgL_auxz00_4916 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_16))->BgL_codez00); 
BgL_auxz00_4914 = 
CNST_TABLE_REF(((long)33)); 
BgL_arg3013z00_3010 = 
MAKE_PAIR(BgL_auxz00_4914, BgL_auxz00_4916); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_16))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3010), BUNSPEC); } ((bool_t)1); 
{ /* Jvm/instr.scm 186 */
obj_t BgL_ty1z00_1728;
BgL_ty1z00_1728 = 
BGl_popz00zzjvm_instrz00(BgL_envz00_16); 
{ /* Jvm/instr.scm 187 */
obj_t BgL_ty2z00_1729;
BgL_ty2z00_1729 = 
BGl_popz00zzjvm_instrz00(BgL_envz00_16); 
BGl_pushz00zzjvm_instrz00(BgL_envz00_16, BgL_ty2z00_1729); 
BGl_pushz00zzjvm_instrz00(BgL_envz00_16, BgL_ty1z00_1728); 
BGl_pushz00zzjvm_instrz00(BgL_envz00_16, BgL_ty2z00_1729); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_16, BgL_ty1z00_1728);} } } 
}



/* __dup2 */
obj_t BGl___dup2z00zzjvm_instrz00(obj_t BgL_envz00_4437, obj_t BgL_envz00_4438)
{ AN_OBJECT;
{ /* Jvm/instr.scm 184 */
return 
BGl__dup2z00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4438));} 
}



/* _swap */
obj_t BGl__swapz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_17)
{ AN_OBJECT;
{ /* Jvm/instr.scm 193 */
{ /* Jvm/instr.scm 194 */
obj_t BgL_arg3013z00_3018;
{ /* Jvm/instr.scm 194 */
obj_t BgL_auxz00_4930;obj_t BgL_auxz00_4928;
BgL_auxz00_4930 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_17))->BgL_codez00); 
BgL_auxz00_4928 = 
CNST_TABLE_REF(((long)34)); 
BgL_arg3013z00_3018 = 
MAKE_PAIR(BgL_auxz00_4928, BgL_auxz00_4930); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_17))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3018), BUNSPEC); } ((bool_t)1); 
{ /* Jvm/instr.scm 195 */
obj_t BgL_ty1z00_1730;
BgL_ty1z00_1730 = 
BGl_popz00zzjvm_instrz00(BgL_envz00_17); 
{ /* Jvm/instr.scm 196 */
obj_t BgL_ty2z00_1731;
BgL_ty2z00_1731 = 
BGl_popz00zzjvm_instrz00(BgL_envz00_17); 
BGl_pushz00zzjvm_instrz00(BgL_envz00_17, BgL_ty1z00_1730); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_17, BgL_ty2z00_1731);} } } 
}



/* __swap */
obj_t BGl___swapz00zzjvm_instrz00(obj_t BgL_envz00_4439, obj_t BgL_envz00_4440)
{ AN_OBJECT;
{ /* Jvm/instr.scm 193 */
return 
BGl__swapz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4440));} 
}



/* _pop */
obj_t BGl__popz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_18, obj_t BgL_typez00_19)
{ AN_OBJECT;
{ /* Jvm/instr.scm 200 */
{ /* Jvm/instr.scm 201 */
bool_t BgL_testz00_4940;
{ /* Jvm/instr.scm 201 */
obj_t BgL_auxz00_4941;
BgL_auxz00_4941 = 
CNST_TABLE_REF(((long)1)); 
BgL_testz00_4940 = 
(BgL_typez00_19==BgL_auxz00_4941); } 
if(BgL_testz00_4940)
{ /* Jvm/instr.scm 201 */
return 
CNST_TABLE_REF(((long)35));}  else 
{ /* Jvm/instr.scm 201 */
{ /* Jvm/instr.scm 203 */
obj_t BgL_arg3013z00_3026;
{ /* Jvm/instr.scm 203 */
obj_t BgL_auxz00_4956;obj_t BgL_auxz00_4945;
BgL_auxz00_4956 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_18))->BgL_codez00); 
{ /* Jvm/instr.scm 204 */
bool_t BgL_testz00_4946;
{ /* Jvm/instr.scm 204 */
bool_t BgL_testz00_4947;
{ /* Jvm/instr.scm 204 */
obj_t BgL_auxz00_4948;
BgL_auxz00_4948 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_4947 = 
(BgL_typez00_19==BgL_auxz00_4948); } 
if(BgL_testz00_4947)
{ /* Jvm/instr.scm 204 */
BgL_testz00_4946 = ((bool_t)1)
; }  else 
{ /* Jvm/instr.scm 204 */
obj_t BgL_auxz00_4951;
BgL_auxz00_4951 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_4946 = 
(BgL_typez00_19==BgL_auxz00_4951); } } 
if(BgL_testz00_4946)
{ /* Jvm/instr.scm 204 */
BgL_auxz00_4945 = 
CNST_TABLE_REF(((long)36))
; }  else 
{ /* Jvm/instr.scm 204 */
BgL_auxz00_4945 = 
CNST_TABLE_REF(((long)37))
; } } 
BgL_arg3013z00_3026 = 
MAKE_PAIR(BgL_auxz00_4945, BgL_auxz00_4956); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_18))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3026), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_18, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_typez00_19));} } } 
}



/* __pop */
obj_t BGl___popz00zzjvm_instrz00(obj_t BgL_envz00_4441, obj_t BgL_envz00_4442, obj_t BgL_typez00_4443)
{ AN_OBJECT;
{ /* Jvm/instr.scm 200 */
return 
BGl__popz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4442), BgL_typez00_4443);} 
}



/* _load */
obj_t BGl__loadz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_20, BgL_localz00_bglt BgL_varz00_21)
{ AN_OBJECT;
{ /* Jvm/instr.scm 211 */
{ /* Jvm/instr.scm 212 */
obj_t BgL_arg3067z00_3031;obj_t BgL_arg3068z00_3032;
BgL_arg3067z00_3031 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_21))->BgL_namez00); 
{ /* Jvm/instr.scm 212 */
obj_t BgL_auxz00_4965;
{ /* Jvm/instr.scm 212 */
BgL_typez00_bglt BgL_auxz00_4966;
BgL_auxz00_4966 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_21))->BgL_typez00); 
BgL_auxz00_4965 = 
(obj_t)(BgL_auxz00_4966); } 
BgL_arg3068z00_3032 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4965, BgL_envz00_20); } 
return 
BGl__load_namez00zzjvm_instrz00(BgL_envz00_20, BgL_arg3067z00_3031, BgL_arg3068z00_3032);} } 
}



/* __load */
obj_t BGl___loadz00zzjvm_instrz00(obj_t BgL_envz00_4444, obj_t BgL_envz00_4445, obj_t BgL_varz00_4446)
{ AN_OBJECT;
{ /* Jvm/instr.scm 211 */
return 
BGl__loadz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4445), 
(BgL_localz00_bglt)(BgL_varz00_4446));} 
}



/* _load_name */
obj_t BGl__load_namez00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_22, obj_t BgL_namez00_23, obj_t BgL_typez00_24)
{ AN_OBJECT;
{ /* Jvm/instr.scm 214 */
{ /* Jvm/instr.scm 216 */
obj_t BgL_arg3070z00_1740;
{ /* Jvm/instr.scm 216 */
bool_t BgL_testz00_4974;
{ /* Jvm/instr.scm 216 */
obj_t BgL_auxz00_4975;
BgL_auxz00_4975 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_24, 
CNST_TABLE_REF(((long)3))); 
BgL_testz00_4974 = 
CBOOL(BgL_auxz00_4975); } 
if(BgL_testz00_4974)
{ /* Jvm/instr.scm 217 */
obj_t BgL_arg3072z00_1743;obj_t BgL_arg3073z00_1744;
BgL_arg3072z00_1743 = 
CNST_TABLE_REF(((long)38)); 
BgL_arg3073z00_1744 = 
MAKE_PAIR(BgL_namez00_23, BNIL); 
BgL_arg3070z00_1740 = 
MAKE_PAIR(BgL_arg3072z00_1743, BgL_arg3073z00_1744); }  else 
{ /* Jvm/instr.scm 216 */
bool_t BgL_testz00_4982;
{ /* Jvm/instr.scm 216 */
obj_t BgL_auxz00_4983;
BgL_auxz00_4983 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_4982 = 
(BgL_typez00_24==BgL_auxz00_4983); } 
if(BgL_testz00_4982)
{ /* Jvm/instr.scm 218 */
obj_t BgL_arg3075z00_1746;obj_t BgL_arg3076z00_1747;
BgL_arg3075z00_1746 = 
CNST_TABLE_REF(((long)39)); 
BgL_arg3076z00_1747 = 
MAKE_PAIR(BgL_namez00_23, BNIL); 
BgL_arg3070z00_1740 = 
MAKE_PAIR(BgL_arg3075z00_1746, BgL_arg3076z00_1747); }  else 
{ /* Jvm/instr.scm 216 */
bool_t BgL_testz00_4989;
{ /* Jvm/instr.scm 216 */
obj_t BgL_auxz00_4990;
BgL_auxz00_4990 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_4989 = 
(BgL_typez00_24==BgL_auxz00_4990); } 
if(BgL_testz00_4989)
{ /* Jvm/instr.scm 219 */
obj_t BgL_arg3078z00_1749;obj_t BgL_arg3079z00_1750;
BgL_arg3078z00_1749 = 
CNST_TABLE_REF(((long)40)); 
BgL_arg3079z00_1750 = 
MAKE_PAIR(BgL_namez00_23, BNIL); 
BgL_arg3070z00_1740 = 
MAKE_PAIR(BgL_arg3078z00_1749, BgL_arg3079z00_1750); }  else 
{ /* Jvm/instr.scm 216 */
bool_t BgL_testz00_4996;
{ /* Jvm/instr.scm 216 */
obj_t BgL_auxz00_4997;
BgL_auxz00_4997 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_4996 = 
(BgL_typez00_24==BgL_auxz00_4997); } 
if(BgL_testz00_4996)
{ /* Jvm/instr.scm 220 */
obj_t BgL_arg3081z00_1752;obj_t BgL_arg3082z00_1753;
BgL_arg3081z00_1752 = 
CNST_TABLE_REF(((long)41)); 
BgL_arg3082z00_1753 = 
MAKE_PAIR(BgL_namez00_23, BNIL); 
BgL_arg3070z00_1740 = 
MAKE_PAIR(BgL_arg3081z00_1752, BgL_arg3082z00_1753); }  else 
{ /* Jvm/instr.scm 221 */
obj_t BgL_arg3083z00_1754;obj_t BgL_arg3084z00_1755;
BgL_arg3083z00_1754 = 
CNST_TABLE_REF(((long)42)); 
BgL_arg3084z00_1755 = 
MAKE_PAIR(BgL_namez00_23, BNIL); 
BgL_arg3070z00_1740 = 
MAKE_PAIR(BgL_arg3083z00_1754, BgL_arg3084z00_1755); } } } } } 
{ /* Jvm/instr.scm 215 */
obj_t BgL_arg3013z00_3039;
{ /* Jvm/instr.scm 215 */
obj_t BgL_auxz00_5006;
BgL_auxz00_5006 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_22))->BgL_codez00); 
BgL_arg3013z00_3039 = 
MAKE_PAIR(BgL_arg3070z00_1740, BgL_auxz00_5006); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_22))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3039), BUNSPEC); } ((bool_t)1); } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_22, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_typez00_24));} 
}



/* __load_name */
obj_t BGl___load_namez00zzjvm_instrz00(obj_t BgL_envz00_4447, obj_t BgL_envz00_4448, obj_t BgL_namez00_4449, obj_t BgL_typez00_4450)
{ AN_OBJECT;
{ /* Jvm/instr.scm 214 */
return 
BGl__load_namez00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4448), BgL_namez00_4449, BgL_typez00_4450);} 
}



/* _store */
obj_t BGl__storez00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_25, BgL_localz00_bglt BgL_varz00_26)
{ AN_OBJECT;
{ /* Jvm/instr.scm 224 */
{ /* Jvm/instr.scm 225 */
obj_t BgL_arg3086z00_3044;obj_t BgL_arg3087z00_3045;
BgL_arg3086z00_3044 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_26))->BgL_namez00); 
{ /* Jvm/instr.scm 225 */
obj_t BgL_auxz00_5015;
{ /* Jvm/instr.scm 225 */
BgL_typez00_bglt BgL_auxz00_5016;
BgL_auxz00_5016 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_26))->BgL_typez00); 
BgL_auxz00_5015 = 
(obj_t)(BgL_auxz00_5016); } 
BgL_arg3087z00_3045 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5015, BgL_envz00_25); } 
return 
BGl__store_namez00zzjvm_instrz00(BgL_envz00_25, BgL_arg3086z00_3044, BgL_arg3087z00_3045);} } 
}



/* __store */
obj_t BGl___storez00zzjvm_instrz00(obj_t BgL_envz00_4451, obj_t BgL_envz00_4452, obj_t BgL_varz00_4453)
{ AN_OBJECT;
{ /* Jvm/instr.scm 224 */
return 
BGl__storez00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4452), 
(BgL_localz00_bglt)(BgL_varz00_4453));} 
}



/* _store_name */
obj_t BGl__store_namez00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_27, obj_t BgL_namez00_28, obj_t BgL_typez00_29)
{ AN_OBJECT;
{ /* Jvm/instr.scm 227 */
{ /* Jvm/instr.scm 229 */
obj_t BgL_arg3090z00_1760;
{ /* Jvm/instr.scm 229 */
bool_t BgL_testz00_5024;
{ /* Jvm/instr.scm 229 */
obj_t BgL_auxz00_5025;
BgL_auxz00_5025 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_29, 
CNST_TABLE_REF(((long)3))); 
BgL_testz00_5024 = 
CBOOL(BgL_auxz00_5025); } 
if(BgL_testz00_5024)
{ /* Jvm/instr.scm 230 */
obj_t BgL_arg3092z00_1763;obj_t BgL_arg3093z00_1764;
BgL_arg3092z00_1763 = 
CNST_TABLE_REF(((long)43)); 
BgL_arg3093z00_1764 = 
MAKE_PAIR(BgL_namez00_28, BNIL); 
BgL_arg3090z00_1760 = 
MAKE_PAIR(BgL_arg3092z00_1763, BgL_arg3093z00_1764); }  else 
{ /* Jvm/instr.scm 229 */
bool_t BgL_testz00_5032;
{ /* Jvm/instr.scm 229 */
obj_t BgL_auxz00_5033;
BgL_auxz00_5033 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_5032 = 
(BgL_typez00_29==BgL_auxz00_5033); } 
if(BgL_testz00_5032)
{ /* Jvm/instr.scm 231 */
obj_t BgL_arg3095z00_1766;obj_t BgL_arg3096z00_1767;
BgL_arg3095z00_1766 = 
CNST_TABLE_REF(((long)44)); 
BgL_arg3096z00_1767 = 
MAKE_PAIR(BgL_namez00_28, BNIL); 
BgL_arg3090z00_1760 = 
MAKE_PAIR(BgL_arg3095z00_1766, BgL_arg3096z00_1767); }  else 
{ /* Jvm/instr.scm 229 */
bool_t BgL_testz00_5039;
{ /* Jvm/instr.scm 229 */
obj_t BgL_auxz00_5040;
BgL_auxz00_5040 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_5039 = 
(BgL_typez00_29==BgL_auxz00_5040); } 
if(BgL_testz00_5039)
{ /* Jvm/instr.scm 232 */
obj_t BgL_arg3098z00_1769;obj_t BgL_arg3099z00_1770;
BgL_arg3098z00_1769 = 
CNST_TABLE_REF(((long)45)); 
BgL_arg3099z00_1770 = 
MAKE_PAIR(BgL_namez00_28, BNIL); 
BgL_arg3090z00_1760 = 
MAKE_PAIR(BgL_arg3098z00_1769, BgL_arg3099z00_1770); }  else 
{ /* Jvm/instr.scm 229 */
bool_t BgL_testz00_5046;
{ /* Jvm/instr.scm 229 */
obj_t BgL_auxz00_5047;
BgL_auxz00_5047 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_5046 = 
(BgL_typez00_29==BgL_auxz00_5047); } 
if(BgL_testz00_5046)
{ /* Jvm/instr.scm 233 */
obj_t BgL_arg3101z00_1772;obj_t BgL_arg3102z00_1773;
BgL_arg3101z00_1772 = 
CNST_TABLE_REF(((long)46)); 
BgL_arg3102z00_1773 = 
MAKE_PAIR(BgL_namez00_28, BNIL); 
BgL_arg3090z00_1760 = 
MAKE_PAIR(BgL_arg3101z00_1772, BgL_arg3102z00_1773); }  else 
{ /* Jvm/instr.scm 234 */
obj_t BgL_arg3103z00_1774;obj_t BgL_arg3104z00_1775;
BgL_arg3103z00_1774 = 
CNST_TABLE_REF(((long)47)); 
BgL_arg3104z00_1775 = 
MAKE_PAIR(BgL_namez00_28, BNIL); 
BgL_arg3090z00_1760 = 
MAKE_PAIR(BgL_arg3103z00_1774, BgL_arg3104z00_1775); } } } } } 
{ /* Jvm/instr.scm 228 */
obj_t BgL_arg3013z00_3052;
{ /* Jvm/instr.scm 228 */
obj_t BgL_auxz00_5056;
BgL_auxz00_5056 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_27))->BgL_codez00); 
BgL_arg3013z00_3052 = 
MAKE_PAIR(BgL_arg3090z00_1760, BgL_auxz00_5056); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_27))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3052), BUNSPEC); } ((bool_t)1); } 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_27, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_typez00_29));} 
}



/* __store_name */
obj_t BGl___store_namez00zzjvm_instrz00(obj_t BgL_envz00_4454, obj_t BgL_envz00_4455, obj_t BgL_namez00_4456, obj_t BgL_typez00_4457)
{ AN_OBJECT;
{ /* Jvm/instr.scm 227 */
return 
BGl__store_namez00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4455), BgL_namez00_4456, BgL_typez00_4457);} 
}



/* _getstatic */
obj_t BGl__getstaticz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_30, obj_t BgL_varz00_31)
{ AN_OBJECT;
{ /* Jvm/instr.scm 238 */
{ /* Jvm/instr.scm 239 */
obj_t BgL_arg3106z00_1777;
{ /* Jvm/instr.scm 239 */
obj_t BgL_arg3107z00_1778;obj_t BgL_arg3108z00_1779;
BgL_arg3107z00_1778 = 
CNST_TABLE_REF(((long)48)); 
BgL_arg3108z00_1779 = 
MAKE_PAIR(BgL_varz00_31, BNIL); 
BgL_arg3106z00_1777 = 
MAKE_PAIR(BgL_arg3107z00_1778, BgL_arg3108z00_1779); } 
{ /* Jvm/instr.scm 239 */
obj_t BgL_arg3013z00_3060;
{ /* Jvm/instr.scm 239 */
obj_t BgL_auxz00_5067;
BgL_auxz00_5067 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_30))->BgL_codez00); 
BgL_arg3013z00_3060 = 
MAKE_PAIR(BgL_arg3106z00_1777, BgL_auxz00_5067); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_30))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3060), BUNSPEC); } ((bool_t)1); } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_30, 
CNST_TABLE_REF(((long)8)));} 
}



/* __getstatic */
obj_t BGl___getstaticz00zzjvm_instrz00(obj_t BgL_envz00_4458, obj_t BgL_envz00_4459, obj_t BgL_varz00_4460)
{ AN_OBJECT;
{ /* Jvm/instr.scm 238 */
return 
BGl__getstaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4459), BgL_varz00_4460);} 
}



/* _getstatic2 */
obj_t BGl__getstatic2z00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_32, BgL_globalz00_bglt BgL_varz00_33)
{ AN_OBJECT;
{ /* Jvm/instr.scm 242 */
{ /* Jvm/instr.scm 243 */
obj_t BgL_arg3109z00_1780;
{ /* Jvm/instr.scm 243 */
obj_t BgL_arg3110z00_1781;obj_t BgL_arg3111z00_1782;
BgL_arg3110z00_1781 = 
CNST_TABLE_REF(((long)48)); 
{ /* Jvm/instr.scm 243 */
obj_t BgL_arg3112z00_1783;
BgL_arg3112z00_1783 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_32, BgL_varz00_33); 
BgL_arg3111z00_1782 = 
MAKE_PAIR(BgL_arg3112z00_1783, BNIL); } 
BgL_arg3109z00_1780 = 
MAKE_PAIR(BgL_arg3110z00_1781, BgL_arg3111z00_1782); } 
{ /* Jvm/instr.scm 243 */
obj_t BgL_arg3013z00_3068;
{ /* Jvm/instr.scm 243 */
obj_t BgL_auxz00_5079;
BgL_auxz00_5079 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_32))->BgL_codez00); 
BgL_arg3013z00_3068 = 
MAKE_PAIR(BgL_arg3109z00_1780, BgL_auxz00_5079); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_32))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3068), BUNSPEC); } ((bool_t)1); } 
{ /* Jvm/instr.scm 244 */
obj_t BgL_arg3114z00_1785;
{ /* Jvm/instr.scm 244 */
obj_t BgL_arg3115z00_1786;
{ /* Jvm/instr.scm 244 */
obj_t BgL_auxz00_5083;
{ /* Jvm/instr.scm 244 */
BgL_typez00_bglt BgL_auxz00_5084;
{ /* Jvm/instr.scm 244 */
BgL_variablez00_bglt BgL_obj1100z00_3073;
BgL_obj1100z00_3073 = 
(BgL_variablez00_bglt)(BgL_varz00_33); 
BgL_auxz00_5084 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_3073))->BgL_typez00); } 
BgL_auxz00_5083 = 
(obj_t)(BgL_auxz00_5084); } 
BgL_arg3115z00_1786 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5083, BgL_envz00_32); } 
BgL_arg3114z00_1785 = 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_arg3115z00_1786); } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_32, BgL_arg3114z00_1785);} } 
}



/* __getstatic2 */
obj_t BGl___getstatic2z00zzjvm_instrz00(obj_t BgL_envz00_4461, obj_t BgL_envz00_4462, obj_t BgL_varz00_4463)
{ AN_OBJECT;
{ /* Jvm/instr.scm 242 */
return 
BGl__getstatic2z00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4462), 
(BgL_globalz00_bglt)(BgL_varz00_4463));} 
}



/* _putstatic */
obj_t BGl__putstaticz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_34, obj_t BgL_varz00_35)
{ AN_OBJECT;
{ /* Jvm/instr.scm 246 */
{ /* Jvm/instr.scm 247 */
obj_t BgL_arg3117z00_1788;
{ /* Jvm/instr.scm 247 */
obj_t BgL_arg3118z00_1789;obj_t BgL_arg3119z00_1790;
BgL_arg3118z00_1789 = 
CNST_TABLE_REF(((long)49)); 
BgL_arg3119z00_1790 = 
MAKE_PAIR(BgL_varz00_35, BNIL); 
BgL_arg3117z00_1788 = 
MAKE_PAIR(BgL_arg3118z00_1789, BgL_arg3119z00_1790); } 
{ /* Jvm/instr.scm 247 */
obj_t BgL_arg3013z00_3077;
{ /* Jvm/instr.scm 247 */
obj_t BgL_auxz00_5097;
BgL_auxz00_5097 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_34))->BgL_codez00); 
BgL_arg3013z00_3077 = 
MAKE_PAIR(BgL_arg3117z00_1788, BgL_auxz00_5097); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_34))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3077), BUNSPEC); } ((bool_t)1); } 
return 
BGl_popz00zzjvm_instrz00(BgL_envz00_34);} 
}



/* __putstatic */
obj_t BGl___putstaticz00zzjvm_instrz00(obj_t BgL_envz00_4464, obj_t BgL_envz00_4465, obj_t BgL_varz00_4466)
{ AN_OBJECT;
{ /* Jvm/instr.scm 246 */
return 
BGl__putstaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4465), BgL_varz00_4466);} 
}



/* _iadd */
obj_t BGl__iaddz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_36)
{ AN_OBJECT;
{ /* Jvm/instr.scm 251 */
{ /* Jvm/instr.scm 251 */
obj_t BgL_arg3013z00_3085;
{ /* Jvm/instr.scm 251 */
obj_t BgL_auxz00_5106;obj_t BgL_auxz00_5104;
BgL_auxz00_5106 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_codez00); 
BgL_auxz00_5104 = 
CNST_TABLE_REF(((long)50)); 
BgL_arg3013z00_3085 = 
MAKE_PAIR(BgL_auxz00_5104, BgL_auxz00_5106); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3085), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_36, 
CNST_TABLE_REF(((long)4)));} 
}



/* __iadd */
obj_t BGl___iaddz00zzjvm_instrz00(obj_t BgL_envz00_4467, obj_t BgL_envz00_4468)
{ AN_OBJECT;
{ /* Jvm/instr.scm 251 */
return 
BGl__iaddz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4468));} 
}



/* _isub */
obj_t BGl__isubz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_37)
{ AN_OBJECT;
{ /* Jvm/instr.scm 252 */
{ /* Jvm/instr.scm 252 */
obj_t BgL_arg3013z00_3093;
{ /* Jvm/instr.scm 252 */
obj_t BgL_auxz00_5116;obj_t BgL_auxz00_5114;
BgL_auxz00_5116 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_37))->BgL_codez00); 
BgL_auxz00_5114 = 
CNST_TABLE_REF(((long)51)); 
BgL_arg3013z00_3093 = 
MAKE_PAIR(BgL_auxz00_5114, BgL_auxz00_5116); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_37))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3093), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_37, 
CNST_TABLE_REF(((long)4)));} 
}



/* __isub */
obj_t BGl___isubz00zzjvm_instrz00(obj_t BgL_envz00_4469, obj_t BgL_envz00_4470)
{ AN_OBJECT;
{ /* Jvm/instr.scm 252 */
return 
BGl__isubz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4470));} 
}



/* _imul */
obj_t BGl__imulz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_38)
{ AN_OBJECT;
{ /* Jvm/instr.scm 253 */
{ /* Jvm/instr.scm 253 */
obj_t BgL_arg3013z00_3101;
{ /* Jvm/instr.scm 253 */
obj_t BgL_auxz00_5126;obj_t BgL_auxz00_5124;
BgL_auxz00_5126 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_38))->BgL_codez00); 
BgL_auxz00_5124 = 
CNST_TABLE_REF(((long)52)); 
BgL_arg3013z00_3101 = 
MAKE_PAIR(BgL_auxz00_5124, BgL_auxz00_5126); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_38))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3101), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_38, 
CNST_TABLE_REF(((long)4)));} 
}



/* __imul */
obj_t BGl___imulz00zzjvm_instrz00(obj_t BgL_envz00_4471, obj_t BgL_envz00_4472)
{ AN_OBJECT;
{ /* Jvm/instr.scm 253 */
return 
BGl__imulz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4472));} 
}



/* _idiv */
obj_t BGl__idivz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_39)
{ AN_OBJECT;
{ /* Jvm/instr.scm 254 */
{ /* Jvm/instr.scm 254 */
obj_t BgL_arg3013z00_3109;
{ /* Jvm/instr.scm 254 */
obj_t BgL_auxz00_5136;obj_t BgL_auxz00_5134;
BgL_auxz00_5136 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_39))->BgL_codez00); 
BgL_auxz00_5134 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg3013z00_3109 = 
MAKE_PAIR(BgL_auxz00_5134, BgL_auxz00_5136); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_39))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3109), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_39, 
CNST_TABLE_REF(((long)4)));} 
}



/* __idiv */
obj_t BGl___idivz00zzjvm_instrz00(obj_t BgL_envz00_4473, obj_t BgL_envz00_4474)
{ AN_OBJECT;
{ /* Jvm/instr.scm 254 */
return 
BGl__idivz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4474));} 
}



/* _irem */
obj_t BGl__iremz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_40)
{ AN_OBJECT;
{ /* Jvm/instr.scm 255 */
{ /* Jvm/instr.scm 255 */
obj_t BgL_arg3013z00_3117;
{ /* Jvm/instr.scm 255 */
obj_t BgL_auxz00_5146;obj_t BgL_auxz00_5144;
BgL_auxz00_5146 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_40))->BgL_codez00); 
BgL_auxz00_5144 = 
CNST_TABLE_REF(((long)54)); 
BgL_arg3013z00_3117 = 
MAKE_PAIR(BgL_auxz00_5144, BgL_auxz00_5146); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_40))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3117), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_40, 
CNST_TABLE_REF(((long)4)));} 
}



/* __irem */
obj_t BGl___iremz00zzjvm_instrz00(obj_t BgL_envz00_4475, obj_t BgL_envz00_4476)
{ AN_OBJECT;
{ /* Jvm/instr.scm 255 */
return 
BGl__iremz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4476));} 
}



/* _ineg */
obj_t BGl__inegz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_41)
{ AN_OBJECT;
{ /* Jvm/instr.scm 256 */
{ /* Jvm/instr.scm 256 */
obj_t BgL_arg3013z00_3125;
{ /* Jvm/instr.scm 256 */
obj_t BgL_auxz00_5156;obj_t BgL_auxz00_5154;
BgL_auxz00_5156 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_41))->BgL_codez00); 
BgL_auxz00_5154 = 
CNST_TABLE_REF(((long)55)); 
BgL_arg3013z00_3125 = 
MAKE_PAIR(BgL_auxz00_5154, BgL_auxz00_5156); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_41))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3125), BUNSPEC); } 
return BTRUE;} 
}



/* __ineg */
obj_t BGl___inegz00zzjvm_instrz00(obj_t BgL_envz00_4477, obj_t BgL_envz00_4478)
{ AN_OBJECT;
{ /* Jvm/instr.scm 256 */
return 
BGl__inegz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4478));} 
}



/* _ior */
obj_t BGl__iorz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_42)
{ AN_OBJECT;
{ /* Jvm/instr.scm 257 */
{ /* Jvm/instr.scm 257 */
obj_t BgL_arg3013z00_3133;
{ /* Jvm/instr.scm 257 */
obj_t BgL_auxz00_5164;obj_t BgL_auxz00_5162;
BgL_auxz00_5164 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_42))->BgL_codez00); 
BgL_auxz00_5162 = 
CNST_TABLE_REF(((long)56)); 
BgL_arg3013z00_3133 = 
MAKE_PAIR(BgL_auxz00_5162, BgL_auxz00_5164); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_42))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3133), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_42, 
CNST_TABLE_REF(((long)4)));} 
}



/* __ior */
obj_t BGl___iorz00zzjvm_instrz00(obj_t BgL_envz00_4479, obj_t BgL_envz00_4480)
{ AN_OBJECT;
{ /* Jvm/instr.scm 257 */
return 
BGl__iorz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4480));} 
}



/* _iand */
obj_t BGl__iandz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_43)
{ AN_OBJECT;
{ /* Jvm/instr.scm 258 */
{ /* Jvm/instr.scm 258 */
obj_t BgL_arg3013z00_3141;
{ /* Jvm/instr.scm 258 */
obj_t BgL_auxz00_5174;obj_t BgL_auxz00_5172;
BgL_auxz00_5174 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_43))->BgL_codez00); 
BgL_auxz00_5172 = 
CNST_TABLE_REF(((long)57)); 
BgL_arg3013z00_3141 = 
MAKE_PAIR(BgL_auxz00_5172, BgL_auxz00_5174); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_43))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3141), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_43, 
CNST_TABLE_REF(((long)4)));} 
}



/* __iand */
obj_t BGl___iandz00zzjvm_instrz00(obj_t BgL_envz00_4481, obj_t BgL_envz00_4482)
{ AN_OBJECT;
{ /* Jvm/instr.scm 258 */
return 
BGl__iandz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4482));} 
}



/* _ixor */
obj_t BGl__ixorz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_44)
{ AN_OBJECT;
{ /* Jvm/instr.scm 259 */
{ /* Jvm/instr.scm 259 */
obj_t BgL_arg3013z00_3149;
{ /* Jvm/instr.scm 259 */
obj_t BgL_auxz00_5184;obj_t BgL_auxz00_5182;
BgL_auxz00_5184 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_44))->BgL_codez00); 
BgL_auxz00_5182 = 
CNST_TABLE_REF(((long)58)); 
BgL_arg3013z00_3149 = 
MAKE_PAIR(BgL_auxz00_5182, BgL_auxz00_5184); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_44))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3149), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_44, 
CNST_TABLE_REF(((long)4)));} 
}



/* __ixor */
obj_t BGl___ixorz00zzjvm_instrz00(obj_t BgL_envz00_4483, obj_t BgL_envz00_4484)
{ AN_OBJECT;
{ /* Jvm/instr.scm 259 */
return 
BGl__ixorz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4484));} 
}



/* _ishl */
obj_t BGl__ishlz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_45)
{ AN_OBJECT;
{ /* Jvm/instr.scm 260 */
{ /* Jvm/instr.scm 260 */
obj_t BgL_arg3013z00_3157;
{ /* Jvm/instr.scm 260 */
obj_t BgL_auxz00_5194;obj_t BgL_auxz00_5192;
BgL_auxz00_5194 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_45))->BgL_codez00); 
BgL_auxz00_5192 = 
CNST_TABLE_REF(((long)59)); 
BgL_arg3013z00_3157 = 
MAKE_PAIR(BgL_auxz00_5192, BgL_auxz00_5194); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_45))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3157), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_45, 
CNST_TABLE_REF(((long)4)));} 
}



/* __ishl */
obj_t BGl___ishlz00zzjvm_instrz00(obj_t BgL_envz00_4485, obj_t BgL_envz00_4486)
{ AN_OBJECT;
{ /* Jvm/instr.scm 260 */
return 
BGl__ishlz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4486));} 
}



/* _ishr */
obj_t BGl__ishrz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_46)
{ AN_OBJECT;
{ /* Jvm/instr.scm 261 */
{ /* Jvm/instr.scm 261 */
obj_t BgL_arg3013z00_3165;
{ /* Jvm/instr.scm 261 */
obj_t BgL_auxz00_5204;obj_t BgL_auxz00_5202;
BgL_auxz00_5204 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_46))->BgL_codez00); 
BgL_auxz00_5202 = 
CNST_TABLE_REF(((long)60)); 
BgL_arg3013z00_3165 = 
MAKE_PAIR(BgL_auxz00_5202, BgL_auxz00_5204); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_46))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3165), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_46, 
CNST_TABLE_REF(((long)4)));} 
}



/* __ishr */
obj_t BGl___ishrz00zzjvm_instrz00(obj_t BgL_envz00_4487, obj_t BgL_envz00_4488)
{ AN_OBJECT;
{ /* Jvm/instr.scm 261 */
return 
BGl__ishrz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4488));} 
}



/* _iushr */
obj_t BGl__iushrz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_47)
{ AN_OBJECT;
{ /* Jvm/instr.scm 262 */
{ /* Jvm/instr.scm 262 */
obj_t BgL_arg3013z00_3173;
{ /* Jvm/instr.scm 262 */
obj_t BgL_auxz00_5214;obj_t BgL_auxz00_5212;
BgL_auxz00_5214 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_47))->BgL_codez00); 
BgL_auxz00_5212 = 
CNST_TABLE_REF(((long)61)); 
BgL_arg3013z00_3173 = 
MAKE_PAIR(BgL_auxz00_5212, BgL_auxz00_5214); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_47))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3173), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_47, 
CNST_TABLE_REF(((long)4)));} 
}



/* __iushr */
obj_t BGl___iushrz00zzjvm_instrz00(obj_t BgL_envz00_4489, obj_t BgL_envz00_4490)
{ AN_OBJECT;
{ /* Jvm/instr.scm 262 */
return 
BGl__iushrz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4490));} 
}



/* _ladd */
obj_t BGl__laddz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_48)
{ AN_OBJECT;
{ /* Jvm/instr.scm 264 */
{ /* Jvm/instr.scm 264 */
obj_t BgL_arg3013z00_3181;
{ /* Jvm/instr.scm 264 */
obj_t BgL_auxz00_5224;obj_t BgL_auxz00_5222;
BgL_auxz00_5224 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_48))->BgL_codez00); 
BgL_auxz00_5222 = 
CNST_TABLE_REF(((long)62)); 
BgL_arg3013z00_3181 = 
MAKE_PAIR(BgL_auxz00_5222, BgL_auxz00_5224); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_48))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3181), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_48, 
CNST_TABLE_REF(((long)5)));} 
}



/* __ladd */
obj_t BGl___laddz00zzjvm_instrz00(obj_t BgL_envz00_4491, obj_t BgL_envz00_4492)
{ AN_OBJECT;
{ /* Jvm/instr.scm 264 */
return 
BGl__laddz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4492));} 
}



/* _lsub */
obj_t BGl__lsubz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_49)
{ AN_OBJECT;
{ /* Jvm/instr.scm 265 */
{ /* Jvm/instr.scm 265 */
obj_t BgL_arg3013z00_3189;
{ /* Jvm/instr.scm 265 */
obj_t BgL_auxz00_5234;obj_t BgL_auxz00_5232;
BgL_auxz00_5234 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_49))->BgL_codez00); 
BgL_auxz00_5232 = 
CNST_TABLE_REF(((long)63)); 
BgL_arg3013z00_3189 = 
MAKE_PAIR(BgL_auxz00_5232, BgL_auxz00_5234); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_49))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3189), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_49, 
CNST_TABLE_REF(((long)5)));} 
}



/* __lsub */
obj_t BGl___lsubz00zzjvm_instrz00(obj_t BgL_envz00_4493, obj_t BgL_envz00_4494)
{ AN_OBJECT;
{ /* Jvm/instr.scm 265 */
return 
BGl__lsubz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4494));} 
}



/* _lmul */
obj_t BGl__lmulz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_50)
{ AN_OBJECT;
{ /* Jvm/instr.scm 266 */
{ /* Jvm/instr.scm 266 */
obj_t BgL_arg3013z00_3197;
{ /* Jvm/instr.scm 266 */
obj_t BgL_auxz00_5244;obj_t BgL_auxz00_5242;
BgL_auxz00_5244 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_50))->BgL_codez00); 
BgL_auxz00_5242 = 
CNST_TABLE_REF(((long)64)); 
BgL_arg3013z00_3197 = 
MAKE_PAIR(BgL_auxz00_5242, BgL_auxz00_5244); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_50))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3197), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_50, 
CNST_TABLE_REF(((long)5)));} 
}



/* __lmul */
obj_t BGl___lmulz00zzjvm_instrz00(obj_t BgL_envz00_4495, obj_t BgL_envz00_4496)
{ AN_OBJECT;
{ /* Jvm/instr.scm 266 */
return 
BGl__lmulz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4496));} 
}



/* _ldiv */
obj_t BGl__ldivz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_51)
{ AN_OBJECT;
{ /* Jvm/instr.scm 267 */
{ /* Jvm/instr.scm 267 */
obj_t BgL_arg3013z00_3205;
{ /* Jvm/instr.scm 267 */
obj_t BgL_auxz00_5254;obj_t BgL_auxz00_5252;
BgL_auxz00_5254 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_codez00); 
BgL_auxz00_5252 = 
CNST_TABLE_REF(((long)65)); 
BgL_arg3013z00_3205 = 
MAKE_PAIR(BgL_auxz00_5252, BgL_auxz00_5254); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3205), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_51, 
CNST_TABLE_REF(((long)5)));} 
}



/* __ldiv */
obj_t BGl___ldivz00zzjvm_instrz00(obj_t BgL_envz00_4497, obj_t BgL_envz00_4498)
{ AN_OBJECT;
{ /* Jvm/instr.scm 267 */
return 
BGl__ldivz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4498));} 
}



/* _lrem */
obj_t BGl__lremz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_52)
{ AN_OBJECT;
{ /* Jvm/instr.scm 268 */
{ /* Jvm/instr.scm 268 */
obj_t BgL_arg3013z00_3213;
{ /* Jvm/instr.scm 268 */
obj_t BgL_auxz00_5264;obj_t BgL_auxz00_5262;
BgL_auxz00_5264 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_52))->BgL_codez00); 
BgL_auxz00_5262 = 
CNST_TABLE_REF(((long)66)); 
BgL_arg3013z00_3213 = 
MAKE_PAIR(BgL_auxz00_5262, BgL_auxz00_5264); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_52))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3213), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_52, 
CNST_TABLE_REF(((long)5)));} 
}



/* __lrem */
obj_t BGl___lremz00zzjvm_instrz00(obj_t BgL_envz00_4499, obj_t BgL_envz00_4500)
{ AN_OBJECT;
{ /* Jvm/instr.scm 268 */
return 
BGl__lremz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4500));} 
}



/* _lneg */
obj_t BGl__lnegz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_53)
{ AN_OBJECT;
{ /* Jvm/instr.scm 269 */
{ /* Jvm/instr.scm 269 */
obj_t BgL_arg3013z00_3221;
{ /* Jvm/instr.scm 269 */
obj_t BgL_auxz00_5274;obj_t BgL_auxz00_5272;
BgL_auxz00_5274 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_53))->BgL_codez00); 
BgL_auxz00_5272 = 
CNST_TABLE_REF(((long)67)); 
BgL_arg3013z00_3221 = 
MAKE_PAIR(BgL_auxz00_5272, BgL_auxz00_5274); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_53))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3221), BUNSPEC); } 
return BTRUE;} 
}



/* __lneg */
obj_t BGl___lnegz00zzjvm_instrz00(obj_t BgL_envz00_4501, obj_t BgL_envz00_4502)
{ AN_OBJECT;
{ /* Jvm/instr.scm 269 */
return 
BGl__lnegz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4502));} 
}



/* _lor */
obj_t BGl__lorz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_54)
{ AN_OBJECT;
{ /* Jvm/instr.scm 270 */
{ /* Jvm/instr.scm 270 */
obj_t BgL_arg3013z00_3229;
{ /* Jvm/instr.scm 270 */
obj_t BgL_auxz00_5282;obj_t BgL_auxz00_5280;
BgL_auxz00_5282 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_54))->BgL_codez00); 
BgL_auxz00_5280 = 
CNST_TABLE_REF(((long)68)); 
BgL_arg3013z00_3229 = 
MAKE_PAIR(BgL_auxz00_5280, BgL_auxz00_5282); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_54))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3229), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_54, 
CNST_TABLE_REF(((long)5)));} 
}



/* __lor */
obj_t BGl___lorz00zzjvm_instrz00(obj_t BgL_envz00_4503, obj_t BgL_envz00_4504)
{ AN_OBJECT;
{ /* Jvm/instr.scm 270 */
return 
BGl__lorz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4504));} 
}



/* _land */
obj_t BGl__landz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_55)
{ AN_OBJECT;
{ /* Jvm/instr.scm 271 */
{ /* Jvm/instr.scm 271 */
obj_t BgL_arg3013z00_3237;
{ /* Jvm/instr.scm 271 */
obj_t BgL_auxz00_5292;obj_t BgL_auxz00_5290;
BgL_auxz00_5292 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_55))->BgL_codez00); 
BgL_auxz00_5290 = 
CNST_TABLE_REF(((long)69)); 
BgL_arg3013z00_3237 = 
MAKE_PAIR(BgL_auxz00_5290, BgL_auxz00_5292); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_55))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3237), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_55, 
CNST_TABLE_REF(((long)5)));} 
}



/* __land */
obj_t BGl___landz00zzjvm_instrz00(obj_t BgL_envz00_4505, obj_t BgL_envz00_4506)
{ AN_OBJECT;
{ /* Jvm/instr.scm 271 */
return 
BGl__landz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4506));} 
}



/* _lxor */
obj_t BGl__lxorz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_56)
{ AN_OBJECT;
{ /* Jvm/instr.scm 272 */
{ /* Jvm/instr.scm 272 */
obj_t BgL_arg3013z00_3245;
{ /* Jvm/instr.scm 272 */
obj_t BgL_auxz00_5302;obj_t BgL_auxz00_5300;
BgL_auxz00_5302 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_56))->BgL_codez00); 
BgL_auxz00_5300 = 
CNST_TABLE_REF(((long)70)); 
BgL_arg3013z00_3245 = 
MAKE_PAIR(BgL_auxz00_5300, BgL_auxz00_5302); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_56))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3245), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_56, 
CNST_TABLE_REF(((long)5)));} 
}



/* __lxor */
obj_t BGl___lxorz00zzjvm_instrz00(obj_t BgL_envz00_4507, obj_t BgL_envz00_4508)
{ AN_OBJECT;
{ /* Jvm/instr.scm 272 */
return 
BGl__lxorz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4508));} 
}



/* _lshl */
obj_t BGl__lshlz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_57)
{ AN_OBJECT;
{ /* Jvm/instr.scm 273 */
{ /* Jvm/instr.scm 273 */
obj_t BgL_arg3013z00_3253;
{ /* Jvm/instr.scm 273 */
obj_t BgL_auxz00_5312;obj_t BgL_auxz00_5310;
BgL_auxz00_5312 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_57))->BgL_codez00); 
BgL_auxz00_5310 = 
CNST_TABLE_REF(((long)71)); 
BgL_arg3013z00_3253 = 
MAKE_PAIR(BgL_auxz00_5310, BgL_auxz00_5312); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_57))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3253), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_57, 
CNST_TABLE_REF(((long)5)));} 
}



/* __lshl */
obj_t BGl___lshlz00zzjvm_instrz00(obj_t BgL_envz00_4509, obj_t BgL_envz00_4510)
{ AN_OBJECT;
{ /* Jvm/instr.scm 273 */
return 
BGl__lshlz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4510));} 
}



/* _lshr */
obj_t BGl__lshrz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_58)
{ AN_OBJECT;
{ /* Jvm/instr.scm 274 */
{ /* Jvm/instr.scm 274 */
obj_t BgL_arg3013z00_3261;
{ /* Jvm/instr.scm 274 */
obj_t BgL_auxz00_5322;obj_t BgL_auxz00_5320;
BgL_auxz00_5322 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_58))->BgL_codez00); 
BgL_auxz00_5320 = 
CNST_TABLE_REF(((long)72)); 
BgL_arg3013z00_3261 = 
MAKE_PAIR(BgL_auxz00_5320, BgL_auxz00_5322); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_58))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3261), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_58, 
CNST_TABLE_REF(((long)5)));} 
}



/* __lshr */
obj_t BGl___lshrz00zzjvm_instrz00(obj_t BgL_envz00_4511, obj_t BgL_envz00_4512)
{ AN_OBJECT;
{ /* Jvm/instr.scm 274 */
return 
BGl__lshrz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4512));} 
}



/* _lushr */
obj_t BGl__lushrz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_59)
{ AN_OBJECT;
{ /* Jvm/instr.scm 275 */
{ /* Jvm/instr.scm 275 */
obj_t BgL_arg3013z00_3269;
{ /* Jvm/instr.scm 275 */
obj_t BgL_auxz00_5332;obj_t BgL_auxz00_5330;
BgL_auxz00_5332 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_59))->BgL_codez00); 
BgL_auxz00_5330 = 
CNST_TABLE_REF(((long)73)); 
BgL_arg3013z00_3269 = 
MAKE_PAIR(BgL_auxz00_5330, BgL_auxz00_5332); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_59))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3269), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_59, 
CNST_TABLE_REF(((long)5)));} 
}



/* __lushr */
obj_t BGl___lushrz00zzjvm_instrz00(obj_t BgL_envz00_4513, obj_t BgL_envz00_4514)
{ AN_OBJECT;
{ /* Jvm/instr.scm 275 */
return 
BGl__lushrz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4514));} 
}



/* _dadd */
obj_t BGl__daddz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_60)
{ AN_OBJECT;
{ /* Jvm/instr.scm 277 */
{ /* Jvm/instr.scm 277 */
obj_t BgL_arg3013z00_3277;
{ /* Jvm/instr.scm 277 */
obj_t BgL_auxz00_5342;obj_t BgL_auxz00_5340;
BgL_auxz00_5342 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_60))->BgL_codez00); 
BgL_auxz00_5340 = 
CNST_TABLE_REF(((long)74)); 
BgL_arg3013z00_3277 = 
MAKE_PAIR(BgL_auxz00_5340, BgL_auxz00_5342); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_60))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3277), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_60, 
CNST_TABLE_REF(((long)7)));} 
}



/* __dadd */
obj_t BGl___daddz00zzjvm_instrz00(obj_t BgL_envz00_4515, obj_t BgL_envz00_4516)
{ AN_OBJECT;
{ /* Jvm/instr.scm 277 */
return 
BGl__daddz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4516));} 
}



/* _dsub */
obj_t BGl__dsubz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_61)
{ AN_OBJECT;
{ /* Jvm/instr.scm 278 */
{ /* Jvm/instr.scm 278 */
obj_t BgL_arg3013z00_3285;
{ /* Jvm/instr.scm 278 */
obj_t BgL_auxz00_5352;obj_t BgL_auxz00_5350;
BgL_auxz00_5352 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_61))->BgL_codez00); 
BgL_auxz00_5350 = 
CNST_TABLE_REF(((long)75)); 
BgL_arg3013z00_3285 = 
MAKE_PAIR(BgL_auxz00_5350, BgL_auxz00_5352); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_61))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3285), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)7)));} 
}



/* __dsub */
obj_t BGl___dsubz00zzjvm_instrz00(obj_t BgL_envz00_4517, obj_t BgL_envz00_4518)
{ AN_OBJECT;
{ /* Jvm/instr.scm 278 */
return 
BGl__dsubz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4518));} 
}



/* _dmul */
obj_t BGl__dmulz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_62)
{ AN_OBJECT;
{ /* Jvm/instr.scm 279 */
{ /* Jvm/instr.scm 279 */
obj_t BgL_arg3013z00_3293;
{ /* Jvm/instr.scm 279 */
obj_t BgL_auxz00_5362;obj_t BgL_auxz00_5360;
BgL_auxz00_5362 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_62))->BgL_codez00); 
BgL_auxz00_5360 = 
CNST_TABLE_REF(((long)76)); 
BgL_arg3013z00_3293 = 
MAKE_PAIR(BgL_auxz00_5360, BgL_auxz00_5362); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_62))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3293), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_62, 
CNST_TABLE_REF(((long)7)));} 
}



/* __dmul */
obj_t BGl___dmulz00zzjvm_instrz00(obj_t BgL_envz00_4519, obj_t BgL_envz00_4520)
{ AN_OBJECT;
{ /* Jvm/instr.scm 279 */
return 
BGl__dmulz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4520));} 
}



/* _ddiv */
obj_t BGl__ddivz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_63)
{ AN_OBJECT;
{ /* Jvm/instr.scm 280 */
{ /* Jvm/instr.scm 280 */
obj_t BgL_arg3013z00_3301;
{ /* Jvm/instr.scm 280 */
obj_t BgL_auxz00_5372;obj_t BgL_auxz00_5370;
BgL_auxz00_5372 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_63))->BgL_codez00); 
BgL_auxz00_5370 = 
CNST_TABLE_REF(((long)77)); 
BgL_arg3013z00_3301 = 
MAKE_PAIR(BgL_auxz00_5370, BgL_auxz00_5372); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_63))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3301), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_63, 
CNST_TABLE_REF(((long)7)));} 
}



/* __ddiv */
obj_t BGl___ddivz00zzjvm_instrz00(obj_t BgL_envz00_4521, obj_t BgL_envz00_4522)
{ AN_OBJECT;
{ /* Jvm/instr.scm 280 */
return 
BGl__ddivz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4522));} 
}



/* _drem */
obj_t BGl__dremz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_64)
{ AN_OBJECT;
{ /* Jvm/instr.scm 281 */
{ /* Jvm/instr.scm 281 */
obj_t BgL_arg3013z00_3309;
{ /* Jvm/instr.scm 281 */
obj_t BgL_auxz00_5382;obj_t BgL_auxz00_5380;
BgL_auxz00_5382 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_64))->BgL_codez00); 
BgL_auxz00_5380 = 
CNST_TABLE_REF(((long)78)); 
BgL_arg3013z00_3309 = 
MAKE_PAIR(BgL_auxz00_5380, BgL_auxz00_5382); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_64))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3309), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_64, 
CNST_TABLE_REF(((long)7)));} 
}



/* __drem */
obj_t BGl___dremz00zzjvm_instrz00(obj_t BgL_envz00_4523, obj_t BgL_envz00_4524)
{ AN_OBJECT;
{ /* Jvm/instr.scm 281 */
return 
BGl__dremz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4524));} 
}



/* _dneg */
obj_t BGl__dnegz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_65)
{ AN_OBJECT;
{ /* Jvm/instr.scm 282 */
{ /* Jvm/instr.scm 282 */
obj_t BgL_arg3013z00_3317;
{ /* Jvm/instr.scm 282 */
obj_t BgL_auxz00_5392;obj_t BgL_auxz00_5390;
BgL_auxz00_5392 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_65))->BgL_codez00); 
BgL_auxz00_5390 = 
CNST_TABLE_REF(((long)79)); 
BgL_arg3013z00_3317 = 
MAKE_PAIR(BgL_auxz00_5390, BgL_auxz00_5392); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_65))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3317), BUNSPEC); } 
return BTRUE;} 
}



/* __dneg */
obj_t BGl___dnegz00zzjvm_instrz00(obj_t BgL_envz00_4525, obj_t BgL_envz00_4526)
{ AN_OBJECT;
{ /* Jvm/instr.scm 282 */
return 
BGl__dnegz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4526));} 
}



/* _lcmp */
obj_t BGl__lcmpz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_66)
{ AN_OBJECT;
{ /* Jvm/instr.scm 284 */
{ /* Jvm/instr.scm 285 */
obj_t BgL_arg3013z00_3325;
{ /* Jvm/instr.scm 285 */
obj_t BgL_auxz00_5400;obj_t BgL_auxz00_5398;
BgL_auxz00_5400 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_66))->BgL_codez00); 
BgL_auxz00_5398 = 
CNST_TABLE_REF(((long)80)); 
BgL_arg3013z00_3325 = 
MAKE_PAIR(BgL_auxz00_5398, BgL_auxz00_5400); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_66))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3325), BUNSPEC); } ((bool_t)1); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_66, 
CNST_TABLE_REF(((long)5))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_66, 
CNST_TABLE_REF(((long)5))); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_66, 
CNST_TABLE_REF(((long)4)));} 
}



/* __lcmp */
obj_t BGl___lcmpz00zzjvm_instrz00(obj_t BgL_envz00_4527, obj_t BgL_envz00_4528)
{ AN_OBJECT;
{ /* Jvm/instr.scm 284 */
return 
BGl__lcmpz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4528));} 
}



/* _dcmpg */
obj_t BGl__dcmpgz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_67)
{ AN_OBJECT;
{ /* Jvm/instr.scm 290 */
{ /* Jvm/instr.scm 291 */
obj_t BgL_arg3013z00_3333;
{ /* Jvm/instr.scm 291 */
obj_t BgL_auxz00_5414;obj_t BgL_auxz00_5412;
BgL_auxz00_5414 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_67))->BgL_codez00); 
BgL_auxz00_5412 = 
CNST_TABLE_REF(((long)81)); 
BgL_arg3013z00_3333 = 
MAKE_PAIR(BgL_auxz00_5412, BgL_auxz00_5414); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_67))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3333), BUNSPEC); } ((bool_t)1); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_67, 
CNST_TABLE_REF(((long)7))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_67, 
CNST_TABLE_REF(((long)7))); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_67, 
CNST_TABLE_REF(((long)4)));} 
}



/* __dcmpg */
obj_t BGl___dcmpgz00zzjvm_instrz00(obj_t BgL_envz00_4529, obj_t BgL_envz00_4530)
{ AN_OBJECT;
{ /* Jvm/instr.scm 290 */
return 
BGl__dcmpgz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4530));} 
}



/* _dcmpl */
obj_t BGl__dcmplz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_68)
{ AN_OBJECT;
{ /* Jvm/instr.scm 296 */
{ /* Jvm/instr.scm 297 */
obj_t BgL_arg3013z00_3341;
{ /* Jvm/instr.scm 297 */
obj_t BgL_auxz00_5428;obj_t BgL_auxz00_5426;
BgL_auxz00_5428 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_68))->BgL_codez00); 
BgL_auxz00_5426 = 
CNST_TABLE_REF(((long)82)); 
BgL_arg3013z00_3341 = 
MAKE_PAIR(BgL_auxz00_5426, BgL_auxz00_5428); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_68))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3341), BUNSPEC); } ((bool_t)1); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_68, 
CNST_TABLE_REF(((long)7))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_68, 
CNST_TABLE_REF(((long)7))); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_68, 
CNST_TABLE_REF(((long)4)));} 
}



/* __dcmpl */
obj_t BGl___dcmplz00zzjvm_instrz00(obj_t BgL_envz00_4531, obj_t BgL_envz00_4532)
{ AN_OBJECT;
{ /* Jvm/instr.scm 296 */
return 
BGl__dcmplz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4532));} 
}



/* _i2l */
obj_t BGl__i2lz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_69)
{ AN_OBJECT;
{ /* Jvm/instr.scm 302 */
{ /* Jvm/instr.scm 302 */
obj_t BgL_tfromz00_3348;obj_t BgL_ttoz00_3349;
BgL_tfromz00_3348 = 
CNST_TABLE_REF(((long)4)); 
BgL_ttoz00_3349 = 
CNST_TABLE_REF(((long)5)); 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_69, 
CNST_TABLE_REF(((long)83))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_69, BgL_tfromz00_3348); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_69, BgL_ttoz00_3349);} } 
}



/* __i2l */
obj_t BGl___i2lz00zzjvm_instrz00(obj_t BgL_envz00_4533, obj_t BgL_envz00_4534)
{ AN_OBJECT;
{ /* Jvm/instr.scm 302 */
return 
BGl__i2lz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4534));} 
}



/* _i2b */
obj_t BGl__i2bz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_70)
{ AN_OBJECT;
{ /* Jvm/instr.scm 303 */
{ /* Jvm/instr.scm 303 */
obj_t BgL_tfromz00_3352;obj_t BgL_ttoz00_3353;
BgL_tfromz00_3352 = 
CNST_TABLE_REF(((long)4)); 
BgL_ttoz00_3353 = 
CNST_TABLE_REF(((long)4)); 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_70, 
CNST_TABLE_REF(((long)84))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_70, BgL_tfromz00_3352); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_70, BgL_ttoz00_3353);} } 
}



/* __i2b */
obj_t BGl___i2bz00zzjvm_instrz00(obj_t BgL_envz00_4535, obj_t BgL_envz00_4536)
{ AN_OBJECT;
{ /* Jvm/instr.scm 303 */
return 
BGl__i2bz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4536));} 
}



/* _i2d */
obj_t BGl__i2dz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_71)
{ AN_OBJECT;
{ /* Jvm/instr.scm 304 */
{ /* Jvm/instr.scm 304 */
obj_t BgL_tfromz00_3356;obj_t BgL_ttoz00_3357;
BgL_tfromz00_3356 = 
CNST_TABLE_REF(((long)4)); 
BgL_ttoz00_3357 = 
CNST_TABLE_REF(((long)7)); 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_71, 
CNST_TABLE_REF(((long)85))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_71, BgL_tfromz00_3356); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_71, BgL_ttoz00_3357);} } 
}



/* __i2d */
obj_t BGl___i2dz00zzjvm_instrz00(obj_t BgL_envz00_4537, obj_t BgL_envz00_4538)
{ AN_OBJECT;
{ /* Jvm/instr.scm 304 */
return 
BGl__i2dz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4538));} 
}



/* _l2i */
obj_t BGl__l2iz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_72)
{ AN_OBJECT;
{ /* Jvm/instr.scm 305 */
{ /* Jvm/instr.scm 305 */
obj_t BgL_tfromz00_3360;obj_t BgL_ttoz00_3361;
BgL_tfromz00_3360 = 
CNST_TABLE_REF(((long)5)); 
BgL_ttoz00_3361 = 
CNST_TABLE_REF(((long)4)); 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_72, 
CNST_TABLE_REF(((long)86))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_72, BgL_tfromz00_3360); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_72, BgL_ttoz00_3361);} } 
}



/* __l2i */
obj_t BGl___l2iz00zzjvm_instrz00(obj_t BgL_envz00_4539, obj_t BgL_envz00_4540)
{ AN_OBJECT;
{ /* Jvm/instr.scm 305 */
return 
BGl__l2iz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4540));} 
}



/* _l2d */
obj_t BGl__l2dz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_73)
{ AN_OBJECT;
{ /* Jvm/instr.scm 306 */
{ /* Jvm/instr.scm 306 */
obj_t BgL_tfromz00_3364;obj_t BgL_ttoz00_3365;
BgL_tfromz00_3364 = 
CNST_TABLE_REF(((long)5)); 
BgL_ttoz00_3365 = 
CNST_TABLE_REF(((long)7)); 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_73, 
CNST_TABLE_REF(((long)87))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_73, BgL_tfromz00_3364); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_73, BgL_ttoz00_3365);} } 
}



/* __l2d */
obj_t BGl___l2dz00zzjvm_instrz00(obj_t BgL_envz00_4541, obj_t BgL_envz00_4542)
{ AN_OBJECT;
{ /* Jvm/instr.scm 306 */
return 
BGl__l2dz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4542));} 
}



/* _d2i */
obj_t BGl__d2iz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_74)
{ AN_OBJECT;
{ /* Jvm/instr.scm 307 */
{ /* Jvm/instr.scm 307 */
obj_t BgL_tfromz00_3368;obj_t BgL_ttoz00_3369;
BgL_tfromz00_3368 = 
CNST_TABLE_REF(((long)7)); 
BgL_ttoz00_3369 = 
CNST_TABLE_REF(((long)4)); 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_74, 
CNST_TABLE_REF(((long)88))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_74, BgL_tfromz00_3368); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_74, BgL_ttoz00_3369);} } 
}



/* __d2i */
obj_t BGl___d2iz00zzjvm_instrz00(obj_t BgL_envz00_4543, obj_t BgL_envz00_4544)
{ AN_OBJECT;
{ /* Jvm/instr.scm 307 */
return 
BGl__d2iz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4544));} 
}



/* _d2l */
obj_t BGl__d2lz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_75)
{ AN_OBJECT;
{ /* Jvm/instr.scm 308 */
{ /* Jvm/instr.scm 308 */
obj_t BgL_tfromz00_3372;obj_t BgL_ttoz00_3373;
BgL_tfromz00_3372 = 
CNST_TABLE_REF(((long)7)); 
BgL_ttoz00_3373 = 
CNST_TABLE_REF(((long)5)); 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_75, 
CNST_TABLE_REF(((long)89))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_75, BgL_tfromz00_3372); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_75, BgL_ttoz00_3373);} } 
}



/* __d2l */
obj_t BGl___d2lz00zzjvm_instrz00(obj_t BgL_envz00_4545, obj_t BgL_envz00_4546)
{ AN_OBJECT;
{ /* Jvm/instr.scm 308 */
return 
BGl__d2lz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4546));} 
}



/* _d2f */
obj_t BGl__d2fz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_76)
{ AN_OBJECT;
{ /* Jvm/instr.scm 309 */
{ /* Jvm/instr.scm 309 */
obj_t BgL_tfromz00_3376;obj_t BgL_ttoz00_3377;
BgL_tfromz00_3376 = 
CNST_TABLE_REF(((long)7)); 
BgL_ttoz00_3377 = 
CNST_TABLE_REF(((long)6)); 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_76, 
CNST_TABLE_REF(((long)90))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_76, BgL_tfromz00_3376); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_76, BgL_ttoz00_3377);} } 
}



/* __d2f */
obj_t BGl___d2fz00zzjvm_instrz00(obj_t BgL_envz00_4547, obj_t BgL_envz00_4548)
{ AN_OBJECT;
{ /* Jvm/instr.scm 309 */
return 
BGl__d2fz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4548));} 
}



/* _f2d */
obj_t BGl__f2dz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_77)
{ AN_OBJECT;
{ /* Jvm/instr.scm 310 */
{ /* Jvm/instr.scm 310 */
obj_t BgL_tfromz00_3380;obj_t BgL_ttoz00_3381;
BgL_tfromz00_3380 = 
CNST_TABLE_REF(((long)6)); 
BgL_ttoz00_3381 = 
CNST_TABLE_REF(((long)7)); 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_77, 
CNST_TABLE_REF(((long)91))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_77, BgL_tfromz00_3380); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_77, BgL_ttoz00_3381);} } 
}



/* __f2d */
obj_t BGl___f2dz00zzjvm_instrz00(obj_t BgL_envz00_4549, obj_t BgL_envz00_4550)
{ AN_OBJECT;
{ /* Jvm/instr.scm 310 */
return 
BGl__f2dz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4550));} 
}



/* _label */
obj_t BGl__labelz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_82, obj_t BgL_labz00_83)
{ AN_OBJECT;
{ /* Jvm/instr.scm 318 */
{ /* Jvm/instr.scm 319 */
bool_t BgL_auxz00_5512;
BgL_auxz00_5512 = 
BGl_envzd2newzd2labelz12z12zzjvm_instrz00(BgL_envz00_82, BgL_labz00_83); 
return 
BBOOL(BgL_auxz00_5512);} } 
}



/* __label */
obj_t BGl___labelz00zzjvm_instrz00(obj_t BgL_envz00_4551, obj_t BgL_envz00_4552, obj_t BgL_labz00_4553)
{ AN_OBJECT;
{ /* Jvm/instr.scm 318 */
return 
BGl__labelz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4552), BgL_labz00_4553);} 
}



/* _if */
obj_t BGl__ifz00zzjvm_instrz00(obj_t BgL_opz00_84, BgL_envz00_bglt BgL_envz00_85, obj_t BgL_labz00_86)
{ AN_OBJECT;
{ /* Jvm/instr.scm 323 */
{ /* Jvm/instr.scm 325 */
obj_t BgL_arg3120z00_1791;
{ /* Jvm/instr.scm 325 */
bool_t BgL_testz00_5517;
{ /* Jvm/instr.scm 325 */
obj_t BgL_auxz00_5518;
BgL_auxz00_5518 = 
CNST_TABLE_REF(((long)92)); 
BgL_testz00_5517 = 
(BgL_opz00_84==BgL_auxz00_5518); } 
if(BgL_testz00_5517)
{ /* Jvm/instr.scm 326 */
obj_t BgL_arg3122z00_1794;obj_t BgL_arg3123z00_1795;
BgL_arg3122z00_1794 = 
CNST_TABLE_REF(((long)93)); 
BgL_arg3123z00_1795 = 
MAKE_PAIR(BgL_labz00_86, BNIL); 
BgL_arg3120z00_1791 = 
MAKE_PAIR(BgL_arg3122z00_1794, BgL_arg3123z00_1795); }  else 
{ /* Jvm/instr.scm 325 */
bool_t BgL_testz00_5524;
{ /* Jvm/instr.scm 325 */
obj_t BgL_auxz00_5525;
BgL_auxz00_5525 = 
CNST_TABLE_REF(((long)94)); 
BgL_testz00_5524 = 
(BgL_opz00_84==BgL_auxz00_5525); } 
if(BgL_testz00_5524)
{ /* Jvm/instr.scm 327 */
obj_t BgL_arg3125z00_1797;obj_t BgL_arg3126z00_1798;
BgL_arg3125z00_1797 = 
CNST_TABLE_REF(((long)95)); 
BgL_arg3126z00_1798 = 
MAKE_PAIR(BgL_labz00_86, BNIL); 
BgL_arg3120z00_1791 = 
MAKE_PAIR(BgL_arg3125z00_1797, BgL_arg3126z00_1798); }  else 
{ /* Jvm/instr.scm 325 */
bool_t BgL_testz00_5531;
{ /* Jvm/instr.scm 325 */
obj_t BgL_auxz00_5532;
BgL_auxz00_5532 = 
CNST_TABLE_REF(((long)96)); 
BgL_testz00_5531 = 
(BgL_opz00_84==BgL_auxz00_5532); } 
if(BgL_testz00_5531)
{ /* Jvm/instr.scm 328 */
obj_t BgL_arg3128z00_1800;obj_t BgL_arg3129z00_1801;
BgL_arg3128z00_1800 = 
CNST_TABLE_REF(((long)97)); 
BgL_arg3129z00_1801 = 
MAKE_PAIR(BgL_labz00_86, BNIL); 
BgL_arg3120z00_1791 = 
MAKE_PAIR(BgL_arg3128z00_1800, BgL_arg3129z00_1801); }  else 
{ /* Jvm/instr.scm 325 */
bool_t BgL_testz00_5538;
{ /* Jvm/instr.scm 325 */
obj_t BgL_auxz00_5539;
BgL_auxz00_5539 = 
CNST_TABLE_REF(((long)98)); 
BgL_testz00_5538 = 
(BgL_opz00_84==BgL_auxz00_5539); } 
if(BgL_testz00_5538)
{ /* Jvm/instr.scm 329 */
obj_t BgL_arg3131z00_1803;obj_t BgL_arg3132z00_1804;
BgL_arg3131z00_1803 = 
CNST_TABLE_REF(((long)99)); 
BgL_arg3132z00_1804 = 
MAKE_PAIR(BgL_labz00_86, BNIL); 
BgL_arg3120z00_1791 = 
MAKE_PAIR(BgL_arg3131z00_1803, BgL_arg3132z00_1804); }  else 
{ /* Jvm/instr.scm 325 */
bool_t BgL_testz00_5545;
{ /* Jvm/instr.scm 325 */
obj_t BgL_auxz00_5546;
BgL_auxz00_5546 = 
CNST_TABLE_REF(((long)100)); 
BgL_testz00_5545 = 
(BgL_opz00_84==BgL_auxz00_5546); } 
if(BgL_testz00_5545)
{ /* Jvm/instr.scm 330 */
obj_t BgL_arg3134z00_1806;obj_t BgL_arg3135z00_1807;
BgL_arg3134z00_1806 = 
CNST_TABLE_REF(((long)101)); 
BgL_arg3135z00_1807 = 
MAKE_PAIR(BgL_labz00_86, BNIL); 
BgL_arg3120z00_1791 = 
MAKE_PAIR(BgL_arg3134z00_1806, BgL_arg3135z00_1807); }  else 
{ /* Jvm/instr.scm 325 */
bool_t BgL_testz00_5552;
{ /* Jvm/instr.scm 325 */
obj_t BgL_auxz00_5553;
BgL_auxz00_5553 = 
CNST_TABLE_REF(((long)102)); 
BgL_testz00_5552 = 
(BgL_opz00_84==BgL_auxz00_5553); } 
if(BgL_testz00_5552)
{ /* Jvm/instr.scm 331 */
obj_t BgL_arg3137z00_1809;obj_t BgL_arg3138z00_1810;
BgL_arg3137z00_1809 = 
CNST_TABLE_REF(((long)103)); 
BgL_arg3138z00_1810 = 
MAKE_PAIR(BgL_labz00_86, BNIL); 
BgL_arg3120z00_1791 = 
MAKE_PAIR(BgL_arg3137z00_1809, BgL_arg3138z00_1810); }  else 
{ 
obj_t BgL_auxz00_5559;
BgL_auxz00_5559 = 
CNST_TABLE_REF(((long)104)); 
FAILURE(BgL_auxz00_5559,BGl_string3762z00zzjvm_instrz00,BgL_opz00_84);} } } } } } } 
{ /* Jvm/instr.scm 324 */
obj_t BgL_arg3013z00_3396;
{ /* Jvm/instr.scm 324 */
obj_t BgL_auxz00_5562;
BgL_auxz00_5562 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_85))->BgL_codez00); 
BgL_arg3013z00_3396 = 
MAKE_PAIR(BgL_arg3120z00_1791, BgL_auxz00_5562); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_85))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3396), BUNSPEC); } ((bool_t)1); } 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_85, 
CNST_TABLE_REF(((long)4)));} 
}



/* __if */
obj_t BGl___ifz00zzjvm_instrz00(obj_t BgL_envz00_4554, obj_t BgL_opz00_4555, obj_t BgL_envz00_4556, obj_t BgL_labz00_4557)
{ AN_OBJECT;
{ /* Jvm/instr.scm 323 */
return 
BGl__ifz00zzjvm_instrz00(BgL_opz00_4555, 
(BgL_envz00_bglt)(BgL_envz00_4556), BgL_labz00_4557);} 
}



/* _if_icmp */
obj_t BGl__if_icmpz00zzjvm_instrz00(obj_t BgL_opz00_87, BgL_envz00_bglt BgL_envz00_88, obj_t BgL_labz00_89)
{ AN_OBJECT;
{ /* Jvm/instr.scm 335 */
{ /* Jvm/instr.scm 337 */
obj_t BgL_arg3139z00_1811;
{ /* Jvm/instr.scm 337 */
bool_t BgL_testz00_5570;
{ /* Jvm/instr.scm 337 */
obj_t BgL_auxz00_5571;
BgL_auxz00_5571 = 
CNST_TABLE_REF(((long)92)); 
BgL_testz00_5570 = 
(BgL_opz00_87==BgL_auxz00_5571); } 
if(BgL_testz00_5570)
{ /* Jvm/instr.scm 338 */
obj_t BgL_arg3141z00_1814;obj_t BgL_arg3142z00_1815;
BgL_arg3141z00_1814 = 
CNST_TABLE_REF(((long)105)); 
BgL_arg3142z00_1815 = 
MAKE_PAIR(BgL_labz00_89, BNIL); 
BgL_arg3139z00_1811 = 
MAKE_PAIR(BgL_arg3141z00_1814, BgL_arg3142z00_1815); }  else 
{ /* Jvm/instr.scm 337 */
bool_t BgL_testz00_5577;
{ /* Jvm/instr.scm 337 */
obj_t BgL_auxz00_5578;
BgL_auxz00_5578 = 
CNST_TABLE_REF(((long)94)); 
BgL_testz00_5577 = 
(BgL_opz00_87==BgL_auxz00_5578); } 
if(BgL_testz00_5577)
{ /* Jvm/instr.scm 339 */
obj_t BgL_arg3144z00_1817;obj_t BgL_arg3145z00_1818;
BgL_arg3144z00_1817 = 
CNST_TABLE_REF(((long)106)); 
BgL_arg3145z00_1818 = 
MAKE_PAIR(BgL_labz00_89, BNIL); 
BgL_arg3139z00_1811 = 
MAKE_PAIR(BgL_arg3144z00_1817, BgL_arg3145z00_1818); }  else 
{ /* Jvm/instr.scm 337 */
bool_t BgL_testz00_5584;
{ /* Jvm/instr.scm 337 */
obj_t BgL_auxz00_5585;
BgL_auxz00_5585 = 
CNST_TABLE_REF(((long)96)); 
BgL_testz00_5584 = 
(BgL_opz00_87==BgL_auxz00_5585); } 
if(BgL_testz00_5584)
{ /* Jvm/instr.scm 340 */
obj_t BgL_arg3147z00_1820;obj_t BgL_arg3148z00_1821;
BgL_arg3147z00_1820 = 
CNST_TABLE_REF(((long)107)); 
BgL_arg3148z00_1821 = 
MAKE_PAIR(BgL_labz00_89, BNIL); 
BgL_arg3139z00_1811 = 
MAKE_PAIR(BgL_arg3147z00_1820, BgL_arg3148z00_1821); }  else 
{ /* Jvm/instr.scm 337 */
bool_t BgL_testz00_5591;
{ /* Jvm/instr.scm 337 */
obj_t BgL_auxz00_5592;
BgL_auxz00_5592 = 
CNST_TABLE_REF(((long)98)); 
BgL_testz00_5591 = 
(BgL_opz00_87==BgL_auxz00_5592); } 
if(BgL_testz00_5591)
{ /* Jvm/instr.scm 341 */
obj_t BgL_arg3150z00_1823;obj_t BgL_arg3151z00_1824;
BgL_arg3150z00_1823 = 
CNST_TABLE_REF(((long)108)); 
BgL_arg3151z00_1824 = 
MAKE_PAIR(BgL_labz00_89, BNIL); 
BgL_arg3139z00_1811 = 
MAKE_PAIR(BgL_arg3150z00_1823, BgL_arg3151z00_1824); }  else 
{ /* Jvm/instr.scm 337 */
bool_t BgL_testz00_5598;
{ /* Jvm/instr.scm 337 */
obj_t BgL_auxz00_5599;
BgL_auxz00_5599 = 
CNST_TABLE_REF(((long)100)); 
BgL_testz00_5598 = 
(BgL_opz00_87==BgL_auxz00_5599); } 
if(BgL_testz00_5598)
{ /* Jvm/instr.scm 342 */
obj_t BgL_arg3153z00_1826;obj_t BgL_arg3154z00_1827;
BgL_arg3153z00_1826 = 
CNST_TABLE_REF(((long)109)); 
BgL_arg3154z00_1827 = 
MAKE_PAIR(BgL_labz00_89, BNIL); 
BgL_arg3139z00_1811 = 
MAKE_PAIR(BgL_arg3153z00_1826, BgL_arg3154z00_1827); }  else 
{ /* Jvm/instr.scm 337 */
bool_t BgL_testz00_5605;
{ /* Jvm/instr.scm 337 */
obj_t BgL_auxz00_5606;
BgL_auxz00_5606 = 
CNST_TABLE_REF(((long)102)); 
BgL_testz00_5605 = 
(BgL_opz00_87==BgL_auxz00_5606); } 
if(BgL_testz00_5605)
{ /* Jvm/instr.scm 343 */
obj_t BgL_arg3156z00_1829;obj_t BgL_arg3157z00_1830;
BgL_arg3156z00_1829 = 
CNST_TABLE_REF(((long)110)); 
BgL_arg3157z00_1830 = 
MAKE_PAIR(BgL_labz00_89, BNIL); 
BgL_arg3139z00_1811 = 
MAKE_PAIR(BgL_arg3156z00_1829, BgL_arg3157z00_1830); }  else 
{ 
obj_t BgL_auxz00_5612;
BgL_auxz00_5612 = 
CNST_TABLE_REF(((long)111)); 
FAILURE(BgL_auxz00_5612,BGl_string3762z00zzjvm_instrz00,BgL_opz00_87);} } } } } } } 
{ /* Jvm/instr.scm 336 */
obj_t BgL_arg3013z00_3407;
{ /* Jvm/instr.scm 336 */
obj_t BgL_auxz00_5615;
BgL_auxz00_5615 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_88))->BgL_codez00); 
BgL_arg3013z00_3407 = 
MAKE_PAIR(BgL_arg3139z00_1811, BgL_auxz00_5615); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_88))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3407), BUNSPEC); } ((bool_t)1); } 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)4))); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)4)));} 
}



/* __if_icmp */
obj_t BGl___if_icmpz00zzjvm_instrz00(obj_t BgL_envz00_4558, obj_t BgL_opz00_4559, obj_t BgL_envz00_4560, obj_t BgL_labz00_4561)
{ AN_OBJECT;
{ /* Jvm/instr.scm 335 */
return 
BGl__if_icmpz00zzjvm_instrz00(BgL_opz00_4559, 
(BgL_envz00_bglt)(BgL_envz00_4560), BgL_labz00_4561);} 
}



/* _if_acmp */
obj_t BGl__if_acmpz00zzjvm_instrz00(obj_t BgL_opz00_90, BgL_envz00_bglt BgL_envz00_91, obj_t BgL_labz00_92)
{ AN_OBJECT;
{ /* Jvm/instr.scm 348 */
{ /* Jvm/instr.scm 350 */
obj_t BgL_arg3158z00_1831;
{ /* Jvm/instr.scm 350 */
bool_t BgL_testz00_5625;
{ /* Jvm/instr.scm 350 */
obj_t BgL_auxz00_5626;
BgL_auxz00_5626 = 
CNST_TABLE_REF(((long)92)); 
BgL_testz00_5625 = 
(BgL_opz00_90==BgL_auxz00_5626); } 
if(BgL_testz00_5625)
{ /* Jvm/instr.scm 351 */
obj_t BgL_arg3160z00_1834;obj_t BgL_arg3161z00_1835;
BgL_arg3160z00_1834 = 
CNST_TABLE_REF(((long)112)); 
BgL_arg3161z00_1835 = 
MAKE_PAIR(BgL_labz00_92, BNIL); 
BgL_arg3158z00_1831 = 
MAKE_PAIR(BgL_arg3160z00_1834, BgL_arg3161z00_1835); }  else 
{ /* Jvm/instr.scm 350 */
bool_t BgL_testz00_5632;
{ /* Jvm/instr.scm 350 */
obj_t BgL_auxz00_5633;
BgL_auxz00_5633 = 
CNST_TABLE_REF(((long)94)); 
BgL_testz00_5632 = 
(BgL_opz00_90==BgL_auxz00_5633); } 
if(BgL_testz00_5632)
{ /* Jvm/instr.scm 352 */
obj_t BgL_arg3163z00_1837;obj_t BgL_arg3164z00_1838;
BgL_arg3163z00_1837 = 
CNST_TABLE_REF(((long)113)); 
BgL_arg3164z00_1838 = 
MAKE_PAIR(BgL_labz00_92, BNIL); 
BgL_arg3158z00_1831 = 
MAKE_PAIR(BgL_arg3163z00_1837, BgL_arg3164z00_1838); }  else 
{ 
obj_t BgL_auxz00_5639;
BgL_auxz00_5639 = 
CNST_TABLE_REF(((long)114)); 
FAILURE(BgL_auxz00_5639,BGl_string3762z00zzjvm_instrz00,BgL_opz00_90);} } } 
{ /* Jvm/instr.scm 349 */
obj_t BgL_arg3013z00_3418;
{ /* Jvm/instr.scm 349 */
obj_t BgL_auxz00_5642;
BgL_auxz00_5642 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_91))->BgL_codez00); 
BgL_arg3013z00_3418 = 
MAKE_PAIR(BgL_arg3158z00_1831, BgL_auxz00_5642); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_91))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3418), BUNSPEC); } ((bool_t)1); } 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_91, 
CNST_TABLE_REF(((long)8))); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_91, 
CNST_TABLE_REF(((long)8)));} 
}



/* __if_acmp */
obj_t BGl___if_acmpz00zzjvm_instrz00(obj_t BgL_envz00_4562, obj_t BgL_opz00_4563, obj_t BgL_envz00_4564, obj_t BgL_labz00_4565)
{ AN_OBJECT;
{ /* Jvm/instr.scm 348 */
return 
BGl__if_acmpz00zzjvm_instrz00(BgL_opz00_4563, 
(BgL_envz00_bglt)(BgL_envz00_4564), BgL_labz00_4565);} 
}



/* _goto */
obj_t BGl__gotoz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_93, obj_t BgL_labz00_94)
{ AN_OBJECT;
{ /* Jvm/instr.scm 357 */
{ /* Jvm/instr.scm 358 */
obj_t BgL_arg3165z00_3423;
{ /* Jvm/instr.scm 358 */
obj_t BgL_arg3166z00_3424;obj_t BgL_arg3167z00_3425;
BgL_arg3166z00_3424 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3167z00_3425 = 
MAKE_PAIR(BgL_labz00_94, BNIL); 
BgL_arg3165z00_3423 = 
MAKE_PAIR(BgL_arg3166z00_3424, BgL_arg3167z00_3425); } 
{ /* Jvm/instr.scm 358 */
obj_t BgL_arg3013z00_3429;
{ /* Jvm/instr.scm 358 */
obj_t BgL_auxz00_5655;
BgL_auxz00_5655 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_93))->BgL_codez00); 
BgL_arg3013z00_3429 = 
MAKE_PAIR(BgL_arg3165z00_3423, BgL_auxz00_5655); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_93))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3429), BUNSPEC); } 
return BTRUE;} } 
}



/* __goto */
obj_t BGl___gotoz00zzjvm_instrz00(obj_t BgL_envz00_4566, obj_t BgL_envz00_4567, obj_t BgL_labz00_4568)
{ AN_OBJECT;
{ /* Jvm/instr.scm 357 */
return 
BGl__gotoz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4567), BgL_labz00_4568);} 
}



/* _switch */
obj_t BGl__switchz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_95, obj_t BgL_ldefz00_96, obj_t BgL_num2labz00_97)
{ AN_OBJECT;
{ /* Jvm/instr.scm 360 */
{ /* Jvm/instr.scm 362 */
bool_t BgL_test3168z00_1842;
{ /* Jvm/instr.scm 362 */
obj_t BgL_objz00_3434;
BgL_objz00_3434 = BgL_num2labz00_97; 
BgL_test3168z00_1842 = 
NULLP(BgL_objz00_3434); } 
if(BgL_test3168z00_1842)
{ /* Jvm/instr.scm 362 */
BGl__popz00zzjvm_instrz00(BgL_envz00_95, 
CNST_TABLE_REF(((long)4))); 
{ /* Jvm/instr.scm 364 */
obj_t BgL_arg3165z00_3437;
{ /* Jvm/instr.scm 364 */
obj_t BgL_arg3166z00_3438;obj_t BgL_arg3167z00_3439;
BgL_arg3166z00_3438 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3167z00_3439 = 
MAKE_PAIR(BgL_ldefz00_96, BNIL); 
BgL_arg3165z00_3437 = 
MAKE_PAIR(BgL_arg3166z00_3438, BgL_arg3167z00_3439); } 
{ /* Jvm/instr.scm 364 */
bool_t BgL_auxz00_5668;
BgL_auxz00_5668 = 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_95, BgL_arg3165z00_3437); 
return 
BBOOL(BgL_auxz00_5668);} } }  else 
{ /* Jvm/instr.scm 365 */
bool_t BgL_test3169z00_1843;
{ /* Jvm/instr.scm 365 */
obj_t BgL_arg3205z00_1892;
{ /* Jvm/instr.scm 365 */
obj_t BgL_pairz00_3440;
BgL_pairz00_3440 = BgL_num2labz00_97; 
BgL_arg3205z00_1892 = 
CDR(BgL_pairz00_3440); } 
BgL_test3169z00_1843 = 
NULLP(BgL_arg3205z00_1892); } 
if(BgL_test3169z00_1843)
{ /* Jvm/instr.scm 365 */
{ /* Jvm/instr.scm 366 */
obj_t BgL_arg3171z00_1845;
{ /* Jvm/instr.scm 366 */
obj_t BgL_pairz00_3442;
BgL_pairz00_3442 = BgL_num2labz00_97; 
{ /* Jvm/instr.scm 366 */
obj_t BgL_auxz00_5674;
BgL_auxz00_5674 = 
CAR(BgL_pairz00_3442); 
BgL_arg3171z00_1845 = 
CAR(BgL_auxz00_5674); } } 
BGl__pushz00zzjvm_instrz00(BgL_envz00_95, 
CNST_TABLE_REF(((long)4)), BgL_arg3171z00_1845); } 
BGl__if_icmpz00zzjvm_instrz00(
CNST_TABLE_REF(((long)94)), BgL_envz00_95, BgL_ldefz00_96); 
{ /* Jvm/instr.scm 368 */
obj_t BgL_arg3172z00_1846;
{ /* Jvm/instr.scm 368 */
obj_t BgL_pairz00_3446;
BgL_pairz00_3446 = BgL_num2labz00_97; 
{ /* Jvm/instr.scm 368 */
obj_t BgL_auxz00_5681;
BgL_auxz00_5681 = 
CAR(BgL_pairz00_3446); 
BgL_arg3172z00_1846 = 
CDR(BgL_auxz00_5681); } } 
{ /* Jvm/instr.scm 368 */
obj_t BgL_arg3165z00_3452;
{ /* Jvm/instr.scm 368 */
obj_t BgL_arg3166z00_3453;obj_t BgL_arg3167z00_3454;
BgL_arg3166z00_3453 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3167z00_3454 = 
MAKE_PAIR(BgL_arg3172z00_1846, BNIL); 
BgL_arg3165z00_3452 = 
MAKE_PAIR(BgL_arg3166z00_3453, BgL_arg3167z00_3454); } 
{ /* Jvm/instr.scm 368 */
bool_t BgL_auxz00_5687;
BgL_auxz00_5687 = 
BGl_envzd2codez12zc0zzjvm_instrz00(BgL_envz00_95, BgL_arg3165z00_3452); 
return 
BBOOL(BgL_auxz00_5687);} } } }  else 
{ /* Jvm/instr.scm 365 */
BgL_num2labz00_97 = 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_num2labz00_97, BGl_proc3763z00zzjvm_instrz00); 
{ /* Jvm/instr.scm 371 */
obj_t BgL_numsz00_1854;
{ /* Jvm/instr.scm 371 */
obj_t BgL_l2959z00_1876;
BgL_l2959z00_1876 = BgL_num2labz00_97; 
if(
NULLP(BgL_l2959z00_1876))
{ /* Jvm/instr.scm 371 */
BgL_numsz00_1854 = BNIL; }  else 
{ /* Jvm/instr.scm 371 */
obj_t BgL_head2961z00_1878;
{ /* Jvm/instr.scm 371 */
obj_t BgL_auxz00_5693;
{ /* Jvm/instr.scm 371 */
obj_t BgL_auxz00_5694;
BgL_auxz00_5694 = 
CAR(BgL_l2959z00_1876); 
BgL_auxz00_5693 = 
CAR(BgL_auxz00_5694); } 
BgL_head2961z00_1878 = 
MAKE_PAIR(BgL_auxz00_5693, BNIL); } 
{ 
obj_t BgL_l2959z00_1879;obj_t BgL_tail2962z00_1880;
BgL_l2959z00_1879 = 
CDR(BgL_l2959z00_1876); 
BgL_tail2962z00_1880 = BgL_head2961z00_1878; 
BgL_lname2960z00_1881:
if(
NULLP(BgL_l2959z00_1879))
{ /* Jvm/instr.scm 371 */
BgL_numsz00_1854 = BgL_head2961z00_1878; }  else 
{ /* Jvm/instr.scm 371 */
obj_t BgL_newtail2963z00_1884;
{ /* Jvm/instr.scm 371 */
obj_t BgL_auxz00_5700;
{ /* Jvm/instr.scm 371 */
obj_t BgL_auxz00_5701;
BgL_auxz00_5701 = 
CAR(BgL_l2959z00_1879); 
BgL_auxz00_5700 = 
CAR(BgL_auxz00_5701); } 
BgL_newtail2963z00_1884 = 
MAKE_PAIR(BgL_auxz00_5700, BNIL); } 
SET_CDR(BgL_tail2962z00_1880, BgL_newtail2963z00_1884); 
{ 
obj_t BgL_tail2962z00_5708;obj_t BgL_l2959z00_5706;
BgL_l2959z00_5706 = 
CDR(BgL_l2959z00_1879); 
BgL_tail2962z00_5708 = BgL_newtail2963z00_1884; 
BgL_tail2962z00_1880 = BgL_tail2962z00_5708; 
BgL_l2959z00_1879 = BgL_l2959z00_5706; 
goto BgL_lname2960z00_1881;} } } } } 
{ /* Jvm/instr.scm 371 */
obj_t BgL_minz00_1855;
BgL_minz00_1855 = 
CAR(BgL_numsz00_1854); 
{ /* Jvm/instr.scm 374 */

{ /* Jvm/instr.scm 375 */
bool_t BgL_testz00_5711;
{ /* Jvm/instr.scm 375 */
obj_t BgL_auxz00_5712;
{ /* Jvm/instr.scm 375 */
obj_t BgL_auxz00_5717;obj_t BgL_auxz00_5713;
{ /* Jvm/instr.scm 375 */
long BgL_auxz00_5718;
{ /* Jvm/instr.scm 375 */
long BgL_auxz00_5719;
{ /* Jvm/instr.scm 375 */
long BgL_auxz00_5726;long BgL_auxz00_5720;
BgL_auxz00_5726 = 
(long)CINT(BgL_minz00_1855); 
{ /* Jvm/instr.scm 375 */
obj_t BgL_auxz00_5721;
{ /* Jvm/instr.scm 373 */
obj_t BgL_auxz00_5722;
BgL_auxz00_5722 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(BgL_numsz00_1854); 
BgL_auxz00_5721 = 
CAR(BgL_auxz00_5722); } 
BgL_auxz00_5720 = 
(long)CINT(BgL_auxz00_5721); } 
BgL_auxz00_5719 = 
(BgL_auxz00_5720-BgL_auxz00_5726); } 
BgL_auxz00_5718 = 
(((long)1)+BgL_auxz00_5719); } 
BgL_auxz00_5717 = 
BINT(BgL_auxz00_5718); } 
{ /* Jvm/instr.scm 375 */
long BgL_auxz00_5714;
BgL_auxz00_5714 = 
bgl_list_length(BgL_numsz00_1854); 
BgL_auxz00_5713 = 
BINT(BgL_auxz00_5714); } 
BgL_auxz00_5712 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_auxz00_5713, BgL_auxz00_5717); } 
BgL_testz00_5711 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_auxz00_5712, BGl_real3764z00zzjvm_instrz00); } 
if(BgL_testz00_5711)
{ /* Jvm/instr.scm 376 */
obj_t BgL_arg3178z00_1859;
{ /* Jvm/instr.scm 376 */
obj_t BgL_arg3179z00_1860;obj_t BgL_arg3180z00_1861;
BgL_arg3179z00_1860 = 
CNST_TABLE_REF(((long)115)); 
{ /* Jvm/instr.scm 376 */
obj_t BgL_arg3181z00_1862;
BgL_arg3181z00_1862 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_num2labz00_97, BNIL); 
BgL_arg3180z00_1861 = 
MAKE_PAIR(BgL_ldefz00_96, BgL_arg3181z00_1862); } 
BgL_arg3178z00_1859 = 
MAKE_PAIR(BgL_arg3179z00_1860, BgL_arg3180z00_1861); } 
{ /* Jvm/instr.scm 376 */
obj_t BgL_arg3013z00_3484;
{ /* Jvm/instr.scm 376 */
obj_t BgL_auxz00_5737;
BgL_auxz00_5737 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_95))->BgL_codez00); 
BgL_arg3013z00_3484 = 
MAKE_PAIR(BgL_arg3178z00_1859, BgL_auxz00_5737); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_95))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3484), BUNSPEC); } ((bool_t)1); }  else 
{ /* Jvm/instr.scm 377 */
obj_t BgL_arg3182z00_1863;
{ /* Jvm/instr.scm 377 */
obj_t BgL_arg3183z00_1864;obj_t BgL_arg3184z00_1865;
BgL_arg3183z00_1864 = 
CNST_TABLE_REF(((long)116)); 
{ /* Jvm/instr.scm 378 */
obj_t BgL_arg3185z00_1866;
{ /* Jvm/instr.scm 378 */
obj_t BgL_arg3186z00_1867;
{ /* Jvm/instr.scm 378 */
obj_t BgL_arg3187z00_1868;
BgL_arg3187z00_1868 = 
BGl_flatz00zzjvm_instrz00(BgL_num2labz00_97, BgL_ldefz00_96); 
BgL_arg3186z00_1867 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3187z00_1868, BNIL); } 
BgL_arg3185z00_1866 = 
MAKE_PAIR(BgL_minz00_1855, BgL_arg3186z00_1867); } 
BgL_arg3184z00_1865 = 
MAKE_PAIR(BgL_ldefz00_96, BgL_arg3185z00_1866); } 
BgL_arg3182z00_1863 = 
MAKE_PAIR(BgL_arg3183z00_1864, BgL_arg3184z00_1865); } 
{ /* Jvm/instr.scm 377 */
obj_t BgL_arg3013z00_3492;
{ /* Jvm/instr.scm 377 */
obj_t BgL_auxz00_5747;
BgL_auxz00_5747 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_95))->BgL_codez00); 
BgL_arg3013z00_3492 = 
MAKE_PAIR(BgL_arg3182z00_1863, BgL_auxz00_5747); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_95))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3492), BUNSPEC); } ((bool_t)1); } } 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_95, 
CNST_TABLE_REF(((long)4)));} } } } } } } 
}



/* __switch */
obj_t BGl___switchz00zzjvm_instrz00(obj_t BgL_envz00_4570, obj_t BgL_envz00_4571, obj_t BgL_ldefz00_4572, obj_t BgL_num2labz00_4573)
{ AN_OBJECT;
{ /* Jvm/instr.scm 360 */
return 
BGl__switchz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4571), BgL_ldefz00_4572, BgL_num2labz00_4573);} 
}



/* <anonymous:3174> */
obj_t BGl_zc3anonymousza33174ze3z83zzjvm_instrz00(obj_t BgL_envz00_4574, obj_t BgL_xz00_4575, obj_t BgL_yz00_4576)
{ AN_OBJECT;
{ /* Jvm/instr.scm 370 */
{ 
obj_t BgL_xz00_1848;obj_t BgL_yz00_1849;
{ /* Jvm/instr.scm 370 */
bool_t BgL_auxz00_5755;
BgL_xz00_1848 = BgL_xz00_4575; 
BgL_yz00_1849 = BgL_yz00_4576; 
{ /* Jvm/instr.scm 370 */
long BgL_auxz00_5760;long BgL_auxz00_5756;
{ /* Jvm/instr.scm 370 */
obj_t BgL_auxz00_5761;
BgL_auxz00_5761 = 
CAR(BgL_yz00_1849); 
BgL_auxz00_5760 = 
(long)CINT(BgL_auxz00_5761); } 
{ /* Jvm/instr.scm 370 */
obj_t BgL_auxz00_5757;
BgL_auxz00_5757 = 
CAR(BgL_xz00_1848); 
BgL_auxz00_5756 = 
(long)CINT(BgL_auxz00_5757); } 
BgL_auxz00_5755 = 
(BgL_auxz00_5756<BgL_auxz00_5760); } 
return 
BBOOL(BgL_auxz00_5755);} } } 
}



/* flat */
obj_t BGl_flatz00zzjvm_instrz00(obj_t BgL_alz00_98, obj_t BgL_ldefz00_99)
{ AN_OBJECT;
{ /* Jvm/instr.scm 381 */
{ 
obj_t BgL_alz00_1897;obj_t BgL_iz00_1898;obj_t BgL_rz00_1899;
{ /* Jvm/instr.scm 387 */
obj_t BgL_rz00_1894;
BgL_alz00_1897 = BgL_alz00_98; 
{ /* Jvm/instr.scm 387 */
obj_t BgL_auxz00_5799;
BgL_auxz00_5799 = 
CAR(BgL_alz00_98); 
BgL_iz00_1898 = 
CAR(BgL_auxz00_5799); } 
BgL_rz00_1899 = BNIL; 
BgL_zc3anonymousza33208ze3z83_1900:
if(
NULLP(BgL_alz00_1897))
{ /* Jvm/instr.scm 384 */
BgL_rz00_1894 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_rz00_1899); }  else 
{ /* Jvm/instr.scm 385 */
bool_t BgL_testz00_5769;
{ /* Jvm/instr.scm 385 */
long BgL_auxz00_5772;long BgL_auxz00_5770;
{ /* Jvm/instr.scm 385 */
obj_t BgL_auxz00_5773;
{ /* Jvm/instr.scm 385 */
obj_t BgL_auxz00_5774;
BgL_auxz00_5774 = 
CAR(BgL_alz00_1897); 
BgL_auxz00_5773 = 
CAR(BgL_auxz00_5774); } 
BgL_auxz00_5772 = 
(long)CINT(BgL_auxz00_5773); } 
BgL_auxz00_5770 = 
(long)CINT(BgL_iz00_1898); 
BgL_testz00_5769 = 
(BgL_auxz00_5770==BgL_auxz00_5772); } 
if(BgL_testz00_5769)
{ /* Jvm/instr.scm 385 */
{ /* Jvm/instr.scm 385 */
obj_t BgL_arg3211z00_1903;long BgL_arg3212z00_1904;obj_t BgL_arg3213z00_1905;
BgL_arg3211z00_1903 = 
CDR(BgL_alz00_1897); 
{ /* Jvm/instr.scm 385 */
long BgL_auxz00_5780;
BgL_auxz00_5780 = 
(long)CINT(BgL_iz00_1898); 
BgL_arg3212z00_1904 = 
(BgL_auxz00_5780+((long)1)); } 
{ /* Jvm/instr.scm 385 */
obj_t BgL_auxz00_5783;
{ /* Jvm/instr.scm 385 */
obj_t BgL_auxz00_5784;
BgL_auxz00_5784 = 
CAR(BgL_alz00_1897); 
BgL_auxz00_5783 = 
CDR(BgL_auxz00_5784); } 
BgL_arg3213z00_1905 = 
MAKE_PAIR(BgL_auxz00_5783, BgL_rz00_1899); } 
{ 
obj_t BgL_rz00_5791;obj_t BgL_iz00_5789;obj_t BgL_alz00_5788;
BgL_alz00_5788 = BgL_arg3211z00_1903; 
BgL_iz00_5789 = 
BINT(BgL_arg3212z00_1904); 
BgL_rz00_5791 = BgL_arg3213z00_1905; 
BgL_rz00_1899 = BgL_rz00_5791; 
BgL_iz00_1898 = BgL_iz00_5789; 
BgL_alz00_1897 = BgL_alz00_5788; 
goto BgL_zc3anonymousza33208ze3z83_1900;} } }  else 
{ /* Jvm/instr.scm 385 */
{ /* Jvm/instr.scm 386 */
long BgL_arg3215z00_1907;obj_t BgL_arg3216z00_1908;
{ /* Jvm/instr.scm 386 */
long BgL_auxz00_5792;
BgL_auxz00_5792 = 
(long)CINT(BgL_iz00_1898); 
BgL_arg3215z00_1907 = 
(BgL_auxz00_5792+((long)1)); } 
BgL_arg3216z00_1908 = 
MAKE_PAIR(BgL_ldefz00_99, BgL_rz00_1899); 
{ 
obj_t BgL_rz00_5798;obj_t BgL_iz00_5796;
BgL_iz00_5796 = 
BINT(BgL_arg3215z00_1907); 
BgL_rz00_5798 = BgL_arg3216z00_1908; 
BgL_rz00_1899 = BgL_rz00_5798; 
BgL_iz00_1898 = BgL_iz00_5796; 
goto BgL_zc3anonymousza33208ze3z83_1900;} } } } 
return BgL_rz00_1894;} } } 
}



/* _new */
obj_t BGl__newz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_100, obj_t BgL_typez00_101)
{ AN_OBJECT;
{ /* Jvm/instr.scm 391 */
{ /* Jvm/instr.scm 392 */
obj_t BgL_arg3218z00_1911;
{ /* Jvm/instr.scm 392 */
obj_t BgL_arg3219z00_1912;obj_t BgL_arg3220z00_1913;
BgL_arg3219z00_1912 = 
CNST_TABLE_REF(((long)117)); 
BgL_arg3220z00_1913 = 
MAKE_PAIR(BgL_typez00_101, BNIL); 
BgL_arg3218z00_1911 = 
MAKE_PAIR(BgL_arg3219z00_1912, BgL_arg3220z00_1913); } 
{ /* Jvm/instr.scm 392 */
obj_t BgL_arg3013z00_3520;
{ /* Jvm/instr.scm 392 */
obj_t BgL_auxz00_5805;
BgL_auxz00_5805 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_100))->BgL_codez00); 
BgL_arg3013z00_3520 = 
MAKE_PAIR(BgL_arg3218z00_1911, BgL_auxz00_5805); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_100))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3520), BUNSPEC); } ((bool_t)1); } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_100, 
CNST_TABLE_REF(((long)8)));} 
}



/* __new */
obj_t BGl___newz00zzjvm_instrz00(obj_t BgL_envz00_4577, obj_t BgL_envz00_4578, obj_t BgL_typez00_4579)
{ AN_OBJECT;
{ /* Jvm/instr.scm 391 */
return 
BGl__newz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4578), BgL_typez00_4579);} 
}



/* _instanceof */
obj_t BGl__instanceofz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_102, obj_t BgL_typez00_103)
{ AN_OBJECT;
{ /* Jvm/instr.scm 395 */
{ /* Jvm/instr.scm 396 */
obj_t BgL_arg3221z00_1914;
{ /* Jvm/instr.scm 396 */
obj_t BgL_arg3222z00_1915;obj_t BgL_arg3223z00_1916;
BgL_arg3222z00_1915 = 
CNST_TABLE_REF(((long)118)); 
BgL_arg3223z00_1916 = 
MAKE_PAIR(BgL_typez00_103, BNIL); 
BgL_arg3221z00_1914 = 
MAKE_PAIR(BgL_arg3222z00_1915, BgL_arg3223z00_1916); } 
{ /* Jvm/instr.scm 396 */
obj_t BgL_arg3013z00_3528;
{ /* Jvm/instr.scm 396 */
obj_t BgL_auxz00_5816;
BgL_auxz00_5816 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_102))->BgL_codez00); 
BgL_arg3013z00_3528 = 
MAKE_PAIR(BgL_arg3221z00_1914, BgL_auxz00_5816); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_102))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3528), BUNSPEC); } ((bool_t)1); } 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_102, 
CNST_TABLE_REF(((long)8))); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_102, 
CNST_TABLE_REF(((long)4)));} 
}



/* __instanceof */
obj_t BGl___instanceofz00zzjvm_instrz00(obj_t BgL_envz00_4580, obj_t BgL_envz00_4581, obj_t BgL_typez00_4582)
{ AN_OBJECT;
{ /* Jvm/instr.scm 395 */
return 
BGl__instanceofz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4581), BgL_typez00_4582);} 
}



/* _checkcast */
obj_t BGl__checkcastz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_104, obj_t BgL_typez00_105)
{ AN_OBJECT;
{ /* Jvm/instr.scm 400 */
{ /* Jvm/instr.scm 401 */
bool_t BgL_testz00_5826;
{ /* Jvm/instr.scm 401 */
obj_t BgL_auxz00_5827;
BgL_auxz00_5827 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_105, 
CNST_TABLE_REF(((long)119))); 
BgL_testz00_5826 = 
CBOOL(BgL_auxz00_5827); } 
if(BgL_testz00_5826)
{ /* Jvm/instr.scm 401 */
return BFALSE;}  else 
{ /* Jvm/instr.scm 403 */
obj_t BgL_arg3225z00_1918;
{ /* Jvm/instr.scm 403 */
obj_t BgL_arg3226z00_1919;obj_t BgL_arg3227z00_1920;
BgL_arg3226z00_1919 = 
CNST_TABLE_REF(((long)120)); 
BgL_arg3227z00_1920 = 
MAKE_PAIR(BgL_typez00_105, BNIL); 
BgL_arg3225z00_1918 = 
MAKE_PAIR(BgL_arg3226z00_1919, BgL_arg3227z00_1920); } 
{ /* Jvm/instr.scm 403 */
obj_t BgL_arg3013z00_3536;
{ /* Jvm/instr.scm 403 */
obj_t BgL_auxz00_5834;
BgL_auxz00_5834 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_104))->BgL_codez00); 
BgL_arg3013z00_3536 = 
MAKE_PAIR(BgL_arg3225z00_1918, BgL_auxz00_5834); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_104))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3536), BUNSPEC); } 
return BTRUE;} } } 
}



/* __checkcast */
obj_t BGl___checkcastz00zzjvm_instrz00(obj_t BgL_envz00_4583, obj_t BgL_envz00_4584, obj_t BgL_typez00_4585)
{ AN_OBJECT;
{ /* Jvm/instr.scm 400 */
return 
BGl__checkcastz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4584), BgL_typez00_4585);} 
}



/* _getfield */
obj_t BGl__getfieldz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_106, obj_t BgL_tyz00_107, obj_t BgL_varz00_108)
{ AN_OBJECT;
{ /* Jvm/instr.scm 405 */
{ /* Jvm/instr.scm 406 */
obj_t BgL_arg3228z00_1921;
{ /* Jvm/instr.scm 406 */
obj_t BgL_arg3229z00_1922;obj_t BgL_arg3231z00_1923;
BgL_arg3229z00_1922 = 
CNST_TABLE_REF(((long)121)); 
BgL_arg3231z00_1923 = 
MAKE_PAIR(BgL_varz00_108, BNIL); 
BgL_arg3228z00_1921 = 
MAKE_PAIR(BgL_arg3229z00_1922, BgL_arg3231z00_1923); } 
{ /* Jvm/instr.scm 406 */
obj_t BgL_arg3013z00_3544;
{ /* Jvm/instr.scm 406 */
obj_t BgL_auxz00_5843;
BgL_auxz00_5843 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_106))->BgL_codez00); 
BgL_arg3013z00_3544 = 
MAKE_PAIR(BgL_arg3228z00_1921, BgL_auxz00_5843); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_106))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3544), BUNSPEC); } ((bool_t)1); } 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_106, 
CNST_TABLE_REF(((long)8))); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_106, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_tyz00_107));} 
}



/* __getfield */
obj_t BGl___getfieldz00zzjvm_instrz00(obj_t BgL_envz00_4586, obj_t BgL_envz00_4587, obj_t BgL_tyz00_4588, obj_t BgL_varz00_4589)
{ AN_OBJECT;
{ /* Jvm/instr.scm 405 */
return 
BGl__getfieldz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4587), BgL_tyz00_4588, BgL_varz00_4589);} 
}



/* _putfield */
obj_t BGl__putfieldz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_109, obj_t BgL_varz00_110)
{ AN_OBJECT;
{ /* Jvm/instr.scm 410 */
{ /* Jvm/instr.scm 411 */
obj_t BgL_arg3233z00_1925;
{ /* Jvm/instr.scm 411 */
obj_t BgL_arg3234z00_1926;obj_t BgL_arg3235z00_1927;
BgL_arg3234z00_1926 = 
CNST_TABLE_REF(((long)122)); 
BgL_arg3235z00_1927 = 
MAKE_PAIR(BgL_varz00_110, BNIL); 
BgL_arg3233z00_1925 = 
MAKE_PAIR(BgL_arg3234z00_1926, BgL_arg3235z00_1927); } 
{ /* Jvm/instr.scm 411 */
obj_t BgL_arg3013z00_3552;
{ /* Jvm/instr.scm 411 */
obj_t BgL_auxz00_5856;
BgL_auxz00_5856 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_109))->BgL_codez00); 
BgL_arg3013z00_3552 = 
MAKE_PAIR(BgL_arg3233z00_1925, BgL_auxz00_5856); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_109))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3552), BUNSPEC); } ((bool_t)1); } 
BGl_popz00zzjvm_instrz00(BgL_envz00_109); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_109, 
CNST_TABLE_REF(((long)8)));} 
}



/* __putfield */
obj_t BGl___putfieldz00zzjvm_instrz00(obj_t BgL_envz00_4590, obj_t BgL_envz00_4591, obj_t BgL_varz00_4592)
{ AN_OBJECT;
{ /* Jvm/instr.scm 410 */
return 
BGl__putfieldz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4591), BgL_varz00_4592);} 
}



/* _newarray */
obj_t BGl__newarrayz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_111, obj_t BgL_typez00_112)
{ AN_OBJECT;
{ /* Jvm/instr.scm 416 */
{ /* Jvm/instr.scm 418 */
obj_t BgL_arg3236z00_1928;
{ /* Jvm/instr.scm 418 */
bool_t BgL_testz00_5865;
{ /* Jvm/instr.scm 418 */
obj_t BgL_auxz00_5866;
BgL_auxz00_5866 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_112, 
CNST_TABLE_REF(((long)123))); 
BgL_testz00_5865 = 
CBOOL(BgL_auxz00_5866); } 
if(BgL_testz00_5865)
{ /* Jvm/instr.scm 420 */
obj_t BgL_arg3238z00_1931;obj_t BgL_arg3239z00_1932;
BgL_arg3238z00_1931 = 
CNST_TABLE_REF(((long)124)); 
BgL_arg3239z00_1932 = 
MAKE_PAIR(BgL_typez00_112, BNIL); 
BgL_arg3236z00_1928 = 
MAKE_PAIR(BgL_arg3238z00_1931, BgL_arg3239z00_1932); }  else 
{ /* Jvm/instr.scm 421 */
obj_t BgL_arg3240z00_1933;obj_t BgL_arg3241z00_1934;
BgL_arg3240z00_1933 = 
CNST_TABLE_REF(((long)125)); 
BgL_arg3241z00_1934 = 
MAKE_PAIR(BgL_typez00_112, BNIL); 
BgL_arg3236z00_1928 = 
MAKE_PAIR(BgL_arg3240z00_1933, BgL_arg3241z00_1934); } } 
{ /* Jvm/instr.scm 417 */
obj_t BgL_arg3013z00_3560;
{ /* Jvm/instr.scm 417 */
obj_t BgL_auxz00_5876;
BgL_auxz00_5876 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_111))->BgL_codez00); 
BgL_arg3013z00_3560 = 
MAKE_PAIR(BgL_arg3236z00_1928, BgL_auxz00_5876); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_111))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3560), BUNSPEC); } ((bool_t)1); } 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_111, 
CNST_TABLE_REF(((long)4))); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_111, 
CNST_TABLE_REF(((long)8)));} 
}



/* __newarray */
obj_t BGl___newarrayz00zzjvm_instrz00(obj_t BgL_envz00_4593, obj_t BgL_envz00_4594, obj_t BgL_typez00_4595)
{ AN_OBJECT;
{ /* Jvm/instr.scm 416 */
return 
BGl__newarrayz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4594), BgL_typez00_4595);} 
}



/* _aload */
obj_t BGl__aloadz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_113, obj_t BgL_typez00_114)
{ AN_OBJECT;
{ /* Jvm/instr.scm 425 */
{ /* Jvm/instr.scm 426 */
obj_t BgL_arg3013z00_3568;
{ /* Jvm/instr.scm 426 */
obj_t BgL_auxz00_5924;obj_t BgL_auxz00_5886;
BgL_auxz00_5924 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_113))->BgL_codez00); 
{ /* Jvm/instr.scm 427 */
bool_t BgL_testz00_5887;
{ /* Jvm/instr.scm 427 */
obj_t BgL_auxz00_5888;
BgL_auxz00_5888 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_114, 
CNST_TABLE_REF(((long)126))); 
BgL_testz00_5887 = 
CBOOL(BgL_auxz00_5888); } 
if(BgL_testz00_5887)
{ /* Jvm/instr.scm 427 */
BgL_auxz00_5886 = 
CNST_TABLE_REF(((long)127))
; }  else 
{ /* Jvm/instr.scm 427 */
bool_t BgL_testz00_5893;
{ /* Jvm/instr.scm 427 */
obj_t BgL_auxz00_5894;
BgL_auxz00_5894 = 
CNST_TABLE_REF(((long)128)); 
BgL_testz00_5893 = 
(BgL_typez00_114==BgL_auxz00_5894); } 
if(BgL_testz00_5893)
{ /* Jvm/instr.scm 427 */
BgL_auxz00_5886 = 
CNST_TABLE_REF(((long)129))
; }  else 
{ /* Jvm/instr.scm 427 */
bool_t BgL_testz00_5898;
{ /* Jvm/instr.scm 427 */
obj_t BgL_auxz00_5899;
BgL_auxz00_5899 = 
CNST_TABLE_REF(((long)130)); 
BgL_testz00_5898 = 
(BgL_typez00_114==BgL_auxz00_5899); } 
if(BgL_testz00_5898)
{ /* Jvm/instr.scm 427 */
BgL_auxz00_5886 = 
CNST_TABLE_REF(((long)131))
; }  else 
{ /* Jvm/instr.scm 427 */
bool_t BgL_testz00_5903;
{ /* Jvm/instr.scm 427 */
obj_t BgL_auxz00_5904;
BgL_auxz00_5904 = 
CNST_TABLE_REF(((long)4)); 
BgL_testz00_5903 = 
(BgL_typez00_114==BgL_auxz00_5904); } 
if(BgL_testz00_5903)
{ /* Jvm/instr.scm 427 */
BgL_auxz00_5886 = 
CNST_TABLE_REF(((long)132))
; }  else 
{ /* Jvm/instr.scm 427 */
bool_t BgL_testz00_5908;
{ /* Jvm/instr.scm 427 */
obj_t BgL_auxz00_5909;
BgL_auxz00_5909 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_5908 = 
(BgL_typez00_114==BgL_auxz00_5909); } 
if(BgL_testz00_5908)
{ /* Jvm/instr.scm 427 */
BgL_auxz00_5886 = 
CNST_TABLE_REF(((long)133))
; }  else 
{ /* Jvm/instr.scm 427 */
bool_t BgL_testz00_5913;
{ /* Jvm/instr.scm 427 */
obj_t BgL_auxz00_5914;
BgL_auxz00_5914 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_5913 = 
(BgL_typez00_114==BgL_auxz00_5914); } 
if(BgL_testz00_5913)
{ /* Jvm/instr.scm 427 */
BgL_auxz00_5886 = 
CNST_TABLE_REF(((long)134))
; }  else 
{ /* Jvm/instr.scm 427 */
bool_t BgL_testz00_5918;
{ /* Jvm/instr.scm 427 */
obj_t BgL_auxz00_5919;
BgL_auxz00_5919 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_5918 = 
(BgL_typez00_114==BgL_auxz00_5919); } 
if(BgL_testz00_5918)
{ /* Jvm/instr.scm 427 */
BgL_auxz00_5886 = 
CNST_TABLE_REF(((long)135))
; }  else 
{ /* Jvm/instr.scm 427 */
BgL_auxz00_5886 = 
CNST_TABLE_REF(((long)136))
; } } } } } } } } 
BgL_arg3013z00_3568 = 
MAKE_PAIR(BgL_auxz00_5886, BgL_auxz00_5924); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_113))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3568), BUNSPEC); } ((bool_t)1); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_113, 
CNST_TABLE_REF(((long)4))); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_113, 
CNST_TABLE_REF(((long)8))); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_113, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_typez00_114));} 
}



/* __aload */
obj_t BGl___aloadz00zzjvm_instrz00(obj_t BgL_envz00_4596, obj_t BgL_envz00_4597, obj_t BgL_typez00_4598)
{ AN_OBJECT;
{ /* Jvm/instr.scm 425 */
return 
BGl__aloadz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4597), BgL_typez00_4598);} 
}



/* _astore */
obj_t BGl__astorez00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_115, obj_t BgL_typez00_116)
{ AN_OBJECT;
{ /* Jvm/instr.scm 440 */
{ /* Jvm/instr.scm 441 */
obj_t BgL_arg3013z00_3576;
{ /* Jvm/instr.scm 441 */
obj_t BgL_auxz00_5974;obj_t BgL_auxz00_5936;
BgL_auxz00_5974 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_115))->BgL_codez00); 
{ /* Jvm/instr.scm 442 */
bool_t BgL_testz00_5937;
{ /* Jvm/instr.scm 442 */
obj_t BgL_auxz00_5938;
BgL_auxz00_5938 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_116, 
CNST_TABLE_REF(((long)126))); 
BgL_testz00_5937 = 
CBOOL(BgL_auxz00_5938); } 
if(BgL_testz00_5937)
{ /* Jvm/instr.scm 442 */
BgL_auxz00_5936 = 
CNST_TABLE_REF(((long)137))
; }  else 
{ /* Jvm/instr.scm 442 */
bool_t BgL_testz00_5943;
{ /* Jvm/instr.scm 442 */
obj_t BgL_auxz00_5944;
BgL_auxz00_5944 = 
CNST_TABLE_REF(((long)128)); 
BgL_testz00_5943 = 
(BgL_typez00_116==BgL_auxz00_5944); } 
if(BgL_testz00_5943)
{ /* Jvm/instr.scm 442 */
BgL_auxz00_5936 = 
CNST_TABLE_REF(((long)138))
; }  else 
{ /* Jvm/instr.scm 442 */
bool_t BgL_testz00_5948;
{ /* Jvm/instr.scm 442 */
obj_t BgL_auxz00_5949;
BgL_auxz00_5949 = 
CNST_TABLE_REF(((long)130)); 
BgL_testz00_5948 = 
(BgL_typez00_116==BgL_auxz00_5949); } 
if(BgL_testz00_5948)
{ /* Jvm/instr.scm 442 */
BgL_auxz00_5936 = 
CNST_TABLE_REF(((long)139))
; }  else 
{ /* Jvm/instr.scm 442 */
bool_t BgL_testz00_5953;
{ /* Jvm/instr.scm 442 */
obj_t BgL_auxz00_5954;
BgL_auxz00_5954 = 
CNST_TABLE_REF(((long)4)); 
BgL_testz00_5953 = 
(BgL_typez00_116==BgL_auxz00_5954); } 
if(BgL_testz00_5953)
{ /* Jvm/instr.scm 442 */
BgL_auxz00_5936 = 
CNST_TABLE_REF(((long)140))
; }  else 
{ /* Jvm/instr.scm 442 */
bool_t BgL_testz00_5958;
{ /* Jvm/instr.scm 442 */
obj_t BgL_auxz00_5959;
BgL_auxz00_5959 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_5958 = 
(BgL_typez00_116==BgL_auxz00_5959); } 
if(BgL_testz00_5958)
{ /* Jvm/instr.scm 442 */
BgL_auxz00_5936 = 
CNST_TABLE_REF(((long)141))
; }  else 
{ /* Jvm/instr.scm 442 */
bool_t BgL_testz00_5963;
{ /* Jvm/instr.scm 442 */
obj_t BgL_auxz00_5964;
BgL_auxz00_5964 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_5963 = 
(BgL_typez00_116==BgL_auxz00_5964); } 
if(BgL_testz00_5963)
{ /* Jvm/instr.scm 442 */
BgL_auxz00_5936 = 
CNST_TABLE_REF(((long)142))
; }  else 
{ /* Jvm/instr.scm 442 */
bool_t BgL_testz00_5968;
{ /* Jvm/instr.scm 442 */
obj_t BgL_auxz00_5969;
BgL_auxz00_5969 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_5968 = 
(BgL_typez00_116==BgL_auxz00_5969); } 
if(BgL_testz00_5968)
{ /* Jvm/instr.scm 442 */
BgL_auxz00_5936 = 
CNST_TABLE_REF(((long)143))
; }  else 
{ /* Jvm/instr.scm 442 */
BgL_auxz00_5936 = 
CNST_TABLE_REF(((long)144))
; } } } } } } } } 
BgL_arg3013z00_3576 = 
MAKE_PAIR(BgL_auxz00_5936, BgL_auxz00_5974); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_115))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3576), BUNSPEC); } ((bool_t)1); 
BGl_popz00zzjvm_instrz00(BgL_envz00_115); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_115, 
CNST_TABLE_REF(((long)4))); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_115, 
CNST_TABLE_REF(((long)8)));} 
}



/* __astore */
obj_t BGl___astorez00zzjvm_instrz00(obj_t BgL_envz00_4599, obj_t BgL_envz00_4600, obj_t BgL_typez00_4601)
{ AN_OBJECT;
{ /* Jvm/instr.scm 440 */
return 
BGl__astorez00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4600), BgL_typez00_4601);} 
}



/* _arraylength */
obj_t BGl__arraylengthz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_117)
{ AN_OBJECT;
{ /* Jvm/instr.scm 455 */
{ /* Jvm/instr.scm 456 */
obj_t BgL_arg3013z00_3584;
{ /* Jvm/instr.scm 456 */
obj_t BgL_auxz00_5987;obj_t BgL_auxz00_5985;
BgL_auxz00_5987 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_117))->BgL_codez00); 
BgL_auxz00_5985 = 
CNST_TABLE_REF(((long)145)); 
BgL_arg3013z00_3584 = 
MAKE_PAIR(BgL_auxz00_5985, BgL_auxz00_5987); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_117))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3584), BUNSPEC); } ((bool_t)1); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_117, 
CNST_TABLE_REF(((long)8))); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_117, 
CNST_TABLE_REF(((long)4)));} 
}



/* __arraylength */
obj_t BGl___arraylengthz00zzjvm_instrz00(obj_t BgL_envz00_4602, obj_t BgL_envz00_4603)
{ AN_OBJECT;
{ /* Jvm/instr.scm 455 */
return 
BGl__arraylengthz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4603));} 
}



/* _invokestatic */
obj_t BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_118, obj_t BgL_varz00_119, obj_t BgL_targsz00_120, obj_t BgL_trz00_121)
{ AN_OBJECT;
{ /* Jvm/instr.scm 461 */
{ /* Jvm/instr.scm 462 */
obj_t BgL_arg3259z00_1954;
{ /* Jvm/instr.scm 462 */
obj_t BgL_arg3260z00_1955;obj_t BgL_arg3261z00_1956;
BgL_arg3260z00_1955 = 
CNST_TABLE_REF(((long)146)); 
BgL_arg3261z00_1956 = 
MAKE_PAIR(BgL_varz00_119, BNIL); 
BgL_arg3259z00_1954 = 
MAKE_PAIR(BgL_arg3260z00_1955, BgL_arg3261z00_1956); } 
{ /* Jvm/instr.scm 462 */
obj_t BgL_arg3013z00_3592;
{ /* Jvm/instr.scm 462 */
obj_t BgL_auxz00_6000;
BgL_auxz00_6000 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_118))->BgL_codez00); 
BgL_arg3013z00_3592 = 
MAKE_PAIR(BgL_arg3259z00_1954, BgL_auxz00_6000); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_118))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3592), BUNSPEC); } ((bool_t)1); } 
{ 
obj_t BgL_l2964z00_1957;
BgL_l2964z00_1957 = 
bgl_reverse(BgL_targsz00_120); 
BgL_lname2965z00_1958:
if(
PAIRP(BgL_l2964z00_1957))
{ /* Jvm/instr.scm 463 */
BGl_cpopz00zzjvm_instrz00(BgL_envz00_118, 
BGl_simplezd2typezd2zzjvm_instrz00(
CAR(BgL_l2964z00_1957))); 
{ 
obj_t BgL_l2964z00_6009;
BgL_l2964z00_6009 = 
CDR(BgL_l2964z00_1957); 
BgL_l2964z00_1957 = BgL_l2964z00_6009; 
goto BgL_lname2965z00_1958;} }  else 
{ /* Jvm/instr.scm 463 */((bool_t)1); } } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_118, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_trz00_121));} 
}



/* __invokestatic */
obj_t BGl___invokestaticz00zzjvm_instrz00(obj_t BgL_envz00_4604, obj_t BgL_envz00_4605, obj_t BgL_varz00_4606, obj_t BgL_targsz00_4607, obj_t BgL_trz00_4608)
{ AN_OBJECT;
{ /* Jvm/instr.scm 461 */
return 
BGl__invokestaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4605), BgL_varz00_4606, BgL_targsz00_4607, BgL_trz00_4608);} 
}



/* _invokespecial */
obj_t BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_122, obj_t BgL_varz00_123, obj_t BgL_targsz00_124, obj_t BgL_trz00_125)
{ AN_OBJECT;
{ /* Jvm/instr.scm 468 */
{ /* Jvm/instr.scm 469 */
obj_t BgL_arg3268z00_1965;
{ /* Jvm/instr.scm 469 */
obj_t BgL_arg3269z00_1966;obj_t BgL_arg3270z00_1967;
BgL_arg3269z00_1966 = 
CNST_TABLE_REF(((long)147)); 
BgL_arg3270z00_1967 = 
MAKE_PAIR(BgL_varz00_123, BNIL); 
BgL_arg3268z00_1965 = 
MAKE_PAIR(BgL_arg3269z00_1966, BgL_arg3270z00_1967); } 
{ /* Jvm/instr.scm 469 */
obj_t BgL_arg3013z00_3603;
{ /* Jvm/instr.scm 469 */
obj_t BgL_auxz00_6019;
BgL_auxz00_6019 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_122))->BgL_codez00); 
BgL_arg3013z00_3603 = 
MAKE_PAIR(BgL_arg3268z00_1965, BgL_auxz00_6019); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_122))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3603), BUNSPEC); } ((bool_t)1); } 
{ 
obj_t BgL_l2966z00_1968;
BgL_l2966z00_1968 = 
bgl_reverse(BgL_targsz00_124); 
BgL_lname2967z00_1969:
if(
PAIRP(BgL_l2966z00_1968))
{ /* Jvm/instr.scm 470 */
BGl_cpopz00zzjvm_instrz00(BgL_envz00_122, 
BGl_simplezd2typezd2zzjvm_instrz00(
CAR(BgL_l2966z00_1968))); 
{ 
obj_t BgL_l2966z00_6028;
BgL_l2966z00_6028 = 
CDR(BgL_l2966z00_1968); 
BgL_l2966z00_1968 = BgL_l2966z00_6028; 
goto BgL_lname2967z00_1969;} }  else 
{ /* Jvm/instr.scm 470 */((bool_t)1); } } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_122, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_trz00_125));} 
}



/* __invokespecial */
obj_t BGl___invokespecialz00zzjvm_instrz00(obj_t BgL_envz00_4609, obj_t BgL_envz00_4610, obj_t BgL_varz00_4611, obj_t BgL_targsz00_4612, obj_t BgL_trz00_4613)
{ AN_OBJECT;
{ /* Jvm/instr.scm 468 */
return 
BGl__invokespecialz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4610), BgL_varz00_4611, BgL_targsz00_4612, BgL_trz00_4613);} 
}



/* _invokespecial_init */
obj_t BGl__invokespecial_initz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_126, obj_t BgL_varz00_127, obj_t BgL_targsz00_128, obj_t BgL_trz00_129)
{ AN_OBJECT;
{ /* Jvm/instr.scm 481 */
{ /* Jvm/instr.scm 483 */
obj_t BgL_argsz00_1977;obj_t BgL_ptrz00_1978;
BgL_argsz00_1977 = BNIL; 
BgL_ptrz00_1978 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_126))->BgL_codez00); 
{ 
obj_t BgL_l2970z00_1979;
BgL_l2970z00_1979 = 
CDR(BgL_targsz00_128); 
BgL_lname2971z00_1980:
if(
PAIRP(BgL_l2970z00_1979))
{ /* Jvm/instr.scm 484 */
{ /* Jvm/instr.scm 486 */
bool_t BgL_test3278z00_1984;
{ /* Jvm/instr.scm 486 */
bool_t BgL_test3280z00_1986;
{ /* Jvm/instr.scm 486 */
obj_t BgL_arg3283z00_1989;
{ /* Jvm/instr.scm 486 */
obj_t BgL_pairz00_3615;
BgL_pairz00_3615 = BgL_ptrz00_1978; 
BgL_arg3283z00_1989 = 
CAR(BgL_pairz00_3615); } 
BgL_test3280z00_1986 = 
PAIRP(BgL_arg3283z00_1989); } 
if(BgL_test3280z00_1986)
{ /* Jvm/instr.scm 486 */
obj_t BgL_arg3281z00_1987;
{ /* Jvm/instr.scm 486 */
obj_t BgL_pairz00_3617;
BgL_pairz00_3617 = BgL_ptrz00_1978; 
{ /* Jvm/instr.scm 486 */
obj_t BgL_auxz00_6041;
BgL_auxz00_6041 = 
CAR(BgL_pairz00_3617); 
BgL_arg3281z00_1987 = 
CAR(BgL_auxz00_6041); } } 
{ /* Jvm/instr.scm 486 */
obj_t BgL_auxz00_6044;
BgL_auxz00_6044 = 
CNST_TABLE_REF(((long)120)); 
BgL_test3278z00_1984 = 
(BgL_arg3281z00_1987==BgL_auxz00_6044); } }  else 
{ /* Jvm/instr.scm 486 */
BgL_test3278z00_1984 = ((bool_t)0); } } 
if(BgL_test3278z00_1984)
{ /* Jvm/instr.scm 486 */
{ /* Jvm/instr.scm 487 */
obj_t BgL_arg3279z00_1985;
{ /* Jvm/instr.scm 487 */
obj_t BgL_pairz00_3621;
BgL_pairz00_3621 = BgL_ptrz00_1978; 
BgL_arg3279z00_1985 = 
CAR(BgL_pairz00_3621); } 
BgL_argsz00_1977 = 
MAKE_PAIR(BgL_arg3279z00_1985, BgL_argsz00_1977); } 
{ /* Jvm/instr.scm 488 */
obj_t BgL_pairz00_3622;
BgL_pairz00_3622 = BgL_ptrz00_1978; 
BgL_ptrz00_1978 = 
CDR(BgL_pairz00_3622); } }  else 
{ /* Jvm/instr.scm 486 */BFALSE; } } 
{ /* Jvm/instr.scm 489 */
bool_t BgL_test3284z00_1990;
{ /* Jvm/instr.scm 489 */
bool_t BgL_test3286z00_1992;
{ /* Jvm/instr.scm 489 */
obj_t BgL_arg3288z00_1994;
{ /* Jvm/instr.scm 489 */
obj_t BgL_pairz00_3623;
BgL_pairz00_3623 = BgL_ptrz00_1978; 
BgL_arg3288z00_1994 = 
CAR(BgL_pairz00_3623); } 
BgL_test3286z00_1992 = 
PAIRP(BgL_arg3288z00_1994); } 
if(BgL_test3286z00_1992)
{ /* Jvm/instr.scm 490 */
obj_t BgL_arg3287z00_1993;
{ /* Jvm/instr.scm 490 */
obj_t BgL_pairz00_3625;
BgL_pairz00_3625 = BgL_ptrz00_1978; 
{ /* Jvm/instr.scm 490 */
obj_t BgL_auxz00_6054;
BgL_auxz00_6054 = 
CAR(BgL_pairz00_3625); 
BgL_arg3287z00_1993 = 
CAR(BgL_auxz00_6054); } } 
{ /* Jvm/instr.scm 490 */
obj_t BgL_auxz00_6057;
BgL_auxz00_6057 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg3287z00_1993, BGl_za2simplezd2pushzd2instructionsza2z00zzjvm_instrz00); 
BgL_test3284z00_1990 = 
CBOOL(BgL_auxz00_6057); } }  else 
{ /* Jvm/instr.scm 489 */
BgL_test3284z00_1990 = ((bool_t)0); } } 
if(BgL_test3284z00_1990)
{ /* Jvm/instr.scm 489 */
{ /* Jvm/instr.scm 491 */
obj_t BgL_arg3285z00_1991;
{ /* Jvm/instr.scm 491 */
obj_t BgL_pairz00_3629;
BgL_pairz00_3629 = BgL_ptrz00_1978; 
BgL_arg3285z00_1991 = 
CAR(BgL_pairz00_3629); } 
BgL_argsz00_1977 = 
MAKE_PAIR(BgL_arg3285z00_1991, BgL_argsz00_1977); } 
{ /* Jvm/instr.scm 492 */
obj_t BgL_pairz00_3630;
BgL_pairz00_3630 = BgL_ptrz00_1978; 
BgL_ptrz00_1978 = 
CDR(BgL_pairz00_3630); } }  else 
{ /* Jvm/instr.scm 489 */BFALSE; } } 
{ 
obj_t BgL_l2970z00_6064;
BgL_l2970z00_6064 = 
CDR(BgL_l2970z00_1979); 
BgL_l2970z00_1979 = BgL_l2970z00_6064; 
goto BgL_lname2971z00_1980;} }  else 
{ /* Jvm/instr.scm 484 */((bool_t)1); } } 
{ /* Jvm/instr.scm 494 */
bool_t BgL_test3290z00_1996;
{ /* Jvm/instr.scm 494 */
bool_t BgL_test3291z00_1997;
{ /* Jvm/instr.scm 494 */
obj_t BgL_arg3294z00_2000;
{ /* Jvm/instr.scm 494 */
obj_t BgL_pairz00_3632;
BgL_pairz00_3632 = BgL_ptrz00_1978; 
BgL_arg3294z00_2000 = 
CAR(BgL_pairz00_3632); } 
BgL_test3291z00_1997 = 
PAIRP(BgL_arg3294z00_2000); } 
if(BgL_test3291z00_1997)
{ /* Jvm/instr.scm 494 */
obj_t BgL_arg3292z00_1998;
{ /* Jvm/instr.scm 494 */
obj_t BgL_pairz00_3634;
BgL_pairz00_3634 = BgL_ptrz00_1978; 
{ /* Jvm/instr.scm 494 */
obj_t BgL_auxz00_6070;
BgL_auxz00_6070 = 
CAR(BgL_pairz00_3634); 
BgL_arg3292z00_1998 = 
CAR(BgL_auxz00_6070); } } 
{ /* Jvm/instr.scm 494 */
obj_t BgL_auxz00_6073;
BgL_auxz00_6073 = 
CNST_TABLE_REF(((long)120)); 
BgL_test3290z00_1996 = 
(BgL_arg3292z00_1998==BgL_auxz00_6073); } }  else 
{ /* Jvm/instr.scm 494 */
BgL_test3290z00_1996 = ((bool_t)0); } } 
if(BgL_test3290z00_1996)
{ /* Jvm/instr.scm 495 */
obj_t BgL_pairz00_3638;
BgL_pairz00_3638 = BgL_ptrz00_1978; 
BgL_ptrz00_1978 = 
CDR(BgL_pairz00_3638); }  else 
{ /* Jvm/instr.scm 494 */BFALSE; } } 
{ 
obj_t BgL_xz00_2005;obj_t BgL_fromz00_2006;obj_t BgL_tz00_2007;obj_t BgL_restz00_2008;obj_t BgL_xz00_2001;obj_t BgL_tz00_2002;obj_t BgL_restz00_2003;
{ /* Jvm/instr.scm 496 */
obj_t BgL_ezd2120zd2_2011;
BgL_ezd2120zd2_2011 = BgL_ptrz00_1978; 
if(
PAIRP(BgL_ezd2120zd2_2011))
{ /* Jvm/instr.scm 496 */
obj_t BgL_carzd2128zd2_2013;obj_t BgL_cdrzd2129zd2_2014;
BgL_carzd2128zd2_2013 = 
CAR(BgL_ezd2120zd2_2011); 
BgL_cdrzd2129zd2_2014 = 
CDR(BgL_ezd2120zd2_2011); 
if(
PAIRP(BgL_carzd2128zd2_2013))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2132zd2_2016;
BgL_cdrzd2132zd2_2016 = 
CDR(BgL_carzd2128zd2_2013); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6085;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6088;obj_t BgL_auxz00_6086;
BgL_auxz00_6088 = 
CNST_TABLE_REF(((long)42)); 
BgL_auxz00_6086 = 
CAR(BgL_carzd2128zd2_2013); 
BgL_testz00_6085 = 
(BgL_auxz00_6086==BgL_auxz00_6088); } 
if(BgL_testz00_6085)
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2132zd2_2016))
{ /* Jvm/instr.scm 496 */
obj_t BgL_xz00_2019;
BgL_xz00_2019 = 
CAR(BgL_cdrzd2132zd2_2016); 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2132zd2_2016), BNIL))
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2129zd2_2014))
{ /* Jvm/instr.scm 496 */
obj_t BgL_carzd2140zd2_2022;obj_t BgL_cdrzd2141zd2_2023;
BgL_carzd2140zd2_2022 = 
CAR(BgL_cdrzd2129zd2_2014); 
BgL_cdrzd2141zd2_2023 = 
CDR(BgL_cdrzd2129zd2_2014); 
if(
PAIRP(BgL_carzd2140zd2_2022))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2144zd2_2025;
BgL_cdrzd2144zd2_2025 = 
CDR(BgL_carzd2140zd2_2022); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6104;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6107;obj_t BgL_auxz00_6105;
BgL_auxz00_6107 = 
CNST_TABLE_REF(((long)47)); 
BgL_auxz00_6105 = 
CAR(BgL_carzd2140zd2_2022); 
BgL_testz00_6104 = 
(BgL_auxz00_6105==BgL_auxz00_6107); } 
if(BgL_testz00_6104)
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2144zd2_2025))
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6112;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6113;
BgL_auxz00_6113 = 
CAR(BgL_cdrzd2144zd2_2025); 
BgL_testz00_6112 = 
(BgL_xz00_2019==BgL_auxz00_6113); } 
if(BgL_testz00_6112)
{ /* Jvm/instr.scm 496 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2144zd2_2025), BNIL))
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2141zd2_2023))
{ /* Jvm/instr.scm 496 */
obj_t BgL_carzd2151zd2_2031;
BgL_carzd2151zd2_2031 = 
CAR(BgL_cdrzd2141zd2_2023); 
if(
PAIRP(BgL_carzd2151zd2_2031))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2155zd2_2033;
BgL_cdrzd2155zd2_2033 = 
CDR(BgL_carzd2151zd2_2031); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6125;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6128;obj_t BgL_auxz00_6126;
BgL_auxz00_6128 = 
CNST_TABLE_REF(((long)117)); 
BgL_auxz00_6126 = 
CAR(BgL_carzd2151zd2_2031); 
BgL_testz00_6125 = 
(BgL_auxz00_6126==BgL_auxz00_6128); } 
if(BgL_testz00_6125)
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2155zd2_2033))
{ /* Jvm/instr.scm 496 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2155zd2_2033), BNIL))
{ /* Jvm/instr.scm 496 */
BgL_xz00_2001 = BgL_xz00_2019; 
BgL_tz00_2002 = 
CAR(BgL_cdrzd2155zd2_2033); 
BgL_restz00_2003 = 
CDR(BgL_cdrzd2141zd2_2023); 
{ /* Jvm/instr.scm 498 */
obj_t BgL_arg3399z00_2151;
{ /* Jvm/instr.scm 498 */
obj_t BgL_arg3400z00_2152;obj_t BgL_arg3401z00_2153;
{ /* Jvm/instr.scm 498 */
obj_t BgL_arg3402z00_2154;obj_t BgL_arg3403z00_2155;
BgL_arg3402z00_2154 = 
CNST_TABLE_REF(((long)47)); 
BgL_arg3403z00_2155 = 
MAKE_PAIR(BgL_xz00_2001, BNIL); 
BgL_arg3400z00_2152 = 
MAKE_PAIR(BgL_arg3402z00_2154, BgL_arg3403z00_2155); } 
{ /* Jvm/instr.scm 499 */
obj_t BgL_arg3404z00_2156;obj_t BgL_arg3405z00_2157;
{ /* Jvm/instr.scm 499 */
obj_t BgL_arg3406z00_2158;obj_t BgL_arg3407z00_2159;
BgL_arg3406z00_2158 = 
CNST_TABLE_REF(((long)147)); 
BgL_arg3407z00_2159 = 
MAKE_PAIR(BgL_varz00_127, BNIL); 
BgL_arg3404z00_2156 = 
MAKE_PAIR(BgL_arg3406z00_2158, BgL_arg3407z00_2159); } 
{ /* Jvm/instr.scm 500 */
obj_t BgL_arg3409z00_2160;obj_t BgL_arg3410z00_2161;
BgL_arg3409z00_2160 = 
bgl_reverse(BgL_argsz00_1977); 
{ /* Jvm/instr.scm 501 */
obj_t BgL_arg3411z00_2162;obj_t BgL_arg3412z00_2163;
{ /* Jvm/instr.scm 501 */
obj_t BgL_auxz00_6143;
BgL_auxz00_6143 = 
CNST_TABLE_REF(((long)148)); 
BgL_arg3411z00_2162 = 
MAKE_PAIR(BgL_auxz00_6143, BNIL); } 
{ /* Jvm/instr.scm 502 */
obj_t BgL_arg3413z00_2164;obj_t BgL_arg3414z00_2165;
{ /* Jvm/instr.scm 502 */
obj_t BgL_arg3415z00_2166;obj_t BgL_arg3416z00_2167;
BgL_arg3415z00_2166 = 
CNST_TABLE_REF(((long)117)); 
BgL_arg3416z00_2167 = 
MAKE_PAIR(BgL_tz00_2002, BNIL); 
BgL_arg3413z00_2164 = 
MAKE_PAIR(BgL_arg3415z00_2166, BgL_arg3416z00_2167); } 
BgL_arg3414z00_2165 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_restz00_2003, BNIL); 
BgL_arg3412z00_2163 = 
MAKE_PAIR(BgL_arg3413z00_2164, BgL_arg3414z00_2165); } 
BgL_arg3410z00_2161 = 
MAKE_PAIR(BgL_arg3411z00_2162, BgL_arg3412z00_2163); } 
BgL_arg3405z00_2157 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3409z00_2160, BgL_arg3410z00_2161); } 
BgL_arg3401z00_2153 = 
MAKE_PAIR(BgL_arg3404z00_2156, BgL_arg3405z00_2157); } 
BgL_arg3399z00_2151 = 
MAKE_PAIR(BgL_arg3400z00_2152, BgL_arg3401z00_2153); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_126))->BgL_codez00) = ((obj_t)BgL_arg3399z00_2151), BUNSPEC); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6158;
BgL_tagzd2119zd2_2010:
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3765z00zzjvm_instrz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
(((BgL_envz00_bglt)CREF(BgL_envz00_126))->BgL_codez00), current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string3766z00zzjvm_instrz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_targsz00_128, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
{ /* Jvm/instr.scm 515 */
obj_t BgL_arg3444z00_2194;
{ /* Jvm/instr.scm 515 */
obj_t BgL_arg3445z00_2195;obj_t BgL_arg3447z00_2196;
BgL_arg3445z00_2195 = 
CNST_TABLE_REF(((long)147)); 
BgL_arg3447z00_2196 = 
MAKE_PAIR(BgL_varz00_127, BNIL); 
BgL_arg3444z00_2194 = 
MAKE_PAIR(BgL_arg3445z00_2195, BgL_arg3447z00_2196); } 
{ /* Jvm/instr.scm 515 */
obj_t BgL_arg3013z00_3751;
{ /* Jvm/instr.scm 515 */
obj_t BgL_auxz00_6169;
BgL_auxz00_6169 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_126))->BgL_codez00); 
BgL_arg3013z00_3751 = 
MAKE_PAIR(BgL_arg3444z00_2194, BgL_auxz00_6169); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_126))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3751), BUNSPEC); } 
BgL_auxz00_6158 = ((bool_t)1); } 
BBOOL(BgL_auxz00_6158); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6174;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6174); } }  else 
{ /* Jvm/instr.scm 496 */
obj_t BgL_xz00_2042;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6176;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6177;
BgL_auxz00_6177 = 
CAR(BgL_ezd2120zd2_2011); 
BgL_auxz00_6176 = 
CDR(BgL_auxz00_6177); } 
BgL_xz00_2042 = 
CAR(BgL_auxz00_6176); } 
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2206zd2_2043;
BgL_cdrzd2206zd2_2043 = 
CDR(BgL_cdrzd2129zd2_2014); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6182;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6183;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6184;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6185;
BgL_auxz00_6185 = 
CAR(BgL_cdrzd2129zd2_2014); 
BgL_auxz00_6184 = 
CDR(BgL_auxz00_6185); } 
BgL_auxz00_6183 = 
CAR(BgL_auxz00_6184); } 
BgL_testz00_6182 = 
(BgL_xz00_2042==BgL_auxz00_6183); } 
if(BgL_testz00_6182)
{ /* Jvm/instr.scm 496 */
obj_t BgL_carzd2221zd2_2045;obj_t BgL_cdrzd2222zd2_2046;
BgL_carzd2221zd2_2045 = 
CAR(BgL_cdrzd2206zd2_2043); 
BgL_cdrzd2222zd2_2046 = 
CDR(BgL_cdrzd2206zd2_2043); 
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2226zd2_2047;
BgL_cdrzd2226zd2_2047 = 
CDR(BgL_carzd2221zd2_2045); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6193;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6196;obj_t BgL_auxz00_6194;
BgL_auxz00_6196 = 
CNST_TABLE_REF(((long)149)); 
BgL_auxz00_6194 = 
CAR(BgL_carzd2221zd2_2045); 
BgL_testz00_6193 = 
(BgL_auxz00_6194==BgL_auxz00_6196); } 
if(BgL_testz00_6193)
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2226zd2_2047))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2230zd2_2050;
BgL_cdrzd2230zd2_2050 = 
CDR(BgL_cdrzd2226zd2_2047); 
{ /* Jvm/instr.scm 496 */
obj_t BgL_fromz00_2051;
BgL_fromz00_2051 = 
CAR(BgL_cdrzd2226zd2_2047); 
if(
PAIRP(BgL_cdrzd2230zd2_2050))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2234zd2_2053;
BgL_cdrzd2234zd2_2053 = 
CDR(BgL_cdrzd2230zd2_2050); 
if(
PAIRP(BgL_cdrzd2234zd2_2053))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2237zd2_2055;
BgL_cdrzd2237zd2_2055 = 
CDR(BgL_cdrzd2234zd2_2053); 
if(
PAIRP(BgL_cdrzd2237zd2_2055))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2240zd2_2057;
BgL_cdrzd2240zd2_2057 = 
CDR(BgL_cdrzd2237zd2_2055); 
if(
PAIRP(BgL_cdrzd2240zd2_2057))
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6214;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6215;
BgL_auxz00_6215 = 
CAR(BgL_cdrzd2240zd2_2057); 
BgL_testz00_6214 = 
(BgL_xz00_2042==BgL_auxz00_6215); } 
if(BgL_testz00_6214)
{ /* Jvm/instr.scm 496 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2240zd2_2057), BNIL))
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2222zd2_2046))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2249zd2_2062;
BgL_cdrzd2249zd2_2062 = 
CDR(BgL_cdrzd2222zd2_2046); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6224;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6225;
BgL_auxz00_6225 = 
CAR(BgL_cdrzd2222zd2_2046); 
BgL_testz00_6224 = 
(BgL_fromz00_2051==BgL_auxz00_6225); } 
if(BgL_testz00_6224)
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2249zd2_2062))
{ /* Jvm/instr.scm 496 */
obj_t BgL_carzd2253zd2_2065;
BgL_carzd2253zd2_2065 = 
CAR(BgL_cdrzd2249zd2_2062); 
if(
PAIRP(BgL_carzd2253zd2_2065))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2257zd2_2067;
BgL_cdrzd2257zd2_2067 = 
CDR(BgL_carzd2253zd2_2065); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6234;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6237;obj_t BgL_auxz00_6235;
BgL_auxz00_6237 = 
CNST_TABLE_REF(((long)117)); 
BgL_auxz00_6235 = 
CAR(BgL_carzd2253zd2_2065); 
BgL_testz00_6234 = 
(BgL_auxz00_6235==BgL_auxz00_6237); } 
if(BgL_testz00_6234)
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2257zd2_2067))
{ /* Jvm/instr.scm 496 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2257zd2_2067), BNIL))
{ /* Jvm/instr.scm 496 */
BgL_xz00_2005 = BgL_xz00_2042; 
BgL_fromz00_2006 = BgL_fromz00_2051; 
BgL_tz00_2007 = 
CAR(BgL_cdrzd2257zd2_2067); 
BgL_restz00_2008 = 
CDR(BgL_cdrzd2249zd2_2062); 
BgL_tagzd2118zd2_2009:
{ /* Jvm/instr.scm 506 */
obj_t BgL_arg3417z00_2168;
{ /* Jvm/instr.scm 506 */
obj_t BgL_arg3418z00_2169;obj_t BgL_arg3419z00_2170;
{ /* Jvm/instr.scm 506 */
obj_t BgL_arg3420z00_2171;obj_t BgL_arg3421z00_2172;
BgL_arg3420z00_2171 = 
CNST_TABLE_REF(((long)47)); 
BgL_arg3421z00_2172 = 
MAKE_PAIR(BgL_xz00_2005, BNIL); 
BgL_arg3418z00_2169 = 
MAKE_PAIR(BgL_arg3420z00_2171, BgL_arg3421z00_2172); } 
{ /* Jvm/instr.scm 507 */
obj_t BgL_arg3422z00_2173;obj_t BgL_arg3423z00_2174;
{ /* Jvm/instr.scm 507 */
obj_t BgL_arg3424z00_2175;obj_t BgL_arg3425z00_2176;
BgL_arg3424z00_2175 = 
CNST_TABLE_REF(((long)147)); 
BgL_arg3425z00_2176 = 
MAKE_PAIR(BgL_varz00_127, BNIL); 
BgL_arg3422z00_2173 = 
MAKE_PAIR(BgL_arg3424z00_2175, BgL_arg3425z00_2176); } 
{ /* Jvm/instr.scm 508 */
obj_t BgL_arg3426z00_2177;obj_t BgL_arg3427z00_2178;
BgL_arg3426z00_2177 = 
bgl_reverse(BgL_argsz00_1977); 
{ /* Jvm/instr.scm 509 */
obj_t BgL_arg3429z00_2179;obj_t BgL_arg3430z00_2180;
{ /* Jvm/instr.scm 509 */
obj_t BgL_auxz00_6252;
BgL_auxz00_6252 = 
CNST_TABLE_REF(((long)148)); 
BgL_arg3429z00_2179 = 
MAKE_PAIR(BgL_auxz00_6252, BNIL); } 
{ /* Jvm/instr.scm 510 */
obj_t BgL_arg3431z00_2181;obj_t BgL_arg3432z00_2182;
{ /* Jvm/instr.scm 510 */
obj_t BgL_arg3433z00_2183;obj_t BgL_arg3434z00_2184;
BgL_arg3433z00_2183 = 
CNST_TABLE_REF(((long)117)); 
BgL_arg3434z00_2184 = 
MAKE_PAIR(BgL_tz00_2007, BNIL); 
BgL_arg3431z00_2181 = 
MAKE_PAIR(BgL_arg3433z00_2183, BgL_arg3434z00_2184); } 
BgL_arg3432z00_2182 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_restz00_2008, BNIL); 
BgL_arg3430z00_2180 = 
MAKE_PAIR(BgL_arg3431z00_2181, BgL_arg3432z00_2182); } 
BgL_arg3427z00_2178 = 
MAKE_PAIR(BgL_arg3429z00_2179, BgL_arg3430z00_2180); } 
BgL_arg3423z00_2174 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3426z00_2177, BgL_arg3427z00_2178); } 
BgL_arg3419z00_2170 = 
MAKE_PAIR(BgL_arg3422z00_2173, BgL_arg3423z00_2174); } 
BgL_arg3417z00_2168 = 
MAKE_PAIR(BgL_arg3418z00_2169, BgL_arg3419z00_2170); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_126))->BgL_codez00) = ((obj_t)BgL_arg3417z00_2168), BUNSPEC); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6267;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6267); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6269;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6269); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6271;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6271); } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6273;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6273); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6275;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6275); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6277;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6277); } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6279;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6279); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6281;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6281); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6283;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6283); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6285;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6285); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6287;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6287); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6289;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6289); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6291;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6291); } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6293;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6293); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6295;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6295); } } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6297;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6297); } } } } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6299;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6299); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6301;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6301); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6303;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6303); } }  else 
{ /* Jvm/instr.scm 496 */
obj_t BgL_xz00_2093;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6305;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6306;
BgL_auxz00_6306 = 
CAR(BgL_ezd2120zd2_2011); 
BgL_auxz00_6305 = 
CDR(BgL_auxz00_6306); } 
BgL_xz00_2093 = 
CAR(BgL_auxz00_6305); } 
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2317zd2_2094;
BgL_cdrzd2317zd2_2094 = 
CDR(BgL_cdrzd2129zd2_2014); 
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2320zd2_2095;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6311;
BgL_auxz00_6311 = 
CAR(BgL_cdrzd2129zd2_2014); 
BgL_cdrzd2320zd2_2095 = 
CDR(BgL_auxz00_6311); } 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6314;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6315;
BgL_auxz00_6315 = 
CAR(BgL_cdrzd2320zd2_2095); 
BgL_testz00_6314 = 
(BgL_xz00_2093==BgL_auxz00_6315); } 
if(BgL_testz00_6314)
{ /* Jvm/instr.scm 496 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2320zd2_2095), BNIL))
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2317zd2_2094))
{ /* Jvm/instr.scm 496 */
obj_t BgL_carzd2329zd2_2099;obj_t BgL_cdrzd2330zd2_2100;
BgL_carzd2329zd2_2099 = 
CAR(BgL_cdrzd2317zd2_2094); 
BgL_cdrzd2330zd2_2100 = 
CDR(BgL_cdrzd2317zd2_2094); 
if(
PAIRP(BgL_carzd2329zd2_2099))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2334zd2_2102;
BgL_cdrzd2334zd2_2102 = 
CDR(BgL_carzd2329zd2_2099); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6328;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6331;obj_t BgL_auxz00_6329;
BgL_auxz00_6331 = 
CNST_TABLE_REF(((long)149)); 
BgL_auxz00_6329 = 
CAR(BgL_carzd2329zd2_2099); 
BgL_testz00_6328 = 
(BgL_auxz00_6329==BgL_auxz00_6331); } 
if(BgL_testz00_6328)
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2334zd2_2102))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2338zd2_2105;
BgL_cdrzd2338zd2_2105 = 
CDR(BgL_cdrzd2334zd2_2102); 
{ /* Jvm/instr.scm 496 */
obj_t BgL_fromz00_2106;
BgL_fromz00_2106 = 
CAR(BgL_cdrzd2334zd2_2102); 
if(
PAIRP(BgL_cdrzd2338zd2_2105))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2342zd2_2108;
BgL_cdrzd2342zd2_2108 = 
CDR(BgL_cdrzd2338zd2_2105); 
if(
PAIRP(BgL_cdrzd2342zd2_2108))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2345zd2_2110;
BgL_cdrzd2345zd2_2110 = 
CDR(BgL_cdrzd2342zd2_2108); 
if(
PAIRP(BgL_cdrzd2345zd2_2110))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2348zd2_2112;
BgL_cdrzd2348zd2_2112 = 
CDR(BgL_cdrzd2345zd2_2110); 
if(
PAIRP(BgL_cdrzd2348zd2_2112))
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6349;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6350;
BgL_auxz00_6350 = 
CAR(BgL_cdrzd2348zd2_2112); 
BgL_testz00_6349 = 
(BgL_xz00_2093==BgL_auxz00_6350); } 
if(BgL_testz00_6349)
{ /* Jvm/instr.scm 496 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2348zd2_2112), BNIL))
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2330zd2_2100))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2357zd2_2117;
BgL_cdrzd2357zd2_2117 = 
CDR(BgL_cdrzd2330zd2_2100); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6359;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6360;
BgL_auxz00_6360 = 
CAR(BgL_cdrzd2330zd2_2100); 
BgL_testz00_6359 = 
(BgL_fromz00_2106==BgL_auxz00_6360); } 
if(BgL_testz00_6359)
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2357zd2_2117))
{ /* Jvm/instr.scm 496 */
obj_t BgL_carzd2361zd2_2120;
BgL_carzd2361zd2_2120 = 
CAR(BgL_cdrzd2357zd2_2117); 
if(
PAIRP(BgL_carzd2361zd2_2120))
{ /* Jvm/instr.scm 496 */
obj_t BgL_cdrzd2365zd2_2122;
BgL_cdrzd2365zd2_2122 = 
CDR(BgL_carzd2361zd2_2120); 
{ /* Jvm/instr.scm 496 */
bool_t BgL_testz00_6369;
{ /* Jvm/instr.scm 496 */
obj_t BgL_auxz00_6372;obj_t BgL_auxz00_6370;
BgL_auxz00_6372 = 
CNST_TABLE_REF(((long)117)); 
BgL_auxz00_6370 = 
CAR(BgL_carzd2361zd2_2120); 
BgL_testz00_6369 = 
(BgL_auxz00_6370==BgL_auxz00_6372); } 
if(BgL_testz00_6369)
{ /* Jvm/instr.scm 496 */
if(
PAIRP(BgL_cdrzd2365zd2_2122))
{ /* Jvm/instr.scm 496 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2365zd2_2122), BNIL))
{ 
obj_t BgL_restz00_6384;obj_t BgL_tz00_6382;obj_t BgL_fromz00_6381;obj_t BgL_xz00_6380;
BgL_xz00_6380 = BgL_xz00_2093; 
BgL_fromz00_6381 = BgL_fromz00_2106; 
BgL_tz00_6382 = 
CAR(BgL_cdrzd2365zd2_2122); 
BgL_restz00_6384 = 
CDR(BgL_cdrzd2357zd2_2117); 
BgL_restz00_2008 = BgL_restz00_6384; 
BgL_tz00_2007 = BgL_tz00_6382; 
BgL_fromz00_2006 = BgL_fromz00_6381; 
BgL_xz00_2005 = BgL_xz00_6380; 
goto BgL_tagzd2118zd2_2009;}  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6386;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6386); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6388;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6388); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6390;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6390); } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6392;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6392); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6394;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6394); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6396;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6396); } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6398;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6398); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6400;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6400); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6402;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6402); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6404;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6404); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6406;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6406); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6408;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6408); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6410;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6410); } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6412;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6412); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6414;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6414); } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6416;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6416); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6418;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6418); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6420;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6420); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6422;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6422); } } } } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6424;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6424); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6426;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6426); } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6428;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6428); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6430;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6430); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6432;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6432); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6434;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6434); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6436;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6436); } } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6438;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6438); } }  else 
{ /* Jvm/instr.scm 496 */
bool_t BgL_auxz00_6440;
goto BgL_tagzd2119zd2_2010;
BBOOL(BgL_auxz00_6440); } } } 
{ 
obj_t BgL_l2972z00_2197;
BgL_l2972z00_2197 = 
bgl_reverse(BgL_targsz00_128); 
BgL_lname2973z00_2198:
if(
PAIRP(BgL_l2972z00_2197))
{ /* Jvm/instr.scm 516 */
BGl_cpopz00zzjvm_instrz00(BgL_envz00_126, 
BGl_simplezd2typezd2zzjvm_instrz00(
CAR(BgL_l2972z00_2197))); 
{ 
obj_t BgL_l2972z00_6447;
BgL_l2972z00_6447 = 
CDR(BgL_l2972z00_2197); 
BgL_l2972z00_2197 = BgL_l2972z00_6447; 
goto BgL_lname2973z00_2198;} }  else 
{ /* Jvm/instr.scm 516 */((bool_t)1); } } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_126, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_trz00_129));} } 
}



/* __invokespecial_init */
obj_t BGl___invokespecial_initz00zzjvm_instrz00(obj_t BgL_envz00_4614, obj_t BgL_envz00_4615, obj_t BgL_varz00_4616, obj_t BgL_targsz00_4617, obj_t BgL_trz00_4618)
{ AN_OBJECT;
{ /* Jvm/instr.scm 481 */
return 
BGl__invokespecial_initz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4615), BgL_varz00_4616, BgL_targsz00_4617, BgL_trz00_4618);} 
}



/* _invokevirtual */
obj_t BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_134, obj_t BgL_varz00_135, obj_t BgL_targsz00_136, obj_t BgL_trz00_137)
{ AN_OBJECT;
{ /* Jvm/instr.scm 561 */
{ /* Jvm/instr.scm 562 */
obj_t BgL_arg3631z00_2435;
{ /* Jvm/instr.scm 562 */
obj_t BgL_arg3632z00_2436;obj_t BgL_arg3633z00_2437;
BgL_arg3632z00_2436 = 
CNST_TABLE_REF(((long)150)); 
BgL_arg3633z00_2437 = 
MAKE_PAIR(BgL_varz00_135, BNIL); 
BgL_arg3631z00_2435 = 
MAKE_PAIR(BgL_arg3632z00_2436, BgL_arg3633z00_2437); } 
{ /* Jvm/instr.scm 562 */
obj_t BgL_arg3013z00_3762;
{ /* Jvm/instr.scm 562 */
obj_t BgL_auxz00_6457;
BgL_auxz00_6457 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_134))->BgL_codez00); 
BgL_arg3013z00_3762 = 
MAKE_PAIR(BgL_arg3631z00_2435, BgL_auxz00_6457); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_134))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3762), BUNSPEC); } ((bool_t)1); } 
{ 
obj_t BgL_l2980z00_2438;
BgL_l2980z00_2438 = 
bgl_reverse(BgL_targsz00_136); 
BgL_lname2981z00_2439:
if(
PAIRP(BgL_l2980z00_2438))
{ /* Jvm/instr.scm 563 */
BGl_cpopz00zzjvm_instrz00(BgL_envz00_134, 
BGl_simplezd2typezd2zzjvm_instrz00(
CAR(BgL_l2980z00_2438))); 
{ 
obj_t BgL_l2980z00_6466;
BgL_l2980z00_6466 = 
CDR(BgL_l2980z00_2438); 
BgL_l2980z00_2438 = BgL_l2980z00_6466; 
goto BgL_lname2981z00_2439;} }  else 
{ /* Jvm/instr.scm 563 */((bool_t)1); } } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_134, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_trz00_137));} 
}



/* __invokevirtual */
obj_t BGl___invokevirtualz00zzjvm_instrz00(obj_t BgL_envz00_4619, obj_t BgL_envz00_4620, obj_t BgL_varz00_4621, obj_t BgL_targsz00_4622, obj_t BgL_trz00_4623)
{ AN_OBJECT;
{ /* Jvm/instr.scm 561 */
return 
BGl__invokevirtualz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4620), BgL_varz00_4621, BgL_targsz00_4622, BgL_trz00_4623);} 
}



/* _invokeinterface */
obj_t BGl__invokeinterfacez00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_138, obj_t BgL_varz00_139, obj_t BgL_targsz00_140, obj_t BgL_trz00_141)
{ AN_OBJECT;
{ /* Jvm/instr.scm 568 */
{ /* Jvm/instr.scm 569 */
obj_t BgL_arg3639z00_2446;
{ /* Jvm/instr.scm 569 */
obj_t BgL_arg3640z00_2447;obj_t BgL_arg3641z00_2448;
BgL_arg3640z00_2447 = 
CNST_TABLE_REF(((long)151)); 
BgL_arg3641z00_2448 = 
MAKE_PAIR(BgL_varz00_139, BNIL); 
BgL_arg3639z00_2446 = 
MAKE_PAIR(BgL_arg3640z00_2447, BgL_arg3641z00_2448); } 
{ /* Jvm/instr.scm 569 */
obj_t BgL_arg3013z00_3773;
{ /* Jvm/instr.scm 569 */
obj_t BgL_auxz00_6476;
BgL_auxz00_6476 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_138))->BgL_codez00); 
BgL_arg3013z00_3773 = 
MAKE_PAIR(BgL_arg3639z00_2446, BgL_auxz00_6476); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_138))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3773), BUNSPEC); } ((bool_t)1); } 
{ 
obj_t BgL_l2982z00_2449;
BgL_l2982z00_2449 = 
bgl_reverse(BgL_targsz00_140); 
BgL_lname2983z00_2450:
if(
PAIRP(BgL_l2982z00_2449))
{ /* Jvm/instr.scm 570 */
BGl_cpopz00zzjvm_instrz00(BgL_envz00_138, 
BGl_simplezd2typezd2zzjvm_instrz00(
CAR(BgL_l2982z00_2449))); 
{ 
obj_t BgL_l2982z00_6485;
BgL_l2982z00_6485 = 
CDR(BgL_l2982z00_2449); 
BgL_l2982z00_2449 = BgL_l2982z00_6485; 
goto BgL_lname2983z00_2450;} }  else 
{ /* Jvm/instr.scm 570 */((bool_t)1); } } 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_138, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_trz00_141));} 
}



/* __invokeinterface */
obj_t BGl___invokeinterfacez00zzjvm_instrz00(obj_t BgL_envz00_4624, obj_t BgL_envz00_4625, obj_t BgL_varz00_4626, obj_t BgL_targsz00_4627, obj_t BgL_trz00_4628)
{ AN_OBJECT;
{ /* Jvm/instr.scm 568 */
return 
BGl__invokeinterfacez00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4625), BgL_varz00_4626, BgL_targsz00_4627, BgL_trz00_4628);} 
}



/* _return */
obj_t BGl__returnz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_142, obj_t BgL_typez00_143)
{ AN_OBJECT;
{ /* Jvm/instr.scm 575 */
{ /* Jvm/instr.scm 576 */
obj_t BgL_arg3013z00_3784;
{ /* Jvm/instr.scm 576 */
obj_t BgL_auxz00_6515;obj_t BgL_auxz00_6492;
BgL_auxz00_6515 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_142))->BgL_codez00); 
{ /* Jvm/instr.scm 577 */
bool_t BgL_testz00_6493;
{ /* Jvm/instr.scm 577 */
obj_t BgL_auxz00_6494;
BgL_auxz00_6494 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_143, 
CNST_TABLE_REF(((long)3))); 
BgL_testz00_6493 = 
CBOOL(BgL_auxz00_6494); } 
if(BgL_testz00_6493)
{ /* Jvm/instr.scm 577 */
BgL_auxz00_6492 = 
CNST_TABLE_REF(((long)152))
; }  else 
{ /* Jvm/instr.scm 577 */
bool_t BgL_testz00_6499;
{ /* Jvm/instr.scm 577 */
obj_t BgL_auxz00_6500;
BgL_auxz00_6500 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_6499 = 
(BgL_typez00_143==BgL_auxz00_6500); } 
if(BgL_testz00_6499)
{ /* Jvm/instr.scm 577 */
BgL_auxz00_6492 = 
CNST_TABLE_REF(((long)153))
; }  else 
{ /* Jvm/instr.scm 577 */
bool_t BgL_testz00_6504;
{ /* Jvm/instr.scm 577 */
obj_t BgL_auxz00_6505;
BgL_auxz00_6505 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_6504 = 
(BgL_typez00_143==BgL_auxz00_6505); } 
if(BgL_testz00_6504)
{ /* Jvm/instr.scm 577 */
BgL_auxz00_6492 = 
CNST_TABLE_REF(((long)154))
; }  else 
{ /* Jvm/instr.scm 577 */
bool_t BgL_testz00_6509;
{ /* Jvm/instr.scm 577 */
obj_t BgL_auxz00_6510;
BgL_auxz00_6510 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_6509 = 
(BgL_typez00_143==BgL_auxz00_6510); } 
if(BgL_testz00_6509)
{ /* Jvm/instr.scm 577 */
BgL_auxz00_6492 = 
CNST_TABLE_REF(((long)155))
; }  else 
{ /* Jvm/instr.scm 577 */
BgL_auxz00_6492 = 
CNST_TABLE_REF(((long)156))
; } } } } } 
BgL_arg3013z00_3784 = 
MAKE_PAIR(BgL_auxz00_6492, BgL_auxz00_6515); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_142))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3784), BUNSPEC); } ((bool_t)1); 
return 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_142, 
BGl_simplezd2typezd2zzjvm_instrz00(BgL_typez00_143));} 
}



/* __return */
obj_t BGl___returnz00zzjvm_instrz00(obj_t BgL_envz00_4629, obj_t BgL_envz00_4630, obj_t BgL_typez00_4631)
{ AN_OBJECT;
{ /* Jvm/instr.scm 575 */
return 
BGl__returnz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4630), BgL_typez00_4631);} 
}



/* _athrow */
obj_t BGl__athrowz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_144)
{ AN_OBJECT;
{ /* Jvm/instr.scm 586 */
{ /* Jvm/instr.scm 587 */
obj_t BgL_arg3013z00_3792;
{ /* Jvm/instr.scm 587 */
obj_t BgL_auxz00_6525;obj_t BgL_auxz00_6523;
BgL_auxz00_6525 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_144))->BgL_codez00); 
BgL_auxz00_6523 = 
CNST_TABLE_REF(((long)157)); 
BgL_arg3013z00_3792 = 
MAKE_PAIR(BgL_auxz00_6523, BgL_auxz00_6525); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_144))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3792), BUNSPEC); } ((bool_t)1); 
BGl_cpopz00zzjvm_instrz00(BgL_envz00_144, 
CNST_TABLE_REF(((long)8))); 
return 
BGl_pushz00zzjvm_instrz00(BgL_envz00_144, 
CNST_TABLE_REF(((long)2)));} 
}



/* __athrow */
obj_t BGl___athrowz00zzjvm_instrz00(obj_t BgL_envz00_4632, obj_t BgL_envz00_4633)
{ AN_OBJECT;
{ /* Jvm/instr.scm 586 */
return 
BGl__athrowz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4633));} 
}



/* _handler */
obj_t BGl__handlerz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_145, obj_t BgL_bz00_146, obj_t BgL_ez00_147, obj_t BgL_pcz00_148, obj_t BgL_tagz00_149)
{ AN_OBJECT;
{ /* Jvm/instr.scm 591 */
{ /* Jvm/instr.scm 592 */
obj_t BgL_arg3654z00_3797;
{ /* Jvm/instr.scm 592 */
obj_t BgL_arg3655z00_3798;obj_t BgL_arg3656z00_3799;
BgL_arg3655z00_3798 = 
CNST_TABLE_REF(((long)158)); 
{ /* Jvm/instr.scm 592 */
obj_t BgL_arg3657z00_3800;
{ /* Jvm/instr.scm 592 */
obj_t BgL_arg3659z00_3801;
{ /* Jvm/instr.scm 592 */
obj_t BgL_arg3660z00_3802;
BgL_arg3660z00_3802 = 
MAKE_PAIR(BgL_tagz00_149, BNIL); 
BgL_arg3659z00_3801 = 
MAKE_PAIR(BgL_pcz00_148, BgL_arg3660z00_3802); } 
BgL_arg3657z00_3800 = 
MAKE_PAIR(BgL_ez00_147, BgL_arg3659z00_3801); } 
BgL_arg3656z00_3799 = 
MAKE_PAIR(BgL_bz00_146, BgL_arg3657z00_3800); } 
BgL_arg3654z00_3797 = 
MAKE_PAIR(BgL_arg3655z00_3798, BgL_arg3656z00_3799); } 
{ /* Jvm/instr.scm 592 */
obj_t BgL_arg3013z00_3806;
{ /* Jvm/instr.scm 592 */
obj_t BgL_auxz00_6541;
BgL_auxz00_6541 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_145))->BgL_codez00); 
BgL_arg3013z00_3806 = 
MAKE_PAIR(BgL_arg3654z00_3797, BgL_auxz00_6541); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_145))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3806), BUNSPEC); } 
return BTRUE;} } 
}



/* __handler */
obj_t BGl___handlerz00zzjvm_instrz00(obj_t BgL_envz00_4634, obj_t BgL_envz00_4635, obj_t BgL_bz00_4636, obj_t BgL_ez00_4637, obj_t BgL_pcz00_4638, obj_t BgL_tagz00_4639)
{ AN_OBJECT;
{ /* Jvm/instr.scm 591 */
return 
BGl__handlerz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4635), BgL_bz00_4636, BgL_ez00_4637, BgL_pcz00_4638, BgL_tagz00_4639);} 
}



/* _comment */
obj_t BGl__commentz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_150, obj_t BgL_namez00_151, obj_t BgL_vz00_152)
{ AN_OBJECT;
{ /* Jvm/instr.scm 595 */
{ /* Jvm/instr.scm 596 */
obj_t BgL_arg3661z00_3811;
{ /* Jvm/instr.scm 596 */
obj_t BgL_arg3662z00_3812;obj_t BgL_arg3663z00_3813;
BgL_arg3662z00_3812 = 
CNST_TABLE_REF(((long)159)); 
{ /* Jvm/instr.scm 596 */
obj_t BgL_arg3664z00_3814;
BgL_arg3664z00_3814 = 
MAKE_PAIR(BgL_vz00_152, BNIL); 
BgL_arg3663z00_3813 = 
MAKE_PAIR(BgL_namez00_151, BgL_arg3664z00_3814); } 
BgL_arg3661z00_3811 = 
MAKE_PAIR(BgL_arg3662z00_3812, BgL_arg3663z00_3813); } 
{ /* Jvm/instr.scm 596 */
obj_t BgL_arg3013z00_3818;
{ /* Jvm/instr.scm 596 */
obj_t BgL_auxz00_6551;
BgL_auxz00_6551 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_150))->BgL_codez00); 
BgL_arg3013z00_3818 = 
MAKE_PAIR(BgL_arg3661z00_3811, BgL_auxz00_6551); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_150))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3818), BUNSPEC); } 
return BTRUE;} } 
}



/* __comment */
obj_t BGl___commentz00zzjvm_instrz00(obj_t BgL_envz00_4640, obj_t BgL_envz00_4641, obj_t BgL_namez00_4642, obj_t BgL_vz00_4643)
{ AN_OBJECT;
{ /* Jvm/instr.scm 595 */
return 
BGl__commentz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4641), BgL_namez00_4642, BgL_vz00_4643);} 
}



/* _line */
obj_t BGl__linez00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_153, obj_t BgL_nz00_154)
{ AN_OBJECT;
{ /* Jvm/instr.scm 599 */
{ /* Jvm/instr.scm 600 */
bool_t BgL_test3665z00_2474;
{ /* Jvm/instr.scm 600 */
long BgL_n1z00_3823;long BgL_n2z00_3824;
BgL_n1z00_3823 = 
(long)CINT(BgL_nz00_154); 
BgL_n2z00_3824 = 
(long)CINT(BGl_za2lastzd2lineza2zd2zzjvm_instrz00); 
BgL_test3665z00_2474 = 
(BgL_n1z00_3823==BgL_n2z00_3824); } 
if(BgL_test3665z00_2474)
{ /* Jvm/instr.scm 600 */
return 
CNST_TABLE_REF(((long)35));}  else 
{ /* Jvm/instr.scm 600 */
{ /* Jvm/instr.scm 602 */
obj_t BgL_arg3666z00_2475;
{ /* Jvm/instr.scm 602 */
obj_t BgL_arg3667z00_2476;obj_t BgL_arg3668z00_2477;
BgL_arg3667z00_2476 = 
CNST_TABLE_REF(((long)160)); 
BgL_arg3668z00_2477 = 
MAKE_PAIR(BgL_nz00_154, BNIL); 
BgL_arg3666z00_2475 = 
MAKE_PAIR(BgL_arg3667z00_2476, BgL_arg3668z00_2477); } 
{ /* Jvm/instr.scm 602 */
obj_t BgL_arg3013z00_3828;
{ /* Jvm/instr.scm 602 */
obj_t BgL_auxz00_6565;
BgL_auxz00_6565 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_153))->BgL_codez00); 
BgL_arg3013z00_3828 = 
MAKE_PAIR(BgL_arg3666z00_2475, BgL_auxz00_6565); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_153))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3828), BUNSPEC); } ((bool_t)1); } 
return ( 
BGl_za2lastzd2lineza2zd2zzjvm_instrz00 = BgL_nz00_154, BUNSPEC) ;} } } 
}



/* __line */
obj_t BGl___linez00zzjvm_instrz00(obj_t BgL_envz00_4644, obj_t BgL_envz00_4645, obj_t BgL_nz00_4646)
{ AN_OBJECT;
{ /* Jvm/instr.scm 599 */
return 
BGl__linez00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4645), BgL_nz00_4646);} 
}



/* _localvar */
obj_t BGl__localvarz00zzjvm_instrz00(BgL_envz00_bglt BgL_envz00_155, obj_t BgL_fromz00_156, obj_t BgL_toz00_157, obj_t BgL_unamez00_158, obj_t BgL_typez00_159, obj_t BgL_namez00_160)
{ AN_OBJECT;
{ /* Jvm/instr.scm 605 */
{ /* Jvm/instr.scm 606 */
obj_t BgL_arg3669z00_3833;
{ /* Jvm/instr.scm 606 */
obj_t BgL_arg3671z00_3834;obj_t BgL_arg3672z00_3835;
BgL_arg3671z00_3834 = 
CNST_TABLE_REF(((long)149)); 
{ /* Jvm/instr.scm 606 */
obj_t BgL_arg3673z00_3836;
{ /* Jvm/instr.scm 606 */
obj_t BgL_arg3674z00_3837;
{ /* Jvm/instr.scm 606 */
obj_t BgL_arg3675z00_3838;
{ /* Jvm/instr.scm 606 */
obj_t BgL_arg3676z00_3839;
BgL_arg3676z00_3839 = 
MAKE_PAIR(BgL_namez00_160, BNIL); 
BgL_arg3675z00_3838 = 
MAKE_PAIR(BgL_typez00_159, BgL_arg3676z00_3839); } 
BgL_arg3674z00_3837 = 
MAKE_PAIR(BgL_unamez00_158, BgL_arg3675z00_3838); } 
BgL_arg3673z00_3836 = 
MAKE_PAIR(BgL_toz00_157, BgL_arg3674z00_3837); } 
BgL_arg3672z00_3835 = 
MAKE_PAIR(BgL_fromz00_156, BgL_arg3673z00_3836); } 
BgL_arg3669z00_3833 = 
MAKE_PAIR(BgL_arg3671z00_3834, BgL_arg3672z00_3835); } 
{ /* Jvm/instr.scm 606 */
obj_t BgL_arg3013z00_3843;
{ /* Jvm/instr.scm 606 */
obj_t BgL_auxz00_6578;
BgL_auxz00_6578 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_155))->BgL_codez00); 
BgL_arg3013z00_3843 = 
MAKE_PAIR(BgL_arg3669z00_3833, BgL_auxz00_6578); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_155))->BgL_codez00) = ((obj_t)BgL_arg3013z00_3843), BUNSPEC); } 
return BTRUE;} } 
}



/* __localvar */
obj_t BGl___localvarz00zzjvm_instrz00(obj_t BgL_envz00_4647, obj_t BgL_envz00_4648, obj_t BgL_fromz00_4649, obj_t BgL_toz00_4650, obj_t BgL_unamez00_4651, obj_t BgL_typez00_4652, obj_t BgL_namez00_4653)
{ AN_OBJECT;
{ /* Jvm/instr.scm 605 */
return 
BGl__localvarz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_4648), BgL_fromz00_4649, BgL_toz00_4650, BgL_unamez00_4651, BgL_typez00_4652, BgL_namez00_4653);} 
}



/* create-string */
obj_t BGl_createzd2stringzd2zzjvm_instrz00(obj_t BgL_envz00_161, obj_t BgL_strz00_162)
{ AN_OBJECT;
{ /* Jvm/instr.scm 608 */
{ /* Jvm/instr.scm 609 */
obj_t BgL_auxz00_6584;
{ /* Jvm/instr.scm 609 */
int BgL_auxz00_6585;
BgL_auxz00_6585 = 
STRING_LENGTH(BgL_strz00_162); 
BgL_auxz00_6584 = 
BINT(BgL_auxz00_6585); } 
BGl_splitzd2stringzd2zzjvm_instrz00(BgL_envz00_161, BgL_strz00_162, ((long)0), BgL_auxz00_6584); } 
{ /* Jvm/instr.scm 610 */
obj_t BgL_arg3679z00_2487;obj_t BgL_arg3680z00_2488;obj_t BgL_arg3681z00_2489;
BgL_arg3679z00_2487 = 
BGl_jlibzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_161), 
CNST_TABLE_REF(((long)161))); 
BgL_arg3680z00_2488 = 
CNST_TABLE_REF(((long)162)); 
BgL_arg3681z00_2489 = 
CNST_TABLE_REF(((long)8)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_161), BgL_arg3679z00_2487, BgL_arg3680z00_2488, BgL_arg3681z00_2489);} } 
}



/* _create-string */
obj_t BGl__createzd2stringzd2zzjvm_instrz00(obj_t BgL_envz00_4654, obj_t BgL_envz00_4655, obj_t BgL_strz00_4656)
{ AN_OBJECT;
{ /* Jvm/instr.scm 608 */
return 
BGl_createzd2stringzd2zzjvm_instrz00(BgL_envz00_4655, BgL_strz00_4656);} 
}



/* split-string */
obj_t BGl_splitzd2stringzd2zzjvm_instrz00(obj_t BgL_envz00_163, obj_t BgL_strz00_164, long BgL_iz00_165, obj_t BgL_nz00_166)
{ AN_OBJECT;
{ /* Jvm/instr.scm 612 */
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_nz00_166, 
BINT(((long)65536))))
{ /* Jvm/instr.scm 614 */
obj_t BgL_arg3683z00_2491;obj_t BgL_arg3684z00_2492;
BgL_arg3683z00_2491 = 
CNST_TABLE_REF(((long)30)); 
if(
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(BgL_iz00_165, ((long)0)))
{ /* Jvm/instr.scm 614 */
BgL_arg3684z00_2492 = BgL_strz00_164; }  else 
{ /* Jvm/instr.scm 614 */
int BgL_auxz00_6605;int BgL_auxz00_6603;
{ /* Jvm/instr.scm 614 */
obj_t BgL_auxz00_6606;
BgL_auxz00_6606 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_iz00_165), BgL_nz00_166); 
BgL_auxz00_6605 = 
CINT(BgL_auxz00_6606); } 
BgL_auxz00_6603 = 
(int)(BgL_iz00_165); 
BgL_arg3684z00_2492 = 
c_substring(BgL_strz00_164, BgL_auxz00_6603, BgL_auxz00_6605); } 
return 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_163), BgL_arg3683z00_2491, BgL_arg3684z00_2492);}  else 
{ /* Jvm/instr.scm 613 */
{ /* Jvm/instr.scm 616 */
obj_t BgL_arg3687z00_2495;obj_t BgL_arg3688z00_2496;
BgL_arg3687z00_2495 = 
CNST_TABLE_REF(((long)30)); 
{ /* Jvm/instr.scm 616 */
int BgL_auxz00_6616;int BgL_auxz00_6614;
{ /* Jvm/instr.scm 616 */
long BgL_auxz00_6617;
BgL_auxz00_6617 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(BgL_iz00_165, ((long)65535)); 
BgL_auxz00_6616 = 
(int)(BgL_auxz00_6617); } 
BgL_auxz00_6614 = 
(int)(BgL_iz00_165); 
BgL_arg3688z00_2496 = 
c_substring(BgL_strz00_164, BgL_auxz00_6614, BgL_auxz00_6616); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_163), BgL_arg3687z00_2495, BgL_arg3688z00_2496); } 
BGl_splitzd2stringzd2zzjvm_instrz00(BgL_envz00_163, BgL_strz00_164, 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(BgL_iz00_165, ((long)65535)), 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_nz00_166, 
BINT(((long)65535)))); 
{ /* Jvm/instr.scm 618 */
obj_t BgL_arg3692z00_2500;obj_t BgL_arg3693z00_2501;obj_t BgL_arg3694z00_2502;
BgL_arg3692z00_2500 = 
BGl_jlibzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_163), 
CNST_TABLE_REF(((long)163))); 
BgL_arg3693z00_2501 = 
CNST_TABLE_REF(((long)164)); 
BgL_arg3694z00_2502 = 
CNST_TABLE_REF(((long)8)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_163), BgL_arg3692z00_2500, BgL_arg3693z00_2501, BgL_arg3694z00_2502);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_instrz00()
{ AN_OBJECT;
{ /* Jvm/instr.scm 2 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_instrz00()
{ AN_OBJECT;
{ /* Jvm/instr.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_instr"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_instr"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)33280), "jvm_instr");} 
}

