/*===========================================================================*/
/*   (Jvm/jld.scm)                                                           */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zzjvm_ldz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_handling_function1765z00zzjvm_ldz00(obj_t, obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_withzd2outputzd2tozd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_ldz00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_jvmzd2classpathzd2zzjvm_ldz00();
extern obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2envza2zd2zzengine_paramz00;
extern obj_t open_input_string(obj_t);
extern bool_t BGl_chmodz00zz__osz00(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2javaza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza31647ze3z83zzjvm_ldz00(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza31648ze3z83zzjvm_ldz00(obj_t);
static obj_t BGl_handling_function1700z00zzjvm_ldz00(obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
extern obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
extern obj_t BGl_findzd2srczd2filez00zzengine_linkz00(obj_t, obj_t);
static obj_t BGl_rhandler1577z00zzjvm_ldz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2unsafezd2libraryza2zd2zzengine_paramz00;
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
static obj_t BGl_rhandler1586z00zzjvm_ldz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_handling_function1644z00zzjvm_ldz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_listzd2ze3pathzd2stringze3zzjvm_ldz00(obj_t, char *);
static obj_t BGl_objectszd2ze3classesz31zzjvm_ldz00(obj_t);
extern obj_t BGl_bigloozd2manglezd2zz__biglooz00(obj_t);
extern obj_t BGl_za2jvmzd2jarpathza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza31658ze3z83zzjvm_ldz00(obj_t);
static obj_t BGl_generatezd2jvmzd2manifestz00zzjvm_ldz00(obj_t, obj_t, obj_t);
static bool_t BGl_generatezd2jvmzd2shzd2scriptzd2zzjvm_ldz00(obj_t, obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2jarzf3za2z21zzengine_paramz00;
extern obj_t string_to_bstring(char *);
static obj_t BGl_makezd2manifestzd2namez00zzjvm_ldz00();
static obj_t BGl_zc3anonymousza31799ze3z83zzjvm_ldz00(obj_t);
extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
static obj_t BGl_jvmzd2jarzd2zzjvm_ldz00(obj_t, obj_t, obj_t);
static obj_t BGl_stringzd2replacez12zc0zzjvm_ldz00(obj_t, unsigned char, unsigned char);
static obj_t BGl_findzd2jvmzd2mainz00zzjvm_ldz00(obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_za2destza2z00zzengine_paramz00;
static obj_t BGl_loop_2120z00zzjvm_ldz00(obj_t, obj_t);
extern obj_t current_input_port;
static obj_t BGl_zc3anonymousza31953ze3z83zzjvm_ldz00(obj_t);
static obj_t BGl_escapez00zzjvm_ldz00(obj_t, obj_t);
extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
static obj_t BGl_userzd2libraryzd2zzjvm_ldz00(obj_t);
static obj_t BGl_loopz00zzjvm_ldz00(obj_t, obj_t);
extern obj_t BGl_jvmzd2ldzd2zzjvm_ldz00();
static obj_t BGl_generatezd2shzd2jvmzd2manifestzd2zzjvm_ldz00(obj_t, obj_t);
extern obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
extern obj_t BGl_za2jvmzd2shellza2zd2zzengine_paramz00;
static obj_t BGl_generatezd2msdoszd2jvmzd2manifestzd2zzjvm_ldz00(obj_t, obj_t, obj_t);
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_systemz00zz__osz00(obj_t);
extern obj_t BGl_za2jvmzd2purifyza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzjvm_ldz00();
extern obj_t BGl_za2jvmzd2classpathza2zd2zzengine_paramz00;
extern obj_t BGl_basenamez00zz__osz00(obj_t);
static obj_t BGl_zc3anonymousza31826ze3z83zzjvm_ldz00(obj_t);
extern bool_t bigloo_strcmp(obj_t, obj_t);
extern obj_t BGl_dirnamez00zz__osz00(obj_t);
extern bool_t fexists(char *);
extern obj_t c_substring(obj_t, int, int);
static obj_t BGl_zc3anonymousza31904ze3z83zzjvm_ldz00(obj_t);
static obj_t BGl_body1578z00zzjvm_ldz00(obj_t);
extern obj_t BGl_suffixz00zz__osz00(obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_body1587z00zzjvm_ldz00(obj_t);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl__jvmzd2ldzd2zzjvm_ldz00(obj_t);
static bool_t BGl_generatezd2jvmzd2scriptz00zzjvm_ldz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_ldz00();
extern obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_findzd2pathzd2zzjvm_ldz00(obj_t);
static obj_t BGl_zc3anonymousza32009ze3z83zzjvm_ldz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_ldz00 = BUNSPEC;
static obj_t BGl_generatezd2jvmzd2envz00zzjvm_ldz00();
extern obj_t current_output_port;
static obj_t BGl_zc3anonymousza31703ze3z83zzjvm_ldz00(obj_t);
static obj_t BGl_escape_2118z00zzjvm_ldz00(obj_t, obj_t);
extern obj_t BGl_prefixz00zz__osz00(obj_t);
extern bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
static obj_t BGl_zc3anonymousza31704ze3z83zzjvm_ldz00(obj_t);
extern obj_t BGl_za2additionalzd2bigloozd2za7ipsza2za7zzengine_paramz00;
static obj_t BGl_zc3anonymousza31841ze3z83zzjvm_ldz00(obj_t);
extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2jvmzd2optionsza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_ldz00();
extern obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31699ze3z83zzjvm_ldz00(obj_t);
extern obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_generatezd2jvmzd2env_2119z00zzjvm_ldz00();
static bool_t BGl_generatezd2jvmzd2msdoszd2scriptzd2zzjvm_ldz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_unprofzd2srczd2namez00zzengine_linkz00(obj_t);
static obj_t __cnst[ 11 ] ;

DEFINE_STRING( BGl_string2167z00zzjvm_ldz00, BgL_bgl_string2167za700za7za7jvm_ldza7002172z00, "execute write read static export wide-class final-class abstract-class class main module ", 89 );
DEFINE_STRING( BGl_string2166z00zzjvm_ldz00, BgL_bgl_string2166za700za7za7jvm_ldza7002173z00, "generate-jvm-script", 19 );
DEFINE_STRING( BGl_string2165z00zzjvm_ldz00, BgL_bgl_string2165za700za7za7jvm_ldza7002174z00, " %0 %*", 6 );
DEFINE_STRING( BGl_string2164z00zzjvm_ldz00, BgL_bgl_string2164za700za7za7jvm_ldza7002175z00, " -cp %BIGLOO_CLASSPATH% ", 24 );
DEFINE_STRING( BGl_string2163z00zzjvm_ldz00, BgL_bgl_string2163za700za7za7jvm_ldza7002176z00, " %BIGLOOJAVAOPT% ", 17 );
DEFINE_STRING( BGl_string2162z00zzjvm_ldz00, BgL_bgl_string2162za700za7za7jvm_ldza7002177z00, "\\", 1 );
DEFINE_STRING( BGl_string2161z00zzjvm_ldz00, BgL_bgl_string2161za700za7za7jvm_ldza7002178z00, "set BIGLOO_CLASSPATH=", 21 );
DEFINE_STRING( BGl_string2160z00zzjvm_ldz00, BgL_bgl_string2160za700za7za7jvm_ldza7002179z00, "@echo off", 9 );
DEFINE_STRING( BGl_string2159z00zzjvm_ldz00, BgL_bgl_string2159za700za7za7jvm_ldza7002180z00, " $0 $*", 6 );
DEFINE_STRING( BGl_string2158z00zzjvm_ldz00, BgL_bgl_string2158za700za7za7jvm_ldza7002181z00, "export CLASSPATH", 16 );
DEFINE_STRING( BGl_string2157z00zzjvm_ldz00, BgL_bgl_string2157za700za7za7jvm_ldza7002182z00, ".", 1 );
DEFINE_STRING( BGl_string2156z00zzjvm_ldz00, BgL_bgl_string2156za700za7za7jvm_ldza7002183z00, "$BIGLOOCLASSPATH", 16 );
DEFINE_STRING( BGl_string2155z00zzjvm_ldz00, BgL_bgl_string2155za700za7za7jvm_ldza7002184z00, "CLASSPATH=", 10 );
DEFINE_STRING( BGl_string2154z00zzjvm_ldz00, BgL_bgl_string2154za700za7za7jvm_ldza7002185z00, ".jar $0 $*", 10 );
DEFINE_STRING( BGl_string2153z00zzjvm_ldz00, BgL_bgl_string2153za700za7za7jvm_ldza7002186z00, " $0`", 4 );
DEFINE_STRING( BGl_string2152z00zzjvm_ldz00, BgL_bgl_string2152za700za7za7jvm_ldza7002187z00, "`", 1 );
DEFINE_STRING( BGl_string2151z00zzjvm_ldz00, BgL_bgl_string2151za700za7za7jvm_ldza7002188z00, " -jar ", 6 );
DEFINE_STRING( BGl_string2150z00zzjvm_ldz00, BgL_bgl_string2150za700za7za7jvm_ldza7002189z00, " $BIGLOOJAVAOPT ", 16 );
DEFINE_STRING( BGl_string2149z00zzjvm_ldz00, BgL_bgl_string2149za700za7za7jvm_ldza7002190z00, "#!/bin/sh", 9 );
DEFINE_STRING( BGl_string2148z00zzjvm_ldz00, BgL_bgl_string2148za700za7za7jvm_ldza7002191z00, "-Dbigloo.", 9 );
DEFINE_STRING( BGl_string2147z00zzjvm_ldz00, BgL_bgl_string2147za700za7za7jvm_ldza7002192z00, "=$", 2 );
DEFINE_STRING( BGl_string2146z00zzjvm_ldz00, BgL_bgl_string2146za700za7za7jvm_ldza7002193z00, "Created-By: ", 12 );
DEFINE_STRING( BGl_string2145z00zzjvm_ldz00, BgL_bgl_string2145za700za7za7jvm_ldza7002194z00, "Class-Path: . ", 14 );
DEFINE_STRING( BGl_string2144z00zzjvm_ldz00, BgL_bgl_string2144za700za7za7jvm_ldza7002195z00, "Main-Class: ", 12 );
DEFINE_STRING( BGl_string2143z00zzjvm_ldz00, BgL_bgl_string2143za700za7za7jvm_ldza7002196z00, "Manifest-Version: 1.0", 21 );
DEFINE_STRING( BGl_string2142z00zzjvm_ldz00, BgL_bgl_string2142za700za7za7jvm_ldza7002197z00, "generate-jvm-manifest", 21 );
DEFINE_STRING( BGl_string2141z00zzjvm_ldz00, BgL_bgl_string2141za700za7za7jvm_ldza7002198z00, "Illegal shell `", 15 );
DEFINE_STRING( BGl_string2140z00zzjvm_ldz00, BgL_bgl_string2140za700za7za7jvm_ldza7002199z00, "' -- using `sh'", 15 );
DEFINE_STRING( BGl_string2139z00zzjvm_ldz00, BgL_bgl_string2139za700za7za7jvm_ldza7002200z00, "msdos", 5 );
DEFINE_STRING( BGl_string2138z00zzjvm_ldz00, BgL_bgl_string2138za700za7za7jvm_ldza7002201z00, "sh", 2 );
DEFINE_STRING( BGl_string2137z00zzjvm_ldz00, BgL_bgl_string2137za700za7za7jvm_ldza7002202z00, "Manifest", 8 );
DEFINE_STRING( BGl_string2136z00zzjvm_ldz00, BgL_bgl_string2136za700za7za7jvm_ldza7002203z00, "X", 1 );
DEFINE_STRING( BGl_string2135z00zzjvm_ldz00, BgL_bgl_string2135za700za7za7jvm_ldza7002204z00, "Can't create jar file", 21 );
DEFINE_STRING( BGl_string2134z00zzjvm_ldz00, BgL_bgl_string2134za700za7za7jvm_ldza7002205z00, "      [", 7 );
DEFINE_STRING( BGl_string2133z00zzjvm_ldz00, BgL_bgl_string2133za700za7za7jvm_ldza7002206z00, "]\n", 2 );
DEFINE_STRING( BGl_string2132z00zzjvm_ldz00, BgL_bgl_string2132za700za7za7jvm_ldza7002207z00, " ", 1 );
DEFINE_STRING( BGl_string2131z00zzjvm_ldz00, BgL_bgl_string2131za700za7za7jvm_ldza7002208z00, "_K", 2 );
DEFINE_STRING( BGl_string2130z00zzjvm_ldz00, BgL_bgl_string2130za700za7za7jvm_ldza7002209z00, "mco", 3 );
DEFINE_STRING( BGl_string2129z00zzjvm_ldz00, BgL_bgl_string2129za700za7za7jvm_ldza7002210z00, "Can't find Main JVM class", 25 );
DEFINE_STRING( BGl_string2128z00zzjvm_ldz00, BgL_bgl_string2128za700za7za7jvm_ldza7002211z00, "No main clause found", 20 );
DEFINE_STRING( BGl_string2127z00zzjvm_ldz00, BgL_bgl_string2127za700za7za7jvm_ldza7002212z00, "jar", 3 );
DEFINE_STRING( BGl_string2126z00zzjvm_ldz00, BgL_bgl_string2126za700za7za7jvm_ldza7002213z00, "", 0 );
DEFINE_STRING( BGl_string2125z00zzjvm_ldz00, BgL_bgl_string2125za700za7za7jvm_ldza7002214z00, ".class", 6 );
DEFINE_STRING( BGl_string2124z00zzjvm_ldz00, BgL_bgl_string2124za700za7za7jvm_ldza7002215z00, " (", 2 );
DEFINE_STRING( BGl_string2123z00zzjvm_ldz00, BgL_bgl_string2123za700za7za7jvm_ldza7002216z00, ")", 1 );
DEFINE_STRING( BGl_string2122z00zzjvm_ldz00, BgL_bgl_string2122za700za7za7jvm_ldza7002217z00, "   . ld", 7 );
DEFINE_STRING( BGl_string2121z00zzjvm_ldz00, BgL_bgl_string2121za700za7za7jvm_ldza7002218z00, ".jar", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2ldzd2envz00zzjvm_ldz00, BgL_bgl__jvmza7d2ldza7d2za7za7jvm_ldza7002219za7, BGl__jvmzd2ldzd2zzjvm_ldz00, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_ldz00(long BgL_checksumz00_1785, char * BgL_fromz00_1786)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_ldz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_ldz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_ldz00(); 
BGl_cnstzd2initzd2zzjvm_ldz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_ldz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_ldz00()
{ AN_OBJECT;
{ /* Jvm/jld.scm 16 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "jvm_ld"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_ldz00()
{ AN_OBJECT;
{ /* Jvm/jld.scm 16 */
{ /* Jvm/jld.scm 16 */
obj_t BgL_cportz00_1778;
BgL_cportz00_1778 = 
open_input_string(BGl_string2167z00zzjvm_ldz00); 
{ 
long BgL_iz00_1779;
BgL_iz00_1779 = ((long)10); 
BgL_loopz00_1780:
if(
(BgL_iz00_1779==((long)-1)))
{ /* Jvm/jld.scm 16 */
return BUNSPEC;}  else 
{ /* Jvm/jld.scm 16 */
{ /* Jvm/jld.scm 16 */
obj_t BgL_arg2169z00_1782;
{ /* Jvm/jld.scm 16 */
obj_t BgL_list2170z00_1783;
BgL_list2170z00_1783 = 
MAKE_PAIR(BgL_cportz00_1778, BNIL); 
BgL_arg2169z00_1782 = 
BGl_readz00zz__readerz00(BgL_list2170z00_1783); } 
{ /* Jvm/jld.scm 16 */
int BgL_auxz00_1810;
BgL_auxz00_1810 = 
(int)(BgL_iz00_1779); 
CNST_TABLE_SET(BgL_auxz00_1810, BgL_arg2169z00_1782); } } 
{ 
long BgL_iz00_1813;
{ /* Jvm/jld.scm 16 */
int BgL_auxz00_1814;
{ /* Jvm/jld.scm 16 */
long BgL_auxz00_1815;
BgL_auxz00_1815 = 
(BgL_iz00_1779-((long)1)); 
BgL_auxz00_1814 = 
(int)(BgL_auxz00_1815); } 
BgL_iz00_1813 = 
(long)(BgL_auxz00_1814); } 
BgL_iz00_1779 = BgL_iz00_1813; 
goto BgL_loopz00_1780;} } } } } 
}



/* jvm-ld */
obj_t BGl_jvmzd2ldzd2zzjvm_ldz00()
{ AN_OBJECT;
{ /* Jvm/jld.scm 31 */
{ /* Jvm/jld.scm 32 */
obj_t BgL_targetz00_464;
{ /* Jvm/jld.scm 32 */
bool_t BgL_test1633z00_496;
{ /* Jvm/jld.scm 32 */
obj_t BgL_objz00_1273;
BgL_objz00_1273 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test1633z00_496 = 
STRINGP(BgL_objz00_1273); } 
if(BgL_test1633z00_496)
{ /* Jvm/jld.scm 32 */
BgL_targetz00_464 = BGl_za2destza2z00zzengine_paramz00; }  else 
{ /* Jvm/jld.scm 32 */
BgL_targetz00_464 = 
string_to_bstring(BGL_DEFAULT_A_BAT); } } 
{ /* Jvm/jld.scm 32 */
obj_t BgL_pathz00_465;
BgL_pathz00_465 = 
BGl_findzd2pathzd2zzjvm_ldz00(BGl_za2ozd2filesza2zd2zzengine_paramz00); 
{ /* Jvm/jld.scm 35 */
obj_t BgL_jarnamez00_466;
{ /* Jvm/jld.scm 36 */
obj_t BgL_arg1631z00_494;
BgL_arg1631z00_494 = 
BGl_prefixz00zz__osz00(BgL_targetz00_464); 
BgL_jarnamez00_466 = 
string_append(BgL_arg1631z00_494, BGl_string2121z00zzjvm_ldz00); } 
{ /* Jvm/jld.scm 36 */

{ /* Jvm/jld.scm 37 */
obj_t BgL_list1613z00_467;
BgL_list1613z00_467 = 
MAKE_PAIR(BGl_string2122z00zzjvm_ldz00, BNIL); 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1613z00_467); } 
{ /* Jvm/jld.scm 38 */
obj_t BgL_list1614z00_468;
{ /* Jvm/jld.scm 38 */
obj_t BgL_arg1617z00_470;
{ /* Jvm/jld.scm 38 */
obj_t BgL_arg1618z00_471;
BgL_arg1618z00_471 = 
MAKE_PAIR(BGl_string2123z00zzjvm_ldz00, BNIL); 
BgL_arg1617z00_470 = 
MAKE_PAIR(BgL_targetz00_464, BgL_arg1618z00_471); } 
BgL_list1614z00_468 = 
MAKE_PAIR(BGl_string2124z00zzjvm_ldz00, BgL_arg1617z00_470); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1614z00_468); } 
{ /* Jvm/jld.scm 39 */
obj_t BgL_list1619z00_472;
{ /* Jvm/jld.scm 39 */
obj_t BgL_auxz00_1833;
BgL_auxz00_1833 = 
BCHAR(((unsigned char)'\n')); 
BgL_list1619z00_472 = 
MAKE_PAIR(BgL_auxz00_1833, BNIL); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1619z00_472); } 
if(
CBOOL(BGl_za2jvmzd2jarzf3za2z21zzengine_paramz00))
{ /* Jvm/jld.scm 41 */
obj_t BgL_manifestz00_473;
BgL_manifestz00_473 = 
BGl_makezd2manifestzd2namez00zzjvm_ldz00(); 
{ /* Jvm/jld.scm 41 */
obj_t BgL_ozd2fileszd2_474;
{ /* Jvm/jld.scm 42 */
obj_t BgL_arg1621z00_477;
{ /* Jvm/jld.scm 42 */
obj_t BgL_l1571z00_478;
BgL_l1571z00_478 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
if(
NULLP(BgL_l1571z00_478))
{ /* Jvm/jld.scm 42 */
BgL_arg1621z00_477 = BNIL; }  else 
{ /* Jvm/jld.scm 42 */
obj_t BgL_head1573z00_480;
BgL_head1573z00_480 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1571z00_481;obj_t BgL_tail1574z00_482;
BgL_l1571z00_481 = BgL_l1571z00_478; 
BgL_tail1574z00_482 = BgL_head1573z00_480; 
BgL_lname1572z00_483:
if(
NULLP(BgL_l1571z00_481))
{ /* Jvm/jld.scm 42 */
BgL_arg1621z00_477 = 
CDR(BgL_head1573z00_480); }  else 
{ /* Jvm/jld.scm 43 */
obj_t BgL_newtail1575z00_485;
{ /* Jvm/jld.scm 43 */
obj_t BgL_arg1625z00_487;
{ /* Jvm/jld.scm 43 */
obj_t BgL_arg1627z00_490;
BgL_arg1627z00_490 = 
BGl_prefixz00zz__osz00(
CAR(BgL_l1571z00_481)); 
BgL_arg1625z00_487 = 
string_append(BgL_arg1627z00_490, BGl_string2125z00zzjvm_ldz00); } 
BgL_newtail1575z00_485 = 
MAKE_PAIR(BgL_arg1625z00_487, BNIL); } 
SET_CDR(BgL_tail1574z00_482, BgL_newtail1575z00_485); 
{ 
obj_t BgL_tail1574z00_1854;obj_t BgL_l1571z00_1852;
BgL_l1571z00_1852 = 
CDR(BgL_l1571z00_481); 
BgL_tail1574z00_1854 = BgL_newtail1575z00_485; 
BgL_tail1574z00_482 = BgL_tail1574z00_1854; 
BgL_l1571z00_481 = BgL_l1571z00_1852; 
goto BgL_lname1572z00_483;} } } } } 
BgL_ozd2fileszd2_474 = 
bgl_append2(BgL_arg1621z00_477, BGl_za2ozd2filesza2zd2zzengine_paramz00); } 
{ /* Jvm/jld.scm 42 */
obj_t BgL_allzd2objectszd2_475;
BgL_allzd2objectszd2_475 = 
BGl_objectszd2ze3classesz31zzjvm_ldz00(BgL_ozd2fileszd2_474); 
{ /* Jvm/jld.scm 46 */

{ /* Jvm/jld.scm 47 */
obj_t BgL_arg1620z00_476;
BgL_arg1620z00_476 = 
BGl_findzd2jvmzd2mainz00zzjvm_ldz00(BgL_ozd2fileszd2_474); 
BGl_generatezd2jvmzd2manifestz00zzjvm_ldz00(BgL_manifestz00_473, BgL_arg1620z00_476, BgL_jarnamez00_466); } 
BGl_jvmzd2jarzd2zzjvm_ldz00(BgL_jarnamez00_466, BgL_manifestz00_473, BgL_allzd2objectszd2_475); } } } }  else 
{ /* Jvm/jld.scm 40 */BFALSE; } 
{ /* Jvm/jld.scm 49 */
obj_t BgL_arg1629z00_492;
{ /* Jvm/jld.scm 49 */
obj_t BgL_arg1630z00_493;
{ /* Jvm/jld.scm 49 */
obj_t BgL_pairz00_1285;
BgL_pairz00_1285 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1630z00_493 = 
CAR(BgL_pairz00_1285); } 
BgL_arg1629z00_492 = 
BGl_prefixz00zz__osz00(BgL_arg1630z00_493); } 
{ /* Jvm/jld.scm 49 */
bool_t BgL_auxz00_1862;
BgL_auxz00_1862 = 
BGl_generatezd2jvmzd2scriptz00zzjvm_ldz00(BgL_targetz00_464, BgL_arg1629z00_492, BgL_pathz00_465, BgL_jarnamez00_466); 
return 
BBOOL(BgL_auxz00_1862);} } } } } } } 
}



/* _jvm-ld */
obj_t BGl__jvmzd2ldzd2zzjvm_ldz00(obj_t BgL_envz00_1683)
{ AN_OBJECT;
{ /* Jvm/jld.scm 31 */
return 
BGl_jvmzd2ldzd2zzjvm_ldz00();} 
}



/* find-path */
obj_t BGl_findzd2pathzd2zzjvm_ldz00(obj_t BgL_ozd2fileszd2_1)
{ AN_OBJECT;
{ /* Jvm/jld.scm 54 */
{ 
obj_t BgL_ozd2fileszd2_497;obj_t BgL_resz00_498;
BgL_ozd2fileszd2_497 = BgL_ozd2fileszd2_1; 
BgL_resz00_498 = BNIL; 
BgL_loopz00_499:
if(
NULLP(BgL_ozd2fileszd2_497))
{ /* Jvm/jld.scm 57 */
return BgL_resz00_498;}  else 
{ /* Jvm/jld.scm 59 */
obj_t BgL_dirz00_501;
BgL_dirz00_501 = 
BGl_dirnamez00zz__osz00(
CAR(BgL_ozd2fileszd2_497)); 
{ /* Jvm/jld.scm 61 */
bool_t BgL_test1635z00_502;
BgL_test1635z00_502 = 
bigloo_strcmp(BgL_dirz00_501, BGl_string2126z00zzjvm_ldz00); 
if(BgL_test1635z00_502)
{ /* Jvm/jld.scm 61 */
{ 
obj_t BgL_ozd2fileszd2_1872;
BgL_ozd2fileszd2_1872 = 
CDR(BgL_ozd2fileszd2_497); 
BgL_ozd2fileszd2_497 = BgL_ozd2fileszd2_1872; 
goto BgL_loopz00_499;} }  else 
{ /* Jvm/jld.scm 64 */
bool_t BgL_testz00_1874;
{ /* Jvm/jld.scm 64 */
obj_t BgL_auxz00_1875;
BgL_auxz00_1875 = 
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_dirz00_501, BgL_resz00_498); 
BgL_testz00_1874 = 
CBOOL(BgL_auxz00_1875); } 
if(BgL_testz00_1874)
{ /* Jvm/jld.scm 64 */
{ 
obj_t BgL_ozd2fileszd2_1878;
BgL_ozd2fileszd2_1878 = 
CDR(BgL_ozd2fileszd2_497); 
BgL_ozd2fileszd2_497 = BgL_ozd2fileszd2_1878; 
goto BgL_loopz00_499;} }  else 
{ /* Jvm/jld.scm 64 */
{ /* Jvm/jld.scm 68 */
obj_t BgL_arg1639z00_506;obj_t BgL_arg1640z00_507;
BgL_arg1639z00_506 = 
CDR(BgL_ozd2fileszd2_497); 
BgL_arg1640z00_507 = 
MAKE_PAIR(BgL_dirz00_501, BgL_resz00_498); 
{ 
obj_t BgL_resz00_1883;obj_t BgL_ozd2fileszd2_1882;
BgL_ozd2fileszd2_1882 = BgL_arg1639z00_506; 
BgL_resz00_1883 = BgL_arg1640z00_507; 
BgL_resz00_498 = BgL_resz00_1883; 
BgL_ozd2fileszd2_497 = BgL_ozd2fileszd2_1882; 
goto BgL_loopz00_499;} } } } } } } } 
}



/* find-jvm-main */
obj_t BGl_findzd2jvmzd2mainz00zzjvm_ldz00(obj_t BgL_ozd2fileszd2_2)
{ AN_OBJECT;
{ /* Jvm/jld.scm 74 */
{ /* Jvm/jld.scm 75 */
bool_t BgL_test1642z00_509;
{ /* Jvm/jld.scm 75 */
obj_t BgL_obj1181z00_1293;
BgL_obj1181z00_1293 = BGl_za2mainza2z00zzmodule_modulez00; 
BgL_test1642z00_509 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1181z00_1293, BGl_globalz00zzast_varz00); } 
if(BgL_test1642z00_509)
{ /* Jvm/jld.scm 76 */
obj_t BgL_arg1643z00_510;
{ /* Jvm/jld.scm 76 */
obj_t BgL_pairz00_1294;
BgL_pairz00_1294 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1643z00_510 = 
CAR(BgL_pairz00_1294); } 
return 
BGl_prefixz00zz__osz00(BgL_arg1643z00_510);}  else 
{ /* Jvm/jld.scm 77 */
obj_t BgL_armed1579z00_511;
BgL_armed1579z00_511 = 
MAKE_CELL(BUNSPEC); 
{ /* Jvm/jld.scm 94 */
obj_t BgL_body1578z00_1686;obj_t BgL_rhandler1577z00_1688;
{ 
int BgL_auxz00_1890;int BgL_auxz00_1888;
BgL_auxz00_1890 = 
(int)(((long)1)); 
BgL_auxz00_1888 = 
(int)(((long)0)); 
BgL_body1578z00_1686 = 
make_fx_procedure(BGl_body1578z00zzjvm_ldz00, BgL_auxz00_1888, BgL_auxz00_1890); } 
{ 
int BgL_auxz00_1895;int BgL_auxz00_1893;
BgL_auxz00_1895 = 
(int)(((long)2)); 
BgL_auxz00_1893 = 
(int)(((long)4)); 
BgL_rhandler1577z00_1688 = 
make_fx_procedure(BGl_rhandler1577z00zzjvm_ldz00, BgL_auxz00_1893, BgL_auxz00_1895); } 
{ /* Jvm/jld.scm 94 */
int BgL_auxz00_1898;
BgL_auxz00_1898 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_body1578z00_1686, BgL_auxz00_1898, BgL_ozd2fileszd2_2); } 
{ /* Jvm/jld.scm 94 */
int BgL_auxz00_1901;
BgL_auxz00_1901 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_rhandler1577z00_1688, BgL_auxz00_1901, BgL_armed1579z00_511); } 
{ /* Jvm/jld.scm 94 */
int BgL_auxz00_1904;
BgL_auxz00_1904 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_rhandler1577z00_1688, BgL_auxz00_1904, BgL_ozd2fileszd2_2); } 
CELL_SET(BgL_armed1579z00_511, BTRUE); 
return 
BGl_handling_function1644z00zzjvm_ldz00(BgL_body1578z00_1686, BgL_rhandler1577z00_1688, BgL_ozd2fileszd2_2, BgL_armed1579z00_511);} } } } 
}



/* handling_function1644 */
obj_t BGl_handling_function1644z00zzjvm_ldz00(obj_t BgL_body1578z00_1777, obj_t BgL_rhandler1577z00_1776, obj_t BgL_ozd2fileszd2_1775, obj_t BgL_armed1579z00_1774)
{ AN_OBJECT;
{ /* Jvm/jld.scm 77 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1581z00_516;
if( SET_EXIT(BgL_an_exit1581z00_516) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit1581z00_516 = 
(obj_t)jmpbuf; 
{ /* Jvm/jld.scm 77 */

PUSH_EXIT(BgL_an_exit1581z00_516, ((bool_t)1)); 
{ /* Jvm/jld.scm 77 */
obj_t BgL_an_exitd1582z00_517;
BgL_an_exitd1582z00_517 = 
BGL_GET_EXITD_TOP(); 
{ /* Jvm/jld.scm 77 */
obj_t BgL_escapez00_1687;
{ 
int BgL_auxz00_1914;int BgL_auxz00_1912;
BgL_auxz00_1914 = 
(int)(((long)1)); 
BgL_auxz00_1912 = 
(int)(((long)1)); 
BgL_escapez00_1687 = 
make_fx_procedure(BGl_escapez00zzjvm_ldz00, BgL_auxz00_1912, BgL_auxz00_1914); } 
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1917;
BgL_auxz00_1917 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_1687, BgL_auxz00_1917, BgL_an_exitd1582z00_517); } 
{ /* Jvm/jld.scm 77 */
obj_t BgL_res1584z00_520;
{ /* Jvm/jld.scm 77 */
obj_t BgL_zc3anonymousza31648ze3z83_1684;obj_t BgL_zc3anonymousza31647ze3z83_1689;
{ 
int BgL_auxz00_1922;int BgL_auxz00_1920;
BgL_auxz00_1922 = 
(int)(((long)1)); 
BgL_auxz00_1920 = 
(int)(((long)0)); 
BgL_zc3anonymousza31648ze3z83_1684 = 
make_fx_procedure(BGl_zc3anonymousza31648ze3z83zzjvm_ldz00, BgL_auxz00_1920, BgL_auxz00_1922); } 
{ 
int BgL_auxz00_1927;int BgL_auxz00_1925;
BgL_auxz00_1927 = 
(int)(((long)5)); 
BgL_auxz00_1925 = 
(int)(((long)0)); 
BgL_zc3anonymousza31647ze3z83_1689 = 
make_fx_procedure(BGl_zc3anonymousza31647ze3z83zzjvm_ldz00, BgL_auxz00_1925, BgL_auxz00_1927); } 
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1930;
BgL_auxz00_1930 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31648ze3z83_1684, BgL_auxz00_1930, BgL_armed1579z00_1774); } 
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1933;
BgL_auxz00_1933 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31647ze3z83_1689, BgL_auxz00_1933, BgL_an_exitd1582z00_517); } 
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1936;
BgL_auxz00_1936 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31647ze3z83_1689, BgL_auxz00_1936, BgL_armed1579z00_1774); } 
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1939;
BgL_auxz00_1939 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31647ze3z83_1689, BgL_auxz00_1939, BgL_ozd2fileszd2_1775); } 
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1942;
BgL_auxz00_1942 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31647ze3z83_1689, BgL_auxz00_1942, BgL_rhandler1577z00_1776); } 
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1945;
BgL_auxz00_1945 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31647ze3z83_1689, BgL_auxz00_1945, BgL_escapez00_1687); } 
BgL_res1584z00_520 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31647ze3z83_1689, BgL_body1578z00_1777, BgL_zc3anonymousza31648ze3z83_1684); } 
POP_EXIT(); 
return BgL_res1584z00_520;} } } } 
} } 
}



/* <anonymous:1648> */
obj_t BGl_zc3anonymousza31648ze3z83zzjvm_ldz00(obj_t BgL_envz00_1690)
{ AN_OBJECT;
{ /* Jvm/jld.scm 77 */
{ /* Jvm/jld.scm 77 */
obj_t BgL_armed1579z00_1691;
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1950;
BgL_auxz00_1950 = 
(int)(((long)0)); 
BgL_armed1579z00_1691 = 
PROCEDURE_REF(BgL_envz00_1690, BgL_auxz00_1950); } 
{ 

{ /* Jvm/jld.scm 77 */
bool_t BgL_testz00_1953;
{ /* Jvm/jld.scm 77 */
obj_t BgL_auxz00_1954;
BgL_auxz00_1954 = 
CELL_REF(BgL_armed1579z00_1691); 
BgL_testz00_1953 = 
CBOOL(BgL_auxz00_1954); } 
if(BgL_testz00_1953)
{ /* Jvm/jld.scm 77 */
CELL_SET(BgL_armed1579z00_1691, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Jvm/jld.scm 77 */
return BFALSE;} } } } } 
}



/* body1578 */
obj_t BGl_body1578z00zzjvm_ldz00(obj_t BgL_envz00_1693)
{ AN_OBJECT;
{ /* Jvm/jld.scm 77 */
{ /* Jvm/jld.scm 77 */
obj_t BgL_ozd2fileszd2_1694;
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1957;
BgL_auxz00_1957 = 
(int)(((long)0)); 
BgL_ozd2fileszd2_1694 = 
PROCEDURE_REF(BgL_envz00_1693, BgL_auxz00_1957); } 
{ 

{ 
obj_t BgL_ozd2fileszd2_539;
BgL_ozd2fileszd2_539 = BgL_ozd2fileszd2_1694; 
BgL_loopz00_540:
if(
NULLP(BgL_ozd2fileszd2_539))
{ /* Jvm/jld.scm 78 */
FAILURE(BGl_string2127z00zzjvm_ldz00,BGl_string2128z00zzjvm_ldz00,BgL_ozd2fileszd2_539);}  else 
{ /* Jvm/jld.scm 80 */
obj_t BgL_prefz00_542;
{ /* Jvm/jld.scm 80 */
obj_t BgL_arg1683z00_584;
BgL_arg1683z00_584 = 
BGl_prefixz00zz__osz00(
CAR(BgL_ozd2fileszd2_539)); 
BgL_prefz00_542 = 
BGl_unprofzd2srczd2namez00zzengine_linkz00(BgL_arg1683z00_584); } 
{ /* Jvm/jld.scm 80 */
obj_t BgL_bprefz00_543;
BgL_bprefz00_543 = 
BGl_basenamez00zz__osz00(BgL_prefz00_542); 
{ /* Jvm/jld.scm 81 */
obj_t BgL_scmzd2filezd2_544;
BgL_scmzd2filezd2_544 = 
BGl_findzd2srczd2filez00zzengine_linkz00(BgL_prefz00_542, BgL_bprefz00_543); 
{ /* Jvm/jld.scm 82 */

{ /* Jvm/jld.scm 83 */
bool_t BgL_test1654z00_545;
if(
STRINGP(BgL_scmzd2filezd2_544))
{ /* Jvm/jld.scm 84 */
bool_t BgL_test1682z00_583;
{ /* Jvm/jld.scm 84 */
char * BgL_auxz00_1970;
BgL_auxz00_1970 = 
BSTRING_TO_STRING(BgL_scmzd2filezd2_544); 
BgL_test1682z00_583 = 
fexists(BgL_auxz00_1970); } 
if(BgL_test1682z00_583)
{ /* Jvm/jld.scm 84 */
BgL_test1654z00_545 = ((bool_t)0); }  else 
{ /* Jvm/jld.scm 84 */
BgL_test1654z00_545 = ((bool_t)1); } }  else 
{ /* Jvm/jld.scm 83 */
BgL_test1654z00_545 = ((bool_t)1); } 
if(BgL_test1654z00_545)
{ 
obj_t BgL_ozd2fileszd2_1975;
BgL_ozd2fileszd2_1975 = 
CDR(BgL_ozd2fileszd2_539); 
BgL_ozd2fileszd2_539 = BgL_ozd2fileszd2_1975; 
goto BgL_loopz00_540;}  else 
{ /* Jvm/jld.scm 86 */
obj_t BgL__ortest_1580z00_547;
{ /* Jvm/jld.scm 87 */
obj_t BgL_zc3anonymousza31658ze3z83_1685;
{ 
int BgL_auxz00_1979;int BgL_auxz00_1977;
BgL_auxz00_1979 = 
(int)(((long)1)); 
BgL_auxz00_1977 = 
(int)(((long)0)); 
BgL_zc3anonymousza31658ze3z83_1685 = 
make_fx_procedure(BGl_zc3anonymousza31658ze3z83zzjvm_ldz00, BgL_auxz00_1977, BgL_auxz00_1979); } 
{ /* Jvm/jld.scm 87 */
int BgL_auxz00_1982;
BgL_auxz00_1982 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31658ze3z83_1685, BgL_auxz00_1982, BgL_scmzd2filezd2_544); } 
BgL__ortest_1580z00_547 = 
BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(BgL_scmzd2filezd2_544, BgL_zc3anonymousza31658ze3z83_1685); } 
if(
CBOOL(BgL__ortest_1580z00_547))
{ /* Jvm/jld.scm 86 */
return BgL__ortest_1580z00_547;}  else 
{ 
obj_t BgL_ozd2fileszd2_1988;
BgL_ozd2fileszd2_1988 = 
CDR(BgL_ozd2fileszd2_539); 
BgL_ozd2fileszd2_539 = BgL_ozd2fileszd2_1988; 
goto BgL_loopz00_540;} } } } } } } } } } } 
}



/* <anonymous:1647> */
obj_t BGl_zc3anonymousza31647ze3z83zzjvm_ldz00(obj_t BgL_envz00_1695)
{ AN_OBJECT;
{ /* Jvm/jld.scm 77 */
{ /* Jvm/jld.scm 77 */
obj_t BgL_rhandler1577z00_1699;obj_t BgL_escapez00_1700;
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1990;
BgL_auxz00_1990 = 
(int)(((long)3)); 
BgL_rhandler1577z00_1699 = 
PROCEDURE_REF(BgL_envz00_1695, BgL_auxz00_1990); } 
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1993;
BgL_auxz00_1993 = 
(int)(((long)4)); 
BgL_escapez00_1700 = 
PROCEDURE_REF(BgL_envz00_1695, BgL_auxz00_1993); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_rhandler1577z00_1699, BgL_escapez00_1700);} } } 
}



/* escape */
obj_t BGl_escapez00zzjvm_ldz00(obj_t BgL_envz00_1701, obj_t BgL_val1583z00_1703)
{ AN_OBJECT;
{ /* Jvm/jld.scm 77 */
{ /* Jvm/jld.scm 77 */
obj_t BgL_an_exitd1582z00_1702;
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_1997;
BgL_auxz00_1997 = 
(int)(((long)0)); 
BgL_an_exitd1582z00_1702 = 
PROCEDURE_REF(BgL_envz00_1701, BgL_auxz00_1997); } 
{ 
obj_t BgL_val1583z00_518;
BgL_val1583z00_518 = BgL_val1583z00_1703; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1582z00_1702, BgL_val1583z00_518);} } } 
}



/* rhandler1577 */
obj_t BGl_rhandler1577z00zzjvm_ldz00(obj_t BgL_envz00_1704, obj_t BgL_escz00_1707, obj_t BgL_objz00_1708, obj_t BgL_procz00_1709, obj_t BgL_msgz00_1710)
{ AN_OBJECT;
{ /* Jvm/jld.scm 77 */
{ /* Jvm/jld.scm 77 */
obj_t BgL_armed1579z00_1705;obj_t BgL_ozd2fileszd2_1706;
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_2001;
BgL_auxz00_2001 = 
(int)(((long)0)); 
BgL_armed1579z00_1705 = 
PROCEDURE_REF(BgL_envz00_1704, BgL_auxz00_2001); } 
{ /* Jvm/jld.scm 77 */
int BgL_auxz00_2004;
BgL_auxz00_2004 = 
(int)(((long)1)); 
BgL_ozd2fileszd2_1706 = 
PROCEDURE_REF(BgL_envz00_1704, BgL_auxz00_2004); } 
{ 
obj_t BgL_escz00_533;obj_t BgL_objz00_534;obj_t BgL_procz00_535;obj_t BgL_msgz00_536;
BgL_escz00_533 = BgL_escz00_1707; 
BgL_objz00_534 = BgL_objz00_1708; 
BgL_procz00_535 = BgL_procz00_1709; 
BgL_msgz00_536 = BgL_msgz00_1710; 
CELL_SET(BgL_armed1579z00_1705, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
BGl_notifyzd2errorzd2zz__errorz00(BgL_objz00_534, BgL_procz00_535, BgL_msgz00_536); 
FAILURE(BGl_string2127z00zzjvm_ldz00,BGl_string2129z00zzjvm_ldz00,BgL_ozd2fileszd2_1706);} } } 
}



/* <anonymous:1658> */
obj_t BGl_zc3anonymousza31658ze3z83zzjvm_ldz00(obj_t BgL_envz00_1712)
{ AN_OBJECT;
{ /* Jvm/jld.scm 87 */
{ /* Jvm/jld.scm 88 */
obj_t BgL_scmzd2filezd2_1713;
{ /* Jvm/jld.scm 88 */
int BgL_auxz00_2014;
BgL_auxz00_2014 = 
(int)(((long)0)); 
BgL_scmzd2filezd2_1713 = 
PROCEDURE_REF(BgL_envz00_1712, BgL_auxz00_2014); } 
{ 

{ /* Jvm/jld.scm 88 */
obj_t BgL_ezd2105zd2_553;
BgL_ezd2105zd2_553 = 
BGl_compilerzd2readzd2zzread_readerz00(BNIL); 
if(
PAIRP(BgL_ezd2105zd2_553))
{ /* Jvm/jld.scm 87 */
obj_t BgL_cdrzd2107zd2_555;
BgL_cdrzd2107zd2_555 = 
CDR(BgL_ezd2105zd2_553); 
{ /* Jvm/jld.scm 87 */
bool_t BgL_testz00_2021;
{ /* Jvm/jld.scm 87 */
obj_t BgL_auxz00_2024;obj_t BgL_auxz00_2022;
BgL_auxz00_2024 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_2022 = 
CAR(BgL_ezd2105zd2_553); 
BgL_testz00_2021 = 
(BgL_auxz00_2022==BgL_auxz00_2024); } 
if(BgL_testz00_2021)
{ /* Jvm/jld.scm 87 */
if(
PAIRP(BgL_cdrzd2107zd2_555))
{ 
obj_t BgL_gzd2110zd2_560;
BgL_gzd2110zd2_560 = 
CDR(BgL_cdrzd2107zd2_555); 
BgL_zc3anonymousza31663ze3z83_561:
if(
PAIRP(BgL_gzd2110zd2_560))
{ /* Jvm/jld.scm 87 */
obj_t BgL_carzd2112zd2_563;
BgL_carzd2112zd2_563 = 
CAR(BgL_gzd2110zd2_560); 
if(
PAIRP(BgL_carzd2112zd2_563))
{ /* Jvm/jld.scm 87 */
obj_t BgL_cdrzd2115zd2_565;
BgL_cdrzd2115zd2_565 = 
CDR(BgL_carzd2112zd2_563); 
{ /* Jvm/jld.scm 87 */
bool_t BgL_testz00_2035;
{ /* Jvm/jld.scm 87 */
obj_t BgL_auxz00_2038;obj_t BgL_auxz00_2036;
BgL_auxz00_2038 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2036 = 
CAR(BgL_carzd2112zd2_563); 
BgL_testz00_2035 = 
(BgL_auxz00_2036==BgL_auxz00_2038); } 
if(BgL_testz00_2035)
{ /* Jvm/jld.scm 87 */
if(
PAIRP(BgL_cdrzd2115zd2_565))
{ /* Jvm/jld.scm 87 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2115zd2_565), BNIL))
{ /* Jvm/jld.scm 87 */
return 
BGl_prefixz00zz__osz00(BgL_scmzd2filezd2_1713);}  else 
{ 
obj_t BgL_gzd2110zd2_2047;
BgL_gzd2110zd2_2047 = 
CDR(BgL_gzd2110zd2_560); 
BgL_gzd2110zd2_560 = BgL_gzd2110zd2_2047; 
goto BgL_zc3anonymousza31663ze3z83_561;} }  else 
{ 
obj_t BgL_gzd2110zd2_2049;
BgL_gzd2110zd2_2049 = 
CDR(BgL_gzd2110zd2_560); 
BgL_gzd2110zd2_560 = BgL_gzd2110zd2_2049; 
goto BgL_zc3anonymousza31663ze3z83_561;} }  else 
{ 
obj_t BgL_gzd2110zd2_2051;
BgL_gzd2110zd2_2051 = 
CDR(BgL_gzd2110zd2_560); 
BgL_gzd2110zd2_560 = BgL_gzd2110zd2_2051; 
goto BgL_zc3anonymousza31663ze3z83_561;} } }  else 
{ 
obj_t BgL_gzd2110zd2_2053;
BgL_gzd2110zd2_2053 = 
CDR(BgL_gzd2110zd2_560); 
BgL_gzd2110zd2_560 = BgL_gzd2110zd2_2053; 
goto BgL_zc3anonymousza31663ze3z83_561;} }  else 
{ /* Jvm/jld.scm 87 */
return BFALSE;} }  else 
{ /* Jvm/jld.scm 87 */
return BFALSE;} }  else 
{ /* Jvm/jld.scm 87 */
return BFALSE;} } }  else 
{ /* Jvm/jld.scm 87 */
return BFALSE;} } } } } 
}



/* objects->classes */
obj_t BGl_objectszd2ze3classesz31zzjvm_ldz00(obj_t BgL_objectsz00_3)
{ AN_OBJECT;
{ /* Jvm/jld.scm 101 */
{ 
obj_t BgL_sourcez00_610;
{ 
obj_t BgL_objectsz00_593;obj_t BgL_classesz00_594;
BgL_objectsz00_593 = BgL_objectsz00_3; 
BgL_classesz00_594 = BNIL; 
BgL_loopz00_595:
if(
NULLP(BgL_objectsz00_593))
{ /* Jvm/jld.scm 164 */
return BgL_classesz00_594;}  else 
{ /* Jvm/jld.scm 166 */
obj_t BgL_objectz00_597;
BgL_objectz00_597 = 
CAR(BgL_objectsz00_593); 
{ /* Jvm/jld.scm 166 */
obj_t BgL_prefz00_598;
{ /* Jvm/jld.scm 167 */
obj_t BgL_arg1695z00_609;
BgL_arg1695z00_609 = 
BGl_prefixz00zz__osz00(BgL_objectz00_597); 
BgL_prefz00_598 = 
BGl_unprofzd2srczd2namez00zzengine_linkz00(BgL_arg1695z00_609); } 
{ /* Jvm/jld.scm 167 */
obj_t BgL_bprefz00_599;
BgL_bprefz00_599 = 
BGl_basenamez00zz__osz00(BgL_prefz00_598); 
{ /* Jvm/jld.scm 168 */
obj_t BgL_scmzd2filezd2_600;
BgL_scmzd2filezd2_600 = 
BGl_findzd2srczd2filez00zzengine_linkz00(BgL_prefz00_598, BgL_bprefz00_599); 
{ /* Jvm/jld.scm 169 */

{ /* Jvm/jld.scm 170 */
bool_t BgL_test1686z00_601;
if(
STRINGP(BgL_scmzd2filezd2_600))
{ /* Jvm/jld.scm 170 */
char * BgL_auxz00_2065;
BgL_auxz00_2065 = 
BSTRING_TO_STRING(BgL_scmzd2filezd2_600); 
BgL_test1686z00_601 = 
fexists(BgL_auxz00_2065); }  else 
{ /* Jvm/jld.scm 170 */
BgL_test1686z00_601 = ((bool_t)0); } 
if(BgL_test1686z00_601)
{ /* Jvm/jld.scm 171 */
obj_t BgL_arg1688z00_602;obj_t BgL_arg1689z00_603;
BgL_arg1688z00_602 = 
CDR(BgL_objectsz00_593); 
{ /* Jvm/jld.scm 173 */
obj_t BgL_arg1690z00_604;
{ /* Jvm/jld.scm 173 */
obj_t BgL_arg1691z00_605;
BgL_sourcez00_610 = BgL_scmzd2filezd2_600; 
{ /* Jvm/jld.scm 150 */
bool_t BgL_test1697z00_612;
{ /* Jvm/jld.scm 150 */
bool_t BgL_test1718z00_662;
{ /* Jvm/jld.scm 150 */
obj_t BgL_arg1719z00_663;
BgL_arg1719z00_663 = 
BGl_suffixz00zz__osz00(BgL_sourcez00_610); 
BgL_test1718z00_662 = 
bigloo_strcmp(BgL_arg1719z00_663, BGl_string2130z00zzjvm_ldz00); } 
if(BgL_test1718z00_662)
{ /* Jvm/jld.scm 150 */
BgL_test1697z00_612 = ((bool_t)0); }  else 
{ /* Jvm/jld.scm 151 */
char * BgL_auxz00_2073;
BgL_auxz00_2073 = 
BSTRING_TO_STRING(BgL_sourcez00_610); 
BgL_test1697z00_612 = 
fexists(BgL_auxz00_2073); } } 
if(BgL_test1697z00_612)
{ /* Jvm/jld.scm 154 */
obj_t BgL_zc3anonymousza31699ze3z83_1720;
{ 
int BgL_auxz00_2079;int BgL_auxz00_2077;
BgL_auxz00_2079 = 
(int)(((long)1)); 
BgL_auxz00_2077 = 
(int)(((long)0)); 
BgL_zc3anonymousza31699ze3z83_1720 = 
make_fx_procedure(BGl_zc3anonymousza31699ze3z83zzjvm_ldz00, BgL_auxz00_2077, BgL_auxz00_2079); } 
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2082;
BgL_auxz00_2082 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31699ze3z83_1720, BgL_auxz00_2082, BgL_sourcez00_610); } 
BgL_arg1691z00_605 = 
BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(BgL_sourcez00_610, BgL_zc3anonymousza31699ze3z83_1720); }  else 
{ /* Jvm/jld.scm 150 */
BgL_arg1691z00_605 = BNIL; } } 
BgL_arg1690z00_604 = 
bgl_append2(BgL_arg1691z00_605, BgL_classesz00_594); } 
BgL_arg1689z00_603 = 
MAKE_PAIR(BgL_objectz00_597, BgL_arg1690z00_604); } 
{ 
obj_t BgL_classesz00_2089;obj_t BgL_objectsz00_2088;
BgL_objectsz00_2088 = BgL_arg1688z00_602; 
BgL_classesz00_2089 = BgL_arg1689z00_603; 
BgL_classesz00_594 = BgL_classesz00_2089; 
BgL_objectsz00_593 = BgL_objectsz00_2088; 
goto BgL_loopz00_595;} }  else 
{ /* Jvm/jld.scm 174 */
obj_t BgL_arg1692z00_606;obj_t BgL_arg1693z00_607;
BgL_arg1692z00_606 = 
CDR(BgL_objectsz00_593); 
BgL_arg1693z00_607 = 
MAKE_PAIR(BgL_objectz00_597, BgL_classesz00_594); 
{ 
obj_t BgL_classesz00_2093;obj_t BgL_objectsz00_2092;
BgL_objectsz00_2092 = BgL_arg1692z00_606; 
BgL_classesz00_2093 = BgL_arg1693z00_607; 
BgL_classesz00_594 = BgL_classesz00_2093; 
BgL_objectsz00_593 = BgL_objectsz00_2092; 
goto BgL_loopz00_595;} } } } } } } } } } } 
}



/* <anonymous:1699> */
obj_t BGl_zc3anonymousza31699ze3z83zzjvm_ldz00(obj_t BgL_envz00_1721)
{ AN_OBJECT;
{ /* Jvm/jld.scm 153 */
{ /* Jvm/jld.scm 154 */
obj_t BgL_sourcez00_1722;
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2094;
BgL_auxz00_2094 = 
(int)(((long)0)); 
BgL_sourcez00_1722 = 
PROCEDURE_REF(BgL_envz00_1721, BgL_auxz00_2094); } 
{ 

{ /* Jvm/jld.scm 154 */
obj_t BgL_armed1588z00_615;
BgL_armed1588z00_615 = 
MAKE_CELL(BUNSPEC); 
{ /* Jvm/jld.scm 160 */
obj_t BgL_body1587z00_1718;obj_t BgL_rhandler1586z00_1716;
{ 
int BgL_auxz00_2099;int BgL_auxz00_2097;
BgL_auxz00_2099 = 
(int)(((long)1)); 
BgL_auxz00_2097 = 
(int)(((long)0)); 
BgL_body1587z00_1718 = 
make_fx_procedure(BGl_body1587z00zzjvm_ldz00, BgL_auxz00_2097, BgL_auxz00_2099); } 
{ 
int BgL_auxz00_2104;int BgL_auxz00_2102;
BgL_auxz00_2104 = 
(int)(((long)1)); 
BgL_auxz00_2102 = 
(int)(((long)4)); 
BgL_rhandler1586z00_1716 = 
make_fx_procedure(BGl_rhandler1586z00zzjvm_ldz00, BgL_auxz00_2102, BgL_auxz00_2104); } 
{ /* Jvm/jld.scm 160 */
int BgL_auxz00_2107;
BgL_auxz00_2107 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_body1587z00_1718, BgL_auxz00_2107, BgL_sourcez00_1722); } 
{ /* Jvm/jld.scm 160 */
int BgL_auxz00_2110;
BgL_auxz00_2110 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_rhandler1586z00_1716, BgL_auxz00_2110, BgL_armed1588z00_615); } 
CELL_SET(BgL_armed1588z00_615, BTRUE); 
return 
BGl_handling_function1700z00zzjvm_ldz00(BgL_body1587z00_1718, BgL_rhandler1586z00_1716, BgL_armed1588z00_615);} } } } } 
}



/* handling_function1700 */
obj_t BGl_handling_function1700z00zzjvm_ldz00(obj_t BgL_body1587z00_1773, obj_t BgL_rhandler1586z00_1772, obj_t BgL_armed1588z00_1771)
{ AN_OBJECT;
{ /* Jvm/jld.scm 154 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1589z00_620;
if( SET_EXIT(BgL_an_exit1589z00_620) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit1589z00_620 = 
(obj_t)jmpbuf; 
{ /* Jvm/jld.scm 154 */

PUSH_EXIT(BgL_an_exit1589z00_620, ((bool_t)1)); 
{ /* Jvm/jld.scm 154 */
obj_t BgL_an_exitd1590z00_621;
BgL_an_exitd1590z00_621 = 
BGL_GET_EXITD_TOP(); 
{ /* Jvm/jld.scm 154 */
obj_t BgL_escapez00_1715;
{ 
int BgL_auxz00_2120;int BgL_auxz00_2118;
BgL_auxz00_2120 = 
(int)(((long)1)); 
BgL_auxz00_2118 = 
(int)(((long)1)); 
BgL_escapez00_1715 = 
make_fx_procedure(BGl_escape_2118z00zzjvm_ldz00, BgL_auxz00_2118, BgL_auxz00_2120); } 
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2123;
BgL_auxz00_2123 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_1715, BgL_auxz00_2123, BgL_an_exitd1590z00_621); } 
{ /* Jvm/jld.scm 154 */
obj_t BgL_res1592z00_624;
{ /* Jvm/jld.scm 154 */
obj_t BgL_zc3anonymousza31704ze3z83_1719;obj_t BgL_zc3anonymousza31703ze3z83_1717;
{ 
int BgL_auxz00_2128;int BgL_auxz00_2126;
BgL_auxz00_2128 = 
(int)(((long)1)); 
BgL_auxz00_2126 = 
(int)(((long)0)); 
BgL_zc3anonymousza31704ze3z83_1719 = 
make_fx_procedure(BGl_zc3anonymousza31704ze3z83zzjvm_ldz00, BgL_auxz00_2126, BgL_auxz00_2128); } 
{ 
int BgL_auxz00_2133;int BgL_auxz00_2131;
BgL_auxz00_2133 = 
(int)(((long)4)); 
BgL_auxz00_2131 = 
(int)(((long)0)); 
BgL_zc3anonymousza31703ze3z83_1717 = 
make_fx_procedure(BGl_zc3anonymousza31703ze3z83zzjvm_ldz00, BgL_auxz00_2131, BgL_auxz00_2133); } 
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2136;
BgL_auxz00_2136 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31704ze3z83_1719, BgL_auxz00_2136, BgL_armed1588z00_1771); } 
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2139;
BgL_auxz00_2139 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31703ze3z83_1717, BgL_auxz00_2139, BgL_an_exitd1590z00_621); } 
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2142;
BgL_auxz00_2142 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31703ze3z83_1717, BgL_auxz00_2142, BgL_armed1588z00_1771); } 
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2145;
BgL_auxz00_2145 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31703ze3z83_1717, BgL_auxz00_2145, BgL_rhandler1586z00_1772); } 
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2148;
BgL_auxz00_2148 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31703ze3z83_1717, BgL_auxz00_2148, BgL_escapez00_1715); } 
BgL_res1592z00_624 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31703ze3z83_1717, BgL_body1587z00_1773, BgL_zc3anonymousza31704ze3z83_1719); } 
POP_EXIT(); 
return BgL_res1592z00_624;} } } } 
} } 
}



/* <anonymous:1704> */
obj_t BGl_zc3anonymousza31704ze3z83zzjvm_ldz00(obj_t BgL_envz00_1724)
{ AN_OBJECT;
{ /* Jvm/jld.scm 154 */
{ /* Jvm/jld.scm 154 */
obj_t BgL_armed1588z00_1725;
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2153;
BgL_auxz00_2153 = 
(int)(((long)0)); 
BgL_armed1588z00_1725 = 
PROCEDURE_REF(BgL_envz00_1724, BgL_auxz00_2153); } 
{ 

{ /* Jvm/jld.scm 154 */
bool_t BgL_testz00_2156;
{ /* Jvm/jld.scm 154 */
obj_t BgL_auxz00_2157;
BgL_auxz00_2157 = 
CELL_REF(BgL_armed1588z00_1725); 
BgL_testz00_2156 = 
CBOOL(BgL_auxz00_2157); } 
if(BgL_testz00_2156)
{ /* Jvm/jld.scm 154 */
CELL_SET(BgL_armed1588z00_1725, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Jvm/jld.scm 154 */
return BFALSE;} } } } } 
}



/* body1587 */
obj_t BGl_body1587z00zzjvm_ldz00(obj_t BgL_envz00_1727)
{ AN_OBJECT;
{ /* Jvm/jld.scm 154 */
{ /* Jvm/jld.scm 154 */
obj_t BgL_sourcez00_1728;
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2160;
BgL_auxz00_2160 = 
(int)(((long)0)); 
BgL_sourcez00_1728 = 
PROCEDURE_REF(BgL_envz00_1727, BgL_auxz00_2160); } 
{ 

{ 
obj_t BgL_modz00_665;obj_t BgL_basez00_666;obj_t BgL_clausesz00_667;obj_t BgL_idz00_717;
{ /* Jvm/jld.scm 154 */
obj_t BgL_ezd2151zd2_646;
{ /* Jvm/jld.scm 154 */
obj_t BgL_list1716z00_656;
BgL_list1716z00_656 = 
MAKE_PAIR(current_input_port, BNIL); 
BgL_ezd2151zd2_646 = 
BGl_readz00zz__readerz00(BgL_list1716z00_656); } 
if(
PAIRP(BgL_ezd2151zd2_646))
{ /* Jvm/jld.scm 154 */
obj_t BgL_cdrzd2157zd2_648;
BgL_cdrzd2157zd2_648 = 
CDR(BgL_ezd2151zd2_646); 
{ /* Jvm/jld.scm 154 */
bool_t BgL_testz00_2168;
{ /* Jvm/jld.scm 154 */
obj_t BgL_auxz00_2171;obj_t BgL_auxz00_2169;
BgL_auxz00_2171 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_2169 = 
CAR(BgL_ezd2151zd2_646); 
BgL_testz00_2168 = 
(BgL_auxz00_2169==BgL_auxz00_2171); } 
if(BgL_testz00_2168)
{ /* Jvm/jld.scm 154 */
if(
PAIRP(BgL_cdrzd2157zd2_648))
{ /* Jvm/jld.scm 154 */
obj_t BgL_arg1711z00_651;obj_t BgL_arg1712z00_652;
BgL_arg1711z00_651 = 
CAR(BgL_cdrzd2157zd2_648); 
BgL_arg1712z00_652 = 
CDR(BgL_cdrzd2157zd2_648); 
{ /* Jvm/jld.scm 154 */
obj_t BgL_arg1717z00_1353;
BgL_arg1717z00_1353 = 
BGl_dirnamez00zz__osz00(BgL_sourcez00_1728); 
BgL_modz00_665 = BgL_arg1711z00_651; 
BgL_basez00_666 = BgL_arg1717z00_1353; 
BgL_clausesz00_667 = BgL_arg1712z00_652; 
{ 
obj_t BgL_clausesz00_669;obj_t BgL_classesz00_670;
BgL_clausesz00_669 = BgL_clausesz00_667; 
BgL_classesz00_670 = BNIL; 
BgL_loopz00_671:
if(
NULLP(BgL_clausesz00_669))
{ /* Jvm/jld.scm 122 */
return BgL_classesz00_670;}  else 
{ 
obj_t BgL_statexpz00_673;
{ /* Jvm/jld.scm 124 */
obj_t BgL_ezd2128zd2_676;
BgL_ezd2128zd2_676 = 
CAR(BgL_clausesz00_669); 
if(
PAIRP(BgL_ezd2128zd2_676))
{ /* Jvm/jld.scm 124 */
obj_t BgL_carzd2131zd2_678;
BgL_carzd2131zd2_678 = 
CAR(BgL_ezd2128zd2_676); 
{ 

{ /* Jvm/jld.scm 124 */
bool_t BgL_testz00_2185;
{ /* Jvm/jld.scm 124 */
obj_t BgL_auxz00_2186;
BgL_auxz00_2186 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2185 = 
(BgL_carzd2131zd2_678==BgL_auxz00_2186); } 
if(BgL_testz00_2185)
{ /* Jvm/jld.scm 124 */
BgL_kapzd2133zd2_679:
BgL_statexpz00_673 = 
CDR(BgL_ezd2128zd2_676); 
{ 
obj_t BgL_statexpz00_683;obj_t BgL_classesz00_684;
BgL_statexpz00_683 = BgL_statexpz00_673; 
BgL_classesz00_684 = BgL_classesz00_670; 
BgL_liipz00_685:
if(
NULLP(BgL_statexpz00_683))
{ 
obj_t BgL_classesz00_2193;obj_t BgL_clausesz00_2191;
BgL_clausesz00_2191 = 
CDR(BgL_clausesz00_669); 
BgL_classesz00_2193 = BgL_classesz00_684; 
BgL_classesz00_670 = BgL_classesz00_2193; 
BgL_clausesz00_669 = BgL_clausesz00_2191; 
goto BgL_loopz00_671;}  else 
{ 
obj_t BgL_identz00_688;
{ /* Jvm/jld.scm 131 */
obj_t BgL_ezd2137zd2_691;
BgL_ezd2137zd2_691 = 
CAR(BgL_statexpz00_683); 
if(
PAIRP(BgL_ezd2137zd2_691))
{ /* Jvm/jld.scm 131 */
obj_t BgL_carzd2140zd2_693;obj_t BgL_cdrzd2141zd2_694;
BgL_carzd2140zd2_693 = 
CAR(BgL_ezd2137zd2_691); 
BgL_cdrzd2141zd2_694 = 
CDR(BgL_ezd2137zd2_691); 
{ 

{ /* Jvm/jld.scm 131 */
bool_t BgL_testz00_2199;
{ /* Jvm/jld.scm 131 */
obj_t BgL_auxz00_2200;
BgL_auxz00_2200 = 
CNST_TABLE_REF(((long)2)); 
BgL_testz00_2199 = 
(BgL_carzd2140zd2_693==BgL_auxz00_2200); } 
if(BgL_testz00_2199)
{ /* Jvm/jld.scm 131 */
BgL_kapzd2142zd2_695:
if(
PAIRP(BgL_cdrzd2141zd2_694))
{ /* Jvm/jld.scm 131 */
BgL_identz00_688 = 
CAR(BgL_cdrzd2141zd2_694); 
{ /* Jvm/jld.scm 134 */
obj_t BgL_idz00_702;
BgL_idz00_717 = BgL_identz00_688; 
{ /* Jvm/jld.scm 103 */
obj_t BgL_stringz00_719;
BgL_stringz00_719 = 
SYMBOL_TO_STRING(BgL_idz00_717); 
{ /* Jvm/jld.scm 103 */
int BgL_lenz00_720;
BgL_lenz00_720 = 
STRING_LENGTH(BgL_stringz00_719); 
{ /* Jvm/jld.scm 104 */

{ 
long BgL_walkerz00_721;
BgL_walkerz00_721 = ((long)0); 
BgL_loopz00_722:
{ /* Jvm/jld.scm 107 */
bool_t BgL_testz00_2207;
{ /* Jvm/jld.scm 107 */
long BgL_auxz00_2208;
BgL_auxz00_2208 = 
(long)(BgL_lenz00_720); 
BgL_testz00_2207 = 
(BgL_walkerz00_721==BgL_auxz00_2208); } 
if(BgL_testz00_2207)
{ /* Jvm/jld.scm 107 */
BgL_idz00_702 = BgL_idz00_717; }  else 
{ /* Jvm/jld.scm 109 */
bool_t BgL_testz00_2211;
{ /* Jvm/jld.scm 109 */
bool_t BgL_testz00_2212;
{ /* Jvm/jld.scm 109 */
unsigned char BgL_auxz00_2213;
{ /* Jvm/jld.scm 109 */
int BgL_auxz00_2214;
BgL_auxz00_2214 = 
(int)(BgL_walkerz00_721); 
BgL_auxz00_2213 = 
STRING_REF(BgL_stringz00_719, BgL_auxz00_2214); } 
BgL_testz00_2212 = 
(BgL_auxz00_2213==((unsigned char)':')); } 
if(BgL_testz00_2212)
{ /* Jvm/jld.scm 110 */
bool_t BgL_testz00_2218;
{ /* Jvm/jld.scm 110 */
long BgL_auxz00_2219;
{ /* Jvm/jld.scm 110 */
long BgL_auxz00_2220;
BgL_auxz00_2220 = 
(long)(BgL_lenz00_720); 
BgL_auxz00_2219 = 
(BgL_auxz00_2220-((long)1)); } 
BgL_testz00_2218 = 
(BgL_walkerz00_721<BgL_auxz00_2219); } 
if(BgL_testz00_2218)
{ /* Jvm/jld.scm 111 */
unsigned char BgL_auxz00_2224;
{ /* Jvm/jld.scm 111 */
int BgL_auxz00_2225;
{ /* Jvm/jld.scm 111 */
long BgL_auxz00_2226;
BgL_auxz00_2226 = 
(BgL_walkerz00_721+((long)1)); 
BgL_auxz00_2225 = 
(int)(BgL_auxz00_2226); } 
BgL_auxz00_2224 = 
STRING_REF(BgL_stringz00_719, BgL_auxz00_2225); } 
BgL_testz00_2211 = 
(BgL_auxz00_2224==((unsigned char)':')); }  else 
{ /* Jvm/jld.scm 110 */
BgL_testz00_2211 = ((bool_t)0)
; } }  else 
{ /* Jvm/jld.scm 109 */
BgL_testz00_2211 = ((bool_t)0)
; } } 
if(BgL_testz00_2211)
{ /* Jvm/jld.scm 109 */
{ /* Jvm/jld.scm 112 */
obj_t BgL_arg1750z00_725;
{ /* Jvm/jld.scm 112 */
int BgL_auxz00_2233;int BgL_auxz00_2231;
BgL_auxz00_2233 = 
(int)(BgL_walkerz00_721); 
BgL_auxz00_2231 = 
(int)(((long)0)); 
BgL_arg1750z00_725 = 
c_substring(BgL_stringz00_719, BgL_auxz00_2231, BgL_auxz00_2233); } 
{ /* Jvm/jld.scm 112 */
char * BgL_auxz00_2236;
BgL_auxz00_2236 = 
BSTRING_TO_STRING(BgL_arg1750z00_725); 
BgL_idz00_702 = 
string_to_symbol(BgL_auxz00_2236); } } }  else 
{ /* Jvm/jld.scm 109 */
{ 
long BgL_walkerz00_2239;
BgL_walkerz00_2239 = 
(BgL_walkerz00_721+((long)1)); 
BgL_walkerz00_721 = BgL_walkerz00_2239; 
goto BgL_loopz00_722;} } } } } } } } 
{ /* Jvm/jld.scm 134 */
obj_t BgL_sidz00_703;
{ /* Jvm/jld.scm 135 */
obj_t BgL_arg1740z00_709;obj_t BgL_arg1742z00_711;
BgL_arg1740z00_709 = 
SYMBOL_TO_STRING(BgL_modz00_665); 
BgL_arg1742z00_711 = 
SYMBOL_TO_STRING(BgL_idz00_702); 
BgL_sidz00_703 = 
string_append_3(BgL_arg1740z00_709, BGl_string2131z00zzjvm_ldz00, BgL_arg1742z00_711); } 
{ /* Jvm/jld.scm 135 */
obj_t BgL_mglz00_704;
{ /* Jvm/jld.scm 138 */
bool_t BgL_test1746z00_1371;
BgL_test1746z00_1371 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_sidz00_703); 
if(BgL_test1746z00_1371)
{ /* Jvm/jld.scm 138 */
BgL_mglz00_704 = 
BGl_bigloozd2manglezd2zz__biglooz00(BgL_sidz00_703); }  else 
{ /* Jvm/jld.scm 138 */
BgL_mglz00_704 = BgL_sidz00_703; } } 
{ /* Jvm/jld.scm 138 */

{ /* Jvm/jld.scm 139 */
obj_t BgL_arg1736z00_705;obj_t BgL_arg1737z00_706;
BgL_arg1736z00_705 = 
CDR(BgL_statexpz00_683); 
{ /* Jvm/jld.scm 142 */
obj_t BgL_arg1738z00_707;
{ /* Jvm/jld.scm 142 */
obj_t BgL_arg1739z00_708;
BgL_arg1739z00_708 = 
string_append(BgL_mglz00_704, BGl_string2125z00zzjvm_ldz00); 
BgL_arg1738z00_707 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_basez00_666, BgL_arg1739z00_708); } 
BgL_arg1737z00_706 = 
MAKE_PAIR(BgL_arg1738z00_707, BgL_classesz00_684); } 
{ 
obj_t BgL_classesz00_2252;obj_t BgL_statexpz00_2251;
BgL_statexpz00_2251 = BgL_arg1736z00_705; 
BgL_classesz00_2252 = BgL_arg1737z00_706; 
BgL_classesz00_684 = BgL_classesz00_2252; 
BgL_statexpz00_683 = BgL_statexpz00_2251; 
goto BgL_liipz00_685;} } } } } } }  else 
{ /* Jvm/jld.scm 131 */
BgL_tagzd2136zd2_690:
{ 
obj_t BgL_statexpz00_2254;
BgL_statexpz00_2254 = 
CDR(BgL_statexpz00_683); 
BgL_statexpz00_683 = BgL_statexpz00_2254; 
goto BgL_liipz00_685;} } }  else 
{ /* Jvm/jld.scm 131 */
bool_t BgL_testz00_2256;
{ /* Jvm/jld.scm 131 */
obj_t BgL_auxz00_2257;
BgL_auxz00_2257 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_2256 = 
(BgL_carzd2140zd2_693==BgL_auxz00_2257); } 
if(BgL_testz00_2256)
{ /* Jvm/jld.scm 131 */
goto BgL_kapzd2142zd2_695;}  else 
{ /* Jvm/jld.scm 131 */
bool_t BgL_testz00_2260;
{ /* Jvm/jld.scm 131 */
obj_t BgL_auxz00_2261;
BgL_auxz00_2261 = 
CNST_TABLE_REF(((long)4)); 
BgL_testz00_2260 = 
(BgL_carzd2140zd2_693==BgL_auxz00_2261); } 
if(BgL_testz00_2260)
{ /* Jvm/jld.scm 131 */
goto BgL_kapzd2142zd2_695;}  else 
{ /* Jvm/jld.scm 131 */
bool_t BgL_testz00_2264;
{ /* Jvm/jld.scm 131 */
obj_t BgL_auxz00_2265;
BgL_auxz00_2265 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_2264 = 
(BgL_carzd2140zd2_693==BgL_auxz00_2265); } 
if(BgL_testz00_2264)
{ /* Jvm/jld.scm 131 */
goto BgL_kapzd2142zd2_695;}  else 
{ /* Jvm/jld.scm 131 */
goto BgL_tagzd2136zd2_690;} } } } } } }  else 
{ /* Jvm/jld.scm 131 */
goto BgL_tagzd2136zd2_690;} } } } }  else 
{ /* Jvm/jld.scm 124 */
bool_t BgL_testz00_2269;
{ /* Jvm/jld.scm 124 */
obj_t BgL_auxz00_2270;
BgL_auxz00_2270 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_2269 = 
(BgL_carzd2131zd2_678==BgL_auxz00_2270); } 
if(BgL_testz00_2269)
{ /* Jvm/jld.scm 124 */
goto BgL_kapzd2133zd2_679;}  else 
{ /* Jvm/jld.scm 124 */
BgL_tagzd2127zd2_675:
{ 
obj_t BgL_clausesz00_2273;
BgL_clausesz00_2273 = 
CDR(BgL_clausesz00_669); 
BgL_clausesz00_669 = BgL_clausesz00_2273; 
goto BgL_loopz00_671;} } } } } }  else 
{ /* Jvm/jld.scm 124 */
goto BgL_tagzd2127zd2_675;} } } } } }  else 
{ /* Jvm/jld.scm 154 */
return BNIL;} }  else 
{ /* Jvm/jld.scm 154 */
return BNIL;} } }  else 
{ /* Jvm/jld.scm 154 */
return BNIL;} } } } } } 
}



/* <anonymous:1703> */
obj_t BGl_zc3anonymousza31703ze3z83zzjvm_ldz00(obj_t BgL_envz00_1729)
{ AN_OBJECT;
{ /* Jvm/jld.scm 154 */
{ /* Jvm/jld.scm 154 */
obj_t BgL_rhandler1586z00_1732;obj_t BgL_escapez00_1733;
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2275;
BgL_auxz00_2275 = 
(int)(((long)2)); 
BgL_rhandler1586z00_1732 = 
PROCEDURE_REF(BgL_envz00_1729, BgL_auxz00_2275); } 
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2278;
BgL_auxz00_2278 = 
(int)(((long)3)); 
BgL_escapez00_1733 = 
PROCEDURE_REF(BgL_envz00_1729, BgL_auxz00_2278); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_rhandler1586z00_1732, BgL_escapez00_1733);} } } 
}



/* escape_2118 */
obj_t BGl_escape_2118z00zzjvm_ldz00(obj_t BgL_envz00_1734, obj_t BgL_val1591z00_1736)
{ AN_OBJECT;
{ /* Jvm/jld.scm 154 */
{ /* Jvm/jld.scm 154 */
obj_t BgL_an_exitd1590z00_1735;
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2282;
BgL_auxz00_2282 = 
(int)(((long)0)); 
BgL_an_exitd1590z00_1735 = 
PROCEDURE_REF(BgL_envz00_1734, BgL_auxz00_2282); } 
{ 
obj_t BgL_val1591z00_622;
BgL_val1591z00_622 = BgL_val1591z00_1736; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1590z00_1735, BgL_val1591z00_622);} } } 
}



/* rhandler1586 */
obj_t BGl_rhandler1586z00zzjvm_ldz00(obj_t BgL_envz00_1737, obj_t BgL_escz00_1739, obj_t BgL_objz00_1740, obj_t BgL_procz00_1741, obj_t BgL_msgz00_1742)
{ AN_OBJECT;
{ /* Jvm/jld.scm 154 */
{ /* Jvm/jld.scm 154 */
obj_t BgL_armed1588z00_1738;
{ /* Jvm/jld.scm 154 */
int BgL_auxz00_2286;
BgL_auxz00_2286 = 
(int)(((long)0)); 
BgL_armed1588z00_1738 = 
PROCEDURE_REF(BgL_envz00_1737, BgL_auxz00_2286); } 
{ 
obj_t BgL_escz00_636;obj_t BgL_objz00_637;obj_t BgL_procz00_638;obj_t BgL_msgz00_639;
BgL_escz00_636 = BgL_escz00_1739; 
BgL_objz00_637 = BgL_objz00_1740; 
BgL_procz00_638 = BgL_procz00_1741; 
BgL_msgz00_639 = BgL_msgz00_1742; 
CELL_SET(BgL_armed1588z00_1738, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
return 
PROCEDURE_ENTRY(BgL_escz00_636)(BgL_escz00_636, BNIL, BEOA);} } } 
}



/* jvm-jar */
obj_t BGl_jvmzd2jarzd2zzjvm_ldz00(obj_t BgL_targetz00_4, obj_t BgL_manifestz00_5, obj_t BgL_objectsz00_6)
{ AN_OBJECT;
{ /* Jvm/jld.scm 180 */
{ /* Jvm/jld.scm 181 */
obj_t BgL_cmdz00_737;
{ 
obj_t BgL_objectsz00_753;obj_t BgL_cmdz00_754;
BgL_objectsz00_753 = BgL_objectsz00_6; 
BgL_cmdz00_754 = BGl_string2126z00zzjvm_ldz00; 
BgL_loopz00_755:
if(
NULLP(BgL_objectsz00_753))
{ /* Jvm/jld.scm 184 */
obj_t BgL_list1771z00_757;
{ /* Jvm/jld.scm 184 */
obj_t BgL_arg1772z00_758;
{ /* Jvm/jld.scm 184 */
obj_t BgL_arg1774z00_760;
{ /* Jvm/jld.scm 184 */
obj_t BgL_arg1775z00_761;
{ /* Jvm/jld.scm 184 */
obj_t BgL_arg1777z00_763;
{ /* Jvm/jld.scm 184 */
obj_t BgL_arg1778z00_764;
{ /* Jvm/jld.scm 184 */
obj_t BgL_arg1780z00_766;
BgL_arg1780z00_766 = 
MAKE_PAIR(BgL_cmdz00_754, BNIL); 
BgL_arg1778z00_764 = 
MAKE_PAIR(BGl_string2132z00zzjvm_ldz00, BgL_arg1780z00_766); } 
BgL_arg1777z00_763 = 
MAKE_PAIR(BgL_targetz00_4, BgL_arg1778z00_764); } 
BgL_arg1775z00_761 = 
MAKE_PAIR(BGl_string2132z00zzjvm_ldz00, BgL_arg1777z00_763); } 
BgL_arg1774z00_760 = 
MAKE_PAIR(BgL_manifestz00_5, BgL_arg1775z00_761); } 
BgL_arg1772z00_758 = 
MAKE_PAIR(BGl_string2132z00zzjvm_ldz00, BgL_arg1774z00_760); } 
{ /* Jvm/jld.scm 184 */
obj_t BgL_auxz00_2300;
BgL_auxz00_2300 = 
string_to_bstring(BGL_JAR); 
BgL_list1771z00_757 = 
MAKE_PAIR(BgL_auxz00_2300, BgL_arg1772z00_758); } } 
BgL_cmdz00_737 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1771z00_757); }  else 
{ /* Jvm/jld.scm 187 */
obj_t BgL_arg1781z00_767;obj_t BgL_arg1782z00_768;
BgL_arg1781z00_767 = 
CDR(BgL_objectsz00_753); 
{ /* Jvm/jld.scm 188 */
obj_t BgL_auxz00_2305;
BgL_auxz00_2305 = 
CAR(BgL_objectsz00_753); 
BgL_arg1782z00_768 = 
string_append_3(BgL_auxz00_2305, BGl_string2132z00zzjvm_ldz00, BgL_cmdz00_754); } 
{ 
obj_t BgL_cmdz00_2309;obj_t BgL_objectsz00_2308;
BgL_objectsz00_2308 = BgL_arg1781z00_767; 
BgL_cmdz00_2309 = BgL_arg1782z00_768; 
BgL_cmdz00_754 = BgL_cmdz00_2309; 
BgL_objectsz00_753 = BgL_objectsz00_2308; 
goto BgL_loopz00_755;} } } 
{ /* Jvm/jld.scm 189 */
obj_t BgL_list1758z00_738;
{ /* Jvm/jld.scm 189 */
obj_t BgL_arg1760z00_740;
{ /* Jvm/jld.scm 189 */
obj_t BgL_arg1761z00_741;
BgL_arg1761z00_741 = 
MAKE_PAIR(BGl_string2133z00zzjvm_ldz00, BNIL); 
BgL_arg1760z00_740 = 
MAKE_PAIR(BgL_cmdz00_737, BgL_arg1761z00_741); } 
BgL_list1758z00_738 = 
MAKE_PAIR(BGl_string2134z00zzjvm_ldz00, BgL_arg1760z00_740); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1758z00_738); } 
{ /* Jvm/jld.scm 190 */
obj_t BgL_val1593z00_742;
BgL_val1593z00_742 = 
BGl_handling_function1765z00zzjvm_ldz00(BgL_targetz00_4, BgL_cmdz00_737); 
{ /* Jvm/jld.scm 194 */
char * BgL_auxz00_2316;
BgL_auxz00_2316 = 
BSTRING_TO_STRING(BgL_manifestz00_5); 
unlink(BgL_auxz00_2316); } 
{ /* Jvm/jld.scm 194 */
bool_t BgL_test1762z00_743;
{ /* Jvm/jld.scm 194 */
obj_t BgL_auxz00_2319;
BgL_auxz00_2319 = 
BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val1593z00_742); 
BgL_test1762z00_743 = 
CBOOL(BgL_auxz00_2319); } 
if(BgL_test1762z00_743)
{ /* Jvm/jld.scm 194 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
CAR(BgL_val1593z00_742), 
CDR(BgL_val1593z00_742));}  else 
{ /* Jvm/jld.scm 194 */
return BgL_val1593z00_742;} } } } } 
}



/* handling_function1765 */
obj_t BGl_handling_function1765z00zzjvm_ldz00(obj_t BgL_targetz00_1770, obj_t BgL_cmdz00_1769)
{ AN_OBJECT;
{ /* Jvm/jld.scm 194 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1594z00_747;
if( SET_EXIT(BgL_an_exit1594z00_747) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit1594z00_747 = 
(obj_t)jmpbuf; 
{ /* Jvm/jld.scm 194 */

PUSH_EXIT(BgL_an_exit1594z00_747, ((bool_t)0)); 
{ /* Jvm/jld.scm 191 */
obj_t BgL_val1595z00_748;
{ /* Jvm/jld.scm 191 */
bool_t BgL_test1766z00_749;
{ /* Jvm/jld.scm 191 */
obj_t BgL_arg1767z00_750;
{ /* Jvm/jld.scm 191 */
obj_t BgL_list1769z00_752;
BgL_list1769z00_752 = 
MAKE_PAIR(BgL_cmdz00_1769, BNIL); 
BgL_arg1767z00_750 = 
BGl_systemz00zz__osz00(BgL_list1769z00_752); } 
{ /* Jvm/jld.scm 191 */
long BgL_auxz00_2331;
BgL_auxz00_2331 = 
(long)CINT(BgL_arg1767z00_750); 
BgL_test1766z00_749 = 
(BgL_auxz00_2331==((long)0)); } } 
if(BgL_test1766z00_749)
{ /* Jvm/jld.scm 191 */
BgL_val1595z00_748 = BTRUE; }  else 
{ 
obj_t BgL_auxz00_2335;
BgL_auxz00_2335 = 
string_to_bstring(BGL_JAR); 
FAILURE(BgL_auxz00_2335,BGl_string2135z00zzjvm_ldz00,BgL_targetz00_1770);} } 
POP_EXIT(); 
return BgL_val1595z00_748;} } 
} } 
}



/* make-manifest-name */
obj_t BGl_makezd2manifestzd2namez00zzjvm_ldz00()
{ AN_OBJECT;
{ /* Jvm/jld.scm 199 */
{ 
obj_t BgL_namez00_771;
BgL_namez00_771 = BGl_string2137z00zzjvm_ldz00; 
BgL_loopz00_772:
{ /* Jvm/jld.scm 201 */
bool_t BgL_test1786z00_773;
{ /* Jvm/jld.scm 201 */
char * BgL_auxz00_2339;
BgL_auxz00_2339 = 
BSTRING_TO_STRING(BgL_namez00_771); 
BgL_test1786z00_773 = 
fexists(BgL_auxz00_2339); } 
if(BgL_test1786z00_773)
{ /* Jvm/jld.scm 203 */
obj_t BgL_arg1787z00_774;
BgL_arg1787z00_774 = 
string_append(BgL_namez00_771, BGl_string2136z00zzjvm_ldz00); 
{ 
obj_t BgL_namez00_2344;
BgL_namez00_2344 = BgL_arg1787z00_774; 
BgL_namez00_771 = BgL_namez00_2344; 
goto BgL_loopz00_772;} }  else 
{ /* Jvm/jld.scm 201 */
return BgL_namez00_771;} } } } 
}



/* jvm-classpath */
obj_t BGl_jvmzd2classpathzd2zzjvm_ldz00()
{ AN_OBJECT;
{ /* Jvm/jld.scm 208 */
{ /* Jvm/jld.scm 209 */
bool_t BgL_test1788z00_775;
{ /* Jvm/jld.scm 209 */
obj_t BgL_objz00_1412;
BgL_objz00_1412 = BGl_za2jvmzd2classpathza2zd2zzengine_paramz00; 
BgL_test1788z00_775 = 
STRINGP(BgL_objz00_1412); } 
if(BgL_test1788z00_775)
{ /* Jvm/jld.scm 209 */
return BGl_za2jvmzd2classpathza2zd2zzengine_paramz00;}  else 
{ /* Jvm/jld.scm 209 */
return 
string_to_bstring(ZIP_DIRECTORY);} } } 
}



/* generate-jvm-manifest */
obj_t BGl_generatezd2jvmzd2manifestz00zzjvm_ldz00(obj_t BgL_fnamez00_8, obj_t BgL_mainz00_9, obj_t BgL_jarnamez00_10)
{ AN_OBJECT;
{ /* Jvm/jld.scm 224 */
{ /* Jvm/jld.scm 226 */
bool_t BgL_test1790z00_777;
{ /* Jvm/jld.scm 226 */
obj_t BgL_string1z00_1415;
BgL_string1z00_1415 = BGl_za2jvmzd2shellza2zd2zzengine_paramz00; 
BgL_test1790z00_777 = 
bigloo_strcmp(BgL_string1z00_1415, BGl_string2138z00zzjvm_ldz00); } 
if(BgL_test1790z00_777)
{ /* Jvm/jld.scm 226 */
return 
BGl_generatezd2shzd2jvmzd2manifestzd2zzjvm_ldz00(BgL_fnamez00_8, BgL_mainz00_9);}  else 
{ /* Jvm/jld.scm 228 */
bool_t BgL_test1791z00_778;
{ /* Jvm/jld.scm 228 */
obj_t BgL_string1z00_1417;
BgL_string1z00_1417 = BGl_za2jvmzd2shellza2zd2zzengine_paramz00; 
BgL_test1791z00_778 = 
bigloo_strcmp(BgL_string1z00_1417, BGl_string2139z00zzjvm_ldz00); } 
if(BgL_test1791z00_778)
{ /* Jvm/jld.scm 228 */
return 
BGl_generatezd2msdoszd2jvmzd2manifestzd2zzjvm_ldz00(BgL_fnamez00_8, BgL_mainz00_9, BgL_jarnamez00_10);}  else 
{ /* Jvm/jld.scm 228 */
{ /* Jvm/jld.scm 231 */
obj_t BgL_list1792z00_779;
{ /* Jvm/jld.scm 231 */
obj_t BgL_arg1794z00_781;
{ /* Jvm/jld.scm 231 */
obj_t BgL_arg1796z00_783;
{ /* Jvm/jld.scm 231 */
obj_t BgL_arg1797z00_784;
BgL_arg1797z00_784 = 
MAKE_PAIR(BGl_string2140z00zzjvm_ldz00, BNIL); 
BgL_arg1796z00_783 = 
MAKE_PAIR(BGl_za2jvmzd2shellza2zd2zzengine_paramz00, BgL_arg1797z00_784); } 
BgL_arg1794z00_781 = 
MAKE_PAIR(BGl_string2141z00zzjvm_ldz00, BgL_arg1796z00_783); } 
BgL_list1792z00_779 = 
MAKE_PAIR(BGl_string2142z00zzjvm_ldz00, BgL_arg1794z00_781); } 
BGl_warningz00zz__errorz00(BgL_list1792z00_779); } 
return 
BGl_generatezd2shzd2jvmzd2manifestzd2zzjvm_ldz00(BgL_fnamez00_8, BgL_mainz00_9);} } } } 
}



/* generate-sh-jvm-manifest */
obj_t BGl_generatezd2shzd2jvmzd2manifestzd2zzjvm_ldz00(obj_t BgL_fnamez00_11, obj_t BgL_mainz00_12)
{ AN_OBJECT;
{ /* Jvm/jld.scm 238 */
{ /* Jvm/jld.scm 240 */
obj_t BgL_zc3anonymousza31799ze3z83_1744;
{ 
int BgL_auxz00_2362;int BgL_auxz00_2360;
BgL_auxz00_2362 = 
(int)(((long)1)); 
BgL_auxz00_2360 = 
(int)(((long)0)); 
BgL_zc3anonymousza31799ze3z83_1744 = 
make_fx_procedure(BGl_zc3anonymousza31799ze3z83zzjvm_ldz00, BgL_auxz00_2360, BgL_auxz00_2362); } 
{ /* Jvm/jld.scm 240 */
int BgL_auxz00_2365;
BgL_auxz00_2365 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31799ze3z83_1744, BgL_auxz00_2365, BgL_mainz00_12); } 
return 
BGl_withzd2outputzd2tozd2filezd2zz__r4_ports_6_10_1z00(BgL_fnamez00_11, BgL_zc3anonymousza31799ze3z83_1744);} } 
}



/* <anonymous:1799> */
obj_t BGl_zc3anonymousza31799ze3z83zzjvm_ldz00(obj_t BgL_envz00_1745)
{ AN_OBJECT;
{ /* Jvm/jld.scm 240 */
{ /* Jvm/jld.scm 240 */
obj_t BgL_mainz00_1746;
{ /* Jvm/jld.scm 240 */
int BgL_auxz00_2369;
BgL_auxz00_2369 = 
(int)(((long)0)); 
BgL_mainz00_1746 = 
PROCEDURE_REF(BgL_envz00_1745, BgL_auxz00_2369); } 
{ 

{ /* Jvm/jld.scm 240 */
unsigned char BgL_auxz00_2372;
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2143z00zzjvm_ldz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2144z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_mainz00_1746, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2145z00zzjvm_ldz00, current_output_port); 
{ /* Jvm/jld.scm 244 */
obj_t BgL_arg1809z00_796;
{ /* Jvm/jld.scm 244 */
obj_t BgL_arg1811z00_798;char * BgL_arg1812z00_799;
BgL_arg1811z00_798 = 
BGl_jvmzd2classpathzd2zzjvm_ldz00(); 
if(
CBOOL(BGl_za2unsafezd2libraryza2zd2zzengine_paramz00))
{ /* Jvm/jld.scm 245 */
BgL_arg1812z00_799 = "bigloo_u.zip"; }  else 
{ /* Jvm/jld.scm 245 */
BgL_arg1812z00_799 = "bigloo.zip"; } 
BgL_arg1809z00_796 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_arg1811z00_798, 
string_to_bstring(BgL_arg1812z00_799)); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1809z00_796, current_output_port); } 
{ 
obj_t BgL_l1596z00_800;
BgL_l1596z00_800 = BGl_za2additionalzd2bigloozd2za7ipsza2za7zzengine_paramz00; 
BgL_lname1597z00_801:
if(
PAIRP(BgL_l1596z00_800))
{ /* Jvm/jld.scm 248 */
{ /* Jvm/jld.scm 249 */
obj_t BgL_lz00_803;
BgL_lz00_803 = 
CAR(BgL_l1596z00_800); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2132z00zzjvm_ldz00, current_output_port); 
{ /* Jvm/jld.scm 250 */
obj_t BgL_arg1816z00_806;
BgL_arg1816z00_806 = 
BGl_userzd2libraryzd2zzjvm_ldz00(BgL_lz00_803); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1816z00_806, current_output_port); } } 
{ 
obj_t BgL_l1596z00_2391;
BgL_l1596z00_2391 = 
CDR(BgL_l1596z00_800); 
BgL_l1596z00_800 = BgL_l1596z00_2391; 
goto BgL_lname1597z00_801;} }  else 
{ /* Jvm/jld.scm 248 */((bool_t)1); } } 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2146z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2bigloozd2nameza2zd2zzengine_paramz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BgL_auxz00_2372 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return 
BCHAR(BgL_auxz00_2372);} } } } 
}



/* generate-msdos-jvm-manifest */
obj_t BGl_generatezd2msdoszd2jvmzd2manifestzd2zzjvm_ldz00(obj_t BgL_fnamez00_13, obj_t BgL_mainz00_14, obj_t BgL_jarnamez00_15)
{ AN_OBJECT;
{ /* Jvm/jld.scm 259 */
{ /* Jvm/jld.scm 261 */
obj_t BgL_zc3anonymousza31826ze3z83_1747;
{ 
int BgL_auxz00_2401;int BgL_auxz00_2399;
BgL_auxz00_2401 = 
(int)(((long)1)); 
BgL_auxz00_2399 = 
(int)(((long)0)); 
BgL_zc3anonymousza31826ze3z83_1747 = 
make_fx_procedure(BGl_zc3anonymousza31826ze3z83zzjvm_ldz00, BgL_auxz00_2399, BgL_auxz00_2401); } 
{ /* Jvm/jld.scm 261 */
int BgL_auxz00_2404;
BgL_auxz00_2404 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31826ze3z83_1747, BgL_auxz00_2404, BgL_mainz00_14); } 
return 
BGl_withzd2outputzd2tozd2filezd2zz__r4_ports_6_10_1z00(BgL_fnamez00_13, BgL_zc3anonymousza31826ze3z83_1747);} } 
}



/* <anonymous:1826> */
obj_t BGl_zc3anonymousza31826ze3z83zzjvm_ldz00(obj_t BgL_envz00_1748)
{ AN_OBJECT;
{ /* Jvm/jld.scm 261 */
{ /* Jvm/jld.scm 261 */
obj_t BgL_mainz00_1749;
{ /* Jvm/jld.scm 261 */
int BgL_auxz00_2408;
BgL_auxz00_2408 = 
(int)(((long)0)); 
BgL_mainz00_1749 = 
PROCEDURE_REF(BgL_envz00_1748, BgL_auxz00_2408); } 
{ 

{ /* Jvm/jld.scm 261 */
unsigned char BgL_auxz00_2411;
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2143z00zzjvm_ldz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2144z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_mainz00_1749, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2146z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2bigloozd2nameza2zd2zzengine_paramz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BgL_auxz00_2411 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return 
BCHAR(BgL_auxz00_2411);} } } } 
}



/* generate-jvm-sh-script */
bool_t BGl_generatezd2jvmzd2shzd2scriptzd2zzjvm_ldz00(obj_t BgL_targetz00_16, obj_t BgL_mainzd2classzd2_17, obj_t BgL_pathz00_18)
{ AN_OBJECT;
{ /* Jvm/jld.scm 270 */
{ 

if(
CBOOL(BGl_za2jvmzd2jarzf3za2z21zzengine_paramz00))
{ /* Jvm/jld.scm 322 */
{ /* Jvm/jld.scm 281 */
obj_t BgL_zc3anonymousza31904ze3z83_1752;
{ 
int BgL_auxz00_2426;int BgL_auxz00_2424;
BgL_auxz00_2426 = 
(int)(((long)1)); 
BgL_auxz00_2424 = 
(int)(((long)0)); 
BgL_zc3anonymousza31904ze3z83_1752 = 
make_fx_procedure(BGl_zc3anonymousza31904ze3z83zzjvm_ldz00, BgL_auxz00_2424, BgL_auxz00_2426); } 
{ /* Jvm/jld.scm 281 */
int BgL_auxz00_2429;
BgL_auxz00_2429 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31904ze3z83_1752, BgL_auxz00_2429, BgL_targetz00_16); } 
BGl_withzd2outputzd2tozd2filezd2zz__r4_ports_6_10_1z00(BgL_targetz00_16, BgL_zc3anonymousza31904ze3z83_1752); } 
{ /* Jvm/jld.scm 296 */
obj_t BgL_list1931z00_932;
{ /* Jvm/jld.scm 296 */
obj_t BgL_arg1932z00_933;obj_t BgL_arg1933z00_934;
BgL_arg1932z00_933 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/jld.scm 296 */
obj_t BgL_arg1934z00_935;obj_t BgL_arg1935z00_936;
BgL_arg1934z00_935 = 
CNST_TABLE_REF(((long)9)); 
{ /* Jvm/jld.scm 296 */
obj_t BgL_auxz00_2435;
BgL_auxz00_2435 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1935z00_936 = 
MAKE_PAIR(BgL_auxz00_2435, BNIL); } 
BgL_arg1933z00_934 = 
MAKE_PAIR(BgL_arg1934z00_935, BgL_arg1935z00_936); } 
BgL_list1931z00_932 = 
MAKE_PAIR(BgL_arg1932z00_933, BgL_arg1933z00_934); } 
return 
BGl_chmodz00zz__osz00(BgL_targetz00_16, BgL_list1931z00_932);} }  else 
{ /* Jvm/jld.scm 322 */
{ /* Jvm/jld.scm 299 */
obj_t BgL_zc3anonymousza31841ze3z83_1753;
{ 
int BgL_auxz00_2443;int BgL_auxz00_2441;
BgL_auxz00_2443 = 
(int)(((long)2)); 
BgL_auxz00_2441 = 
(int)(((long)0)); 
BgL_zc3anonymousza31841ze3z83_1753 = 
make_fx_procedure(BGl_zc3anonymousza31841ze3z83zzjvm_ldz00, BgL_auxz00_2441, BgL_auxz00_2443); } 
{ /* Jvm/jld.scm 299 */
int BgL_auxz00_2446;
BgL_auxz00_2446 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_1753, BgL_auxz00_2446, BgL_pathz00_18); } 
{ /* Jvm/jld.scm 299 */
int BgL_auxz00_2449;
BgL_auxz00_2449 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_1753, BgL_auxz00_2449, BgL_mainzd2classzd2_17); } 
BGl_withzd2outputzd2tozd2filezd2zz__r4_ports_6_10_1z00(BgL_targetz00_16, BgL_zc3anonymousza31841ze3z83_1753); } 
{ /* Jvm/jld.scm 321 */
obj_t BgL_list1897z00_897;
{ /* Jvm/jld.scm 321 */
obj_t BgL_arg1898z00_898;obj_t BgL_arg1899z00_899;
BgL_arg1898z00_898 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/jld.scm 321 */
obj_t BgL_arg1900z00_900;obj_t BgL_arg1901z00_901;
BgL_arg1900z00_900 = 
CNST_TABLE_REF(((long)9)); 
{ /* Jvm/jld.scm 321 */
obj_t BgL_auxz00_2455;
BgL_auxz00_2455 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1901z00_901 = 
MAKE_PAIR(BgL_auxz00_2455, BNIL); } 
BgL_arg1899z00_899 = 
MAKE_PAIR(BgL_arg1900z00_900, BgL_arg1901z00_901); } 
BgL_list1897z00_897 = 
MAKE_PAIR(BgL_arg1898z00_898, BgL_arg1899z00_899); } 
return 
BGl_chmodz00zz__osz00(BgL_targetz00_16, BgL_list1897z00_897);} } } } 
}



/* generate-jvm-env */
obj_t BGl_generatezd2jvmzd2envz00zzjvm_ldz00()
{ AN_OBJECT;
{ /* Jvm/jld.scm 278 */
return 
BGl_loopz00zzjvm_ldz00(BGl_za2jvmzd2envza2zd2zzengine_paramz00, BGl_string2126z00zzjvm_ldz00);} 
}



/* loop */
obj_t BGl_loopz00zzjvm_ldz00(obj_t BgL_envz00_938, obj_t BgL_resz00_939)
{ AN_OBJECT;
{ /* Jvm/jld.scm 272 */
BGl_loopz00zzjvm_ldz00:
if(
NULLP(BgL_envz00_938))
{ /* Jvm/jld.scm 274 */
return BgL_resz00_939;}  else 
{ /* Jvm/jld.scm 276 */
obj_t BgL_arg1938z00_942;obj_t BgL_arg1939z00_943;
BgL_arg1938z00_942 = 
CDR(BgL_envz00_938); 
{ /* Jvm/jld.scm 277 */
obj_t BgL_arg1941z00_945;obj_t BgL_arg1943z00_947;
BgL_arg1941z00_945 = 
CAR(BgL_envz00_938); 
BgL_arg1943z00_947 = 
CAR(BgL_envz00_938); 
{ /* Jvm/jld.scm 277 */
obj_t BgL_list1945z00_949;
{ /* Jvm/jld.scm 277 */
obj_t BgL_arg1946z00_950;
{ /* Jvm/jld.scm 277 */
obj_t BgL_arg1947z00_951;
{ /* Jvm/jld.scm 277 */
obj_t BgL_arg1948z00_952;
{ /* Jvm/jld.scm 277 */
obj_t BgL_arg1949z00_953;
{ /* Jvm/jld.scm 277 */
obj_t BgL_arg1950z00_954;
BgL_arg1950z00_954 = 
MAKE_PAIR(BgL_resz00_939, BNIL); 
BgL_arg1949z00_953 = 
MAKE_PAIR(BGl_string2132z00zzjvm_ldz00, BgL_arg1950z00_954); } 
BgL_arg1948z00_952 = 
MAKE_PAIR(BgL_arg1943z00_947, BgL_arg1949z00_953); } 
BgL_arg1947z00_951 = 
MAKE_PAIR(BGl_string2147z00zzjvm_ldz00, BgL_arg1948z00_952); } 
BgL_arg1946z00_950 = 
MAKE_PAIR(BgL_arg1941z00_945, BgL_arg1947z00_951); } 
BgL_list1945z00_949 = 
MAKE_PAIR(BGl_string2148z00zzjvm_ldz00, BgL_arg1946z00_950); } 
BgL_arg1939z00_943 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1945z00_949); } } 
{ 
obj_t BgL_resz00_2475;obj_t BgL_envz00_2474;
BgL_envz00_2474 = BgL_arg1938z00_942; 
BgL_resz00_2475 = BgL_arg1939z00_943; 
BgL_resz00_939 = BgL_resz00_2475; 
BgL_envz00_938 = BgL_envz00_2474; 
goto BGl_loopz00zzjvm_ldz00;} } } 
}



/* <anonymous:1904> */
obj_t BGl_zc3anonymousza31904ze3z83zzjvm_ldz00(obj_t BgL_envz00_1754)
{ AN_OBJECT;
{ /* Jvm/jld.scm 281 */
{ /* Jvm/jld.scm 281 */
obj_t BgL_targetz00_1755;
{ /* Jvm/jld.scm 281 */
int BgL_auxz00_2476;
BgL_auxz00_2476 = 
(int)(((long)0)); 
BgL_targetz00_1755 = 
PROCEDURE_REF(BgL_envz00_1754, BgL_auxz00_2476); } 
{ 

{ /* Jvm/jld.scm 281 */
unsigned char BgL_auxz00_2479;
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2149z00zzjvm_ldz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2jvmzd2javaza2zd2zzengine_paramz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2150z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BGL_JAVA_OPT), current_output_port); 
{ /* Jvm/jld.scm 285 */
char * BgL_arg1913z00_913;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/jld.scm 285 */
BgL_arg1913z00_913 = ""; }  else 
{ /* Jvm/jld.scm 285 */
BgL_arg1913z00_913 = BGL_JAVA_VOPT; } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg1913z00_913), current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2151z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2jvmzd2optionsza2zd2zzengine_paramz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2132z00zzjvm_ldz00, current_output_port); 
{ /* Jvm/jld.scm 288 */
obj_t BgL_arg1920z00_920;
BgL_arg1920z00_920 = 
BGl_generatezd2jvmzd2envz00zzjvm_ldz00(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1920z00_920, current_output_port); } 
{ /* Jvm/jld.scm 289 */
obj_t BgL_arg1922z00_922;
{ /* Jvm/jld.scm 289 */
bool_t BgL_test1924z00_924;
{ /* Jvm/jld.scm 289 */
obj_t BgL_auxz00_2496;
BgL_auxz00_2496 = 
string_to_bstring(DIRNAME_CMD); 
BgL_test1924z00_924 = 
bigloo_strcmp(BgL_auxz00_2496, BGl_string2126z00zzjvm_ldz00); } 
if(BgL_test1924z00_924)
{ /* Jvm/jld.scm 289 */
BgL_arg1922z00_922 = 
BGl_prefixz00zz__osz00(BgL_targetz00_1755); }  else 
{ /* Jvm/jld.scm 290 */
obj_t BgL_arg1925z00_925;obj_t BgL_arg1926z00_926;
{ /* Jvm/jld.scm 290 */
obj_t BgL_auxz00_2501;
BgL_auxz00_2501 = 
string_to_bstring(DIRNAME_CMD); 
BgL_arg1925z00_925 = 
string_append_3(BGl_string2152z00zzjvm_ldz00, BgL_auxz00_2501, BGl_string2153z00zzjvm_ldz00); } 
{ /* Jvm/jld.scm 293 */
obj_t BgL_arg1927z00_927;
BgL_arg1927z00_927 = 
BGl_basenamez00zz__osz00(BgL_targetz00_1755); 
BgL_arg1926z00_926 = 
BGl_prefixz00zz__osz00(BgL_arg1927z00_927); } 
BgL_arg1922z00_922 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_arg1925z00_925, BgL_arg1926z00_926); } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1922z00_922, current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2154z00zzjvm_ldz00, current_output_port); 
BgL_auxz00_2479 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return 
BCHAR(BgL_auxz00_2479);} } } } 
}



/* <anonymous:1841> */
obj_t BGl_zc3anonymousza31841ze3z83zzjvm_ldz00(obj_t BgL_envz00_1756)
{ AN_OBJECT;
{ /* Jvm/jld.scm 299 */
{ /* Jvm/jld.scm 299 */
obj_t BgL_pathz00_1757;obj_t BgL_mainzd2classzd2_1758;
{ /* Jvm/jld.scm 299 */
int BgL_auxz00_2511;
BgL_auxz00_2511 = 
(int)(((long)0)); 
BgL_pathz00_1757 = 
PROCEDURE_REF(BgL_envz00_1756, BgL_auxz00_2511); } 
{ /* Jvm/jld.scm 299 */
int BgL_auxz00_2514;
BgL_auxz00_2514 = 
(int)(((long)1)); 
BgL_mainzd2classzd2_1758 = 
PROCEDURE_REF(BgL_envz00_1756, BgL_auxz00_2514); } 
{ 

{ /* Jvm/jld.scm 299 */
unsigned char BgL_auxz00_2517;
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2149z00zzjvm_ldz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2155z00zzjvm_ldz00, current_output_port); 
{ /* Jvm/jld.scm 304 */
obj_t BgL_arg1848z00_843;
{ /* Jvm/jld.scm 304 */
obj_t BgL_arg1850z00_845;
{ /* Jvm/jld.scm 304 */
obj_t BgL_arg1852z00_847;
{ /* Jvm/jld.scm 304 */
obj_t BgL_arg1854z00_848;
{ /* Jvm/jld.scm 304 */
obj_t BgL_arg1856z00_850;
{ /* Jvm/jld.scm 307 */
obj_t BgL_arg1857z00_851;obj_t BgL_arg1858z00_852;
{ /* Jvm/jld.scm 307 */
obj_t BgL_arg1859z00_853;char * BgL_arg1860z00_854;
BgL_arg1859z00_853 = 
BGl_jvmzd2classpathzd2zzjvm_ldz00(); 
if(
CBOOL(BGl_za2unsafezd2libraryza2zd2zzengine_paramz00))
{ /* Jvm/jld.scm 308 */
BgL_arg1860z00_854 = "bigloo_u.zip"; }  else 
{ /* Jvm/jld.scm 308 */
BgL_arg1860z00_854 = "bigloo.zip"; } 
BgL_arg1857z00_851 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_arg1859z00_853, 
string_to_bstring(BgL_arg1860z00_854)); } 
{ /* Jvm/jld.scm 311 */
obj_t BgL_arg1861z00_855;
{ /* Jvm/jld.scm 311 */
obj_t BgL_l1598z00_857;
BgL_l1598z00_857 = BGl_za2additionalzd2bigloozd2za7ipsza2za7zzengine_paramz00; 
if(
NULLP(BgL_l1598z00_857))
{ /* Jvm/jld.scm 311 */
BgL_arg1861z00_855 = BNIL; }  else 
{ /* Jvm/jld.scm 311 */
obj_t BgL_head1600z00_859;
{ /* Jvm/jld.scm 311 */
obj_t BgL_arg1871z00_870;
BgL_arg1871z00_870 = 
BGl_userzd2libraryzd2zzjvm_ldz00(
CAR(BgL_l1598z00_857)); 
BgL_head1600z00_859 = 
MAKE_PAIR(BgL_arg1871z00_870, BNIL); } 
{ 
obj_t BgL_l1598z00_860;obj_t BgL_tail1601z00_861;
BgL_l1598z00_860 = 
CDR(BgL_l1598z00_857); 
BgL_tail1601z00_861 = BgL_head1600z00_859; 
BgL_lname1599z00_862:
if(
NULLP(BgL_l1598z00_860))
{ /* Jvm/jld.scm 311 */
BgL_arg1861z00_855 = BgL_head1600z00_859; }  else 
{ /* Jvm/jld.scm 311 */
obj_t BgL_newtail1602z00_865;
{ /* Jvm/jld.scm 311 */
obj_t BgL_arg1868z00_867;
BgL_arg1868z00_867 = 
BGl_userzd2libraryzd2zzjvm_ldz00(
CAR(BgL_l1598z00_860)); 
BgL_newtail1602z00_865 = 
MAKE_PAIR(BgL_arg1868z00_867, BNIL); } 
SET_CDR(BgL_tail1601z00_861, BgL_newtail1602z00_865); 
{ 
obj_t BgL_tail1601z00_2540;obj_t BgL_l1598z00_2538;
BgL_l1598z00_2538 = 
CDR(BgL_l1598z00_860); 
BgL_tail1601z00_2540 = BgL_newtail1602z00_865; 
BgL_tail1601z00_861 = BgL_tail1601z00_2540; 
BgL_l1598z00_860 = BgL_l1598z00_2538; 
goto BgL_lname1599z00_862;} } } } } 
BgL_arg1858z00_852 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1861z00_855, BNIL); } 
BgL_arg1856z00_850 = 
MAKE_PAIR(BgL_arg1857z00_851, BgL_arg1858z00_852); } 
BgL_arg1854z00_848 = 
MAKE_PAIR(BGl_string2156z00zzjvm_ldz00, BgL_arg1856z00_850); } 
BgL_arg1852z00_847 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_pathz00_1757, BgL_arg1854z00_848); } 
BgL_arg1850z00_845 = 
MAKE_PAIR(BGl_string2157z00zzjvm_ldz00, BgL_arg1852z00_847); } 
BgL_arg1848z00_843 = 
BGl_listzd2ze3pathzd2stringze3zzjvm_ldz00(BgL_arg1850z00_845, ":"); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1848z00_843, current_output_port); } 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2158z00zzjvm_ldz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2jvmzd2javaza2zd2zzengine_paramz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2150z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BGL_JAVA_OPT), current_output_port); 
{ /* Jvm/jld.scm 315 */
char * BgL_arg1883z00_882;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/jld.scm 315 */
BgL_arg1883z00_882 = ""; }  else 
{ /* Jvm/jld.scm 315 */
BgL_arg1883z00_882 = BGL_JAVA_VOPT; } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg1883z00_882), current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2132z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2jvmzd2optionsza2zd2zzengine_paramz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2132z00zzjvm_ldz00, current_output_port); 
{ /* Jvm/jld.scm 318 */
obj_t BgL_arg1890z00_889;
BgL_arg1890z00_889 = 
BGl_generatezd2jvmzd2envz00zzjvm_ldz00(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1890z00_889, current_output_port); } 
{ /* Jvm/jld.scm 319 */
obj_t BgL_arg1892z00_891;
BgL_arg1892z00_891 = 
BGl_stringzd2replacez12zc0zzjvm_ldz00(BgL_mainzd2classzd2_1758, ((unsigned char)'/'), ((unsigned char)'.')); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1892z00_891, current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2159z00zzjvm_ldz00, current_output_port); 
BgL_auxz00_2517 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return 
BCHAR(BgL_auxz00_2517);} } } } 
}



/* generate-jvm-msdos-script */
bool_t BGl_generatezd2jvmzd2msdoszd2scriptzd2zzjvm_ldz00(obj_t BgL_targetz00_19, obj_t BgL_mainzd2classzd2_20, obj_t BgL_pathz00_21, obj_t BgL_jarnamez00_22)
{ AN_OBJECT;
{ /* Jvm/jld.scm 329 */
{ 

if(
CBOOL(BGl_za2jvmzd2jarzf3za2z21zzengine_paramz00))
{ /* Jvm/jld.scm 393 */
{ /* Jvm/jld.scm 340 */
obj_t BgL_zc3anonymousza32009ze3z83_1761;
{ 
int BgL_auxz00_2575;int BgL_auxz00_2573;
BgL_auxz00_2575 = 
(int)(((long)2)); 
BgL_auxz00_2573 = 
(int)(((long)0)); 
BgL_zc3anonymousza32009ze3z83_1761 = 
make_fx_procedure(BGl_zc3anonymousza32009ze3z83zzjvm_ldz00, BgL_auxz00_2573, BgL_auxz00_2575); } 
{ /* Jvm/jld.scm 340 */
int BgL_auxz00_2578;
BgL_auxz00_2578 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32009ze3z83_1761, BgL_auxz00_2578, BgL_jarnamez00_22); } 
{ /* Jvm/jld.scm 340 */
int BgL_auxz00_2581;
BgL_auxz00_2581 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32009ze3z83_1761, BgL_auxz00_2581, BgL_mainzd2classzd2_20); } 
BGl_withzd2outputzd2tozd2filezd2zz__r4_ports_6_10_1z00(BgL_targetz00_19, BgL_zc3anonymousza32009ze3z83_1761); } 
{ /* Jvm/jld.scm 364 */
obj_t BgL_list2059z00_1082;
{ /* Jvm/jld.scm 364 */
obj_t BgL_arg2060z00_1083;obj_t BgL_arg2061z00_1084;
BgL_arg2060z00_1083 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/jld.scm 364 */
obj_t BgL_arg2062z00_1085;obj_t BgL_arg2063z00_1086;
BgL_arg2062z00_1085 = 
CNST_TABLE_REF(((long)9)); 
{ /* Jvm/jld.scm 364 */
obj_t BgL_auxz00_2587;
BgL_auxz00_2587 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2063z00_1086 = 
MAKE_PAIR(BgL_auxz00_2587, BNIL); } 
BgL_arg2061z00_1084 = 
MAKE_PAIR(BgL_arg2062z00_1085, BgL_arg2063z00_1086); } 
BgL_list2059z00_1082 = 
MAKE_PAIR(BgL_arg2060z00_1083, BgL_arg2061z00_1084); } 
return 
BGl_chmodz00zz__osz00(BgL_targetz00_19, BgL_list2059z00_1082);} }  else 
{ /* Jvm/jld.scm 393 */
{ /* Jvm/jld.scm 367 */
obj_t BgL_zc3anonymousza31953ze3z83_1762;
{ 
int BgL_auxz00_2595;int BgL_auxz00_2593;
BgL_auxz00_2595 = 
(int)(((long)2)); 
BgL_auxz00_2593 = 
(int)(((long)0)); 
BgL_zc3anonymousza31953ze3z83_1762 = 
make_fx_procedure(BGl_zc3anonymousza31953ze3z83zzjvm_ldz00, BgL_auxz00_2593, BgL_auxz00_2595); } 
{ /* Jvm/jld.scm 367 */
int BgL_auxz00_2598;
BgL_auxz00_2598 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31953ze3z83_1762, BgL_auxz00_2598, BgL_pathz00_21); } 
{ /* Jvm/jld.scm 367 */
int BgL_auxz00_2601;
BgL_auxz00_2601 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31953ze3z83_1762, BgL_auxz00_2601, BgL_mainzd2classzd2_20); } 
BGl_withzd2outputzd2tozd2filezd2zz__r4_ports_6_10_1z00(BgL_targetz00_19, BgL_zc3anonymousza31953ze3z83_1762); } 
{ /* Jvm/jld.scm 392 */
obj_t BgL_list2002z00_1018;
{ /* Jvm/jld.scm 392 */
obj_t BgL_arg2003z00_1019;obj_t BgL_arg2004z00_1020;
BgL_arg2003z00_1019 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/jld.scm 392 */
obj_t BgL_arg2005z00_1021;obj_t BgL_arg2006z00_1022;
BgL_arg2005z00_1021 = 
CNST_TABLE_REF(((long)9)); 
{ /* Jvm/jld.scm 392 */
obj_t BgL_auxz00_2607;
BgL_auxz00_2607 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg2006z00_1022 = 
MAKE_PAIR(BgL_auxz00_2607, BNIL); } 
BgL_arg2004z00_1020 = 
MAKE_PAIR(BgL_arg2005z00_1021, BgL_arg2006z00_1022); } 
BgL_list2002z00_1018 = 
MAKE_PAIR(BgL_arg2003z00_1019, BgL_arg2004z00_1020); } 
return 
BGl_chmodz00zz__osz00(BgL_targetz00_19, BgL_list2002z00_1018);} } } } 
}



/* generate-jvm-env_2119 */
obj_t BGl_generatezd2jvmzd2env_2119z00zzjvm_ldz00()
{ AN_OBJECT;
{ /* Jvm/jld.scm 337 */
return 
BGl_loop_2120z00zzjvm_ldz00(BGl_za2jvmzd2envza2zd2zzengine_paramz00, BGl_string2126z00zzjvm_ldz00);} 
}



/* loop_2120 */
obj_t BGl_loop_2120z00zzjvm_ldz00(obj_t BgL_envz00_1088, obj_t BgL_resz00_1089)
{ AN_OBJECT;
{ /* Jvm/jld.scm 331 */
BGl_loop_2120z00zzjvm_ldz00:
if(
NULLP(BgL_envz00_1088))
{ /* Jvm/jld.scm 333 */
return BgL_resz00_1089;}  else 
{ /* Jvm/jld.scm 335 */
obj_t BgL_arg2066z00_1092;obj_t BgL_arg2067z00_1093;
BgL_arg2066z00_1092 = 
CDR(BgL_envz00_1088); 
{ /* Jvm/jld.scm 336 */
obj_t BgL_arg2069z00_1095;obj_t BgL_arg2071z00_1097;
BgL_arg2069z00_1095 = 
CAR(BgL_envz00_1088); 
BgL_arg2071z00_1097 = 
CAR(BgL_envz00_1088); 
{ /* Jvm/jld.scm 336 */
obj_t BgL_list2073z00_1099;
{ /* Jvm/jld.scm 336 */
obj_t BgL_arg2074z00_1100;
{ /* Jvm/jld.scm 336 */
obj_t BgL_arg2075z00_1101;
{ /* Jvm/jld.scm 336 */
obj_t BgL_arg2076z00_1102;
{ /* Jvm/jld.scm 336 */
obj_t BgL_arg2077z00_1103;
{ /* Jvm/jld.scm 336 */
obj_t BgL_arg2078z00_1104;
BgL_arg2078z00_1104 = 
MAKE_PAIR(BgL_resz00_1089, BNIL); 
BgL_arg2077z00_1103 = 
MAKE_PAIR(BGl_string2132z00zzjvm_ldz00, BgL_arg2078z00_1104); } 
BgL_arg2076z00_1102 = 
MAKE_PAIR(BgL_arg2071z00_1097, BgL_arg2077z00_1103); } 
BgL_arg2075z00_1101 = 
MAKE_PAIR(BGl_string2147z00zzjvm_ldz00, BgL_arg2076z00_1102); } 
BgL_arg2074z00_1100 = 
MAKE_PAIR(BgL_arg2069z00_1095, BgL_arg2075z00_1101); } 
BgL_list2073z00_1099 = 
MAKE_PAIR(BGl_string2148z00zzjvm_ldz00, BgL_arg2074z00_1100); } 
BgL_arg2067z00_1093 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2073z00_1099); } } 
{ 
obj_t BgL_resz00_2627;obj_t BgL_envz00_2626;
BgL_envz00_2626 = BgL_arg2066z00_1092; 
BgL_resz00_2627 = BgL_arg2067z00_1093; 
BgL_resz00_1089 = BgL_resz00_2627; 
BgL_envz00_1088 = BgL_envz00_2626; 
goto BGl_loop_2120z00zzjvm_ldz00;} } } 
}



/* <anonymous:2009> */
obj_t BGl_zc3anonymousza32009ze3z83zzjvm_ldz00(obj_t BgL_envz00_1763)
{ AN_OBJECT;
{ /* Jvm/jld.scm 340 */
{ /* Jvm/jld.scm 340 */
obj_t BgL_jarnamez00_1764;obj_t BgL_mainzd2classzd2_1765;
{ /* Jvm/jld.scm 340 */
int BgL_auxz00_2628;
BgL_auxz00_2628 = 
(int)(((long)0)); 
BgL_jarnamez00_1764 = 
PROCEDURE_REF(BgL_envz00_1763, BgL_auxz00_2628); } 
{ /* Jvm/jld.scm 340 */
int BgL_auxz00_2631;
BgL_auxz00_2631 = 
(int)(((long)1)); 
BgL_mainzd2classzd2_1765 = 
PROCEDURE_REF(BgL_envz00_1763, BgL_auxz00_2631); } 
{ 

{ /* Jvm/jld.scm 340 */
unsigned char BgL_auxz00_2634;
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2160z00zzjvm_ldz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2161z00zzjvm_ldz00, current_output_port); 
{ /* Jvm/jld.scm 345 */
obj_t BgL_arg2016z00_1032;
{ /* Jvm/jld.scm 345 */
obj_t BgL_arg2019z00_1034;
{ /* Jvm/jld.scm 345 */
obj_t BgL_arg2020z00_1035;obj_t BgL_arg2021z00_1036;
{ /* Jvm/jld.scm 345 */
obj_t BgL_arg2022z00_1037;obj_t BgL_arg2024z00_1039;
{ /* Jvm/jld.scm 345 */
obj_t BgL_arg2025z00_1040;
BgL_arg2025z00_1040 = 
BGl_dirnamez00zz__osz00(BgL_jarnamez00_1764); 
{ /* Jvm/jld.scm 345 */
bool_t BgL_test1789z00_1479;
{ /* Jvm/jld.scm 345 */
obj_t BgL_objz00_1480;
BgL_objz00_1480 = BGl_za2jvmzd2jarpathza2zd2zzengine_paramz00; 
BgL_test1789z00_1479 = 
STRINGP(BgL_objz00_1480); } 
if(BgL_test1789z00_1479)
{ /* Jvm/jld.scm 345 */
BgL_arg2022z00_1037 = BGl_za2jvmzd2jarpathza2zd2zzengine_paramz00; }  else 
{ /* Jvm/jld.scm 345 */
BgL_arg2022z00_1037 = BgL_arg2025z00_1040; } } } 
BgL_arg2024z00_1039 = 
BGl_basenamez00zz__osz00(BgL_jarnamez00_1764); 
BgL_arg2020z00_1035 = 
string_append_3(BgL_arg2022z00_1037, BGl_string2162z00zzjvm_ldz00, BgL_arg2024z00_1039); } 
{ /* Jvm/jld.scm 349 */
obj_t BgL_arg2026z00_1041;obj_t BgL_arg2027z00_1042;
{ /* Jvm/jld.scm 349 */
obj_t BgL_arg2028z00_1043;char * BgL_arg2029z00_1044;
{ /* Jvm/jld.scm 349 */
obj_t BgL_arg2030z00_1045;
BgL_arg2030z00_1045 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(
BGl_jvmzd2classpathzd2zzjvm_ldz00()); 
BgL_arg2028z00_1043 = 
BGl_stringzd2replacez12zc0zzjvm_ldz00(BgL_arg2030z00_1045, ((unsigned char)'/'), ((unsigned char)'\\')); } 
if(
CBOOL(BGl_za2unsafezd2libraryza2zd2zzengine_paramz00))
{ /* Jvm/jld.scm 351 */
BgL_arg2029z00_1044 = "\\bigloo_u.zip"; }  else 
{ /* Jvm/jld.scm 351 */
BgL_arg2029z00_1044 = "\\bigloo.zip"; } 
{ /* Jvm/jld.scm 348 */
obj_t BgL_auxz00_2649;
BgL_auxz00_2649 = 
string_to_bstring(BgL_arg2029z00_1044); 
BgL_arg2026z00_1041 = 
string_append(BgL_arg2028z00_1043, BgL_auxz00_2649); } } 
{ /* Jvm/jld.scm 354 */
obj_t BgL_arg2032z00_1047;
{ /* Jvm/jld.scm 354 */
obj_t BgL_l1603z00_1049;
BgL_l1603z00_1049 = BGl_za2additionalzd2bigloozd2za7ipsza2za7zzengine_paramz00; 
if(
NULLP(BgL_l1603z00_1049))
{ /* Jvm/jld.scm 354 */
BgL_arg2032z00_1047 = BNIL; }  else 
{ /* Jvm/jld.scm 354 */
obj_t BgL_head1605z00_1051;
BgL_head1605z00_1051 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1603z00_1052;obj_t BgL_tail1606z00_1053;
BgL_l1603z00_1052 = BgL_l1603z00_1049; 
BgL_tail1606z00_1053 = BgL_head1605z00_1051; 
BgL_lname1604z00_1054:
if(
NULLP(BgL_l1603z00_1052))
{ /* Jvm/jld.scm 354 */
BgL_arg2032z00_1047 = 
CDR(BgL_head1605z00_1051); }  else 
{ /* Jvm/jld.scm 355 */
obj_t BgL_newtail1607z00_1056;
{ /* Jvm/jld.scm 355 */
obj_t BgL_arg2037z00_1058;
{ /* Jvm/jld.scm 355 */
obj_t BgL_arg2039z00_1061;
BgL_arg2039z00_1061 = 
BGl_userzd2libraryzd2zzjvm_ldz00(
CAR(BgL_l1603z00_1052)); 
BgL_arg2037z00_1058 = 
BGl_stringzd2replacez12zc0zzjvm_ldz00(BgL_arg2039z00_1061, ((unsigned char)'/'), ((unsigned char)'\\')); } 
BgL_newtail1607z00_1056 = 
MAKE_PAIR(BgL_arg2037z00_1058, BNIL); } 
SET_CDR(BgL_tail1606z00_1053, BgL_newtail1607z00_1056); 
{ 
obj_t BgL_tail1606z00_2665;obj_t BgL_l1603z00_2663;
BgL_l1603z00_2663 = 
CDR(BgL_l1603z00_1052); 
BgL_tail1606z00_2665 = BgL_newtail1607z00_1056; 
BgL_tail1606z00_1053 = BgL_tail1606z00_2665; 
BgL_l1603z00_1052 = BgL_l1603z00_2663; 
goto BgL_lname1604z00_1054;} } } } } 
BgL_arg2027z00_1042 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2032z00_1047, BNIL); } 
BgL_arg2021z00_1036 = 
MAKE_PAIR(BgL_arg2026z00_1041, BgL_arg2027z00_1042); } 
BgL_arg2019z00_1034 = 
MAKE_PAIR(BgL_arg2020z00_1035, BgL_arg2021z00_1036); } 
BgL_arg2016z00_1032 = 
BGl_listzd2ze3pathzd2stringze3zzjvm_ldz00(BgL_arg2019z00_1034, ";"); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg2016z00_1032, current_output_port); } 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2jvmzd2javaza2zd2zzengine_paramz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2163z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BGL_JAVA_OPT), current_output_port); 
{ /* Jvm/jld.scm 358 */
char * BgL_arg2045z00_1067;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/jld.scm 358 */
BgL_arg2045z00_1067 = ""; }  else 
{ /* Jvm/jld.scm 358 */
BgL_arg2045z00_1067 = BGL_JAVA_VOPT; } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2045z00_1067), current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2164z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2jvmzd2optionsza2zd2zzengine_paramz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2132z00zzjvm_ldz00, current_output_port); 
{ /* Jvm/jld.scm 361 */
obj_t BgL_arg2052z00_1074;
BgL_arg2052z00_1074 = 
BGl_generatezd2jvmzd2env_2119z00zzjvm_ldz00(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg2052z00_1074, current_output_port); } 
{ /* Jvm/jld.scm 362 */
obj_t BgL_arg2054z00_1076;
BgL_arg2054z00_1076 = 
BGl_stringzd2replacez12zc0zzjvm_ldz00(BgL_mainzd2classzd2_1765, ((unsigned char)'/'), ((unsigned char)'.')); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg2054z00_1076, current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2165z00zzjvm_ldz00, current_output_port); 
BgL_auxz00_2634 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return 
BCHAR(BgL_auxz00_2634);} } } } 
}



/* <anonymous:1953> */
obj_t BGl_zc3anonymousza31953ze3z83zzjvm_ldz00(obj_t BgL_envz00_1766)
{ AN_OBJECT;
{ /* Jvm/jld.scm 367 */
{ /* Jvm/jld.scm 367 */
obj_t BgL_pathz00_1767;obj_t BgL_mainzd2classzd2_1768;
{ /* Jvm/jld.scm 367 */
int BgL_auxz00_2690;
BgL_auxz00_2690 = 
(int)(((long)0)); 
BgL_pathz00_1767 = 
PROCEDURE_REF(BgL_envz00_1766, BgL_auxz00_2690); } 
{ /* Jvm/jld.scm 367 */
int BgL_auxz00_2693;
BgL_auxz00_2693 = 
(int)(((long)1)); 
BgL_mainzd2classzd2_1768 = 
PROCEDURE_REF(BgL_envz00_1766, BgL_auxz00_2693); } 
{ 

{ /* Jvm/jld.scm 367 */
unsigned char BgL_auxz00_2696;
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2160z00zzjvm_ldz00, current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2161z00zzjvm_ldz00, current_output_port); 
{ /* Jvm/jld.scm 372 */
obj_t BgL_arg1961z00_970;
{ /* Jvm/jld.scm 372 */
obj_t BgL_arg1963z00_972;
{ /* Jvm/jld.scm 372 */
obj_t BgL_arg1965z00_974;
{ /* Jvm/jld.scm 375 */
obj_t BgL_arg1966z00_975;
{ /* Jvm/jld.scm 375 */
obj_t BgL_arg1967z00_976;obj_t BgL_arg1968z00_977;
{ /* Jvm/jld.scm 375 */
obj_t BgL_arg1969z00_978;char * BgL_arg1970z00_979;
{ /* Jvm/jld.scm 375 */
obj_t BgL_arg1971z00_980;
BgL_arg1971z00_980 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(
BGl_jvmzd2classpathzd2zzjvm_ldz00()); 
BgL_arg1969z00_978 = 
BGl_stringzd2replacez12zc0zzjvm_ldz00(BgL_arg1971z00_980, ((unsigned char)'/'), ((unsigned char)'\\')); } 
if(
CBOOL(BGl_za2unsafezd2libraryza2zd2zzengine_paramz00))
{ /* Jvm/jld.scm 377 */
BgL_arg1970z00_979 = "\\bigloo_u.zip"; }  else 
{ /* Jvm/jld.scm 377 */
BgL_arg1970z00_979 = "\\bigloo.zip"; } 
{ /* Jvm/jld.scm 374 */
obj_t BgL_auxz00_2706;
BgL_auxz00_2706 = 
string_to_bstring(BgL_arg1970z00_979); 
BgL_arg1967z00_976 = 
string_append(BgL_arg1969z00_978, BgL_auxz00_2706); } } 
{ /* Jvm/jld.scm 380 */
obj_t BgL_arg1973z00_982;
{ /* Jvm/jld.scm 380 */
obj_t BgL_l1608z00_984;
BgL_l1608z00_984 = BGl_za2additionalzd2bigloozd2za7ipsza2za7zzengine_paramz00; 
if(
NULLP(BgL_l1608z00_984))
{ /* Jvm/jld.scm 380 */
BgL_arg1973z00_982 = BNIL; }  else 
{ /* Jvm/jld.scm 380 */
obj_t BgL_head1610z00_986;
BgL_head1610z00_986 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1608z00_987;obj_t BgL_tail1611z00_988;
BgL_l1608z00_987 = BgL_l1608z00_984; 
BgL_tail1611z00_988 = BgL_head1610z00_986; 
BgL_lname1609z00_989:
if(
NULLP(BgL_l1608z00_987))
{ /* Jvm/jld.scm 380 */
BgL_arg1973z00_982 = 
CDR(BgL_head1610z00_986); }  else 
{ /* Jvm/jld.scm 381 */
obj_t BgL_newtail1612z00_991;
{ /* Jvm/jld.scm 381 */
obj_t BgL_arg1978z00_993;
{ /* Jvm/jld.scm 381 */
obj_t BgL_arg1981z00_996;
BgL_arg1981z00_996 = 
BGl_userzd2libraryzd2zzjvm_ldz00(
CAR(BgL_l1608z00_987)); 
BgL_arg1978z00_993 = 
BGl_stringzd2replacez12zc0zzjvm_ldz00(BgL_arg1981z00_996, ((unsigned char)'/'), ((unsigned char)'\\')); } 
BgL_newtail1612z00_991 = 
MAKE_PAIR(BgL_arg1978z00_993, BNIL); } 
SET_CDR(BgL_tail1611z00_988, BgL_newtail1612z00_991); 
{ 
obj_t BgL_tail1611z00_2722;obj_t BgL_l1608z00_2720;
BgL_l1608z00_2720 = 
CDR(BgL_l1608z00_987); 
BgL_tail1611z00_2722 = BgL_newtail1612z00_991; 
BgL_tail1611z00_988 = BgL_tail1611z00_2722; 
BgL_l1608z00_987 = BgL_l1608z00_2720; 
goto BgL_lname1609z00_989;} } } } } 
BgL_arg1968z00_977 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1973z00_982, BNIL); } 
BgL_arg1966z00_975 = 
MAKE_PAIR(BgL_arg1967z00_976, BgL_arg1968z00_977); } 
BgL_arg1965z00_974 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_pathz00_1767, BgL_arg1966z00_975); } 
BgL_arg1963z00_972 = 
MAKE_PAIR(BGl_string2157z00zzjvm_ldz00, BgL_arg1965z00_974); } 
BgL_arg1961z00_970 = 
BGl_listzd2ze3pathzd2stringze3zzjvm_ldz00(BgL_arg1963z00_972, ";"); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1961z00_970, current_output_port); } 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2jvmzd2javaza2zd2zzengine_paramz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2163z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BGL_JAVA_OPT), current_output_port); 
{ /* Jvm/jld.scm 385 */
char * BgL_arg1988z00_1003;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/jld.scm 385 */
BgL_arg1988z00_1003 = ""; }  else 
{ /* Jvm/jld.scm 385 */
BgL_arg1988z00_1003 = BGL_JAVA_VOPT; } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg1988z00_1003), current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2132z00zzjvm_ldz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2jvmzd2optionsza2zd2zzengine_paramz00, current_output_port); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2164z00zzjvm_ldz00, current_output_port); 
{ /* Jvm/jld.scm 389 */
obj_t BgL_arg1995z00_1010;
BgL_arg1995z00_1010 = 
BGl_generatezd2jvmzd2env_2119z00zzjvm_ldz00(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1995z00_1010, current_output_port); } 
{ /* Jvm/jld.scm 390 */
obj_t BgL_arg1997z00_1012;
BgL_arg1997z00_1012 = 
BGl_stringzd2replacez12zc0zzjvm_ldz00(BgL_mainzd2classzd2_1768, ((unsigned char)'/'), ((unsigned char)'.')); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1997z00_1012, current_output_port); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string2165z00zzjvm_ldz00, current_output_port); 
BgL_auxz00_2696 = 
WRITE_CHAR(((unsigned char)'\n'), current_output_port); 
return 
BCHAR(BgL_auxz00_2696);} } } } 
}



/* generate-jvm-script */
bool_t BGl_generatezd2jvmzd2scriptz00zzjvm_ldz00(obj_t BgL_targetz00_23, obj_t BgL_mainzd2classzd2_24, obj_t BgL_pathz00_25, obj_t BgL_jarnamez00_26)
{ AN_OBJECT;
{ /* Jvm/jld.scm 400 */
{ /* Jvm/jld.scm 402 */
bool_t BgL_test2079z00_1108;
{ /* Jvm/jld.scm 402 */
obj_t BgL_string1z00_1499;
BgL_string1z00_1499 = BGl_za2jvmzd2shellza2zd2zzengine_paramz00; 
BgL_test2079z00_1108 = 
bigloo_strcmp(BgL_string1z00_1499, BGl_string2138z00zzjvm_ldz00); } 
if(BgL_test2079z00_1108)
{ /* Jvm/jld.scm 402 */
return 
BGl_generatezd2jvmzd2shzd2scriptzd2zzjvm_ldz00(BgL_targetz00_23, BgL_mainzd2classzd2_24, BgL_pathz00_25);}  else 
{ /* Jvm/jld.scm 404 */
bool_t BgL_test2080z00_1109;
{ /* Jvm/jld.scm 404 */
obj_t BgL_string1z00_1501;
BgL_string1z00_1501 = BGl_za2jvmzd2shellza2zd2zzengine_paramz00; 
BgL_test2080z00_1109 = 
bigloo_strcmp(BgL_string1z00_1501, BGl_string2139z00zzjvm_ldz00); } 
if(BgL_test2080z00_1109)
{ /* Jvm/jld.scm 404 */
return 
BGl_generatezd2jvmzd2msdoszd2scriptzd2zzjvm_ldz00(BgL_targetz00_23, BgL_mainzd2classzd2_24, BgL_pathz00_25, BgL_jarnamez00_26);}  else 
{ /* Jvm/jld.scm 404 */
{ /* Jvm/jld.scm 407 */
obj_t BgL_list2081z00_1110;
{ /* Jvm/jld.scm 407 */
obj_t BgL_arg2083z00_1112;
{ /* Jvm/jld.scm 407 */
obj_t BgL_arg2085z00_1114;
{ /* Jvm/jld.scm 407 */
obj_t BgL_arg2086z00_1115;
BgL_arg2086z00_1115 = 
MAKE_PAIR(BGl_string2140z00zzjvm_ldz00, BNIL); 
BgL_arg2085z00_1114 = 
MAKE_PAIR(BGl_za2jvmzd2shellza2zd2zzengine_paramz00, BgL_arg2086z00_1115); } 
BgL_arg2083z00_1112 = 
MAKE_PAIR(BGl_string2141z00zzjvm_ldz00, BgL_arg2085z00_1114); } 
BgL_list2081z00_1110 = 
MAKE_PAIR(BGl_string2166z00zzjvm_ldz00, BgL_arg2083z00_1112); } 
BGl_warningz00zz__errorz00(BgL_list2081z00_1110); } 
return 
BGl_generatezd2jvmzd2shzd2scriptzd2zzjvm_ldz00(BgL_targetz00_23, BgL_mainzd2classzd2_24, BgL_pathz00_25);} } } } 
}



/* user-library */
obj_t BGl_userzd2libraryzd2zzjvm_ldz00(obj_t BgL_libz00_27)
{ AN_OBJECT;
{ /* Jvm/jld.scm 414 */
{ 
obj_t BgL_libz00_1119;
{ /* Jvm/jld.scm 425 */
bool_t BgL_testz00_2761;
BgL_libz00_1119 = BgL_libz00_27; 
{ /* Jvm/jld.scm 416 */
int BgL_lenz00_1121;
BgL_lenz00_1121 = 
STRING_LENGTH(BgL_libz00_1119); 
{ 
long BgL_iz00_1122;
BgL_iz00_1122 = ((long)0); 
BgL_loopz00_1123:
{ /* Jvm/jld.scm 419 */
bool_t BgL_testz00_2763;
{ /* Jvm/jld.scm 419 */
long BgL_auxz00_2764;
BgL_auxz00_2764 = 
(long)(BgL_lenz00_1121); 
BgL_testz00_2763 = 
(BgL_iz00_1122==BgL_auxz00_2764); } 
if(BgL_testz00_2763)
{ /* Jvm/jld.scm 419 */
BgL_testz00_2761 = ((bool_t)0); }  else 
{ /* Jvm/jld.scm 421 */
bool_t BgL_testz00_2767;
{ /* Jvm/jld.scm 421 */
unsigned char BgL_auxz00_2768;
{ /* Jvm/jld.scm 421 */
int BgL_auxz00_2769;
BgL_auxz00_2769 = 
(int)(BgL_iz00_1122); 
BgL_auxz00_2768 = 
STRING_REF(BgL_libz00_1119, BgL_auxz00_2769); } 
BgL_testz00_2767 = 
(BgL_auxz00_2768==((unsigned char)'/')); } 
if(BgL_testz00_2767)
{ /* Jvm/jld.scm 421 */
BgL_testz00_2761 = ((bool_t)1); }  else 
{ /* Jvm/jld.scm 421 */
{ 
long BgL_iz00_2773;
BgL_iz00_2773 = 
(BgL_iz00_1122+((long)1)); 
BgL_iz00_1122 = BgL_iz00_2773; 
goto BgL_loopz00_1123;} } } } } } 
if(BgL_testz00_2761)
{ /* Jvm/jld.scm 425 */
return BgL_libz00_27;}  else 
{ /* Jvm/jld.scm 425 */
return 
BGl_makezd2filezd2namez00zz__osz00(
BGl_jvmzd2classpathzd2zzjvm_ldz00(), BgL_libz00_27);} } } } 
}



/* list->path-string */
obj_t BGl_listzd2ze3pathzd2stringze3zzjvm_ldz00(obj_t BgL_pathz00_28, char * BgL_separatorz00_29)
{ AN_OBJECT;
{ /* Jvm/jld.scm 432 */
{ /* Jvm/jld.scm 433 */
obj_t BgL_rpathz00_1129;
BgL_rpathz00_1129 = 
bgl_reverse(BgL_pathz00_28); 
{ 
obj_t BgL_pathz00_1130;obj_t BgL_resz00_1131;
BgL_pathz00_1130 = 
CDR(BgL_rpathz00_1129); 
BgL_resz00_1131 = 
CAR(BgL_rpathz00_1129); 
BgL_loopz00_1132:
if(
NULLP(BgL_pathz00_1130))
{ /* Jvm/jld.scm 436 */
return BgL_resz00_1131;}  else 
{ /* Jvm/jld.scm 438 */
obj_t BgL_arg2097z00_1136;obj_t BgL_arg2098z00_1137;
BgL_arg2097z00_1136 = 
CDR(BgL_pathz00_1130); 
{ /* Jvm/jld.scm 438 */
obj_t BgL_auxz00_2783;obj_t BgL_auxz00_2781;
BgL_auxz00_2783 = 
string_to_bstring(BgL_separatorz00_29); 
BgL_auxz00_2781 = 
CAR(BgL_pathz00_1130); 
BgL_arg2098z00_1137 = 
string_append_3(BgL_auxz00_2781, BgL_auxz00_2783, BgL_resz00_1131); } 
{ 
obj_t BgL_resz00_2787;obj_t BgL_pathz00_2786;
BgL_pathz00_2786 = BgL_arg2097z00_1136; 
BgL_resz00_2787 = BgL_arg2098z00_1137; 
BgL_resz00_1131 = BgL_resz00_2787; 
BgL_pathz00_1130 = BgL_pathz00_2786; 
goto BgL_loopz00_1132;} } } } } 
}



/* string-replace! */
obj_t BGl_stringzd2replacez12zc0zzjvm_ldz00(obj_t BgL_strz00_32, unsigned char BgL_fromz00_33, unsigned char BgL_toz00_34)
{ AN_OBJECT;
{ /* Jvm/jld.scm 455 */
{ /* Jvm/jld.scm 456 */
int BgL_lenz00_1139;
BgL_lenz00_1139 = 
STRING_LENGTH(BgL_strz00_32); 
{ 
long BgL_iz00_1140;
BgL_iz00_1140 = ((long)0); 
BgL_loopz00_1141:
{ /* Jvm/jld.scm 459 */
bool_t BgL_testz00_2791;
{ /* Jvm/jld.scm 459 */
long BgL_auxz00_2792;
BgL_auxz00_2792 = 
(long)(BgL_lenz00_1139); 
BgL_testz00_2791 = 
(BgL_iz00_1140==BgL_auxz00_2792); } 
if(BgL_testz00_2791)
{ /* Jvm/jld.scm 459 */
return BgL_strz00_32;}  else 
{ /* Jvm/jld.scm 461 */
bool_t BgL_testz00_2795;
{ /* Jvm/jld.scm 461 */
unsigned char BgL_auxz00_2796;
{ /* Jvm/jld.scm 461 */
int BgL_auxz00_2797;
BgL_auxz00_2797 = 
(int)(BgL_iz00_1140); 
BgL_auxz00_2796 = 
STRING_REF(BgL_strz00_32, BgL_auxz00_2797); } 
BgL_testz00_2795 = 
(BgL_auxz00_2796==BgL_fromz00_33); } 
if(BgL_testz00_2795)
{ /* Jvm/jld.scm 461 */
{ /* Jvm/jld.scm 462 */
int BgL_auxz00_2801;
BgL_auxz00_2801 = 
(int)(BgL_iz00_1140); 
STRING_SET(BgL_strz00_32, BgL_auxz00_2801, BgL_toz00_34); } 
{ 
long BgL_iz00_2804;
BgL_iz00_2804 = 
(BgL_iz00_1140+((long)1)); 
BgL_iz00_1140 = BgL_iz00_2804; 
goto BgL_loopz00_1141;} }  else 
{ /* Jvm/jld.scm 461 */
{ 
long BgL_iz00_2806;
BgL_iz00_2806 = 
(BgL_iz00_1140+((long)1)); 
BgL_iz00_1140 = BgL_iz00_2806; 
goto BgL_loopz00_1141;} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_ldz00()
{ AN_OBJECT;
{ /* Jvm/jld.scm 16 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_ldz00()
{ AN_OBJECT;
{ /* Jvm/jld.scm 16 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zzengine_configurez00(((long)13091), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zzengine_linkz00(((long)35235), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zzread_readerz00(((long)36963), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "jvm_ld"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_ld"); 
return 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_ld");} 
}

