/*===========================================================================*/
/*   (Jvm/lisp.scm)                                                          */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_compilezd2lispzd2app2784z00zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_lispz00();
static obj_t BGl_compilezd2lispzd2appzd2ly2786zd2zzjvm_lispz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2lispzd2boxzd2ref2816zd2zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_compilezd2lispzd2conditional2778z00zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_compilezd2lispzd2zzjvm_lispz00(BgL_nodez00_bglt);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__compilezd2lisp3292zd2zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_compilezd2lispzd2makezd2box2814zd2zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
static obj_t BGl_compilezd2lispzd2cast2806z00zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_lispz00();
static obj_t BGl_compilezd2lispzd2jumpzd2exzd2it2810z00zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2sfunzd2zzjvm_lispz00(obj_t);
static obj_t BGl_compilezd2lispzd2new2794z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_lispz00();
static obj_t BGl_compilezd2lispzd2vsetz122800z12zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_lispz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_compilezd2lispzd2select2780z00zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_lispz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_compilezd2lispzd2var2770z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_compilezd2lispzd2vref2798z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_compilezd2lispzd2setq2774z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_compilezd2lispzd2default2765z00zzjvm_lispz00(BgL_nodez00_bglt);
static obj_t BGl_compilezd2lispzd2letzd2fun2782zd2zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_compilezd2lispzd2funcall2788z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_compilezd2lispzd2letzd2var2772zd2zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_newz00zzast_nodez00;
static obj_t BGl_compilezd2lispzd2setzd2exzd2it2808z00zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_compilezd2lispzd2atom2768z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_compilezd2lispzd2boxzd2setz122818zc0zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2lispzd2isa2804z00zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
static obj_t BGl_compilezd2lispzd2getfield2790z00zzjvm_lispz00(obj_t, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2lispzd2valloc2796z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_compilezd2lispzd2vlength2802z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_compilezd2lispzd2sequence2776z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_lispz00 = BUNSPEC;
static obj_t BGl_compilezd2lispzd2setfield2792z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl__compilezd2lispzd2default2765z00zzjvm_lispz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_lispz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_compilezd2lispzd2fail2812z00zzjvm_lispz00(obj_t, obj_t);
static obj_t __cnst[ 24 ] ;

DEFINE_STRING( BGl_string3320z00zzjvm_lispz00, BgL_bgl_string3320za700za7za7jvm_lispza7003325z00, "compile-lisp-default2765 let setq progn if selectq flet apply funcall getfield setfield new makevector vref vset vlength is? cast setexit throw fail make-box box-ref box-set ", 174 );
DEFINE_STRING( BGl_string3319z00zzjvm_lispz00, BgL_bgl_string3319za700za7za7jvm_lispza7003326z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_proc3300z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2letza7d2fun2782za7d2za7za7jvm_lispza7003327za7, BGl_compilezd2lispzd2letzd2fun2782zd2zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3301z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2app2784za700za7za7jvm_lispza7003328z00, BGl_compilezd2lispzd2app2784z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3302z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2appza7d2ly2786za7d2za7za7jvm_lispza7003329za7, BGl_compilezd2lispzd2appzd2ly2786zd2zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3303z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2funcall2788za700za7za7jvm_lispza7003330z00, BGl_compilezd2lispzd2funcall2788z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3293z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2atom2768za700za7za7jvm_lispza7003331z00, BGl_compilezd2lispzd2atom2768z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3304z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2getfield2790za700za7za7jvm_lispza7003332z00, BGl_compilezd2lispzd2getfield2790z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3294z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2var2770za700za7za7jvm_lispza7003333z00, BGl_compilezd2lispzd2var2770z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3305z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2setfield2792za700za7za7jvm_lispza7003334z00, BGl_compilezd2lispzd2setfield2792z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3295z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2letza7d2var2772za7d2za7za7jvm_lispza7003335za7, BGl_compilezd2lispzd2letzd2var2772zd2zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3306z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2new2794za700za7za7jvm_lispza7003336z00, BGl_compilezd2lispzd2new2794z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3296z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2setq2774za700za7za7jvm_lispza7003337z00, BGl_compilezd2lispzd2setq2774z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3307z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2valloc2796za700za7za7jvm_lispza7003338z00, BGl_compilezd2lispzd2valloc2796z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3297z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2sequence2776za700za7za7jvm_lispza7003339z00, BGl_compilezd2lispzd2sequence2776z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3308z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2vref2798za700za7za7jvm_lispza7003340z00, BGl_compilezd2lispzd2vref2798z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3298z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2conditional2778za700za7za7jvm_lispza7003341z00, BGl_compilezd2lispzd2conditional2778z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3310z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2vlength2802za700za7za7jvm_lispza7003342z00, BGl_compilezd2lispzd2vlength2802z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3309z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2vsetza7122800za712za7za7jvm_lispza7003343za7, BGl_compilezd2lispzd2vsetz122800z12zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3299z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2select2780za700za7za7jvm_lispza7003344z00, BGl_compilezd2lispzd2select2780z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3311z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2isa2804za700za7za7jvm_lispza7003345z00, BGl_compilezd2lispzd2isa2804z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3312z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2cast2806za700za7za7jvm_lispza7003346z00, BGl_compilezd2lispzd2cast2806z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3313z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2setza7d2exza7d2it2808za700za7za7jvm_lispza7003347z00, BGl_compilezd2lispzd2setzd2exzd2it2808z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3314z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2jumpza7d2exza7d2it2810za700za7za7jvm_lispza7003348z00, BGl_compilezd2lispzd2jumpzd2exzd2it2810z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3315z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2fail2812za700za7za7jvm_lispza7003349z00, BGl_compilezd2lispzd2fail2812z00zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3316z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2makeza7d2box2814za7d2za7za7jvm_lispza7003350za7, BGl_compilezd2lispzd2makezd2box2814zd2zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3317z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2boxza7d2ref2816za7d2za7za7jvm_lispza7003351za7, BGl_compilezd2lispzd2boxzd2ref2816zd2zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3318z00zzjvm_lispz00, BgL_bgl_compileza7d2lispza7d2boxza7d2setza7122818za7c0za7za7jvm_lispza7003352z00, BGl_compilezd2lispzd2boxzd2setz122818zc0zzjvm_lispz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2lispzd2default2765zd2envzd2zzjvm_lispz00, BgL_bgl__compileza7d2lispza7d2default2765za700za7za7jvm_lispza7003353z00, BGl__compilezd2lispzd2default2765z00zzjvm_lispz00, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_bgl__compileza7d2lisp3292za7d2za7za7jvm_lispza7003354za7, BGl__compilezd2lisp3292zd2zzjvm_lispz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_lispz00(long BgL_checksumz00_4252, char * BgL_fromz00_4253)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_lispz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_lispz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_lispz00(); 
BGl_cnstzd2initzd2zzjvm_lispz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_lispz00(); 
BGl_methodzd2initzd2zzjvm_lispz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_lispz00()
{ AN_OBJECT;
{ /* Jvm/lisp.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_lisp"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_lisp"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_lisp"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_lispz00()
{ AN_OBJECT;
{ /* Jvm/lisp.scm 1 */
{ /* Jvm/lisp.scm 1 */
obj_t BgL_cportz00_4245;
BgL_cportz00_4245 = 
open_input_string(BGl_string3320z00zzjvm_lispz00); 
{ 
long BgL_iz00_4246;
BgL_iz00_4246 = ((long)23); 
BgL_loopz00_4247:
if(
(BgL_iz00_4246==((long)-1)))
{ /* Jvm/lisp.scm 1 */
return BUNSPEC;}  else 
{ /* Jvm/lisp.scm 1 */
{ /* Jvm/lisp.scm 1 */
obj_t BgL_arg3322z00_4249;
{ /* Jvm/lisp.scm 1 */
obj_t BgL_list3323z00_4250;
BgL_list3323z00_4250 = 
MAKE_PAIR(BgL_cportz00_4245, BNIL); 
BgL_arg3322z00_4249 = 
BGl_readz00zz__readerz00(BgL_list3323z00_4250); } 
{ /* Jvm/lisp.scm 1 */
int BgL_auxz00_4269;
BgL_auxz00_4269 = 
(int)(BgL_iz00_4246); 
CNST_TABLE_SET(BgL_auxz00_4269, BgL_arg3322z00_4249); } } 
{ 
long BgL_iz00_4272;
{ /* Jvm/lisp.scm 1 */
int BgL_auxz00_4273;
{ /* Jvm/lisp.scm 1 */
long BgL_auxz00_4274;
BgL_auxz00_4274 = 
(BgL_iz00_4246-((long)1)); 
BgL_auxz00_4273 = 
(int)(BgL_auxz00_4274); } 
BgL_iz00_4272 = 
(long)(BgL_auxz00_4273); } 
BgL_iz00_4246 = BgL_iz00_4272; 
goto BgL_loopz00_4247;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_lispz00()
{ AN_OBJECT;
{ /* Jvm/lisp.scm 1 */
return BUNSPEC;} 
}



/* compile-sfun */
obj_t BGl_compilezd2sfunzd2zzjvm_lispz00(obj_t BgL_vz00_11)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 46 */
{ /* Jvm/lisp.scm 48 */
BgL_valuez00_bglt BgL_instance2688z00_1250;
{ /* Jvm/lisp.scm 49 */
BgL_localz00_bglt BgL_obj1255z00_2178;
BgL_obj1255z00_2178 = 
(BgL_localz00_bglt)(BgL_vz00_11); 
BgL_instance2688z00_1250 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2178))->BgL_valuez00); } 
{ /* Jvm/lisp.scm 49 */
obj_t BgL_arg2819z00_1251;obj_t BgL_arg2820z00_1252;
{ /* Jvm/lisp.scm 49 */
obj_t BgL_l2690z00_1253;
{ /* Jvm/lisp.scm 49 */
BgL_sfunz00_bglt BgL_obj1369z00_2179;
BgL_obj1369z00_2179 = 
(BgL_sfunz00_bglt)(BgL_instance2688z00_1250); 
BgL_l2690z00_1253 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1369z00_2179))->BgL_argsz00); } 
if(
NULLP(BgL_l2690z00_1253))
{ /* Jvm/lisp.scm 49 */
BgL_arg2819z00_1251 = BNIL; }  else 
{ /* Jvm/lisp.scm 49 */
obj_t BgL_head2692z00_1255;
{ /* Jvm/lisp.scm 49 */
obj_t BgL_auxz00_4284;
{ /* Jvm/lisp.scm 49 */
BgL_localz00_bglt BgL_obj1249z00_2182;
{ /* Jvm/lisp.scm 49 */
obj_t BgL_auxz00_4285;
BgL_auxz00_4285 = 
CAR(BgL_l2690z00_1253); 
BgL_obj1249z00_2182 = 
(BgL_localz00_bglt)(BgL_auxz00_4285); } 
BgL_auxz00_4284 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2182))->BgL_namez00); } 
BgL_head2692z00_1255 = 
MAKE_PAIR(BgL_auxz00_4284, BNIL); } 
{ 
obj_t BgL_l2690z00_1256;obj_t BgL_tail2693z00_1257;
BgL_l2690z00_1256 = 
CDR(BgL_l2690z00_1253); 
BgL_tail2693z00_1257 = BgL_head2692z00_1255; 
BgL_lname2691z00_1258:
if(
NULLP(BgL_l2690z00_1256))
{ /* Jvm/lisp.scm 49 */
BgL_arg2819z00_1251 = BgL_head2692z00_1255; }  else 
{ /* Jvm/lisp.scm 49 */
obj_t BgL_newtail2694z00_1261;
{ /* Jvm/lisp.scm 49 */
obj_t BgL_auxz00_4292;
{ /* Jvm/lisp.scm 49 */
BgL_localz00_bglt BgL_obj1249z00_2188;
{ /* Jvm/lisp.scm 49 */
obj_t BgL_auxz00_4293;
BgL_auxz00_4293 = 
CAR(BgL_l2690z00_1256); 
BgL_obj1249z00_2188 = 
(BgL_localz00_bglt)(BgL_auxz00_4293); } 
BgL_auxz00_4292 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2188))->BgL_namez00); } 
BgL_newtail2694z00_1261 = 
MAKE_PAIR(BgL_auxz00_4292, BNIL); } 
SET_CDR(BgL_tail2693z00_1257, BgL_newtail2694z00_1261); 
{ 
obj_t BgL_tail2693z00_4301;obj_t BgL_l2690z00_4299;
BgL_l2690z00_4299 = 
CDR(BgL_l2690z00_1256); 
BgL_tail2693z00_4301 = BgL_newtail2694z00_1261; 
BgL_tail2693z00_1257 = BgL_tail2693z00_4301; 
BgL_l2690z00_1256 = BgL_l2690z00_4299; 
goto BgL_lname2691z00_1258;} } } } } 
{ /* Jvm/lisp.scm 50 */
obj_t BgL_arg2831z00_1269;
{ /* Jvm/lisp.scm 50 */
BgL_nodez00_bglt BgL_ez00_2195;
{ /* Jvm/lisp.scm 50 */
obj_t BgL_auxz00_4303;
{ /* Jvm/lisp.scm 50 */
BgL_sfunz00_bglt BgL_obj1372z00_2194;
BgL_obj1372z00_2194 = 
(BgL_sfunz00_bglt)(BgL_instance2688z00_1250); 
BgL_auxz00_4303 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2194))->BgL_bodyz00); } 
BgL_ez00_2195 = 
(BgL_nodez00_bglt)(BgL_auxz00_4303); } 
{ /* Jvm/lisp.scm 50 */
obj_t BgL_method2766z00_2196;
{ /* Jvm/lisp.scm 50 */
long BgL_objzd2classzd2numz00_2198;
{ /* Jvm/lisp.scm 50 */
BgL_objectz00_bglt BgL_auxz00_4307;
BgL_auxz00_4307 = 
(BgL_objectz00_bglt)(BgL_ez00_2195); 
BgL_objzd2classzd2numz00_2198 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4307); } 
{ /* Jvm/lisp.scm 50 */
obj_t BgL_arg1221z00_2199;
{ /* Jvm/lisp.scm 50 */
int BgL_auxz00_4310;
BgL_auxz00_4310 = 
(int)(((long)1)); 
BgL_arg1221z00_2199 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4310); } 
{ /* Jvm/lisp.scm 50 */
long BgL_offsetz00_2203;
{ /* Jvm/lisp.scm 50 */
long BgL_auxz00_4313;
{ /* Jvm/lisp.scm 50 */
int BgL_auxz00_4314;
BgL_auxz00_4314 = 
(int)(BgL_objzd2classzd2numz00_2198); 
BgL_auxz00_4313 = 
(long)(BgL_auxz00_4314); } 
BgL_offsetz00_2203 = 
(BgL_auxz00_4313-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 50 */
long BgL_modz00_2204;
{ /* Jvm/lisp.scm 50 */
long BgL_auxz00_4318;
{ /* Jvm/lisp.scm 50 */
int BgL_auxz00_4319;
BgL_auxz00_4319 = 
(int)(((long)8)); 
BgL_auxz00_4318 = 
(long)(BgL_auxz00_4319); } 
BgL_modz00_2204 = 
(BgL_offsetz00_2203/BgL_auxz00_4318); } 
{ /* Jvm/lisp.scm 50 */
long BgL_restz00_2206;
{ /* Jvm/lisp.scm 50 */
long BgL_auxz00_4323;
{ /* Jvm/lisp.scm 50 */
int BgL_auxz00_4324;
BgL_auxz00_4324 = 
(int)(((long)8)); 
BgL_auxz00_4323 = 
(long)(BgL_auxz00_4324); } 
BgL_restz00_2206 = 
(BgL_offsetz00_2203%BgL_auxz00_4323); } 
{ /* Jvm/lisp.scm 50 */

{ /* Jvm/lisp.scm 50 */
obj_t BgL_bucketz00_2208;
{ /* Jvm/lisp.scm 50 */
int BgL_kz00_2218;
BgL_kz00_2218 = 
(int)(BgL_modz00_2204); 
BgL_bucketz00_2208 = 
VECTOR_REF(BgL_arg1221z00_2199,BgL_kz00_2218); } 
{ /* Jvm/lisp.scm 50 */
int BgL_kz00_2220;
BgL_kz00_2220 = 
(int)(BgL_restz00_2206); 
BgL_method2766z00_2196 = 
VECTOR_REF(BgL_bucketz00_2208,BgL_kz00_2220); } } } } } } } } 
BgL_arg2831z00_1269 = 
PROCEDURE_ENTRY(BgL_method2766z00_2196)(BgL_method2766z00_2196, 
(obj_t)(BgL_ez00_2195), BEOA); } } 
BgL_arg2820z00_1252 = 
MAKE_PAIR(BgL_arg2831z00_1269, BNIL); } 
return 
MAKE_PAIR(BgL_arg2819z00_1251, BgL_arg2820z00_1252);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_lispz00()
{ AN_OBJECT;
{ /* Jvm/lisp.scm 1 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_compilezd2lispzd2default2765zd2envzd2zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_atomz00zzast_nodez00, BGl_proc3293z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_varz00zzast_nodez00, BGl_proc3294z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3295z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_setqz00zzast_nodez00, BGl_proc3296z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_sequencez00zzast_nodez00, BGl_proc3297z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_conditionalz00zzast_nodez00, BGl_proc3298z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_selectz00zzast_nodez00, BGl_proc3299z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3300z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_appz00zzast_nodez00, BGl_proc3301z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3302z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_funcallz00zzast_nodez00, BGl_proc3303z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_getfieldz00zzast_nodez00, BGl_proc3304z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_setfieldz00zzast_nodez00, BGl_proc3305z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_newz00zzast_nodez00, BGl_proc3306z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_vallocz00zzast_nodez00, BGl_proc3307z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_vrefz00zzast_nodez00, BGl_proc3308z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_vsetz12z12zzast_nodez00, BGl_proc3309z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_vlengthz00zzast_nodez00, BGl_proc3310z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_isaz00zzast_nodez00, BGl_proc3311z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_castz00zzast_nodez00, BGl_proc3312z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3313z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3314z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_failz00zzast_nodez00, BGl_proc3315z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3316z00zzjvm_lispz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3317z00zzjvm_lispz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3318z00zzjvm_lispz00);} 
}



/* compile-lisp-box-set!2818 */
obj_t BGl_compilezd2lispzd2boxzd2setz122818zc0zzjvm_lispz00(obj_t BgL_envz00_4191, obj_t BgL_ez00_4192)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 112 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_2163;
BgL_ez00_2163 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_4192); 
{ /* Jvm/lisp.scm 114 */
obj_t BgL_arg3183z00_2167;obj_t BgL_arg3184z00_2168;
BgL_arg3183z00_2167 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/lisp.scm 114 */
obj_t BgL_arg3185z00_2169;obj_t BgL_arg3186z00_2170;
{ /* Jvm/lisp.scm 114 */
BgL_nodez00_bglt BgL_ez00_4082;
{ /* Jvm/lisp.scm 114 */
BgL_varz00_bglt BgL_auxz00_4365;
BgL_auxz00_4365 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_2163))->BgL_varz00); 
BgL_ez00_4082 = 
(BgL_nodez00_bglt)(BgL_auxz00_4365); } 
{ /* Jvm/lisp.scm 114 */
obj_t BgL_method2766z00_4083;
{ /* Jvm/lisp.scm 114 */
long BgL_objzd2classzd2numz00_4085;
{ /* Jvm/lisp.scm 114 */
BgL_objectz00_bglt BgL_auxz00_4368;
BgL_auxz00_4368 = 
(BgL_objectz00_bglt)(BgL_ez00_4082); 
BgL_objzd2classzd2numz00_4085 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4368); } 
{ /* Jvm/lisp.scm 114 */
obj_t BgL_arg1221z00_4086;
{ /* Jvm/lisp.scm 114 */
int BgL_auxz00_4371;
BgL_auxz00_4371 = 
(int)(((long)1)); 
BgL_arg1221z00_4086 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4371); } 
{ /* Jvm/lisp.scm 114 */
long BgL_offsetz00_4090;
{ /* Jvm/lisp.scm 114 */
long BgL_auxz00_4374;
{ /* Jvm/lisp.scm 114 */
int BgL_auxz00_4375;
BgL_auxz00_4375 = 
(int)(BgL_objzd2classzd2numz00_4085); 
BgL_auxz00_4374 = 
(long)(BgL_auxz00_4375); } 
BgL_offsetz00_4090 = 
(BgL_auxz00_4374-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 114 */
long BgL_modz00_4091;
{ /* Jvm/lisp.scm 114 */
long BgL_auxz00_4379;
{ /* Jvm/lisp.scm 114 */
int BgL_auxz00_4380;
BgL_auxz00_4380 = 
(int)(((long)8)); 
BgL_auxz00_4379 = 
(long)(BgL_auxz00_4380); } 
BgL_modz00_4091 = 
(BgL_offsetz00_4090/BgL_auxz00_4379); } 
{ /* Jvm/lisp.scm 114 */
long BgL_restz00_4093;
{ /* Jvm/lisp.scm 114 */
long BgL_auxz00_4384;
{ /* Jvm/lisp.scm 114 */
int BgL_auxz00_4385;
BgL_auxz00_4385 = 
(int)(((long)8)); 
BgL_auxz00_4384 = 
(long)(BgL_auxz00_4385); } 
BgL_restz00_4093 = 
(BgL_offsetz00_4090%BgL_auxz00_4384); } 
{ /* Jvm/lisp.scm 114 */

{ /* Jvm/lisp.scm 114 */
obj_t BgL_bucketz00_4095;
{ /* Jvm/lisp.scm 114 */
int BgL_kz00_4105;
BgL_kz00_4105 = 
(int)(BgL_modz00_4091); 
BgL_bucketz00_4095 = 
VECTOR_REF(BgL_arg1221z00_4086,BgL_kz00_4105); } 
{ /* Jvm/lisp.scm 114 */
int BgL_kz00_4107;
BgL_kz00_4107 = 
(int)(BgL_restz00_4093); 
BgL_method2766z00_4083 = 
VECTOR_REF(BgL_bucketz00_4095,BgL_kz00_4107); } } } } } } } } 
BgL_arg3185z00_2169 = 
PROCEDURE_ENTRY(BgL_method2766z00_4083)(BgL_method2766z00_4083, 
(obj_t)(BgL_ez00_4082), BEOA); } } 
{ /* Jvm/lisp.scm 114 */
obj_t BgL_arg3188z00_2172;
{ /* Jvm/lisp.scm 114 */
BgL_nodez00_bglt BgL_arg3190z00_2174;
BgL_arg3190z00_2174 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_2163))->BgL_valuez00); 
{ /* Jvm/lisp.scm 114 */
obj_t BgL_method2766z00_4110;
{ /* Jvm/lisp.scm 114 */
long BgL_objzd2classzd2numz00_4112;
{ /* Jvm/lisp.scm 114 */
BgL_objectz00_bglt BgL_auxz00_4397;
BgL_auxz00_4397 = 
(BgL_objectz00_bglt)(BgL_arg3190z00_2174); 
BgL_objzd2classzd2numz00_4112 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4397); } 
{ /* Jvm/lisp.scm 114 */
obj_t BgL_arg1221z00_4113;
{ /* Jvm/lisp.scm 114 */
int BgL_auxz00_4400;
BgL_auxz00_4400 = 
(int)(((long)1)); 
BgL_arg1221z00_4113 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4400); } 
{ /* Jvm/lisp.scm 114 */
long BgL_offsetz00_4117;
{ /* Jvm/lisp.scm 114 */
long BgL_auxz00_4403;
{ /* Jvm/lisp.scm 114 */
int BgL_auxz00_4404;
BgL_auxz00_4404 = 
(int)(BgL_objzd2classzd2numz00_4112); 
BgL_auxz00_4403 = 
(long)(BgL_auxz00_4404); } 
BgL_offsetz00_4117 = 
(BgL_auxz00_4403-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 114 */
long BgL_modz00_4118;
{ /* Jvm/lisp.scm 114 */
long BgL_auxz00_4408;
{ /* Jvm/lisp.scm 114 */
int BgL_auxz00_4409;
BgL_auxz00_4409 = 
(int)(((long)8)); 
BgL_auxz00_4408 = 
(long)(BgL_auxz00_4409); } 
BgL_modz00_4118 = 
(BgL_offsetz00_4117/BgL_auxz00_4408); } 
{ /* Jvm/lisp.scm 114 */
long BgL_restz00_4120;
{ /* Jvm/lisp.scm 114 */
long BgL_auxz00_4413;
{ /* Jvm/lisp.scm 114 */
int BgL_auxz00_4414;
BgL_auxz00_4414 = 
(int)(((long)8)); 
BgL_auxz00_4413 = 
(long)(BgL_auxz00_4414); } 
BgL_restz00_4120 = 
(BgL_offsetz00_4117%BgL_auxz00_4413); } 
{ /* Jvm/lisp.scm 114 */

{ /* Jvm/lisp.scm 114 */
obj_t BgL_bucketz00_4122;
{ /* Jvm/lisp.scm 114 */
int BgL_kz00_4132;
BgL_kz00_4132 = 
(int)(BgL_modz00_4118); 
BgL_bucketz00_4122 = 
VECTOR_REF(BgL_arg1221z00_4113,BgL_kz00_4132); } 
{ /* Jvm/lisp.scm 114 */
int BgL_kz00_4134;
BgL_kz00_4134 = 
(int)(BgL_restz00_4120); 
BgL_method2766z00_4110 = 
VECTOR_REF(BgL_bucketz00_4122,BgL_kz00_4134); } } } } } } } } 
BgL_arg3188z00_2172 = 
PROCEDURE_ENTRY(BgL_method2766z00_4110)(BgL_method2766z00_4110, 
(obj_t)(BgL_arg3190z00_2174), BEOA); } } 
BgL_arg3186z00_2170 = 
MAKE_PAIR(BgL_arg3188z00_2172, BNIL); } 
BgL_arg3184z00_2168 = 
MAKE_PAIR(BgL_arg3185z00_2169, BgL_arg3186z00_2170); } 
return 
MAKE_PAIR(BgL_arg3183z00_2167, BgL_arg3184z00_2168);} } } 
}



/* compile-lisp-box-ref2816 */
obj_t BGl_compilezd2lispzd2boxzd2ref2816zd2zzjvm_lispz00(obj_t BgL_envz00_4193, obj_t BgL_ez00_4194)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 108 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_2152;
BgL_ez00_2152 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_4194); 
{ /* Jvm/lisp.scm 110 */
obj_t BgL_arg3177z00_2156;obj_t BgL_arg3178z00_2157;
BgL_arg3177z00_2156 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/lisp.scm 110 */
obj_t BgL_arg3179z00_2158;
{ /* Jvm/lisp.scm 110 */
BgL_nodez00_bglt BgL_ez00_4055;
{ /* Jvm/lisp.scm 110 */
BgL_varz00_bglt BgL_auxz00_4430;
BgL_auxz00_4430 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_ez00_2152))->BgL_varz00); 
BgL_ez00_4055 = 
(BgL_nodez00_bglt)(BgL_auxz00_4430); } 
{ /* Jvm/lisp.scm 110 */
obj_t BgL_method2766z00_4056;
{ /* Jvm/lisp.scm 110 */
long BgL_objzd2classzd2numz00_4058;
{ /* Jvm/lisp.scm 110 */
BgL_objectz00_bglt BgL_auxz00_4433;
BgL_auxz00_4433 = 
(BgL_objectz00_bglt)(BgL_ez00_4055); 
BgL_objzd2classzd2numz00_4058 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4433); } 
{ /* Jvm/lisp.scm 110 */
obj_t BgL_arg1221z00_4059;
{ /* Jvm/lisp.scm 110 */
int BgL_auxz00_4436;
BgL_auxz00_4436 = 
(int)(((long)1)); 
BgL_arg1221z00_4059 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4436); } 
{ /* Jvm/lisp.scm 110 */
long BgL_offsetz00_4063;
{ /* Jvm/lisp.scm 110 */
long BgL_auxz00_4439;
{ /* Jvm/lisp.scm 110 */
int BgL_auxz00_4440;
BgL_auxz00_4440 = 
(int)(BgL_objzd2classzd2numz00_4058); 
BgL_auxz00_4439 = 
(long)(BgL_auxz00_4440); } 
BgL_offsetz00_4063 = 
(BgL_auxz00_4439-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 110 */
long BgL_modz00_4064;
{ /* Jvm/lisp.scm 110 */
long BgL_auxz00_4444;
{ /* Jvm/lisp.scm 110 */
int BgL_auxz00_4445;
BgL_auxz00_4445 = 
(int)(((long)8)); 
BgL_auxz00_4444 = 
(long)(BgL_auxz00_4445); } 
BgL_modz00_4064 = 
(BgL_offsetz00_4063/BgL_auxz00_4444); } 
{ /* Jvm/lisp.scm 110 */
long BgL_restz00_4066;
{ /* Jvm/lisp.scm 110 */
long BgL_auxz00_4449;
{ /* Jvm/lisp.scm 110 */
int BgL_auxz00_4450;
BgL_auxz00_4450 = 
(int)(((long)8)); 
BgL_auxz00_4449 = 
(long)(BgL_auxz00_4450); } 
BgL_restz00_4066 = 
(BgL_offsetz00_4063%BgL_auxz00_4449); } 
{ /* Jvm/lisp.scm 110 */

{ /* Jvm/lisp.scm 110 */
obj_t BgL_bucketz00_4068;
{ /* Jvm/lisp.scm 110 */
int BgL_kz00_4078;
BgL_kz00_4078 = 
(int)(BgL_modz00_4064); 
BgL_bucketz00_4068 = 
VECTOR_REF(BgL_arg1221z00_4059,BgL_kz00_4078); } 
{ /* Jvm/lisp.scm 110 */
int BgL_kz00_4080;
BgL_kz00_4080 = 
(int)(BgL_restz00_4066); 
BgL_method2766z00_4056 = 
VECTOR_REF(BgL_bucketz00_4068,BgL_kz00_4080); } } } } } } } } 
BgL_arg3179z00_2158 = 
PROCEDURE_ENTRY(BgL_method2766z00_4056)(BgL_method2766z00_4056, 
(obj_t)(BgL_ez00_4055), BEOA); } } 
BgL_arg3178z00_2157 = 
MAKE_PAIR(BgL_arg3179z00_2158, BNIL); } 
return 
MAKE_PAIR(BgL_arg3177z00_2156, BgL_arg3178z00_2157);} } } 
}



/* compile-lisp-make-box2814 */
obj_t BGl_compilezd2lispzd2makezd2box2814zd2zzjvm_lispz00(obj_t BgL_envz00_4195, obj_t BgL_ez00_4196)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 104 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_2141;
BgL_ez00_2141 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_4196); 
{ /* Jvm/lisp.scm 106 */
obj_t BgL_arg3171z00_2145;obj_t BgL_arg3172z00_2146;
BgL_arg3171z00_2145 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/lisp.scm 106 */
obj_t BgL_arg3173z00_2147;
{ /* Jvm/lisp.scm 106 */
BgL_nodez00_bglt BgL_arg3175z00_2149;
BgL_arg3175z00_2149 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_2141))->BgL_valuez00); 
{ /* Jvm/lisp.scm 106 */
obj_t BgL_method2766z00_4029;
{ /* Jvm/lisp.scm 106 */
long BgL_objzd2classzd2numz00_4031;
{ /* Jvm/lisp.scm 106 */
BgL_objectz00_bglt BgL_auxz00_4466;
BgL_auxz00_4466 = 
(BgL_objectz00_bglt)(BgL_arg3175z00_2149); 
BgL_objzd2classzd2numz00_4031 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4466); } 
{ /* Jvm/lisp.scm 106 */
obj_t BgL_arg1221z00_4032;
{ /* Jvm/lisp.scm 106 */
int BgL_auxz00_4469;
BgL_auxz00_4469 = 
(int)(((long)1)); 
BgL_arg1221z00_4032 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4469); } 
{ /* Jvm/lisp.scm 106 */
long BgL_offsetz00_4036;
{ /* Jvm/lisp.scm 106 */
long BgL_auxz00_4472;
{ /* Jvm/lisp.scm 106 */
int BgL_auxz00_4473;
BgL_auxz00_4473 = 
(int)(BgL_objzd2classzd2numz00_4031); 
BgL_auxz00_4472 = 
(long)(BgL_auxz00_4473); } 
BgL_offsetz00_4036 = 
(BgL_auxz00_4472-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 106 */
long BgL_modz00_4037;
{ /* Jvm/lisp.scm 106 */
long BgL_auxz00_4477;
{ /* Jvm/lisp.scm 106 */
int BgL_auxz00_4478;
BgL_auxz00_4478 = 
(int)(((long)8)); 
BgL_auxz00_4477 = 
(long)(BgL_auxz00_4478); } 
BgL_modz00_4037 = 
(BgL_offsetz00_4036/BgL_auxz00_4477); } 
{ /* Jvm/lisp.scm 106 */
long BgL_restz00_4039;
{ /* Jvm/lisp.scm 106 */
long BgL_auxz00_4482;
{ /* Jvm/lisp.scm 106 */
int BgL_auxz00_4483;
BgL_auxz00_4483 = 
(int)(((long)8)); 
BgL_auxz00_4482 = 
(long)(BgL_auxz00_4483); } 
BgL_restz00_4039 = 
(BgL_offsetz00_4036%BgL_auxz00_4482); } 
{ /* Jvm/lisp.scm 106 */

{ /* Jvm/lisp.scm 106 */
obj_t BgL_bucketz00_4041;
{ /* Jvm/lisp.scm 106 */
int BgL_kz00_4051;
BgL_kz00_4051 = 
(int)(BgL_modz00_4037); 
BgL_bucketz00_4041 = 
VECTOR_REF(BgL_arg1221z00_4032,BgL_kz00_4051); } 
{ /* Jvm/lisp.scm 106 */
int BgL_kz00_4053;
BgL_kz00_4053 = 
(int)(BgL_restz00_4039); 
BgL_method2766z00_4029 = 
VECTOR_REF(BgL_bucketz00_4041,BgL_kz00_4053); } } } } } } } } 
BgL_arg3173z00_2147 = 
PROCEDURE_ENTRY(BgL_method2766z00_4029)(BgL_method2766z00_4029, 
(obj_t)(BgL_arg3175z00_2149), BEOA); } } 
BgL_arg3172z00_2146 = 
MAKE_PAIR(BgL_arg3173z00_2147, BNIL); } 
return 
MAKE_PAIR(BgL_arg3171z00_2145, BgL_arg3172z00_2146);} } } 
}



/* compile-lisp-fail2812 */
obj_t BGl_compilezd2lispzd2fail2812z00zzjvm_lispz00(obj_t BgL_envz00_4197, obj_t BgL_ez00_4198)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 100 */
{ 
BgL_failz00_bglt BgL_ez00_2124;
BgL_ez00_2124 = 
(BgL_failz00_bglt)(BgL_ez00_4198); 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_arg3159z00_2128;obj_t BgL_arg3160z00_2129;
BgL_arg3159z00_2128 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_arg3161z00_2130;obj_t BgL_arg3162z00_2131;
{ /* Jvm/lisp.scm 102 */
BgL_nodez00_bglt BgL_arg3163z00_2132;
BgL_arg3163z00_2132 = 
(((BgL_failz00_bglt)CREF(BgL_ez00_2124))->BgL_procz00); 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_method2766z00_3948;
{ /* Jvm/lisp.scm 102 */
long BgL_objzd2classzd2numz00_3950;
{ /* Jvm/lisp.scm 102 */
BgL_objectz00_bglt BgL_auxz00_4499;
BgL_auxz00_4499 = 
(BgL_objectz00_bglt)(BgL_arg3163z00_2132); 
BgL_objzd2classzd2numz00_3950 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4499); } 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_arg1221z00_3951;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4502;
BgL_auxz00_4502 = 
(int)(((long)1)); 
BgL_arg1221z00_3951 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4502); } 
{ /* Jvm/lisp.scm 102 */
long BgL_offsetz00_3955;
{ /* Jvm/lisp.scm 102 */
long BgL_auxz00_4505;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4506;
BgL_auxz00_4506 = 
(int)(BgL_objzd2classzd2numz00_3950); 
BgL_auxz00_4505 = 
(long)(BgL_auxz00_4506); } 
BgL_offsetz00_3955 = 
(BgL_auxz00_4505-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 102 */
long BgL_modz00_3956;
{ /* Jvm/lisp.scm 102 */
long BgL_auxz00_4510;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4511;
BgL_auxz00_4511 = 
(int)(((long)8)); 
BgL_auxz00_4510 = 
(long)(BgL_auxz00_4511); } 
BgL_modz00_3956 = 
(BgL_offsetz00_3955/BgL_auxz00_4510); } 
{ /* Jvm/lisp.scm 102 */
long BgL_restz00_3958;
{ /* Jvm/lisp.scm 102 */
long BgL_auxz00_4515;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4516;
BgL_auxz00_4516 = 
(int)(((long)8)); 
BgL_auxz00_4515 = 
(long)(BgL_auxz00_4516); } 
BgL_restz00_3958 = 
(BgL_offsetz00_3955%BgL_auxz00_4515); } 
{ /* Jvm/lisp.scm 102 */

{ /* Jvm/lisp.scm 102 */
obj_t BgL_bucketz00_3960;
{ /* Jvm/lisp.scm 102 */
int BgL_kz00_3970;
BgL_kz00_3970 = 
(int)(BgL_modz00_3956); 
BgL_bucketz00_3960 = 
VECTOR_REF(BgL_arg1221z00_3951,BgL_kz00_3970); } 
{ /* Jvm/lisp.scm 102 */
int BgL_kz00_3972;
BgL_kz00_3972 = 
(int)(BgL_restz00_3958); 
BgL_method2766z00_3948 = 
VECTOR_REF(BgL_bucketz00_3960,BgL_kz00_3972); } } } } } } } } 
BgL_arg3161z00_2130 = 
PROCEDURE_ENTRY(BgL_method2766z00_3948)(BgL_method2766z00_3948, 
(obj_t)(BgL_arg3163z00_2132), BEOA); } } 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_arg3164z00_2133;obj_t BgL_arg3165z00_2134;
{ /* Jvm/lisp.scm 102 */
BgL_nodez00_bglt BgL_arg3166z00_2135;
BgL_arg3166z00_2135 = 
(((BgL_failz00_bglt)CREF(BgL_ez00_2124))->BgL_msgz00); 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_method2766z00_3975;
{ /* Jvm/lisp.scm 102 */
long BgL_objzd2classzd2numz00_3977;
{ /* Jvm/lisp.scm 102 */
BgL_objectz00_bglt BgL_auxz00_4528;
BgL_auxz00_4528 = 
(BgL_objectz00_bglt)(BgL_arg3166z00_2135); 
BgL_objzd2classzd2numz00_3977 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4528); } 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_arg1221z00_3978;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4531;
BgL_auxz00_4531 = 
(int)(((long)1)); 
BgL_arg1221z00_3978 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4531); } 
{ /* Jvm/lisp.scm 102 */
long BgL_offsetz00_3982;
{ /* Jvm/lisp.scm 102 */
long BgL_auxz00_4534;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4535;
BgL_auxz00_4535 = 
(int)(BgL_objzd2classzd2numz00_3977); 
BgL_auxz00_4534 = 
(long)(BgL_auxz00_4535); } 
BgL_offsetz00_3982 = 
(BgL_auxz00_4534-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 102 */
long BgL_modz00_3983;
{ /* Jvm/lisp.scm 102 */
long BgL_auxz00_4539;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4540;
BgL_auxz00_4540 = 
(int)(((long)8)); 
BgL_auxz00_4539 = 
(long)(BgL_auxz00_4540); } 
BgL_modz00_3983 = 
(BgL_offsetz00_3982/BgL_auxz00_4539); } 
{ /* Jvm/lisp.scm 102 */
long BgL_restz00_3985;
{ /* Jvm/lisp.scm 102 */
long BgL_auxz00_4544;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4545;
BgL_auxz00_4545 = 
(int)(((long)8)); 
BgL_auxz00_4544 = 
(long)(BgL_auxz00_4545); } 
BgL_restz00_3985 = 
(BgL_offsetz00_3982%BgL_auxz00_4544); } 
{ /* Jvm/lisp.scm 102 */

{ /* Jvm/lisp.scm 102 */
obj_t BgL_bucketz00_3987;
{ /* Jvm/lisp.scm 102 */
int BgL_kz00_3997;
BgL_kz00_3997 = 
(int)(BgL_modz00_3983); 
BgL_bucketz00_3987 = 
VECTOR_REF(BgL_arg1221z00_3978,BgL_kz00_3997); } 
{ /* Jvm/lisp.scm 102 */
int BgL_kz00_3999;
BgL_kz00_3999 = 
(int)(BgL_restz00_3985); 
BgL_method2766z00_3975 = 
VECTOR_REF(BgL_bucketz00_3987,BgL_kz00_3999); } } } } } } } } 
BgL_arg3164z00_2133 = 
PROCEDURE_ENTRY(BgL_method2766z00_3975)(BgL_method2766z00_3975, 
(obj_t)(BgL_arg3166z00_2135), BEOA); } } 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_arg3167z00_2136;
{ /* Jvm/lisp.scm 102 */
BgL_nodez00_bglt BgL_arg3169z00_2138;
BgL_arg3169z00_2138 = 
(((BgL_failz00_bglt)CREF(BgL_ez00_2124))->BgL_objz00); 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_method2766z00_4002;
{ /* Jvm/lisp.scm 102 */
long BgL_objzd2classzd2numz00_4004;
{ /* Jvm/lisp.scm 102 */
BgL_objectz00_bglt BgL_auxz00_4557;
BgL_auxz00_4557 = 
(BgL_objectz00_bglt)(BgL_arg3169z00_2138); 
BgL_objzd2classzd2numz00_4004 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4557); } 
{ /* Jvm/lisp.scm 102 */
obj_t BgL_arg1221z00_4005;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4560;
BgL_auxz00_4560 = 
(int)(((long)1)); 
BgL_arg1221z00_4005 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4560); } 
{ /* Jvm/lisp.scm 102 */
long BgL_offsetz00_4009;
{ /* Jvm/lisp.scm 102 */
long BgL_auxz00_4563;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4564;
BgL_auxz00_4564 = 
(int)(BgL_objzd2classzd2numz00_4004); 
BgL_auxz00_4563 = 
(long)(BgL_auxz00_4564); } 
BgL_offsetz00_4009 = 
(BgL_auxz00_4563-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 102 */
long BgL_modz00_4010;
{ /* Jvm/lisp.scm 102 */
long BgL_auxz00_4568;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4569;
BgL_auxz00_4569 = 
(int)(((long)8)); 
BgL_auxz00_4568 = 
(long)(BgL_auxz00_4569); } 
BgL_modz00_4010 = 
(BgL_offsetz00_4009/BgL_auxz00_4568); } 
{ /* Jvm/lisp.scm 102 */
long BgL_restz00_4012;
{ /* Jvm/lisp.scm 102 */
long BgL_auxz00_4573;
{ /* Jvm/lisp.scm 102 */
int BgL_auxz00_4574;
BgL_auxz00_4574 = 
(int)(((long)8)); 
BgL_auxz00_4573 = 
(long)(BgL_auxz00_4574); } 
BgL_restz00_4012 = 
(BgL_offsetz00_4009%BgL_auxz00_4573); } 
{ /* Jvm/lisp.scm 102 */

{ /* Jvm/lisp.scm 102 */
obj_t BgL_bucketz00_4014;
{ /* Jvm/lisp.scm 102 */
int BgL_kz00_4024;
BgL_kz00_4024 = 
(int)(BgL_modz00_4010); 
BgL_bucketz00_4014 = 
VECTOR_REF(BgL_arg1221z00_4005,BgL_kz00_4024); } 
{ /* Jvm/lisp.scm 102 */
int BgL_kz00_4026;
BgL_kz00_4026 = 
(int)(BgL_restz00_4012); 
BgL_method2766z00_4002 = 
VECTOR_REF(BgL_bucketz00_4014,BgL_kz00_4026); } } } } } } } } 
BgL_arg3167z00_2136 = 
PROCEDURE_ENTRY(BgL_method2766z00_4002)(BgL_method2766z00_4002, 
(obj_t)(BgL_arg3169z00_2138), BEOA); } } 
BgL_arg3165z00_2134 = 
MAKE_PAIR(BgL_arg3167z00_2136, BNIL); } 
BgL_arg3162z00_2131 = 
MAKE_PAIR(BgL_arg3164z00_2133, BgL_arg3165z00_2134); } 
BgL_arg3160z00_2129 = 
MAKE_PAIR(BgL_arg3161z00_2130, BgL_arg3162z00_2131); } 
return 
MAKE_PAIR(BgL_arg3159z00_2128, BgL_arg3160z00_2129);} } } 
}



/* compile-lisp-jump-ex-it2810 */
obj_t BGl_compilezd2lispzd2jumpzd2exzd2it2810z00zzjvm_lispz00(obj_t BgL_envz00_4199, obj_t BgL_ez00_4200)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 96 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_2110;
BgL_ez00_2110 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_4200); 
{ /* Jvm/lisp.scm 98 */
obj_t BgL_arg3150z00_2114;obj_t BgL_arg3151z00_2115;
BgL_arg3150z00_2114 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/lisp.scm 98 */
obj_t BgL_arg3152z00_2116;obj_t BgL_arg3153z00_2117;
{ /* Jvm/lisp.scm 98 */
BgL_nodez00_bglt BgL_arg3154z00_2118;
BgL_arg3154z00_2118 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2110))->BgL_exitz00); 
{ /* Jvm/lisp.scm 98 */
obj_t BgL_method2766z00_3894;
{ /* Jvm/lisp.scm 98 */
long BgL_objzd2classzd2numz00_3896;
{ /* Jvm/lisp.scm 98 */
BgL_objectz00_bglt BgL_auxz00_4592;
BgL_auxz00_4592 = 
(BgL_objectz00_bglt)(BgL_arg3154z00_2118); 
BgL_objzd2classzd2numz00_3896 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4592); } 
{ /* Jvm/lisp.scm 98 */
obj_t BgL_arg1221z00_3897;
{ /* Jvm/lisp.scm 98 */
int BgL_auxz00_4595;
BgL_auxz00_4595 = 
(int)(((long)1)); 
BgL_arg1221z00_3897 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4595); } 
{ /* Jvm/lisp.scm 98 */
long BgL_offsetz00_3901;
{ /* Jvm/lisp.scm 98 */
long BgL_auxz00_4598;
{ /* Jvm/lisp.scm 98 */
int BgL_auxz00_4599;
BgL_auxz00_4599 = 
(int)(BgL_objzd2classzd2numz00_3896); 
BgL_auxz00_4598 = 
(long)(BgL_auxz00_4599); } 
BgL_offsetz00_3901 = 
(BgL_auxz00_4598-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 98 */
long BgL_modz00_3902;
{ /* Jvm/lisp.scm 98 */
long BgL_auxz00_4603;
{ /* Jvm/lisp.scm 98 */
int BgL_auxz00_4604;
BgL_auxz00_4604 = 
(int)(((long)8)); 
BgL_auxz00_4603 = 
(long)(BgL_auxz00_4604); } 
BgL_modz00_3902 = 
(BgL_offsetz00_3901/BgL_auxz00_4603); } 
{ /* Jvm/lisp.scm 98 */
long BgL_restz00_3904;
{ /* Jvm/lisp.scm 98 */
long BgL_auxz00_4608;
{ /* Jvm/lisp.scm 98 */
int BgL_auxz00_4609;
BgL_auxz00_4609 = 
(int)(((long)8)); 
BgL_auxz00_4608 = 
(long)(BgL_auxz00_4609); } 
BgL_restz00_3904 = 
(BgL_offsetz00_3901%BgL_auxz00_4608); } 
{ /* Jvm/lisp.scm 98 */

{ /* Jvm/lisp.scm 98 */
obj_t BgL_bucketz00_3906;
{ /* Jvm/lisp.scm 98 */
int BgL_kz00_3916;
BgL_kz00_3916 = 
(int)(BgL_modz00_3902); 
BgL_bucketz00_3906 = 
VECTOR_REF(BgL_arg1221z00_3897,BgL_kz00_3916); } 
{ /* Jvm/lisp.scm 98 */
int BgL_kz00_3918;
BgL_kz00_3918 = 
(int)(BgL_restz00_3904); 
BgL_method2766z00_3894 = 
VECTOR_REF(BgL_bucketz00_3906,BgL_kz00_3918); } } } } } } } } 
BgL_arg3152z00_2116 = 
PROCEDURE_ENTRY(BgL_method2766z00_3894)(BgL_method2766z00_3894, 
(obj_t)(BgL_arg3154z00_2118), BEOA); } } 
{ /* Jvm/lisp.scm 98 */
obj_t BgL_arg3155z00_2119;
{ /* Jvm/lisp.scm 98 */
BgL_nodez00_bglt BgL_arg3157z00_2121;
BgL_arg3157z00_2121 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2110))->BgL_valuez00); 
{ /* Jvm/lisp.scm 98 */
obj_t BgL_method2766z00_3921;
{ /* Jvm/lisp.scm 98 */
long BgL_objzd2classzd2numz00_3923;
{ /* Jvm/lisp.scm 98 */
BgL_objectz00_bglt BgL_auxz00_4621;
BgL_auxz00_4621 = 
(BgL_objectz00_bglt)(BgL_arg3157z00_2121); 
BgL_objzd2classzd2numz00_3923 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4621); } 
{ /* Jvm/lisp.scm 98 */
obj_t BgL_arg1221z00_3924;
{ /* Jvm/lisp.scm 98 */
int BgL_auxz00_4624;
BgL_auxz00_4624 = 
(int)(((long)1)); 
BgL_arg1221z00_3924 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4624); } 
{ /* Jvm/lisp.scm 98 */
long BgL_offsetz00_3928;
{ /* Jvm/lisp.scm 98 */
long BgL_auxz00_4627;
{ /* Jvm/lisp.scm 98 */
int BgL_auxz00_4628;
BgL_auxz00_4628 = 
(int)(BgL_objzd2classzd2numz00_3923); 
BgL_auxz00_4627 = 
(long)(BgL_auxz00_4628); } 
BgL_offsetz00_3928 = 
(BgL_auxz00_4627-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 98 */
long BgL_modz00_3929;
{ /* Jvm/lisp.scm 98 */
long BgL_auxz00_4632;
{ /* Jvm/lisp.scm 98 */
int BgL_auxz00_4633;
BgL_auxz00_4633 = 
(int)(((long)8)); 
BgL_auxz00_4632 = 
(long)(BgL_auxz00_4633); } 
BgL_modz00_3929 = 
(BgL_offsetz00_3928/BgL_auxz00_4632); } 
{ /* Jvm/lisp.scm 98 */
long BgL_restz00_3931;
{ /* Jvm/lisp.scm 98 */
long BgL_auxz00_4637;
{ /* Jvm/lisp.scm 98 */
int BgL_auxz00_4638;
BgL_auxz00_4638 = 
(int)(((long)8)); 
BgL_auxz00_4637 = 
(long)(BgL_auxz00_4638); } 
BgL_restz00_3931 = 
(BgL_offsetz00_3928%BgL_auxz00_4637); } 
{ /* Jvm/lisp.scm 98 */

{ /* Jvm/lisp.scm 98 */
obj_t BgL_bucketz00_3933;
{ /* Jvm/lisp.scm 98 */
int BgL_kz00_3943;
BgL_kz00_3943 = 
(int)(BgL_modz00_3929); 
BgL_bucketz00_3933 = 
VECTOR_REF(BgL_arg1221z00_3924,BgL_kz00_3943); } 
{ /* Jvm/lisp.scm 98 */
int BgL_kz00_3945;
BgL_kz00_3945 = 
(int)(BgL_restz00_3931); 
BgL_method2766z00_3921 = 
VECTOR_REF(BgL_bucketz00_3933,BgL_kz00_3945); } } } } } } } } 
BgL_arg3155z00_2119 = 
PROCEDURE_ENTRY(BgL_method2766z00_3921)(BgL_method2766z00_3921, 
(obj_t)(BgL_arg3157z00_2121), BEOA); } } 
BgL_arg3153z00_2117 = 
MAKE_PAIR(BgL_arg3155z00_2119, BNIL); } 
BgL_arg3151z00_2115 = 
MAKE_PAIR(BgL_arg3152z00_2116, BgL_arg3153z00_2117); } 
return 
MAKE_PAIR(BgL_arg3150z00_2114, BgL_arg3151z00_2115);} } } 
}



/* compile-lisp-set-ex-it2808 */
obj_t BGl_compilezd2lispzd2setzd2exzd2it2808z00zzjvm_lispz00(obj_t BgL_envz00_4201, obj_t BgL_ez00_4202)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 92 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_2096;
BgL_ez00_2096 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_4202); 
{ /* Jvm/lisp.scm 94 */
obj_t BgL_arg3141z00_2100;obj_t BgL_arg3142z00_2101;
BgL_arg3141z00_2100 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/lisp.scm 94 */
obj_t BgL_arg3143z00_2102;obj_t BgL_arg3144z00_2103;
{ /* Jvm/lisp.scm 94 */
BgL_nodez00_bglt BgL_ez00_3839;
{ /* Jvm/lisp.scm 94 */
BgL_varz00_bglt BgL_auxz00_4654;
BgL_auxz00_4654 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_2096))->BgL_varz00); 
BgL_ez00_3839 = 
(BgL_nodez00_bglt)(BgL_auxz00_4654); } 
{ /* Jvm/lisp.scm 94 */
obj_t BgL_method2766z00_3840;
{ /* Jvm/lisp.scm 94 */
long BgL_objzd2classzd2numz00_3842;
{ /* Jvm/lisp.scm 94 */
BgL_objectz00_bglt BgL_auxz00_4657;
BgL_auxz00_4657 = 
(BgL_objectz00_bglt)(BgL_ez00_3839); 
BgL_objzd2classzd2numz00_3842 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4657); } 
{ /* Jvm/lisp.scm 94 */
obj_t BgL_arg1221z00_3843;
{ /* Jvm/lisp.scm 94 */
int BgL_auxz00_4660;
BgL_auxz00_4660 = 
(int)(((long)1)); 
BgL_arg1221z00_3843 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4660); } 
{ /* Jvm/lisp.scm 94 */
long BgL_offsetz00_3847;
{ /* Jvm/lisp.scm 94 */
long BgL_auxz00_4663;
{ /* Jvm/lisp.scm 94 */
int BgL_auxz00_4664;
BgL_auxz00_4664 = 
(int)(BgL_objzd2classzd2numz00_3842); 
BgL_auxz00_4663 = 
(long)(BgL_auxz00_4664); } 
BgL_offsetz00_3847 = 
(BgL_auxz00_4663-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 94 */
long BgL_modz00_3848;
{ /* Jvm/lisp.scm 94 */
long BgL_auxz00_4668;
{ /* Jvm/lisp.scm 94 */
int BgL_auxz00_4669;
BgL_auxz00_4669 = 
(int)(((long)8)); 
BgL_auxz00_4668 = 
(long)(BgL_auxz00_4669); } 
BgL_modz00_3848 = 
(BgL_offsetz00_3847/BgL_auxz00_4668); } 
{ /* Jvm/lisp.scm 94 */
long BgL_restz00_3850;
{ /* Jvm/lisp.scm 94 */
long BgL_auxz00_4673;
{ /* Jvm/lisp.scm 94 */
int BgL_auxz00_4674;
BgL_auxz00_4674 = 
(int)(((long)8)); 
BgL_auxz00_4673 = 
(long)(BgL_auxz00_4674); } 
BgL_restz00_3850 = 
(BgL_offsetz00_3847%BgL_auxz00_4673); } 
{ /* Jvm/lisp.scm 94 */

{ /* Jvm/lisp.scm 94 */
obj_t BgL_bucketz00_3852;
{ /* Jvm/lisp.scm 94 */
int BgL_kz00_3862;
BgL_kz00_3862 = 
(int)(BgL_modz00_3848); 
BgL_bucketz00_3852 = 
VECTOR_REF(BgL_arg1221z00_3843,BgL_kz00_3862); } 
{ /* Jvm/lisp.scm 94 */
int BgL_kz00_3864;
BgL_kz00_3864 = 
(int)(BgL_restz00_3850); 
BgL_method2766z00_3840 = 
VECTOR_REF(BgL_bucketz00_3852,BgL_kz00_3864); } } } } } } } } 
BgL_arg3143z00_2102 = 
PROCEDURE_ENTRY(BgL_method2766z00_3840)(BgL_method2766z00_3840, 
(obj_t)(BgL_ez00_3839), BEOA); } } 
{ /* Jvm/lisp.scm 94 */
obj_t BgL_arg3146z00_2105;
{ /* Jvm/lisp.scm 94 */
BgL_nodez00_bglt BgL_arg3148z00_2107;
BgL_arg3148z00_2107 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_2096))->BgL_bodyz00); 
{ /* Jvm/lisp.scm 94 */
obj_t BgL_method2766z00_3867;
{ /* Jvm/lisp.scm 94 */
long BgL_objzd2classzd2numz00_3869;
{ /* Jvm/lisp.scm 94 */
BgL_objectz00_bglt BgL_auxz00_4686;
BgL_auxz00_4686 = 
(BgL_objectz00_bglt)(BgL_arg3148z00_2107); 
BgL_objzd2classzd2numz00_3869 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4686); } 
{ /* Jvm/lisp.scm 94 */
obj_t BgL_arg1221z00_3870;
{ /* Jvm/lisp.scm 94 */
int BgL_auxz00_4689;
BgL_auxz00_4689 = 
(int)(((long)1)); 
BgL_arg1221z00_3870 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4689); } 
{ /* Jvm/lisp.scm 94 */
long BgL_offsetz00_3874;
{ /* Jvm/lisp.scm 94 */
long BgL_auxz00_4692;
{ /* Jvm/lisp.scm 94 */
int BgL_auxz00_4693;
BgL_auxz00_4693 = 
(int)(BgL_objzd2classzd2numz00_3869); 
BgL_auxz00_4692 = 
(long)(BgL_auxz00_4693); } 
BgL_offsetz00_3874 = 
(BgL_auxz00_4692-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 94 */
long BgL_modz00_3875;
{ /* Jvm/lisp.scm 94 */
long BgL_auxz00_4697;
{ /* Jvm/lisp.scm 94 */
int BgL_auxz00_4698;
BgL_auxz00_4698 = 
(int)(((long)8)); 
BgL_auxz00_4697 = 
(long)(BgL_auxz00_4698); } 
BgL_modz00_3875 = 
(BgL_offsetz00_3874/BgL_auxz00_4697); } 
{ /* Jvm/lisp.scm 94 */
long BgL_restz00_3877;
{ /* Jvm/lisp.scm 94 */
long BgL_auxz00_4702;
{ /* Jvm/lisp.scm 94 */
int BgL_auxz00_4703;
BgL_auxz00_4703 = 
(int)(((long)8)); 
BgL_auxz00_4702 = 
(long)(BgL_auxz00_4703); } 
BgL_restz00_3877 = 
(BgL_offsetz00_3874%BgL_auxz00_4702); } 
{ /* Jvm/lisp.scm 94 */

{ /* Jvm/lisp.scm 94 */
obj_t BgL_bucketz00_3879;
{ /* Jvm/lisp.scm 94 */
int BgL_kz00_3889;
BgL_kz00_3889 = 
(int)(BgL_modz00_3875); 
BgL_bucketz00_3879 = 
VECTOR_REF(BgL_arg1221z00_3870,BgL_kz00_3889); } 
{ /* Jvm/lisp.scm 94 */
int BgL_kz00_3891;
BgL_kz00_3891 = 
(int)(BgL_restz00_3877); 
BgL_method2766z00_3867 = 
VECTOR_REF(BgL_bucketz00_3879,BgL_kz00_3891); } } } } } } } } 
BgL_arg3146z00_2105 = 
PROCEDURE_ENTRY(BgL_method2766z00_3867)(BgL_method2766z00_3867, 
(obj_t)(BgL_arg3148z00_2107), BEOA); } } 
BgL_arg3144z00_2103 = 
MAKE_PAIR(BgL_arg3146z00_2105, BNIL); } 
BgL_arg3142z00_2101 = 
MAKE_PAIR(BgL_arg3143z00_2102, BgL_arg3144z00_2103); } 
return 
MAKE_PAIR(BgL_arg3141z00_2100, BgL_arg3142z00_2101);} } } 
}



/* compile-lisp-cast2806 */
obj_t BGl_compilezd2lispzd2cast2806z00zzjvm_lispz00(obj_t BgL_envz00_4203, obj_t BgL_ez00_4204)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 88 */
{ 
BgL_castz00_bglt BgL_ez00_2083;
BgL_ez00_2083 = 
(BgL_castz00_bglt)(BgL_ez00_4204); 
{ /* Jvm/lisp.scm 90 */
obj_t BgL_arg3133z00_2087;obj_t BgL_arg3134z00_2088;
BgL_arg3133z00_2087 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/lisp.scm 90 */
BgL_typez00_bglt BgL_arg3135z00_2089;obj_t BgL_arg3136z00_2090;
BgL_arg3135z00_2089 = 
(((BgL_castz00_bglt)CREF(BgL_ez00_2083))->BgL_typez00); 
{ /* Jvm/lisp.scm 90 */
obj_t BgL_arg3137z00_2091;
{ /* Jvm/lisp.scm 90 */
BgL_nodez00_bglt BgL_arg3139z00_2093;
BgL_arg3139z00_2093 = 
(((BgL_castz00_bglt)CREF(BgL_ez00_2083))->BgL_argz00); 
{ /* Jvm/lisp.scm 90 */
obj_t BgL_method2766z00_3813;
{ /* Jvm/lisp.scm 90 */
long BgL_objzd2classzd2numz00_3815;
{ /* Jvm/lisp.scm 90 */
BgL_objectz00_bglt BgL_auxz00_4721;
BgL_auxz00_4721 = 
(BgL_objectz00_bglt)(BgL_arg3139z00_2093); 
BgL_objzd2classzd2numz00_3815 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4721); } 
{ /* Jvm/lisp.scm 90 */
obj_t BgL_arg1221z00_3816;
{ /* Jvm/lisp.scm 90 */
int BgL_auxz00_4724;
BgL_auxz00_4724 = 
(int)(((long)1)); 
BgL_arg1221z00_3816 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4724); } 
{ /* Jvm/lisp.scm 90 */
long BgL_offsetz00_3820;
{ /* Jvm/lisp.scm 90 */
long BgL_auxz00_4727;
{ /* Jvm/lisp.scm 90 */
int BgL_auxz00_4728;
BgL_auxz00_4728 = 
(int)(BgL_objzd2classzd2numz00_3815); 
BgL_auxz00_4727 = 
(long)(BgL_auxz00_4728); } 
BgL_offsetz00_3820 = 
(BgL_auxz00_4727-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 90 */
long BgL_modz00_3821;
{ /* Jvm/lisp.scm 90 */
long BgL_auxz00_4732;
{ /* Jvm/lisp.scm 90 */
int BgL_auxz00_4733;
BgL_auxz00_4733 = 
(int)(((long)8)); 
BgL_auxz00_4732 = 
(long)(BgL_auxz00_4733); } 
BgL_modz00_3821 = 
(BgL_offsetz00_3820/BgL_auxz00_4732); } 
{ /* Jvm/lisp.scm 90 */
long BgL_restz00_3823;
{ /* Jvm/lisp.scm 90 */
long BgL_auxz00_4737;
{ /* Jvm/lisp.scm 90 */
int BgL_auxz00_4738;
BgL_auxz00_4738 = 
(int)(((long)8)); 
BgL_auxz00_4737 = 
(long)(BgL_auxz00_4738); } 
BgL_restz00_3823 = 
(BgL_offsetz00_3820%BgL_auxz00_4737); } 
{ /* Jvm/lisp.scm 90 */

{ /* Jvm/lisp.scm 90 */
obj_t BgL_bucketz00_3825;
{ /* Jvm/lisp.scm 90 */
int BgL_kz00_3835;
BgL_kz00_3835 = 
(int)(BgL_modz00_3821); 
BgL_bucketz00_3825 = 
VECTOR_REF(BgL_arg1221z00_3816,BgL_kz00_3835); } 
{ /* Jvm/lisp.scm 90 */
int BgL_kz00_3837;
BgL_kz00_3837 = 
(int)(BgL_restz00_3823); 
BgL_method2766z00_3813 = 
VECTOR_REF(BgL_bucketz00_3825,BgL_kz00_3837); } } } } } } } } 
BgL_arg3137z00_2091 = 
PROCEDURE_ENTRY(BgL_method2766z00_3813)(BgL_method2766z00_3813, 
(obj_t)(BgL_arg3139z00_2093), BEOA); } } 
BgL_arg3136z00_2090 = 
MAKE_PAIR(BgL_arg3137z00_2091, BNIL); } 
{ /* Jvm/lisp.scm 90 */
obj_t BgL_auxz00_4750;
BgL_auxz00_4750 = 
(obj_t)(BgL_arg3135z00_2089); 
BgL_arg3134z00_2088 = 
MAKE_PAIR(BgL_auxz00_4750, BgL_arg3136z00_2090); } } 
return 
MAKE_PAIR(BgL_arg3133z00_2087, BgL_arg3134z00_2088);} } } 
}



/* compile-lisp-isa2804 */
obj_t BGl_compilezd2lispzd2isa2804z00zzjvm_lispz00(obj_t BgL_envz00_4205, obj_t BgL_ez00_4206)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 85 */
{ 
BgL_isaz00_bglt BgL_ez00_2056;
BgL_ez00_2056 = 
(BgL_isaz00_bglt)(BgL_ez00_4206); 
{ /* Jvm/lisp.scm 86 */
obj_t BgL_arg3116z00_2059;obj_t BgL_arg3117z00_2060;
BgL_arg3116z00_2059 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/lisp.scm 86 */
BgL_typez00_bglt BgL_arg3118z00_2061;obj_t BgL_arg3119z00_2062;
BgL_arg3118z00_2061 = 
(((BgL_isaz00_bglt)CREF(BgL_ez00_2056))->BgL_classz00); 
{ /* Jvm/lisp.scm 86 */
obj_t BgL_arg3120z00_2063;
{ /* Jvm/lisp.scm 86 */
obj_t BgL_l2746z00_2065;
{ /* Jvm/lisp.scm 86 */
BgL_externz00_bglt BgL_obj1825z00_3745;
BgL_obj1825z00_3745 = 
(BgL_externz00_bglt)(BgL_ez00_2056); 
BgL_l2746z00_2065 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3745))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2746z00_2065))
{ /* Jvm/lisp.scm 86 */
BgL_arg3120z00_2063 = BNIL; }  else 
{ /* Jvm/lisp.scm 86 */
obj_t BgL_head2748z00_2067;
{ /* Jvm/lisp.scm 86 */
obj_t BgL_arg3129z00_2078;
{ /* Jvm/lisp.scm 86 */
BgL_nodez00_bglt BgL_ez00_3748;
{ /* Jvm/lisp.scm 86 */
obj_t BgL_auxz00_4761;
BgL_auxz00_4761 = 
CAR(BgL_l2746z00_2065); 
BgL_ez00_3748 = 
(BgL_nodez00_bglt)(BgL_auxz00_4761); } 
{ /* Jvm/lisp.scm 86 */
obj_t BgL_method2766z00_3749;
{ /* Jvm/lisp.scm 86 */
long BgL_objzd2classzd2numz00_3751;
{ /* Jvm/lisp.scm 86 */
BgL_objectz00_bglt BgL_auxz00_4764;
BgL_auxz00_4764 = 
(BgL_objectz00_bglt)(BgL_ez00_3748); 
BgL_objzd2classzd2numz00_3751 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4764); } 
{ /* Jvm/lisp.scm 86 */
obj_t BgL_arg1221z00_3752;
{ /* Jvm/lisp.scm 86 */
int BgL_auxz00_4767;
BgL_auxz00_4767 = 
(int)(((long)1)); 
BgL_arg1221z00_3752 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4767); } 
{ /* Jvm/lisp.scm 86 */
long BgL_offsetz00_3756;
{ /* Jvm/lisp.scm 86 */
long BgL_auxz00_4770;
{ /* Jvm/lisp.scm 86 */
int BgL_auxz00_4771;
BgL_auxz00_4771 = 
(int)(BgL_objzd2classzd2numz00_3751); 
BgL_auxz00_4770 = 
(long)(BgL_auxz00_4771); } 
BgL_offsetz00_3756 = 
(BgL_auxz00_4770-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 86 */
long BgL_modz00_3757;
{ /* Jvm/lisp.scm 86 */
long BgL_auxz00_4775;
{ /* Jvm/lisp.scm 86 */
int BgL_auxz00_4776;
BgL_auxz00_4776 = 
(int)(((long)8)); 
BgL_auxz00_4775 = 
(long)(BgL_auxz00_4776); } 
BgL_modz00_3757 = 
(BgL_offsetz00_3756/BgL_auxz00_4775); } 
{ /* Jvm/lisp.scm 86 */
long BgL_restz00_3759;
{ /* Jvm/lisp.scm 86 */
long BgL_auxz00_4780;
{ /* Jvm/lisp.scm 86 */
int BgL_auxz00_4781;
BgL_auxz00_4781 = 
(int)(((long)8)); 
BgL_auxz00_4780 = 
(long)(BgL_auxz00_4781); } 
BgL_restz00_3759 = 
(BgL_offsetz00_3756%BgL_auxz00_4780); } 
{ /* Jvm/lisp.scm 86 */

{ /* Jvm/lisp.scm 86 */
obj_t BgL_bucketz00_3761;
{ /* Jvm/lisp.scm 86 */
int BgL_kz00_3771;
BgL_kz00_3771 = 
(int)(BgL_modz00_3757); 
BgL_bucketz00_3761 = 
VECTOR_REF(BgL_arg1221z00_3752,BgL_kz00_3771); } 
{ /* Jvm/lisp.scm 86 */
int BgL_kz00_3773;
BgL_kz00_3773 = 
(int)(BgL_restz00_3759); 
BgL_method2766z00_3749 = 
VECTOR_REF(BgL_bucketz00_3761,BgL_kz00_3773); } } } } } } } } 
BgL_arg3129z00_2078 = 
PROCEDURE_ENTRY(BgL_method2766z00_3749)(BgL_method2766z00_3749, 
(obj_t)(BgL_ez00_3748), BEOA); } } 
BgL_head2748z00_2067 = 
MAKE_PAIR(BgL_arg3129z00_2078, BNIL); } 
{ 
obj_t BgL_l2746z00_2068;obj_t BgL_tail2749z00_2069;
BgL_l2746z00_2068 = 
CDR(BgL_l2746z00_2065); 
BgL_tail2749z00_2069 = BgL_head2748z00_2067; 
BgL_lname2747z00_2070:
if(
NULLP(BgL_l2746z00_2068))
{ /* Jvm/lisp.scm 86 */
BgL_arg3120z00_2063 = BgL_head2748z00_2067; }  else 
{ /* Jvm/lisp.scm 86 */
obj_t BgL_newtail2750z00_2073;
{ /* Jvm/lisp.scm 86 */
obj_t BgL_arg3126z00_2075;
{ /* Jvm/lisp.scm 86 */
BgL_nodez00_bglt BgL_ez00_3779;
{ /* Jvm/lisp.scm 86 */
obj_t BgL_auxz00_4795;
BgL_auxz00_4795 = 
CAR(BgL_l2746z00_2068); 
BgL_ez00_3779 = 
(BgL_nodez00_bglt)(BgL_auxz00_4795); } 
{ /* Jvm/lisp.scm 86 */
obj_t BgL_method2766z00_3780;
{ /* Jvm/lisp.scm 86 */
long BgL_objzd2classzd2numz00_3782;
{ /* Jvm/lisp.scm 86 */
BgL_objectz00_bglt BgL_auxz00_4798;
BgL_auxz00_4798 = 
(BgL_objectz00_bglt)(BgL_ez00_3779); 
BgL_objzd2classzd2numz00_3782 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4798); } 
{ /* Jvm/lisp.scm 86 */
obj_t BgL_arg1221z00_3783;
{ /* Jvm/lisp.scm 86 */
int BgL_auxz00_4801;
BgL_auxz00_4801 = 
(int)(((long)1)); 
BgL_arg1221z00_3783 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4801); } 
{ /* Jvm/lisp.scm 86 */
long BgL_offsetz00_3787;
{ /* Jvm/lisp.scm 86 */
long BgL_auxz00_4804;
{ /* Jvm/lisp.scm 86 */
int BgL_auxz00_4805;
BgL_auxz00_4805 = 
(int)(BgL_objzd2classzd2numz00_3782); 
BgL_auxz00_4804 = 
(long)(BgL_auxz00_4805); } 
BgL_offsetz00_3787 = 
(BgL_auxz00_4804-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 86 */
long BgL_modz00_3788;
{ /* Jvm/lisp.scm 86 */
long BgL_auxz00_4809;
{ /* Jvm/lisp.scm 86 */
int BgL_auxz00_4810;
BgL_auxz00_4810 = 
(int)(((long)8)); 
BgL_auxz00_4809 = 
(long)(BgL_auxz00_4810); } 
BgL_modz00_3788 = 
(BgL_offsetz00_3787/BgL_auxz00_4809); } 
{ /* Jvm/lisp.scm 86 */
long BgL_restz00_3790;
{ /* Jvm/lisp.scm 86 */
long BgL_auxz00_4814;
{ /* Jvm/lisp.scm 86 */
int BgL_auxz00_4815;
BgL_auxz00_4815 = 
(int)(((long)8)); 
BgL_auxz00_4814 = 
(long)(BgL_auxz00_4815); } 
BgL_restz00_3790 = 
(BgL_offsetz00_3787%BgL_auxz00_4814); } 
{ /* Jvm/lisp.scm 86 */

{ /* Jvm/lisp.scm 86 */
obj_t BgL_bucketz00_3792;
{ /* Jvm/lisp.scm 86 */
int BgL_kz00_3802;
BgL_kz00_3802 = 
(int)(BgL_modz00_3788); 
BgL_bucketz00_3792 = 
VECTOR_REF(BgL_arg1221z00_3783,BgL_kz00_3802); } 
{ /* Jvm/lisp.scm 86 */
int BgL_kz00_3804;
BgL_kz00_3804 = 
(int)(BgL_restz00_3790); 
BgL_method2766z00_3780 = 
VECTOR_REF(BgL_bucketz00_3792,BgL_kz00_3804); } } } } } } } } 
BgL_arg3126z00_2075 = 
PROCEDURE_ENTRY(BgL_method2766z00_3780)(BgL_method2766z00_3780, 
(obj_t)(BgL_ez00_3779), BEOA); } } 
BgL_newtail2750z00_2073 = 
MAKE_PAIR(BgL_arg3126z00_2075, BNIL); } 
SET_CDR(BgL_tail2749z00_2069, BgL_newtail2750z00_2073); 
{ 
obj_t BgL_tail2749z00_4830;obj_t BgL_l2746z00_4828;
BgL_l2746z00_4828 = 
CDR(BgL_l2746z00_2068); 
BgL_tail2749z00_4830 = BgL_newtail2750z00_2073; 
BgL_tail2749z00_2069 = BgL_tail2749z00_4830; 
BgL_l2746z00_2068 = BgL_l2746z00_4828; 
goto BgL_lname2747z00_2070;} } } } } 
BgL_arg3119z00_2062 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3120z00_2063, BNIL); } 
{ /* Jvm/lisp.scm 86 */
obj_t BgL_auxz00_4833;
BgL_auxz00_4833 = 
(obj_t)(BgL_arg3118z00_2061); 
BgL_arg3117z00_2060 = 
MAKE_PAIR(BgL_auxz00_4833, BgL_arg3119z00_2062); } } 
return 
MAKE_PAIR(BgL_arg3116z00_2059, BgL_arg3117z00_2060);} } } 
}



/* compile-lisp-vlength2802 */
obj_t BGl_compilezd2lispzd2vlength2802z00zzjvm_lispz00(obj_t BgL_envz00_4207, obj_t BgL_ez00_4208)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 82 */
{ 
BgL_vlengthz00_bglt BgL_ez00_2031;
BgL_ez00_2031 = 
(BgL_vlengthz00_bglt)(BgL_ez00_4208); 
{ /* Jvm/lisp.scm 83 */
obj_t BgL_arg3101z00_2034;obj_t BgL_arg3102z00_2035;
BgL_arg3101z00_2034 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/lisp.scm 83 */
obj_t BgL_arg3103z00_2036;
{ /* Jvm/lisp.scm 83 */
obj_t BgL_l2741z00_2038;
{ /* Jvm/lisp.scm 83 */
BgL_externz00_bglt BgL_obj1825z00_3679;
BgL_obj1825z00_3679 = 
(BgL_externz00_bglt)(BgL_ez00_2031); 
BgL_l2741z00_2038 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3679))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2741z00_2038))
{ /* Jvm/lisp.scm 83 */
BgL_arg3103z00_2036 = BNIL; }  else 
{ /* Jvm/lisp.scm 83 */
obj_t BgL_head2743z00_2040;
{ /* Jvm/lisp.scm 83 */
obj_t BgL_arg3112z00_2051;
{ /* Jvm/lisp.scm 83 */
BgL_nodez00_bglt BgL_ez00_3682;
{ /* Jvm/lisp.scm 83 */
obj_t BgL_auxz00_4843;
BgL_auxz00_4843 = 
CAR(BgL_l2741z00_2038); 
BgL_ez00_3682 = 
(BgL_nodez00_bglt)(BgL_auxz00_4843); } 
{ /* Jvm/lisp.scm 83 */
obj_t BgL_method2766z00_3683;
{ /* Jvm/lisp.scm 83 */
long BgL_objzd2classzd2numz00_3685;
{ /* Jvm/lisp.scm 83 */
BgL_objectz00_bglt BgL_auxz00_4846;
BgL_auxz00_4846 = 
(BgL_objectz00_bglt)(BgL_ez00_3682); 
BgL_objzd2classzd2numz00_3685 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4846); } 
{ /* Jvm/lisp.scm 83 */
obj_t BgL_arg1221z00_3686;
{ /* Jvm/lisp.scm 83 */
int BgL_auxz00_4849;
BgL_auxz00_4849 = 
(int)(((long)1)); 
BgL_arg1221z00_3686 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4849); } 
{ /* Jvm/lisp.scm 83 */
long BgL_offsetz00_3690;
{ /* Jvm/lisp.scm 83 */
long BgL_auxz00_4852;
{ /* Jvm/lisp.scm 83 */
int BgL_auxz00_4853;
BgL_auxz00_4853 = 
(int)(BgL_objzd2classzd2numz00_3685); 
BgL_auxz00_4852 = 
(long)(BgL_auxz00_4853); } 
BgL_offsetz00_3690 = 
(BgL_auxz00_4852-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 83 */
long BgL_modz00_3691;
{ /* Jvm/lisp.scm 83 */
long BgL_auxz00_4857;
{ /* Jvm/lisp.scm 83 */
int BgL_auxz00_4858;
BgL_auxz00_4858 = 
(int)(((long)8)); 
BgL_auxz00_4857 = 
(long)(BgL_auxz00_4858); } 
BgL_modz00_3691 = 
(BgL_offsetz00_3690/BgL_auxz00_4857); } 
{ /* Jvm/lisp.scm 83 */
long BgL_restz00_3693;
{ /* Jvm/lisp.scm 83 */
long BgL_auxz00_4862;
{ /* Jvm/lisp.scm 83 */
int BgL_auxz00_4863;
BgL_auxz00_4863 = 
(int)(((long)8)); 
BgL_auxz00_4862 = 
(long)(BgL_auxz00_4863); } 
BgL_restz00_3693 = 
(BgL_offsetz00_3690%BgL_auxz00_4862); } 
{ /* Jvm/lisp.scm 83 */

{ /* Jvm/lisp.scm 83 */
obj_t BgL_bucketz00_3695;
{ /* Jvm/lisp.scm 83 */
int BgL_kz00_3705;
BgL_kz00_3705 = 
(int)(BgL_modz00_3691); 
BgL_bucketz00_3695 = 
VECTOR_REF(BgL_arg1221z00_3686,BgL_kz00_3705); } 
{ /* Jvm/lisp.scm 83 */
int BgL_kz00_3707;
BgL_kz00_3707 = 
(int)(BgL_restz00_3693); 
BgL_method2766z00_3683 = 
VECTOR_REF(BgL_bucketz00_3695,BgL_kz00_3707); } } } } } } } } 
BgL_arg3112z00_2051 = 
PROCEDURE_ENTRY(BgL_method2766z00_3683)(BgL_method2766z00_3683, 
(obj_t)(BgL_ez00_3682), BEOA); } } 
BgL_head2743z00_2040 = 
MAKE_PAIR(BgL_arg3112z00_2051, BNIL); } 
{ 
obj_t BgL_l2741z00_2041;obj_t BgL_tail2744z00_2042;
BgL_l2741z00_2041 = 
CDR(BgL_l2741z00_2038); 
BgL_tail2744z00_2042 = BgL_head2743z00_2040; 
BgL_lname2742z00_2043:
if(
NULLP(BgL_l2741z00_2041))
{ /* Jvm/lisp.scm 83 */
BgL_arg3103z00_2036 = BgL_head2743z00_2040; }  else 
{ /* Jvm/lisp.scm 83 */
obj_t BgL_newtail2745z00_2046;
{ /* Jvm/lisp.scm 83 */
obj_t BgL_arg3109z00_2048;
{ /* Jvm/lisp.scm 83 */
BgL_nodez00_bglt BgL_ez00_3713;
{ /* Jvm/lisp.scm 83 */
obj_t BgL_auxz00_4877;
BgL_auxz00_4877 = 
CAR(BgL_l2741z00_2041); 
BgL_ez00_3713 = 
(BgL_nodez00_bglt)(BgL_auxz00_4877); } 
{ /* Jvm/lisp.scm 83 */
obj_t BgL_method2766z00_3714;
{ /* Jvm/lisp.scm 83 */
long BgL_objzd2classzd2numz00_3716;
{ /* Jvm/lisp.scm 83 */
BgL_objectz00_bglt BgL_auxz00_4880;
BgL_auxz00_4880 = 
(BgL_objectz00_bglt)(BgL_ez00_3713); 
BgL_objzd2classzd2numz00_3716 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4880); } 
{ /* Jvm/lisp.scm 83 */
obj_t BgL_arg1221z00_3717;
{ /* Jvm/lisp.scm 83 */
int BgL_auxz00_4883;
BgL_auxz00_4883 = 
(int)(((long)1)); 
BgL_arg1221z00_3717 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4883); } 
{ /* Jvm/lisp.scm 83 */
long BgL_offsetz00_3721;
{ /* Jvm/lisp.scm 83 */
long BgL_auxz00_4886;
{ /* Jvm/lisp.scm 83 */
int BgL_auxz00_4887;
BgL_auxz00_4887 = 
(int)(BgL_objzd2classzd2numz00_3716); 
BgL_auxz00_4886 = 
(long)(BgL_auxz00_4887); } 
BgL_offsetz00_3721 = 
(BgL_auxz00_4886-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 83 */
long BgL_modz00_3722;
{ /* Jvm/lisp.scm 83 */
long BgL_auxz00_4891;
{ /* Jvm/lisp.scm 83 */
int BgL_auxz00_4892;
BgL_auxz00_4892 = 
(int)(((long)8)); 
BgL_auxz00_4891 = 
(long)(BgL_auxz00_4892); } 
BgL_modz00_3722 = 
(BgL_offsetz00_3721/BgL_auxz00_4891); } 
{ /* Jvm/lisp.scm 83 */
long BgL_restz00_3724;
{ /* Jvm/lisp.scm 83 */
long BgL_auxz00_4896;
{ /* Jvm/lisp.scm 83 */
int BgL_auxz00_4897;
BgL_auxz00_4897 = 
(int)(((long)8)); 
BgL_auxz00_4896 = 
(long)(BgL_auxz00_4897); } 
BgL_restz00_3724 = 
(BgL_offsetz00_3721%BgL_auxz00_4896); } 
{ /* Jvm/lisp.scm 83 */

{ /* Jvm/lisp.scm 83 */
obj_t BgL_bucketz00_3726;
{ /* Jvm/lisp.scm 83 */
int BgL_kz00_3736;
BgL_kz00_3736 = 
(int)(BgL_modz00_3722); 
BgL_bucketz00_3726 = 
VECTOR_REF(BgL_arg1221z00_3717,BgL_kz00_3736); } 
{ /* Jvm/lisp.scm 83 */
int BgL_kz00_3738;
BgL_kz00_3738 = 
(int)(BgL_restz00_3724); 
BgL_method2766z00_3714 = 
VECTOR_REF(BgL_bucketz00_3726,BgL_kz00_3738); } } } } } } } } 
BgL_arg3109z00_2048 = 
PROCEDURE_ENTRY(BgL_method2766z00_3714)(BgL_method2766z00_3714, 
(obj_t)(BgL_ez00_3713), BEOA); } } 
BgL_newtail2745z00_2046 = 
MAKE_PAIR(BgL_arg3109z00_2048, BNIL); } 
SET_CDR(BgL_tail2744z00_2042, BgL_newtail2745z00_2046); 
{ 
obj_t BgL_tail2744z00_4912;obj_t BgL_l2741z00_4910;
BgL_l2741z00_4910 = 
CDR(BgL_l2741z00_2041); 
BgL_tail2744z00_4912 = BgL_newtail2745z00_2046; 
BgL_tail2744z00_2042 = BgL_tail2744z00_4912; 
BgL_l2741z00_2041 = BgL_l2741z00_4910; 
goto BgL_lname2742z00_2043;} } } } } 
BgL_arg3102z00_2035 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3103z00_2036, BNIL); } 
return 
MAKE_PAIR(BgL_arg3101z00_2034, BgL_arg3102z00_2035);} } } 
}



/* compile-lisp-vset!2800 */
obj_t BGl_compilezd2lispzd2vsetz122800z12zzjvm_lispz00(obj_t BgL_envz00_4209, obj_t BgL_ez00_4210)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 79 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_2006;
BgL_ez00_2006 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_4210); 
{ /* Jvm/lisp.scm 80 */
obj_t BgL_arg3085z00_2009;obj_t BgL_arg3086z00_2010;
BgL_arg3085z00_2009 = 
CNST_TABLE_REF(((long)9)); 
{ /* Jvm/lisp.scm 80 */
obj_t BgL_arg3087z00_2011;
{ /* Jvm/lisp.scm 80 */
obj_t BgL_l2736z00_2013;
{ /* Jvm/lisp.scm 80 */
BgL_externz00_bglt BgL_obj1825z00_3614;
BgL_obj1825z00_3614 = 
(BgL_externz00_bglt)(BgL_ez00_2006); 
BgL_l2736z00_2013 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3614))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2736z00_2013))
{ /* Jvm/lisp.scm 80 */
BgL_arg3087z00_2011 = BNIL; }  else 
{ /* Jvm/lisp.scm 80 */
obj_t BgL_head2738z00_2015;
{ /* Jvm/lisp.scm 80 */
obj_t BgL_arg3097z00_2026;
{ /* Jvm/lisp.scm 80 */
BgL_nodez00_bglt BgL_ez00_3617;
{ /* Jvm/lisp.scm 80 */
obj_t BgL_auxz00_4922;
BgL_auxz00_4922 = 
CAR(BgL_l2736z00_2013); 
BgL_ez00_3617 = 
(BgL_nodez00_bglt)(BgL_auxz00_4922); } 
{ /* Jvm/lisp.scm 80 */
obj_t BgL_method2766z00_3618;
{ /* Jvm/lisp.scm 80 */
long BgL_objzd2classzd2numz00_3620;
{ /* Jvm/lisp.scm 80 */
BgL_objectz00_bglt BgL_auxz00_4925;
BgL_auxz00_4925 = 
(BgL_objectz00_bglt)(BgL_ez00_3617); 
BgL_objzd2classzd2numz00_3620 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4925); } 
{ /* Jvm/lisp.scm 80 */
obj_t BgL_arg1221z00_3621;
{ /* Jvm/lisp.scm 80 */
int BgL_auxz00_4928;
BgL_auxz00_4928 = 
(int)(((long)1)); 
BgL_arg1221z00_3621 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4928); } 
{ /* Jvm/lisp.scm 80 */
long BgL_offsetz00_3625;
{ /* Jvm/lisp.scm 80 */
long BgL_auxz00_4931;
{ /* Jvm/lisp.scm 80 */
int BgL_auxz00_4932;
BgL_auxz00_4932 = 
(int)(BgL_objzd2classzd2numz00_3620); 
BgL_auxz00_4931 = 
(long)(BgL_auxz00_4932); } 
BgL_offsetz00_3625 = 
(BgL_auxz00_4931-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 80 */
long BgL_modz00_3626;
{ /* Jvm/lisp.scm 80 */
long BgL_auxz00_4936;
{ /* Jvm/lisp.scm 80 */
int BgL_auxz00_4937;
BgL_auxz00_4937 = 
(int)(((long)8)); 
BgL_auxz00_4936 = 
(long)(BgL_auxz00_4937); } 
BgL_modz00_3626 = 
(BgL_offsetz00_3625/BgL_auxz00_4936); } 
{ /* Jvm/lisp.scm 80 */
long BgL_restz00_3628;
{ /* Jvm/lisp.scm 80 */
long BgL_auxz00_4941;
{ /* Jvm/lisp.scm 80 */
int BgL_auxz00_4942;
BgL_auxz00_4942 = 
(int)(((long)8)); 
BgL_auxz00_4941 = 
(long)(BgL_auxz00_4942); } 
BgL_restz00_3628 = 
(BgL_offsetz00_3625%BgL_auxz00_4941); } 
{ /* Jvm/lisp.scm 80 */

{ /* Jvm/lisp.scm 80 */
obj_t BgL_bucketz00_3630;
{ /* Jvm/lisp.scm 80 */
int BgL_kz00_3640;
BgL_kz00_3640 = 
(int)(BgL_modz00_3626); 
BgL_bucketz00_3630 = 
VECTOR_REF(BgL_arg1221z00_3621,BgL_kz00_3640); } 
{ /* Jvm/lisp.scm 80 */
int BgL_kz00_3642;
BgL_kz00_3642 = 
(int)(BgL_restz00_3628); 
BgL_method2766z00_3618 = 
VECTOR_REF(BgL_bucketz00_3630,BgL_kz00_3642); } } } } } } } } 
BgL_arg3097z00_2026 = 
PROCEDURE_ENTRY(BgL_method2766z00_3618)(BgL_method2766z00_3618, 
(obj_t)(BgL_ez00_3617), BEOA); } } 
BgL_head2738z00_2015 = 
MAKE_PAIR(BgL_arg3097z00_2026, BNIL); } 
{ 
obj_t BgL_l2736z00_2016;obj_t BgL_tail2739z00_2017;
BgL_l2736z00_2016 = 
CDR(BgL_l2736z00_2013); 
BgL_tail2739z00_2017 = BgL_head2738z00_2015; 
BgL_lname2737z00_2018:
if(
NULLP(BgL_l2736z00_2016))
{ /* Jvm/lisp.scm 80 */
BgL_arg3087z00_2011 = BgL_head2738z00_2015; }  else 
{ /* Jvm/lisp.scm 80 */
obj_t BgL_newtail2740z00_2021;
{ /* Jvm/lisp.scm 80 */
obj_t BgL_arg3094z00_2023;
{ /* Jvm/lisp.scm 80 */
BgL_nodez00_bglt BgL_ez00_3648;
{ /* Jvm/lisp.scm 80 */
obj_t BgL_auxz00_4956;
BgL_auxz00_4956 = 
CAR(BgL_l2736z00_2016); 
BgL_ez00_3648 = 
(BgL_nodez00_bglt)(BgL_auxz00_4956); } 
{ /* Jvm/lisp.scm 80 */
obj_t BgL_method2766z00_3649;
{ /* Jvm/lisp.scm 80 */
long BgL_objzd2classzd2numz00_3651;
{ /* Jvm/lisp.scm 80 */
BgL_objectz00_bglt BgL_auxz00_4959;
BgL_auxz00_4959 = 
(BgL_objectz00_bglt)(BgL_ez00_3648); 
BgL_objzd2classzd2numz00_3651 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4959); } 
{ /* Jvm/lisp.scm 80 */
obj_t BgL_arg1221z00_3652;
{ /* Jvm/lisp.scm 80 */
int BgL_auxz00_4962;
BgL_auxz00_4962 = 
(int)(((long)1)); 
BgL_arg1221z00_3652 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_4962); } 
{ /* Jvm/lisp.scm 80 */
long BgL_offsetz00_3656;
{ /* Jvm/lisp.scm 80 */
long BgL_auxz00_4965;
{ /* Jvm/lisp.scm 80 */
int BgL_auxz00_4966;
BgL_auxz00_4966 = 
(int)(BgL_objzd2classzd2numz00_3651); 
BgL_auxz00_4965 = 
(long)(BgL_auxz00_4966); } 
BgL_offsetz00_3656 = 
(BgL_auxz00_4965-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 80 */
long BgL_modz00_3657;
{ /* Jvm/lisp.scm 80 */
long BgL_auxz00_4970;
{ /* Jvm/lisp.scm 80 */
int BgL_auxz00_4971;
BgL_auxz00_4971 = 
(int)(((long)8)); 
BgL_auxz00_4970 = 
(long)(BgL_auxz00_4971); } 
BgL_modz00_3657 = 
(BgL_offsetz00_3656/BgL_auxz00_4970); } 
{ /* Jvm/lisp.scm 80 */
long BgL_restz00_3659;
{ /* Jvm/lisp.scm 80 */
long BgL_auxz00_4975;
{ /* Jvm/lisp.scm 80 */
int BgL_auxz00_4976;
BgL_auxz00_4976 = 
(int)(((long)8)); 
BgL_auxz00_4975 = 
(long)(BgL_auxz00_4976); } 
BgL_restz00_3659 = 
(BgL_offsetz00_3656%BgL_auxz00_4975); } 
{ /* Jvm/lisp.scm 80 */

{ /* Jvm/lisp.scm 80 */
obj_t BgL_bucketz00_3661;
{ /* Jvm/lisp.scm 80 */
int BgL_kz00_3671;
BgL_kz00_3671 = 
(int)(BgL_modz00_3657); 
BgL_bucketz00_3661 = 
VECTOR_REF(BgL_arg1221z00_3652,BgL_kz00_3671); } 
{ /* Jvm/lisp.scm 80 */
int BgL_kz00_3673;
BgL_kz00_3673 = 
(int)(BgL_restz00_3659); 
BgL_method2766z00_3649 = 
VECTOR_REF(BgL_bucketz00_3661,BgL_kz00_3673); } } } } } } } } 
BgL_arg3094z00_2023 = 
PROCEDURE_ENTRY(BgL_method2766z00_3649)(BgL_method2766z00_3649, 
(obj_t)(BgL_ez00_3648), BEOA); } } 
BgL_newtail2740z00_2021 = 
MAKE_PAIR(BgL_arg3094z00_2023, BNIL); } 
SET_CDR(BgL_tail2739z00_2017, BgL_newtail2740z00_2021); 
{ 
obj_t BgL_tail2739z00_4991;obj_t BgL_l2736z00_4989;
BgL_l2736z00_4989 = 
CDR(BgL_l2736z00_2016); 
BgL_tail2739z00_4991 = BgL_newtail2740z00_2021; 
BgL_tail2739z00_2017 = BgL_tail2739z00_4991; 
BgL_l2736z00_2016 = BgL_l2736z00_4989; 
goto BgL_lname2737z00_2018;} } } } } 
BgL_arg3086z00_2010 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3087z00_2011, BNIL); } 
return 
MAKE_PAIR(BgL_arg3085z00_2009, BgL_arg3086z00_2010);} } } 
}



/* compile-lisp-vref2798 */
obj_t BGl_compilezd2lispzd2vref2798z00zzjvm_lispz00(obj_t BgL_envz00_4211, obj_t BgL_ez00_4212)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 76 */
{ 
BgL_vrefz00_bglt BgL_ez00_1981;
BgL_ez00_1981 = 
(BgL_vrefz00_bglt)(BgL_ez00_4212); 
{ /* Jvm/lisp.scm 77 */
obj_t BgL_arg3070z00_1984;obj_t BgL_arg3071z00_1985;
BgL_arg3070z00_1984 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/lisp.scm 77 */
obj_t BgL_arg3072z00_1986;
{ /* Jvm/lisp.scm 77 */
obj_t BgL_l2731z00_1988;
{ /* Jvm/lisp.scm 77 */
BgL_externz00_bglt BgL_obj1825z00_3549;
BgL_obj1825z00_3549 = 
(BgL_externz00_bglt)(BgL_ez00_1981); 
BgL_l2731z00_1988 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3549))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2731z00_1988))
{ /* Jvm/lisp.scm 77 */
BgL_arg3072z00_1986 = BNIL; }  else 
{ /* Jvm/lisp.scm 77 */
obj_t BgL_head2733z00_1990;
{ /* Jvm/lisp.scm 77 */
obj_t BgL_arg3081z00_2001;
{ /* Jvm/lisp.scm 77 */
BgL_nodez00_bglt BgL_ez00_3552;
{ /* Jvm/lisp.scm 77 */
obj_t BgL_auxz00_5001;
BgL_auxz00_5001 = 
CAR(BgL_l2731z00_1988); 
BgL_ez00_3552 = 
(BgL_nodez00_bglt)(BgL_auxz00_5001); } 
{ /* Jvm/lisp.scm 77 */
obj_t BgL_method2766z00_3553;
{ /* Jvm/lisp.scm 77 */
long BgL_objzd2classzd2numz00_3555;
{ /* Jvm/lisp.scm 77 */
BgL_objectz00_bglt BgL_auxz00_5004;
BgL_auxz00_5004 = 
(BgL_objectz00_bglt)(BgL_ez00_3552); 
BgL_objzd2classzd2numz00_3555 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5004); } 
{ /* Jvm/lisp.scm 77 */
obj_t BgL_arg1221z00_3556;
{ /* Jvm/lisp.scm 77 */
int BgL_auxz00_5007;
BgL_auxz00_5007 = 
(int)(((long)1)); 
BgL_arg1221z00_3556 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5007); } 
{ /* Jvm/lisp.scm 77 */
long BgL_offsetz00_3560;
{ /* Jvm/lisp.scm 77 */
long BgL_auxz00_5010;
{ /* Jvm/lisp.scm 77 */
int BgL_auxz00_5011;
BgL_auxz00_5011 = 
(int)(BgL_objzd2classzd2numz00_3555); 
BgL_auxz00_5010 = 
(long)(BgL_auxz00_5011); } 
BgL_offsetz00_3560 = 
(BgL_auxz00_5010-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 77 */
long BgL_modz00_3561;
{ /* Jvm/lisp.scm 77 */
long BgL_auxz00_5015;
{ /* Jvm/lisp.scm 77 */
int BgL_auxz00_5016;
BgL_auxz00_5016 = 
(int)(((long)8)); 
BgL_auxz00_5015 = 
(long)(BgL_auxz00_5016); } 
BgL_modz00_3561 = 
(BgL_offsetz00_3560/BgL_auxz00_5015); } 
{ /* Jvm/lisp.scm 77 */
long BgL_restz00_3563;
{ /* Jvm/lisp.scm 77 */
long BgL_auxz00_5020;
{ /* Jvm/lisp.scm 77 */
int BgL_auxz00_5021;
BgL_auxz00_5021 = 
(int)(((long)8)); 
BgL_auxz00_5020 = 
(long)(BgL_auxz00_5021); } 
BgL_restz00_3563 = 
(BgL_offsetz00_3560%BgL_auxz00_5020); } 
{ /* Jvm/lisp.scm 77 */

{ /* Jvm/lisp.scm 77 */
obj_t BgL_bucketz00_3565;
{ /* Jvm/lisp.scm 77 */
int BgL_kz00_3575;
BgL_kz00_3575 = 
(int)(BgL_modz00_3561); 
BgL_bucketz00_3565 = 
VECTOR_REF(BgL_arg1221z00_3556,BgL_kz00_3575); } 
{ /* Jvm/lisp.scm 77 */
int BgL_kz00_3577;
BgL_kz00_3577 = 
(int)(BgL_restz00_3563); 
BgL_method2766z00_3553 = 
VECTOR_REF(BgL_bucketz00_3565,BgL_kz00_3577); } } } } } } } } 
BgL_arg3081z00_2001 = 
PROCEDURE_ENTRY(BgL_method2766z00_3553)(BgL_method2766z00_3553, 
(obj_t)(BgL_ez00_3552), BEOA); } } 
BgL_head2733z00_1990 = 
MAKE_PAIR(BgL_arg3081z00_2001, BNIL); } 
{ 
obj_t BgL_l2731z00_1991;obj_t BgL_tail2734z00_1992;
BgL_l2731z00_1991 = 
CDR(BgL_l2731z00_1988); 
BgL_tail2734z00_1992 = BgL_head2733z00_1990; 
BgL_lname2732z00_1993:
if(
NULLP(BgL_l2731z00_1991))
{ /* Jvm/lisp.scm 77 */
BgL_arg3072z00_1986 = BgL_head2733z00_1990; }  else 
{ /* Jvm/lisp.scm 77 */
obj_t BgL_newtail2735z00_1996;
{ /* Jvm/lisp.scm 77 */
obj_t BgL_arg3078z00_1998;
{ /* Jvm/lisp.scm 77 */
BgL_nodez00_bglt BgL_ez00_3583;
{ /* Jvm/lisp.scm 77 */
obj_t BgL_auxz00_5035;
BgL_auxz00_5035 = 
CAR(BgL_l2731z00_1991); 
BgL_ez00_3583 = 
(BgL_nodez00_bglt)(BgL_auxz00_5035); } 
{ /* Jvm/lisp.scm 77 */
obj_t BgL_method2766z00_3584;
{ /* Jvm/lisp.scm 77 */
long BgL_objzd2classzd2numz00_3586;
{ /* Jvm/lisp.scm 77 */
BgL_objectz00_bglt BgL_auxz00_5038;
BgL_auxz00_5038 = 
(BgL_objectz00_bglt)(BgL_ez00_3583); 
BgL_objzd2classzd2numz00_3586 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5038); } 
{ /* Jvm/lisp.scm 77 */
obj_t BgL_arg1221z00_3587;
{ /* Jvm/lisp.scm 77 */
int BgL_auxz00_5041;
BgL_auxz00_5041 = 
(int)(((long)1)); 
BgL_arg1221z00_3587 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5041); } 
{ /* Jvm/lisp.scm 77 */
long BgL_offsetz00_3591;
{ /* Jvm/lisp.scm 77 */
long BgL_auxz00_5044;
{ /* Jvm/lisp.scm 77 */
int BgL_auxz00_5045;
BgL_auxz00_5045 = 
(int)(BgL_objzd2classzd2numz00_3586); 
BgL_auxz00_5044 = 
(long)(BgL_auxz00_5045); } 
BgL_offsetz00_3591 = 
(BgL_auxz00_5044-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 77 */
long BgL_modz00_3592;
{ /* Jvm/lisp.scm 77 */
long BgL_auxz00_5049;
{ /* Jvm/lisp.scm 77 */
int BgL_auxz00_5050;
BgL_auxz00_5050 = 
(int)(((long)8)); 
BgL_auxz00_5049 = 
(long)(BgL_auxz00_5050); } 
BgL_modz00_3592 = 
(BgL_offsetz00_3591/BgL_auxz00_5049); } 
{ /* Jvm/lisp.scm 77 */
long BgL_restz00_3594;
{ /* Jvm/lisp.scm 77 */
long BgL_auxz00_5054;
{ /* Jvm/lisp.scm 77 */
int BgL_auxz00_5055;
BgL_auxz00_5055 = 
(int)(((long)8)); 
BgL_auxz00_5054 = 
(long)(BgL_auxz00_5055); } 
BgL_restz00_3594 = 
(BgL_offsetz00_3591%BgL_auxz00_5054); } 
{ /* Jvm/lisp.scm 77 */

{ /* Jvm/lisp.scm 77 */
obj_t BgL_bucketz00_3596;
{ /* Jvm/lisp.scm 77 */
int BgL_kz00_3606;
BgL_kz00_3606 = 
(int)(BgL_modz00_3592); 
BgL_bucketz00_3596 = 
VECTOR_REF(BgL_arg1221z00_3587,BgL_kz00_3606); } 
{ /* Jvm/lisp.scm 77 */
int BgL_kz00_3608;
BgL_kz00_3608 = 
(int)(BgL_restz00_3594); 
BgL_method2766z00_3584 = 
VECTOR_REF(BgL_bucketz00_3596,BgL_kz00_3608); } } } } } } } } 
BgL_arg3078z00_1998 = 
PROCEDURE_ENTRY(BgL_method2766z00_3584)(BgL_method2766z00_3584, 
(obj_t)(BgL_ez00_3583), BEOA); } } 
BgL_newtail2735z00_1996 = 
MAKE_PAIR(BgL_arg3078z00_1998, BNIL); } 
SET_CDR(BgL_tail2734z00_1992, BgL_newtail2735z00_1996); 
{ 
obj_t BgL_tail2734z00_5070;obj_t BgL_l2731z00_5068;
BgL_l2731z00_5068 = 
CDR(BgL_l2731z00_1991); 
BgL_tail2734z00_5070 = BgL_newtail2735z00_1996; 
BgL_tail2734z00_1992 = BgL_tail2734z00_5070; 
BgL_l2731z00_1991 = BgL_l2731z00_5068; 
goto BgL_lname2732z00_1993;} } } } } 
BgL_arg3071z00_1985 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3072z00_1986, BNIL); } 
return 
MAKE_PAIR(BgL_arg3070z00_1984, BgL_arg3071z00_1985);} } } 
}



/* compile-lisp-valloc2796 */
obj_t BGl_compilezd2lispzd2valloc2796z00zzjvm_lispz00(obj_t BgL_envz00_4213, obj_t BgL_ez00_4214)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 73 */
{ 
BgL_vallocz00_bglt BgL_ez00_1956;
BgL_ez00_1956 = 
(BgL_vallocz00_bglt)(BgL_ez00_4214); 
{ /* Jvm/lisp.scm 74 */
obj_t BgL_arg3055z00_1959;obj_t BgL_arg3056z00_1960;
BgL_arg3055z00_1959 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/lisp.scm 74 */
obj_t BgL_arg3057z00_1961;
{ /* Jvm/lisp.scm 74 */
obj_t BgL_l2726z00_1963;
{ /* Jvm/lisp.scm 74 */
BgL_externz00_bglt BgL_obj1825z00_3484;
BgL_obj1825z00_3484 = 
(BgL_externz00_bglt)(BgL_ez00_1956); 
BgL_l2726z00_1963 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3484))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2726z00_1963))
{ /* Jvm/lisp.scm 74 */
BgL_arg3057z00_1961 = BNIL; }  else 
{ /* Jvm/lisp.scm 74 */
obj_t BgL_head2728z00_1965;
{ /* Jvm/lisp.scm 74 */
obj_t BgL_arg3066z00_1976;
{ /* Jvm/lisp.scm 74 */
BgL_nodez00_bglt BgL_ez00_3487;
{ /* Jvm/lisp.scm 74 */
obj_t BgL_auxz00_5080;
BgL_auxz00_5080 = 
CAR(BgL_l2726z00_1963); 
BgL_ez00_3487 = 
(BgL_nodez00_bglt)(BgL_auxz00_5080); } 
{ /* Jvm/lisp.scm 74 */
obj_t BgL_method2766z00_3488;
{ /* Jvm/lisp.scm 74 */
long BgL_objzd2classzd2numz00_3490;
{ /* Jvm/lisp.scm 74 */
BgL_objectz00_bglt BgL_auxz00_5083;
BgL_auxz00_5083 = 
(BgL_objectz00_bglt)(BgL_ez00_3487); 
BgL_objzd2classzd2numz00_3490 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5083); } 
{ /* Jvm/lisp.scm 74 */
obj_t BgL_arg1221z00_3491;
{ /* Jvm/lisp.scm 74 */
int BgL_auxz00_5086;
BgL_auxz00_5086 = 
(int)(((long)1)); 
BgL_arg1221z00_3491 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5086); } 
{ /* Jvm/lisp.scm 74 */
long BgL_offsetz00_3495;
{ /* Jvm/lisp.scm 74 */
long BgL_auxz00_5089;
{ /* Jvm/lisp.scm 74 */
int BgL_auxz00_5090;
BgL_auxz00_5090 = 
(int)(BgL_objzd2classzd2numz00_3490); 
BgL_auxz00_5089 = 
(long)(BgL_auxz00_5090); } 
BgL_offsetz00_3495 = 
(BgL_auxz00_5089-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 74 */
long BgL_modz00_3496;
{ /* Jvm/lisp.scm 74 */
long BgL_auxz00_5094;
{ /* Jvm/lisp.scm 74 */
int BgL_auxz00_5095;
BgL_auxz00_5095 = 
(int)(((long)8)); 
BgL_auxz00_5094 = 
(long)(BgL_auxz00_5095); } 
BgL_modz00_3496 = 
(BgL_offsetz00_3495/BgL_auxz00_5094); } 
{ /* Jvm/lisp.scm 74 */
long BgL_restz00_3498;
{ /* Jvm/lisp.scm 74 */
long BgL_auxz00_5099;
{ /* Jvm/lisp.scm 74 */
int BgL_auxz00_5100;
BgL_auxz00_5100 = 
(int)(((long)8)); 
BgL_auxz00_5099 = 
(long)(BgL_auxz00_5100); } 
BgL_restz00_3498 = 
(BgL_offsetz00_3495%BgL_auxz00_5099); } 
{ /* Jvm/lisp.scm 74 */

{ /* Jvm/lisp.scm 74 */
obj_t BgL_bucketz00_3500;
{ /* Jvm/lisp.scm 74 */
int BgL_kz00_3510;
BgL_kz00_3510 = 
(int)(BgL_modz00_3496); 
BgL_bucketz00_3500 = 
VECTOR_REF(BgL_arg1221z00_3491,BgL_kz00_3510); } 
{ /* Jvm/lisp.scm 74 */
int BgL_kz00_3512;
BgL_kz00_3512 = 
(int)(BgL_restz00_3498); 
BgL_method2766z00_3488 = 
VECTOR_REF(BgL_bucketz00_3500,BgL_kz00_3512); } } } } } } } } 
BgL_arg3066z00_1976 = 
PROCEDURE_ENTRY(BgL_method2766z00_3488)(BgL_method2766z00_3488, 
(obj_t)(BgL_ez00_3487), BEOA); } } 
BgL_head2728z00_1965 = 
MAKE_PAIR(BgL_arg3066z00_1976, BNIL); } 
{ 
obj_t BgL_l2726z00_1966;obj_t BgL_tail2729z00_1967;
BgL_l2726z00_1966 = 
CDR(BgL_l2726z00_1963); 
BgL_tail2729z00_1967 = BgL_head2728z00_1965; 
BgL_lname2727z00_1968:
if(
NULLP(BgL_l2726z00_1966))
{ /* Jvm/lisp.scm 74 */
BgL_arg3057z00_1961 = BgL_head2728z00_1965; }  else 
{ /* Jvm/lisp.scm 74 */
obj_t BgL_newtail2730z00_1971;
{ /* Jvm/lisp.scm 74 */
obj_t BgL_arg3063z00_1973;
{ /* Jvm/lisp.scm 74 */
BgL_nodez00_bglt BgL_ez00_3518;
{ /* Jvm/lisp.scm 74 */
obj_t BgL_auxz00_5114;
BgL_auxz00_5114 = 
CAR(BgL_l2726z00_1966); 
BgL_ez00_3518 = 
(BgL_nodez00_bglt)(BgL_auxz00_5114); } 
{ /* Jvm/lisp.scm 74 */
obj_t BgL_method2766z00_3519;
{ /* Jvm/lisp.scm 74 */
long BgL_objzd2classzd2numz00_3521;
{ /* Jvm/lisp.scm 74 */
BgL_objectz00_bglt BgL_auxz00_5117;
BgL_auxz00_5117 = 
(BgL_objectz00_bglt)(BgL_ez00_3518); 
BgL_objzd2classzd2numz00_3521 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5117); } 
{ /* Jvm/lisp.scm 74 */
obj_t BgL_arg1221z00_3522;
{ /* Jvm/lisp.scm 74 */
int BgL_auxz00_5120;
BgL_auxz00_5120 = 
(int)(((long)1)); 
BgL_arg1221z00_3522 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5120); } 
{ /* Jvm/lisp.scm 74 */
long BgL_offsetz00_3526;
{ /* Jvm/lisp.scm 74 */
long BgL_auxz00_5123;
{ /* Jvm/lisp.scm 74 */
int BgL_auxz00_5124;
BgL_auxz00_5124 = 
(int)(BgL_objzd2classzd2numz00_3521); 
BgL_auxz00_5123 = 
(long)(BgL_auxz00_5124); } 
BgL_offsetz00_3526 = 
(BgL_auxz00_5123-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 74 */
long BgL_modz00_3527;
{ /* Jvm/lisp.scm 74 */
long BgL_auxz00_5128;
{ /* Jvm/lisp.scm 74 */
int BgL_auxz00_5129;
BgL_auxz00_5129 = 
(int)(((long)8)); 
BgL_auxz00_5128 = 
(long)(BgL_auxz00_5129); } 
BgL_modz00_3527 = 
(BgL_offsetz00_3526/BgL_auxz00_5128); } 
{ /* Jvm/lisp.scm 74 */
long BgL_restz00_3529;
{ /* Jvm/lisp.scm 74 */
long BgL_auxz00_5133;
{ /* Jvm/lisp.scm 74 */
int BgL_auxz00_5134;
BgL_auxz00_5134 = 
(int)(((long)8)); 
BgL_auxz00_5133 = 
(long)(BgL_auxz00_5134); } 
BgL_restz00_3529 = 
(BgL_offsetz00_3526%BgL_auxz00_5133); } 
{ /* Jvm/lisp.scm 74 */

{ /* Jvm/lisp.scm 74 */
obj_t BgL_bucketz00_3531;
{ /* Jvm/lisp.scm 74 */
int BgL_kz00_3541;
BgL_kz00_3541 = 
(int)(BgL_modz00_3527); 
BgL_bucketz00_3531 = 
VECTOR_REF(BgL_arg1221z00_3522,BgL_kz00_3541); } 
{ /* Jvm/lisp.scm 74 */
int BgL_kz00_3543;
BgL_kz00_3543 = 
(int)(BgL_restz00_3529); 
BgL_method2766z00_3519 = 
VECTOR_REF(BgL_bucketz00_3531,BgL_kz00_3543); } } } } } } } } 
BgL_arg3063z00_1973 = 
PROCEDURE_ENTRY(BgL_method2766z00_3519)(BgL_method2766z00_3519, 
(obj_t)(BgL_ez00_3518), BEOA); } } 
BgL_newtail2730z00_1971 = 
MAKE_PAIR(BgL_arg3063z00_1973, BNIL); } 
SET_CDR(BgL_tail2729z00_1967, BgL_newtail2730z00_1971); 
{ 
obj_t BgL_tail2729z00_5149;obj_t BgL_l2726z00_5147;
BgL_l2726z00_5147 = 
CDR(BgL_l2726z00_1966); 
BgL_tail2729z00_5149 = BgL_newtail2730z00_1971; 
BgL_tail2729z00_1967 = BgL_tail2729z00_5149; 
BgL_l2726z00_1966 = BgL_l2726z00_5147; 
goto BgL_lname2727z00_1968;} } } } } 
BgL_arg3056z00_1960 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3057z00_1961, BNIL); } 
return 
MAKE_PAIR(BgL_arg3055z00_1959, BgL_arg3056z00_1960);} } } 
}



/* compile-lisp-new2794 */
obj_t BGl_compilezd2lispzd2new2794z00zzjvm_lispz00(obj_t BgL_envz00_4215, obj_t BgL_ez00_4216)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 70 */
{ 
BgL_newz00_bglt BgL_ez00_1931;
BgL_ez00_1931 = 
(BgL_newz00_bglt)(BgL_ez00_4216); 
{ /* Jvm/lisp.scm 71 */
obj_t BgL_arg3040z00_1934;obj_t BgL_arg3041z00_1935;
BgL_arg3040z00_1934 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/lisp.scm 71 */
obj_t BgL_arg3042z00_1936;
{ /* Jvm/lisp.scm 71 */
obj_t BgL_l2721z00_1938;
{ /* Jvm/lisp.scm 71 */
BgL_externz00_bglt BgL_obj1825z00_3419;
BgL_obj1825z00_3419 = 
(BgL_externz00_bglt)(BgL_ez00_1931); 
BgL_l2721z00_1938 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3419))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2721z00_1938))
{ /* Jvm/lisp.scm 71 */
BgL_arg3042z00_1936 = BNIL; }  else 
{ /* Jvm/lisp.scm 71 */
obj_t BgL_head2723z00_1940;
{ /* Jvm/lisp.scm 71 */
obj_t BgL_arg3051z00_1951;
{ /* Jvm/lisp.scm 71 */
BgL_nodez00_bglt BgL_ez00_3422;
{ /* Jvm/lisp.scm 71 */
obj_t BgL_auxz00_5159;
BgL_auxz00_5159 = 
CAR(BgL_l2721z00_1938); 
BgL_ez00_3422 = 
(BgL_nodez00_bglt)(BgL_auxz00_5159); } 
{ /* Jvm/lisp.scm 71 */
obj_t BgL_method2766z00_3423;
{ /* Jvm/lisp.scm 71 */
long BgL_objzd2classzd2numz00_3425;
{ /* Jvm/lisp.scm 71 */
BgL_objectz00_bglt BgL_auxz00_5162;
BgL_auxz00_5162 = 
(BgL_objectz00_bglt)(BgL_ez00_3422); 
BgL_objzd2classzd2numz00_3425 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5162); } 
{ /* Jvm/lisp.scm 71 */
obj_t BgL_arg1221z00_3426;
{ /* Jvm/lisp.scm 71 */
int BgL_auxz00_5165;
BgL_auxz00_5165 = 
(int)(((long)1)); 
BgL_arg1221z00_3426 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5165); } 
{ /* Jvm/lisp.scm 71 */
long BgL_offsetz00_3430;
{ /* Jvm/lisp.scm 71 */
long BgL_auxz00_5168;
{ /* Jvm/lisp.scm 71 */
int BgL_auxz00_5169;
BgL_auxz00_5169 = 
(int)(BgL_objzd2classzd2numz00_3425); 
BgL_auxz00_5168 = 
(long)(BgL_auxz00_5169); } 
BgL_offsetz00_3430 = 
(BgL_auxz00_5168-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 71 */
long BgL_modz00_3431;
{ /* Jvm/lisp.scm 71 */
long BgL_auxz00_5173;
{ /* Jvm/lisp.scm 71 */
int BgL_auxz00_5174;
BgL_auxz00_5174 = 
(int)(((long)8)); 
BgL_auxz00_5173 = 
(long)(BgL_auxz00_5174); } 
BgL_modz00_3431 = 
(BgL_offsetz00_3430/BgL_auxz00_5173); } 
{ /* Jvm/lisp.scm 71 */
long BgL_restz00_3433;
{ /* Jvm/lisp.scm 71 */
long BgL_auxz00_5178;
{ /* Jvm/lisp.scm 71 */
int BgL_auxz00_5179;
BgL_auxz00_5179 = 
(int)(((long)8)); 
BgL_auxz00_5178 = 
(long)(BgL_auxz00_5179); } 
BgL_restz00_3433 = 
(BgL_offsetz00_3430%BgL_auxz00_5178); } 
{ /* Jvm/lisp.scm 71 */

{ /* Jvm/lisp.scm 71 */
obj_t BgL_bucketz00_3435;
{ /* Jvm/lisp.scm 71 */
int BgL_kz00_3445;
BgL_kz00_3445 = 
(int)(BgL_modz00_3431); 
BgL_bucketz00_3435 = 
VECTOR_REF(BgL_arg1221z00_3426,BgL_kz00_3445); } 
{ /* Jvm/lisp.scm 71 */
int BgL_kz00_3447;
BgL_kz00_3447 = 
(int)(BgL_restz00_3433); 
BgL_method2766z00_3423 = 
VECTOR_REF(BgL_bucketz00_3435,BgL_kz00_3447); } } } } } } } } 
BgL_arg3051z00_1951 = 
PROCEDURE_ENTRY(BgL_method2766z00_3423)(BgL_method2766z00_3423, 
(obj_t)(BgL_ez00_3422), BEOA); } } 
BgL_head2723z00_1940 = 
MAKE_PAIR(BgL_arg3051z00_1951, BNIL); } 
{ 
obj_t BgL_l2721z00_1941;obj_t BgL_tail2724z00_1942;
BgL_l2721z00_1941 = 
CDR(BgL_l2721z00_1938); 
BgL_tail2724z00_1942 = BgL_head2723z00_1940; 
BgL_lname2722z00_1943:
if(
NULLP(BgL_l2721z00_1941))
{ /* Jvm/lisp.scm 71 */
BgL_arg3042z00_1936 = BgL_head2723z00_1940; }  else 
{ /* Jvm/lisp.scm 71 */
obj_t BgL_newtail2725z00_1946;
{ /* Jvm/lisp.scm 71 */
obj_t BgL_arg3048z00_1948;
{ /* Jvm/lisp.scm 71 */
BgL_nodez00_bglt BgL_ez00_3453;
{ /* Jvm/lisp.scm 71 */
obj_t BgL_auxz00_5193;
BgL_auxz00_5193 = 
CAR(BgL_l2721z00_1941); 
BgL_ez00_3453 = 
(BgL_nodez00_bglt)(BgL_auxz00_5193); } 
{ /* Jvm/lisp.scm 71 */
obj_t BgL_method2766z00_3454;
{ /* Jvm/lisp.scm 71 */
long BgL_objzd2classzd2numz00_3456;
{ /* Jvm/lisp.scm 71 */
BgL_objectz00_bglt BgL_auxz00_5196;
BgL_auxz00_5196 = 
(BgL_objectz00_bglt)(BgL_ez00_3453); 
BgL_objzd2classzd2numz00_3456 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5196); } 
{ /* Jvm/lisp.scm 71 */
obj_t BgL_arg1221z00_3457;
{ /* Jvm/lisp.scm 71 */
int BgL_auxz00_5199;
BgL_auxz00_5199 = 
(int)(((long)1)); 
BgL_arg1221z00_3457 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5199); } 
{ /* Jvm/lisp.scm 71 */
long BgL_offsetz00_3461;
{ /* Jvm/lisp.scm 71 */
long BgL_auxz00_5202;
{ /* Jvm/lisp.scm 71 */
int BgL_auxz00_5203;
BgL_auxz00_5203 = 
(int)(BgL_objzd2classzd2numz00_3456); 
BgL_auxz00_5202 = 
(long)(BgL_auxz00_5203); } 
BgL_offsetz00_3461 = 
(BgL_auxz00_5202-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 71 */
long BgL_modz00_3462;
{ /* Jvm/lisp.scm 71 */
long BgL_auxz00_5207;
{ /* Jvm/lisp.scm 71 */
int BgL_auxz00_5208;
BgL_auxz00_5208 = 
(int)(((long)8)); 
BgL_auxz00_5207 = 
(long)(BgL_auxz00_5208); } 
BgL_modz00_3462 = 
(BgL_offsetz00_3461/BgL_auxz00_5207); } 
{ /* Jvm/lisp.scm 71 */
long BgL_restz00_3464;
{ /* Jvm/lisp.scm 71 */
long BgL_auxz00_5212;
{ /* Jvm/lisp.scm 71 */
int BgL_auxz00_5213;
BgL_auxz00_5213 = 
(int)(((long)8)); 
BgL_auxz00_5212 = 
(long)(BgL_auxz00_5213); } 
BgL_restz00_3464 = 
(BgL_offsetz00_3461%BgL_auxz00_5212); } 
{ /* Jvm/lisp.scm 71 */

{ /* Jvm/lisp.scm 71 */
obj_t BgL_bucketz00_3466;
{ /* Jvm/lisp.scm 71 */
int BgL_kz00_3476;
BgL_kz00_3476 = 
(int)(BgL_modz00_3462); 
BgL_bucketz00_3466 = 
VECTOR_REF(BgL_arg1221z00_3457,BgL_kz00_3476); } 
{ /* Jvm/lisp.scm 71 */
int BgL_kz00_3478;
BgL_kz00_3478 = 
(int)(BgL_restz00_3464); 
BgL_method2766z00_3454 = 
VECTOR_REF(BgL_bucketz00_3466,BgL_kz00_3478); } } } } } } } } 
BgL_arg3048z00_1948 = 
PROCEDURE_ENTRY(BgL_method2766z00_3454)(BgL_method2766z00_3454, 
(obj_t)(BgL_ez00_3453), BEOA); } } 
BgL_newtail2725z00_1946 = 
MAKE_PAIR(BgL_arg3048z00_1948, BNIL); } 
SET_CDR(BgL_tail2724z00_1942, BgL_newtail2725z00_1946); 
{ 
obj_t BgL_tail2724z00_5228;obj_t BgL_l2721z00_5226;
BgL_l2721z00_5226 = 
CDR(BgL_l2721z00_1941); 
BgL_tail2724z00_5228 = BgL_newtail2725z00_1946; 
BgL_tail2724z00_1942 = BgL_tail2724z00_5228; 
BgL_l2721z00_1941 = BgL_l2721z00_5226; 
goto BgL_lname2722z00_1943;} } } } } 
BgL_arg3041z00_1935 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3042z00_1936, BNIL); } 
return 
MAKE_PAIR(BgL_arg3040z00_1934, BgL_arg3041z00_1935);} } } 
}



/* compile-lisp-setfield2792 */
obj_t BGl_compilezd2lispzd2setfield2792z00zzjvm_lispz00(obj_t BgL_envz00_4217, obj_t BgL_ez00_4218)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 67 */
{ 
BgL_setfieldz00_bglt BgL_ez00_1906;
BgL_ez00_1906 = 
(BgL_setfieldz00_bglt)(BgL_ez00_4218); 
{ /* Jvm/lisp.scm 68 */
obj_t BgL_arg3025z00_1909;obj_t BgL_arg3026z00_1910;
BgL_arg3025z00_1909 = 
CNST_TABLE_REF(((long)13)); 
{ /* Jvm/lisp.scm 68 */
obj_t BgL_arg3027z00_1911;
{ /* Jvm/lisp.scm 68 */
obj_t BgL_l2716z00_1913;
{ /* Jvm/lisp.scm 68 */
BgL_externz00_bglt BgL_obj1825z00_3354;
BgL_obj1825z00_3354 = 
(BgL_externz00_bglt)(BgL_ez00_1906); 
BgL_l2716z00_1913 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3354))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2716z00_1913))
{ /* Jvm/lisp.scm 68 */
BgL_arg3027z00_1911 = BNIL; }  else 
{ /* Jvm/lisp.scm 68 */
obj_t BgL_head2718z00_1915;
{ /* Jvm/lisp.scm 68 */
obj_t BgL_arg3036z00_1926;
{ /* Jvm/lisp.scm 68 */
BgL_nodez00_bglt BgL_ez00_3357;
{ /* Jvm/lisp.scm 68 */
obj_t BgL_auxz00_5238;
BgL_auxz00_5238 = 
CAR(BgL_l2716z00_1913); 
BgL_ez00_3357 = 
(BgL_nodez00_bglt)(BgL_auxz00_5238); } 
{ /* Jvm/lisp.scm 68 */
obj_t BgL_method2766z00_3358;
{ /* Jvm/lisp.scm 68 */
long BgL_objzd2classzd2numz00_3360;
{ /* Jvm/lisp.scm 68 */
BgL_objectz00_bglt BgL_auxz00_5241;
BgL_auxz00_5241 = 
(BgL_objectz00_bglt)(BgL_ez00_3357); 
BgL_objzd2classzd2numz00_3360 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5241); } 
{ /* Jvm/lisp.scm 68 */
obj_t BgL_arg1221z00_3361;
{ /* Jvm/lisp.scm 68 */
int BgL_auxz00_5244;
BgL_auxz00_5244 = 
(int)(((long)1)); 
BgL_arg1221z00_3361 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5244); } 
{ /* Jvm/lisp.scm 68 */
long BgL_offsetz00_3365;
{ /* Jvm/lisp.scm 68 */
long BgL_auxz00_5247;
{ /* Jvm/lisp.scm 68 */
int BgL_auxz00_5248;
BgL_auxz00_5248 = 
(int)(BgL_objzd2classzd2numz00_3360); 
BgL_auxz00_5247 = 
(long)(BgL_auxz00_5248); } 
BgL_offsetz00_3365 = 
(BgL_auxz00_5247-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 68 */
long BgL_modz00_3366;
{ /* Jvm/lisp.scm 68 */
long BgL_auxz00_5252;
{ /* Jvm/lisp.scm 68 */
int BgL_auxz00_5253;
BgL_auxz00_5253 = 
(int)(((long)8)); 
BgL_auxz00_5252 = 
(long)(BgL_auxz00_5253); } 
BgL_modz00_3366 = 
(BgL_offsetz00_3365/BgL_auxz00_5252); } 
{ /* Jvm/lisp.scm 68 */
long BgL_restz00_3368;
{ /* Jvm/lisp.scm 68 */
long BgL_auxz00_5257;
{ /* Jvm/lisp.scm 68 */
int BgL_auxz00_5258;
BgL_auxz00_5258 = 
(int)(((long)8)); 
BgL_auxz00_5257 = 
(long)(BgL_auxz00_5258); } 
BgL_restz00_3368 = 
(BgL_offsetz00_3365%BgL_auxz00_5257); } 
{ /* Jvm/lisp.scm 68 */

{ /* Jvm/lisp.scm 68 */
obj_t BgL_bucketz00_3370;
{ /* Jvm/lisp.scm 68 */
int BgL_kz00_3380;
BgL_kz00_3380 = 
(int)(BgL_modz00_3366); 
BgL_bucketz00_3370 = 
VECTOR_REF(BgL_arg1221z00_3361,BgL_kz00_3380); } 
{ /* Jvm/lisp.scm 68 */
int BgL_kz00_3382;
BgL_kz00_3382 = 
(int)(BgL_restz00_3368); 
BgL_method2766z00_3358 = 
VECTOR_REF(BgL_bucketz00_3370,BgL_kz00_3382); } } } } } } } } 
BgL_arg3036z00_1926 = 
PROCEDURE_ENTRY(BgL_method2766z00_3358)(BgL_method2766z00_3358, 
(obj_t)(BgL_ez00_3357), BEOA); } } 
BgL_head2718z00_1915 = 
MAKE_PAIR(BgL_arg3036z00_1926, BNIL); } 
{ 
obj_t BgL_l2716z00_1916;obj_t BgL_tail2719z00_1917;
BgL_l2716z00_1916 = 
CDR(BgL_l2716z00_1913); 
BgL_tail2719z00_1917 = BgL_head2718z00_1915; 
BgL_lname2717z00_1918:
if(
NULLP(BgL_l2716z00_1916))
{ /* Jvm/lisp.scm 68 */
BgL_arg3027z00_1911 = BgL_head2718z00_1915; }  else 
{ /* Jvm/lisp.scm 68 */
obj_t BgL_newtail2720z00_1921;
{ /* Jvm/lisp.scm 68 */
obj_t BgL_arg3033z00_1923;
{ /* Jvm/lisp.scm 68 */
BgL_nodez00_bglt BgL_ez00_3388;
{ /* Jvm/lisp.scm 68 */
obj_t BgL_auxz00_5272;
BgL_auxz00_5272 = 
CAR(BgL_l2716z00_1916); 
BgL_ez00_3388 = 
(BgL_nodez00_bglt)(BgL_auxz00_5272); } 
{ /* Jvm/lisp.scm 68 */
obj_t BgL_method2766z00_3389;
{ /* Jvm/lisp.scm 68 */
long BgL_objzd2classzd2numz00_3391;
{ /* Jvm/lisp.scm 68 */
BgL_objectz00_bglt BgL_auxz00_5275;
BgL_auxz00_5275 = 
(BgL_objectz00_bglt)(BgL_ez00_3388); 
BgL_objzd2classzd2numz00_3391 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5275); } 
{ /* Jvm/lisp.scm 68 */
obj_t BgL_arg1221z00_3392;
{ /* Jvm/lisp.scm 68 */
int BgL_auxz00_5278;
BgL_auxz00_5278 = 
(int)(((long)1)); 
BgL_arg1221z00_3392 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5278); } 
{ /* Jvm/lisp.scm 68 */
long BgL_offsetz00_3396;
{ /* Jvm/lisp.scm 68 */
long BgL_auxz00_5281;
{ /* Jvm/lisp.scm 68 */
int BgL_auxz00_5282;
BgL_auxz00_5282 = 
(int)(BgL_objzd2classzd2numz00_3391); 
BgL_auxz00_5281 = 
(long)(BgL_auxz00_5282); } 
BgL_offsetz00_3396 = 
(BgL_auxz00_5281-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 68 */
long BgL_modz00_3397;
{ /* Jvm/lisp.scm 68 */
long BgL_auxz00_5286;
{ /* Jvm/lisp.scm 68 */
int BgL_auxz00_5287;
BgL_auxz00_5287 = 
(int)(((long)8)); 
BgL_auxz00_5286 = 
(long)(BgL_auxz00_5287); } 
BgL_modz00_3397 = 
(BgL_offsetz00_3396/BgL_auxz00_5286); } 
{ /* Jvm/lisp.scm 68 */
long BgL_restz00_3399;
{ /* Jvm/lisp.scm 68 */
long BgL_auxz00_5291;
{ /* Jvm/lisp.scm 68 */
int BgL_auxz00_5292;
BgL_auxz00_5292 = 
(int)(((long)8)); 
BgL_auxz00_5291 = 
(long)(BgL_auxz00_5292); } 
BgL_restz00_3399 = 
(BgL_offsetz00_3396%BgL_auxz00_5291); } 
{ /* Jvm/lisp.scm 68 */

{ /* Jvm/lisp.scm 68 */
obj_t BgL_bucketz00_3401;
{ /* Jvm/lisp.scm 68 */
int BgL_kz00_3411;
BgL_kz00_3411 = 
(int)(BgL_modz00_3397); 
BgL_bucketz00_3401 = 
VECTOR_REF(BgL_arg1221z00_3392,BgL_kz00_3411); } 
{ /* Jvm/lisp.scm 68 */
int BgL_kz00_3413;
BgL_kz00_3413 = 
(int)(BgL_restz00_3399); 
BgL_method2766z00_3389 = 
VECTOR_REF(BgL_bucketz00_3401,BgL_kz00_3413); } } } } } } } } 
BgL_arg3033z00_1923 = 
PROCEDURE_ENTRY(BgL_method2766z00_3389)(BgL_method2766z00_3389, 
(obj_t)(BgL_ez00_3388), BEOA); } } 
BgL_newtail2720z00_1921 = 
MAKE_PAIR(BgL_arg3033z00_1923, BNIL); } 
SET_CDR(BgL_tail2719z00_1917, BgL_newtail2720z00_1921); 
{ 
obj_t BgL_tail2719z00_5307;obj_t BgL_l2716z00_5305;
BgL_l2716z00_5305 = 
CDR(BgL_l2716z00_1916); 
BgL_tail2719z00_5307 = BgL_newtail2720z00_1921; 
BgL_tail2719z00_1917 = BgL_tail2719z00_5307; 
BgL_l2716z00_1916 = BgL_l2716z00_5305; 
goto BgL_lname2717z00_1918;} } } } } 
BgL_arg3026z00_1910 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3027z00_1911, BNIL); } 
return 
MAKE_PAIR(BgL_arg3025z00_1909, BgL_arg3026z00_1910);} } } 
}



/* compile-lisp-getfield2790 */
obj_t BGl_compilezd2lispzd2getfield2790z00zzjvm_lispz00(obj_t BgL_envz00_4219, obj_t BgL_ez00_4220)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 64 */
{ 
BgL_getfieldz00_bglt BgL_ez00_1881;
BgL_ez00_1881 = 
(BgL_getfieldz00_bglt)(BgL_ez00_4220); 
{ /* Jvm/lisp.scm 65 */
obj_t BgL_arg3010z00_1884;obj_t BgL_arg3011z00_1885;
BgL_arg3010z00_1884 = 
CNST_TABLE_REF(((long)14)); 
{ /* Jvm/lisp.scm 65 */
obj_t BgL_arg3012z00_1886;
{ /* Jvm/lisp.scm 65 */
obj_t BgL_l2711z00_1888;
{ /* Jvm/lisp.scm 65 */
BgL_externz00_bglt BgL_obj1825z00_3289;
BgL_obj1825z00_3289 = 
(BgL_externz00_bglt)(BgL_ez00_1881); 
BgL_l2711z00_1888 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_3289))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2711z00_1888))
{ /* Jvm/lisp.scm 65 */
BgL_arg3012z00_1886 = BNIL; }  else 
{ /* Jvm/lisp.scm 65 */
obj_t BgL_head2713z00_1890;
{ /* Jvm/lisp.scm 65 */
obj_t BgL_arg3021z00_1901;
{ /* Jvm/lisp.scm 65 */
BgL_nodez00_bglt BgL_ez00_3292;
{ /* Jvm/lisp.scm 65 */
obj_t BgL_auxz00_5317;
BgL_auxz00_5317 = 
CAR(BgL_l2711z00_1888); 
BgL_ez00_3292 = 
(BgL_nodez00_bglt)(BgL_auxz00_5317); } 
{ /* Jvm/lisp.scm 65 */
obj_t BgL_method2766z00_3293;
{ /* Jvm/lisp.scm 65 */
long BgL_objzd2classzd2numz00_3295;
{ /* Jvm/lisp.scm 65 */
BgL_objectz00_bglt BgL_auxz00_5320;
BgL_auxz00_5320 = 
(BgL_objectz00_bglt)(BgL_ez00_3292); 
BgL_objzd2classzd2numz00_3295 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5320); } 
{ /* Jvm/lisp.scm 65 */
obj_t BgL_arg1221z00_3296;
{ /* Jvm/lisp.scm 65 */
int BgL_auxz00_5323;
BgL_auxz00_5323 = 
(int)(((long)1)); 
BgL_arg1221z00_3296 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5323); } 
{ /* Jvm/lisp.scm 65 */
long BgL_offsetz00_3300;
{ /* Jvm/lisp.scm 65 */
long BgL_auxz00_5326;
{ /* Jvm/lisp.scm 65 */
int BgL_auxz00_5327;
BgL_auxz00_5327 = 
(int)(BgL_objzd2classzd2numz00_3295); 
BgL_auxz00_5326 = 
(long)(BgL_auxz00_5327); } 
BgL_offsetz00_3300 = 
(BgL_auxz00_5326-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 65 */
long BgL_modz00_3301;
{ /* Jvm/lisp.scm 65 */
long BgL_auxz00_5331;
{ /* Jvm/lisp.scm 65 */
int BgL_auxz00_5332;
BgL_auxz00_5332 = 
(int)(((long)8)); 
BgL_auxz00_5331 = 
(long)(BgL_auxz00_5332); } 
BgL_modz00_3301 = 
(BgL_offsetz00_3300/BgL_auxz00_5331); } 
{ /* Jvm/lisp.scm 65 */
long BgL_restz00_3303;
{ /* Jvm/lisp.scm 65 */
long BgL_auxz00_5336;
{ /* Jvm/lisp.scm 65 */
int BgL_auxz00_5337;
BgL_auxz00_5337 = 
(int)(((long)8)); 
BgL_auxz00_5336 = 
(long)(BgL_auxz00_5337); } 
BgL_restz00_3303 = 
(BgL_offsetz00_3300%BgL_auxz00_5336); } 
{ /* Jvm/lisp.scm 65 */

{ /* Jvm/lisp.scm 65 */
obj_t BgL_bucketz00_3305;
{ /* Jvm/lisp.scm 65 */
int BgL_kz00_3315;
BgL_kz00_3315 = 
(int)(BgL_modz00_3301); 
BgL_bucketz00_3305 = 
VECTOR_REF(BgL_arg1221z00_3296,BgL_kz00_3315); } 
{ /* Jvm/lisp.scm 65 */
int BgL_kz00_3317;
BgL_kz00_3317 = 
(int)(BgL_restz00_3303); 
BgL_method2766z00_3293 = 
VECTOR_REF(BgL_bucketz00_3305,BgL_kz00_3317); } } } } } } } } 
BgL_arg3021z00_1901 = 
PROCEDURE_ENTRY(BgL_method2766z00_3293)(BgL_method2766z00_3293, 
(obj_t)(BgL_ez00_3292), BEOA); } } 
BgL_head2713z00_1890 = 
MAKE_PAIR(BgL_arg3021z00_1901, BNIL); } 
{ 
obj_t BgL_l2711z00_1891;obj_t BgL_tail2714z00_1892;
BgL_l2711z00_1891 = 
CDR(BgL_l2711z00_1888); 
BgL_tail2714z00_1892 = BgL_head2713z00_1890; 
BgL_lname2712z00_1893:
if(
NULLP(BgL_l2711z00_1891))
{ /* Jvm/lisp.scm 65 */
BgL_arg3012z00_1886 = BgL_head2713z00_1890; }  else 
{ /* Jvm/lisp.scm 65 */
obj_t BgL_newtail2715z00_1896;
{ /* Jvm/lisp.scm 65 */
obj_t BgL_arg3018z00_1898;
{ /* Jvm/lisp.scm 65 */
BgL_nodez00_bglt BgL_ez00_3323;
{ /* Jvm/lisp.scm 65 */
obj_t BgL_auxz00_5351;
BgL_auxz00_5351 = 
CAR(BgL_l2711z00_1891); 
BgL_ez00_3323 = 
(BgL_nodez00_bglt)(BgL_auxz00_5351); } 
{ /* Jvm/lisp.scm 65 */
obj_t BgL_method2766z00_3324;
{ /* Jvm/lisp.scm 65 */
long BgL_objzd2classzd2numz00_3326;
{ /* Jvm/lisp.scm 65 */
BgL_objectz00_bglt BgL_auxz00_5354;
BgL_auxz00_5354 = 
(BgL_objectz00_bglt)(BgL_ez00_3323); 
BgL_objzd2classzd2numz00_3326 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5354); } 
{ /* Jvm/lisp.scm 65 */
obj_t BgL_arg1221z00_3327;
{ /* Jvm/lisp.scm 65 */
int BgL_auxz00_5357;
BgL_auxz00_5357 = 
(int)(((long)1)); 
BgL_arg1221z00_3327 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5357); } 
{ /* Jvm/lisp.scm 65 */
long BgL_offsetz00_3331;
{ /* Jvm/lisp.scm 65 */
long BgL_auxz00_5360;
{ /* Jvm/lisp.scm 65 */
int BgL_auxz00_5361;
BgL_auxz00_5361 = 
(int)(BgL_objzd2classzd2numz00_3326); 
BgL_auxz00_5360 = 
(long)(BgL_auxz00_5361); } 
BgL_offsetz00_3331 = 
(BgL_auxz00_5360-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 65 */
long BgL_modz00_3332;
{ /* Jvm/lisp.scm 65 */
long BgL_auxz00_5365;
{ /* Jvm/lisp.scm 65 */
int BgL_auxz00_5366;
BgL_auxz00_5366 = 
(int)(((long)8)); 
BgL_auxz00_5365 = 
(long)(BgL_auxz00_5366); } 
BgL_modz00_3332 = 
(BgL_offsetz00_3331/BgL_auxz00_5365); } 
{ /* Jvm/lisp.scm 65 */
long BgL_restz00_3334;
{ /* Jvm/lisp.scm 65 */
long BgL_auxz00_5370;
{ /* Jvm/lisp.scm 65 */
int BgL_auxz00_5371;
BgL_auxz00_5371 = 
(int)(((long)8)); 
BgL_auxz00_5370 = 
(long)(BgL_auxz00_5371); } 
BgL_restz00_3334 = 
(BgL_offsetz00_3331%BgL_auxz00_5370); } 
{ /* Jvm/lisp.scm 65 */

{ /* Jvm/lisp.scm 65 */
obj_t BgL_bucketz00_3336;
{ /* Jvm/lisp.scm 65 */
int BgL_kz00_3346;
BgL_kz00_3346 = 
(int)(BgL_modz00_3332); 
BgL_bucketz00_3336 = 
VECTOR_REF(BgL_arg1221z00_3327,BgL_kz00_3346); } 
{ /* Jvm/lisp.scm 65 */
int BgL_kz00_3348;
BgL_kz00_3348 = 
(int)(BgL_restz00_3334); 
BgL_method2766z00_3324 = 
VECTOR_REF(BgL_bucketz00_3336,BgL_kz00_3348); } } } } } } } } 
BgL_arg3018z00_1898 = 
PROCEDURE_ENTRY(BgL_method2766z00_3324)(BgL_method2766z00_3324, 
(obj_t)(BgL_ez00_3323), BEOA); } } 
BgL_newtail2715z00_1896 = 
MAKE_PAIR(BgL_arg3018z00_1898, BNIL); } 
SET_CDR(BgL_tail2714z00_1892, BgL_newtail2715z00_1896); 
{ 
obj_t BgL_tail2714z00_5386;obj_t BgL_l2711z00_5384;
BgL_l2711z00_5384 = 
CDR(BgL_l2711z00_1891); 
BgL_tail2714z00_5386 = BgL_newtail2715z00_1896; 
BgL_tail2714z00_1892 = BgL_tail2714z00_5386; 
BgL_l2711z00_1891 = BgL_l2711z00_5384; 
goto BgL_lname2712z00_1893;} } } } } 
BgL_arg3011z00_1885 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3012z00_1886, BNIL); } 
return 
MAKE_PAIR(BgL_arg3010z00_1884, BgL_arg3011z00_1885);} } } 
}



/* compile-lisp-funcall2788 */
obj_t BGl_compilezd2lispzd2funcall2788z00zzjvm_lispz00(obj_t BgL_envz00_4221, obj_t BgL_ez00_4222)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 60 */
{ 
BgL_funcallz00_bglt BgL_ez00_1852;
BgL_ez00_1852 = 
(BgL_funcallz00_bglt)(BgL_ez00_4222); 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_arg2992z00_1856;obj_t BgL_arg2993z00_1857;
BgL_arg2992z00_1856 = 
CNST_TABLE_REF(((long)15)); 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_arg2994z00_1858;obj_t BgL_arg2995z00_1859;
{ /* Jvm/lisp.scm 62 */
BgL_nodez00_bglt BgL_arg2996z00_1860;
BgL_arg2996z00_1860 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_1852))->BgL_funz00); 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_method2766z00_3199;
{ /* Jvm/lisp.scm 62 */
long BgL_objzd2classzd2numz00_3201;
{ /* Jvm/lisp.scm 62 */
BgL_objectz00_bglt BgL_auxz00_5393;
BgL_auxz00_5393 = 
(BgL_objectz00_bglt)(BgL_arg2996z00_1860); 
BgL_objzd2classzd2numz00_3201 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5393); } 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_arg1221z00_3202;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5396;
BgL_auxz00_5396 = 
(int)(((long)1)); 
BgL_arg1221z00_3202 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5396); } 
{ /* Jvm/lisp.scm 62 */
long BgL_offsetz00_3206;
{ /* Jvm/lisp.scm 62 */
long BgL_auxz00_5399;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5400;
BgL_auxz00_5400 = 
(int)(BgL_objzd2classzd2numz00_3201); 
BgL_auxz00_5399 = 
(long)(BgL_auxz00_5400); } 
BgL_offsetz00_3206 = 
(BgL_auxz00_5399-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 62 */
long BgL_modz00_3207;
{ /* Jvm/lisp.scm 62 */
long BgL_auxz00_5404;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5405;
BgL_auxz00_5405 = 
(int)(((long)8)); 
BgL_auxz00_5404 = 
(long)(BgL_auxz00_5405); } 
BgL_modz00_3207 = 
(BgL_offsetz00_3206/BgL_auxz00_5404); } 
{ /* Jvm/lisp.scm 62 */
long BgL_restz00_3209;
{ /* Jvm/lisp.scm 62 */
long BgL_auxz00_5409;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5410;
BgL_auxz00_5410 = 
(int)(((long)8)); 
BgL_auxz00_5409 = 
(long)(BgL_auxz00_5410); } 
BgL_restz00_3209 = 
(BgL_offsetz00_3206%BgL_auxz00_5409); } 
{ /* Jvm/lisp.scm 62 */

{ /* Jvm/lisp.scm 62 */
obj_t BgL_bucketz00_3211;
{ /* Jvm/lisp.scm 62 */
int BgL_kz00_3221;
BgL_kz00_3221 = 
(int)(BgL_modz00_3207); 
BgL_bucketz00_3211 = 
VECTOR_REF(BgL_arg1221z00_3202,BgL_kz00_3221); } 
{ /* Jvm/lisp.scm 62 */
int BgL_kz00_3223;
BgL_kz00_3223 = 
(int)(BgL_restz00_3209); 
BgL_method2766z00_3199 = 
VECTOR_REF(BgL_bucketz00_3211,BgL_kz00_3223); } } } } } } } } 
BgL_arg2994z00_1858 = 
PROCEDURE_ENTRY(BgL_method2766z00_3199)(BgL_method2766z00_3199, 
(obj_t)(BgL_arg2996z00_1860), BEOA); } } 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_arg2997z00_1861;
{ /* Jvm/lisp.scm 62 */
obj_t BgL_l2706z00_1863;
BgL_l2706z00_1863 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_1852))->BgL_argsz00); 
if(
NULLP(BgL_l2706z00_1863))
{ /* Jvm/lisp.scm 62 */
BgL_arg2997z00_1861 = BNIL; }  else 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_head2708z00_1865;
{ /* Jvm/lisp.scm 62 */
obj_t BgL_arg3006z00_1876;
{ /* Jvm/lisp.scm 62 */
BgL_nodez00_bglt BgL_ez00_3227;
{ /* Jvm/lisp.scm 62 */
obj_t BgL_auxz00_5424;
BgL_auxz00_5424 = 
CAR(BgL_l2706z00_1863); 
BgL_ez00_3227 = 
(BgL_nodez00_bglt)(BgL_auxz00_5424); } 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_method2766z00_3228;
{ /* Jvm/lisp.scm 62 */
long BgL_objzd2classzd2numz00_3230;
{ /* Jvm/lisp.scm 62 */
BgL_objectz00_bglt BgL_auxz00_5427;
BgL_auxz00_5427 = 
(BgL_objectz00_bglt)(BgL_ez00_3227); 
BgL_objzd2classzd2numz00_3230 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5427); } 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_arg1221z00_3231;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5430;
BgL_auxz00_5430 = 
(int)(((long)1)); 
BgL_arg1221z00_3231 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5430); } 
{ /* Jvm/lisp.scm 62 */
long BgL_offsetz00_3235;
{ /* Jvm/lisp.scm 62 */
long BgL_auxz00_5433;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5434;
BgL_auxz00_5434 = 
(int)(BgL_objzd2classzd2numz00_3230); 
BgL_auxz00_5433 = 
(long)(BgL_auxz00_5434); } 
BgL_offsetz00_3235 = 
(BgL_auxz00_5433-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 62 */
long BgL_modz00_3236;
{ /* Jvm/lisp.scm 62 */
long BgL_auxz00_5438;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5439;
BgL_auxz00_5439 = 
(int)(((long)8)); 
BgL_auxz00_5438 = 
(long)(BgL_auxz00_5439); } 
BgL_modz00_3236 = 
(BgL_offsetz00_3235/BgL_auxz00_5438); } 
{ /* Jvm/lisp.scm 62 */
long BgL_restz00_3238;
{ /* Jvm/lisp.scm 62 */
long BgL_auxz00_5443;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5444;
BgL_auxz00_5444 = 
(int)(((long)8)); 
BgL_auxz00_5443 = 
(long)(BgL_auxz00_5444); } 
BgL_restz00_3238 = 
(BgL_offsetz00_3235%BgL_auxz00_5443); } 
{ /* Jvm/lisp.scm 62 */

{ /* Jvm/lisp.scm 62 */
obj_t BgL_bucketz00_3240;
{ /* Jvm/lisp.scm 62 */
int BgL_kz00_3250;
BgL_kz00_3250 = 
(int)(BgL_modz00_3236); 
BgL_bucketz00_3240 = 
VECTOR_REF(BgL_arg1221z00_3231,BgL_kz00_3250); } 
{ /* Jvm/lisp.scm 62 */
int BgL_kz00_3252;
BgL_kz00_3252 = 
(int)(BgL_restz00_3238); 
BgL_method2766z00_3228 = 
VECTOR_REF(BgL_bucketz00_3240,BgL_kz00_3252); } } } } } } } } 
BgL_arg3006z00_1876 = 
PROCEDURE_ENTRY(BgL_method2766z00_3228)(BgL_method2766z00_3228, 
(obj_t)(BgL_ez00_3227), BEOA); } } 
BgL_head2708z00_1865 = 
MAKE_PAIR(BgL_arg3006z00_1876, BNIL); } 
{ 
obj_t BgL_l2706z00_1866;obj_t BgL_tail2709z00_1867;
BgL_l2706z00_1866 = 
CDR(BgL_l2706z00_1863); 
BgL_tail2709z00_1867 = BgL_head2708z00_1865; 
BgL_lname2707z00_1868:
if(
NULLP(BgL_l2706z00_1866))
{ /* Jvm/lisp.scm 62 */
BgL_arg2997z00_1861 = BgL_head2708z00_1865; }  else 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_newtail2710z00_1871;
{ /* Jvm/lisp.scm 62 */
obj_t BgL_arg3003z00_1873;
{ /* Jvm/lisp.scm 62 */
BgL_nodez00_bglt BgL_ez00_3258;
{ /* Jvm/lisp.scm 62 */
obj_t BgL_auxz00_5458;
BgL_auxz00_5458 = 
CAR(BgL_l2706z00_1866); 
BgL_ez00_3258 = 
(BgL_nodez00_bglt)(BgL_auxz00_5458); } 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_method2766z00_3259;
{ /* Jvm/lisp.scm 62 */
long BgL_objzd2classzd2numz00_3261;
{ /* Jvm/lisp.scm 62 */
BgL_objectz00_bglt BgL_auxz00_5461;
BgL_auxz00_5461 = 
(BgL_objectz00_bglt)(BgL_ez00_3258); 
BgL_objzd2classzd2numz00_3261 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5461); } 
{ /* Jvm/lisp.scm 62 */
obj_t BgL_arg1221z00_3262;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5464;
BgL_auxz00_5464 = 
(int)(((long)1)); 
BgL_arg1221z00_3262 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5464); } 
{ /* Jvm/lisp.scm 62 */
long BgL_offsetz00_3266;
{ /* Jvm/lisp.scm 62 */
long BgL_auxz00_5467;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5468;
BgL_auxz00_5468 = 
(int)(BgL_objzd2classzd2numz00_3261); 
BgL_auxz00_5467 = 
(long)(BgL_auxz00_5468); } 
BgL_offsetz00_3266 = 
(BgL_auxz00_5467-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 62 */
long BgL_modz00_3267;
{ /* Jvm/lisp.scm 62 */
long BgL_auxz00_5472;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5473;
BgL_auxz00_5473 = 
(int)(((long)8)); 
BgL_auxz00_5472 = 
(long)(BgL_auxz00_5473); } 
BgL_modz00_3267 = 
(BgL_offsetz00_3266/BgL_auxz00_5472); } 
{ /* Jvm/lisp.scm 62 */
long BgL_restz00_3269;
{ /* Jvm/lisp.scm 62 */
long BgL_auxz00_5477;
{ /* Jvm/lisp.scm 62 */
int BgL_auxz00_5478;
BgL_auxz00_5478 = 
(int)(((long)8)); 
BgL_auxz00_5477 = 
(long)(BgL_auxz00_5478); } 
BgL_restz00_3269 = 
(BgL_offsetz00_3266%BgL_auxz00_5477); } 
{ /* Jvm/lisp.scm 62 */

{ /* Jvm/lisp.scm 62 */
obj_t BgL_bucketz00_3271;
{ /* Jvm/lisp.scm 62 */
int BgL_kz00_3281;
BgL_kz00_3281 = 
(int)(BgL_modz00_3267); 
BgL_bucketz00_3271 = 
VECTOR_REF(BgL_arg1221z00_3262,BgL_kz00_3281); } 
{ /* Jvm/lisp.scm 62 */
int BgL_kz00_3283;
BgL_kz00_3283 = 
(int)(BgL_restz00_3269); 
BgL_method2766z00_3259 = 
VECTOR_REF(BgL_bucketz00_3271,BgL_kz00_3283); } } } } } } } } 
BgL_arg3003z00_1873 = 
PROCEDURE_ENTRY(BgL_method2766z00_3259)(BgL_method2766z00_3259, 
(obj_t)(BgL_ez00_3258), BEOA); } } 
BgL_newtail2710z00_1871 = 
MAKE_PAIR(BgL_arg3003z00_1873, BNIL); } 
SET_CDR(BgL_tail2709z00_1867, BgL_newtail2710z00_1871); 
{ 
obj_t BgL_tail2709z00_5493;obj_t BgL_l2706z00_5491;
BgL_l2706z00_5491 = 
CDR(BgL_l2706z00_1866); 
BgL_tail2709z00_5493 = BgL_newtail2710z00_1871; 
BgL_tail2709z00_1867 = BgL_tail2709z00_5493; 
BgL_l2706z00_1866 = BgL_l2706z00_5491; 
goto BgL_lname2707z00_1868;} } } } } 
BgL_arg2995z00_1859 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2997z00_1861, BNIL); } 
BgL_arg2993z00_1857 = 
MAKE_PAIR(BgL_arg2994z00_1858, BgL_arg2995z00_1859); } 
return 
MAKE_PAIR(BgL_arg2992z00_1856, BgL_arg2993z00_1857);} } } 
}



/* compile-lisp-app-ly2786 */
obj_t BGl_compilezd2lispzd2appzd2ly2786zd2zzjvm_lispz00(obj_t BgL_envz00_4223, obj_t BgL_ez00_4224)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 56 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_1838;
BgL_ez00_1838 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_4224); 
{ /* Jvm/lisp.scm 58 */
obj_t BgL_arg2983z00_1842;obj_t BgL_arg2984z00_1843;
BgL_arg2983z00_1842 = 
CNST_TABLE_REF(((long)16)); 
{ /* Jvm/lisp.scm 58 */
obj_t BgL_arg2985z00_1844;obj_t BgL_arg2986z00_1845;
{ /* Jvm/lisp.scm 58 */
BgL_nodez00_bglt BgL_arg2987z00_1846;
BgL_arg2987z00_1846 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_1838))->BgL_funz00); 
{ /* Jvm/lisp.scm 58 */
obj_t BgL_method2766z00_3145;
{ /* Jvm/lisp.scm 58 */
long BgL_objzd2classzd2numz00_3147;
{ /* Jvm/lisp.scm 58 */
BgL_objectz00_bglt BgL_auxz00_5501;
BgL_auxz00_5501 = 
(BgL_objectz00_bglt)(BgL_arg2987z00_1846); 
BgL_objzd2classzd2numz00_3147 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5501); } 
{ /* Jvm/lisp.scm 58 */
obj_t BgL_arg1221z00_3148;
{ /* Jvm/lisp.scm 58 */
int BgL_auxz00_5504;
BgL_auxz00_5504 = 
(int)(((long)1)); 
BgL_arg1221z00_3148 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5504); } 
{ /* Jvm/lisp.scm 58 */
long BgL_offsetz00_3152;
{ /* Jvm/lisp.scm 58 */
long BgL_auxz00_5507;
{ /* Jvm/lisp.scm 58 */
int BgL_auxz00_5508;
BgL_auxz00_5508 = 
(int)(BgL_objzd2classzd2numz00_3147); 
BgL_auxz00_5507 = 
(long)(BgL_auxz00_5508); } 
BgL_offsetz00_3152 = 
(BgL_auxz00_5507-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 58 */
long BgL_modz00_3153;
{ /* Jvm/lisp.scm 58 */
long BgL_auxz00_5512;
{ /* Jvm/lisp.scm 58 */
int BgL_auxz00_5513;
BgL_auxz00_5513 = 
(int)(((long)8)); 
BgL_auxz00_5512 = 
(long)(BgL_auxz00_5513); } 
BgL_modz00_3153 = 
(BgL_offsetz00_3152/BgL_auxz00_5512); } 
{ /* Jvm/lisp.scm 58 */
long BgL_restz00_3155;
{ /* Jvm/lisp.scm 58 */
long BgL_auxz00_5517;
{ /* Jvm/lisp.scm 58 */
int BgL_auxz00_5518;
BgL_auxz00_5518 = 
(int)(((long)8)); 
BgL_auxz00_5517 = 
(long)(BgL_auxz00_5518); } 
BgL_restz00_3155 = 
(BgL_offsetz00_3152%BgL_auxz00_5517); } 
{ /* Jvm/lisp.scm 58 */

{ /* Jvm/lisp.scm 58 */
obj_t BgL_bucketz00_3157;
{ /* Jvm/lisp.scm 58 */
int BgL_kz00_3167;
BgL_kz00_3167 = 
(int)(BgL_modz00_3153); 
BgL_bucketz00_3157 = 
VECTOR_REF(BgL_arg1221z00_3148,BgL_kz00_3167); } 
{ /* Jvm/lisp.scm 58 */
int BgL_kz00_3169;
BgL_kz00_3169 = 
(int)(BgL_restz00_3155); 
BgL_method2766z00_3145 = 
VECTOR_REF(BgL_bucketz00_3157,BgL_kz00_3169); } } } } } } } } 
BgL_arg2985z00_1844 = 
PROCEDURE_ENTRY(BgL_method2766z00_3145)(BgL_method2766z00_3145, 
(obj_t)(BgL_arg2987z00_1846), BEOA); } } 
{ /* Jvm/lisp.scm 58 */
obj_t BgL_arg2988z00_1847;
{ /* Jvm/lisp.scm 58 */
BgL_nodez00_bglt BgL_arg2990z00_1849;
BgL_arg2990z00_1849 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_1838))->BgL_argz00); 
{ /* Jvm/lisp.scm 58 */
obj_t BgL_method2766z00_3172;
{ /* Jvm/lisp.scm 58 */
long BgL_objzd2classzd2numz00_3174;
{ /* Jvm/lisp.scm 58 */
BgL_objectz00_bglt BgL_auxz00_5530;
BgL_auxz00_5530 = 
(BgL_objectz00_bglt)(BgL_arg2990z00_1849); 
BgL_objzd2classzd2numz00_3174 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5530); } 
{ /* Jvm/lisp.scm 58 */
obj_t BgL_arg1221z00_3175;
{ /* Jvm/lisp.scm 58 */
int BgL_auxz00_5533;
BgL_auxz00_5533 = 
(int)(((long)1)); 
BgL_arg1221z00_3175 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5533); } 
{ /* Jvm/lisp.scm 58 */
long BgL_offsetz00_3179;
{ /* Jvm/lisp.scm 58 */
long BgL_auxz00_5536;
{ /* Jvm/lisp.scm 58 */
int BgL_auxz00_5537;
BgL_auxz00_5537 = 
(int)(BgL_objzd2classzd2numz00_3174); 
BgL_auxz00_5536 = 
(long)(BgL_auxz00_5537); } 
BgL_offsetz00_3179 = 
(BgL_auxz00_5536-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 58 */
long BgL_modz00_3180;
{ /* Jvm/lisp.scm 58 */
long BgL_auxz00_5541;
{ /* Jvm/lisp.scm 58 */
int BgL_auxz00_5542;
BgL_auxz00_5542 = 
(int)(((long)8)); 
BgL_auxz00_5541 = 
(long)(BgL_auxz00_5542); } 
BgL_modz00_3180 = 
(BgL_offsetz00_3179/BgL_auxz00_5541); } 
{ /* Jvm/lisp.scm 58 */
long BgL_restz00_3182;
{ /* Jvm/lisp.scm 58 */
long BgL_auxz00_5546;
{ /* Jvm/lisp.scm 58 */
int BgL_auxz00_5547;
BgL_auxz00_5547 = 
(int)(((long)8)); 
BgL_auxz00_5546 = 
(long)(BgL_auxz00_5547); } 
BgL_restz00_3182 = 
(BgL_offsetz00_3179%BgL_auxz00_5546); } 
{ /* Jvm/lisp.scm 58 */

{ /* Jvm/lisp.scm 58 */
obj_t BgL_bucketz00_3184;
{ /* Jvm/lisp.scm 58 */
int BgL_kz00_3194;
BgL_kz00_3194 = 
(int)(BgL_modz00_3180); 
BgL_bucketz00_3184 = 
VECTOR_REF(BgL_arg1221z00_3175,BgL_kz00_3194); } 
{ /* Jvm/lisp.scm 58 */
int BgL_kz00_3196;
BgL_kz00_3196 = 
(int)(BgL_restz00_3182); 
BgL_method2766z00_3172 = 
VECTOR_REF(BgL_bucketz00_3184,BgL_kz00_3196); } } } } } } } } 
BgL_arg2988z00_1847 = 
PROCEDURE_ENTRY(BgL_method2766z00_3172)(BgL_method2766z00_3172, 
(obj_t)(BgL_arg2990z00_1849), BEOA); } } 
BgL_arg2986z00_1845 = 
MAKE_PAIR(BgL_arg2988z00_1847, BNIL); } 
BgL_arg2984z00_1843 = 
MAKE_PAIR(BgL_arg2985z00_1844, BgL_arg2986z00_1845); } 
return 
MAKE_PAIR(BgL_arg2983z00_1842, BgL_arg2984z00_1843);} } } 
}



/* compile-lisp-app2784 */
obj_t BGl_compilezd2lispzd2app2784z00zzjvm_lispz00(obj_t BgL_envz00_4225, obj_t BgL_ez00_4226)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 52 */
{ 
BgL_appz00_bglt BgL_ez00_1811;
BgL_ez00_1811 = 
(BgL_appz00_bglt)(BgL_ez00_4226); 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_arg2967z00_1815;obj_t BgL_arg2968z00_1816;
{ /* Jvm/lisp.scm 54 */
BgL_nodez00_bglt BgL_ez00_3052;
{ /* Jvm/lisp.scm 54 */
BgL_varz00_bglt BgL_auxz00_5562;
BgL_auxz00_5562 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_1811))->BgL_funz00); 
BgL_ez00_3052 = 
(BgL_nodez00_bglt)(BgL_auxz00_5562); } 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_method2766z00_3053;
{ /* Jvm/lisp.scm 54 */
long BgL_objzd2classzd2numz00_3055;
{ /* Jvm/lisp.scm 54 */
BgL_objectz00_bglt BgL_auxz00_5565;
BgL_auxz00_5565 = 
(BgL_objectz00_bglt)(BgL_ez00_3052); 
BgL_objzd2classzd2numz00_3055 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5565); } 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_arg1221z00_3056;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5568;
BgL_auxz00_5568 = 
(int)(((long)1)); 
BgL_arg1221z00_3056 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5568); } 
{ /* Jvm/lisp.scm 54 */
long BgL_offsetz00_3060;
{ /* Jvm/lisp.scm 54 */
long BgL_auxz00_5571;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5572;
BgL_auxz00_5572 = 
(int)(BgL_objzd2classzd2numz00_3055); 
BgL_auxz00_5571 = 
(long)(BgL_auxz00_5572); } 
BgL_offsetz00_3060 = 
(BgL_auxz00_5571-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 54 */
long BgL_modz00_3061;
{ /* Jvm/lisp.scm 54 */
long BgL_auxz00_5576;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5577;
BgL_auxz00_5577 = 
(int)(((long)8)); 
BgL_auxz00_5576 = 
(long)(BgL_auxz00_5577); } 
BgL_modz00_3061 = 
(BgL_offsetz00_3060/BgL_auxz00_5576); } 
{ /* Jvm/lisp.scm 54 */
long BgL_restz00_3063;
{ /* Jvm/lisp.scm 54 */
long BgL_auxz00_5581;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5582;
BgL_auxz00_5582 = 
(int)(((long)8)); 
BgL_auxz00_5581 = 
(long)(BgL_auxz00_5582); } 
BgL_restz00_3063 = 
(BgL_offsetz00_3060%BgL_auxz00_5581); } 
{ /* Jvm/lisp.scm 54 */

{ /* Jvm/lisp.scm 54 */
obj_t BgL_bucketz00_3065;
{ /* Jvm/lisp.scm 54 */
int BgL_kz00_3075;
BgL_kz00_3075 = 
(int)(BgL_modz00_3061); 
BgL_bucketz00_3065 = 
VECTOR_REF(BgL_arg1221z00_3056,BgL_kz00_3075); } 
{ /* Jvm/lisp.scm 54 */
int BgL_kz00_3077;
BgL_kz00_3077 = 
(int)(BgL_restz00_3063); 
BgL_method2766z00_3053 = 
VECTOR_REF(BgL_bucketz00_3065,BgL_kz00_3077); } } } } } } } } 
BgL_arg2967z00_1815 = 
PROCEDURE_ENTRY(BgL_method2766z00_3053)(BgL_method2766z00_3053, 
(obj_t)(BgL_ez00_3052), BEOA); } } 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_arg2970z00_1818;
{ /* Jvm/lisp.scm 54 */
obj_t BgL_l2697z00_1820;
BgL_l2697z00_1820 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_1811))->BgL_argsz00); 
if(
NULLP(BgL_l2697z00_1820))
{ /* Jvm/lisp.scm 54 */
BgL_arg2970z00_1818 = BNIL; }  else 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_head2699z00_1822;
{ /* Jvm/lisp.scm 54 */
obj_t BgL_arg2979z00_1833;
{ /* Jvm/lisp.scm 54 */
BgL_nodez00_bglt BgL_ez00_3081;
{ /* Jvm/lisp.scm 54 */
obj_t BgL_auxz00_5596;
BgL_auxz00_5596 = 
CAR(BgL_l2697z00_1820); 
BgL_ez00_3081 = 
(BgL_nodez00_bglt)(BgL_auxz00_5596); } 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_method2766z00_3082;
{ /* Jvm/lisp.scm 54 */
long BgL_objzd2classzd2numz00_3084;
{ /* Jvm/lisp.scm 54 */
BgL_objectz00_bglt BgL_auxz00_5599;
BgL_auxz00_5599 = 
(BgL_objectz00_bglt)(BgL_ez00_3081); 
BgL_objzd2classzd2numz00_3084 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5599); } 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_arg1221z00_3085;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5602;
BgL_auxz00_5602 = 
(int)(((long)1)); 
BgL_arg1221z00_3085 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5602); } 
{ /* Jvm/lisp.scm 54 */
long BgL_offsetz00_3089;
{ /* Jvm/lisp.scm 54 */
long BgL_auxz00_5605;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5606;
BgL_auxz00_5606 = 
(int)(BgL_objzd2classzd2numz00_3084); 
BgL_auxz00_5605 = 
(long)(BgL_auxz00_5606); } 
BgL_offsetz00_3089 = 
(BgL_auxz00_5605-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 54 */
long BgL_modz00_3090;
{ /* Jvm/lisp.scm 54 */
long BgL_auxz00_5610;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5611;
BgL_auxz00_5611 = 
(int)(((long)8)); 
BgL_auxz00_5610 = 
(long)(BgL_auxz00_5611); } 
BgL_modz00_3090 = 
(BgL_offsetz00_3089/BgL_auxz00_5610); } 
{ /* Jvm/lisp.scm 54 */
long BgL_restz00_3092;
{ /* Jvm/lisp.scm 54 */
long BgL_auxz00_5615;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5616;
BgL_auxz00_5616 = 
(int)(((long)8)); 
BgL_auxz00_5615 = 
(long)(BgL_auxz00_5616); } 
BgL_restz00_3092 = 
(BgL_offsetz00_3089%BgL_auxz00_5615); } 
{ /* Jvm/lisp.scm 54 */

{ /* Jvm/lisp.scm 54 */
obj_t BgL_bucketz00_3094;
{ /* Jvm/lisp.scm 54 */
int BgL_kz00_3104;
BgL_kz00_3104 = 
(int)(BgL_modz00_3090); 
BgL_bucketz00_3094 = 
VECTOR_REF(BgL_arg1221z00_3085,BgL_kz00_3104); } 
{ /* Jvm/lisp.scm 54 */
int BgL_kz00_3106;
BgL_kz00_3106 = 
(int)(BgL_restz00_3092); 
BgL_method2766z00_3082 = 
VECTOR_REF(BgL_bucketz00_3094,BgL_kz00_3106); } } } } } } } } 
BgL_arg2979z00_1833 = 
PROCEDURE_ENTRY(BgL_method2766z00_3082)(BgL_method2766z00_3082, 
(obj_t)(BgL_ez00_3081), BEOA); } } 
BgL_head2699z00_1822 = 
MAKE_PAIR(BgL_arg2979z00_1833, BNIL); } 
{ 
obj_t BgL_l2697z00_1823;obj_t BgL_tail2700z00_1824;
BgL_l2697z00_1823 = 
CDR(BgL_l2697z00_1820); 
BgL_tail2700z00_1824 = BgL_head2699z00_1822; 
BgL_lname2698z00_1825:
if(
NULLP(BgL_l2697z00_1823))
{ /* Jvm/lisp.scm 54 */
BgL_arg2970z00_1818 = BgL_head2699z00_1822; }  else 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_newtail2701z00_1828;
{ /* Jvm/lisp.scm 54 */
obj_t BgL_arg2976z00_1830;
{ /* Jvm/lisp.scm 54 */
BgL_nodez00_bglt BgL_ez00_3112;
{ /* Jvm/lisp.scm 54 */
obj_t BgL_auxz00_5630;
BgL_auxz00_5630 = 
CAR(BgL_l2697z00_1823); 
BgL_ez00_3112 = 
(BgL_nodez00_bglt)(BgL_auxz00_5630); } 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_method2766z00_3113;
{ /* Jvm/lisp.scm 54 */
long BgL_objzd2classzd2numz00_3115;
{ /* Jvm/lisp.scm 54 */
BgL_objectz00_bglt BgL_auxz00_5633;
BgL_auxz00_5633 = 
(BgL_objectz00_bglt)(BgL_ez00_3112); 
BgL_objzd2classzd2numz00_3115 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5633); } 
{ /* Jvm/lisp.scm 54 */
obj_t BgL_arg1221z00_3116;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5636;
BgL_auxz00_5636 = 
(int)(((long)1)); 
BgL_arg1221z00_3116 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5636); } 
{ /* Jvm/lisp.scm 54 */
long BgL_offsetz00_3120;
{ /* Jvm/lisp.scm 54 */
long BgL_auxz00_5639;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5640;
BgL_auxz00_5640 = 
(int)(BgL_objzd2classzd2numz00_3115); 
BgL_auxz00_5639 = 
(long)(BgL_auxz00_5640); } 
BgL_offsetz00_3120 = 
(BgL_auxz00_5639-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 54 */
long BgL_modz00_3121;
{ /* Jvm/lisp.scm 54 */
long BgL_auxz00_5644;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5645;
BgL_auxz00_5645 = 
(int)(((long)8)); 
BgL_auxz00_5644 = 
(long)(BgL_auxz00_5645); } 
BgL_modz00_3121 = 
(BgL_offsetz00_3120/BgL_auxz00_5644); } 
{ /* Jvm/lisp.scm 54 */
long BgL_restz00_3123;
{ /* Jvm/lisp.scm 54 */
long BgL_auxz00_5649;
{ /* Jvm/lisp.scm 54 */
int BgL_auxz00_5650;
BgL_auxz00_5650 = 
(int)(((long)8)); 
BgL_auxz00_5649 = 
(long)(BgL_auxz00_5650); } 
BgL_restz00_3123 = 
(BgL_offsetz00_3120%BgL_auxz00_5649); } 
{ /* Jvm/lisp.scm 54 */

{ /* Jvm/lisp.scm 54 */
obj_t BgL_bucketz00_3125;
{ /* Jvm/lisp.scm 54 */
int BgL_kz00_3135;
BgL_kz00_3135 = 
(int)(BgL_modz00_3121); 
BgL_bucketz00_3125 = 
VECTOR_REF(BgL_arg1221z00_3116,BgL_kz00_3135); } 
{ /* Jvm/lisp.scm 54 */
int BgL_kz00_3137;
BgL_kz00_3137 = 
(int)(BgL_restz00_3123); 
BgL_method2766z00_3113 = 
VECTOR_REF(BgL_bucketz00_3125,BgL_kz00_3137); } } } } } } } } 
BgL_arg2976z00_1830 = 
PROCEDURE_ENTRY(BgL_method2766z00_3113)(BgL_method2766z00_3113, 
(obj_t)(BgL_ez00_3112), BEOA); } } 
BgL_newtail2701z00_1828 = 
MAKE_PAIR(BgL_arg2976z00_1830, BNIL); } 
SET_CDR(BgL_tail2700z00_1824, BgL_newtail2701z00_1828); 
{ 
obj_t BgL_tail2700z00_5665;obj_t BgL_l2697z00_5663;
BgL_l2697z00_5663 = 
CDR(BgL_l2697z00_1823); 
BgL_tail2700z00_5665 = BgL_newtail2701z00_1828; 
BgL_tail2700z00_1824 = BgL_tail2700z00_5665; 
BgL_l2697z00_1823 = BgL_l2697z00_5663; 
goto BgL_lname2698z00_1825;} } } } } 
BgL_arg2968z00_1816 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2970z00_1818, BNIL); } 
return 
MAKE_PAIR(BgL_arg2967z00_1815, BgL_arg2968z00_1816);} } } 
}



/* compile-lisp-let-fun2782 */
obj_t BGl_compilezd2lispzd2letzd2fun2782zd2zzjvm_lispz00(obj_t BgL_envz00_4227, obj_t BgL_ez00_4228)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 40 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1784;
BgL_ez00_1784 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_4228); 
{ /* Jvm/lisp.scm 42 */
obj_t BgL_arg2952z00_1788;obj_t BgL_arg2953z00_1789;
BgL_arg2952z00_1788 = 
CNST_TABLE_REF(((long)17)); 
{ /* Jvm/lisp.scm 42 */
obj_t BgL_arg2954z00_1790;obj_t BgL_arg2955z00_1791;
{ /* Jvm/lisp.scm 42 */
obj_t BgL_l2681z00_1792;
BgL_l2681z00_1792 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_1784))->BgL_localsz00); 
if(
NULLP(BgL_l2681z00_1792))
{ /* Jvm/lisp.scm 42 */
BgL_arg2954z00_1790 = BNIL; }  else 
{ /* Jvm/lisp.scm 42 */
obj_t BgL_head2683z00_1794;
BgL_head2683z00_1794 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2681z00_1795;obj_t BgL_tail2684z00_1796;
BgL_l2681z00_1795 = BgL_l2681z00_1792; 
BgL_tail2684z00_1796 = BgL_head2683z00_1794; 
BgL_lname2682z00_1797:
if(
NULLP(BgL_l2681z00_1795))
{ /* Jvm/lisp.scm 42 */
BgL_arg2954z00_1790 = 
CDR(BgL_head2683z00_1794); }  else 
{ /* Jvm/lisp.scm 42 */
obj_t BgL_newtail2685z00_1799;
{ /* Jvm/lisp.scm 42 */
obj_t BgL_arg2959z00_1801;
{ /* Jvm/lisp.scm 42 */
obj_t BgL_bz00_1803;
BgL_bz00_1803 = 
CAR(BgL_l2681z00_1795); 
{ /* Jvm/lisp.scm 42 */
obj_t BgL_arg2961z00_1804;obj_t BgL_arg2962z00_1805;
{ /* Jvm/lisp.scm 42 */
BgL_localz00_bglt BgL_obj1249z00_3018;
BgL_obj1249z00_3018 = 
(BgL_localz00_bglt)(BgL_bz00_1803); 
BgL_arg2961z00_1804 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_3018))->BgL_namez00); } 
BgL_arg2962z00_1805 = 
BGl_compilezd2sfunzd2zzjvm_lispz00(BgL_bz00_1803); 
BgL_arg2959z00_1801 = 
MAKE_PAIR(BgL_arg2961z00_1804, BgL_arg2962z00_1805); } } 
BgL_newtail2685z00_1799 = 
MAKE_PAIR(BgL_arg2959z00_1801, BNIL); } 
SET_CDR(BgL_tail2684z00_1796, BgL_newtail2685z00_1799); 
{ 
obj_t BgL_tail2684z00_5687;obj_t BgL_l2681z00_5685;
BgL_l2681z00_5685 = 
CDR(BgL_l2681z00_1795); 
BgL_tail2684z00_5687 = BgL_newtail2685z00_1799; 
BgL_tail2684z00_1796 = BgL_tail2684z00_5687; 
BgL_l2681z00_1795 = BgL_l2681z00_5685; 
goto BgL_lname2682z00_1797;} } } } } 
{ /* Jvm/lisp.scm 44 */
obj_t BgL_arg2963z00_1806;
{ /* Jvm/lisp.scm 44 */
BgL_nodez00_bglt BgL_arg2965z00_1808;
BgL_arg2965z00_1808 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_1784))->BgL_bodyz00); 
{ /* Jvm/lisp.scm 44 */
obj_t BgL_method2766z00_3026;
{ /* Jvm/lisp.scm 44 */
long BgL_objzd2classzd2numz00_3028;
{ /* Jvm/lisp.scm 44 */
BgL_objectz00_bglt BgL_auxz00_5689;
BgL_auxz00_5689 = 
(BgL_objectz00_bglt)(BgL_arg2965z00_1808); 
BgL_objzd2classzd2numz00_3028 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5689); } 
{ /* Jvm/lisp.scm 44 */
obj_t BgL_arg1221z00_3029;
{ /* Jvm/lisp.scm 44 */
int BgL_auxz00_5692;
BgL_auxz00_5692 = 
(int)(((long)1)); 
BgL_arg1221z00_3029 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5692); } 
{ /* Jvm/lisp.scm 44 */
long BgL_offsetz00_3033;
{ /* Jvm/lisp.scm 44 */
long BgL_auxz00_5695;
{ /* Jvm/lisp.scm 44 */
int BgL_auxz00_5696;
BgL_auxz00_5696 = 
(int)(BgL_objzd2classzd2numz00_3028); 
BgL_auxz00_5695 = 
(long)(BgL_auxz00_5696); } 
BgL_offsetz00_3033 = 
(BgL_auxz00_5695-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 44 */
long BgL_modz00_3034;
{ /* Jvm/lisp.scm 44 */
long BgL_auxz00_5700;
{ /* Jvm/lisp.scm 44 */
int BgL_auxz00_5701;
BgL_auxz00_5701 = 
(int)(((long)8)); 
BgL_auxz00_5700 = 
(long)(BgL_auxz00_5701); } 
BgL_modz00_3034 = 
(BgL_offsetz00_3033/BgL_auxz00_5700); } 
{ /* Jvm/lisp.scm 44 */
long BgL_restz00_3036;
{ /* Jvm/lisp.scm 44 */
long BgL_auxz00_5705;
{ /* Jvm/lisp.scm 44 */
int BgL_auxz00_5706;
BgL_auxz00_5706 = 
(int)(((long)8)); 
BgL_auxz00_5705 = 
(long)(BgL_auxz00_5706); } 
BgL_restz00_3036 = 
(BgL_offsetz00_3033%BgL_auxz00_5705); } 
{ /* Jvm/lisp.scm 44 */

{ /* Jvm/lisp.scm 44 */
obj_t BgL_bucketz00_3038;
{ /* Jvm/lisp.scm 44 */
int BgL_kz00_3048;
BgL_kz00_3048 = 
(int)(BgL_modz00_3034); 
BgL_bucketz00_3038 = 
VECTOR_REF(BgL_arg1221z00_3029,BgL_kz00_3048); } 
{ /* Jvm/lisp.scm 44 */
int BgL_kz00_3050;
BgL_kz00_3050 = 
(int)(BgL_restz00_3036); 
BgL_method2766z00_3026 = 
VECTOR_REF(BgL_bucketz00_3038,BgL_kz00_3050); } } } } } } } } 
BgL_arg2963z00_1806 = 
PROCEDURE_ENTRY(BgL_method2766z00_3026)(BgL_method2766z00_3026, 
(obj_t)(BgL_arg2965z00_1808), BEOA); } } 
BgL_arg2955z00_1791 = 
MAKE_PAIR(BgL_arg2963z00_1806, BNIL); } 
BgL_arg2953z00_1789 = 
MAKE_PAIR(BgL_arg2954z00_1790, BgL_arg2955z00_1791); } 
return 
MAKE_PAIR(BgL_arg2952z00_1788, BgL_arg2953z00_1789);} } } 
}



/* compile-lisp-select2780 */
obj_t BGl_compilezd2lispzd2select2780z00zzjvm_lispz00(obj_t BgL_envz00_4229, obj_t BgL_ez00_4230)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 35 */
{ 
BgL_selectz00_bglt BgL_ez00_1757;
BgL_ez00_1757 = 
(BgL_selectz00_bglt)(BgL_ez00_4230); 
{ /* Jvm/lisp.scm 37 */
obj_t BgL_arg2937z00_1761;obj_t BgL_arg2938z00_1762;
BgL_arg2937z00_1761 = 
CNST_TABLE_REF(((long)18)); 
{ /* Jvm/lisp.scm 38 */
obj_t BgL_arg2939z00_1763;
{ /* Jvm/lisp.scm 38 */
obj_t BgL_l2674z00_1765;
BgL_l2674z00_1765 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_1757))->BgL_clausesz00); 
if(
NULLP(BgL_l2674z00_1765))
{ /* Jvm/lisp.scm 38 */
BgL_arg2939z00_1763 = BNIL; }  else 
{ /* Jvm/lisp.scm 38 */
obj_t BgL_head2676z00_1767;
BgL_head2676z00_1767 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2674z00_1768;obj_t BgL_tail2677z00_1769;
BgL_l2674z00_1768 = BgL_l2674z00_1765; 
BgL_tail2677z00_1769 = BgL_head2676z00_1767; 
BgL_lname2675z00_1770:
if(
NULLP(BgL_l2674z00_1768))
{ /* Jvm/lisp.scm 38 */
BgL_arg2939z00_1763 = 
CDR(BgL_head2676z00_1767); }  else 
{ /* Jvm/lisp.scm 38 */
obj_t BgL_newtail2678z00_1772;
{ /* Jvm/lisp.scm 38 */
obj_t BgL_arg2944z00_1774;
{ /* Jvm/lisp.scm 38 */
obj_t BgL_bz00_1776;
BgL_bz00_1776 = 
CAR(BgL_l2674z00_1768); 
{ /* Jvm/lisp.scm 38 */
obj_t BgL_arg2946z00_1777;obj_t BgL_arg2947z00_1778;
BgL_arg2946z00_1777 = 
CAR(BgL_bz00_1776); 
{ /* Jvm/lisp.scm 38 */
BgL_nodez00_bglt BgL_ez00_2978;
{ /* Jvm/lisp.scm 38 */
obj_t BgL_auxz00_5731;
BgL_auxz00_5731 = 
CDR(BgL_bz00_1776); 
BgL_ez00_2978 = 
(BgL_nodez00_bglt)(BgL_auxz00_5731); } 
{ /* Jvm/lisp.scm 38 */
obj_t BgL_method2766z00_2979;
{ /* Jvm/lisp.scm 38 */
long BgL_objzd2classzd2numz00_2981;
{ /* Jvm/lisp.scm 38 */
BgL_objectz00_bglt BgL_auxz00_5734;
BgL_auxz00_5734 = 
(BgL_objectz00_bglt)(BgL_ez00_2978); 
BgL_objzd2classzd2numz00_2981 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5734); } 
{ /* Jvm/lisp.scm 38 */
obj_t BgL_arg1221z00_2982;
{ /* Jvm/lisp.scm 38 */
int BgL_auxz00_5737;
BgL_auxz00_5737 = 
(int)(((long)1)); 
BgL_arg1221z00_2982 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5737); } 
{ /* Jvm/lisp.scm 38 */
long BgL_offsetz00_2986;
{ /* Jvm/lisp.scm 38 */
long BgL_auxz00_5740;
{ /* Jvm/lisp.scm 38 */
int BgL_auxz00_5741;
BgL_auxz00_5741 = 
(int)(BgL_objzd2classzd2numz00_2981); 
BgL_auxz00_5740 = 
(long)(BgL_auxz00_5741); } 
BgL_offsetz00_2986 = 
(BgL_auxz00_5740-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 38 */
long BgL_modz00_2987;
{ /* Jvm/lisp.scm 38 */
long BgL_auxz00_5745;
{ /* Jvm/lisp.scm 38 */
int BgL_auxz00_5746;
BgL_auxz00_5746 = 
(int)(((long)8)); 
BgL_auxz00_5745 = 
(long)(BgL_auxz00_5746); } 
BgL_modz00_2987 = 
(BgL_offsetz00_2986/BgL_auxz00_5745); } 
{ /* Jvm/lisp.scm 38 */
long BgL_restz00_2989;
{ /* Jvm/lisp.scm 38 */
long BgL_auxz00_5750;
{ /* Jvm/lisp.scm 38 */
int BgL_auxz00_5751;
BgL_auxz00_5751 = 
(int)(((long)8)); 
BgL_auxz00_5750 = 
(long)(BgL_auxz00_5751); } 
BgL_restz00_2989 = 
(BgL_offsetz00_2986%BgL_auxz00_5750); } 
{ /* Jvm/lisp.scm 38 */

{ /* Jvm/lisp.scm 38 */
obj_t BgL_bucketz00_2991;
{ /* Jvm/lisp.scm 38 */
int BgL_kz00_3001;
BgL_kz00_3001 = 
(int)(BgL_modz00_2987); 
BgL_bucketz00_2991 = 
VECTOR_REF(BgL_arg1221z00_2982,BgL_kz00_3001); } 
{ /* Jvm/lisp.scm 38 */
int BgL_kz00_3003;
BgL_kz00_3003 = 
(int)(BgL_restz00_2989); 
BgL_method2766z00_2979 = 
VECTOR_REF(BgL_bucketz00_2991,BgL_kz00_3003); } } } } } } } } 
BgL_arg2947z00_1778 = 
PROCEDURE_ENTRY(BgL_method2766z00_2979)(BgL_method2766z00_2979, 
(obj_t)(BgL_ez00_2978), BEOA); } } 
{ /* Jvm/lisp.scm 38 */
obj_t BgL_list2948z00_1779;
{ /* Jvm/lisp.scm 38 */
obj_t BgL_arg2949z00_1780;
BgL_arg2949z00_1780 = 
MAKE_PAIR(BgL_arg2947z00_1778, BNIL); 
BgL_list2948z00_1779 = 
MAKE_PAIR(BgL_arg2946z00_1777, BgL_arg2949z00_1780); } 
BgL_arg2944z00_1774 = BgL_list2948z00_1779; } } } 
BgL_newtail2678z00_1772 = 
MAKE_PAIR(BgL_arg2944z00_1774, BNIL); } 
SET_CDR(BgL_tail2677z00_1769, BgL_newtail2678z00_1772); 
{ 
obj_t BgL_tail2677z00_5768;obj_t BgL_l2674z00_5766;
BgL_l2674z00_5766 = 
CDR(BgL_l2674z00_1768); 
BgL_tail2677z00_5768 = BgL_newtail2678z00_1772; 
BgL_tail2677z00_1769 = BgL_tail2677z00_5768; 
BgL_l2674z00_1768 = BgL_l2674z00_5766; 
goto BgL_lname2675z00_1770;} } } } } 
BgL_arg2938z00_1762 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2939z00_1763, BNIL); } 
return 
MAKE_PAIR(BgL_arg2937z00_1761, BgL_arg2938z00_1762);} } } 
}



/* compile-lisp-conditional2778 */
obj_t BGl_compilezd2lispzd2conditional2778z00zzjvm_lispz00(obj_t BgL_envz00_4231, obj_t BgL_ez00_4232)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 31 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1740;
BgL_ez00_1740 = 
(BgL_conditionalz00_bglt)(BgL_ez00_4232); 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_arg2925z00_1744;obj_t BgL_arg2926z00_1745;
BgL_arg2925z00_1744 = 
CNST_TABLE_REF(((long)19)); 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_arg2927z00_1746;obj_t BgL_arg2928z00_1747;
{ /* Jvm/lisp.scm 33 */
BgL_nodez00_bglt BgL_arg2929z00_1748;
BgL_arg2929z00_1748 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_1740))->BgL_testz00); 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_method2766z00_2890;
{ /* Jvm/lisp.scm 33 */
long BgL_objzd2classzd2numz00_2892;
{ /* Jvm/lisp.scm 33 */
BgL_objectz00_bglt BgL_auxz00_5774;
BgL_auxz00_5774 = 
(BgL_objectz00_bglt)(BgL_arg2929z00_1748); 
BgL_objzd2classzd2numz00_2892 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5774); } 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_arg1221z00_2893;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5777;
BgL_auxz00_5777 = 
(int)(((long)1)); 
BgL_arg1221z00_2893 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5777); } 
{ /* Jvm/lisp.scm 33 */
long BgL_offsetz00_2897;
{ /* Jvm/lisp.scm 33 */
long BgL_auxz00_5780;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5781;
BgL_auxz00_5781 = 
(int)(BgL_objzd2classzd2numz00_2892); 
BgL_auxz00_5780 = 
(long)(BgL_auxz00_5781); } 
BgL_offsetz00_2897 = 
(BgL_auxz00_5780-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 33 */
long BgL_modz00_2898;
{ /* Jvm/lisp.scm 33 */
long BgL_auxz00_5785;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5786;
BgL_auxz00_5786 = 
(int)(((long)8)); 
BgL_auxz00_5785 = 
(long)(BgL_auxz00_5786); } 
BgL_modz00_2898 = 
(BgL_offsetz00_2897/BgL_auxz00_5785); } 
{ /* Jvm/lisp.scm 33 */
long BgL_restz00_2900;
{ /* Jvm/lisp.scm 33 */
long BgL_auxz00_5790;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5791;
BgL_auxz00_5791 = 
(int)(((long)8)); 
BgL_auxz00_5790 = 
(long)(BgL_auxz00_5791); } 
BgL_restz00_2900 = 
(BgL_offsetz00_2897%BgL_auxz00_5790); } 
{ /* Jvm/lisp.scm 33 */

{ /* Jvm/lisp.scm 33 */
obj_t BgL_bucketz00_2902;
{ /* Jvm/lisp.scm 33 */
int BgL_kz00_2912;
BgL_kz00_2912 = 
(int)(BgL_modz00_2898); 
BgL_bucketz00_2902 = 
VECTOR_REF(BgL_arg1221z00_2893,BgL_kz00_2912); } 
{ /* Jvm/lisp.scm 33 */
int BgL_kz00_2914;
BgL_kz00_2914 = 
(int)(BgL_restz00_2900); 
BgL_method2766z00_2890 = 
VECTOR_REF(BgL_bucketz00_2902,BgL_kz00_2914); } } } } } } } } 
BgL_arg2927z00_1746 = 
PROCEDURE_ENTRY(BgL_method2766z00_2890)(BgL_method2766z00_2890, 
(obj_t)(BgL_arg2929z00_1748), BEOA); } } 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_arg2930z00_1749;obj_t BgL_arg2931z00_1750;
{ /* Jvm/lisp.scm 33 */
BgL_nodez00_bglt BgL_arg2932z00_1751;
BgL_arg2932z00_1751 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_1740))->BgL_truez00); 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_method2766z00_2917;
{ /* Jvm/lisp.scm 33 */
long BgL_objzd2classzd2numz00_2919;
{ /* Jvm/lisp.scm 33 */
BgL_objectz00_bglt BgL_auxz00_5803;
BgL_auxz00_5803 = 
(BgL_objectz00_bglt)(BgL_arg2932z00_1751); 
BgL_objzd2classzd2numz00_2919 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5803); } 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_arg1221z00_2920;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5806;
BgL_auxz00_5806 = 
(int)(((long)1)); 
BgL_arg1221z00_2920 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5806); } 
{ /* Jvm/lisp.scm 33 */
long BgL_offsetz00_2924;
{ /* Jvm/lisp.scm 33 */
long BgL_auxz00_5809;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5810;
BgL_auxz00_5810 = 
(int)(BgL_objzd2classzd2numz00_2919); 
BgL_auxz00_5809 = 
(long)(BgL_auxz00_5810); } 
BgL_offsetz00_2924 = 
(BgL_auxz00_5809-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 33 */
long BgL_modz00_2925;
{ /* Jvm/lisp.scm 33 */
long BgL_auxz00_5814;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5815;
BgL_auxz00_5815 = 
(int)(((long)8)); 
BgL_auxz00_5814 = 
(long)(BgL_auxz00_5815); } 
BgL_modz00_2925 = 
(BgL_offsetz00_2924/BgL_auxz00_5814); } 
{ /* Jvm/lisp.scm 33 */
long BgL_restz00_2927;
{ /* Jvm/lisp.scm 33 */
long BgL_auxz00_5819;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5820;
BgL_auxz00_5820 = 
(int)(((long)8)); 
BgL_auxz00_5819 = 
(long)(BgL_auxz00_5820); } 
BgL_restz00_2927 = 
(BgL_offsetz00_2924%BgL_auxz00_5819); } 
{ /* Jvm/lisp.scm 33 */

{ /* Jvm/lisp.scm 33 */
obj_t BgL_bucketz00_2929;
{ /* Jvm/lisp.scm 33 */
int BgL_kz00_2939;
BgL_kz00_2939 = 
(int)(BgL_modz00_2925); 
BgL_bucketz00_2929 = 
VECTOR_REF(BgL_arg1221z00_2920,BgL_kz00_2939); } 
{ /* Jvm/lisp.scm 33 */
int BgL_kz00_2941;
BgL_kz00_2941 = 
(int)(BgL_restz00_2927); 
BgL_method2766z00_2917 = 
VECTOR_REF(BgL_bucketz00_2929,BgL_kz00_2941); } } } } } } } } 
BgL_arg2930z00_1749 = 
PROCEDURE_ENTRY(BgL_method2766z00_2917)(BgL_method2766z00_2917, 
(obj_t)(BgL_arg2932z00_1751), BEOA); } } 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_arg2933z00_1752;
{ /* Jvm/lisp.scm 33 */
BgL_nodez00_bglt BgL_arg2935z00_1754;
BgL_arg2935z00_1754 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_1740))->BgL_falsez00); 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_method2766z00_2944;
{ /* Jvm/lisp.scm 33 */
long BgL_objzd2classzd2numz00_2946;
{ /* Jvm/lisp.scm 33 */
BgL_objectz00_bglt BgL_auxz00_5832;
BgL_auxz00_5832 = 
(BgL_objectz00_bglt)(BgL_arg2935z00_1754); 
BgL_objzd2classzd2numz00_2946 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5832); } 
{ /* Jvm/lisp.scm 33 */
obj_t BgL_arg1221z00_2947;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5835;
BgL_auxz00_5835 = 
(int)(((long)1)); 
BgL_arg1221z00_2947 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5835); } 
{ /* Jvm/lisp.scm 33 */
long BgL_offsetz00_2951;
{ /* Jvm/lisp.scm 33 */
long BgL_auxz00_5838;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5839;
BgL_auxz00_5839 = 
(int)(BgL_objzd2classzd2numz00_2946); 
BgL_auxz00_5838 = 
(long)(BgL_auxz00_5839); } 
BgL_offsetz00_2951 = 
(BgL_auxz00_5838-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 33 */
long BgL_modz00_2952;
{ /* Jvm/lisp.scm 33 */
long BgL_auxz00_5843;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5844;
BgL_auxz00_5844 = 
(int)(((long)8)); 
BgL_auxz00_5843 = 
(long)(BgL_auxz00_5844); } 
BgL_modz00_2952 = 
(BgL_offsetz00_2951/BgL_auxz00_5843); } 
{ /* Jvm/lisp.scm 33 */
long BgL_restz00_2954;
{ /* Jvm/lisp.scm 33 */
long BgL_auxz00_5848;
{ /* Jvm/lisp.scm 33 */
int BgL_auxz00_5849;
BgL_auxz00_5849 = 
(int)(((long)8)); 
BgL_auxz00_5848 = 
(long)(BgL_auxz00_5849); } 
BgL_restz00_2954 = 
(BgL_offsetz00_2951%BgL_auxz00_5848); } 
{ /* Jvm/lisp.scm 33 */

{ /* Jvm/lisp.scm 33 */
obj_t BgL_bucketz00_2956;
{ /* Jvm/lisp.scm 33 */
int BgL_kz00_2966;
BgL_kz00_2966 = 
(int)(BgL_modz00_2952); 
BgL_bucketz00_2956 = 
VECTOR_REF(BgL_arg1221z00_2947,BgL_kz00_2966); } 
{ /* Jvm/lisp.scm 33 */
int BgL_kz00_2968;
BgL_kz00_2968 = 
(int)(BgL_restz00_2954); 
BgL_method2766z00_2944 = 
VECTOR_REF(BgL_bucketz00_2956,BgL_kz00_2968); } } } } } } } } 
BgL_arg2933z00_1752 = 
PROCEDURE_ENTRY(BgL_method2766z00_2944)(BgL_method2766z00_2944, 
(obj_t)(BgL_arg2935z00_1754), BEOA); } } 
BgL_arg2931z00_1750 = 
MAKE_PAIR(BgL_arg2933z00_1752, BNIL); } 
BgL_arg2928z00_1747 = 
MAKE_PAIR(BgL_arg2930z00_1749, BgL_arg2931z00_1750); } 
BgL_arg2926z00_1745 = 
MAKE_PAIR(BgL_arg2927z00_1746, BgL_arg2928z00_1747); } 
return 
MAKE_PAIR(BgL_arg2925z00_1744, BgL_arg2926z00_1745);} } } 
}



/* compile-lisp-sequence2776 */
obj_t BGl_compilezd2lispzd2sequence2776z00zzjvm_lispz00(obj_t BgL_envz00_4233, obj_t BgL_ez00_4234)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 27 */
{ 
BgL_sequencez00_bglt BgL_ez00_1714;
BgL_ez00_1714 = 
(BgL_sequencez00_bglt)(BgL_ez00_4234); 
{ /* Jvm/lisp.scm 29 */
obj_t BgL_arg2910z00_1718;obj_t BgL_arg2911z00_1719;
BgL_arg2910z00_1718 = 
CNST_TABLE_REF(((long)20)); 
{ /* Jvm/lisp.scm 29 */
obj_t BgL_arg2912z00_1720;
{ /* Jvm/lisp.scm 29 */
obj_t BgL_l2665z00_1722;
BgL_l2665z00_1722 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_1714))->BgL_nodesz00); 
if(
NULLP(BgL_l2665z00_1722))
{ /* Jvm/lisp.scm 29 */
BgL_arg2912z00_1720 = BNIL; }  else 
{ /* Jvm/lisp.scm 29 */
obj_t BgL_head2667z00_1724;
{ /* Jvm/lisp.scm 29 */
obj_t BgL_arg2921z00_1735;
{ /* Jvm/lisp.scm 29 */
BgL_nodez00_bglt BgL_ez00_2826;
{ /* Jvm/lisp.scm 29 */
obj_t BgL_auxz00_5869;
BgL_auxz00_5869 = 
CAR(BgL_l2665z00_1722); 
BgL_ez00_2826 = 
(BgL_nodez00_bglt)(BgL_auxz00_5869); } 
{ /* Jvm/lisp.scm 29 */
obj_t BgL_method2766z00_2827;
{ /* Jvm/lisp.scm 29 */
long BgL_objzd2classzd2numz00_2829;
{ /* Jvm/lisp.scm 29 */
BgL_objectz00_bglt BgL_auxz00_5872;
BgL_auxz00_5872 = 
(BgL_objectz00_bglt)(BgL_ez00_2826); 
BgL_objzd2classzd2numz00_2829 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5872); } 
{ /* Jvm/lisp.scm 29 */
obj_t BgL_arg1221z00_2830;
{ /* Jvm/lisp.scm 29 */
int BgL_auxz00_5875;
BgL_auxz00_5875 = 
(int)(((long)1)); 
BgL_arg1221z00_2830 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5875); } 
{ /* Jvm/lisp.scm 29 */
long BgL_offsetz00_2834;
{ /* Jvm/lisp.scm 29 */
long BgL_auxz00_5878;
{ /* Jvm/lisp.scm 29 */
int BgL_auxz00_5879;
BgL_auxz00_5879 = 
(int)(BgL_objzd2classzd2numz00_2829); 
BgL_auxz00_5878 = 
(long)(BgL_auxz00_5879); } 
BgL_offsetz00_2834 = 
(BgL_auxz00_5878-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 29 */
long BgL_modz00_2835;
{ /* Jvm/lisp.scm 29 */
long BgL_auxz00_5883;
{ /* Jvm/lisp.scm 29 */
int BgL_auxz00_5884;
BgL_auxz00_5884 = 
(int)(((long)8)); 
BgL_auxz00_5883 = 
(long)(BgL_auxz00_5884); } 
BgL_modz00_2835 = 
(BgL_offsetz00_2834/BgL_auxz00_5883); } 
{ /* Jvm/lisp.scm 29 */
long BgL_restz00_2837;
{ /* Jvm/lisp.scm 29 */
long BgL_auxz00_5888;
{ /* Jvm/lisp.scm 29 */
int BgL_auxz00_5889;
BgL_auxz00_5889 = 
(int)(((long)8)); 
BgL_auxz00_5888 = 
(long)(BgL_auxz00_5889); } 
BgL_restz00_2837 = 
(BgL_offsetz00_2834%BgL_auxz00_5888); } 
{ /* Jvm/lisp.scm 29 */

{ /* Jvm/lisp.scm 29 */
obj_t BgL_bucketz00_2839;
{ /* Jvm/lisp.scm 29 */
int BgL_kz00_2849;
BgL_kz00_2849 = 
(int)(BgL_modz00_2835); 
BgL_bucketz00_2839 = 
VECTOR_REF(BgL_arg1221z00_2830,BgL_kz00_2849); } 
{ /* Jvm/lisp.scm 29 */
int BgL_kz00_2851;
BgL_kz00_2851 = 
(int)(BgL_restz00_2837); 
BgL_method2766z00_2827 = 
VECTOR_REF(BgL_bucketz00_2839,BgL_kz00_2851); } } } } } } } } 
BgL_arg2921z00_1735 = 
PROCEDURE_ENTRY(BgL_method2766z00_2827)(BgL_method2766z00_2827, 
(obj_t)(BgL_ez00_2826), BEOA); } } 
BgL_head2667z00_1724 = 
MAKE_PAIR(BgL_arg2921z00_1735, BNIL); } 
{ 
obj_t BgL_l2665z00_1725;obj_t BgL_tail2668z00_1726;
BgL_l2665z00_1725 = 
CDR(BgL_l2665z00_1722); 
BgL_tail2668z00_1726 = BgL_head2667z00_1724; 
BgL_lname2666z00_1727:
if(
NULLP(BgL_l2665z00_1725))
{ /* Jvm/lisp.scm 29 */
BgL_arg2912z00_1720 = BgL_head2667z00_1724; }  else 
{ /* Jvm/lisp.scm 29 */
obj_t BgL_newtail2669z00_1730;
{ /* Jvm/lisp.scm 29 */
obj_t BgL_arg2918z00_1732;
{ /* Jvm/lisp.scm 29 */
BgL_nodez00_bglt BgL_ez00_2857;
{ /* Jvm/lisp.scm 29 */
obj_t BgL_auxz00_5903;
BgL_auxz00_5903 = 
CAR(BgL_l2665z00_1725); 
BgL_ez00_2857 = 
(BgL_nodez00_bglt)(BgL_auxz00_5903); } 
{ /* Jvm/lisp.scm 29 */
obj_t BgL_method2766z00_2858;
{ /* Jvm/lisp.scm 29 */
long BgL_objzd2classzd2numz00_2860;
{ /* Jvm/lisp.scm 29 */
BgL_objectz00_bglt BgL_auxz00_5906;
BgL_auxz00_5906 = 
(BgL_objectz00_bglt)(BgL_ez00_2857); 
BgL_objzd2classzd2numz00_2860 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5906); } 
{ /* Jvm/lisp.scm 29 */
obj_t BgL_arg1221z00_2861;
{ /* Jvm/lisp.scm 29 */
int BgL_auxz00_5909;
BgL_auxz00_5909 = 
(int)(((long)1)); 
BgL_arg1221z00_2861 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5909); } 
{ /* Jvm/lisp.scm 29 */
long BgL_offsetz00_2865;
{ /* Jvm/lisp.scm 29 */
long BgL_auxz00_5912;
{ /* Jvm/lisp.scm 29 */
int BgL_auxz00_5913;
BgL_auxz00_5913 = 
(int)(BgL_objzd2classzd2numz00_2860); 
BgL_auxz00_5912 = 
(long)(BgL_auxz00_5913); } 
BgL_offsetz00_2865 = 
(BgL_auxz00_5912-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 29 */
long BgL_modz00_2866;
{ /* Jvm/lisp.scm 29 */
long BgL_auxz00_5917;
{ /* Jvm/lisp.scm 29 */
int BgL_auxz00_5918;
BgL_auxz00_5918 = 
(int)(((long)8)); 
BgL_auxz00_5917 = 
(long)(BgL_auxz00_5918); } 
BgL_modz00_2866 = 
(BgL_offsetz00_2865/BgL_auxz00_5917); } 
{ /* Jvm/lisp.scm 29 */
long BgL_restz00_2868;
{ /* Jvm/lisp.scm 29 */
long BgL_auxz00_5922;
{ /* Jvm/lisp.scm 29 */
int BgL_auxz00_5923;
BgL_auxz00_5923 = 
(int)(((long)8)); 
BgL_auxz00_5922 = 
(long)(BgL_auxz00_5923); } 
BgL_restz00_2868 = 
(BgL_offsetz00_2865%BgL_auxz00_5922); } 
{ /* Jvm/lisp.scm 29 */

{ /* Jvm/lisp.scm 29 */
obj_t BgL_bucketz00_2870;
{ /* Jvm/lisp.scm 29 */
int BgL_kz00_2880;
BgL_kz00_2880 = 
(int)(BgL_modz00_2866); 
BgL_bucketz00_2870 = 
VECTOR_REF(BgL_arg1221z00_2861,BgL_kz00_2880); } 
{ /* Jvm/lisp.scm 29 */
int BgL_kz00_2882;
BgL_kz00_2882 = 
(int)(BgL_restz00_2868); 
BgL_method2766z00_2858 = 
VECTOR_REF(BgL_bucketz00_2870,BgL_kz00_2882); } } } } } } } } 
BgL_arg2918z00_1732 = 
PROCEDURE_ENTRY(BgL_method2766z00_2858)(BgL_method2766z00_2858, 
(obj_t)(BgL_ez00_2857), BEOA); } } 
BgL_newtail2669z00_1730 = 
MAKE_PAIR(BgL_arg2918z00_1732, BNIL); } 
SET_CDR(BgL_tail2668z00_1726, BgL_newtail2669z00_1730); 
{ 
obj_t BgL_tail2668z00_5938;obj_t BgL_l2665z00_5936;
BgL_l2665z00_5936 = 
CDR(BgL_l2665z00_1725); 
BgL_tail2668z00_5938 = BgL_newtail2669z00_1730; 
BgL_tail2668z00_1726 = BgL_tail2668z00_5938; 
BgL_l2665z00_1725 = BgL_l2665z00_5936; 
goto BgL_lname2666z00_1727;} } } } } 
BgL_arg2911z00_1719 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2912z00_1720, BNIL); } 
return 
MAKE_PAIR(BgL_arg2910z00_1718, BgL_arg2911z00_1719);} } } 
}



/* compile-lisp-setq2774 */
obj_t BGl_compilezd2lispzd2setq2774z00zzjvm_lispz00(obj_t BgL_envz00_4235, obj_t BgL_ez00_4236)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 23 */
{ 
BgL_setqz00_bglt BgL_ez00_1700;
BgL_ez00_1700 = 
(BgL_setqz00_bglt)(BgL_ez00_4236); 
{ /* Jvm/lisp.scm 25 */
obj_t BgL_arg2901z00_1704;obj_t BgL_arg2902z00_1705;
BgL_arg2901z00_1704 = 
CNST_TABLE_REF(((long)21)); 
{ /* Jvm/lisp.scm 25 */
obj_t BgL_arg2903z00_1706;obj_t BgL_arg2904z00_1707;
{ /* Jvm/lisp.scm 25 */
BgL_nodez00_bglt BgL_ez00_2770;
{ /* Jvm/lisp.scm 25 */
BgL_varz00_bglt BgL_auxz00_5944;
BgL_auxz00_5944 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_1700))->BgL_varz00); 
BgL_ez00_2770 = 
(BgL_nodez00_bglt)(BgL_auxz00_5944); } 
{ /* Jvm/lisp.scm 25 */
obj_t BgL_method2766z00_2771;
{ /* Jvm/lisp.scm 25 */
long BgL_objzd2classzd2numz00_2773;
{ /* Jvm/lisp.scm 25 */
BgL_objectz00_bglt BgL_auxz00_5947;
BgL_auxz00_5947 = 
(BgL_objectz00_bglt)(BgL_ez00_2770); 
BgL_objzd2classzd2numz00_2773 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5947); } 
{ /* Jvm/lisp.scm 25 */
obj_t BgL_arg1221z00_2774;
{ /* Jvm/lisp.scm 25 */
int BgL_auxz00_5950;
BgL_auxz00_5950 = 
(int)(((long)1)); 
BgL_arg1221z00_2774 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5950); } 
{ /* Jvm/lisp.scm 25 */
long BgL_offsetz00_2778;
{ /* Jvm/lisp.scm 25 */
long BgL_auxz00_5953;
{ /* Jvm/lisp.scm 25 */
int BgL_auxz00_5954;
BgL_auxz00_5954 = 
(int)(BgL_objzd2classzd2numz00_2773); 
BgL_auxz00_5953 = 
(long)(BgL_auxz00_5954); } 
BgL_offsetz00_2778 = 
(BgL_auxz00_5953-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 25 */
long BgL_modz00_2779;
{ /* Jvm/lisp.scm 25 */
long BgL_auxz00_5958;
{ /* Jvm/lisp.scm 25 */
int BgL_auxz00_5959;
BgL_auxz00_5959 = 
(int)(((long)8)); 
BgL_auxz00_5958 = 
(long)(BgL_auxz00_5959); } 
BgL_modz00_2779 = 
(BgL_offsetz00_2778/BgL_auxz00_5958); } 
{ /* Jvm/lisp.scm 25 */
long BgL_restz00_2781;
{ /* Jvm/lisp.scm 25 */
long BgL_auxz00_5963;
{ /* Jvm/lisp.scm 25 */
int BgL_auxz00_5964;
BgL_auxz00_5964 = 
(int)(((long)8)); 
BgL_auxz00_5963 = 
(long)(BgL_auxz00_5964); } 
BgL_restz00_2781 = 
(BgL_offsetz00_2778%BgL_auxz00_5963); } 
{ /* Jvm/lisp.scm 25 */

{ /* Jvm/lisp.scm 25 */
obj_t BgL_bucketz00_2783;
{ /* Jvm/lisp.scm 25 */
int BgL_kz00_2793;
BgL_kz00_2793 = 
(int)(BgL_modz00_2779); 
BgL_bucketz00_2783 = 
VECTOR_REF(BgL_arg1221z00_2774,BgL_kz00_2793); } 
{ /* Jvm/lisp.scm 25 */
int BgL_kz00_2795;
BgL_kz00_2795 = 
(int)(BgL_restz00_2781); 
BgL_method2766z00_2771 = 
VECTOR_REF(BgL_bucketz00_2783,BgL_kz00_2795); } } } } } } } } 
BgL_arg2903z00_1706 = 
PROCEDURE_ENTRY(BgL_method2766z00_2771)(BgL_method2766z00_2771, 
(obj_t)(BgL_ez00_2770), BEOA); } } 
{ /* Jvm/lisp.scm 25 */
obj_t BgL_arg2906z00_1709;
{ /* Jvm/lisp.scm 25 */
BgL_nodez00_bglt BgL_arg2908z00_1711;
BgL_arg2908z00_1711 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_1700))->BgL_valuez00); 
{ /* Jvm/lisp.scm 25 */
obj_t BgL_method2766z00_2798;
{ /* Jvm/lisp.scm 25 */
long BgL_objzd2classzd2numz00_2800;
{ /* Jvm/lisp.scm 25 */
BgL_objectz00_bglt BgL_auxz00_5976;
BgL_auxz00_5976 = 
(BgL_objectz00_bglt)(BgL_arg2908z00_1711); 
BgL_objzd2classzd2numz00_2800 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5976); } 
{ /* Jvm/lisp.scm 25 */
obj_t BgL_arg1221z00_2801;
{ /* Jvm/lisp.scm 25 */
int BgL_auxz00_5979;
BgL_auxz00_5979 = 
(int)(((long)1)); 
BgL_arg1221z00_2801 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_5979); } 
{ /* Jvm/lisp.scm 25 */
long BgL_offsetz00_2805;
{ /* Jvm/lisp.scm 25 */
long BgL_auxz00_5982;
{ /* Jvm/lisp.scm 25 */
int BgL_auxz00_5983;
BgL_auxz00_5983 = 
(int)(BgL_objzd2classzd2numz00_2800); 
BgL_auxz00_5982 = 
(long)(BgL_auxz00_5983); } 
BgL_offsetz00_2805 = 
(BgL_auxz00_5982-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 25 */
long BgL_modz00_2806;
{ /* Jvm/lisp.scm 25 */
long BgL_auxz00_5987;
{ /* Jvm/lisp.scm 25 */
int BgL_auxz00_5988;
BgL_auxz00_5988 = 
(int)(((long)8)); 
BgL_auxz00_5987 = 
(long)(BgL_auxz00_5988); } 
BgL_modz00_2806 = 
(BgL_offsetz00_2805/BgL_auxz00_5987); } 
{ /* Jvm/lisp.scm 25 */
long BgL_restz00_2808;
{ /* Jvm/lisp.scm 25 */
long BgL_auxz00_5992;
{ /* Jvm/lisp.scm 25 */
int BgL_auxz00_5993;
BgL_auxz00_5993 = 
(int)(((long)8)); 
BgL_auxz00_5992 = 
(long)(BgL_auxz00_5993); } 
BgL_restz00_2808 = 
(BgL_offsetz00_2805%BgL_auxz00_5992); } 
{ /* Jvm/lisp.scm 25 */

{ /* Jvm/lisp.scm 25 */
obj_t BgL_bucketz00_2810;
{ /* Jvm/lisp.scm 25 */
int BgL_kz00_2820;
BgL_kz00_2820 = 
(int)(BgL_modz00_2806); 
BgL_bucketz00_2810 = 
VECTOR_REF(BgL_arg1221z00_2801,BgL_kz00_2820); } 
{ /* Jvm/lisp.scm 25 */
int BgL_kz00_2822;
BgL_kz00_2822 = 
(int)(BgL_restz00_2808); 
BgL_method2766z00_2798 = 
VECTOR_REF(BgL_bucketz00_2810,BgL_kz00_2822); } } } } } } } } 
BgL_arg2906z00_1709 = 
PROCEDURE_ENTRY(BgL_method2766z00_2798)(BgL_method2766z00_2798, 
(obj_t)(BgL_arg2908z00_1711), BEOA); } } 
BgL_arg2904z00_1707 = 
MAKE_PAIR(BgL_arg2906z00_1709, BNIL); } 
BgL_arg2902z00_1705 = 
MAKE_PAIR(BgL_arg2903z00_1706, BgL_arg2904z00_1707); } 
return 
MAKE_PAIR(BgL_arg2901z00_1704, BgL_arg2902z00_1705);} } } 
}



/* compile-lisp-let-var2772 */
obj_t BGl_compilezd2lispzd2letzd2var2772zd2zzjvm_lispz00(obj_t BgL_envz00_4237, obj_t BgL_ez00_4238)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 16 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1669;
BgL_ez00_1669 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_4238); 
{ /* Jvm/lisp.scm 18 */
obj_t BgL_arg2882z00_1673;obj_t BgL_arg2883z00_1674;
BgL_arg2882z00_1673 = 
CNST_TABLE_REF(((long)22)); 
{ /* Jvm/lisp.scm 18 */
obj_t BgL_arg2884z00_1675;obj_t BgL_arg2885z00_1676;
{ /* Jvm/lisp.scm 18 */
obj_t BgL_l2656z00_1677;
BgL_l2656z00_1677 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1669))->BgL_bindingsz00); 
if(
NULLP(BgL_l2656z00_1677))
{ /* Jvm/lisp.scm 18 */
BgL_arg2884z00_1675 = BNIL; }  else 
{ /* Jvm/lisp.scm 18 */
obj_t BgL_head2658z00_1679;
BgL_head2658z00_1679 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2656z00_1680;obj_t BgL_tail2659z00_1681;
BgL_l2656z00_1680 = BgL_l2656z00_1677; 
BgL_tail2659z00_1681 = BgL_head2658z00_1679; 
BgL_lname2657z00_1682:
if(
NULLP(BgL_l2656z00_1680))
{ /* Jvm/lisp.scm 18 */
BgL_arg2884z00_1675 = 
CDR(BgL_head2658z00_1679); }  else 
{ /* Jvm/lisp.scm 18 */
obj_t BgL_newtail2660z00_1684;
{ /* Jvm/lisp.scm 18 */
obj_t BgL_arg2889z00_1686;
{ /* Jvm/lisp.scm 18 */
obj_t BgL_bz00_1688;
BgL_bz00_1688 = 
CAR(BgL_l2656z00_1680); 
{ /* Jvm/lisp.scm 18 */
obj_t BgL_arg2891z00_1689;obj_t BgL_arg2892z00_1690;
{ /* Jvm/lisp.scm 18 */
BgL_localz00_bglt BgL_obj1249z00_2707;
{ /* Jvm/lisp.scm 18 */
obj_t BgL_auxz00_6017;
BgL_auxz00_6017 = 
CAR(BgL_bz00_1688); 
BgL_obj1249z00_2707 = 
(BgL_localz00_bglt)(BgL_auxz00_6017); } 
BgL_arg2891z00_1689 = 
(((BgL_localz00_bglt)CREF(BgL_obj1249z00_2707))->BgL_namez00); } 
{ /* Jvm/lisp.scm 19 */
BgL_nodez00_bglt BgL_ez00_2709;
{ /* Jvm/lisp.scm 19 */
obj_t BgL_auxz00_6021;
BgL_auxz00_6021 = 
CDR(BgL_bz00_1688); 
BgL_ez00_2709 = 
(BgL_nodez00_bglt)(BgL_auxz00_6021); } 
{ /* Jvm/lisp.scm 19 */
obj_t BgL_method2766z00_2710;
{ /* Jvm/lisp.scm 19 */
long BgL_objzd2classzd2numz00_2712;
{ /* Jvm/lisp.scm 19 */
BgL_objectz00_bglt BgL_auxz00_6024;
BgL_auxz00_6024 = 
(BgL_objectz00_bglt)(BgL_ez00_2709); 
BgL_objzd2classzd2numz00_2712 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6024); } 
{ /* Jvm/lisp.scm 19 */
obj_t BgL_arg1221z00_2713;
{ /* Jvm/lisp.scm 19 */
int BgL_auxz00_6027;
BgL_auxz00_6027 = 
(int)(((long)1)); 
BgL_arg1221z00_2713 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_6027); } 
{ /* Jvm/lisp.scm 19 */
long BgL_offsetz00_2717;
{ /* Jvm/lisp.scm 19 */
long BgL_auxz00_6030;
{ /* Jvm/lisp.scm 19 */
int BgL_auxz00_6031;
BgL_auxz00_6031 = 
(int)(BgL_objzd2classzd2numz00_2712); 
BgL_auxz00_6030 = 
(long)(BgL_auxz00_6031); } 
BgL_offsetz00_2717 = 
(BgL_auxz00_6030-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 19 */
long BgL_modz00_2718;
{ /* Jvm/lisp.scm 19 */
long BgL_auxz00_6035;
{ /* Jvm/lisp.scm 19 */
int BgL_auxz00_6036;
BgL_auxz00_6036 = 
(int)(((long)8)); 
BgL_auxz00_6035 = 
(long)(BgL_auxz00_6036); } 
BgL_modz00_2718 = 
(BgL_offsetz00_2717/BgL_auxz00_6035); } 
{ /* Jvm/lisp.scm 19 */
long BgL_restz00_2720;
{ /* Jvm/lisp.scm 19 */
long BgL_auxz00_6040;
{ /* Jvm/lisp.scm 19 */
int BgL_auxz00_6041;
BgL_auxz00_6041 = 
(int)(((long)8)); 
BgL_auxz00_6040 = 
(long)(BgL_auxz00_6041); } 
BgL_restz00_2720 = 
(BgL_offsetz00_2717%BgL_auxz00_6040); } 
{ /* Jvm/lisp.scm 19 */

{ /* Jvm/lisp.scm 19 */
obj_t BgL_bucketz00_2722;
{ /* Jvm/lisp.scm 19 */
int BgL_kz00_2732;
BgL_kz00_2732 = 
(int)(BgL_modz00_2718); 
BgL_bucketz00_2722 = 
VECTOR_REF(BgL_arg1221z00_2713,BgL_kz00_2732); } 
{ /* Jvm/lisp.scm 19 */
int BgL_kz00_2734;
BgL_kz00_2734 = 
(int)(BgL_restz00_2720); 
BgL_method2766z00_2710 = 
VECTOR_REF(BgL_bucketz00_2722,BgL_kz00_2734); } } } } } } } } 
BgL_arg2892z00_1690 = 
PROCEDURE_ENTRY(BgL_method2766z00_2710)(BgL_method2766z00_2710, 
(obj_t)(BgL_ez00_2709), BEOA); } } 
{ /* Jvm/lisp.scm 18 */
obj_t BgL_list2893z00_1691;
{ /* Jvm/lisp.scm 18 */
obj_t BgL_arg2894z00_1692;
BgL_arg2894z00_1692 = 
MAKE_PAIR(BgL_arg2892z00_1690, BNIL); 
BgL_list2893z00_1691 = 
MAKE_PAIR(BgL_arg2891z00_1689, BgL_arg2894z00_1692); } 
BgL_arg2889z00_1686 = BgL_list2893z00_1691; } } } 
BgL_newtail2660z00_1684 = 
MAKE_PAIR(BgL_arg2889z00_1686, BNIL); } 
SET_CDR(BgL_tail2659z00_1681, BgL_newtail2660z00_1684); 
{ 
obj_t BgL_tail2659z00_6058;obj_t BgL_l2656z00_6056;
BgL_l2656z00_6056 = 
CDR(BgL_l2656z00_1680); 
BgL_tail2659z00_6058 = BgL_newtail2660z00_1684; 
BgL_tail2659z00_1681 = BgL_tail2659z00_6058; 
BgL_l2656z00_1680 = BgL_l2656z00_6056; 
goto BgL_lname2657z00_1682;} } } } } 
{ /* Jvm/lisp.scm 21 */
obj_t BgL_arg2897z00_1695;
{ /* Jvm/lisp.scm 21 */
BgL_nodez00_bglt BgL_arg2899z00_1697;
BgL_arg2899z00_1697 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1669))->BgL_bodyz00); 
{ /* Jvm/lisp.scm 21 */
obj_t BgL_method2766z00_2744;
{ /* Jvm/lisp.scm 21 */
long BgL_objzd2classzd2numz00_2746;
{ /* Jvm/lisp.scm 21 */
BgL_objectz00_bglt BgL_auxz00_6060;
BgL_auxz00_6060 = 
(BgL_objectz00_bglt)(BgL_arg2899z00_1697); 
BgL_objzd2classzd2numz00_2746 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6060); } 
{ /* Jvm/lisp.scm 21 */
obj_t BgL_arg1221z00_2747;
{ /* Jvm/lisp.scm 21 */
int BgL_auxz00_6063;
BgL_auxz00_6063 = 
(int)(((long)1)); 
BgL_arg1221z00_2747 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_6063); } 
{ /* Jvm/lisp.scm 21 */
long BgL_offsetz00_2751;
{ /* Jvm/lisp.scm 21 */
long BgL_auxz00_6066;
{ /* Jvm/lisp.scm 21 */
int BgL_auxz00_6067;
BgL_auxz00_6067 = 
(int)(BgL_objzd2classzd2numz00_2746); 
BgL_auxz00_6066 = 
(long)(BgL_auxz00_6067); } 
BgL_offsetz00_2751 = 
(BgL_auxz00_6066-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 21 */
long BgL_modz00_2752;
{ /* Jvm/lisp.scm 21 */
long BgL_auxz00_6071;
{ /* Jvm/lisp.scm 21 */
int BgL_auxz00_6072;
BgL_auxz00_6072 = 
(int)(((long)8)); 
BgL_auxz00_6071 = 
(long)(BgL_auxz00_6072); } 
BgL_modz00_2752 = 
(BgL_offsetz00_2751/BgL_auxz00_6071); } 
{ /* Jvm/lisp.scm 21 */
long BgL_restz00_2754;
{ /* Jvm/lisp.scm 21 */
long BgL_auxz00_6076;
{ /* Jvm/lisp.scm 21 */
int BgL_auxz00_6077;
BgL_auxz00_6077 = 
(int)(((long)8)); 
BgL_auxz00_6076 = 
(long)(BgL_auxz00_6077); } 
BgL_restz00_2754 = 
(BgL_offsetz00_2751%BgL_auxz00_6076); } 
{ /* Jvm/lisp.scm 21 */

{ /* Jvm/lisp.scm 21 */
obj_t BgL_bucketz00_2756;
{ /* Jvm/lisp.scm 21 */
int BgL_kz00_2766;
BgL_kz00_2766 = 
(int)(BgL_modz00_2752); 
BgL_bucketz00_2756 = 
VECTOR_REF(BgL_arg1221z00_2747,BgL_kz00_2766); } 
{ /* Jvm/lisp.scm 21 */
int BgL_kz00_2768;
BgL_kz00_2768 = 
(int)(BgL_restz00_2754); 
BgL_method2766z00_2744 = 
VECTOR_REF(BgL_bucketz00_2756,BgL_kz00_2768); } } } } } } } } 
BgL_arg2897z00_1695 = 
PROCEDURE_ENTRY(BgL_method2766z00_2744)(BgL_method2766z00_2744, 
(obj_t)(BgL_arg2899z00_1697), BEOA); } } 
BgL_arg2885z00_1676 = 
MAKE_PAIR(BgL_arg2897z00_1695, BNIL); } 
BgL_arg2883z00_1674 = 
MAKE_PAIR(BgL_arg2884z00_1675, BgL_arg2885z00_1676); } 
return 
MAKE_PAIR(BgL_arg2882z00_1673, BgL_arg2883z00_1674);} } } 
}



/* compile-lisp-var2770 */
obj_t BGl_compilezd2lispzd2var2770z00zzjvm_lispz00(obj_t BgL_envz00_4239, obj_t BgL_ez00_4240)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 10 */
{ 
BgL_varz00_bglt BgL_ez00_1662;
BgL_ez00_1662 = 
(BgL_varz00_bglt)(BgL_ez00_4240); 
{ /* Jvm/lisp.scm 11 */
BgL_variablez00_bglt BgL_vz00_1665;
BgL_vz00_1665 = 
(((BgL_varz00_bglt)CREF(BgL_ez00_1662))->BgL_variablez00); 
{ /* Jvm/lisp.scm 12 */
bool_t BgL_test2880z00_1666;
BgL_test2880z00_1666 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_1665), BGl_localz00zzast_varz00); 
if(BgL_test2880z00_1666)
{ /* Jvm/lisp.scm 12 */
return 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1665))->BgL_namez00);}  else 
{ /* Jvm/lisp.scm 12 */
return 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1665))->BgL_idz00);} } } } } 
}



/* compile-lisp-atom2768 */
obj_t BGl_compilezd2lispzd2atom2768z00zzjvm_lispz00(obj_t BgL_envz00_4241, obj_t BgL_ez00_4242)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 7 */
{ 
BgL_atomz00_bglt BgL_ez00_1657;
BgL_ez00_1657 = 
(BgL_atomz00_bglt)(BgL_ez00_4242); 
return 
(((BgL_atomz00_bglt)CREF(BgL_ez00_1657))->BgL_valuez00);} } 
}



/* compile-lisp */
obj_t BGl_compilezd2lispzd2zzjvm_lispz00(BgL_nodez00_bglt BgL_ez00_1)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 5 */
{ /* Jvm/lisp.scm 5 */
obj_t BgL_method2766z00_4135;
{ /* Jvm/lisp.scm 5 */
long BgL_objzd2classzd2numz00_4137;
{ /* Jvm/lisp.scm 5 */
BgL_objectz00_bglt BgL_auxz00_6101;
BgL_auxz00_6101 = 
(BgL_objectz00_bglt)(BgL_ez00_1); 
BgL_objzd2classzd2numz00_4137 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6101); } 
{ /* Jvm/lisp.scm 5 */
obj_t BgL_arg1221z00_4138;
{ /* Jvm/lisp.scm 5 */
int BgL_auxz00_6104;
BgL_auxz00_6104 = 
(int)(((long)1)); 
BgL_arg1221z00_4138 = 
PROCEDURE_REF(BGl_compilezd2lispzd2envz00zzjvm_lispz00, BgL_auxz00_6104); } 
{ /* Jvm/lisp.scm 5 */
long BgL_offsetz00_4142;
{ /* Jvm/lisp.scm 5 */
long BgL_auxz00_6107;
{ /* Jvm/lisp.scm 5 */
int BgL_auxz00_6108;
BgL_auxz00_6108 = 
(int)(BgL_objzd2classzd2numz00_4137); 
BgL_auxz00_6107 = 
(long)(BgL_auxz00_6108); } 
BgL_offsetz00_4142 = 
(BgL_auxz00_6107-OBJECT_TYPE); } 
{ /* Jvm/lisp.scm 5 */
long BgL_modz00_4143;
{ /* Jvm/lisp.scm 5 */
long BgL_auxz00_6112;
{ /* Jvm/lisp.scm 5 */
int BgL_auxz00_6113;
BgL_auxz00_6113 = 
(int)(((long)8)); 
BgL_auxz00_6112 = 
(long)(BgL_auxz00_6113); } 
BgL_modz00_4143 = 
(BgL_offsetz00_4142/BgL_auxz00_6112); } 
{ /* Jvm/lisp.scm 5 */
long BgL_restz00_4145;
{ /* Jvm/lisp.scm 5 */
long BgL_auxz00_6117;
{ /* Jvm/lisp.scm 5 */
int BgL_auxz00_6118;
BgL_auxz00_6118 = 
(int)(((long)8)); 
BgL_auxz00_6117 = 
(long)(BgL_auxz00_6118); } 
BgL_restz00_4145 = 
(BgL_offsetz00_4142%BgL_auxz00_6117); } 
{ /* Jvm/lisp.scm 5 */

{ /* Jvm/lisp.scm 5 */
obj_t BgL_bucketz00_4147;
{ /* Jvm/lisp.scm 5 */
int BgL_kz00_4157;
BgL_kz00_4157 = 
(int)(BgL_modz00_4143); 
BgL_bucketz00_4147 = 
VECTOR_REF(BgL_arg1221z00_4138,BgL_kz00_4157); } 
{ /* Jvm/lisp.scm 5 */
int BgL_kz00_4159;
BgL_kz00_4159 = 
(int)(BgL_restz00_4145); 
BgL_method2766z00_4135 = 
VECTOR_REF(BgL_bucketz00_4147,BgL_kz00_4159); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2766z00_4135)(BgL_method2766z00_4135, 
(obj_t)(BgL_ez00_1), BEOA);} } 
}



/* _compile-lisp3292 */
obj_t BGl__compilezd2lisp3292zd2zzjvm_lispz00(obj_t BgL_envz00_4163, obj_t BgL_ez00_4164)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 5 */
return 
BGl_compilezd2lispzd2zzjvm_lispz00(
(BgL_nodez00_bglt)(BgL_ez00_4164));} 
}



/* compile-lisp-default2765 */
obj_t BGl_compilezd2lispzd2default2765z00zzjvm_lispz00(BgL_nodez00_bglt BgL_ez00_2)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 1 */
{ 
obj_t BgL_auxz00_6133;obj_t BgL_auxz00_6131;
BgL_auxz00_6133 = 
(obj_t)(BgL_ez00_2); 
BgL_auxz00_6131 = 
CNST_TABLE_REF(((long)23)); 
FAILURE(BgL_auxz00_6131,BGl_string3319z00zzjvm_lispz00,BgL_auxz00_6133);} } 
}



/* _compile-lisp-default2765 */
obj_t BGl__compilezd2lispzd2default2765z00zzjvm_lispz00(obj_t BgL_envz00_4243, obj_t BgL_ez00_4244)
{ AN_OBJECT;
{ /* Jvm/lisp.scm 1 */
return 
BGl_compilezd2lispzd2default2765z00zzjvm_lispz00(
(BgL_nodez00_bglt)(BgL_ez00_4244));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_lispz00()
{ AN_OBJECT;
{ /* Jvm/lisp.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_lisp"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_lisp"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_lisp");} 
}

