/*===========================================================================*/
/*   (Jvm/vmemq.scm)                                                         */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzjvm_vmemqz00();
static obj_t BGl__vmemqzf3zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_dozd2vmemqzf3zd2setzd2exzd2it2723zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2vmemqzf3zd2makezd2box2713z21zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2vmemqzf3zd2extern2701zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_dozd2vmemqzf3zd2conditional2707zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2vmemqzf3zd2cast2703zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2vmemqzf3zd2app2695zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_dozd2vmemqzf3zd2funcall2699zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_dozd2vmemqzf3zd2boxzd2setz122717z33zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static bool_t BGl_dozd2vmemqza2zf3z83zzjvm_vmemqz00(obj_t, obj_t);
static obj_t BGl_dozd2vmemqzf3zd2jumpzd2exzd2it2725zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_vmemqz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vmemqzf3zf3zzjvm_vmemqz00(obj_t, BgL_nodez00_bglt);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_vmemqz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_dozd2vmemqzf3zd2fail2709zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
static bool_t BGl_dozd2vmemqzf3z21zzjvm_vmemqz00(BgL_nodez00_bglt, obj_t);
static bool_t BGl_dozd2vmemqzf3zd2default2688zf3zzjvm_vmemqz00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_vmemqz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_dozd2vmemqzf3zd2select2711zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_dozd2vmemqzf3zd2letzd2fun2719z21zzjvm_vmemqz00(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_dozd2vmemqzf3zd2sequence2693zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2vmemqzf3zd2var2691zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2vmemqzf3zd2letzd2var2721z21zzjvm_vmemqz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_dozd2vmemqzf3zd2boxzd2ref2715z21zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_vmemqz00 = BUNSPEC;
static obj_t BGl_dozd2vmemqzf3zd2setq2705zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2vmemqzf3zd2appzd2ly2697z21zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl__dozd2vmemqzf3zd2default2688zf3zzjvm_vmemqz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_vmemqz00();
static obj_t BGl__dozd2vmemqzf3z21zzjvm_vmemqz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t *__cnst;

DEFINE_STATIC_PROCEDURE( BGl_dozd2vmemqzf3zd2default2688zd2envz21zzjvm_vmemqz00, BgL_bgl__doza7d2vmemqza7f3za7d2default2688za7f3za7za7jvm_vmemqza7002975za7, BGl__dozd2vmemqzf3zd2default2688zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2956z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2var2691za7f3za7za7jvm_vmemqza7002976za7, BGl_dozd2vmemqzf3zd2var2691zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2957z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2sequence2693za7f3za7za7jvm_vmemqza7002977za7, BGl_dozd2vmemqzf3zd2sequence2693zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2958z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2app2695za7f3za7za7jvm_vmemqza7002978za7, BGl_dozd2vmemqzf3zd2app2695zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2960z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2funcall2699za7f3za7za7jvm_vmemqza7002979za7, BGl_dozd2vmemqzf3zd2funcall2699zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2959z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2appza7d2ly2697za721za7za7jvm_vmemqza7002980z00, BGl_dozd2vmemqzf3zd2appzd2ly2697z21zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2961z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2extern2701za7f3za7za7jvm_vmemqza7002981za7, BGl_dozd2vmemqzf3zd2extern2701zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2962z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2cast2703za7f3za7za7jvm_vmemqza7002982za7, BGl_dozd2vmemqzf3zd2cast2703zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2963z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2setq2705za7f3za7za7jvm_vmemqza7002983za7, BGl_dozd2vmemqzf3zd2setq2705zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2964z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2conditional2707za7f3za7za7jvm_vmemqza7002984za7, BGl_dozd2vmemqzf3zd2conditional2707zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2965z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2fail2709za7f3za7za7jvm_vmemqza7002985za7, BGl_dozd2vmemqzf3zd2fail2709zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2966z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2select2711za7f3za7za7jvm_vmemqza7002986za7, BGl_dozd2vmemqzf3zd2select2711zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2967z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2makeza7d2box2713za721za7za7jvm_vmemqza7002987z00, BGl_dozd2vmemqzf3zd2makezd2box2713z21zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2968z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2boxza7d2ref2715za721za7za7jvm_vmemqza7002988z00, BGl_dozd2vmemqzf3zd2boxzd2ref2715z21zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2970z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2letza7d2fun2719za721za7za7jvm_vmemqza7002989z00, BGl_dozd2vmemqzf3zd2letzd2fun2719z21zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2969z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2boxza7d2setza7122717za733za7za7jvm_vmemqza7002990za7, BGl_dozd2vmemqzf3zd2boxzd2setz122717z33zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2971z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2letza7d2var2721za721za7za7jvm_vmemqza7002991z00, BGl_dozd2vmemqzf3zd2letzd2var2721z21zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2972z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2setza7d2exza7d2it2723za7f3za7za7jvm_vmemqza7002992za7, BGl_dozd2vmemqzf3zd2setzd2exzd2it2723zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2973z00zzjvm_vmemqz00, BgL_bgl_doza7d2vmemqza7f3za7d2jumpza7d2exza7d2it2725za7f3za7za7jvm_vmemqza7002993za7, BGl_dozd2vmemqzf3zd2jumpzd2exzd2it2725zf3zzjvm_vmemqz00, 0L, 2 );
DEFINE_STATIC_GENERIC( BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_bgl__doza7d2vmemqza7f3za721za7za7jvm_vmemqza7002994z00, BGl__dozd2vmemqzf3z21zzjvm_vmemqz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_vmemqzf3zd2envz21zzjvm_vmemqz00, BgL_bgl__vmemqza7f3za7f3za7za7jvm_vmemqza7002995za7, BGl__vmemqzf3zf3zzjvm_vmemqz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_vmemqz00(long BgL_checksumz00_3285, char * BgL_fromz00_3286)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_vmemqz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_vmemqz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_vmemqz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_vmemqz00(); 
BGl_methodzd2initzd2zzjvm_vmemqz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_vmemqz00()
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 16 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_vmemq"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_vmemq"); 
return BUNSPEC;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_vmemqz00()
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 16 */
return BUNSPEC;} 
}



/* vmemq? */
obj_t BGl_vmemqzf3zf3zzjvm_vmemqz00(obj_t BgL_varsz00_15, BgL_nodez00_bglt BgL_exprz00_16)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 32 */
if(
PAIRP(BgL_varsz00_15))
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_arg2735z00_1289;
if(
NULLP(BgL_varsz00_15))
{ /* Jvm/vmemq.scm 33 */
BgL_arg2735z00_1289 = BNIL; }  else 
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_head2657z00_1292;
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_auxz00_3299;
{ /* Jvm/vmemq.scm 33 */
BgL_variablez00_bglt BgL_auxz00_3300;
{ /* Jvm/vmemq.scm 33 */
BgL_varz00_bglt BgL_obj1619z00_1909;
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_auxz00_3301;
BgL_auxz00_3301 = 
CAR(BgL_varsz00_15); 
BgL_obj1619z00_1909 = 
(BgL_varz00_bglt)(BgL_auxz00_3301); } 
BgL_auxz00_3300 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1909))->BgL_variablez00); } 
BgL_auxz00_3299 = 
(obj_t)(BgL_auxz00_3300); } 
BgL_head2657z00_1292 = 
MAKE_PAIR(BgL_auxz00_3299, BNIL); } 
{ 
obj_t BgL_l2655z00_1293;obj_t BgL_tail2658z00_1294;
BgL_l2655z00_1293 = 
CDR(BgL_varsz00_15); 
BgL_tail2658z00_1294 = BgL_head2657z00_1292; 
BgL_lname2656z00_1295:
if(
NULLP(BgL_l2655z00_1293))
{ /* Jvm/vmemq.scm 33 */
BgL_arg2735z00_1289 = BgL_head2657z00_1292; }  else 
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_newtail2659z00_1298;
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_auxz00_3309;
{ /* Jvm/vmemq.scm 33 */
BgL_variablez00_bglt BgL_auxz00_3310;
{ /* Jvm/vmemq.scm 33 */
BgL_varz00_bglt BgL_obj1619z00_1915;
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_auxz00_3311;
BgL_auxz00_3311 = 
CAR(BgL_l2655z00_1293); 
BgL_obj1619z00_1915 = 
(BgL_varz00_bglt)(BgL_auxz00_3311); } 
BgL_auxz00_3310 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1915))->BgL_variablez00); } 
BgL_auxz00_3309 = 
(obj_t)(BgL_auxz00_3310); } 
BgL_newtail2659z00_1298 = 
MAKE_PAIR(BgL_auxz00_3309, BNIL); } 
SET_CDR(BgL_tail2658z00_1294, BgL_newtail2659z00_1298); 
{ 
obj_t BgL_tail2658z00_3320;obj_t BgL_l2655z00_3318;
BgL_l2655z00_3318 = 
CDR(BgL_l2655z00_1293); 
BgL_tail2658z00_3320 = BgL_newtail2659z00_1298; 
BgL_tail2658z00_1294 = BgL_tail2658z00_3320; 
BgL_l2655z00_1293 = BgL_l2655z00_3318; 
goto BgL_lname2656z00_1295;} } } } 
{ /* Jvm/vmemq.scm 33 */
bool_t BgL_res2881z00_1948;
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_method2689z00_1923;
{ /* Jvm/vmemq.scm 33 */
long BgL_objzd2classzd2numz00_1925;
{ /* Jvm/vmemq.scm 33 */
BgL_objectz00_bglt BgL_auxz00_3322;
BgL_auxz00_3322 = 
(BgL_objectz00_bglt)(BgL_exprz00_16); 
BgL_objzd2classzd2numz00_1925 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3322); } 
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_arg1221z00_1926;
{ /* Jvm/vmemq.scm 33 */
int BgL_auxz00_3325;
BgL_auxz00_3325 = 
(int)(((long)1)); 
BgL_arg1221z00_1926 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3325); } 
{ /* Jvm/vmemq.scm 33 */
long BgL_offsetz00_1930;
{ /* Jvm/vmemq.scm 33 */
long BgL_auxz00_3328;
{ /* Jvm/vmemq.scm 33 */
int BgL_auxz00_3329;
BgL_auxz00_3329 = 
(int)(BgL_objzd2classzd2numz00_1925); 
BgL_auxz00_3328 = 
(long)(BgL_auxz00_3329); } 
BgL_offsetz00_1930 = 
(BgL_auxz00_3328-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 33 */
long BgL_modz00_1931;
{ /* Jvm/vmemq.scm 33 */
long BgL_auxz00_3333;
{ /* Jvm/vmemq.scm 33 */
int BgL_auxz00_3334;
BgL_auxz00_3334 = 
(int)(((long)8)); 
BgL_auxz00_3333 = 
(long)(BgL_auxz00_3334); } 
BgL_modz00_1931 = 
(BgL_offsetz00_1930/BgL_auxz00_3333); } 
{ /* Jvm/vmemq.scm 33 */
long BgL_restz00_1933;
{ /* Jvm/vmemq.scm 33 */
long BgL_auxz00_3338;
{ /* Jvm/vmemq.scm 33 */
int BgL_auxz00_3339;
BgL_auxz00_3339 = 
(int)(((long)8)); 
BgL_auxz00_3338 = 
(long)(BgL_auxz00_3339); } 
BgL_restz00_1933 = 
(BgL_offsetz00_1930%BgL_auxz00_3338); } 
{ /* Jvm/vmemq.scm 33 */

{ /* Jvm/vmemq.scm 33 */
obj_t BgL_bucketz00_1935;
{ /* Jvm/vmemq.scm 33 */
int BgL_kz00_1945;
BgL_kz00_1945 = 
(int)(BgL_modz00_1931); 
BgL_bucketz00_1935 = 
VECTOR_REF(BgL_arg1221z00_1926,BgL_kz00_1945); } 
{ /* Jvm/vmemq.scm 33 */
int BgL_kz00_1947;
BgL_kz00_1947 = 
(int)(BgL_restz00_1933); 
BgL_method2689z00_1923 = 
VECTOR_REF(BgL_bucketz00_1935,BgL_kz00_1947); } } } } } } } } 
{ /* Jvm/vmemq.scm 33 */
obj_t BgL_auxz00_3347;
BgL_auxz00_3347 = 
PROCEDURE_ENTRY(BgL_method2689z00_1923)(BgL_method2689z00_1923, 
(obj_t)(BgL_exprz00_16), BgL_arg2735z00_1289, BEOA); 
BgL_res2881z00_1948 = 
CBOOL(BgL_auxz00_3347); } } 
return 
BBOOL(BgL_res2881z00_1948);} }  else 
{ /* Jvm/vmemq.scm 33 */
return BFALSE;} } 
}



/* _vmemq? */
obj_t BGl__vmemqzf3zf3zzjvm_vmemqz00(obj_t BgL_envz00_3203, obj_t BgL_varsz00_3204, obj_t BgL_exprz00_3205)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 32 */
return 
BGl_vmemqzf3zf3zzjvm_vmemqz00(BgL_varsz00_3204, 
(BgL_nodez00_bglt)(BgL_exprz00_3205));} 
}



/* do-vmemq*? */
bool_t BGl_dozd2vmemqza2zf3z83zzjvm_vmemqz00(obj_t BgL_nodesz00_57, obj_t BgL_varsz00_58)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 167 */
{ 
obj_t BgL_nodesz00_1306;
BgL_nodesz00_1306 = BgL_nodesz00_57; 
BgL_loopz00_1307:
if(
NULLP(BgL_nodesz00_1306))
{ /* Jvm/vmemq.scm 170 */
return ((bool_t)0);}  else 
{ /* Jvm/vmemq.scm 172 */
bool_t BgL_test2747z00_1309;
{ /* Jvm/vmemq.scm 172 */
bool_t BgL_res2884z00_1978;
{ /* Jvm/vmemq.scm 172 */
BgL_nodez00_bglt BgL_nodez00_1951;
{ /* Jvm/vmemq.scm 172 */
obj_t BgL_auxz00_3357;
BgL_auxz00_3357 = 
CAR(BgL_nodesz00_1306); 
BgL_nodez00_1951 = 
(BgL_nodez00_bglt)(BgL_auxz00_3357); } 
{ /* Jvm/vmemq.scm 172 */
obj_t BgL_method2689z00_1953;
{ /* Jvm/vmemq.scm 172 */
long BgL_objzd2classzd2numz00_1955;
{ /* Jvm/vmemq.scm 172 */
BgL_objectz00_bglt BgL_auxz00_3360;
BgL_auxz00_3360 = 
(BgL_objectz00_bglt)(BgL_nodez00_1951); 
BgL_objzd2classzd2numz00_1955 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3360); } 
{ /* Jvm/vmemq.scm 172 */
obj_t BgL_arg1221z00_1956;
{ /* Jvm/vmemq.scm 172 */
int BgL_auxz00_3363;
BgL_auxz00_3363 = 
(int)(((long)1)); 
BgL_arg1221z00_1956 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3363); } 
{ /* Jvm/vmemq.scm 172 */
long BgL_offsetz00_1960;
{ /* Jvm/vmemq.scm 172 */
long BgL_auxz00_3366;
{ /* Jvm/vmemq.scm 172 */
int BgL_auxz00_3367;
BgL_auxz00_3367 = 
(int)(BgL_objzd2classzd2numz00_1955); 
BgL_auxz00_3366 = 
(long)(BgL_auxz00_3367); } 
BgL_offsetz00_1960 = 
(BgL_auxz00_3366-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 172 */
long BgL_modz00_1961;
{ /* Jvm/vmemq.scm 172 */
long BgL_auxz00_3371;
{ /* Jvm/vmemq.scm 172 */
int BgL_auxz00_3372;
BgL_auxz00_3372 = 
(int)(((long)8)); 
BgL_auxz00_3371 = 
(long)(BgL_auxz00_3372); } 
BgL_modz00_1961 = 
(BgL_offsetz00_1960/BgL_auxz00_3371); } 
{ /* Jvm/vmemq.scm 172 */
long BgL_restz00_1963;
{ /* Jvm/vmemq.scm 172 */
long BgL_auxz00_3376;
{ /* Jvm/vmemq.scm 172 */
int BgL_auxz00_3377;
BgL_auxz00_3377 = 
(int)(((long)8)); 
BgL_auxz00_3376 = 
(long)(BgL_auxz00_3377); } 
BgL_restz00_1963 = 
(BgL_offsetz00_1960%BgL_auxz00_3376); } 
{ /* Jvm/vmemq.scm 172 */

{ /* Jvm/vmemq.scm 172 */
obj_t BgL_bucketz00_1965;
{ /* Jvm/vmemq.scm 172 */
int BgL_kz00_1975;
BgL_kz00_1975 = 
(int)(BgL_modz00_1961); 
BgL_bucketz00_1965 = 
VECTOR_REF(BgL_arg1221z00_1956,BgL_kz00_1975); } 
{ /* Jvm/vmemq.scm 172 */
int BgL_kz00_1977;
BgL_kz00_1977 = 
(int)(BgL_restz00_1963); 
BgL_method2689z00_1953 = 
VECTOR_REF(BgL_bucketz00_1965,BgL_kz00_1977); } } } } } } } } 
{ /* Jvm/vmemq.scm 172 */
obj_t BgL_auxz00_3385;
BgL_auxz00_3385 = 
PROCEDURE_ENTRY(BgL_method2689z00_1953)(BgL_method2689z00_1953, 
(obj_t)(BgL_nodez00_1951), BgL_varsz00_58, BEOA); 
BgL_res2884z00_1978 = 
CBOOL(BgL_auxz00_3385); } } } 
BgL_test2747z00_1309 = BgL_res2884z00_1978; } 
if(BgL_test2747z00_1309)
{ /* Jvm/vmemq.scm 172 */
return ((bool_t)1);}  else 
{ /* Jvm/vmemq.scm 172 */
{ 
obj_t BgL_nodesz00_3391;
BgL_nodesz00_3391 = 
CDR(BgL_nodesz00_1306); 
BgL_nodesz00_1306 = BgL_nodesz00_3391; 
goto BgL_loopz00_1307;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_vmemqz00()
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 16 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_dozd2vmemqzf3zd2default2688zd2envz21zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_varz00zzast_nodez00, BGl_proc2956z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_sequencez00zzast_nodez00, BGl_proc2957z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_appz00zzast_nodez00, BGl_proc2958z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc2959z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_funcallz00zzast_nodez00, BGl_proc2960z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_externz00zzast_nodez00, BGl_proc2961z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_castz00zzast_nodez00, BGl_proc2962z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_setqz00zzast_nodez00, BGl_proc2963z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_conditionalz00zzast_nodez00, BGl_proc2964z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_failz00zzast_nodez00, BGl_proc2965z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_selectz00zzast_nodez00, BGl_proc2966z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc2967z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc2968z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2969z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc2970z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc2971z00zzjvm_vmemqz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2972z00zzjvm_vmemqz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2973z00zzjvm_vmemqz00);} 
}



/* do-vmemq?-jump-ex-it2725 */
obj_t BGl_dozd2vmemqzf3zd2jumpzd2exzd2it2725zf3zzjvm_vmemqz00(obj_t BgL_envz00_3227, obj_t BgL_nodez00_3228, obj_t BgL_varsz00_3229)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 160 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1886;obj_t BgL_varsz00_1887;
{ /* Jvm/vmemq.scm 161 */
bool_t BgL_auxz00_3412;
BgL_nodez00_1886 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3228); 
BgL_varsz00_1887 = BgL_varsz00_3229; 
{ /* Jvm/vmemq.scm 161 */
bool_t BgL__ortest_2687z00_1890;
{ /* Jvm/vmemq.scm 161 */
BgL_nodez00_bglt BgL_arg2876z00_1892;
BgL_arg2876z00_1892 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1886))->BgL_exitz00); 
{ /* Jvm/vmemq.scm 161 */
bool_t BgL_res2950z00_3148;
{ /* Jvm/vmemq.scm 161 */
obj_t BgL_method2689z00_3123;
{ /* Jvm/vmemq.scm 161 */
long BgL_objzd2classzd2numz00_3125;
{ /* Jvm/vmemq.scm 161 */
BgL_objectz00_bglt BgL_auxz00_3414;
BgL_auxz00_3414 = 
(BgL_objectz00_bglt)(BgL_arg2876z00_1892); 
BgL_objzd2classzd2numz00_3125 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3414); } 
{ /* Jvm/vmemq.scm 161 */
obj_t BgL_arg1221z00_3126;
{ /* Jvm/vmemq.scm 161 */
int BgL_auxz00_3417;
BgL_auxz00_3417 = 
(int)(((long)1)); 
BgL_arg1221z00_3126 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3417); } 
{ /* Jvm/vmemq.scm 161 */
long BgL_offsetz00_3130;
{ /* Jvm/vmemq.scm 161 */
long BgL_auxz00_3420;
{ /* Jvm/vmemq.scm 161 */
int BgL_auxz00_3421;
BgL_auxz00_3421 = 
(int)(BgL_objzd2classzd2numz00_3125); 
BgL_auxz00_3420 = 
(long)(BgL_auxz00_3421); } 
BgL_offsetz00_3130 = 
(BgL_auxz00_3420-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 161 */
long BgL_modz00_3131;
{ /* Jvm/vmemq.scm 161 */
long BgL_auxz00_3425;
{ /* Jvm/vmemq.scm 161 */
int BgL_auxz00_3426;
BgL_auxz00_3426 = 
(int)(((long)8)); 
BgL_auxz00_3425 = 
(long)(BgL_auxz00_3426); } 
BgL_modz00_3131 = 
(BgL_offsetz00_3130/BgL_auxz00_3425); } 
{ /* Jvm/vmemq.scm 161 */
long BgL_restz00_3133;
{ /* Jvm/vmemq.scm 161 */
long BgL_auxz00_3430;
{ /* Jvm/vmemq.scm 161 */
int BgL_auxz00_3431;
BgL_auxz00_3431 = 
(int)(((long)8)); 
BgL_auxz00_3430 = 
(long)(BgL_auxz00_3431); } 
BgL_restz00_3133 = 
(BgL_offsetz00_3130%BgL_auxz00_3430); } 
{ /* Jvm/vmemq.scm 161 */

{ /* Jvm/vmemq.scm 161 */
obj_t BgL_bucketz00_3135;
{ /* Jvm/vmemq.scm 161 */
int BgL_kz00_3145;
BgL_kz00_3145 = 
(int)(BgL_modz00_3131); 
BgL_bucketz00_3135 = 
VECTOR_REF(BgL_arg1221z00_3126,BgL_kz00_3145); } 
{ /* Jvm/vmemq.scm 161 */
int BgL_kz00_3147;
BgL_kz00_3147 = 
(int)(BgL_restz00_3133); 
BgL_method2689z00_3123 = 
VECTOR_REF(BgL_bucketz00_3135,BgL_kz00_3147); } } } } } } } } 
{ /* Jvm/vmemq.scm 161 */
obj_t BgL_auxz00_3439;
BgL_auxz00_3439 = 
PROCEDURE_ENTRY(BgL_method2689z00_3123)(BgL_method2689z00_3123, 
(obj_t)(BgL_arg2876z00_1892), BgL_varsz00_1887, BEOA); 
BgL_res2950z00_3148 = 
CBOOL(BgL_auxz00_3439); } } 
BgL__ortest_2687z00_1890 = BgL_res2950z00_3148; } } 
if(BgL__ortest_2687z00_1890)
{ /* Jvm/vmemq.scm 161 */
BgL_auxz00_3412 = BgL__ortest_2687z00_1890
; }  else 
{ /* Jvm/vmemq.scm 162 */
BgL_nodez00_bglt BgL_arg2875z00_1891;
BgL_arg2875z00_1891 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1886))->BgL_valuez00); 
{ /* Jvm/vmemq.scm 162 */
bool_t BgL_res2953z00_3177;
{ /* Jvm/vmemq.scm 162 */
obj_t BgL_method2689z00_3152;
{ /* Jvm/vmemq.scm 162 */
long BgL_objzd2classzd2numz00_3154;
{ /* Jvm/vmemq.scm 162 */
BgL_objectz00_bglt BgL_auxz00_3446;
BgL_auxz00_3446 = 
(BgL_objectz00_bglt)(BgL_arg2875z00_1891); 
BgL_objzd2classzd2numz00_3154 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3446); } 
{ /* Jvm/vmemq.scm 162 */
obj_t BgL_arg1221z00_3155;
{ /* Jvm/vmemq.scm 162 */
int BgL_auxz00_3449;
BgL_auxz00_3449 = 
(int)(((long)1)); 
BgL_arg1221z00_3155 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3449); } 
{ /* Jvm/vmemq.scm 162 */
long BgL_offsetz00_3159;
{ /* Jvm/vmemq.scm 162 */
long BgL_auxz00_3452;
{ /* Jvm/vmemq.scm 162 */
int BgL_auxz00_3453;
BgL_auxz00_3453 = 
(int)(BgL_objzd2classzd2numz00_3154); 
BgL_auxz00_3452 = 
(long)(BgL_auxz00_3453); } 
BgL_offsetz00_3159 = 
(BgL_auxz00_3452-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 162 */
long BgL_modz00_3160;
{ /* Jvm/vmemq.scm 162 */
long BgL_auxz00_3457;
{ /* Jvm/vmemq.scm 162 */
int BgL_auxz00_3458;
BgL_auxz00_3458 = 
(int)(((long)8)); 
BgL_auxz00_3457 = 
(long)(BgL_auxz00_3458); } 
BgL_modz00_3160 = 
(BgL_offsetz00_3159/BgL_auxz00_3457); } 
{ /* Jvm/vmemq.scm 162 */
long BgL_restz00_3162;
{ /* Jvm/vmemq.scm 162 */
long BgL_auxz00_3462;
{ /* Jvm/vmemq.scm 162 */
int BgL_auxz00_3463;
BgL_auxz00_3463 = 
(int)(((long)8)); 
BgL_auxz00_3462 = 
(long)(BgL_auxz00_3463); } 
BgL_restz00_3162 = 
(BgL_offsetz00_3159%BgL_auxz00_3462); } 
{ /* Jvm/vmemq.scm 162 */

{ /* Jvm/vmemq.scm 162 */
obj_t BgL_bucketz00_3164;
{ /* Jvm/vmemq.scm 162 */
int BgL_kz00_3174;
BgL_kz00_3174 = 
(int)(BgL_modz00_3160); 
BgL_bucketz00_3164 = 
VECTOR_REF(BgL_arg1221z00_3155,BgL_kz00_3174); } 
{ /* Jvm/vmemq.scm 162 */
int BgL_kz00_3176;
BgL_kz00_3176 = 
(int)(BgL_restz00_3162); 
BgL_method2689z00_3152 = 
VECTOR_REF(BgL_bucketz00_3164,BgL_kz00_3176); } } } } } } } } 
{ /* Jvm/vmemq.scm 162 */
obj_t BgL_auxz00_3471;
BgL_auxz00_3471 = 
PROCEDURE_ENTRY(BgL_method2689z00_3152)(BgL_method2689z00_3152, 
(obj_t)(BgL_arg2875z00_1891), BgL_varsz00_1887, BEOA); 
BgL_res2953z00_3177 = 
CBOOL(BgL_auxz00_3471); } } 
BgL_auxz00_3412 = BgL_res2953z00_3177; } } } 
return 
BBOOL(BgL_auxz00_3412);} } } 
}



/* do-vmemq?-set-ex-it2723 */
obj_t BGl_dozd2vmemqzf3zd2setzd2exzd2it2723zf3zzjvm_vmemqz00(obj_t BgL_envz00_3230, obj_t BgL_nodez00_3231, obj_t BgL_varsz00_3232)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 153 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1877;obj_t BgL_varsz00_1878;
{ /* Jvm/vmemq.scm 154 */
bool_t BgL_auxz00_3478;
BgL_nodez00_1877 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3231); 
BgL_varsz00_1878 = BgL_varsz00_3232; 
{ /* Jvm/vmemq.scm 154 */
bool_t BgL__ortest_2686z00_1881;
{ /* Jvm/vmemq.scm 154 */
bool_t BgL_res2944z00_3090;
{ /* Jvm/vmemq.scm 154 */
BgL_nodez00_bglt BgL_nodez00_3063;
{ /* Jvm/vmemq.scm 154 */
BgL_varz00_bglt BgL_auxz00_3479;
BgL_auxz00_3479 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1877))->BgL_varz00); 
BgL_nodez00_3063 = 
(BgL_nodez00_bglt)(BgL_auxz00_3479); } 
{ /* Jvm/vmemq.scm 154 */
obj_t BgL_method2689z00_3065;
{ /* Jvm/vmemq.scm 154 */
long BgL_objzd2classzd2numz00_3067;
{ /* Jvm/vmemq.scm 154 */
BgL_objectz00_bglt BgL_auxz00_3482;
BgL_auxz00_3482 = 
(BgL_objectz00_bglt)(BgL_nodez00_3063); 
BgL_objzd2classzd2numz00_3067 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3482); } 
{ /* Jvm/vmemq.scm 154 */
obj_t BgL_arg1221z00_3068;
{ /* Jvm/vmemq.scm 154 */
int BgL_auxz00_3485;
BgL_auxz00_3485 = 
(int)(((long)1)); 
BgL_arg1221z00_3068 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3485); } 
{ /* Jvm/vmemq.scm 154 */
long BgL_offsetz00_3072;
{ /* Jvm/vmemq.scm 154 */
long BgL_auxz00_3488;
{ /* Jvm/vmemq.scm 154 */
int BgL_auxz00_3489;
BgL_auxz00_3489 = 
(int)(BgL_objzd2classzd2numz00_3067); 
BgL_auxz00_3488 = 
(long)(BgL_auxz00_3489); } 
BgL_offsetz00_3072 = 
(BgL_auxz00_3488-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 154 */
long BgL_modz00_3073;
{ /* Jvm/vmemq.scm 154 */
long BgL_auxz00_3493;
{ /* Jvm/vmemq.scm 154 */
int BgL_auxz00_3494;
BgL_auxz00_3494 = 
(int)(((long)8)); 
BgL_auxz00_3493 = 
(long)(BgL_auxz00_3494); } 
BgL_modz00_3073 = 
(BgL_offsetz00_3072/BgL_auxz00_3493); } 
{ /* Jvm/vmemq.scm 154 */
long BgL_restz00_3075;
{ /* Jvm/vmemq.scm 154 */
long BgL_auxz00_3498;
{ /* Jvm/vmemq.scm 154 */
int BgL_auxz00_3499;
BgL_auxz00_3499 = 
(int)(((long)8)); 
BgL_auxz00_3498 = 
(long)(BgL_auxz00_3499); } 
BgL_restz00_3075 = 
(BgL_offsetz00_3072%BgL_auxz00_3498); } 
{ /* Jvm/vmemq.scm 154 */

{ /* Jvm/vmemq.scm 154 */
obj_t BgL_bucketz00_3077;
{ /* Jvm/vmemq.scm 154 */
int BgL_kz00_3087;
BgL_kz00_3087 = 
(int)(BgL_modz00_3073); 
BgL_bucketz00_3077 = 
VECTOR_REF(BgL_arg1221z00_3068,BgL_kz00_3087); } 
{ /* Jvm/vmemq.scm 154 */
int BgL_kz00_3089;
BgL_kz00_3089 = 
(int)(BgL_restz00_3075); 
BgL_method2689z00_3065 = 
VECTOR_REF(BgL_bucketz00_3077,BgL_kz00_3089); } } } } } } } } 
{ /* Jvm/vmemq.scm 154 */
obj_t BgL_auxz00_3507;
BgL_auxz00_3507 = 
PROCEDURE_ENTRY(BgL_method2689z00_3065)(BgL_method2689z00_3065, 
(obj_t)(BgL_nodez00_3063), BgL_varsz00_1878, BEOA); 
BgL_res2944z00_3090 = 
CBOOL(BgL_auxz00_3507); } } } 
BgL__ortest_2686z00_1881 = BgL_res2944z00_3090; } 
if(BgL__ortest_2686z00_1881)
{ /* Jvm/vmemq.scm 154 */
BgL_auxz00_3478 = BgL__ortest_2686z00_1881
; }  else 
{ /* Jvm/vmemq.scm 155 */
BgL_nodez00_bglt BgL_arg2872z00_1882;
BgL_arg2872z00_1882 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1877))->BgL_bodyz00); 
{ /* Jvm/vmemq.scm 155 */
bool_t BgL_res2947z00_3119;
{ /* Jvm/vmemq.scm 155 */
obj_t BgL_method2689z00_3094;
{ /* Jvm/vmemq.scm 155 */
long BgL_objzd2classzd2numz00_3096;
{ /* Jvm/vmemq.scm 155 */
BgL_objectz00_bglt BgL_auxz00_3514;
BgL_auxz00_3514 = 
(BgL_objectz00_bglt)(BgL_arg2872z00_1882); 
BgL_objzd2classzd2numz00_3096 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3514); } 
{ /* Jvm/vmemq.scm 155 */
obj_t BgL_arg1221z00_3097;
{ /* Jvm/vmemq.scm 155 */
int BgL_auxz00_3517;
BgL_auxz00_3517 = 
(int)(((long)1)); 
BgL_arg1221z00_3097 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3517); } 
{ /* Jvm/vmemq.scm 155 */
long BgL_offsetz00_3101;
{ /* Jvm/vmemq.scm 155 */
long BgL_auxz00_3520;
{ /* Jvm/vmemq.scm 155 */
int BgL_auxz00_3521;
BgL_auxz00_3521 = 
(int)(BgL_objzd2classzd2numz00_3096); 
BgL_auxz00_3520 = 
(long)(BgL_auxz00_3521); } 
BgL_offsetz00_3101 = 
(BgL_auxz00_3520-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 155 */
long BgL_modz00_3102;
{ /* Jvm/vmemq.scm 155 */
long BgL_auxz00_3525;
{ /* Jvm/vmemq.scm 155 */
int BgL_auxz00_3526;
BgL_auxz00_3526 = 
(int)(((long)8)); 
BgL_auxz00_3525 = 
(long)(BgL_auxz00_3526); } 
BgL_modz00_3102 = 
(BgL_offsetz00_3101/BgL_auxz00_3525); } 
{ /* Jvm/vmemq.scm 155 */
long BgL_restz00_3104;
{ /* Jvm/vmemq.scm 155 */
long BgL_auxz00_3530;
{ /* Jvm/vmemq.scm 155 */
int BgL_auxz00_3531;
BgL_auxz00_3531 = 
(int)(((long)8)); 
BgL_auxz00_3530 = 
(long)(BgL_auxz00_3531); } 
BgL_restz00_3104 = 
(BgL_offsetz00_3101%BgL_auxz00_3530); } 
{ /* Jvm/vmemq.scm 155 */

{ /* Jvm/vmemq.scm 155 */
obj_t BgL_bucketz00_3106;
{ /* Jvm/vmemq.scm 155 */
int BgL_kz00_3116;
BgL_kz00_3116 = 
(int)(BgL_modz00_3102); 
BgL_bucketz00_3106 = 
VECTOR_REF(BgL_arg1221z00_3097,BgL_kz00_3116); } 
{ /* Jvm/vmemq.scm 155 */
int BgL_kz00_3118;
BgL_kz00_3118 = 
(int)(BgL_restz00_3104); 
BgL_method2689z00_3094 = 
VECTOR_REF(BgL_bucketz00_3106,BgL_kz00_3118); } } } } } } } } 
{ /* Jvm/vmemq.scm 155 */
obj_t BgL_auxz00_3539;
BgL_auxz00_3539 = 
PROCEDURE_ENTRY(BgL_method2689z00_3094)(BgL_method2689z00_3094, 
(obj_t)(BgL_arg2872z00_1882), BgL_varsz00_1878, BEOA); 
BgL_res2947z00_3119 = 
CBOOL(BgL_auxz00_3539); } } 
BgL_auxz00_3478 = BgL_res2947z00_3119; } } } 
return 
BBOOL(BgL_auxz00_3478);} } } 
}



/* do-vmemq?-let-var2721 */
obj_t BGl_dozd2vmemqzf3zd2letzd2var2721z21zzjvm_vmemqz00(obj_t BgL_envz00_3233, obj_t BgL_nodez00_3234, obj_t BgL_varsz00_3235)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 146 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1852;obj_t BgL_varsz00_1853;
{ /* Jvm/vmemq.scm 147 */
bool_t BgL_auxz00_3546;
BgL_nodez00_1852 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3234); 
BgL_varsz00_1853 = BgL_varsz00_3235; 
{ /* Jvm/vmemq.scm 147 */
bool_t BgL__ortest_2680z00_1856;
{ /* Jvm/vmemq.scm 147 */
BgL_nodez00_bglt BgL_arg2870z00_1874;
BgL_arg2870z00_1874 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1852))->BgL_bodyz00); 
{ /* Jvm/vmemq.scm 147 */
bool_t BgL_res2941z00_3046;
{ /* Jvm/vmemq.scm 147 */
obj_t BgL_method2689z00_3021;
{ /* Jvm/vmemq.scm 147 */
long BgL_objzd2classzd2numz00_3023;
{ /* Jvm/vmemq.scm 147 */
BgL_objectz00_bglt BgL_auxz00_3548;
BgL_auxz00_3548 = 
(BgL_objectz00_bglt)(BgL_arg2870z00_1874); 
BgL_objzd2classzd2numz00_3023 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3548); } 
{ /* Jvm/vmemq.scm 147 */
obj_t BgL_arg1221z00_3024;
{ /* Jvm/vmemq.scm 147 */
int BgL_auxz00_3551;
BgL_auxz00_3551 = 
(int)(((long)1)); 
BgL_arg1221z00_3024 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3551); } 
{ /* Jvm/vmemq.scm 147 */
long BgL_offsetz00_3028;
{ /* Jvm/vmemq.scm 147 */
long BgL_auxz00_3554;
{ /* Jvm/vmemq.scm 147 */
int BgL_auxz00_3555;
BgL_auxz00_3555 = 
(int)(BgL_objzd2classzd2numz00_3023); 
BgL_auxz00_3554 = 
(long)(BgL_auxz00_3555); } 
BgL_offsetz00_3028 = 
(BgL_auxz00_3554-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 147 */
long BgL_modz00_3029;
{ /* Jvm/vmemq.scm 147 */
long BgL_auxz00_3559;
{ /* Jvm/vmemq.scm 147 */
int BgL_auxz00_3560;
BgL_auxz00_3560 = 
(int)(((long)8)); 
BgL_auxz00_3559 = 
(long)(BgL_auxz00_3560); } 
BgL_modz00_3029 = 
(BgL_offsetz00_3028/BgL_auxz00_3559); } 
{ /* Jvm/vmemq.scm 147 */
long BgL_restz00_3031;
{ /* Jvm/vmemq.scm 147 */
long BgL_auxz00_3564;
{ /* Jvm/vmemq.scm 147 */
int BgL_auxz00_3565;
BgL_auxz00_3565 = 
(int)(((long)8)); 
BgL_auxz00_3564 = 
(long)(BgL_auxz00_3565); } 
BgL_restz00_3031 = 
(BgL_offsetz00_3028%BgL_auxz00_3564); } 
{ /* Jvm/vmemq.scm 147 */

{ /* Jvm/vmemq.scm 147 */
obj_t BgL_bucketz00_3033;
{ /* Jvm/vmemq.scm 147 */
int BgL_kz00_3043;
BgL_kz00_3043 = 
(int)(BgL_modz00_3029); 
BgL_bucketz00_3033 = 
VECTOR_REF(BgL_arg1221z00_3024,BgL_kz00_3043); } 
{ /* Jvm/vmemq.scm 147 */
int BgL_kz00_3045;
BgL_kz00_3045 = 
(int)(BgL_restz00_3031); 
BgL_method2689z00_3021 = 
VECTOR_REF(BgL_bucketz00_3033,BgL_kz00_3045); } } } } } } } } 
{ /* Jvm/vmemq.scm 147 */
obj_t BgL_auxz00_3573;
BgL_auxz00_3573 = 
PROCEDURE_ENTRY(BgL_method2689z00_3021)(BgL_method2689z00_3021, 
(obj_t)(BgL_arg2870z00_1874), BgL_varsz00_1853, BEOA); 
BgL_res2941z00_3046 = 
CBOOL(BgL_auxz00_3573); } } 
BgL__ortest_2680z00_1856 = BgL_res2941z00_3046; } } 
if(BgL__ortest_2680z00_1856)
{ /* Jvm/vmemq.scm 147 */
BgL_auxz00_3546 = BgL__ortest_2680z00_1856
; }  else 
{ /* Jvm/vmemq.scm 148 */
obj_t BgL_arg2859z00_1857;
{ /* Jvm/vmemq.scm 148 */
obj_t BgL_l2681z00_1858;
BgL_l2681z00_1858 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1852))->BgL_bindingsz00); 
if(
NULLP(BgL_l2681z00_1858))
{ /* Jvm/vmemq.scm 148 */
BgL_arg2859z00_1857 = BNIL; }  else 
{ /* Jvm/vmemq.scm 148 */
obj_t BgL_head2683z00_1860;
{ /* Jvm/vmemq.scm 148 */
obj_t BgL_auxz00_3582;
{ /* Jvm/vmemq.scm 148 */
obj_t BgL_auxz00_3583;
BgL_auxz00_3583 = 
CAR(BgL_l2681z00_1858); 
BgL_auxz00_3582 = 
CDR(BgL_auxz00_3583); } 
BgL_head2683z00_1860 = 
MAKE_PAIR(BgL_auxz00_3582, BNIL); } 
{ 
obj_t BgL_l2681z00_1861;obj_t BgL_tail2684z00_1862;
BgL_l2681z00_1861 = 
CDR(BgL_l2681z00_1858); 
BgL_tail2684z00_1862 = BgL_head2683z00_1860; 
BgL_lname2682z00_1863:
if(
NULLP(BgL_l2681z00_1861))
{ /* Jvm/vmemq.scm 148 */
BgL_arg2859z00_1857 = BgL_head2683z00_1860; }  else 
{ /* Jvm/vmemq.scm 148 */
obj_t BgL_newtail2685z00_1866;
{ /* Jvm/vmemq.scm 148 */
obj_t BgL_auxz00_3589;
{ /* Jvm/vmemq.scm 148 */
obj_t BgL_auxz00_3590;
BgL_auxz00_3590 = 
CAR(BgL_l2681z00_1861); 
BgL_auxz00_3589 = 
CDR(BgL_auxz00_3590); } 
BgL_newtail2685z00_1866 = 
MAKE_PAIR(BgL_auxz00_3589, BNIL); } 
SET_CDR(BgL_tail2684z00_1862, BgL_newtail2685z00_1866); 
{ 
obj_t BgL_tail2684z00_3597;obj_t BgL_l2681z00_3595;
BgL_l2681z00_3595 = 
CDR(BgL_l2681z00_1861); 
BgL_tail2684z00_3597 = BgL_newtail2685z00_1866; 
BgL_tail2684z00_1862 = BgL_tail2684z00_3597; 
BgL_l2681z00_1861 = BgL_l2681z00_3595; 
goto BgL_lname2682z00_1863;} } } } } 
BgL_auxz00_3546 = 
BGl_dozd2vmemqza2zf3z83zzjvm_vmemqz00(BgL_arg2859z00_1857, BgL_varsz00_1853); } } 
return 
BBOOL(BgL_auxz00_3546);} } } 
}



/* do-vmemq?-let-fun2719 */
obj_t BGl_dozd2vmemqzf3zd2letzd2fun2719z21zzjvm_vmemqz00(obj_t BgL_envz00_3236, obj_t BgL_nodez00_3237, obj_t BgL_varsz00_3238)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 137 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1830;obj_t BgL_varsz00_1831;
{ /* Jvm/vmemq.scm 138 */
bool_t BgL_auxz00_3602;
BgL_nodez00_1830 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3237); 
BgL_varsz00_1831 = BgL_varsz00_3238; 
{ /* Jvm/vmemq.scm 138 */
bool_t BgL__ortest_2674z00_1834;
{ /* Jvm/vmemq.scm 138 */
BgL_nodez00_bglt BgL_arg2857z00_1849;
BgL_arg2857z00_1849 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1830))->BgL_bodyz00); 
{ /* Jvm/vmemq.scm 138 */
bool_t BgL_res2938z00_3003;
{ /* Jvm/vmemq.scm 138 */
obj_t BgL_method2689z00_2978;
{ /* Jvm/vmemq.scm 138 */
long BgL_objzd2classzd2numz00_2980;
{ /* Jvm/vmemq.scm 138 */
BgL_objectz00_bglt BgL_auxz00_3604;
BgL_auxz00_3604 = 
(BgL_objectz00_bglt)(BgL_arg2857z00_1849); 
BgL_objzd2classzd2numz00_2980 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3604); } 
{ /* Jvm/vmemq.scm 138 */
obj_t BgL_arg1221z00_2981;
{ /* Jvm/vmemq.scm 138 */
int BgL_auxz00_3607;
BgL_auxz00_3607 = 
(int)(((long)1)); 
BgL_arg1221z00_2981 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3607); } 
{ /* Jvm/vmemq.scm 138 */
long BgL_offsetz00_2985;
{ /* Jvm/vmemq.scm 138 */
long BgL_auxz00_3610;
{ /* Jvm/vmemq.scm 138 */
int BgL_auxz00_3611;
BgL_auxz00_3611 = 
(int)(BgL_objzd2classzd2numz00_2980); 
BgL_auxz00_3610 = 
(long)(BgL_auxz00_3611); } 
BgL_offsetz00_2985 = 
(BgL_auxz00_3610-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 138 */
long BgL_modz00_2986;
{ /* Jvm/vmemq.scm 138 */
long BgL_auxz00_3615;
{ /* Jvm/vmemq.scm 138 */
int BgL_auxz00_3616;
BgL_auxz00_3616 = 
(int)(((long)8)); 
BgL_auxz00_3615 = 
(long)(BgL_auxz00_3616); } 
BgL_modz00_2986 = 
(BgL_offsetz00_2985/BgL_auxz00_3615); } 
{ /* Jvm/vmemq.scm 138 */
long BgL_restz00_2988;
{ /* Jvm/vmemq.scm 138 */
long BgL_auxz00_3620;
{ /* Jvm/vmemq.scm 138 */
int BgL_auxz00_3621;
BgL_auxz00_3621 = 
(int)(((long)8)); 
BgL_auxz00_3620 = 
(long)(BgL_auxz00_3621); } 
BgL_restz00_2988 = 
(BgL_offsetz00_2985%BgL_auxz00_3620); } 
{ /* Jvm/vmemq.scm 138 */

{ /* Jvm/vmemq.scm 138 */
obj_t BgL_bucketz00_2990;
{ /* Jvm/vmemq.scm 138 */
int BgL_kz00_3000;
BgL_kz00_3000 = 
(int)(BgL_modz00_2986); 
BgL_bucketz00_2990 = 
VECTOR_REF(BgL_arg1221z00_2981,BgL_kz00_3000); } 
{ /* Jvm/vmemq.scm 138 */
int BgL_kz00_3002;
BgL_kz00_3002 = 
(int)(BgL_restz00_2988); 
BgL_method2689z00_2978 = 
VECTOR_REF(BgL_bucketz00_2990,BgL_kz00_3002); } } } } } } } } 
{ /* Jvm/vmemq.scm 138 */
obj_t BgL_auxz00_3629;
BgL_auxz00_3629 = 
PROCEDURE_ENTRY(BgL_method2689z00_2978)(BgL_method2689z00_2978, 
(obj_t)(BgL_arg2857z00_1849), BgL_varsz00_1831, BEOA); 
BgL_res2938z00_3003 = 
CBOOL(BgL_auxz00_3629); } } 
BgL__ortest_2674z00_1834 = BgL_res2938z00_3003; } } 
if(BgL__ortest_2674z00_1834)
{ /* Jvm/vmemq.scm 138 */
BgL_auxz00_3602 = BgL__ortest_2674z00_1834
; }  else 
{ /* Jvm/vmemq.scm 139 */
obj_t BgL_arg2850z00_1835;
{ /* Jvm/vmemq.scm 139 */
obj_t BgL_l2675z00_1836;
BgL_l2675z00_1836 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1830))->BgL_localsz00); 
if(
NULLP(BgL_l2675z00_1836))
{ /* Jvm/vmemq.scm 139 */
BgL_arg2850z00_1835 = BNIL; }  else 
{ /* Jvm/vmemq.scm 139 */
obj_t BgL_head2677z00_1838;
BgL_head2677z00_1838 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2675z00_1839;obj_t BgL_tail2678z00_1840;
BgL_l2675z00_1839 = BgL_l2675z00_1836; 
BgL_tail2678z00_1840 = BgL_head2677z00_1838; 
BgL_lname2676z00_1841:
if(
NULLP(BgL_l2675z00_1839))
{ /* Jvm/vmemq.scm 139 */
BgL_arg2850z00_1835 = 
CDR(BgL_head2677z00_1838); }  else 
{ /* Jvm/vmemq.scm 139 */
obj_t BgL_newtail2679z00_1843;
{ /* Jvm/vmemq.scm 139 */
obj_t BgL_auxz00_3642;
{ /* Jvm/vmemq.scm 139 */
BgL_sfunz00_bglt BgL_obj1372z00_3012;
{ /* Jvm/vmemq.scm 139 */
BgL_valuez00_bglt BgL_auxz00_3643;
{ /* Jvm/vmemq.scm 139 */
BgL_localz00_bglt BgL_obj1255z00_3011;
{ /* Jvm/vmemq.scm 139 */
obj_t BgL_auxz00_3644;
BgL_auxz00_3644 = 
CAR(BgL_l2675z00_1839); 
BgL_obj1255z00_3011 = 
(BgL_localz00_bglt)(BgL_auxz00_3644); } 
BgL_auxz00_3643 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3011))->BgL_valuez00); } 
BgL_obj1372z00_3012 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3643); } 
BgL_auxz00_3642 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3012))->BgL_bodyz00); } 
BgL_newtail2679z00_1843 = 
MAKE_PAIR(BgL_auxz00_3642, BNIL); } 
SET_CDR(BgL_tail2678z00_1840, BgL_newtail2679z00_1843); 
{ 
obj_t BgL_tail2678z00_3654;obj_t BgL_l2675z00_3652;
BgL_l2675z00_3652 = 
CDR(BgL_l2675z00_1839); 
BgL_tail2678z00_3654 = BgL_newtail2679z00_1843; 
BgL_tail2678z00_1840 = BgL_tail2678z00_3654; 
BgL_l2675z00_1839 = BgL_l2675z00_3652; 
goto BgL_lname2676z00_1841;} } } } } 
BgL_auxz00_3602 = 
BGl_dozd2vmemqza2zf3z83zzjvm_vmemqz00(BgL_arg2850z00_1835, BgL_varsz00_1831); } } 
return 
BBOOL(BgL_auxz00_3602);} } } 
}



/* do-vmemq?-box-set!2717 */
obj_t BGl_dozd2vmemqzf3zd2boxzd2setz122717z33zzjvm_vmemqz00(obj_t BgL_envz00_3239, obj_t BgL_nodez00_3240, obj_t BgL_varsz00_3241)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 130 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1821;obj_t BgL_varsz00_1822;
{ /* Jvm/vmemq.scm 131 */
bool_t BgL_auxz00_3658;
BgL_nodez00_1821 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3240); 
BgL_varsz00_1822 = BgL_varsz00_3241; 
{ /* Jvm/vmemq.scm 131 */
bool_t BgL__ortest_2673z00_1825;
{ /* Jvm/vmemq.scm 131 */
bool_t BgL_res2932z00_2945;
{ /* Jvm/vmemq.scm 131 */
BgL_nodez00_bglt BgL_nodez00_2918;
{ /* Jvm/vmemq.scm 131 */
BgL_varz00_bglt BgL_auxz00_3659;
BgL_auxz00_3659 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1821))->BgL_varz00); 
BgL_nodez00_2918 = 
(BgL_nodez00_bglt)(BgL_auxz00_3659); } 
{ /* Jvm/vmemq.scm 131 */
obj_t BgL_method2689z00_2920;
{ /* Jvm/vmemq.scm 131 */
long BgL_objzd2classzd2numz00_2922;
{ /* Jvm/vmemq.scm 131 */
BgL_objectz00_bglt BgL_auxz00_3662;
BgL_auxz00_3662 = 
(BgL_objectz00_bglt)(BgL_nodez00_2918); 
BgL_objzd2classzd2numz00_2922 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3662); } 
{ /* Jvm/vmemq.scm 131 */
obj_t BgL_arg1221z00_2923;
{ /* Jvm/vmemq.scm 131 */
int BgL_auxz00_3665;
BgL_auxz00_3665 = 
(int)(((long)1)); 
BgL_arg1221z00_2923 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3665); } 
{ /* Jvm/vmemq.scm 131 */
long BgL_offsetz00_2927;
{ /* Jvm/vmemq.scm 131 */
long BgL_auxz00_3668;
{ /* Jvm/vmemq.scm 131 */
int BgL_auxz00_3669;
BgL_auxz00_3669 = 
(int)(BgL_objzd2classzd2numz00_2922); 
BgL_auxz00_3668 = 
(long)(BgL_auxz00_3669); } 
BgL_offsetz00_2927 = 
(BgL_auxz00_3668-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 131 */
long BgL_modz00_2928;
{ /* Jvm/vmemq.scm 131 */
long BgL_auxz00_3673;
{ /* Jvm/vmemq.scm 131 */
int BgL_auxz00_3674;
BgL_auxz00_3674 = 
(int)(((long)8)); 
BgL_auxz00_3673 = 
(long)(BgL_auxz00_3674); } 
BgL_modz00_2928 = 
(BgL_offsetz00_2927/BgL_auxz00_3673); } 
{ /* Jvm/vmemq.scm 131 */
long BgL_restz00_2930;
{ /* Jvm/vmemq.scm 131 */
long BgL_auxz00_3678;
{ /* Jvm/vmemq.scm 131 */
int BgL_auxz00_3679;
BgL_auxz00_3679 = 
(int)(((long)8)); 
BgL_auxz00_3678 = 
(long)(BgL_auxz00_3679); } 
BgL_restz00_2930 = 
(BgL_offsetz00_2927%BgL_auxz00_3678); } 
{ /* Jvm/vmemq.scm 131 */

{ /* Jvm/vmemq.scm 131 */
obj_t BgL_bucketz00_2932;
{ /* Jvm/vmemq.scm 131 */
int BgL_kz00_2942;
BgL_kz00_2942 = 
(int)(BgL_modz00_2928); 
BgL_bucketz00_2932 = 
VECTOR_REF(BgL_arg1221z00_2923,BgL_kz00_2942); } 
{ /* Jvm/vmemq.scm 131 */
int BgL_kz00_2944;
BgL_kz00_2944 = 
(int)(BgL_restz00_2930); 
BgL_method2689z00_2920 = 
VECTOR_REF(BgL_bucketz00_2932,BgL_kz00_2944); } } } } } } } } 
{ /* Jvm/vmemq.scm 131 */
obj_t BgL_auxz00_3687;
BgL_auxz00_3687 = 
PROCEDURE_ENTRY(BgL_method2689z00_2920)(BgL_method2689z00_2920, 
(obj_t)(BgL_nodez00_2918), BgL_varsz00_1822, BEOA); 
BgL_res2932z00_2945 = 
CBOOL(BgL_auxz00_3687); } } } 
BgL__ortest_2673z00_1825 = BgL_res2932z00_2945; } 
if(BgL__ortest_2673z00_1825)
{ /* Jvm/vmemq.scm 131 */
BgL_auxz00_3658 = BgL__ortest_2673z00_1825
; }  else 
{ /* Jvm/vmemq.scm 132 */
BgL_nodez00_bglt BgL_arg2847z00_1826;
BgL_arg2847z00_1826 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1821))->BgL_valuez00); 
{ /* Jvm/vmemq.scm 132 */
bool_t BgL_res2935z00_2974;
{ /* Jvm/vmemq.scm 132 */
obj_t BgL_method2689z00_2949;
{ /* Jvm/vmemq.scm 132 */
long BgL_objzd2classzd2numz00_2951;
{ /* Jvm/vmemq.scm 132 */
BgL_objectz00_bglt BgL_auxz00_3694;
BgL_auxz00_3694 = 
(BgL_objectz00_bglt)(BgL_arg2847z00_1826); 
BgL_objzd2classzd2numz00_2951 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3694); } 
{ /* Jvm/vmemq.scm 132 */
obj_t BgL_arg1221z00_2952;
{ /* Jvm/vmemq.scm 132 */
int BgL_auxz00_3697;
BgL_auxz00_3697 = 
(int)(((long)1)); 
BgL_arg1221z00_2952 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3697); } 
{ /* Jvm/vmemq.scm 132 */
long BgL_offsetz00_2956;
{ /* Jvm/vmemq.scm 132 */
long BgL_auxz00_3700;
{ /* Jvm/vmemq.scm 132 */
int BgL_auxz00_3701;
BgL_auxz00_3701 = 
(int)(BgL_objzd2classzd2numz00_2951); 
BgL_auxz00_3700 = 
(long)(BgL_auxz00_3701); } 
BgL_offsetz00_2956 = 
(BgL_auxz00_3700-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 132 */
long BgL_modz00_2957;
{ /* Jvm/vmemq.scm 132 */
long BgL_auxz00_3705;
{ /* Jvm/vmemq.scm 132 */
int BgL_auxz00_3706;
BgL_auxz00_3706 = 
(int)(((long)8)); 
BgL_auxz00_3705 = 
(long)(BgL_auxz00_3706); } 
BgL_modz00_2957 = 
(BgL_offsetz00_2956/BgL_auxz00_3705); } 
{ /* Jvm/vmemq.scm 132 */
long BgL_restz00_2959;
{ /* Jvm/vmemq.scm 132 */
long BgL_auxz00_3710;
{ /* Jvm/vmemq.scm 132 */
int BgL_auxz00_3711;
BgL_auxz00_3711 = 
(int)(((long)8)); 
BgL_auxz00_3710 = 
(long)(BgL_auxz00_3711); } 
BgL_restz00_2959 = 
(BgL_offsetz00_2956%BgL_auxz00_3710); } 
{ /* Jvm/vmemq.scm 132 */

{ /* Jvm/vmemq.scm 132 */
obj_t BgL_bucketz00_2961;
{ /* Jvm/vmemq.scm 132 */
int BgL_kz00_2971;
BgL_kz00_2971 = 
(int)(BgL_modz00_2957); 
BgL_bucketz00_2961 = 
VECTOR_REF(BgL_arg1221z00_2952,BgL_kz00_2971); } 
{ /* Jvm/vmemq.scm 132 */
int BgL_kz00_2973;
BgL_kz00_2973 = 
(int)(BgL_restz00_2959); 
BgL_method2689z00_2949 = 
VECTOR_REF(BgL_bucketz00_2961,BgL_kz00_2973); } } } } } } } } 
{ /* Jvm/vmemq.scm 132 */
obj_t BgL_auxz00_3719;
BgL_auxz00_3719 = 
PROCEDURE_ENTRY(BgL_method2689z00_2949)(BgL_method2689z00_2949, 
(obj_t)(BgL_arg2847z00_1826), BgL_varsz00_1822, BEOA); 
BgL_res2935z00_2974 = 
CBOOL(BgL_auxz00_3719); } } 
BgL_auxz00_3658 = BgL_res2935z00_2974; } } } 
return 
BBOOL(BgL_auxz00_3658);} } } 
}



/* do-vmemq?-box-ref2715 */
obj_t BGl_dozd2vmemqzf3zd2boxzd2ref2715z21zzjvm_vmemqz00(obj_t BgL_envz00_3242, obj_t BgL_nodez00_3243, obj_t BgL_varsz00_3244)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 124 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1814;obj_t BgL_varsz00_1815;
{ /* Jvm/vmemq.scm 125 */
bool_t BgL_auxz00_3726;
BgL_nodez00_1814 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3243); 
BgL_varsz00_1815 = BgL_varsz00_3244; 
{ /* Jvm/vmemq.scm 125 */
bool_t BgL_res2929z00_2916;
{ /* Jvm/vmemq.scm 125 */
BgL_nodez00_bglt BgL_nodez00_2889;
{ /* Jvm/vmemq.scm 125 */
BgL_varz00_bglt BgL_auxz00_3727;
BgL_auxz00_3727 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1814))->BgL_varz00); 
BgL_nodez00_2889 = 
(BgL_nodez00_bglt)(BgL_auxz00_3727); } 
{ /* Jvm/vmemq.scm 125 */
obj_t BgL_method2689z00_2891;
{ /* Jvm/vmemq.scm 125 */
long BgL_objzd2classzd2numz00_2893;
{ /* Jvm/vmemq.scm 125 */
BgL_objectz00_bglt BgL_auxz00_3730;
BgL_auxz00_3730 = 
(BgL_objectz00_bglt)(BgL_nodez00_2889); 
BgL_objzd2classzd2numz00_2893 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3730); } 
{ /* Jvm/vmemq.scm 125 */
obj_t BgL_arg1221z00_2894;
{ /* Jvm/vmemq.scm 125 */
int BgL_auxz00_3733;
BgL_auxz00_3733 = 
(int)(((long)1)); 
BgL_arg1221z00_2894 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3733); } 
{ /* Jvm/vmemq.scm 125 */
long BgL_offsetz00_2898;
{ /* Jvm/vmemq.scm 125 */
long BgL_auxz00_3736;
{ /* Jvm/vmemq.scm 125 */
int BgL_auxz00_3737;
BgL_auxz00_3737 = 
(int)(BgL_objzd2classzd2numz00_2893); 
BgL_auxz00_3736 = 
(long)(BgL_auxz00_3737); } 
BgL_offsetz00_2898 = 
(BgL_auxz00_3736-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 125 */
long BgL_modz00_2899;
{ /* Jvm/vmemq.scm 125 */
long BgL_auxz00_3741;
{ /* Jvm/vmemq.scm 125 */
int BgL_auxz00_3742;
BgL_auxz00_3742 = 
(int)(((long)8)); 
BgL_auxz00_3741 = 
(long)(BgL_auxz00_3742); } 
BgL_modz00_2899 = 
(BgL_offsetz00_2898/BgL_auxz00_3741); } 
{ /* Jvm/vmemq.scm 125 */
long BgL_restz00_2901;
{ /* Jvm/vmemq.scm 125 */
long BgL_auxz00_3746;
{ /* Jvm/vmemq.scm 125 */
int BgL_auxz00_3747;
BgL_auxz00_3747 = 
(int)(((long)8)); 
BgL_auxz00_3746 = 
(long)(BgL_auxz00_3747); } 
BgL_restz00_2901 = 
(BgL_offsetz00_2898%BgL_auxz00_3746); } 
{ /* Jvm/vmemq.scm 125 */

{ /* Jvm/vmemq.scm 125 */
obj_t BgL_bucketz00_2903;
{ /* Jvm/vmemq.scm 125 */
int BgL_kz00_2913;
BgL_kz00_2913 = 
(int)(BgL_modz00_2899); 
BgL_bucketz00_2903 = 
VECTOR_REF(BgL_arg1221z00_2894,BgL_kz00_2913); } 
{ /* Jvm/vmemq.scm 125 */
int BgL_kz00_2915;
BgL_kz00_2915 = 
(int)(BgL_restz00_2901); 
BgL_method2689z00_2891 = 
VECTOR_REF(BgL_bucketz00_2903,BgL_kz00_2915); } } } } } } } } 
{ /* Jvm/vmemq.scm 125 */
obj_t BgL_auxz00_3755;
BgL_auxz00_3755 = 
PROCEDURE_ENTRY(BgL_method2689z00_2891)(BgL_method2689z00_2891, 
(obj_t)(BgL_nodez00_2889), BgL_varsz00_1815, BEOA); 
BgL_res2929z00_2916 = 
CBOOL(BgL_auxz00_3755); } } } 
BgL_auxz00_3726 = BgL_res2929z00_2916; } 
return 
BBOOL(BgL_auxz00_3726);} } } 
}



/* do-vmemq?-make-box2713 */
obj_t BGl_dozd2vmemqzf3zd2makezd2box2713z21zzjvm_vmemqz00(obj_t BgL_envz00_3245, obj_t BgL_nodez00_3246, obj_t BgL_varsz00_3247)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 118 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1807;obj_t BgL_varsz00_1808;
{ /* Jvm/vmemq.scm 119 */
bool_t BgL_auxz00_3762;
BgL_nodez00_1807 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3246); 
BgL_varsz00_1808 = BgL_varsz00_3247; 
{ /* Jvm/vmemq.scm 119 */
BgL_nodez00_bglt BgL_arg2843z00_2857;
BgL_arg2843z00_2857 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1807))->BgL_valuez00); 
{ /* Jvm/vmemq.scm 119 */
bool_t BgL_res2926z00_2886;
{ /* Jvm/vmemq.scm 119 */
obj_t BgL_method2689z00_2861;
{ /* Jvm/vmemq.scm 119 */
long BgL_objzd2classzd2numz00_2863;
{ /* Jvm/vmemq.scm 119 */
BgL_objectz00_bglt BgL_auxz00_3764;
BgL_auxz00_3764 = 
(BgL_objectz00_bglt)(BgL_arg2843z00_2857); 
BgL_objzd2classzd2numz00_2863 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3764); } 
{ /* Jvm/vmemq.scm 119 */
obj_t BgL_arg1221z00_2864;
{ /* Jvm/vmemq.scm 119 */
int BgL_auxz00_3767;
BgL_auxz00_3767 = 
(int)(((long)1)); 
BgL_arg1221z00_2864 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3767); } 
{ /* Jvm/vmemq.scm 119 */
long BgL_offsetz00_2868;
{ /* Jvm/vmemq.scm 119 */
long BgL_auxz00_3770;
{ /* Jvm/vmemq.scm 119 */
int BgL_auxz00_3771;
BgL_auxz00_3771 = 
(int)(BgL_objzd2classzd2numz00_2863); 
BgL_auxz00_3770 = 
(long)(BgL_auxz00_3771); } 
BgL_offsetz00_2868 = 
(BgL_auxz00_3770-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 119 */
long BgL_modz00_2869;
{ /* Jvm/vmemq.scm 119 */
long BgL_auxz00_3775;
{ /* Jvm/vmemq.scm 119 */
int BgL_auxz00_3776;
BgL_auxz00_3776 = 
(int)(((long)8)); 
BgL_auxz00_3775 = 
(long)(BgL_auxz00_3776); } 
BgL_modz00_2869 = 
(BgL_offsetz00_2868/BgL_auxz00_3775); } 
{ /* Jvm/vmemq.scm 119 */
long BgL_restz00_2871;
{ /* Jvm/vmemq.scm 119 */
long BgL_auxz00_3780;
{ /* Jvm/vmemq.scm 119 */
int BgL_auxz00_3781;
BgL_auxz00_3781 = 
(int)(((long)8)); 
BgL_auxz00_3780 = 
(long)(BgL_auxz00_3781); } 
BgL_restz00_2871 = 
(BgL_offsetz00_2868%BgL_auxz00_3780); } 
{ /* Jvm/vmemq.scm 119 */

{ /* Jvm/vmemq.scm 119 */
obj_t BgL_bucketz00_2873;
{ /* Jvm/vmemq.scm 119 */
int BgL_kz00_2883;
BgL_kz00_2883 = 
(int)(BgL_modz00_2869); 
BgL_bucketz00_2873 = 
VECTOR_REF(BgL_arg1221z00_2864,BgL_kz00_2883); } 
{ /* Jvm/vmemq.scm 119 */
int BgL_kz00_2885;
BgL_kz00_2885 = 
(int)(BgL_restz00_2871); 
BgL_method2689z00_2861 = 
VECTOR_REF(BgL_bucketz00_2873,BgL_kz00_2885); } } } } } } } } 
{ /* Jvm/vmemq.scm 119 */
obj_t BgL_auxz00_3789;
BgL_auxz00_3789 = 
PROCEDURE_ENTRY(BgL_method2689z00_2861)(BgL_method2689z00_2861, 
(obj_t)(BgL_arg2843z00_2857), BgL_varsz00_1808, BEOA); 
BgL_res2926z00_2886 = 
CBOOL(BgL_auxz00_3789); } } 
BgL_auxz00_3762 = BgL_res2926z00_2886; } } 
return 
BBOOL(BgL_auxz00_3762);} } } 
}



/* do-vmemq?-select2711 */
obj_t BGl_dozd2vmemqzf3zd2select2711zf3zzjvm_vmemqz00(obj_t BgL_envz00_3248, obj_t BgL_nodez00_3249, obj_t BgL_varsz00_3250)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 111 */
{ 
BgL_selectz00_bglt BgL_nodez00_1782;obj_t BgL_varsz00_1783;
{ /* Jvm/vmemq.scm 112 */
bool_t BgL_auxz00_3796;
BgL_nodez00_1782 = 
(BgL_selectz00_bglt)(BgL_nodez00_3249); 
BgL_varsz00_1783 = BgL_varsz00_3250; 
{ /* Jvm/vmemq.scm 112 */
bool_t BgL__ortest_2667z00_1786;
{ /* Jvm/vmemq.scm 112 */
BgL_nodez00_bglt BgL_arg2841z00_1804;
BgL_arg2841z00_1804 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1782))->BgL_testz00); 
{ /* Jvm/vmemq.scm 112 */
bool_t BgL_res2923z00_2841;
{ /* Jvm/vmemq.scm 112 */
obj_t BgL_method2689z00_2816;
{ /* Jvm/vmemq.scm 112 */
long BgL_objzd2classzd2numz00_2818;
{ /* Jvm/vmemq.scm 112 */
BgL_objectz00_bglt BgL_auxz00_3798;
BgL_auxz00_3798 = 
(BgL_objectz00_bglt)(BgL_arg2841z00_1804); 
BgL_objzd2classzd2numz00_2818 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3798); } 
{ /* Jvm/vmemq.scm 112 */
obj_t BgL_arg1221z00_2819;
{ /* Jvm/vmemq.scm 112 */
int BgL_auxz00_3801;
BgL_auxz00_3801 = 
(int)(((long)1)); 
BgL_arg1221z00_2819 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3801); } 
{ /* Jvm/vmemq.scm 112 */
long BgL_offsetz00_2823;
{ /* Jvm/vmemq.scm 112 */
long BgL_auxz00_3804;
{ /* Jvm/vmemq.scm 112 */
int BgL_auxz00_3805;
BgL_auxz00_3805 = 
(int)(BgL_objzd2classzd2numz00_2818); 
BgL_auxz00_3804 = 
(long)(BgL_auxz00_3805); } 
BgL_offsetz00_2823 = 
(BgL_auxz00_3804-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 112 */
long BgL_modz00_2824;
{ /* Jvm/vmemq.scm 112 */
long BgL_auxz00_3809;
{ /* Jvm/vmemq.scm 112 */
int BgL_auxz00_3810;
BgL_auxz00_3810 = 
(int)(((long)8)); 
BgL_auxz00_3809 = 
(long)(BgL_auxz00_3810); } 
BgL_modz00_2824 = 
(BgL_offsetz00_2823/BgL_auxz00_3809); } 
{ /* Jvm/vmemq.scm 112 */
long BgL_restz00_2826;
{ /* Jvm/vmemq.scm 112 */
long BgL_auxz00_3814;
{ /* Jvm/vmemq.scm 112 */
int BgL_auxz00_3815;
BgL_auxz00_3815 = 
(int)(((long)8)); 
BgL_auxz00_3814 = 
(long)(BgL_auxz00_3815); } 
BgL_restz00_2826 = 
(BgL_offsetz00_2823%BgL_auxz00_3814); } 
{ /* Jvm/vmemq.scm 112 */

{ /* Jvm/vmemq.scm 112 */
obj_t BgL_bucketz00_2828;
{ /* Jvm/vmemq.scm 112 */
int BgL_kz00_2838;
BgL_kz00_2838 = 
(int)(BgL_modz00_2824); 
BgL_bucketz00_2828 = 
VECTOR_REF(BgL_arg1221z00_2819,BgL_kz00_2838); } 
{ /* Jvm/vmemq.scm 112 */
int BgL_kz00_2840;
BgL_kz00_2840 = 
(int)(BgL_restz00_2826); 
BgL_method2689z00_2816 = 
VECTOR_REF(BgL_bucketz00_2828,BgL_kz00_2840); } } } } } } } } 
{ /* Jvm/vmemq.scm 112 */
obj_t BgL_auxz00_3823;
BgL_auxz00_3823 = 
PROCEDURE_ENTRY(BgL_method2689z00_2816)(BgL_method2689z00_2816, 
(obj_t)(BgL_arg2841z00_1804), BgL_varsz00_1783, BEOA); 
BgL_res2923z00_2841 = 
CBOOL(BgL_auxz00_3823); } } 
BgL__ortest_2667z00_1786 = BgL_res2923z00_2841; } } 
if(BgL__ortest_2667z00_1786)
{ /* Jvm/vmemq.scm 112 */
BgL_auxz00_3796 = BgL__ortest_2667z00_1786
; }  else 
{ /* Jvm/vmemq.scm 113 */
obj_t BgL_arg2830z00_1787;
{ /* Jvm/vmemq.scm 113 */
obj_t BgL_l2668z00_1788;
BgL_l2668z00_1788 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1782))->BgL_clausesz00); 
if(
NULLP(BgL_l2668z00_1788))
{ /* Jvm/vmemq.scm 113 */
BgL_arg2830z00_1787 = BNIL; }  else 
{ /* Jvm/vmemq.scm 113 */
obj_t BgL_head2670z00_1790;
{ /* Jvm/vmemq.scm 113 */
obj_t BgL_auxz00_3832;
{ /* Jvm/vmemq.scm 113 */
obj_t BgL_auxz00_3833;
BgL_auxz00_3833 = 
CAR(BgL_l2668z00_1788); 
BgL_auxz00_3832 = 
CDR(BgL_auxz00_3833); } 
BgL_head2670z00_1790 = 
MAKE_PAIR(BgL_auxz00_3832, BNIL); } 
{ 
obj_t BgL_l2668z00_1791;obj_t BgL_tail2671z00_1792;
BgL_l2668z00_1791 = 
CDR(BgL_l2668z00_1788); 
BgL_tail2671z00_1792 = BgL_head2670z00_1790; 
BgL_lname2669z00_1793:
if(
NULLP(BgL_l2668z00_1791))
{ /* Jvm/vmemq.scm 113 */
BgL_arg2830z00_1787 = BgL_head2670z00_1790; }  else 
{ /* Jvm/vmemq.scm 113 */
obj_t BgL_newtail2672z00_1796;
{ /* Jvm/vmemq.scm 113 */
obj_t BgL_auxz00_3839;
{ /* Jvm/vmemq.scm 113 */
obj_t BgL_auxz00_3840;
BgL_auxz00_3840 = 
CAR(BgL_l2668z00_1791); 
BgL_auxz00_3839 = 
CDR(BgL_auxz00_3840); } 
BgL_newtail2672z00_1796 = 
MAKE_PAIR(BgL_auxz00_3839, BNIL); } 
SET_CDR(BgL_tail2671z00_1792, BgL_newtail2672z00_1796); 
{ 
obj_t BgL_tail2671z00_3847;obj_t BgL_l2668z00_3845;
BgL_l2668z00_3845 = 
CDR(BgL_l2668z00_1791); 
BgL_tail2671z00_3847 = BgL_newtail2672z00_1796; 
BgL_tail2671z00_1792 = BgL_tail2671z00_3847; 
BgL_l2668z00_1791 = BgL_l2668z00_3845; 
goto BgL_lname2669z00_1793;} } } } } 
BgL_auxz00_3796 = 
BGl_dozd2vmemqza2zf3z83zzjvm_vmemqz00(BgL_arg2830z00_1787, BgL_varsz00_1783); } } 
return 
BBOOL(BgL_auxz00_3796);} } } 
}



/* do-vmemq?-fail2709 */
obj_t BGl_dozd2vmemqzf3zd2fail2709zf3zzjvm_vmemqz00(obj_t BgL_envz00_3251, obj_t BgL_nodez00_3252, obj_t BgL_varsz00_3253)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 103 */
{ 
BgL_failz00_bglt BgL_nodez00_1771;obj_t BgL_varsz00_1772;
{ /* Jvm/vmemq.scm 104 */
bool_t BgL_auxz00_3852;
BgL_nodez00_1771 = 
(BgL_failz00_bglt)(BgL_nodez00_3252); 
BgL_varsz00_1772 = BgL_varsz00_3253; 
{ /* Jvm/vmemq.scm 104 */
bool_t BgL__ortest_2665z00_1775;
{ /* Jvm/vmemq.scm 104 */
BgL_nodez00_bglt BgL_arg2828z00_1779;
BgL_arg2828z00_1779 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1771))->BgL_procz00); 
{ /* Jvm/vmemq.scm 104 */
bool_t BgL_res2914z00_2754;
{ /* Jvm/vmemq.scm 104 */
obj_t BgL_method2689z00_2729;
{ /* Jvm/vmemq.scm 104 */
long BgL_objzd2classzd2numz00_2731;
{ /* Jvm/vmemq.scm 104 */
BgL_objectz00_bglt BgL_auxz00_3854;
BgL_auxz00_3854 = 
(BgL_objectz00_bglt)(BgL_arg2828z00_1779); 
BgL_objzd2classzd2numz00_2731 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3854); } 
{ /* Jvm/vmemq.scm 104 */
obj_t BgL_arg1221z00_2732;
{ /* Jvm/vmemq.scm 104 */
int BgL_auxz00_3857;
BgL_auxz00_3857 = 
(int)(((long)1)); 
BgL_arg1221z00_2732 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3857); } 
{ /* Jvm/vmemq.scm 104 */
long BgL_offsetz00_2736;
{ /* Jvm/vmemq.scm 104 */
long BgL_auxz00_3860;
{ /* Jvm/vmemq.scm 104 */
int BgL_auxz00_3861;
BgL_auxz00_3861 = 
(int)(BgL_objzd2classzd2numz00_2731); 
BgL_auxz00_3860 = 
(long)(BgL_auxz00_3861); } 
BgL_offsetz00_2736 = 
(BgL_auxz00_3860-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 104 */
long BgL_modz00_2737;
{ /* Jvm/vmemq.scm 104 */
long BgL_auxz00_3865;
{ /* Jvm/vmemq.scm 104 */
int BgL_auxz00_3866;
BgL_auxz00_3866 = 
(int)(((long)8)); 
BgL_auxz00_3865 = 
(long)(BgL_auxz00_3866); } 
BgL_modz00_2737 = 
(BgL_offsetz00_2736/BgL_auxz00_3865); } 
{ /* Jvm/vmemq.scm 104 */
long BgL_restz00_2739;
{ /* Jvm/vmemq.scm 104 */
long BgL_auxz00_3870;
{ /* Jvm/vmemq.scm 104 */
int BgL_auxz00_3871;
BgL_auxz00_3871 = 
(int)(((long)8)); 
BgL_auxz00_3870 = 
(long)(BgL_auxz00_3871); } 
BgL_restz00_2739 = 
(BgL_offsetz00_2736%BgL_auxz00_3870); } 
{ /* Jvm/vmemq.scm 104 */

{ /* Jvm/vmemq.scm 104 */
obj_t BgL_bucketz00_2741;
{ /* Jvm/vmemq.scm 104 */
int BgL_kz00_2751;
BgL_kz00_2751 = 
(int)(BgL_modz00_2737); 
BgL_bucketz00_2741 = 
VECTOR_REF(BgL_arg1221z00_2732,BgL_kz00_2751); } 
{ /* Jvm/vmemq.scm 104 */
int BgL_kz00_2753;
BgL_kz00_2753 = 
(int)(BgL_restz00_2739); 
BgL_method2689z00_2729 = 
VECTOR_REF(BgL_bucketz00_2741,BgL_kz00_2753); } } } } } } } } 
{ /* Jvm/vmemq.scm 104 */
obj_t BgL_auxz00_3879;
BgL_auxz00_3879 = 
PROCEDURE_ENTRY(BgL_method2689z00_2729)(BgL_method2689z00_2729, 
(obj_t)(BgL_arg2828z00_1779), BgL_varsz00_1772, BEOA); 
BgL_res2914z00_2754 = 
CBOOL(BgL_auxz00_3879); } } 
BgL__ortest_2665z00_1775 = BgL_res2914z00_2754; } } 
if(BgL__ortest_2665z00_1775)
{ /* Jvm/vmemq.scm 104 */
BgL_auxz00_3852 = BgL__ortest_2665z00_1775
; }  else 
{ /* Jvm/vmemq.scm 105 */
bool_t BgL__ortest_2666z00_1776;
{ /* Jvm/vmemq.scm 105 */
BgL_nodez00_bglt BgL_arg2827z00_1778;
BgL_arg2827z00_1778 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1771))->BgL_msgz00); 
{ /* Jvm/vmemq.scm 105 */
bool_t BgL_res2917z00_2783;
{ /* Jvm/vmemq.scm 105 */
obj_t BgL_method2689z00_2758;
{ /* Jvm/vmemq.scm 105 */
long BgL_objzd2classzd2numz00_2760;
{ /* Jvm/vmemq.scm 105 */
BgL_objectz00_bglt BgL_auxz00_3886;
BgL_auxz00_3886 = 
(BgL_objectz00_bglt)(BgL_arg2827z00_1778); 
BgL_objzd2classzd2numz00_2760 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3886); } 
{ /* Jvm/vmemq.scm 105 */
obj_t BgL_arg1221z00_2761;
{ /* Jvm/vmemq.scm 105 */
int BgL_auxz00_3889;
BgL_auxz00_3889 = 
(int)(((long)1)); 
BgL_arg1221z00_2761 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3889); } 
{ /* Jvm/vmemq.scm 105 */
long BgL_offsetz00_2765;
{ /* Jvm/vmemq.scm 105 */
long BgL_auxz00_3892;
{ /* Jvm/vmemq.scm 105 */
int BgL_auxz00_3893;
BgL_auxz00_3893 = 
(int)(BgL_objzd2classzd2numz00_2760); 
BgL_auxz00_3892 = 
(long)(BgL_auxz00_3893); } 
BgL_offsetz00_2765 = 
(BgL_auxz00_3892-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 105 */
long BgL_modz00_2766;
{ /* Jvm/vmemq.scm 105 */
long BgL_auxz00_3897;
{ /* Jvm/vmemq.scm 105 */
int BgL_auxz00_3898;
BgL_auxz00_3898 = 
(int)(((long)8)); 
BgL_auxz00_3897 = 
(long)(BgL_auxz00_3898); } 
BgL_modz00_2766 = 
(BgL_offsetz00_2765/BgL_auxz00_3897); } 
{ /* Jvm/vmemq.scm 105 */
long BgL_restz00_2768;
{ /* Jvm/vmemq.scm 105 */
long BgL_auxz00_3902;
{ /* Jvm/vmemq.scm 105 */
int BgL_auxz00_3903;
BgL_auxz00_3903 = 
(int)(((long)8)); 
BgL_auxz00_3902 = 
(long)(BgL_auxz00_3903); } 
BgL_restz00_2768 = 
(BgL_offsetz00_2765%BgL_auxz00_3902); } 
{ /* Jvm/vmemq.scm 105 */

{ /* Jvm/vmemq.scm 105 */
obj_t BgL_bucketz00_2770;
{ /* Jvm/vmemq.scm 105 */
int BgL_kz00_2780;
BgL_kz00_2780 = 
(int)(BgL_modz00_2766); 
BgL_bucketz00_2770 = 
VECTOR_REF(BgL_arg1221z00_2761,BgL_kz00_2780); } 
{ /* Jvm/vmemq.scm 105 */
int BgL_kz00_2782;
BgL_kz00_2782 = 
(int)(BgL_restz00_2768); 
BgL_method2689z00_2758 = 
VECTOR_REF(BgL_bucketz00_2770,BgL_kz00_2782); } } } } } } } } 
{ /* Jvm/vmemq.scm 105 */
obj_t BgL_auxz00_3911;
BgL_auxz00_3911 = 
PROCEDURE_ENTRY(BgL_method2689z00_2758)(BgL_method2689z00_2758, 
(obj_t)(BgL_arg2827z00_1778), BgL_varsz00_1772, BEOA); 
BgL_res2917z00_2783 = 
CBOOL(BgL_auxz00_3911); } } 
BgL__ortest_2666z00_1776 = BgL_res2917z00_2783; } } 
if(BgL__ortest_2666z00_1776)
{ /* Jvm/vmemq.scm 105 */
BgL_auxz00_3852 = BgL__ortest_2666z00_1776
; }  else 
{ /* Jvm/vmemq.scm 106 */
BgL_nodez00_bglt BgL_arg2826z00_1777;
BgL_arg2826z00_1777 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1771))->BgL_objz00); 
{ /* Jvm/vmemq.scm 106 */
bool_t BgL_res2920z00_2812;
{ /* Jvm/vmemq.scm 106 */
obj_t BgL_method2689z00_2787;
{ /* Jvm/vmemq.scm 106 */
long BgL_objzd2classzd2numz00_2789;
{ /* Jvm/vmemq.scm 106 */
BgL_objectz00_bglt BgL_auxz00_3918;
BgL_auxz00_3918 = 
(BgL_objectz00_bglt)(BgL_arg2826z00_1777); 
BgL_objzd2classzd2numz00_2789 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3918); } 
{ /* Jvm/vmemq.scm 106 */
obj_t BgL_arg1221z00_2790;
{ /* Jvm/vmemq.scm 106 */
int BgL_auxz00_3921;
BgL_auxz00_3921 = 
(int)(((long)1)); 
BgL_arg1221z00_2790 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3921); } 
{ /* Jvm/vmemq.scm 106 */
long BgL_offsetz00_2794;
{ /* Jvm/vmemq.scm 106 */
long BgL_auxz00_3924;
{ /* Jvm/vmemq.scm 106 */
int BgL_auxz00_3925;
BgL_auxz00_3925 = 
(int)(BgL_objzd2classzd2numz00_2789); 
BgL_auxz00_3924 = 
(long)(BgL_auxz00_3925); } 
BgL_offsetz00_2794 = 
(BgL_auxz00_3924-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 106 */
long BgL_modz00_2795;
{ /* Jvm/vmemq.scm 106 */
long BgL_auxz00_3929;
{ /* Jvm/vmemq.scm 106 */
int BgL_auxz00_3930;
BgL_auxz00_3930 = 
(int)(((long)8)); 
BgL_auxz00_3929 = 
(long)(BgL_auxz00_3930); } 
BgL_modz00_2795 = 
(BgL_offsetz00_2794/BgL_auxz00_3929); } 
{ /* Jvm/vmemq.scm 106 */
long BgL_restz00_2797;
{ /* Jvm/vmemq.scm 106 */
long BgL_auxz00_3934;
{ /* Jvm/vmemq.scm 106 */
int BgL_auxz00_3935;
BgL_auxz00_3935 = 
(int)(((long)8)); 
BgL_auxz00_3934 = 
(long)(BgL_auxz00_3935); } 
BgL_restz00_2797 = 
(BgL_offsetz00_2794%BgL_auxz00_3934); } 
{ /* Jvm/vmemq.scm 106 */

{ /* Jvm/vmemq.scm 106 */
obj_t BgL_bucketz00_2799;
{ /* Jvm/vmemq.scm 106 */
int BgL_kz00_2809;
BgL_kz00_2809 = 
(int)(BgL_modz00_2795); 
BgL_bucketz00_2799 = 
VECTOR_REF(BgL_arg1221z00_2790,BgL_kz00_2809); } 
{ /* Jvm/vmemq.scm 106 */
int BgL_kz00_2811;
BgL_kz00_2811 = 
(int)(BgL_restz00_2797); 
BgL_method2689z00_2787 = 
VECTOR_REF(BgL_bucketz00_2799,BgL_kz00_2811); } } } } } } } } 
{ /* Jvm/vmemq.scm 106 */
obj_t BgL_auxz00_3943;
BgL_auxz00_3943 = 
PROCEDURE_ENTRY(BgL_method2689z00_2787)(BgL_method2689z00_2787, 
(obj_t)(BgL_arg2826z00_1777), BgL_varsz00_1772, BEOA); 
BgL_res2920z00_2812 = 
CBOOL(BgL_auxz00_3943); } } 
BgL_auxz00_3852 = BgL_res2920z00_2812; } } } } 
return 
BBOOL(BgL_auxz00_3852);} } } 
}



/* do-vmemq?-conditional2707 */
obj_t BGl_dozd2vmemqzf3zd2conditional2707zf3zzjvm_vmemqz00(obj_t BgL_envz00_3254, obj_t BgL_nodez00_3255, obj_t BgL_varsz00_3256)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 95 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1760;obj_t BgL_varsz00_1761;
{ /* Jvm/vmemq.scm 96 */
bool_t BgL_auxz00_3950;
BgL_nodez00_1760 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3255); 
BgL_varsz00_1761 = BgL_varsz00_3256; 
{ /* Jvm/vmemq.scm 96 */
bool_t BgL__ortest_2663z00_1764;
{ /* Jvm/vmemq.scm 96 */
BgL_nodez00_bglt BgL_arg2824z00_1768;
BgL_arg2824z00_1768 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1760))->BgL_testz00); 
{ /* Jvm/vmemq.scm 96 */
bool_t BgL_res2905z00_2667;
{ /* Jvm/vmemq.scm 96 */
obj_t BgL_method2689z00_2642;
{ /* Jvm/vmemq.scm 96 */
long BgL_objzd2classzd2numz00_2644;
{ /* Jvm/vmemq.scm 96 */
BgL_objectz00_bglt BgL_auxz00_3952;
BgL_auxz00_3952 = 
(BgL_objectz00_bglt)(BgL_arg2824z00_1768); 
BgL_objzd2classzd2numz00_2644 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3952); } 
{ /* Jvm/vmemq.scm 96 */
obj_t BgL_arg1221z00_2645;
{ /* Jvm/vmemq.scm 96 */
int BgL_auxz00_3955;
BgL_auxz00_3955 = 
(int)(((long)1)); 
BgL_arg1221z00_2645 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3955); } 
{ /* Jvm/vmemq.scm 96 */
long BgL_offsetz00_2649;
{ /* Jvm/vmemq.scm 96 */
long BgL_auxz00_3958;
{ /* Jvm/vmemq.scm 96 */
int BgL_auxz00_3959;
BgL_auxz00_3959 = 
(int)(BgL_objzd2classzd2numz00_2644); 
BgL_auxz00_3958 = 
(long)(BgL_auxz00_3959); } 
BgL_offsetz00_2649 = 
(BgL_auxz00_3958-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 96 */
long BgL_modz00_2650;
{ /* Jvm/vmemq.scm 96 */
long BgL_auxz00_3963;
{ /* Jvm/vmemq.scm 96 */
int BgL_auxz00_3964;
BgL_auxz00_3964 = 
(int)(((long)8)); 
BgL_auxz00_3963 = 
(long)(BgL_auxz00_3964); } 
BgL_modz00_2650 = 
(BgL_offsetz00_2649/BgL_auxz00_3963); } 
{ /* Jvm/vmemq.scm 96 */
long BgL_restz00_2652;
{ /* Jvm/vmemq.scm 96 */
long BgL_auxz00_3968;
{ /* Jvm/vmemq.scm 96 */
int BgL_auxz00_3969;
BgL_auxz00_3969 = 
(int)(((long)8)); 
BgL_auxz00_3968 = 
(long)(BgL_auxz00_3969); } 
BgL_restz00_2652 = 
(BgL_offsetz00_2649%BgL_auxz00_3968); } 
{ /* Jvm/vmemq.scm 96 */

{ /* Jvm/vmemq.scm 96 */
obj_t BgL_bucketz00_2654;
{ /* Jvm/vmemq.scm 96 */
int BgL_kz00_2664;
BgL_kz00_2664 = 
(int)(BgL_modz00_2650); 
BgL_bucketz00_2654 = 
VECTOR_REF(BgL_arg1221z00_2645,BgL_kz00_2664); } 
{ /* Jvm/vmemq.scm 96 */
int BgL_kz00_2666;
BgL_kz00_2666 = 
(int)(BgL_restz00_2652); 
BgL_method2689z00_2642 = 
VECTOR_REF(BgL_bucketz00_2654,BgL_kz00_2666); } } } } } } } } 
{ /* Jvm/vmemq.scm 96 */
obj_t BgL_auxz00_3977;
BgL_auxz00_3977 = 
PROCEDURE_ENTRY(BgL_method2689z00_2642)(BgL_method2689z00_2642, 
(obj_t)(BgL_arg2824z00_1768), BgL_varsz00_1761, BEOA); 
BgL_res2905z00_2667 = 
CBOOL(BgL_auxz00_3977); } } 
BgL__ortest_2663z00_1764 = BgL_res2905z00_2667; } } 
if(BgL__ortest_2663z00_1764)
{ /* Jvm/vmemq.scm 96 */
BgL_auxz00_3950 = BgL__ortest_2663z00_1764
; }  else 
{ /* Jvm/vmemq.scm 97 */
bool_t BgL__ortest_2664z00_1765;
{ /* Jvm/vmemq.scm 97 */
BgL_nodez00_bglt BgL_arg2823z00_1767;
BgL_arg2823z00_1767 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1760))->BgL_truez00); 
{ /* Jvm/vmemq.scm 97 */
bool_t BgL_res2908z00_2696;
{ /* Jvm/vmemq.scm 97 */
obj_t BgL_method2689z00_2671;
{ /* Jvm/vmemq.scm 97 */
long BgL_objzd2classzd2numz00_2673;
{ /* Jvm/vmemq.scm 97 */
BgL_objectz00_bglt BgL_auxz00_3984;
BgL_auxz00_3984 = 
(BgL_objectz00_bglt)(BgL_arg2823z00_1767); 
BgL_objzd2classzd2numz00_2673 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3984); } 
{ /* Jvm/vmemq.scm 97 */
obj_t BgL_arg1221z00_2674;
{ /* Jvm/vmemq.scm 97 */
int BgL_auxz00_3987;
BgL_auxz00_3987 = 
(int)(((long)1)); 
BgL_arg1221z00_2674 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_3987); } 
{ /* Jvm/vmemq.scm 97 */
long BgL_offsetz00_2678;
{ /* Jvm/vmemq.scm 97 */
long BgL_auxz00_3990;
{ /* Jvm/vmemq.scm 97 */
int BgL_auxz00_3991;
BgL_auxz00_3991 = 
(int)(BgL_objzd2classzd2numz00_2673); 
BgL_auxz00_3990 = 
(long)(BgL_auxz00_3991); } 
BgL_offsetz00_2678 = 
(BgL_auxz00_3990-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 97 */
long BgL_modz00_2679;
{ /* Jvm/vmemq.scm 97 */
long BgL_auxz00_3995;
{ /* Jvm/vmemq.scm 97 */
int BgL_auxz00_3996;
BgL_auxz00_3996 = 
(int)(((long)8)); 
BgL_auxz00_3995 = 
(long)(BgL_auxz00_3996); } 
BgL_modz00_2679 = 
(BgL_offsetz00_2678/BgL_auxz00_3995); } 
{ /* Jvm/vmemq.scm 97 */
long BgL_restz00_2681;
{ /* Jvm/vmemq.scm 97 */
long BgL_auxz00_4000;
{ /* Jvm/vmemq.scm 97 */
int BgL_auxz00_4001;
BgL_auxz00_4001 = 
(int)(((long)8)); 
BgL_auxz00_4000 = 
(long)(BgL_auxz00_4001); } 
BgL_restz00_2681 = 
(BgL_offsetz00_2678%BgL_auxz00_4000); } 
{ /* Jvm/vmemq.scm 97 */

{ /* Jvm/vmemq.scm 97 */
obj_t BgL_bucketz00_2683;
{ /* Jvm/vmemq.scm 97 */
int BgL_kz00_2693;
BgL_kz00_2693 = 
(int)(BgL_modz00_2679); 
BgL_bucketz00_2683 = 
VECTOR_REF(BgL_arg1221z00_2674,BgL_kz00_2693); } 
{ /* Jvm/vmemq.scm 97 */
int BgL_kz00_2695;
BgL_kz00_2695 = 
(int)(BgL_restz00_2681); 
BgL_method2689z00_2671 = 
VECTOR_REF(BgL_bucketz00_2683,BgL_kz00_2695); } } } } } } } } 
{ /* Jvm/vmemq.scm 97 */
obj_t BgL_auxz00_4009;
BgL_auxz00_4009 = 
PROCEDURE_ENTRY(BgL_method2689z00_2671)(BgL_method2689z00_2671, 
(obj_t)(BgL_arg2823z00_1767), BgL_varsz00_1761, BEOA); 
BgL_res2908z00_2696 = 
CBOOL(BgL_auxz00_4009); } } 
BgL__ortest_2664z00_1765 = BgL_res2908z00_2696; } } 
if(BgL__ortest_2664z00_1765)
{ /* Jvm/vmemq.scm 97 */
BgL_auxz00_3950 = BgL__ortest_2664z00_1765
; }  else 
{ /* Jvm/vmemq.scm 98 */
BgL_nodez00_bglt BgL_arg2822z00_1766;
BgL_arg2822z00_1766 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1760))->BgL_falsez00); 
{ /* Jvm/vmemq.scm 98 */
bool_t BgL_res2911z00_2725;
{ /* Jvm/vmemq.scm 98 */
obj_t BgL_method2689z00_2700;
{ /* Jvm/vmemq.scm 98 */
long BgL_objzd2classzd2numz00_2702;
{ /* Jvm/vmemq.scm 98 */
BgL_objectz00_bglt BgL_auxz00_4016;
BgL_auxz00_4016 = 
(BgL_objectz00_bglt)(BgL_arg2822z00_1766); 
BgL_objzd2classzd2numz00_2702 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4016); } 
{ /* Jvm/vmemq.scm 98 */
obj_t BgL_arg1221z00_2703;
{ /* Jvm/vmemq.scm 98 */
int BgL_auxz00_4019;
BgL_auxz00_4019 = 
(int)(((long)1)); 
BgL_arg1221z00_2703 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_4019); } 
{ /* Jvm/vmemq.scm 98 */
long BgL_offsetz00_2707;
{ /* Jvm/vmemq.scm 98 */
long BgL_auxz00_4022;
{ /* Jvm/vmemq.scm 98 */
int BgL_auxz00_4023;
BgL_auxz00_4023 = 
(int)(BgL_objzd2classzd2numz00_2702); 
BgL_auxz00_4022 = 
(long)(BgL_auxz00_4023); } 
BgL_offsetz00_2707 = 
(BgL_auxz00_4022-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 98 */
long BgL_modz00_2708;
{ /* Jvm/vmemq.scm 98 */
long BgL_auxz00_4027;
{ /* Jvm/vmemq.scm 98 */
int BgL_auxz00_4028;
BgL_auxz00_4028 = 
(int)(((long)8)); 
BgL_auxz00_4027 = 
(long)(BgL_auxz00_4028); } 
BgL_modz00_2708 = 
(BgL_offsetz00_2707/BgL_auxz00_4027); } 
{ /* Jvm/vmemq.scm 98 */
long BgL_restz00_2710;
{ /* Jvm/vmemq.scm 98 */
long BgL_auxz00_4032;
{ /* Jvm/vmemq.scm 98 */
int BgL_auxz00_4033;
BgL_auxz00_4033 = 
(int)(((long)8)); 
BgL_auxz00_4032 = 
(long)(BgL_auxz00_4033); } 
BgL_restz00_2710 = 
(BgL_offsetz00_2707%BgL_auxz00_4032); } 
{ /* Jvm/vmemq.scm 98 */

{ /* Jvm/vmemq.scm 98 */
obj_t BgL_bucketz00_2712;
{ /* Jvm/vmemq.scm 98 */
int BgL_kz00_2722;
BgL_kz00_2722 = 
(int)(BgL_modz00_2708); 
BgL_bucketz00_2712 = 
VECTOR_REF(BgL_arg1221z00_2703,BgL_kz00_2722); } 
{ /* Jvm/vmemq.scm 98 */
int BgL_kz00_2724;
BgL_kz00_2724 = 
(int)(BgL_restz00_2710); 
BgL_method2689z00_2700 = 
VECTOR_REF(BgL_bucketz00_2712,BgL_kz00_2724); } } } } } } } } 
{ /* Jvm/vmemq.scm 98 */
obj_t BgL_auxz00_4041;
BgL_auxz00_4041 = 
PROCEDURE_ENTRY(BgL_method2689z00_2700)(BgL_method2689z00_2700, 
(obj_t)(BgL_arg2822z00_1766), BgL_varsz00_1761, BEOA); 
BgL_res2911z00_2725 = 
CBOOL(BgL_auxz00_4041); } } 
BgL_auxz00_3950 = BgL_res2911z00_2725; } } } } 
return 
BBOOL(BgL_auxz00_3950);} } } 
}



/* do-vmemq?-setq2705 */
obj_t BGl_dozd2vmemqzf3zd2setq2705zf3zzjvm_vmemqz00(obj_t BgL_envz00_3257, obj_t BgL_nodez00_3258, obj_t BgL_varsz00_3259)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 88 */
{ 
BgL_setqz00_bglt BgL_nodez00_1751;obj_t BgL_varsz00_1752;
{ /* Jvm/vmemq.scm 89 */
bool_t BgL_auxz00_4048;
BgL_nodez00_1751 = 
(BgL_setqz00_bglt)(BgL_nodez00_3258); 
BgL_varsz00_1752 = BgL_varsz00_3259; 
{ /* Jvm/vmemq.scm 89 */
bool_t BgL__ortest_2662z00_1755;
{ /* Jvm/vmemq.scm 89 */
bool_t BgL_res2899z00_2609;
{ /* Jvm/vmemq.scm 89 */
BgL_nodez00_bglt BgL_nodez00_2582;
{ /* Jvm/vmemq.scm 89 */
BgL_varz00_bglt BgL_auxz00_4049;
BgL_auxz00_4049 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1751))->BgL_varz00); 
BgL_nodez00_2582 = 
(BgL_nodez00_bglt)(BgL_auxz00_4049); } 
{ /* Jvm/vmemq.scm 89 */
obj_t BgL_method2689z00_2584;
{ /* Jvm/vmemq.scm 89 */
long BgL_objzd2classzd2numz00_2586;
{ /* Jvm/vmemq.scm 89 */
BgL_objectz00_bglt BgL_auxz00_4052;
BgL_auxz00_4052 = 
(BgL_objectz00_bglt)(BgL_nodez00_2582); 
BgL_objzd2classzd2numz00_2586 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4052); } 
{ /* Jvm/vmemq.scm 89 */
obj_t BgL_arg1221z00_2587;
{ /* Jvm/vmemq.scm 89 */
int BgL_auxz00_4055;
BgL_auxz00_4055 = 
(int)(((long)1)); 
BgL_arg1221z00_2587 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_4055); } 
{ /* Jvm/vmemq.scm 89 */
long BgL_offsetz00_2591;
{ /* Jvm/vmemq.scm 89 */
long BgL_auxz00_4058;
{ /* Jvm/vmemq.scm 89 */
int BgL_auxz00_4059;
BgL_auxz00_4059 = 
(int)(BgL_objzd2classzd2numz00_2586); 
BgL_auxz00_4058 = 
(long)(BgL_auxz00_4059); } 
BgL_offsetz00_2591 = 
(BgL_auxz00_4058-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 89 */
long BgL_modz00_2592;
{ /* Jvm/vmemq.scm 89 */
long BgL_auxz00_4063;
{ /* Jvm/vmemq.scm 89 */
int BgL_auxz00_4064;
BgL_auxz00_4064 = 
(int)(((long)8)); 
BgL_auxz00_4063 = 
(long)(BgL_auxz00_4064); } 
BgL_modz00_2592 = 
(BgL_offsetz00_2591/BgL_auxz00_4063); } 
{ /* Jvm/vmemq.scm 89 */
long BgL_restz00_2594;
{ /* Jvm/vmemq.scm 89 */
long BgL_auxz00_4068;
{ /* Jvm/vmemq.scm 89 */
int BgL_auxz00_4069;
BgL_auxz00_4069 = 
(int)(((long)8)); 
BgL_auxz00_4068 = 
(long)(BgL_auxz00_4069); } 
BgL_restz00_2594 = 
(BgL_offsetz00_2591%BgL_auxz00_4068); } 
{ /* Jvm/vmemq.scm 89 */

{ /* Jvm/vmemq.scm 89 */
obj_t BgL_bucketz00_2596;
{ /* Jvm/vmemq.scm 89 */
int BgL_kz00_2606;
BgL_kz00_2606 = 
(int)(BgL_modz00_2592); 
BgL_bucketz00_2596 = 
VECTOR_REF(BgL_arg1221z00_2587,BgL_kz00_2606); } 
{ /* Jvm/vmemq.scm 89 */
int BgL_kz00_2608;
BgL_kz00_2608 = 
(int)(BgL_restz00_2594); 
BgL_method2689z00_2584 = 
VECTOR_REF(BgL_bucketz00_2596,BgL_kz00_2608); } } } } } } } } 
{ /* Jvm/vmemq.scm 89 */
obj_t BgL_auxz00_4077;
BgL_auxz00_4077 = 
PROCEDURE_ENTRY(BgL_method2689z00_2584)(BgL_method2689z00_2584, 
(obj_t)(BgL_nodez00_2582), BgL_varsz00_1752, BEOA); 
BgL_res2899z00_2609 = 
CBOOL(BgL_auxz00_4077); } } } 
BgL__ortest_2662z00_1755 = BgL_res2899z00_2609; } 
if(BgL__ortest_2662z00_1755)
{ /* Jvm/vmemq.scm 89 */
BgL_auxz00_4048 = BgL__ortest_2662z00_1755
; }  else 
{ /* Jvm/vmemq.scm 90 */
BgL_nodez00_bglt BgL_arg2819z00_1756;
BgL_arg2819z00_1756 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1751))->BgL_valuez00); 
{ /* Jvm/vmemq.scm 90 */
bool_t BgL_res2902z00_2638;
{ /* Jvm/vmemq.scm 90 */
obj_t BgL_method2689z00_2613;
{ /* Jvm/vmemq.scm 90 */
long BgL_objzd2classzd2numz00_2615;
{ /* Jvm/vmemq.scm 90 */
BgL_objectz00_bglt BgL_auxz00_4084;
BgL_auxz00_4084 = 
(BgL_objectz00_bglt)(BgL_arg2819z00_1756); 
BgL_objzd2classzd2numz00_2615 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4084); } 
{ /* Jvm/vmemq.scm 90 */
obj_t BgL_arg1221z00_2616;
{ /* Jvm/vmemq.scm 90 */
int BgL_auxz00_4087;
BgL_auxz00_4087 = 
(int)(((long)1)); 
BgL_arg1221z00_2616 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_4087); } 
{ /* Jvm/vmemq.scm 90 */
long BgL_offsetz00_2620;
{ /* Jvm/vmemq.scm 90 */
long BgL_auxz00_4090;
{ /* Jvm/vmemq.scm 90 */
int BgL_auxz00_4091;
BgL_auxz00_4091 = 
(int)(BgL_objzd2classzd2numz00_2615); 
BgL_auxz00_4090 = 
(long)(BgL_auxz00_4091); } 
BgL_offsetz00_2620 = 
(BgL_auxz00_4090-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 90 */
long BgL_modz00_2621;
{ /* Jvm/vmemq.scm 90 */
long BgL_auxz00_4095;
{ /* Jvm/vmemq.scm 90 */
int BgL_auxz00_4096;
BgL_auxz00_4096 = 
(int)(((long)8)); 
BgL_auxz00_4095 = 
(long)(BgL_auxz00_4096); } 
BgL_modz00_2621 = 
(BgL_offsetz00_2620/BgL_auxz00_4095); } 
{ /* Jvm/vmemq.scm 90 */
long BgL_restz00_2623;
{ /* Jvm/vmemq.scm 90 */
long BgL_auxz00_4100;
{ /* Jvm/vmemq.scm 90 */
int BgL_auxz00_4101;
BgL_auxz00_4101 = 
(int)(((long)8)); 
BgL_auxz00_4100 = 
(long)(BgL_auxz00_4101); } 
BgL_restz00_2623 = 
(BgL_offsetz00_2620%BgL_auxz00_4100); } 
{ /* Jvm/vmemq.scm 90 */

{ /* Jvm/vmemq.scm 90 */
obj_t BgL_bucketz00_2625;
{ /* Jvm/vmemq.scm 90 */
int BgL_kz00_2635;
BgL_kz00_2635 = 
(int)(BgL_modz00_2621); 
BgL_bucketz00_2625 = 
VECTOR_REF(BgL_arg1221z00_2616,BgL_kz00_2635); } 
{ /* Jvm/vmemq.scm 90 */
int BgL_kz00_2637;
BgL_kz00_2637 = 
(int)(BgL_restz00_2623); 
BgL_method2689z00_2613 = 
VECTOR_REF(BgL_bucketz00_2625,BgL_kz00_2637); } } } } } } } } 
{ /* Jvm/vmemq.scm 90 */
obj_t BgL_auxz00_4109;
BgL_auxz00_4109 = 
PROCEDURE_ENTRY(BgL_method2689z00_2613)(BgL_method2689z00_2613, 
(obj_t)(BgL_arg2819z00_1756), BgL_varsz00_1752, BEOA); 
BgL_res2902z00_2638 = 
CBOOL(BgL_auxz00_4109); } } 
BgL_auxz00_4048 = BgL_res2902z00_2638; } } } 
return 
BBOOL(BgL_auxz00_4048);} } } 
}



/* do-vmemq?-cast2703 */
obj_t BGl_dozd2vmemqzf3zd2cast2703zf3zzjvm_vmemqz00(obj_t BgL_envz00_3260, obj_t BgL_nodez00_3261, obj_t BgL_varsz00_3262)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 82 */
{ 
BgL_castz00_bglt BgL_nodez00_1744;obj_t BgL_varsz00_1745;
{ /* Jvm/vmemq.scm 83 */
bool_t BgL_auxz00_4116;
BgL_nodez00_1744 = 
(BgL_castz00_bglt)(BgL_nodez00_3261); 
BgL_varsz00_1745 = BgL_varsz00_3262; 
{ /* Jvm/vmemq.scm 83 */
BgL_nodez00_bglt BgL_arg2817z00_2551;
BgL_arg2817z00_2551 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1744))->BgL_argz00); 
{ /* Jvm/vmemq.scm 83 */
bool_t BgL_res2896z00_2580;
{ /* Jvm/vmemq.scm 83 */
obj_t BgL_method2689z00_2555;
{ /* Jvm/vmemq.scm 83 */
long BgL_objzd2classzd2numz00_2557;
{ /* Jvm/vmemq.scm 83 */
BgL_objectz00_bglt BgL_auxz00_4118;
BgL_auxz00_4118 = 
(BgL_objectz00_bglt)(BgL_arg2817z00_2551); 
BgL_objzd2classzd2numz00_2557 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4118); } 
{ /* Jvm/vmemq.scm 83 */
obj_t BgL_arg1221z00_2558;
{ /* Jvm/vmemq.scm 83 */
int BgL_auxz00_4121;
BgL_auxz00_4121 = 
(int)(((long)1)); 
BgL_arg1221z00_2558 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_4121); } 
{ /* Jvm/vmemq.scm 83 */
long BgL_offsetz00_2562;
{ /* Jvm/vmemq.scm 83 */
long BgL_auxz00_4124;
{ /* Jvm/vmemq.scm 83 */
int BgL_auxz00_4125;
BgL_auxz00_4125 = 
(int)(BgL_objzd2classzd2numz00_2557); 
BgL_auxz00_4124 = 
(long)(BgL_auxz00_4125); } 
BgL_offsetz00_2562 = 
(BgL_auxz00_4124-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 83 */
long BgL_modz00_2563;
{ /* Jvm/vmemq.scm 83 */
long BgL_auxz00_4129;
{ /* Jvm/vmemq.scm 83 */
int BgL_auxz00_4130;
BgL_auxz00_4130 = 
(int)(((long)8)); 
BgL_auxz00_4129 = 
(long)(BgL_auxz00_4130); } 
BgL_modz00_2563 = 
(BgL_offsetz00_2562/BgL_auxz00_4129); } 
{ /* Jvm/vmemq.scm 83 */
long BgL_restz00_2565;
{ /* Jvm/vmemq.scm 83 */
long BgL_auxz00_4134;
{ /* Jvm/vmemq.scm 83 */
int BgL_auxz00_4135;
BgL_auxz00_4135 = 
(int)(((long)8)); 
BgL_auxz00_4134 = 
(long)(BgL_auxz00_4135); } 
BgL_restz00_2565 = 
(BgL_offsetz00_2562%BgL_auxz00_4134); } 
{ /* Jvm/vmemq.scm 83 */

{ /* Jvm/vmemq.scm 83 */
obj_t BgL_bucketz00_2567;
{ /* Jvm/vmemq.scm 83 */
int BgL_kz00_2577;
BgL_kz00_2577 = 
(int)(BgL_modz00_2563); 
BgL_bucketz00_2567 = 
VECTOR_REF(BgL_arg1221z00_2558,BgL_kz00_2577); } 
{ /* Jvm/vmemq.scm 83 */
int BgL_kz00_2579;
BgL_kz00_2579 = 
(int)(BgL_restz00_2565); 
BgL_method2689z00_2555 = 
VECTOR_REF(BgL_bucketz00_2567,BgL_kz00_2579); } } } } } } } } 
{ /* Jvm/vmemq.scm 83 */
obj_t BgL_auxz00_4143;
BgL_auxz00_4143 = 
PROCEDURE_ENTRY(BgL_method2689z00_2555)(BgL_method2689z00_2555, 
(obj_t)(BgL_arg2817z00_2551), BgL_varsz00_1745, BEOA); 
BgL_res2896z00_2580 = 
CBOOL(BgL_auxz00_4143); } } 
BgL_auxz00_4116 = BgL_res2896z00_2580; } } 
return 
BBOOL(BgL_auxz00_4116);} } } 
}



/* do-vmemq?-extern2701 */
obj_t BGl_dozd2vmemqzf3zd2extern2701zf3zzjvm_vmemqz00(obj_t BgL_envz00_3263, obj_t BgL_nodez00_3264, obj_t BgL_varsz00_3265)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 76 */
{ 
BgL_externz00_bglt BgL_nodez00_1737;obj_t BgL_varsz00_1738;
{ /* Jvm/vmemq.scm 77 */
bool_t BgL_auxz00_4150;
BgL_nodez00_1737 = 
(BgL_externz00_bglt)(BgL_nodez00_3264); 
BgL_varsz00_1738 = BgL_varsz00_3265; 
BgL_auxz00_4150 = 
BGl_dozd2vmemqza2zf3z83zzjvm_vmemqz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1737))->BgL_exprza2za2), BgL_varsz00_1738); 
return 
BBOOL(BgL_auxz00_4150);} } } 
}



/* do-vmemq?-funcall2699 */
obj_t BGl_dozd2vmemqzf3zd2funcall2699zf3zzjvm_vmemqz00(obj_t BgL_envz00_3266, obj_t BgL_nodez00_3267, obj_t BgL_varsz00_3268)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 69 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1728;obj_t BgL_varsz00_1729;
{ /* Jvm/vmemq.scm 70 */
bool_t BgL_auxz00_4155;
BgL_nodez00_1728 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3267); 
BgL_varsz00_1729 = BgL_varsz00_3268; 
{ /* Jvm/vmemq.scm 70 */
bool_t BgL__ortest_2661z00_1732;
{ /* Jvm/vmemq.scm 70 */
BgL_nodez00_bglt BgL_arg2813z00_1734;
BgL_arg2813z00_1734 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1728))->BgL_funz00); 
{ /* Jvm/vmemq.scm 70 */
bool_t BgL_res2893z00_2547;
{ /* Jvm/vmemq.scm 70 */
obj_t BgL_method2689z00_2522;
{ /* Jvm/vmemq.scm 70 */
long BgL_objzd2classzd2numz00_2524;
{ /* Jvm/vmemq.scm 70 */
BgL_objectz00_bglt BgL_auxz00_4157;
BgL_auxz00_4157 = 
(BgL_objectz00_bglt)(BgL_arg2813z00_1734); 
BgL_objzd2classzd2numz00_2524 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4157); } 
{ /* Jvm/vmemq.scm 70 */
obj_t BgL_arg1221z00_2525;
{ /* Jvm/vmemq.scm 70 */
int BgL_auxz00_4160;
BgL_auxz00_4160 = 
(int)(((long)1)); 
BgL_arg1221z00_2525 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_4160); } 
{ /* Jvm/vmemq.scm 70 */
long BgL_offsetz00_2529;
{ /* Jvm/vmemq.scm 70 */
long BgL_auxz00_4163;
{ /* Jvm/vmemq.scm 70 */
int BgL_auxz00_4164;
BgL_auxz00_4164 = 
(int)(BgL_objzd2classzd2numz00_2524); 
BgL_auxz00_4163 = 
(long)(BgL_auxz00_4164); } 
BgL_offsetz00_2529 = 
(BgL_auxz00_4163-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 70 */
long BgL_modz00_2530;
{ /* Jvm/vmemq.scm 70 */
long BgL_auxz00_4168;
{ /* Jvm/vmemq.scm 70 */
int BgL_auxz00_4169;
BgL_auxz00_4169 = 
(int)(((long)8)); 
BgL_auxz00_4168 = 
(long)(BgL_auxz00_4169); } 
BgL_modz00_2530 = 
(BgL_offsetz00_2529/BgL_auxz00_4168); } 
{ /* Jvm/vmemq.scm 70 */
long BgL_restz00_2532;
{ /* Jvm/vmemq.scm 70 */
long BgL_auxz00_4173;
{ /* Jvm/vmemq.scm 70 */
int BgL_auxz00_4174;
BgL_auxz00_4174 = 
(int)(((long)8)); 
BgL_auxz00_4173 = 
(long)(BgL_auxz00_4174); } 
BgL_restz00_2532 = 
(BgL_offsetz00_2529%BgL_auxz00_4173); } 
{ /* Jvm/vmemq.scm 70 */

{ /* Jvm/vmemq.scm 70 */
obj_t BgL_bucketz00_2534;
{ /* Jvm/vmemq.scm 70 */
int BgL_kz00_2544;
BgL_kz00_2544 = 
(int)(BgL_modz00_2530); 
BgL_bucketz00_2534 = 
VECTOR_REF(BgL_arg1221z00_2525,BgL_kz00_2544); } 
{ /* Jvm/vmemq.scm 70 */
int BgL_kz00_2546;
BgL_kz00_2546 = 
(int)(BgL_restz00_2532); 
BgL_method2689z00_2522 = 
VECTOR_REF(BgL_bucketz00_2534,BgL_kz00_2546); } } } } } } } } 
{ /* Jvm/vmemq.scm 70 */
obj_t BgL_auxz00_4182;
BgL_auxz00_4182 = 
PROCEDURE_ENTRY(BgL_method2689z00_2522)(BgL_method2689z00_2522, 
(obj_t)(BgL_arg2813z00_1734), BgL_varsz00_1729, BEOA); 
BgL_res2893z00_2547 = 
CBOOL(BgL_auxz00_4182); } } 
BgL__ortest_2661z00_1732 = BgL_res2893z00_2547; } } 
if(BgL__ortest_2661z00_1732)
{ /* Jvm/vmemq.scm 70 */
BgL_auxz00_4155 = BgL__ortest_2661z00_1732
; }  else 
{ /* Jvm/vmemq.scm 70 */
BgL_auxz00_4155 = 
BGl_dozd2vmemqza2zf3z83zzjvm_vmemqz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1728))->BgL_argsz00), BgL_varsz00_1729)
; } } 
return 
BBOOL(BgL_auxz00_4155);} } } 
}



/* do-vmemq?-app-ly2697 */
obj_t BGl_dozd2vmemqzf3zd2appzd2ly2697z21zzjvm_vmemqz00(obj_t BgL_envz00_3269, obj_t BgL_nodez00_3270, obj_t BgL_varsz00_3271)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 62 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1719;obj_t BgL_varsz00_1720;
{ /* Jvm/vmemq.scm 63 */
bool_t BgL_auxz00_4192;
BgL_nodez00_1719 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3270); 
BgL_varsz00_1720 = BgL_varsz00_3271; 
{ /* Jvm/vmemq.scm 63 */
bool_t BgL__ortest_2660z00_1723;
{ /* Jvm/vmemq.scm 63 */
BgL_nodez00_bglt BgL_arg2810z00_1725;
BgL_arg2810z00_1725 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1719))->BgL_funz00); 
{ /* Jvm/vmemq.scm 63 */
bool_t BgL_res2887z00_2489;
{ /* Jvm/vmemq.scm 63 */
obj_t BgL_method2689z00_2464;
{ /* Jvm/vmemq.scm 63 */
long BgL_objzd2classzd2numz00_2466;
{ /* Jvm/vmemq.scm 63 */
BgL_objectz00_bglt BgL_auxz00_4194;
BgL_auxz00_4194 = 
(BgL_objectz00_bglt)(BgL_arg2810z00_1725); 
BgL_objzd2classzd2numz00_2466 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4194); } 
{ /* Jvm/vmemq.scm 63 */
obj_t BgL_arg1221z00_2467;
{ /* Jvm/vmemq.scm 63 */
int BgL_auxz00_4197;
BgL_auxz00_4197 = 
(int)(((long)1)); 
BgL_arg1221z00_2467 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_4197); } 
{ /* Jvm/vmemq.scm 63 */
long BgL_offsetz00_2471;
{ /* Jvm/vmemq.scm 63 */
long BgL_auxz00_4200;
{ /* Jvm/vmemq.scm 63 */
int BgL_auxz00_4201;
BgL_auxz00_4201 = 
(int)(BgL_objzd2classzd2numz00_2466); 
BgL_auxz00_4200 = 
(long)(BgL_auxz00_4201); } 
BgL_offsetz00_2471 = 
(BgL_auxz00_4200-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 63 */
long BgL_modz00_2472;
{ /* Jvm/vmemq.scm 63 */
long BgL_auxz00_4205;
{ /* Jvm/vmemq.scm 63 */
int BgL_auxz00_4206;
BgL_auxz00_4206 = 
(int)(((long)8)); 
BgL_auxz00_4205 = 
(long)(BgL_auxz00_4206); } 
BgL_modz00_2472 = 
(BgL_offsetz00_2471/BgL_auxz00_4205); } 
{ /* Jvm/vmemq.scm 63 */
long BgL_restz00_2474;
{ /* Jvm/vmemq.scm 63 */
long BgL_auxz00_4210;
{ /* Jvm/vmemq.scm 63 */
int BgL_auxz00_4211;
BgL_auxz00_4211 = 
(int)(((long)8)); 
BgL_auxz00_4210 = 
(long)(BgL_auxz00_4211); } 
BgL_restz00_2474 = 
(BgL_offsetz00_2471%BgL_auxz00_4210); } 
{ /* Jvm/vmemq.scm 63 */

{ /* Jvm/vmemq.scm 63 */
obj_t BgL_bucketz00_2476;
{ /* Jvm/vmemq.scm 63 */
int BgL_kz00_2486;
BgL_kz00_2486 = 
(int)(BgL_modz00_2472); 
BgL_bucketz00_2476 = 
VECTOR_REF(BgL_arg1221z00_2467,BgL_kz00_2486); } 
{ /* Jvm/vmemq.scm 63 */
int BgL_kz00_2488;
BgL_kz00_2488 = 
(int)(BgL_restz00_2474); 
BgL_method2689z00_2464 = 
VECTOR_REF(BgL_bucketz00_2476,BgL_kz00_2488); } } } } } } } } 
{ /* Jvm/vmemq.scm 63 */
obj_t BgL_auxz00_4219;
BgL_auxz00_4219 = 
PROCEDURE_ENTRY(BgL_method2689z00_2464)(BgL_method2689z00_2464, 
(obj_t)(BgL_arg2810z00_1725), BgL_varsz00_1720, BEOA); 
BgL_res2887z00_2489 = 
CBOOL(BgL_auxz00_4219); } } 
BgL__ortest_2660z00_1723 = BgL_res2887z00_2489; } } 
if(BgL__ortest_2660z00_1723)
{ /* Jvm/vmemq.scm 63 */
BgL_auxz00_4192 = BgL__ortest_2660z00_1723
; }  else 
{ /* Jvm/vmemq.scm 64 */
BgL_nodez00_bglt BgL_arg2809z00_1724;
BgL_arg2809z00_1724 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1719))->BgL_argz00); 
{ /* Jvm/vmemq.scm 64 */
bool_t BgL_res2890z00_2518;
{ /* Jvm/vmemq.scm 64 */
obj_t BgL_method2689z00_2493;
{ /* Jvm/vmemq.scm 64 */
long BgL_objzd2classzd2numz00_2495;
{ /* Jvm/vmemq.scm 64 */
BgL_objectz00_bglt BgL_auxz00_4226;
BgL_auxz00_4226 = 
(BgL_objectz00_bglt)(BgL_arg2809z00_1724); 
BgL_objzd2classzd2numz00_2495 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4226); } 
{ /* Jvm/vmemq.scm 64 */
obj_t BgL_arg1221z00_2496;
{ /* Jvm/vmemq.scm 64 */
int BgL_auxz00_4229;
BgL_auxz00_4229 = 
(int)(((long)1)); 
BgL_arg1221z00_2496 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_4229); } 
{ /* Jvm/vmemq.scm 64 */
long BgL_offsetz00_2500;
{ /* Jvm/vmemq.scm 64 */
long BgL_auxz00_4232;
{ /* Jvm/vmemq.scm 64 */
int BgL_auxz00_4233;
BgL_auxz00_4233 = 
(int)(BgL_objzd2classzd2numz00_2495); 
BgL_auxz00_4232 = 
(long)(BgL_auxz00_4233); } 
BgL_offsetz00_2500 = 
(BgL_auxz00_4232-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 64 */
long BgL_modz00_2501;
{ /* Jvm/vmemq.scm 64 */
long BgL_auxz00_4237;
{ /* Jvm/vmemq.scm 64 */
int BgL_auxz00_4238;
BgL_auxz00_4238 = 
(int)(((long)8)); 
BgL_auxz00_4237 = 
(long)(BgL_auxz00_4238); } 
BgL_modz00_2501 = 
(BgL_offsetz00_2500/BgL_auxz00_4237); } 
{ /* Jvm/vmemq.scm 64 */
long BgL_restz00_2503;
{ /* Jvm/vmemq.scm 64 */
long BgL_auxz00_4242;
{ /* Jvm/vmemq.scm 64 */
int BgL_auxz00_4243;
BgL_auxz00_4243 = 
(int)(((long)8)); 
BgL_auxz00_4242 = 
(long)(BgL_auxz00_4243); } 
BgL_restz00_2503 = 
(BgL_offsetz00_2500%BgL_auxz00_4242); } 
{ /* Jvm/vmemq.scm 64 */

{ /* Jvm/vmemq.scm 64 */
obj_t BgL_bucketz00_2505;
{ /* Jvm/vmemq.scm 64 */
int BgL_kz00_2515;
BgL_kz00_2515 = 
(int)(BgL_modz00_2501); 
BgL_bucketz00_2505 = 
VECTOR_REF(BgL_arg1221z00_2496,BgL_kz00_2515); } 
{ /* Jvm/vmemq.scm 64 */
int BgL_kz00_2517;
BgL_kz00_2517 = 
(int)(BgL_restz00_2503); 
BgL_method2689z00_2493 = 
VECTOR_REF(BgL_bucketz00_2505,BgL_kz00_2517); } } } } } } } } 
{ /* Jvm/vmemq.scm 64 */
obj_t BgL_auxz00_4251;
BgL_auxz00_4251 = 
PROCEDURE_ENTRY(BgL_method2689z00_2493)(BgL_method2689z00_2493, 
(obj_t)(BgL_arg2809z00_1724), BgL_varsz00_1720, BEOA); 
BgL_res2890z00_2518 = 
CBOOL(BgL_auxz00_4251); } } 
BgL_auxz00_4192 = BgL_res2890z00_2518; } } } 
return 
BBOOL(BgL_auxz00_4192);} } } 
}



/* do-vmemq?-app2695 */
obj_t BGl_dozd2vmemqzf3zd2app2695zf3zzjvm_vmemqz00(obj_t BgL_envz00_3272, obj_t BgL_nodez00_3273, obj_t BgL_varsz00_3274)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 56 */
{ 
BgL_appz00_bglt BgL_nodez00_1712;obj_t BgL_varsz00_1713;
{ /* Jvm/vmemq.scm 57 */
bool_t BgL_auxz00_4258;
BgL_nodez00_1712 = 
(BgL_appz00_bglt)(BgL_nodez00_3273); 
BgL_varsz00_1713 = BgL_varsz00_3274; 
BgL_auxz00_4258 = 
BGl_dozd2vmemqza2zf3z83zzjvm_vmemqz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1712))->BgL_argsz00), BgL_varsz00_1713); 
return 
BBOOL(BgL_auxz00_4258);} } } 
}



/* do-vmemq?-sequence2693 */
obj_t BGl_dozd2vmemqzf3zd2sequence2693zf3zzjvm_vmemqz00(obj_t BgL_envz00_3275, obj_t BgL_nodez00_3276, obj_t BgL_varsz00_3277)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 50 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1705;obj_t BgL_varsz00_1706;
{ /* Jvm/vmemq.scm 51 */
bool_t BgL_auxz00_4263;
BgL_nodez00_1705 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3276); 
BgL_varsz00_1706 = BgL_varsz00_3277; 
BgL_auxz00_4263 = 
BGl_dozd2vmemqza2zf3z83zzjvm_vmemqz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1705))->BgL_nodesz00), BgL_varsz00_1706); 
return 
BBOOL(BgL_auxz00_4263);} } } 
}



/* do-vmemq?-var2691 */
obj_t BGl_dozd2vmemqzf3zd2var2691zf3zzjvm_vmemqz00(obj_t BgL_envz00_3278, obj_t BgL_nodez00_3279, obj_t BgL_varsz00_3280)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 44 */
{ 
BgL_varz00_bglt BgL_nodez00_1697;obj_t BgL_varsz00_1698;
{ /* Jvm/vmemq.scm 45 */
bool_t BgL_auxz00_4268;
BgL_nodez00_1697 = 
(BgL_varz00_bglt)(BgL_nodez00_3279); 
BgL_varsz00_1698 = BgL_varsz00_3280; 
{ /* Jvm/vmemq.scm 45 */
obj_t BgL_auxz00_4269;
{ /* Jvm/vmemq.scm 45 */
obj_t BgL_auxz00_4270;
{ /* Jvm/vmemq.scm 45 */
BgL_variablez00_bglt BgL_auxz00_4271;
BgL_auxz00_4271 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1697))->BgL_variablez00); 
BgL_auxz00_4270 = 
(obj_t)(BgL_auxz00_4271); } 
BgL_auxz00_4269 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_4270, BgL_varsz00_1698); } 
BgL_auxz00_4268 = 
PAIRP(BgL_auxz00_4269); } 
return 
BBOOL(BgL_auxz00_4268);} } } 
}



/* do-vmemq? */
bool_t BGl_dozd2vmemqzf3z21zzjvm_vmemqz00(BgL_nodez00_bglt BgL_nodez00_17, obj_t BgL_varsz00_18)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 38 */
{ /* Jvm/vmemq.scm 38 */
obj_t BgL_method2689z00_3178;
{ /* Jvm/vmemq.scm 38 */
long BgL_objzd2classzd2numz00_3180;
{ /* Jvm/vmemq.scm 38 */
BgL_objectz00_bglt BgL_auxz00_4278;
BgL_auxz00_4278 = 
(BgL_objectz00_bglt)(BgL_nodez00_17); 
BgL_objzd2classzd2numz00_3180 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4278); } 
{ /* Jvm/vmemq.scm 38 */
obj_t BgL_arg1221z00_3181;
{ /* Jvm/vmemq.scm 38 */
int BgL_auxz00_4281;
BgL_auxz00_4281 = 
(int)(((long)1)); 
BgL_arg1221z00_3181 = 
PROCEDURE_REF(BGl_dozd2vmemqzf3zd2envzf3zzjvm_vmemqz00, BgL_auxz00_4281); } 
{ /* Jvm/vmemq.scm 38 */
long BgL_offsetz00_3185;
{ /* Jvm/vmemq.scm 38 */
long BgL_auxz00_4284;
{ /* Jvm/vmemq.scm 38 */
int BgL_auxz00_4285;
BgL_auxz00_4285 = 
(int)(BgL_objzd2classzd2numz00_3180); 
BgL_auxz00_4284 = 
(long)(BgL_auxz00_4285); } 
BgL_offsetz00_3185 = 
(BgL_auxz00_4284-OBJECT_TYPE); } 
{ /* Jvm/vmemq.scm 38 */
long BgL_modz00_3186;
{ /* Jvm/vmemq.scm 38 */
long BgL_auxz00_4289;
{ /* Jvm/vmemq.scm 38 */
int BgL_auxz00_4290;
BgL_auxz00_4290 = 
(int)(((long)8)); 
BgL_auxz00_4289 = 
(long)(BgL_auxz00_4290); } 
BgL_modz00_3186 = 
(BgL_offsetz00_3185/BgL_auxz00_4289); } 
{ /* Jvm/vmemq.scm 38 */
long BgL_restz00_3188;
{ /* Jvm/vmemq.scm 38 */
long BgL_auxz00_4294;
{ /* Jvm/vmemq.scm 38 */
int BgL_auxz00_4295;
BgL_auxz00_4295 = 
(int)(((long)8)); 
BgL_auxz00_4294 = 
(long)(BgL_auxz00_4295); } 
BgL_restz00_3188 = 
(BgL_offsetz00_3185%BgL_auxz00_4294); } 
{ /* Jvm/vmemq.scm 38 */

{ /* Jvm/vmemq.scm 38 */
obj_t BgL_bucketz00_3190;
{ /* Jvm/vmemq.scm 38 */
int BgL_kz00_3200;
BgL_kz00_3200 = 
(int)(BgL_modz00_3186); 
BgL_bucketz00_3190 = 
VECTOR_REF(BgL_arg1221z00_3181,BgL_kz00_3200); } 
{ /* Jvm/vmemq.scm 38 */
int BgL_kz00_3202;
BgL_kz00_3202 = 
(int)(BgL_restz00_3188); 
BgL_method2689z00_3178 = 
VECTOR_REF(BgL_bucketz00_3190,BgL_kz00_3202); } } } } } } } } 
{ /* Jvm/vmemq.scm 38 */
obj_t BgL_auxz00_4303;
BgL_auxz00_4303 = 
PROCEDURE_ENTRY(BgL_method2689z00_3178)(BgL_method2689z00_3178, 
(obj_t)(BgL_nodez00_17), BgL_varsz00_18, BEOA); 
return 
CBOOL(BgL_auxz00_4303);} } } 
}



/* _do-vmemq? */
obj_t BGl__dozd2vmemqzf3z21zzjvm_vmemqz00(obj_t BgL_envz00_3206, obj_t BgL_nodez00_3207, obj_t BgL_varsz00_3208)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 38 */
{ /* Jvm/vmemq.scm 38 */
bool_t BgL_auxz00_4308;
BgL_auxz00_4308 = 
BGl_dozd2vmemqzf3z21zzjvm_vmemqz00(
(BgL_nodez00_bglt)(BgL_nodez00_3207), BgL_varsz00_3208); 
return 
BBOOL(BgL_auxz00_4308);} } 
}



/* do-vmemq?-default2688 */
bool_t BGl_dozd2vmemqzf3zd2default2688zf3zzjvm_vmemqz00(BgL_nodez00_bglt BgL_nodez00_19, obj_t BgL_varsz00_20)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 16 */
return ((bool_t)0);} 
}



/* _do-vmemq?-default2688 */
obj_t BGl__dozd2vmemqzf3zd2default2688zf3zzjvm_vmemqz00(obj_t BgL_envz00_3281, obj_t BgL_nodez00_3282, obj_t BgL_varsz00_3283)
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 16 */
{ /* Jvm/vmemq.scm 16 */
bool_t BgL_auxz00_4312;
BgL_auxz00_4312 = 
BGl_dozd2vmemqzf3zd2default2688zf3zzjvm_vmemqz00(
(BgL_nodez00_bglt)(BgL_nodez00_3282), BgL_varsz00_3283); 
return 
BBOOL(BgL_auxz00_4312);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_vmemqz00()
{ AN_OBJECT;
{ /* Jvm/vmemq.scm 16 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_vmemq"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_vmemq"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_vmemq"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "jvm_vmemq"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "jvm_vmemq"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "jvm_vmemq"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "jvm_vmemq"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)106367), "jvm_vmemq"); 
BGl_modulezd2initializa7ationz75zzast_applyz00(((long)56957), "jvm_vmemq"); 
return 
BGl_modulezd2initializa7ationz75zzast_appz00(((long)54071), "jvm_vmemq");} 
}

