/*===========================================================================*/
/*   (Module/foreign.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_caliasz00_bgl {
   bool_t BgL_arrayzf3zf3;
} *BgL_caliasz00_bglt;

typedef struct BgL_cenumz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   obj_t BgL_literalsz00;
} *BgL_cenumz00_bglt;

typedef struct BgL_copaquez00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
} *BgL_copaquez00_bglt;

typedef struct BgL_cfunctionz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   long BgL_arityz00;
   struct BgL_typez00_bgl * BgL_typezd2reszd2;
   obj_t BgL_typezd2argszd2;
} *BgL_cfunctionz00_bglt;

typedef struct BgL_cptrz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   struct BgL_typez00_bgl * BgL_pointzd2tozd2;
   bool_t BgL_arrayzf3zf3;
} *BgL_cptrz00_bglt;

typedef struct BgL_cstructz00_bgl {
   bool_t BgL_structzf3zf3;
   obj_t BgL_fieldsz00;
   obj_t BgL_cstructza2za2;
} *BgL_cstructz00_bglt;

typedef struct BgL_cstructza2za2_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   struct BgL_cstructz00_bgl * BgL_cstructz00;
} *BgL_cstructza2za2_bglt;


static obj_t BGl_methodzd2initzd2zzmodule_foreignz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32116ze3z83zzmodule_foreignz00(obj_t, obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl__externzd2producerzd2zzmodule_foreignz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_getzd2defaultzd2czd2typezd2zztype_cachez00();
static obj_t BGl_defaultzd2czd2typez00zzmodule_foreignz00(obj_t, obj_t);
static obj_t BGl_externzd2parserzd2zzmodule_foreignz00(obj_t);
static obj_t BGl_zc3anonymousza32121ze3z83zzmodule_foreignz00(obj_t, obj_t, obj_t);
static obj_t BGl_foreignzd2producerzd2zzmodule_foreignz00(obj_t);
static obj_t BGl_zc3anonymousza32122ze3z83zzmodule_foreignz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 = BUNSPEC;
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_foreignz00();
static bool_t BGl_checkzd2czd2foreignzd2typezd2expzf3zf3zzmodule_foreignz00(obj_t);
extern obj_t BGl_makezd2externzd2compilerz00zzmodule_foreignz00();
static obj_t BGl__foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_foreignz00();
static obj_t BGl__makezd2externzd2compilerz00zzmodule_foreignz00(obj_t);
static obj_t BGl_czd2externzd2typezd2ze3czd2foreignzd2typez31zzmodule_foreignz00(obj_t);
static obj_t BGl_foreignzd2parserzd2zzmodule_foreignz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_foreignz00();
extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_caliasz00zzforeign_ctypez00;
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
static obj_t BGl_parsezd2czd2externzd2typezd2zzmodule_foreignz00(obj_t);
extern obj_t BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00();
static bool_t BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(obj_t);
extern obj_t BGl_za2includezd2foreignza2zd2zzengine_paramz00;
extern obj_t BGl_ccompz00zzmodule_modulez00;
static obj_t BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = BUNSPEC;
extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
static obj_t BGl_externzd2producerzd2zzmodule_foreignz00(obj_t);
extern obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
extern obj_t BGl_cstructz00zzforeign_ctypez00;
static obj_t BGl__foreignzd2producerzd2zzmodule_foreignz00(obj_t, obj_t);
static obj_t BGl__foreignzd2finaliza7erz75zzmodule_foreignz00(obj_t);
extern obj_t BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_foreignzd2finaliza7erz75zzmodule_foreignz00();
extern obj_t BGl_declarezd2czd2typez12z12zzforeign_ctypez00(obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_declarezd2typez12zc0zztype_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_foreignz00 = BUNSPEC;
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_foreignz00();
static obj_t BGl__makezd2foreignzd2compilerz00zzmodule_foreignz00(obj_t);
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, bool_t, obj_t, obj_t);
extern obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_makezd2pointerzd2tozd2namezd2zztype_toolsz00(BgL_typez00_bglt);
static obj_t __cnst[ 23 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_makezd2foreignzd2compilerzd2envzd2zzmodule_foreignz00, BgL_bgl__makeza7d2foreignza7d2compilerza700za7za7module_foreignza7002863z00, BGl__makezd2foreignzd2compilerz00zzmodule_foreignz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_foreignzd2finaliza7erzd2envza7zzmodule_foreignz00, BgL_bgl__foreignza7d2finaliza7a7erza775za7za7module_foreignza7002864z00, BGl__foreignzd2finaliza7erz75zzmodule_foreignz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_foreignzd2producerzd2envz00zzmodule_foreignz00, BgL_bgl__foreignza7d2producerza7d2za7za7module_foreignza7002865za7, BGl__foreignzd2producerzd2zzmodule_foreignz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2840z00zzmodule_foreignz00, BgL_bgl_za7c3anonymousza7a32116za7e3za783za7za7module_foreignza7002866za7, BGl_zc3anonymousza32116ze3z83zzmodule_foreignz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2841z00zzmodule_foreignz00, BgL_bgl_za7c3anonymousza7a32122za7e3za783za7za7module_foreignza7002867za7, BGl_zc3anonymousza32122ze3z83zzmodule_foreignz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2842z00zzmodule_foreignz00, BgL_bgl_za7c3anonymousza7a32121za7e3za783za7za7module_foreignza7002868za7, BGl_zc3anonymousza32121ze3z83zzmodule_foreignz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2externzd2compilerzd2envzd2zzmodule_foreignz00, BgL_bgl__makeza7d2externza7d2compilerza700za7za7module_foreignza7002869z00, BGl__makezd2externzd2compilerz00zzmodule_foreignz00, 0L, 0 );
DEFINE_STRING( BGl_string2858z00zzmodule_foreignz00, BgL_bgl_string2858za700za7za7module_foreignza7002870z00, "unit make-heap make-add-heap union* struct* array enum function pointer opaque struct union C * macro export type include infix jvm void extern foreign ", 152 );
DEFINE_STRING( BGl_string2857z00zzmodule_foreignz00, BgL_bgl_string2857za700za7za7module_foreignza7002871z00, "Unspecified C type, using type", 30 );
DEFINE_STRING( BGl_string2856z00zzmodule_foreignz00, BgL_bgl_string2856za700za7za7module_foreignza7002872z00, "Unbound global variable", 23 );
DEFINE_STRING( BGl_string2855z00zzmodule_foreignz00, BgL_bgl_string2855za700za7za7module_foreignza7002873z00, "Re-exportation of global variable (ignored)", 43 );
DEFINE_STRING( BGl_string2854z00zzmodule_foreignz00, BgL_bgl_string2854za700za7za7module_foreignza7002874z00, "Foreign", 7 );
DEFINE_STRING( BGl_string2853z00zzmodule_foreignz00, BgL_bgl_string2853za700za7za7module_foreignza7002875z00, "Illegal `C extern type'", 23 );
DEFINE_STATIC_PROCEDURE( BGl_externzd2producerzd2envz00zzmodule_foreignz00, BgL_bgl__externza7d2producerza7d2za7za7module_foreignza7002876za7, BGl__externzd2producerzd2zzmodule_foreignz00, 0L, 1 );
DEFINE_STRING( BGl_string2852z00zzmodule_foreignz00, BgL_bgl_string2852za700za7za7module_foreignza7002877z00, "Illegal `C foreign type'", 24 );
DEFINE_STRING( BGl_string2851z00zzmodule_foreignz00, BgL_bgl_string2851za700za7za7module_foreignza7002878z00, "Illegal extern form", 19 );
DEFINE_STRING( BGl_string2850z00zzmodule_foreignz00, BgL_bgl_string2850za700za7za7module_foreignza7002879z00, "Illegal `variable' form", 23 );
DEFINE_STRING( BGl_string2849z00zzmodule_foreignz00, BgL_bgl_string2849za700za7za7module_foreignza7002880z00, "Illegal `function' form", 23 );
DEFINE_STRING( BGl_string2848z00zzmodule_foreignz00, BgL_bgl_string2848za700za7za7module_foreignza7002881z00, "Illegal `macro' form", 20 );
DEFINE_STRING( BGl_string2847z00zzmodule_foreignz00, BgL_bgl_string2847za700za7za7module_foreignza7002882z00, "Illegal foreign form", 20 );
DEFINE_STRING( BGl_string2846z00zzmodule_foreignz00, BgL_bgl_string2846za700za7za7module_foreignza7002883z00, "Illegal `include' clause", 24 );
DEFINE_STRING( BGl_string2845z00zzmodule_foreignz00, BgL_bgl_string2845za700za7za7module_foreignza7002884z00, "Illegal `extern' clause", 23 );
DEFINE_STRING( BGl_string2844z00zzmodule_foreignz00, BgL_bgl_string2844za700za7za7module_foreignza7002885z00, "Illegal `foreign' clause", 24 );
DEFINE_STRING( BGl_string2843z00zzmodule_foreignz00, BgL_bgl_string2843za700za7za7module_foreignza7002886z00, "Parse error", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_foreignzd2accesseszd2addz12zd2envzc0zzmodule_foreignz00, BgL_bgl__foreignza7d2accessesza7d2addza712za712za7za7module_foreignza7002887za7, BGl__foreignzd2accesseszd2addz12z12zzmodule_foreignz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long BgL_checksumz00_3096, char * BgL_fromz00_3097)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_foreignz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_foreignz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_foreignz00(); 
BGl_cnstzd2initzd2zzmodule_foreignz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_foreignz00(); 
BGl_toplevelzd2initzd2zzmodule_foreignz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_foreignz00()
{ AN_OBJECT;
{ /* Module/foreign.scm 18 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_foreign"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_foreign"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "module_foreign"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_foreign"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "module_foreign"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_foreignz00()
{ AN_OBJECT;
{ /* Module/foreign.scm 18 */
{ /* Module/foreign.scm 18 */
obj_t BgL_cportz00_3089;
BgL_cportz00_3089 = 
open_input_string(BGl_string2858z00zzmodule_foreignz00); 
{ 
long BgL_iz00_3090;
BgL_iz00_3090 = ((long)22); 
BgL_loopz00_3091:
if(
(BgL_iz00_3090==((long)-1)))
{ /* Module/foreign.scm 18 */
return BUNSPEC;}  else 
{ /* Module/foreign.scm 18 */
{ /* Module/foreign.scm 18 */
obj_t BgL_arg2860z00_3093;
{ /* Module/foreign.scm 18 */
obj_t BgL_list2861z00_3094;
BgL_list2861z00_3094 = 
MAKE_PAIR(BgL_cportz00_3089, BNIL); 
BgL_arg2860z00_3093 = 
BGl_readz00zz__readerz00(BgL_list2861z00_3094); } 
{ /* Module/foreign.scm 18 */
int BgL_auxz00_3115;
BgL_auxz00_3115 = 
(int)(BgL_iz00_3090); 
CNST_TABLE_SET(BgL_auxz00_3115, BgL_arg2860z00_3093); } } 
{ 
long BgL_iz00_3118;
{ /* Module/foreign.scm 18 */
int BgL_auxz00_3119;
{ /* Module/foreign.scm 18 */
long BgL_auxz00_3120;
BgL_auxz00_3120 = 
(BgL_iz00_3090-((long)1)); 
BgL_auxz00_3119 = 
(int)(BgL_auxz00_3120); } 
BgL_iz00_3118 = 
(long)(BgL_auxz00_3119); } 
BgL_iz00_3090 = BgL_iz00_3118; 
goto BgL_loopz00_3091;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_foreignz00()
{ AN_OBJECT;
{ /* Module/foreign.scm 18 */
BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = BNIL; 
return ( 
BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 = BNIL, BUNSPEC) ;} 
}



/* make-foreign-compiler */
obj_t BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00()
{ AN_OBJECT;
{ /* Module/foreign.scm 44 */
{ /* Module/foreign.scm 45 */
obj_t BgL_arg2112z00_930;obj_t BgL_arg2113z00_931;obj_t BgL_arg2115z00_933;
BgL_arg2112z00_930 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2113z00_931 = BGl_foreignzd2producerzd2envz00zzmodule_foreignz00; 
BgL_arg2115z00_933 = BGl_foreignzd2finaliza7erzd2envza7zzmodule_foreignz00; 
{ /* Module/foreign.scm 45 */
BgL_ccompz00_bglt BgL_res2824z00_2168;
{ /* Module/foreign.scm 45 */
BgL_ccompz00_bglt BgL_new1020z00_2152;
{ /* Module/foreign.scm 45 */
BgL_ccompz00_bglt BgL_res2822z00_2158;
{ /* Module/foreign.scm 45 */
BgL_ccompz00_bglt BgL_new1022z00_2153;
BgL_new1022z00_2153 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/foreign.scm 45 */
long BgL_arg2820z00_2154;
BgL_arg2820z00_2154 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/foreign.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3127;
BgL_auxz00_3127 = 
(BgL_objectz00_bglt)(BgL_new1022z00_2153); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3127, BgL_arg2820z00_2154); } } 
{ /* Module/foreign.scm 45 */
BgL_objectz00_bglt BgL_auxz00_3130;
BgL_auxz00_3130 = 
(BgL_objectz00_bglt)(BgL_new1022z00_2153); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3130, BFALSE); } 
{ /* Module/foreign.scm 45 */
obj_t BgL_auxz00_3133;
BgL_auxz00_3133 = 
(obj_t)(BgL_new1022z00_2153); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3133); } BUNSPEC; 
BgL_res2822z00_2158 = BgL_new1022z00_2153; } 
BgL_new1020z00_2152 = BgL_res2822z00_2158; } 
{ /* Module/foreign.scm 45 */
BgL_ccompz00_bglt BgL_res2823z00_2167;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_2152))->BgL_idz00) = ((obj_t)BgL_arg2112z00_930), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_2152))->BgL_producerz00) = ((obj_t)BgL_arg2113z00_931), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_2152))->BgL_consumerz00) = ((obj_t)BGl_proc2840z00zzmodule_foreignz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_2152))->BgL_finaliza7erza7) = ((obj_t)BgL_arg2115z00_933), BUNSPEC); 
BgL_res2823z00_2167 = BgL_new1020z00_2152; BgL_res2823z00_2167; } 
BgL_res2824z00_2168 = BgL_new1020z00_2152; } 
return 
(obj_t)(BgL_res2824z00_2168);} } } 
}



/* _make-foreign-compiler */
obj_t BGl__makezd2foreignzd2compilerz00zzmodule_foreignz00(obj_t BgL_envz00_3065)
{ AN_OBJECT;
{ /* Module/foreign.scm 44 */
return 
BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00();} 
}



/* <anonymous:2116> */
obj_t BGl_zc3anonymousza32116ze3z83zzmodule_foreignz00(obj_t BgL_envz00_3066, obj_t BgL_mz00_3067, obj_t BgL_cz00_3068)
{ AN_OBJECT;
{ /* Module/foreign.scm 47 */
{ 
obj_t BgL_mz00_934;obj_t BgL_cz00_935;
BgL_mz00_934 = BgL_mz00_3067; 
BgL_cz00_935 = BgL_cz00_3068; 
return 
BGl_foreignzd2producerzd2zzmodule_foreignz00(BgL_cz00_935);} } 
}



/* make-extern-compiler */
obj_t BGl_makezd2externzd2compilerz00zzmodule_foreignz00()
{ AN_OBJECT;
{ /* Module/foreign.scm 53 */
{ /* Module/foreign.scm 54 */
obj_t BgL_arg2117z00_938;obj_t BgL_arg2118z00_939;
BgL_arg2117z00_938 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2118z00_939 = BGl_externzd2producerzd2envz00zzmodule_foreignz00; 
{ /* Module/foreign.scm 54 */
BgL_ccompz00_bglt BgL_res2827z00_2186;
{ /* Module/foreign.scm 54 */
BgL_ccompz00_bglt BgL_new1020z00_2171;
{ /* Module/foreign.scm 54 */
BgL_ccompz00_bglt BgL_res2825z00_2177;
{ /* Module/foreign.scm 54 */
BgL_ccompz00_bglt BgL_new1022z00_2172;
BgL_new1022z00_2172 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/foreign.scm 54 */
long BgL_arg2820z00_2173;
BgL_arg2820z00_2173 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/foreign.scm 54 */
BgL_objectz00_bglt BgL_auxz00_3146;
BgL_auxz00_3146 = 
(BgL_objectz00_bglt)(BgL_new1022z00_2172); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3146, BgL_arg2820z00_2173); } } 
{ /* Module/foreign.scm 54 */
BgL_objectz00_bglt BgL_auxz00_3149;
BgL_auxz00_3149 = 
(BgL_objectz00_bglt)(BgL_new1022z00_2172); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3149, BFALSE); } 
{ /* Module/foreign.scm 54 */
obj_t BgL_auxz00_3152;
BgL_auxz00_3152 = 
(obj_t)(BgL_new1022z00_2172); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3152); } BUNSPEC; 
BgL_res2825z00_2177 = BgL_new1022z00_2172; } 
BgL_new1020z00_2171 = BgL_res2825z00_2177; } 
{ /* Module/foreign.scm 54 */
BgL_ccompz00_bglt BgL_res2826z00_2185;
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_2171))->BgL_idz00) = ((obj_t)BgL_arg2117z00_938), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_2171))->BgL_producerz00) = ((obj_t)BgL_arg2118z00_939), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_2171))->BgL_consumerz00) = ((obj_t)BGl_proc2842z00zzmodule_foreignz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1020z00_2171))->BgL_finaliza7erza7) = ((obj_t)BGl_proc2841z00zzmodule_foreignz00), BUNSPEC); 
BgL_res2826z00_2185 = BgL_new1020z00_2171; BgL_res2826z00_2185; } 
BgL_res2827z00_2186 = BgL_new1020z00_2171; } 
return 
(obj_t)(BgL_res2827z00_2186);} } } 
}



/* _make-extern-compiler */
obj_t BGl__makezd2externzd2compilerz00zzmodule_foreignz00(obj_t BgL_envz00_3074)
{ AN_OBJECT;
{ /* Module/foreign.scm 53 */
return 
BGl_makezd2externzd2compilerz00zzmodule_foreignz00();} 
}



/* <anonymous:2122> */
obj_t BGl_zc3anonymousza32122ze3z83zzmodule_foreignz00(obj_t BgL_envz00_3075)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)2));} } 
}



/* <anonymous:2121> */
obj_t BGl_zc3anonymousza32121ze3z83zzmodule_foreignz00(obj_t BgL_envz00_3076, obj_t BgL_mz00_3077, obj_t BgL_cz00_3078)
{ AN_OBJECT;
{ /* Module/foreign.scm 56 */
{ 
obj_t BgL_mz00_942;obj_t BgL_cz00_943;
BgL_mz00_942 = BgL_mz00_3077; 
BgL_cz00_943 = BgL_cz00_3078; 
return 
BGl_externzd2producerzd2zzmodule_foreignz00(BgL_cz00_943);} } 
}



/* foreign-producer */
obj_t BGl_foreignzd2producerzd2zzmodule_foreignz00(obj_t BgL_clausez00_19)
{ AN_OBJECT;
{ /* Module/foreign.scm 61 */
{ /* Module/foreign.scm 62 */
bool_t BgL_test2123z00_948;
{ /* Module/foreign.scm 62 */
obj_t BgL_auxz00_3163;
BgL_auxz00_3163 = 
CNST_TABLE_REF(((long)3)); 
BgL_test2123z00_948 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_3163); } 
if(BgL_test2123z00_948)
{ /* Module/foreign.scm 62 */
return BNIL;}  else 
{ 
obj_t BgL_protosz00_949;
if(
PAIRP(BgL_clausez00_19))
{ /* Module/foreign.scm 63 */
BgL_protosz00_949 = 
CDR(BgL_clausez00_19); 
{ 
obj_t BgL_l2097z00_955;
BgL_l2097z00_955 = BgL_protosz00_949; 
BgL_lname2098z00_956:
if(
PAIRP(BgL_l2097z00_955))
{ /* Module/foreign.scm 65 */
BGl_foreignzd2parserzd2zzmodule_foreignz00(
CAR(BgL_l2097z00_955)); 
{ 
obj_t BgL_l2097z00_3173;
BgL_l2097z00_3173 = 
CDR(BgL_l2097z00_955); 
BgL_l2097z00_955 = BgL_l2097z00_3173; 
goto BgL_lname2098z00_956;} }  else 
{ /* Module/foreign.scm 65 */((bool_t)1); } } 
return BNIL;}  else 
{ /* Module/foreign.scm 63 */
{ /* Module/foreign.scm 68 */
obj_t BgL_list2129z00_960;
BgL_list2129z00_960 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2844z00zzmodule_foreignz00, BgL_clausez00_19, BgL_list2129z00_960);} } } } } 
}



/* _foreign-producer */
obj_t BGl__foreignzd2producerzd2zzmodule_foreignz00(obj_t BgL_envz00_3069, obj_t BgL_clausez00_3070)
{ AN_OBJECT;
{ /* Module/foreign.scm 61 */
return 
BGl_foreignzd2producerzd2zzmodule_foreignz00(BgL_clausez00_3070);} 
}



/* extern-producer */
obj_t BGl_externzd2producerzd2zzmodule_foreignz00(obj_t BgL_clausez00_20)
{ AN_OBJECT;
{ /* Module/foreign.scm 77 */
{ /* Module/foreign.scm 78 */
bool_t BgL_test2130z00_961;
{ /* Module/foreign.scm 78 */
obj_t BgL_auxz00_3179;
BgL_auxz00_3179 = 
CNST_TABLE_REF(((long)3)); 
BgL_test2130z00_961 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_3179); } 
if(BgL_test2130z00_961)
{ /* Module/foreign.scm 78 */
return BNIL;}  else 
{ 
obj_t BgL_protosz00_962;
if(
PAIRP(BgL_clausez00_20))
{ /* Module/foreign.scm 79 */
BgL_protosz00_962 = 
CDR(BgL_clausez00_20); 
{ 
obj_t BgL_l2099z00_968;
BgL_l2099z00_968 = BgL_protosz00_962; 
BgL_lname2100z00_969:
if(
PAIRP(BgL_l2099z00_968))
{ /* Module/foreign.scm 81 */
BGl_externzd2parserzd2zzmodule_foreignz00(
CAR(BgL_l2099z00_968)); 
{ 
obj_t BgL_l2099z00_3189;
BgL_l2099z00_3189 = 
CDR(BgL_l2099z00_968); 
BgL_l2099z00_968 = BgL_l2099z00_3189; 
goto BgL_lname2100z00_969;} }  else 
{ /* Module/foreign.scm 81 */((bool_t)1); } } 
return BNIL;}  else 
{ /* Module/foreign.scm 79 */
{ /* Module/foreign.scm 84 */
obj_t BgL_list2136z00_973;
BgL_list2136z00_973 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2845z00zzmodule_foreignz00, BgL_clausez00_20, BgL_list2136z00_973);} } } } } 
}



/* _extern-producer */
obj_t BGl__externzd2producerzd2zzmodule_foreignz00(obj_t BgL_envz00_3079, obj_t BgL_clausez00_3080)
{ AN_OBJECT;
{ /* Module/foreign.scm 77 */
return 
BGl_externzd2producerzd2zzmodule_foreignz00(BgL_clausez00_3080);} 
}



/* check-c-args? */
bool_t BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(obj_t BgL_protoz00_21)
{ AN_OBJECT;
{ /* Module/foreign.scm 93 */
{ 
obj_t BgL_protoz00_974;
BgL_protoz00_974 = BgL_protoz00_21; 
BgL_loopz00_975:
if(
NULLP(BgL_protoz00_974))
{ /* Module/foreign.scm 96 */
return ((bool_t)1);}  else 
{ /* Module/foreign.scm 96 */
if(
SYMBOLP(BgL_protoz00_974))
{ /* Module/foreign.scm 98 */
return ((bool_t)1);}  else 
{ /* Module/foreign.scm 98 */
if(
PAIRP(BgL_protoz00_974))
{ /* Module/foreign.scm 102 */
bool_t BgL_testz00_3201;
{ /* Module/foreign.scm 102 */
obj_t BgL_auxz00_3202;
BgL_auxz00_3202 = 
CAR(BgL_protoz00_974); 
BgL_testz00_3201 = 
SYMBOLP(BgL_auxz00_3202); } 
if(BgL_testz00_3201)
{ /* Module/foreign.scm 102 */
{ 
obj_t BgL_protoz00_3205;
BgL_protoz00_3205 = 
CDR(BgL_protoz00_974); 
BgL_protoz00_974 = BgL_protoz00_3205; 
goto BgL_loopz00_975;} }  else 
{ /* Module/foreign.scm 102 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 100 */
return ((bool_t)0);} } } } } 
}



/* foreign-parser */
obj_t BGl_foreignzd2parserzd2zzmodule_foreignz00(obj_t BgL_foreignz00_22)
{ AN_OBJECT;
{ /* Module/foreign.scm 110 */
{ 
obj_t BgL_typez00_1004;obj_t BgL_lzd2namezd2_1005;obj_t BgL_czd2namezd2_1006;obj_t BgL_typez00_999;obj_t BgL_lzd2namezd2_1000;obj_t BgL_protoz00_1001;obj_t BgL_czd2namezd2_1002;obj_t BgL_typez00_994;obj_t BgL_lzd2namezd2_995;obj_t BgL_czd2namezd2_996;obj_t BgL_typez00_989;obj_t BgL_lzd2namezd2_990;obj_t BgL_protoz00_991;obj_t BgL_czd2namezd2_992;obj_t BgL_stringz00_982;
if(
PAIRP(BgL_foreignz00_22))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2156zd2_1011;
BgL_cdrzd2156zd2_1011 = 
CDR(BgL_foreignz00_22); 
{ /* Module/foreign.scm 112 */
bool_t BgL_testz00_3210;
{ /* Module/foreign.scm 112 */
obj_t BgL_auxz00_3213;obj_t BgL_auxz00_3211;
BgL_auxz00_3213 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_3211 = 
CAR(BgL_foreignz00_22); 
BgL_testz00_3210 = 
(BgL_auxz00_3211==BgL_auxz00_3213); } 
if(BgL_testz00_3210)
{ /* Module/foreign.scm 112 */
if(
PAIRP(BgL_cdrzd2156zd2_1011))
{ /* Module/foreign.scm 112 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2156zd2_1011), BNIL))
{ /* Module/foreign.scm 112 */
BgL_stringz00_982 = 
CAR(BgL_cdrzd2156zd2_1011); 
if(
STRINGP(BgL_stringz00_982))
{ /* Module/foreign.scm 116 */
bool_t BgL_test2250z00_1147;
{ /* Module/foreign.scm 116 */
obj_t BgL_auxz00_3223;
BgL_auxz00_3223 = 
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_stringz00_982, BGl_za2includezd2foreignza2zd2zzengine_paramz00); 
BgL_test2250z00_1147 = 
CBOOL(BgL_auxz00_3223); } 
if(BgL_test2250z00_1147)
{ /* Module/foreign.scm 116 */
return BFALSE;}  else 
{ /* Module/foreign.scm 116 */
return ( 
BGl_za2includezd2foreignza2zd2zzengine_paramz00 = 
MAKE_PAIR(BgL_stringz00_982, BGl_za2includezd2foreignza2zd2zzengine_paramz00), BUNSPEC) ;} }  else 
{ /* Module/foreign.scm 115 */
obj_t BgL_list2251z00_1148;
BgL_list2251z00_1148 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2846z00zzmodule_foreignz00, BgL_foreignz00_22, BgL_list2251z00_1148);} }  else 
{ /* Module/foreign.scm 112 */
BgL_tagzd2139zd2_988:
{ /* Module/foreign.scm 124 */
obj_t BgL_list2252z00_1149;
BgL_list2252z00_1149 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2847z00zzmodule_foreignz00, BgL_foreignz00_22, BgL_list2252z00_1149);} } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2139zd2_988;} }  else 
{ /* Module/foreign.scm 112 */
bool_t BgL_testz00_3233;
{ /* Module/foreign.scm 112 */
obj_t BgL_auxz00_3236;obj_t BgL_auxz00_3234;
BgL_auxz00_3236 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_3234 = 
CAR(BgL_foreignz00_22); 
BgL_testz00_3233 = 
(BgL_auxz00_3234==BgL_auxz00_3236); } 
if(BgL_testz00_3233)
{ /* Module/foreign.scm 112 */
return 
BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(BgL_foreignz00_22);}  else 
{ /* Module/foreign.scm 112 */
bool_t BgL_testz00_3240;
{ /* Module/foreign.scm 112 */
obj_t BgL_auxz00_3243;obj_t BgL_auxz00_3241;
BgL_auxz00_3243 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_3241 = 
CAR(BgL_foreignz00_22); 
BgL_testz00_3240 = 
(BgL_auxz00_3241==BgL_auxz00_3243); } 
if(BgL_testz00_3240)
{ /* Module/foreign.scm 112 */
if(
PAIRP(BgL_cdrzd2156zd2_1011))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2218zd2_1023;
BgL_cdrzd2218zd2_1023 = 
CDR(BgL_cdrzd2156zd2_1011); 
{ /* Module/foreign.scm 112 */
bool_t BgL_testz00_3249;
{ /* Module/foreign.scm 112 */
obj_t BgL_auxz00_3250;
BgL_auxz00_3250 = 
CAR(BgL_cdrzd2156zd2_1011); 
BgL_testz00_3249 = 
SYMBOLP(BgL_auxz00_3250); } 
if(BgL_testz00_3249)
{ /* Module/foreign.scm 112 */
if(
PAIRP(BgL_cdrzd2218zd2_1023))
{ /* Module/foreign.scm 112 */
bool_t BgL_testz00_3255;
{ /* Module/foreign.scm 112 */
obj_t BgL_auxz00_3256;
BgL_auxz00_3256 = 
CAR(BgL_cdrzd2218zd2_1023); 
BgL_testz00_3255 = 
STRINGP(BgL_auxz00_3256); } 
if(BgL_testz00_3255)
{ /* Module/foreign.scm 112 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2218zd2_1023), BNIL))
{ /* Module/foreign.scm 112 */
return ( 
BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 = 
MAKE_PAIR(BgL_foreignz00_22, BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00), BUNSPEC) ;}  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2139zd2_988;} }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2139zd2_988;} }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2139zd2_988;} }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2139zd2_988;} } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2139zd2_988;} }  else 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2270zd2_1031;
BgL_cdrzd2270zd2_1031 = 
CDR(BgL_foreignz00_22); 
{ /* Module/foreign.scm 112 */
bool_t BgL_testz00_3264;
{ /* Module/foreign.scm 112 */
obj_t BgL_auxz00_3267;obj_t BgL_auxz00_3265;
BgL_auxz00_3267 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_3265 = 
CAR(BgL_foreignz00_22); 
BgL_testz00_3264 = 
(BgL_auxz00_3265==BgL_auxz00_3267); } 
if(BgL_testz00_3264)
{ /* Module/foreign.scm 112 */
if(
PAIRP(BgL_cdrzd2270zd2_1031))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2276zd2_1034;
BgL_cdrzd2276zd2_1034 = 
CDR(BgL_cdrzd2270zd2_1031); 
if(
PAIRP(BgL_cdrzd2276zd2_1034))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2282zd2_1036;
BgL_cdrzd2282zd2_1036 = 
CDR(BgL_cdrzd2276zd2_1034); 
if(
PAIRP(BgL_cdrzd2282zd2_1036))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2287zd2_1038;
BgL_cdrzd2287zd2_1038 = 
CDR(BgL_cdrzd2282zd2_1036); 
if(
PAIRP(BgL_cdrzd2287zd2_1038))
{ /* Module/foreign.scm 112 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2287zd2_1038), BNIL))
{ /* Module/foreign.scm 112 */
BgL_typez00_989 = 
CAR(BgL_cdrzd2270zd2_1031); 
BgL_lzd2namezd2_990 = 
CAR(BgL_cdrzd2276zd2_1034); 
BgL_protoz00_991 = 
CAR(BgL_cdrzd2282zd2_1036); 
BgL_czd2namezd2_992 = 
CAR(BgL_cdrzd2287zd2_1038); 
BgL_tagzd2140zd2_993:
{ /* Module/foreign.scm 127 */
bool_t BgL_testz00_3284;
if(
STRINGP(BgL_czd2namezd2_992))
{ /* Module/foreign.scm 127 */
if(
SYMBOLP(BgL_typez00_989))
{ /* Module/foreign.scm 128 */
if(
SYMBOLP(BgL_lzd2namezd2_990))
{ /* Module/foreign.scm 129 */
BgL_testz00_3284 = 
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_protoz00_991)
; }  else 
{ /* Module/foreign.scm 129 */
BgL_testz00_3284 = ((bool_t)0)
; } }  else 
{ /* Module/foreign.scm 128 */
BgL_testz00_3284 = ((bool_t)0)
; } }  else 
{ /* Module/foreign.scm 127 */
BgL_testz00_3284 = ((bool_t)0)
; } 
if(BgL_testz00_3284)
{ /* Module/foreign.scm 132 */
BgL_globalz00_bglt BgL_auxz00_3292;
{ /* Module/foreign.scm 132 */
bool_t BgL_auxz00_3293;
{ /* Module/foreign.scm 136 */
obj_t BgL_auxz00_3296;obj_t BgL_auxz00_3294;
BgL_auxz00_3296 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_3294 = 
CAR(BgL_foreignz00_22); 
BgL_auxz00_3293 = 
(BgL_auxz00_3294==BgL_auxz00_3296); } 
BgL_auxz00_3292 = 
BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(BgL_lzd2namezd2_990, BgL_czd2namezd2_992, BgL_typez00_989, BgL_protoz00_991, BgL_auxz00_3293, ((bool_t)1), BgL_foreignz00_22, BgL_foreignz00_22); } 
return 
(obj_t)(BgL_auxz00_3292);}  else 
{ /* Module/foreign.scm 131 */
obj_t BgL_list2257z00_1154;
BgL_list2257z00_1154 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2848z00zzmodule_foreignz00, BgL_foreignz00_22, BgL_list2257z00_1154);} } }  else 
{ /* Module/foreign.scm 112 */
BgL_tagzd2142zd2_998:
{ /* Module/foreign.scm 147 */
obj_t BgL_list2265z00_1162;
BgL_list2265z00_1162 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2847z00zzmodule_foreignz00, BgL_foreignz00_22, BgL_list2265z00_1162);} } }  else 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2334zd2_1048;
BgL_cdrzd2334zd2_1048 = 
CDR(BgL_cdrzd2270zd2_1031); 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2342zd2_1049;
BgL_cdrzd2342zd2_1049 = 
CDR(BgL_cdrzd2334zd2_1048); 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2342zd2_1049), BNIL))
{ /* Module/foreign.scm 112 */
BgL_typez00_994 = 
CAR(BgL_cdrzd2270zd2_1031); 
BgL_lzd2namezd2_995 = 
CAR(BgL_cdrzd2334zd2_1048); 
BgL_czd2namezd2_996 = 
CAR(BgL_cdrzd2342zd2_1049); 
{ /* Module/foreign.scm 141 */
bool_t BgL_testz00_3314;
if(
STRINGP(BgL_czd2namezd2_996))
{ /* Module/foreign.scm 141 */
if(
SYMBOLP(BgL_typez00_994))
{ /* Module/foreign.scm 142 */
BgL_testz00_3314 = 
SYMBOLP(BgL_lzd2namezd2_995)
; }  else 
{ /* Module/foreign.scm 142 */
BgL_testz00_3314 = ((bool_t)0)
; } }  else 
{ /* Module/foreign.scm 141 */
BgL_testz00_3314 = ((bool_t)0)
; } 
if(BgL_testz00_3314)
{ /* Module/foreign.scm 145 */
BgL_globalz00_bglt BgL_auxz00_3320;
BgL_auxz00_3320 = 
BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_lzd2namezd2_995, BgL_czd2namezd2_996, BgL_typez00_994, ((bool_t)1), BgL_foreignz00_22, BgL_foreignz00_22); 
return 
(obj_t)(BgL_auxz00_3320);}  else 
{ /* Module/foreign.scm 144 */
obj_t BgL_list2262z00_1159;
BgL_list2262z00_1159 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2848z00zzmodule_foreignz00, BgL_foreignz00_22, BgL_list2262z00_1159);} } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2142zd2_998;} } } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2142zd2_998;} }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2142zd2_998;} }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2142zd2_998;} }  else 
{ /* Module/foreign.scm 112 */
bool_t BgL_testz00_3328;
{ /* Module/foreign.scm 112 */
obj_t BgL_auxz00_3331;obj_t BgL_auxz00_3329;
BgL_auxz00_3331 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_3329 = 
CAR(BgL_foreignz00_22); 
BgL_testz00_3328 = 
(BgL_auxz00_3329==BgL_auxz00_3331); } 
if(BgL_testz00_3328)
{ /* Module/foreign.scm 112 */
if(
PAIRP(BgL_cdrzd2270zd2_1031))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2414zd2_1059;
BgL_cdrzd2414zd2_1059 = 
CDR(BgL_cdrzd2270zd2_1031); 
{ /* Module/foreign.scm 112 */
bool_t BgL_testz00_3337;
{ /* Module/foreign.scm 112 */
obj_t BgL_auxz00_3340;obj_t BgL_auxz00_3338;
BgL_auxz00_3340 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_3338 = 
CAR(BgL_cdrzd2270zd2_1031); 
BgL_testz00_3337 = 
(BgL_auxz00_3338==BgL_auxz00_3340); } 
if(BgL_testz00_3337)
{ /* Module/foreign.scm 112 */
if(
PAIRP(BgL_cdrzd2414zd2_1059))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2420zd2_1062;
BgL_cdrzd2420zd2_1062 = 
CDR(BgL_cdrzd2414zd2_1059); 
if(
PAIRP(BgL_cdrzd2420zd2_1062))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2426zd2_1064;
BgL_cdrzd2426zd2_1064 = 
CDR(BgL_cdrzd2420zd2_1062); 
if(
PAIRP(BgL_cdrzd2426zd2_1064))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2431zd2_1066;
BgL_cdrzd2431zd2_1066 = 
CDR(BgL_cdrzd2426zd2_1064); 
if(
PAIRP(BgL_cdrzd2431zd2_1066))
{ /* Module/foreign.scm 112 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2431zd2_1066), BNIL))
{ 
obj_t BgL_czd2namezd2_3363;obj_t BgL_protoz00_3361;obj_t BgL_lzd2namezd2_3359;obj_t BgL_typez00_3357;
BgL_typez00_3357 = 
CAR(BgL_cdrzd2414zd2_1059); 
BgL_lzd2namezd2_3359 = 
CAR(BgL_cdrzd2420zd2_1062); 
BgL_protoz00_3361 = 
CAR(BgL_cdrzd2426zd2_1064); 
BgL_czd2namezd2_3363 = 
CAR(BgL_cdrzd2431zd2_1066); 
BgL_czd2namezd2_992 = BgL_czd2namezd2_3363; 
BgL_protoz00_991 = BgL_protoz00_3361; 
BgL_lzd2namezd2_990 = BgL_lzd2namezd2_3359; 
BgL_typez00_989 = BgL_typez00_3357; 
goto BgL_tagzd2140zd2_993;}  else 
{ /* Module/foreign.scm 112 */
BgL_tagzd2145zd2_1008:
{ /* Module/foreign.scm 169 */
obj_t BgL_list2275z00_1172;
BgL_list2275z00_1172 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2847z00zzmodule_foreignz00, BgL_foreignz00_22, BgL_list2275z00_1172);} } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} }  else 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2515zd2_1075;
BgL_cdrzd2515zd2_1075 = 
CDR(BgL_foreignz00_22); 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2523zd2_1076;
BgL_cdrzd2523zd2_1076 = 
CDR(BgL_cdrzd2515zd2_1075); 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2530zd2_1077;
BgL_cdrzd2530zd2_1077 = 
CDR(BgL_cdrzd2523zd2_1076); 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2530zd2_1077), BNIL))
{ /* Module/foreign.scm 112 */
BgL_typez00_999 = 
CAR(BgL_foreignz00_22); 
BgL_lzd2namezd2_1000 = 
CAR(BgL_cdrzd2515zd2_1075); 
BgL_protoz00_1001 = 
CAR(BgL_cdrzd2523zd2_1076); 
BgL_czd2namezd2_1002 = 
CAR(BgL_cdrzd2530zd2_1077); 
BgL_tagzd2143zd2_1003:
{ /* Module/foreign.scm 149 */
bool_t BgL_testz00_3373;
if(
STRINGP(BgL_czd2namezd2_1002))
{ /* Module/foreign.scm 149 */
if(
SYMBOLP(BgL_typez00_999))
{ /* Module/foreign.scm 150 */
if(
SYMBOLP(BgL_lzd2namezd2_1000))
{ /* Module/foreign.scm 151 */
BgL_testz00_3373 = 
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_protoz00_1001)
; }  else 
{ /* Module/foreign.scm 151 */
BgL_testz00_3373 = ((bool_t)0)
; } }  else 
{ /* Module/foreign.scm 150 */
BgL_testz00_3373 = ((bool_t)0)
; } }  else 
{ /* Module/foreign.scm 149 */
BgL_testz00_3373 = ((bool_t)0)
; } 
if(BgL_testz00_3373)
{ /* Module/foreign.scm 154 */
BgL_globalz00_bglt BgL_auxz00_3381;
BgL_auxz00_3381 = 
BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(BgL_lzd2namezd2_1000, BgL_czd2namezd2_1002, BgL_typez00_999, BgL_protoz00_1001, ((bool_t)0), ((bool_t)0), BgL_foreignz00_22, BgL_foreignz00_22); 
return 
(obj_t)(BgL_auxz00_3381);}  else 
{ /* Module/foreign.scm 153 */
obj_t BgL_list2267z00_1164;
BgL_list2267z00_1164 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2849z00zzmodule_foreignz00, BgL_foreignz00_22, BgL_list2267z00_1164);} } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} } } } }  else 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2573zd2_1085;
BgL_cdrzd2573zd2_1085 = 
CDR(BgL_foreignz00_22); 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2579zd2_1086;
BgL_cdrzd2579zd2_1086 = 
CDR(BgL_cdrzd2573zd2_1085); 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2579zd2_1086), BNIL))
{ /* Module/foreign.scm 112 */
BgL_typez00_1004 = 
CAR(BgL_foreignz00_22); 
BgL_lzd2namezd2_1005 = 
CAR(BgL_cdrzd2573zd2_1085); 
BgL_czd2namezd2_1006 = 
CAR(BgL_cdrzd2579zd2_1086); 
BgL_tagzd2144zd2_1007:
{ /* Module/foreign.scm 163 */
bool_t BgL_testz00_3395;
if(
STRINGP(BgL_czd2namezd2_1006))
{ /* Module/foreign.scm 163 */
if(
SYMBOLP(BgL_typez00_1004))
{ /* Module/foreign.scm 164 */
BgL_testz00_3395 = 
SYMBOLP(BgL_lzd2namezd2_1005)
; }  else 
{ /* Module/foreign.scm 164 */
BgL_testz00_3395 = ((bool_t)0)
; } }  else 
{ /* Module/foreign.scm 163 */
BgL_testz00_3395 = ((bool_t)0)
; } 
if(BgL_testz00_3395)
{ /* Module/foreign.scm 167 */
BgL_globalz00_bglt BgL_auxz00_3401;
BgL_auxz00_3401 = 
BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_lzd2namezd2_1005, BgL_czd2namezd2_1006, BgL_typez00_1004, ((bool_t)0), BgL_foreignz00_22, BFALSE); 
return 
(obj_t)(BgL_auxz00_3401);}  else 
{ /* Module/foreign.scm 166 */
obj_t BgL_list2272z00_1169;
BgL_list2272z00_1169 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2850z00zzmodule_foreignz00, BgL_foreignz00_22, BgL_list2272z00_1169);} } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} } } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} }  else 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2632zd2_1093;
BgL_cdrzd2632zd2_1093 = 
CDR(BgL_foreignz00_22); 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2638zd2_1094;
BgL_cdrzd2638zd2_1094 = 
CDR(BgL_cdrzd2632zd2_1093); 
if(
PAIRP(BgL_cdrzd2638zd2_1094))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2643zd2_1096;
BgL_cdrzd2643zd2_1096 = 
CDR(BgL_cdrzd2638zd2_1094); 
if(
PAIRP(BgL_cdrzd2643zd2_1096))
{ /* Module/foreign.scm 112 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2643zd2_1096), BNIL))
{ 
obj_t BgL_czd2namezd2_3425;obj_t BgL_protoz00_3423;obj_t BgL_lzd2namezd2_3421;obj_t BgL_typez00_3419;
BgL_typez00_3419 = 
CAR(BgL_foreignz00_22); 
BgL_lzd2namezd2_3421 = 
CAR(BgL_cdrzd2632zd2_1093); 
BgL_protoz00_3423 = 
CAR(BgL_cdrzd2638zd2_1094); 
BgL_czd2namezd2_3425 = 
CAR(BgL_cdrzd2643zd2_1096); 
BgL_czd2namezd2_1002 = BgL_czd2namezd2_3425; 
BgL_protoz00_1001 = BgL_protoz00_3423; 
BgL_lzd2namezd2_1000 = BgL_lzd2namezd2_3421; 
BgL_typez00_999 = BgL_typez00_3419; 
goto BgL_tagzd2143zd2_1003;}  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} }  else 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2673zd2_1106;
BgL_cdrzd2673zd2_1106 = 
CDR(BgL_cdrzd2632zd2_1093); 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2673zd2_1106), BNIL))
{ 
obj_t BgL_czd2namezd2_3435;obj_t BgL_lzd2namezd2_3433;obj_t BgL_typez00_3431;
BgL_typez00_3431 = 
CAR(BgL_foreignz00_22); 
BgL_lzd2namezd2_3433 = 
CAR(BgL_cdrzd2632zd2_1093); 
BgL_czd2namezd2_3435 = 
CAR(BgL_cdrzd2673zd2_1106); 
BgL_czd2namezd2_1006 = BgL_czd2namezd2_3435; 
BgL_lzd2namezd2_1005 = BgL_lzd2namezd2_3433; 
BgL_typez00_1004 = BgL_typez00_3431; 
goto BgL_tagzd2144zd2_1007;}  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} } } } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} }  else 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2734zd2_1115;
BgL_cdrzd2734zd2_1115 = 
CDR(BgL_foreignz00_22); 
if(
PAIRP(BgL_cdrzd2734zd2_1115))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2740zd2_1117;
BgL_cdrzd2740zd2_1117 = 
CDR(BgL_cdrzd2734zd2_1115); 
if(
PAIRP(BgL_cdrzd2740zd2_1117))
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2745zd2_1119;
BgL_cdrzd2745zd2_1119 = 
CDR(BgL_cdrzd2740zd2_1117); 
if(
PAIRP(BgL_cdrzd2745zd2_1119))
{ /* Module/foreign.scm 112 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2745zd2_1119), BNIL))
{ 
obj_t BgL_czd2namezd2_3455;obj_t BgL_protoz00_3453;obj_t BgL_lzd2namezd2_3451;obj_t BgL_typez00_3449;
BgL_typez00_3449 = 
CAR(BgL_foreignz00_22); 
BgL_lzd2namezd2_3451 = 
CAR(BgL_cdrzd2734zd2_1115); 
BgL_protoz00_3453 = 
CAR(BgL_cdrzd2740zd2_1117); 
BgL_czd2namezd2_3455 = 
CAR(BgL_cdrzd2745zd2_1119); 
BgL_czd2namezd2_1002 = BgL_czd2namezd2_3455; 
BgL_protoz00_1001 = BgL_protoz00_3453; 
BgL_lzd2namezd2_1000 = BgL_lzd2namezd2_3451; 
BgL_typez00_999 = BgL_typez00_3449; 
goto BgL_tagzd2143zd2_1003;}  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} }  else 
{ /* Module/foreign.scm 112 */
obj_t BgL_cdrzd2778zd2_1129;
BgL_cdrzd2778zd2_1129 = 
CDR(BgL_cdrzd2734zd2_1115); 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2778zd2_1129), BNIL))
{ 
obj_t BgL_czd2namezd2_3465;obj_t BgL_lzd2namezd2_3463;obj_t BgL_typez00_3461;
BgL_typez00_3461 = 
CAR(BgL_foreignz00_22); 
BgL_lzd2namezd2_3463 = 
CAR(BgL_cdrzd2734zd2_1115); 
BgL_czd2namezd2_3465 = 
CAR(BgL_cdrzd2778zd2_1129); 
BgL_czd2namezd2_1006 = BgL_czd2namezd2_3465; 
BgL_lzd2namezd2_1005 = BgL_lzd2namezd2_3463; 
BgL_typez00_1004 = BgL_typez00_3461; 
goto BgL_tagzd2144zd2_1007;}  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} } } } } } } } }  else 
{ /* Module/foreign.scm 112 */
goto BgL_tagzd2145zd2_1008;} } } 
}



/* extern-parser */
obj_t BGl_externzd2parserzd2zzmodule_foreignz00(obj_t BgL_externz00_23)
{ AN_OBJECT;
{ /* Module/foreign.scm 174 */
{ 
obj_t BgL_idz00_1187;obj_t BgL_czd2namezd2_1188;obj_t BgL_idz00_1183;obj_t BgL_protoz00_1184;obj_t BgL_cnz00_1185;obj_t BgL_idz00_1179;obj_t BgL_czd2namezd2_1180;obj_t BgL_idz00_1175;obj_t BgL_protoz00_1176;obj_t BgL_cnz00_1177;
if(
PAIRP(BgL_externz00_23))
{ /* Module/foreign.scm 176 */
bool_t BgL_testz00_3469;
{ /* Module/foreign.scm 176 */
obj_t BgL_auxz00_3472;obj_t BgL_auxz00_3470;
BgL_auxz00_3472 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_3470 = 
CAR(BgL_externz00_23); 
BgL_testz00_3469 = 
(BgL_auxz00_3470==BgL_auxz00_3472); } 
if(BgL_testz00_3469)
{ /* Module/foreign.scm 176 */
return 
BGl_parsezd2czd2externzd2typezd2zzmodule_foreignz00(BgL_externz00_23);}  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd2881zd2_1194;
BgL_carzd2881zd2_1194 = 
CAR(BgL_externz00_23); 
{ /* Module/foreign.scm 176 */
bool_t BgL_testz00_3477;
{ /* Module/foreign.scm 176 */
obj_t BgL_auxz00_3478;
BgL_auxz00_3478 = 
CNST_TABLE_REF(((long)7)); 
BgL_testz00_3477 = 
(BgL_carzd2881zd2_1194==BgL_auxz00_3478); } 
if(BgL_testz00_3477)
{ /* Module/foreign.scm 176 */
return 
BGl_foreignzd2parserzd2zzmodule_foreignz00(BgL_externz00_23);}  else 
{ /* Module/foreign.scm 176 */
bool_t BgL_testz00_3482;
{ /* Module/foreign.scm 176 */
obj_t BgL_auxz00_3483;
BgL_auxz00_3483 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_3482 = 
(BgL_carzd2881zd2_1194==BgL_auxz00_3483); } 
if(BgL_testz00_3482)
{ /* Module/foreign.scm 176 */
return 
BGl_foreignzd2parserzd2zzmodule_foreignz00(BgL_externz00_23);}  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd2896zd2_1197;
BgL_cdrzd2896zd2_1197 = 
CDR(BgL_externz00_23); 
{ /* Module/foreign.scm 176 */
bool_t BgL_testz00_3488;
{ /* Module/foreign.scm 176 */
obj_t BgL_auxz00_3489;
BgL_auxz00_3489 = 
CNST_TABLE_REF(((long)8)); 
BgL_testz00_3488 = 
(BgL_carzd2881zd2_1194==BgL_auxz00_3489); } 
if(BgL_testz00_3488)
{ /* Module/foreign.scm 176 */
if(
PAIRP(BgL_cdrzd2896zd2_1197))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd2900zd2_1200;obj_t BgL_cdrzd2901zd2_1201;
BgL_carzd2900zd2_1200 = 
CAR(BgL_cdrzd2896zd2_1197); 
BgL_cdrzd2901zd2_1201 = 
CDR(BgL_cdrzd2896zd2_1197); 
if(
SYMBOLP(BgL_carzd2900zd2_1200))
{ /* Module/foreign.scm 176 */
if(
PAIRP(BgL_cdrzd2901zd2_1201))
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd2908zd2_1204;
BgL_cdrzd2908zd2_1204 = 
CDR(BgL_cdrzd2901zd2_1201); 
if(
PAIRP(BgL_cdrzd2908zd2_1204))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd2911zd2_1206;
BgL_carzd2911zd2_1206 = 
CAR(BgL_cdrzd2908zd2_1204); 
if(
STRINGP(BgL_carzd2911zd2_1206))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2908zd2_1204), BNIL))
{ /* Module/foreign.scm 176 */
BgL_idz00_1175 = BgL_carzd2900zd2_1200; 
BgL_protoz00_1176 = 
CAR(BgL_cdrzd2901zd2_1201); 
BgL_cnz00_1177 = BgL_carzd2911zd2_1206; 
BgL_tagzd2864zd2_1178:
{ /* Module/foreign.scm 185 */
obj_t BgL_pidz00_1341;
{ /* Module/foreign.scm 185 */
obj_t BgL_arg2383z00_1353;
BgL_arg2383z00_1353 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_externz00_23); 
BgL_pidz00_1341 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_1175, BgL_arg2383z00_1353); } 
{ /* Module/foreign.scm 185 */
obj_t BgL_lnz00_1342;
BgL_lnz00_1342 = 
CAR(BgL_pidz00_1341); 
{ /* Module/foreign.scm 186 */
obj_t BgL_typez00_1343;
{ /* Module/foreign.scm 187 */
obj_t BgL_arg2381z00_1351;
BgL_arg2381z00_1351 = 
BGl_defaultzd2czd2typez00zzmodule_foreignz00(
CDR(BgL_pidz00_1341), BgL_externz00_23); 
{ /* Module/foreign.scm 187 */
BgL_typez00_bglt BgL_obj1024z00_2436;
BgL_obj1024z00_2436 = 
(BgL_typez00_bglt)(BgL_arg2381z00_1351); 
BgL_typez00_1343 = 
(((BgL_typez00_bglt)CREF(BgL_obj1024z00_2436))->BgL_idz00); } } 
{ /* Module/foreign.scm 187 */

{ /* Module/foreign.scm 188 */
bool_t BgL_test2375z00_1344;
{ /* Module/foreign.scm 188 */
bool_t BgL_test2379z00_1349;
{ /* Module/foreign.scm 188 */
obj_t BgL_xz00_3084;
BgL_xz00_3084 = 
BGl_checkzd2idzd2zzast_identz00(BgL_pidz00_1341, BgL_externz00_23); 
BgL_test2379z00_1349 = ((bool_t)1); } 
if(BgL_test2379z00_1349)
{ /* Module/foreign.scm 188 */
if(
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_protoz00_1176))
{ /* Module/foreign.scm 189 */
BgL_test2375z00_1344 = ((bool_t)0); }  else 
{ /* Module/foreign.scm 189 */
BgL_test2375z00_1344 = ((bool_t)1); } }  else 
{ /* Module/foreign.scm 188 */
BgL_test2375z00_1344 = ((bool_t)1); } } 
if(BgL_test2375z00_1344)
{ /* Module/foreign.scm 190 */
obj_t BgL_list2376z00_1345;
BgL_list2376z00_1345 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2851z00zzmodule_foreignz00, BgL_externz00_23, BgL_list2376z00_1345);}  else 
{ /* Module/foreign.scm 192 */
BgL_globalz00_bglt BgL_auxz00_3523;
{ /* Module/foreign.scm 192 */
bool_t BgL_auxz00_3524;
{ /* Module/foreign.scm 191 */
obj_t BgL_auxz00_3527;obj_t BgL_auxz00_3525;
BgL_auxz00_3527 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_3525 = 
CAR(BgL_externz00_23); 
BgL_auxz00_3524 = 
(BgL_auxz00_3525==BgL_auxz00_3527); } 
BgL_auxz00_3523 = 
BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(BgL_lnz00_1342, BgL_cnz00_1177, BgL_typez00_1343, BgL_protoz00_1176, BgL_auxz00_3524, ((bool_t)1), BgL_externz00_23, BFALSE); } 
return 
(obj_t)(BgL_auxz00_3523);} } } } } } }  else 
{ /* Module/foreign.scm 176 */
BgL_tagzd2866zd2_1182:
{ /* Module/foreign.scm 202 */
obj_t BgL_list2389z00_1362;
BgL_list2389z00_1362 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2851z00zzmodule_foreignz00, BgL_externz00_23, BgL_list2389z00_1362);} } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd2958zd2_1212;
BgL_cdrzd2958zd2_1212 = 
CDR(BgL_externz00_23); 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd2963zd2_1213;obj_t BgL_cdrzd2964zd2_1214;
BgL_carzd2963zd2_1213 = 
CAR(BgL_cdrzd2958zd2_1212); 
BgL_cdrzd2964zd2_1214 = 
CDR(BgL_cdrzd2958zd2_1212); 
if(
SYMBOLP(BgL_carzd2963zd2_1213))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd2972zd2_1216;
BgL_carzd2972zd2_1216 = 
CAR(BgL_cdrzd2964zd2_1214); 
if(
STRINGP(BgL_carzd2972zd2_1216))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2964zd2_1214), BNIL))
{ /* Module/foreign.scm 176 */
BgL_idz00_1179 = BgL_carzd2963zd2_1213; 
BgL_czd2namezd2_1180 = BgL_carzd2972zd2_1216; 
BgL_tagzd2865zd2_1181:
{ /* Module/foreign.scm 195 */
obj_t BgL_pidz00_1354;
{ /* Module/foreign.scm 195 */
obj_t BgL_arg2388z00_1361;
BgL_arg2388z00_1361 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_externz00_23); 
BgL_pidz00_1354 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_1179, BgL_arg2388z00_1361); } 
{ /* Module/foreign.scm 195 */
obj_t BgL_lzd2namezd2_1355;
BgL_lzd2namezd2_1355 = 
CAR(BgL_pidz00_1354); 
{ /* Module/foreign.scm 196 */
obj_t BgL_typez00_1356;
{ /* Module/foreign.scm 197 */
obj_t BgL_arg2386z00_1359;
BgL_arg2386z00_1359 = 
BGl_defaultzd2czd2typez00zzmodule_foreignz00(
CDR(BgL_pidz00_1354), BgL_externz00_23); 
{ /* Module/foreign.scm 197 */
BgL_typez00_bglt BgL_obj1024z00_2440;
BgL_obj1024z00_2440 = 
(BgL_typez00_bglt)(BgL_arg2386z00_1359); 
BgL_typez00_1356 = 
(((BgL_typez00_bglt)CREF(BgL_obj1024z00_2440))->BgL_idz00); } } 
{ /* Module/foreign.scm 197 */

{ /* Module/foreign.scm 198 */
bool_t BgL_test2384z00_1357;
{ /* Module/foreign.scm 198 */
obj_t BgL_xz00_3085;
BgL_xz00_3085 = 
BGl_checkzd2idzd2zzast_identz00(BgL_pidz00_1354, BgL_externz00_23); 
BgL_test2384z00_1357 = ((bool_t)1); } 
if(BgL_test2384z00_1357)
{ /* Module/foreign.scm 200 */
BgL_globalz00_bglt BgL_auxz00_3555;
BgL_auxz00_3555 = 
BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_lzd2namezd2_1355, BgL_czd2namezd2_1180, BgL_typez00_1356, ((bool_t)1), BgL_externz00_23, BFALSE); 
return 
(obj_t)(BgL_auxz00_3555);}  else 
{ /* Module/foreign.scm 199 */
obj_t BgL_list2385z00_1358;
BgL_list2385z00_1358 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2851z00zzmodule_foreignz00, BgL_externz00_23, BgL_list2385z00_1358);} } } } } } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} } } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21015zd2_1221;
BgL_cdrzd21015zd2_1221 = 
CDR(BgL_externz00_23); 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21018zd2_1222;obj_t BgL_cdrzd21019zd2_1223;
BgL_carzd21018zd2_1222 = 
CAR(BgL_cdrzd21015zd2_1221); 
BgL_cdrzd21019zd2_1223 = 
CDR(BgL_cdrzd21015zd2_1221); 
if(
SYMBOLP(BgL_carzd21018zd2_1222))
{ /* Module/foreign.scm 176 */
if(
PAIRP(BgL_cdrzd21019zd2_1223))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21024zd2_1226;
BgL_carzd21024zd2_1226 = 
CAR(BgL_cdrzd21019zd2_1223); 
if(
STRINGP(BgL_carzd21024zd2_1226))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21019zd2_1223), BNIL))
{ 
obj_t BgL_czd2namezd2_3574;obj_t BgL_idz00_3573;
BgL_idz00_3573 = BgL_carzd21018zd2_1222; 
BgL_czd2namezd2_3574 = BgL_carzd21024zd2_1226; 
BgL_czd2namezd2_1180 = BgL_czd2namezd2_3574; 
BgL_idz00_1179 = BgL_idz00_3573; 
goto BgL_tagzd2865zd2_1181;}  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} } } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2866zd2_1182;} }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21062zd2_1231;
BgL_cdrzd21062zd2_1231 = 
CDR(BgL_externz00_23); 
{ /* Module/foreign.scm 176 */
bool_t BgL_testz00_3576;
{ /* Module/foreign.scm 176 */
obj_t BgL_auxz00_3579;obj_t BgL_auxz00_3577;
BgL_auxz00_3579 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_3577 = 
CAR(BgL_externz00_23); 
BgL_testz00_3576 = 
(BgL_auxz00_3577==BgL_auxz00_3579); } 
if(BgL_testz00_3576)
{ /* Module/foreign.scm 176 */
if(
PAIRP(BgL_cdrzd21062zd2_1231))
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21067zd2_1234;
BgL_cdrzd21067zd2_1234 = 
CDR(BgL_cdrzd21062zd2_1231); 
{ /* Module/foreign.scm 176 */
bool_t BgL_testz00_3585;
{ /* Module/foreign.scm 176 */
obj_t BgL_auxz00_3588;obj_t BgL_auxz00_3586;
BgL_auxz00_3588 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_3586 = 
CAR(BgL_cdrzd21062zd2_1231); 
BgL_testz00_3585 = 
(BgL_auxz00_3586==BgL_auxz00_3588); } 
if(BgL_testz00_3585)
{ /* Module/foreign.scm 176 */
if(
PAIRP(BgL_cdrzd21067zd2_1234))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21071zd2_1237;obj_t BgL_cdrzd21072zd2_1238;
BgL_carzd21071zd2_1237 = 
CAR(BgL_cdrzd21067zd2_1234); 
BgL_cdrzd21072zd2_1238 = 
CDR(BgL_cdrzd21067zd2_1234); 
if(
SYMBOLP(BgL_carzd21071zd2_1237))
{ /* Module/foreign.scm 176 */
if(
PAIRP(BgL_cdrzd21072zd2_1238))
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21079zd2_1241;
BgL_cdrzd21079zd2_1241 = 
CDR(BgL_cdrzd21072zd2_1238); 
if(
PAIRP(BgL_cdrzd21079zd2_1241))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21082zd2_1243;
BgL_carzd21082zd2_1243 = 
CAR(BgL_cdrzd21079zd2_1241); 
if(
STRINGP(BgL_carzd21082zd2_1243))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21079zd2_1241), BNIL))
{ 
obj_t BgL_cnz00_3611;obj_t BgL_protoz00_3609;obj_t BgL_idz00_3608;
BgL_idz00_3608 = BgL_carzd21071zd2_1237; 
BgL_protoz00_3609 = 
CAR(BgL_cdrzd21072zd2_1238); 
BgL_cnz00_3611 = BgL_carzd21082zd2_1243; 
BgL_cnz00_1177 = BgL_cnz00_3611; 
BgL_protoz00_1176 = BgL_protoz00_3609; 
BgL_idz00_1175 = BgL_idz00_3608; 
goto BgL_tagzd2864zd2_1178;}  else 
{ /* Module/foreign.scm 176 */
BgL_tagzd2869zd2_1190:
{ /* Module/foreign.scm 221 */
obj_t BgL_list2402z00_1381;
BgL_list2402z00_1381 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2851z00zzmodule_foreignz00, BgL_externz00_23, BgL_list2402z00_1381);} } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21171zd2_1249;
BgL_carzd21171zd2_1249 = 
CAR(BgL_externz00_23); 
if(
SYMBOLP(BgL_carzd21171zd2_1249))
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21180zd2_1252;
BgL_cdrzd21180zd2_1252 = 
CDR(BgL_cdrzd21062zd2_1231); 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21184zd2_1253;
BgL_carzd21184zd2_1253 = 
CAR(BgL_cdrzd21180zd2_1252); 
if(
STRINGP(BgL_carzd21184zd2_1253))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21180zd2_1252), BNIL))
{ /* Module/foreign.scm 176 */
BgL_idz00_1183 = BgL_carzd21171zd2_1249; 
BgL_protoz00_1184 = 
CAR(BgL_cdrzd21062zd2_1231); 
BgL_cnz00_1185 = BgL_carzd21184zd2_1253; 
BgL_tagzd2867zd2_1186:
{ /* Module/foreign.scm 205 */
obj_t BgL_pidz00_1363;
{ /* Module/foreign.scm 205 */
obj_t BgL_arg2396z00_1372;
BgL_arg2396z00_1372 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_externz00_23); 
BgL_pidz00_1363 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_1183, BgL_arg2396z00_1372); } 
{ /* Module/foreign.scm 205 */
obj_t BgL_lnz00_1364;
BgL_lnz00_1364 = 
CAR(BgL_pidz00_1363); 
{ /* Module/foreign.scm 206 */
obj_t BgL_typez00_1365;
{ /* Module/foreign.scm 207 */
obj_t BgL_arg2394z00_1370;
BgL_arg2394z00_1370 = 
BGl_defaultzd2czd2typez00zzmodule_foreignz00(
CDR(BgL_pidz00_1363), BgL_externz00_23); 
{ /* Module/foreign.scm 207 */
BgL_typez00_bglt BgL_obj1024z00_2443;
BgL_obj1024z00_2443 = 
(BgL_typez00_bglt)(BgL_arg2394z00_1370); 
BgL_typez00_1365 = 
(((BgL_typez00_bglt)CREF(BgL_obj1024z00_2443))->BgL_idz00); } } 
{ /* Module/foreign.scm 207 */

{ /* Module/foreign.scm 208 */
bool_t BgL_test2390z00_1366;
{ /* Module/foreign.scm 208 */
bool_t BgL_test2392z00_1368;
{ /* Module/foreign.scm 208 */
obj_t BgL_xz00_3086;
BgL_xz00_3086 = 
BGl_checkzd2idzd2zzast_identz00(BgL_pidz00_1363, BgL_externz00_23); 
BgL_test2392z00_1368 = ((bool_t)1); } 
if(BgL_test2392z00_1368)
{ /* Module/foreign.scm 208 */
if(
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_protoz00_1184))
{ /* Module/foreign.scm 209 */
BgL_test2390z00_1366 = ((bool_t)0); }  else 
{ /* Module/foreign.scm 209 */
BgL_test2390z00_1366 = ((bool_t)1); } }  else 
{ /* Module/foreign.scm 208 */
BgL_test2390z00_1366 = ((bool_t)1); } } 
if(BgL_test2390z00_1366)
{ /* Module/foreign.scm 210 */
obj_t BgL_list2391z00_1367;
BgL_list2391z00_1367 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2851z00zzmodule_foreignz00, BgL_externz00_23, BgL_list2391z00_1367);}  else 
{ /* Module/foreign.scm 211 */
BgL_globalz00_bglt BgL_auxz00_3638;
BgL_auxz00_3638 = 
BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(BgL_lnz00_1364, BgL_cnz00_1185, BgL_typez00_1365, BgL_protoz00_1184, ((bool_t)0), ((bool_t)0), BgL_externz00_23, BFALSE); 
return 
(obj_t)(BgL_auxz00_3638);} } } } } } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21220zd2_1259;
BgL_carzd21220zd2_1259 = 
CAR(BgL_externz00_23); 
if(
SYMBOLP(BgL_carzd21220zd2_1259))
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21228zd2_1262;
BgL_cdrzd21228zd2_1262 = 
CDR(BgL_cdrzd21062zd2_1231); 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21231zd2_1263;
BgL_carzd21231zd2_1263 = 
CAR(BgL_cdrzd21228zd2_1262); 
if(
STRINGP(BgL_carzd21231zd2_1263))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21228zd2_1262), BNIL))
{ 
obj_t BgL_cnz00_3655;obj_t BgL_protoz00_3653;obj_t BgL_idz00_3652;
BgL_idz00_3652 = BgL_carzd21220zd2_1259; 
BgL_protoz00_3653 = 
CAR(BgL_cdrzd21062zd2_1231); 
BgL_cnz00_3655 = BgL_carzd21231zd2_1263; 
BgL_cnz00_1185 = BgL_cnz00_3655; 
BgL_protoz00_1184 = BgL_protoz00_3653; 
BgL_idz00_1183 = BgL_idz00_3652; 
goto BgL_tagzd2867zd2_1186;}  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21269zd2_1269;
BgL_carzd21269zd2_1269 = 
CAR(BgL_externz00_23); 
if(
SYMBOLP(BgL_carzd21269zd2_1269))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21275zd2_1272;
BgL_carzd21275zd2_1272 = 
CAR(BgL_cdrzd21062zd2_1231); 
if(
STRINGP(BgL_carzd21275zd2_1272))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21062zd2_1231), BNIL))
{ /* Module/foreign.scm 176 */
BgL_idz00_1187 = BgL_carzd21269zd2_1269; 
BgL_czd2namezd2_1188 = BgL_carzd21275zd2_1272; 
BgL_tagzd2868zd2_1189:
{ /* Module/foreign.scm 214 */
obj_t BgL_pidz00_1373;
{ /* Module/foreign.scm 214 */
obj_t BgL_arg2401z00_1380;
BgL_arg2401z00_1380 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_externz00_23); 
BgL_pidz00_1373 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_1187, BgL_arg2401z00_1380); } 
{ /* Module/foreign.scm 214 */
obj_t BgL_lzd2namezd2_1374;
BgL_lzd2namezd2_1374 = 
CAR(BgL_pidz00_1373); 
{ /* Module/foreign.scm 215 */
obj_t BgL_typez00_1375;
{ /* Module/foreign.scm 216 */
obj_t BgL_arg2399z00_1378;
BgL_arg2399z00_1378 = 
BGl_defaultzd2czd2typez00zzmodule_foreignz00(
CDR(BgL_pidz00_1373), BgL_externz00_23); 
{ /* Module/foreign.scm 216 */
BgL_typez00_bglt BgL_obj1024z00_2446;
BgL_obj1024z00_2446 = 
(BgL_typez00_bglt)(BgL_arg2399z00_1378); 
BgL_typez00_1375 = 
(((BgL_typez00_bglt)CREF(BgL_obj1024z00_2446))->BgL_idz00); } } 
{ /* Module/foreign.scm 216 */

{ /* Module/foreign.scm 217 */
bool_t BgL_test2397z00_1376;
{ /* Module/foreign.scm 217 */
obj_t BgL_xz00_3087;
BgL_xz00_3087 = 
BGl_checkzd2idzd2zzast_identz00(BgL_pidz00_1373, BgL_externz00_23); 
BgL_test2397z00_1376 = ((bool_t)1); } 
if(BgL_test2397z00_1376)
{ /* Module/foreign.scm 219 */
BgL_globalz00_bglt BgL_auxz00_3674;
BgL_auxz00_3674 = 
BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_lzd2namezd2_1374, BgL_czd2namezd2_1188, BgL_typez00_1375, ((bool_t)0), BgL_externz00_23, BFALSE); 
return 
(obj_t)(BgL_auxz00_3674);}  else 
{ /* Module/foreign.scm 218 */
obj_t BgL_list2398z00_1377;
BgL_list2398z00_1377 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2851z00zzmodule_foreignz00, BgL_externz00_23, BgL_list2398z00_1377);} } } } } } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21297zd2_1277;
BgL_carzd21297zd2_1277 = 
CAR(BgL_externz00_23); 
if(
SYMBOLP(BgL_carzd21297zd2_1277))
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21305zd2_1280;
BgL_cdrzd21305zd2_1280 = 
CDR(BgL_cdrzd21062zd2_1231); 
if(
PAIRP(BgL_cdrzd21305zd2_1280))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21308zd2_1282;
BgL_carzd21308zd2_1282 = 
CAR(BgL_cdrzd21305zd2_1280); 
if(
STRINGP(BgL_carzd21308zd2_1282))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21305zd2_1280), BNIL))
{ 
obj_t BgL_cnz00_3694;obj_t BgL_protoz00_3692;obj_t BgL_idz00_3691;
BgL_idz00_3691 = BgL_carzd21297zd2_1277; 
BgL_protoz00_3692 = 
CAR(BgL_cdrzd21062zd2_1231); 
BgL_cnz00_3694 = BgL_carzd21308zd2_1282; 
BgL_cnz00_1185 = BgL_cnz00_3694; 
BgL_protoz00_1184 = BgL_protoz00_3692; 
BgL_idz00_1183 = BgL_idz00_3691; 
goto BgL_tagzd2867zd2_1186;}  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21329zd2_1289;
BgL_cdrzd21329zd2_1289 = 
CDR(BgL_externz00_23); 
if(
SYMBOLP(BgL_carzd21297zd2_1277))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21335zd2_1291;
BgL_carzd21335zd2_1291 = 
CAR(BgL_cdrzd21329zd2_1289); 
if(
STRINGP(BgL_carzd21335zd2_1291))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21329zd2_1289), BNIL))
{ 
obj_t BgL_czd2namezd2_3705;obj_t BgL_idz00_3704;
BgL_idz00_3704 = BgL_carzd21297zd2_1277; 
BgL_czd2namezd2_3705 = BgL_carzd21335zd2_1291; 
BgL_czd2namezd2_1188 = BgL_czd2namezd2_3705; 
BgL_idz00_1187 = BgL_idz00_3704; 
goto BgL_tagzd2868zd2_1189;}  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21347zd2_1297;
BgL_cdrzd21347zd2_1297 = 
CDR(BgL_externz00_23); 
if(
SYMBOLP(BgL_carzd21297zd2_1277))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21352zd2_1299;
BgL_carzd21352zd2_1299 = 
CAR(BgL_cdrzd21347zd2_1297); 
if(
STRINGP(BgL_carzd21352zd2_1299))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21347zd2_1297), BNIL))
{ 
obj_t BgL_czd2namezd2_3716;obj_t BgL_idz00_3715;
BgL_idz00_3715 = BgL_carzd21297zd2_1277; 
BgL_czd2namezd2_3716 = BgL_carzd21352zd2_1299; 
BgL_czd2namezd2_1188 = BgL_czd2namezd2_3716; 
BgL_idz00_1187 = BgL_idz00_3715; 
goto BgL_tagzd2868zd2_1189;}  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } } } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21395zd2_1306;
BgL_carzd21395zd2_1306 = 
CAR(BgL_externz00_23); 
if(
SYMBOLP(BgL_carzd21395zd2_1306))
{ /* Module/foreign.scm 176 */
if(
PAIRP(BgL_cdrzd21062zd2_1231))
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21403zd2_1310;
BgL_cdrzd21403zd2_1310 = 
CDR(BgL_cdrzd21062zd2_1231); 
if(
PAIRP(BgL_cdrzd21403zd2_1310))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21406zd2_1312;
BgL_carzd21406zd2_1312 = 
CAR(BgL_cdrzd21403zd2_1310); 
if(
STRINGP(BgL_carzd21406zd2_1312))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21403zd2_1310), BNIL))
{ 
obj_t BgL_cnz00_3734;obj_t BgL_protoz00_3732;obj_t BgL_idz00_3731;
BgL_idz00_3731 = BgL_carzd21395zd2_1306; 
BgL_protoz00_3732 = 
CAR(BgL_cdrzd21062zd2_1231); 
BgL_cnz00_3734 = BgL_carzd21406zd2_1312; 
BgL_cnz00_1185 = BgL_cnz00_3734; 
BgL_protoz00_1184 = BgL_protoz00_3732; 
BgL_idz00_1183 = BgL_idz00_3731; 
goto BgL_tagzd2867zd2_1186;}  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21430zd2_1319;
BgL_cdrzd21430zd2_1319 = 
CDR(BgL_externz00_23); 
if(
SYMBOLP(BgL_carzd21395zd2_1306))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21438zd2_1321;
BgL_carzd21438zd2_1321 = 
CAR(BgL_cdrzd21430zd2_1319); 
if(
STRINGP(BgL_carzd21438zd2_1321))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21430zd2_1319), BNIL))
{ 
obj_t BgL_czd2namezd2_3745;obj_t BgL_idz00_3744;
BgL_idz00_3744 = BgL_carzd21395zd2_1306; 
BgL_czd2namezd2_3745 = BgL_carzd21438zd2_1321; 
BgL_czd2namezd2_1188 = BgL_czd2namezd2_3745; 
BgL_idz00_1187 = BgL_idz00_3744; 
goto BgL_tagzd2868zd2_1189;}  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
obj_t BgL_cdrzd21455zd2_1327;
BgL_cdrzd21455zd2_1327 = 
CDR(BgL_externz00_23); 
if(
SYMBOLP(BgL_carzd21395zd2_1306))
{ /* Module/foreign.scm 176 */
if(
PAIRP(BgL_cdrzd21455zd2_1327))
{ /* Module/foreign.scm 176 */
obj_t BgL_carzd21460zd2_1330;
BgL_carzd21460zd2_1330 = 
CAR(BgL_cdrzd21455zd2_1327); 
if(
STRINGP(BgL_carzd21460zd2_1330))
{ /* Module/foreign.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21455zd2_1327), BNIL))
{ 
obj_t BgL_czd2namezd2_3758;obj_t BgL_idz00_3757;
BgL_idz00_3757 = BgL_carzd21395zd2_1306; 
BgL_czd2namezd2_3758 = BgL_carzd21460zd2_1330; 
BgL_czd2namezd2_1188 = BgL_czd2namezd2_3758; 
BgL_idz00_1187 = BgL_idz00_3757; 
goto BgL_tagzd2868zd2_1189;}  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } } } } } } } } } }  else 
{ /* Module/foreign.scm 176 */
goto BgL_tagzd2869zd2_1190;} } } 
}



/* parse-c-foreign-type */
obj_t BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(obj_t BgL_typez00_24)
{ AN_OBJECT;
{ /* Module/foreign.scm 226 */
{ 
obj_t BgL_idz00_1385;obj_t BgL_tzd2expzd2_1386;obj_t BgL_namez00_1387;
if(
PAIRP(BgL_typez00_24))
{ /* Module/foreign.scm 227 */
obj_t BgL_cdrzd21514zd2_1392;
BgL_cdrzd21514zd2_1392 = 
CDR(BgL_typez00_24); 
{ /* Module/foreign.scm 227 */
bool_t BgL_testz00_3762;
{ /* Module/foreign.scm 227 */
obj_t BgL_auxz00_3765;obj_t BgL_auxz00_3763;
BgL_auxz00_3765 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_3763 = 
CAR(BgL_typez00_24); 
BgL_testz00_3762 = 
(BgL_auxz00_3763==BgL_auxz00_3765); } 
if(BgL_testz00_3762)
{ /* Module/foreign.scm 227 */
if(
PAIRP(BgL_cdrzd21514zd2_1392))
{ /* Module/foreign.scm 227 */
obj_t BgL_carzd21517zd2_1395;obj_t BgL_cdrzd21518zd2_1396;
BgL_carzd21517zd2_1395 = 
CAR(BgL_cdrzd21514zd2_1392); 
BgL_cdrzd21518zd2_1396 = 
CDR(BgL_cdrzd21514zd2_1392); 
if(
SYMBOLP(BgL_carzd21517zd2_1395))
{ /* Module/foreign.scm 227 */
if(
PAIRP(BgL_cdrzd21518zd2_1396))
{ /* Module/foreign.scm 227 */
obj_t BgL_carzd21523zd2_1399;
BgL_carzd21523zd2_1399 = 
CAR(BgL_cdrzd21518zd2_1396); 
if(
STRINGP(BgL_carzd21523zd2_1399))
{ /* Module/foreign.scm 227 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21518zd2_1396), BNIL))
{ /* Module/foreign.scm 227 */
BgL_typez00_bglt BgL_auxz00_3782;
BgL_auxz00_3782 = 
BGl_declarezd2typez12zc0zztype_envz00(BgL_carzd21517zd2_1395, BgL_carzd21523zd2_1399, 
CNST_TABLE_REF(((long)10))); 
return 
(obj_t)(BgL_auxz00_3782);}  else 
{ /* Module/foreign.scm 227 */
obj_t BgL_carzd21543zd2_1403;obj_t BgL_cdrzd21544zd2_1404;
BgL_carzd21543zd2_1403 = 
CAR(BgL_cdrzd21514zd2_1392); 
BgL_cdrzd21544zd2_1404 = 
CDR(BgL_cdrzd21514zd2_1392); 
if(
SYMBOLP(BgL_carzd21543zd2_1403))
{ /* Module/foreign.scm 227 */
obj_t BgL_cdrzd21554zd2_1406;
BgL_cdrzd21554zd2_1406 = 
CDR(BgL_cdrzd21544zd2_1404); 
if(
PAIRP(BgL_cdrzd21554zd2_1406))
{ /* Module/foreign.scm 227 */
obj_t BgL_carzd21558zd2_1408;
BgL_carzd21558zd2_1408 = 
CAR(BgL_cdrzd21554zd2_1406); 
if(
STRINGP(BgL_carzd21558zd2_1408))
{ /* Module/foreign.scm 227 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21554zd2_1406), BNIL))
{ /* Module/foreign.scm 227 */
BgL_idz00_1385 = BgL_carzd21543zd2_1403; 
BgL_tzd2expzd2_1386 = 
CAR(BgL_cdrzd21544zd2_1404); 
BgL_namez00_1387 = BgL_carzd21558zd2_1408; 
BgL_tagzd21505zd2_1388:
if(
BGl_checkzd2czd2foreignzd2typezd2expzf3zf3zzmodule_foreignz00(BgL_tzd2expzd2_1386))
{ /* Module/foreign.scm 232 */
obj_t BgL_ctypez00_1444;obj_t BgL_locz00_1445;
BgL_ctypez00_1444 = 
BGl_declarezd2czd2typez12z12zzforeign_ctypez00(BgL_typez00_24, BgL_idz00_1385, BgL_tzd2expzd2_1386, BgL_namez00_1387); 
BgL_locz00_1445 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_typez00_24); 
{ /* Module/foreign.scm 236 */
bool_t BgL_test2437z00_1446;
BgL_test2437z00_1446 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ctypez00_1444, BGl_typez00zztype_typez00); 
if(BgL_test2437z00_1446)
{ /* Module/foreign.scm 237 */
obj_t BgL_accessesz00_1447;
BgL_accessesz00_1447 = 
BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(
(BgL_typez00_bglt)(BgL_ctypez00_1444), 
(BgL_typez00_bglt)(BgL_ctypez00_1444), BgL_locz00_1445); 
BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = 
bgl_append2(BgL_accessesz00_1447, BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00); 
{ /* Module/foreign.scm 242 */
bool_t BgL_test2438z00_1448;
{ /* Module/foreign.scm 242 */
bool_t BgL_test2453z00_1462;
BgL_test2453z00_1462 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ctypez00_1444, BGl_caliasz00zzforeign_ctypez00); 
if(BgL_test2453z00_1462)
{ /* Module/foreign.scm 242 */
obj_t BgL_auxz00_3811;
{ /* Module/foreign.scm 242 */
BgL_typez00_bglt BgL_obj1049z00_2494;
BgL_obj1049z00_2494 = 
(BgL_typez00_bglt)(BgL_ctypez00_1444); 
BgL_auxz00_3811 = 
(((BgL_typez00_bglt)CREF(BgL_obj1049z00_2494))->BgL_aliasz00); } 
BgL_test2438z00_1448 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3811, BGl_cstructz00zzforeign_ctypez00); }  else 
{ /* Module/foreign.scm 242 */
BgL_test2438z00_1448 = ((bool_t)0); } } 
if(BgL_test2438z00_1448)
{ /* Module/foreign.scm 244 */
obj_t BgL_arg2439z00_1449;
{ /* Module/foreign.scm 244 */
obj_t BgL_arg2440z00_1450;obj_t BgL_arg2441z00_1451;
BgL_arg2440z00_1450 = 
CNST_TABLE_REF(((long)6)); 
{ /* Module/foreign.scm 244 */
obj_t BgL_arg2442z00_1452;obj_t BgL_arg2444z00_1453;
{ /* Module/foreign.scm 244 */
obj_t BgL_list2445z00_1454;
{ /* Module/foreign.scm 244 */
obj_t BgL_arg2446z00_1455;
{ /* Module/foreign.scm 244 */
obj_t BgL_auxz00_3817;
BgL_auxz00_3817 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2446z00_1455 = 
MAKE_PAIR(BgL_auxz00_3817, BNIL); } 
BgL_list2445z00_1454 = 
MAKE_PAIR(BgL_idz00_1385, BgL_arg2446z00_1455); } 
BgL_arg2442z00_1452 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2445z00_1454); } 
{ /* Module/foreign.scm 245 */
obj_t BgL_arg2447z00_1456;obj_t BgL_arg2448z00_1457;
{ /* Module/foreign.scm 245 */
obj_t BgL_list2449z00_1458;
{ /* Module/foreign.scm 245 */
obj_t BgL_arg2450z00_1459;
{ /* Module/foreign.scm 245 */
obj_t BgL_auxz00_3822;
BgL_auxz00_3822 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2450z00_1459 = 
MAKE_PAIR(BgL_auxz00_3822, BNIL); } 
BgL_list2449z00_1458 = 
MAKE_PAIR(BgL_tzd2expzd2_1386, BgL_arg2450z00_1459); } 
BgL_arg2447z00_1456 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2449z00_1458); } 
{ /* Module/foreign.scm 246 */
obj_t BgL_arg2451z00_1460;
BgL_arg2451z00_1460 = 
BGl_makezd2pointerzd2tozd2namezd2zztype_toolsz00(
(BgL_typez00_bglt)(BgL_ctypez00_1444)); 
BgL_arg2448z00_1457 = 
MAKE_PAIR(BgL_arg2451z00_1460, BNIL); } 
BgL_arg2444z00_1453 = 
MAKE_PAIR(BgL_arg2447z00_1456, BgL_arg2448z00_1457); } 
BgL_arg2441z00_1451 = 
MAKE_PAIR(BgL_arg2442z00_1452, BgL_arg2444z00_1453); } 
BgL_arg2439z00_1449 = 
MAKE_PAIR(BgL_arg2440z00_1450, BgL_arg2441z00_1451); } 
BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(BgL_arg2439z00_1449); }  else 
{ /* Module/foreign.scm 242 */BFALSE; } } }  else 
{ /* Module/foreign.scm 236 */BFALSE; } } 
return BUNSPEC;}  else 
{ /* Module/foreign.scm 248 */
obj_t BgL_list2455z00_1464;
BgL_list2455z00_1464 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2852z00zzmodule_foreignz00, BgL_typez00_24, BgL_list2455z00_1464);} }  else 
{ /* Module/foreign.scm 227 */
BgL_tagzd21506zd2_1389:
{ /* Module/foreign.scm 250 */
obj_t BgL_list2456z00_1465;
BgL_list2456z00_1465 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2852z00zzmodule_foreignz00, BgL_typez00_24, BgL_list2456z00_1465);} } }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} } }  else 
{ /* Module/foreign.scm 227 */
obj_t BgL_carzd21576zd2_1417;obj_t BgL_cdrzd21577zd2_1418;
BgL_carzd21576zd2_1417 = 
CAR(BgL_cdrzd21514zd2_1392); 
BgL_cdrzd21577zd2_1418 = 
CDR(BgL_cdrzd21514zd2_1392); 
if(
SYMBOLP(BgL_carzd21576zd2_1417))
{ /* Module/foreign.scm 227 */
obj_t BgL_cdrzd21586zd2_1420;
BgL_cdrzd21586zd2_1420 = 
CDR(BgL_cdrzd21577zd2_1418); 
if(
PAIRP(BgL_cdrzd21586zd2_1420))
{ /* Module/foreign.scm 227 */
obj_t BgL_carzd21589zd2_1422;
BgL_carzd21589zd2_1422 = 
CAR(BgL_cdrzd21586zd2_1420); 
if(
STRINGP(BgL_carzd21589zd2_1422))
{ /* Module/foreign.scm 227 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21586zd2_1420), BNIL))
{ 
obj_t BgL_namez00_3855;obj_t BgL_tzd2expzd2_3853;obj_t BgL_idz00_3852;
BgL_idz00_3852 = BgL_carzd21576zd2_1417; 
BgL_tzd2expzd2_3853 = 
CAR(BgL_cdrzd21577zd2_1418); 
BgL_namez00_3855 = BgL_carzd21589zd2_1422; 
BgL_namez00_1387 = BgL_namez00_3855; 
BgL_tzd2expzd2_1386 = BgL_tzd2expzd2_3853; 
BgL_idz00_1385 = BgL_idz00_3852; 
goto BgL_tagzd21505zd2_1388;}  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} } }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
obj_t BgL_carzd21612zd2_1429;obj_t BgL_cdrzd21613zd2_1430;
BgL_carzd21612zd2_1429 = 
CAR(BgL_cdrzd21514zd2_1392); 
BgL_cdrzd21613zd2_1430 = 
CDR(BgL_cdrzd21514zd2_1392); 
if(
SYMBOLP(BgL_carzd21612zd2_1429))
{ /* Module/foreign.scm 227 */
if(
PAIRP(BgL_cdrzd21613zd2_1430))
{ /* Module/foreign.scm 227 */
obj_t BgL_cdrzd21620zd2_1433;
BgL_cdrzd21620zd2_1433 = 
CDR(BgL_cdrzd21613zd2_1430); 
if(
PAIRP(BgL_cdrzd21620zd2_1433))
{ /* Module/foreign.scm 227 */
obj_t BgL_carzd21623zd2_1435;
BgL_carzd21623zd2_1435 = 
CAR(BgL_cdrzd21620zd2_1433); 
if(
STRINGP(BgL_carzd21623zd2_1435))
{ /* Module/foreign.scm 227 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21620zd2_1433), BNIL))
{ 
obj_t BgL_namez00_3874;obj_t BgL_tzd2expzd2_3872;obj_t BgL_idz00_3871;
BgL_idz00_3871 = BgL_carzd21612zd2_1429; 
BgL_tzd2expzd2_3872 = 
CAR(BgL_cdrzd21613zd2_1430); 
BgL_namez00_3874 = BgL_carzd21623zd2_1435; 
BgL_namez00_1387 = BgL_namez00_3874; 
BgL_tzd2expzd2_1386 = BgL_tzd2expzd2_3872; 
BgL_idz00_1385 = BgL_idz00_3871; 
goto BgL_tagzd21505zd2_1388;}  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} } }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} } }  else 
{ /* Module/foreign.scm 227 */
goto BgL_tagzd21506zd2_1389;} } } 
}



/* check-c-foreign-type-exp? */
bool_t BGl_checkzd2czd2foreignzd2typezd2expzf3zf3zzmodule_foreignz00(obj_t BgL_tzd2expzd2_25)
{ AN_OBJECT;
{ /* Module/foreign.scm 255 */
{ 
obj_t BgL_slotsz00_1475;obj_t BgL_slotsz00_1467;
if(
SYMBOLP(BgL_tzd2expzd2_25))
{ /* Module/foreign.scm 256 */
return ((bool_t)1);}  else 
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_tzd2expzd2_25))
{ /* Module/foreign.scm 256 */
obj_t BgL_carzd21661zd2_1481;
BgL_carzd21661zd2_1481 = 
CAR(BgL_tzd2expzd2_25); 
{ 

{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3880;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3881;
BgL_auxz00_3881 = 
CNST_TABLE_REF(((long)11)); 
BgL_testz00_3880 = 
(BgL_carzd21661zd2_1481==BgL_auxz00_3881); } 
if(BgL_testz00_3880)
{ /* Module/foreign.scm 256 */
BgL_kapzd21663zd2_1482:
BgL_slotsz00_1467 = 
CDR(BgL_tzd2expzd2_25); 
{ 
obj_t BgL_slotsz00_1609;
BgL_slotsz00_1609 = BgL_slotsz00_1467; 
BgL_loopz00_1610:
if(
NULLP(BgL_slotsz00_1609))
{ /* Module/foreign.scm 261 */
return ((bool_t)1);}  else 
{ 

{ /* Module/foreign.scm 263 */
obj_t BgL_ezd21915zd2_1614;
BgL_ezd21915zd2_1614 = 
CAR(BgL_slotsz00_1609); 
if(
PAIRP(BgL_ezd21915zd2_1614))
{ /* Module/foreign.scm 263 */
obj_t BgL_cdrzd21917zd2_1616;
BgL_cdrzd21917zd2_1616 = 
CDR(BgL_ezd21915zd2_1614); 
{ /* Module/foreign.scm 263 */
bool_t BgL_testz00_3890;
{ /* Module/foreign.scm 263 */
obj_t BgL_auxz00_3891;
BgL_auxz00_3891 = 
CAR(BgL_ezd21915zd2_1614); 
BgL_testz00_3890 = 
SYMBOLP(BgL_auxz00_3891); } 
if(BgL_testz00_3890)
{ /* Module/foreign.scm 263 */
if(
PAIRP(BgL_cdrzd21917zd2_1616))
{ /* Module/foreign.scm 263 */
obj_t BgL_cdrzd21919zd2_1619;
BgL_cdrzd21919zd2_1619 = 
CDR(BgL_cdrzd21917zd2_1616); 
{ /* Module/foreign.scm 263 */
bool_t BgL_testz00_3897;
{ /* Module/foreign.scm 263 */
obj_t BgL_auxz00_3898;
BgL_auxz00_3898 = 
CAR(BgL_cdrzd21917zd2_1616); 
BgL_testz00_3897 = 
SYMBOLP(BgL_auxz00_3898); } 
if(BgL_testz00_3897)
{ /* Module/foreign.scm 263 */
if(
PAIRP(BgL_cdrzd21919zd2_1619))
{ /* Module/foreign.scm 263 */
bool_t BgL_testz00_3903;
{ /* Module/foreign.scm 263 */
obj_t BgL_auxz00_3904;
BgL_auxz00_3904 = 
CAR(BgL_cdrzd21919zd2_1619); 
BgL_testz00_3903 = 
STRINGP(BgL_auxz00_3904); } 
if(BgL_testz00_3903)
{ /* Module/foreign.scm 263 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21919zd2_1619), BNIL))
{ /* Module/foreign.scm 263 */
{ 
obj_t BgL_slotsz00_3910;
BgL_slotsz00_3910 = 
CDR(BgL_slotsz00_1609); 
BgL_slotsz00_1609 = BgL_slotsz00_3910; 
goto BgL_loopz00_1610;} }  else 
{ /* Module/foreign.scm 263 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 263 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 263 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 263 */
return ((bool_t)0);} } }  else 
{ /* Module/foreign.scm 263 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 263 */
return ((bool_t)0);} } }  else 
{ /* Module/foreign.scm 263 */
return ((bool_t)0);} } } } }  else 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3913;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3914;
BgL_auxz00_3914 = 
CNST_TABLE_REF(((long)12)); 
BgL_testz00_3913 = 
(BgL_carzd21661zd2_1481==BgL_auxz00_3914); } 
if(BgL_testz00_3913)
{ /* Module/foreign.scm 256 */
goto BgL_kapzd21663zd2_1482;}  else 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3917;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3918;
BgL_auxz00_3918 = 
CNST_TABLE_REF(((long)13)); 
BgL_testz00_3917 = 
(BgL_carzd21661zd2_1481==BgL_auxz00_3918); } 
if(BgL_testz00_3917)
{ /* Module/foreign.scm 256 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_tzd2expzd2_25), BNIL))
{ /* Module/foreign.scm 256 */
return ((bool_t)1);}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
obj_t BgL_cdrzd21709zd2_1497;
BgL_cdrzd21709zd2_1497 = 
CDR(BgL_tzd2expzd2_25); 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3925;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3928;obj_t BgL_auxz00_3926;
BgL_auxz00_3928 = 
CNST_TABLE_REF(((long)14)); 
BgL_auxz00_3926 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_3925 = 
(BgL_auxz00_3926==BgL_auxz00_3928); } 
if(BgL_testz00_3925)
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_cdrzd21709zd2_1497))
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3933;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3934;
BgL_auxz00_3934 = 
CAR(BgL_cdrzd21709zd2_1497); 
BgL_testz00_3933 = 
SYMBOLP(BgL_auxz00_3934); } 
if(BgL_testz00_3933)
{ /* Module/foreign.scm 256 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21709zd2_1497), BNIL))
{ /* Module/foreign.scm 256 */
return ((bool_t)1);}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
obj_t BgL_carzd21760zd2_1512;
BgL_carzd21760zd2_1512 = 
CAR(BgL_tzd2expzd2_25); 
{ 

{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3941;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3942;
BgL_auxz00_3942 = 
CNST_TABLE_REF(((long)18)); 
BgL_testz00_3941 = 
(BgL_carzd21760zd2_1512==BgL_auxz00_3942); } 
if(BgL_testz00_3941)
{ /* Module/foreign.scm 256 */
BgL_kapzd21762zd2_1514:
if(
PAIRP(BgL_cdrzd21709zd2_1497))
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3947;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3948;
BgL_auxz00_3948 = 
CAR(BgL_cdrzd21709zd2_1497); 
BgL_testz00_3947 = 
SYMBOLP(BgL_auxz00_3948); } 
if(BgL_testz00_3947)
{ /* Module/foreign.scm 256 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21709zd2_1497), BNIL))
{ /* Module/foreign.scm 256 */
return ((bool_t)1);}  else 
{ /* Module/foreign.scm 256 */
obj_t BgL_cdrzd21771zd2_1550;
BgL_cdrzd21771zd2_1550 = 
CDR(BgL_tzd2expzd2_25); 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3955;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3958;obj_t BgL_auxz00_3956;
BgL_auxz00_3958 = 
CNST_TABLE_REF(((long)15)); 
BgL_auxz00_3956 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_3955 = 
(BgL_auxz00_3956==BgL_auxz00_3958); } 
if(BgL_testz00_3955)
{ /* Module/foreign.scm 256 */
obj_t BgL_cdrzd21774zd2_1552;
BgL_cdrzd21774zd2_1552 = 
CDR(BgL_cdrzd21771zd2_1550); 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3962;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3963;
BgL_auxz00_3963 = 
CAR(BgL_cdrzd21771zd2_1550); 
BgL_testz00_3962 = 
SYMBOLP(BgL_auxz00_3963); } 
if(BgL_testz00_3962)
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_cdrzd21774zd2_1552))
{ /* Module/foreign.scm 256 */
obj_t BgL_carzd21776zd2_1555;
BgL_carzd21776zd2_1555 = 
CAR(BgL_cdrzd21774zd2_1552); 
{ 

if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_carzd21776zd2_1555, BNIL))
{ /* Module/foreign.scm 256 */
BgL_kapzd21780zd2_1556:
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21774zd2_1552), BNIL))
{ /* Module/foreign.scm 256 */
return 
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd21776zd2_1555);}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_carzd21776zd2_1555))
{ /* Module/foreign.scm 256 */
goto BgL_kapzd21780zd2_1556;}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } } }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } }  else 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_3977;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_3980;obj_t BgL_auxz00_3978;
BgL_auxz00_3980 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_3978 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_3977 = 
(BgL_auxz00_3978==BgL_auxz00_3980); } 
if(BgL_testz00_3977)
{ /* Module/foreign.scm 256 */
BgL_slotsz00_1475 = BgL_cdrzd21771zd2_1550; 
BgL_tagzd21653zd2_1476:
{ 
obj_t BgL_slotsz00_1630;
BgL_slotsz00_1630 = BgL_slotsz00_1475; 
BgL_loopz00_1631:
if(
NULLP(BgL_slotsz00_1630))
{ /* Module/foreign.scm 280 */
return ((bool_t)1);}  else 
{ 

{ /* Module/foreign.scm 282 */
obj_t BgL_ezd21924zd2_1635;
BgL_ezd21924zd2_1635 = 
CAR(BgL_slotsz00_1630); 
if(
PAIRP(BgL_ezd21924zd2_1635))
{ /* Module/foreign.scm 282 */
obj_t BgL_cdrzd21926zd2_1637;
BgL_cdrzd21926zd2_1637 = 
CDR(BgL_ezd21924zd2_1635); 
{ /* Module/foreign.scm 282 */
bool_t BgL_testz00_3989;
{ /* Module/foreign.scm 282 */
obj_t BgL_auxz00_3990;
BgL_auxz00_3990 = 
CAR(BgL_ezd21924zd2_1635); 
BgL_testz00_3989 = 
SYMBOLP(BgL_auxz00_3990); } 
if(BgL_testz00_3989)
{ /* Module/foreign.scm 282 */
if(
PAIRP(BgL_cdrzd21926zd2_1637))
{ /* Module/foreign.scm 282 */
bool_t BgL_testz00_3995;
{ /* Module/foreign.scm 282 */
obj_t BgL_auxz00_3996;
BgL_auxz00_3996 = 
CAR(BgL_cdrzd21926zd2_1637); 
BgL_testz00_3995 = 
STRINGP(BgL_auxz00_3996); } 
if(BgL_testz00_3995)
{ /* Module/foreign.scm 282 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21926zd2_1637), BNIL))
{ /* Module/foreign.scm 282 */
{ 
obj_t BgL_slotsz00_4002;
BgL_slotsz00_4002 = 
CDR(BgL_slotsz00_1630); 
BgL_slotsz00_1630 = BgL_slotsz00_4002; 
goto BgL_loopz00_1631;} }  else 
{ /* Module/foreign.scm 282 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 282 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 282 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 282 */
return ((bool_t)0);} } }  else 
{ /* Module/foreign.scm 282 */
return ((bool_t)0);} } } } }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } } } }  else 
{ /* Module/foreign.scm 256 */
obj_t BgL_cdrzd21798zd2_1571;
BgL_cdrzd21798zd2_1571 = 
CDR(BgL_tzd2expzd2_25); 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4005;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4008;obj_t BgL_auxz00_4006;
BgL_auxz00_4008 = 
CNST_TABLE_REF(((long)17)); 
BgL_auxz00_4006 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_4005 = 
(BgL_auxz00_4006==BgL_auxz00_4008); } 
if(BgL_testz00_4005)
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4011;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4012;
BgL_auxz00_4012 = 
CAR(BgL_cdrzd21798zd2_1571); 
BgL_testz00_4011 = 
SYMBOLP(BgL_auxz00_4012); } 
if(BgL_testz00_4011)
{ /* Module/foreign.scm 256 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21798zd2_1571), BNIL))
{ /* Module/foreign.scm 256 */
return ((bool_t)1);}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4018;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4021;obj_t BgL_auxz00_4019;
BgL_auxz00_4021 = 
CNST_TABLE_REF(((long)15)); 
BgL_auxz00_4019 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_4018 = 
(BgL_auxz00_4019==BgL_auxz00_4021); } 
if(BgL_testz00_4018)
{ /* Module/foreign.scm 256 */
obj_t BgL_cdrzd21818zd2_1580;
BgL_cdrzd21818zd2_1580 = 
CDR(BgL_cdrzd21798zd2_1571); 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4025;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4026;
BgL_auxz00_4026 = 
CAR(BgL_cdrzd21798zd2_1571); 
BgL_testz00_4025 = 
SYMBOLP(BgL_auxz00_4026); } 
if(BgL_testz00_4025)
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_cdrzd21818zd2_1580))
{ /* Module/foreign.scm 256 */
obj_t BgL_carzd21820zd2_1583;
BgL_carzd21820zd2_1583 = 
CAR(BgL_cdrzd21818zd2_1580); 
{ 

if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_carzd21820zd2_1583, BNIL))
{ /* Module/foreign.scm 256 */
BgL_kapzd21824zd2_1584:
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21818zd2_1580), BNIL))
{ /* Module/foreign.scm 256 */
return 
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd21820zd2_1583);}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_carzd21820zd2_1583))
{ /* Module/foreign.scm 256 */
goto BgL_kapzd21824zd2_1584;}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } } }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } }  else 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4040;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4043;obj_t BgL_auxz00_4041;
BgL_auxz00_4043 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_4041 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_4040 = 
(BgL_auxz00_4041==BgL_auxz00_4043); } 
if(BgL_testz00_4040)
{ 
obj_t BgL_slotsz00_4046;
BgL_slotsz00_4046 = 
CDR(BgL_tzd2expzd2_25); 
BgL_slotsz00_1475 = BgL_slotsz00_4046; 
goto BgL_tagzd21653zd2_1476;}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } } } } }  else 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4048;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4051;obj_t BgL_auxz00_4049;
BgL_auxz00_4051 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_4049 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_4048 = 
(BgL_auxz00_4049==BgL_auxz00_4051); } 
if(BgL_testz00_4048)
{ 
obj_t BgL_slotsz00_4054;
BgL_slotsz00_4054 = 
CDR(BgL_tzd2expzd2_25); 
BgL_slotsz00_1475 = BgL_slotsz00_4054; 
goto BgL_tagzd21653zd2_1476;}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } }  else 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4056;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4057;
BgL_auxz00_4057 = 
CNST_TABLE_REF(((long)19)); 
BgL_testz00_4056 = 
(BgL_carzd21760zd2_1512==BgL_auxz00_4057); } 
if(BgL_testz00_4056)
{ /* Module/foreign.scm 256 */
goto BgL_kapzd21762zd2_1514;}  else 
{ /* Module/foreign.scm 256 */
obj_t BgL_cdrzd21852zd2_1517;
BgL_cdrzd21852zd2_1517 = 
CDR(BgL_tzd2expzd2_25); 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4061;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4064;obj_t BgL_auxz00_4062;
BgL_auxz00_4064 = 
CNST_TABLE_REF(((long)17)); 
BgL_auxz00_4062 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_4061 = 
(BgL_auxz00_4062==BgL_auxz00_4064); } 
if(BgL_testz00_4061)
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_cdrzd21852zd2_1517))
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4069;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4070;
BgL_auxz00_4070 = 
CAR(BgL_cdrzd21852zd2_1517); 
BgL_testz00_4069 = 
SYMBOLP(BgL_auxz00_4070); } 
if(BgL_testz00_4069)
{ /* Module/foreign.scm 256 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21852zd2_1517), BNIL))
{ /* Module/foreign.scm 256 */
return ((bool_t)1);}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4076;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4079;obj_t BgL_auxz00_4077;
BgL_auxz00_4079 = 
CNST_TABLE_REF(((long)15)); 
BgL_auxz00_4077 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_4076 = 
(BgL_auxz00_4077==BgL_auxz00_4079); } 
if(BgL_testz00_4076)
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_cdrzd21852zd2_1517))
{ /* Module/foreign.scm 256 */
obj_t BgL_cdrzd21877zd2_1528;
BgL_cdrzd21877zd2_1528 = 
CDR(BgL_cdrzd21852zd2_1517); 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4085;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4086;
BgL_auxz00_4086 = 
CAR(BgL_cdrzd21852zd2_1517); 
BgL_testz00_4085 = 
SYMBOLP(BgL_auxz00_4086); } 
if(BgL_testz00_4085)
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_cdrzd21877zd2_1528))
{ /* Module/foreign.scm 256 */
obj_t BgL_carzd21879zd2_1531;
BgL_carzd21879zd2_1531 = 
CAR(BgL_cdrzd21877zd2_1528); 
{ 

if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_carzd21879zd2_1531, BNIL))
{ /* Module/foreign.scm 256 */
BgL_kapzd21883zd2_1532:
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21877zd2_1528), BNIL))
{ /* Module/foreign.scm 256 */
return 
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd21879zd2_1531);}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
if(
PAIRP(BgL_carzd21879zd2_1531))
{ /* Module/foreign.scm 256 */
goto BgL_kapzd21883zd2_1532;}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } } }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} }  else 
{ /* Module/foreign.scm 256 */
bool_t BgL_testz00_4100;
{ /* Module/foreign.scm 256 */
obj_t BgL_auxz00_4103;obj_t BgL_auxz00_4101;
BgL_auxz00_4103 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_4101 = 
CAR(BgL_tzd2expzd2_25); 
BgL_testz00_4100 = 
(BgL_auxz00_4101==BgL_auxz00_4103); } 
if(BgL_testz00_4100)
{ 
obj_t BgL_slotsz00_4106;
BgL_slotsz00_4106 = 
CDR(BgL_tzd2expzd2_25); 
BgL_slotsz00_1475 = BgL_slotsz00_4106; 
goto BgL_tagzd21653zd2_1476;}  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } } } } } } } } } } } } } } }  else 
{ /* Module/foreign.scm 256 */
return ((bool_t)0);} } } } 
}



/* parse-c-extern-type */
obj_t BGl_parsezd2czd2externzd2typezd2zzmodule_foreignz00(obj_t BgL_typez00_26)
{ AN_OBJECT;
{ /* Module/foreign.scm 293 */
{ 
obj_t BgL_idz00_1650;obj_t BgL_tzd2expzd2_1651;
if(
PAIRP(BgL_typez00_26))
{ /* Module/foreign.scm 294 */
obj_t BgL_cdrzd21939zd2_1656;
BgL_cdrzd21939zd2_1656 = 
CDR(BgL_typez00_26); 
{ /* Module/foreign.scm 294 */
bool_t BgL_testz00_4111;
{ /* Module/foreign.scm 294 */
obj_t BgL_auxz00_4114;obj_t BgL_auxz00_4112;
BgL_auxz00_4114 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_4112 = 
CAR(BgL_typez00_26); 
BgL_testz00_4111 = 
(BgL_auxz00_4112==BgL_auxz00_4114); } 
if(BgL_testz00_4111)
{ /* Module/foreign.scm 294 */
if(
PAIRP(BgL_cdrzd21939zd2_1656))
{ /* Module/foreign.scm 294 */
obj_t BgL_cdrzd21943zd2_1660;
BgL_cdrzd21943zd2_1660 = 
CDR(BgL_cdrzd21939zd2_1656); 
{ /* Module/foreign.scm 294 */
bool_t BgL_testz00_4120;
{ /* Module/foreign.scm 294 */
obj_t BgL_auxz00_4121;
BgL_auxz00_4121 = 
CAR(BgL_cdrzd21939zd2_1656); 
BgL_testz00_4120 = 
SYMBOLP(BgL_auxz00_4121); } 
if(BgL_testz00_4120)
{ /* Module/foreign.scm 294 */
if(
PAIRP(BgL_cdrzd21943zd2_1660))
{ /* Module/foreign.scm 294 */
bool_t BgL_testz00_4126;
{ /* Module/foreign.scm 294 */
obj_t BgL_auxz00_4127;
BgL_auxz00_4127 = 
CAR(BgL_cdrzd21943zd2_1660); 
BgL_testz00_4126 = 
STRINGP(BgL_auxz00_4127); } 
if(BgL_testz00_4126)
{ /* Module/foreign.scm 294 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21943zd2_1660), BNIL))
{ /* Module/foreign.scm 294 */
return 
BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(BgL_typez00_26);}  else 
{ /* Module/foreign.scm 294 */
obj_t BgL_carzd21965zd2_1667;obj_t BgL_cdrzd21966zd2_1668;
BgL_carzd21965zd2_1667 = 
CAR(BgL_cdrzd21939zd2_1656); 
BgL_cdrzd21966zd2_1668 = 
CDR(BgL_cdrzd21939zd2_1656); 
if(
SYMBOLP(BgL_carzd21965zd2_1667))
{ /* Module/foreign.scm 294 */
obj_t BgL_cdrzd21975zd2_1670;
BgL_cdrzd21975zd2_1670 = 
CDR(BgL_cdrzd21966zd2_1668); 
if(
PAIRP(BgL_cdrzd21975zd2_1670))
{ /* Module/foreign.scm 294 */
bool_t BgL_testz00_4141;
{ /* Module/foreign.scm 294 */
obj_t BgL_auxz00_4142;
BgL_auxz00_4142 = 
CAR(BgL_cdrzd21975zd2_1670); 
BgL_testz00_4141 = 
STRINGP(BgL_auxz00_4142); } 
if(BgL_testz00_4141)
{ /* Module/foreign.scm 294 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21975zd2_1670), BNIL))
{ /* Module/foreign.scm 294 */
BgL_idz00_1650 = BgL_carzd21965zd2_1667; 
BgL_tzd2expzd2_1651 = 
CAR(BgL_cdrzd21966zd2_1668); 
BgL_tagzd21930zd2_1652:
{ /* Module/foreign.scm 298 */
obj_t BgL_foreignzd2typezd2_1707;
BgL_foreignzd2typezd2_1707 = 
BGl_czd2externzd2typezd2ze3czd2foreignzd2typez31zzmodule_foreignz00(BgL_tzd2expzd2_1651); 
if(
CBOOL(BgL_foreignzd2typezd2_1707))
{ /* Module/foreign.scm 299 */
return 
BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(BgL_typez00_26);}  else 
{ /* Module/foreign.scm 301 */
obj_t BgL_list2624z00_1708;
BgL_list2624z00_1708 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2853z00zzmodule_foreignz00, BgL_typez00_26, BgL_list2624z00_1708);} } }  else 
{ /* Module/foreign.scm 294 */
BgL_tagzd21931zd2_1653:
{ /* Module/foreign.scm 303 */
obj_t BgL_list2625z00_1709;
BgL_list2625z00_1709 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2843z00zzmodule_foreignz00, BGl_string2853z00zzmodule_foreignz00, BgL_typez00_26, BgL_list2625z00_1709);} } }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} } }  else 
{ /* Module/foreign.scm 294 */
obj_t BgL_carzd21990zd2_1681;obj_t BgL_cdrzd21991zd2_1682;
BgL_carzd21990zd2_1681 = 
CAR(BgL_cdrzd21939zd2_1656); 
BgL_cdrzd21991zd2_1682 = 
CDR(BgL_cdrzd21939zd2_1656); 
if(
SYMBOLP(BgL_carzd21990zd2_1681))
{ /* Module/foreign.scm 294 */
obj_t BgL_cdrzd21999zd2_1684;
BgL_cdrzd21999zd2_1684 = 
CDR(BgL_cdrzd21991zd2_1682); 
if(
PAIRP(BgL_cdrzd21999zd2_1684))
{ /* Module/foreign.scm 294 */
bool_t BgL_testz00_4164;
{ /* Module/foreign.scm 294 */
obj_t BgL_auxz00_4165;
BgL_auxz00_4165 = 
CAR(BgL_cdrzd21999zd2_1684); 
BgL_testz00_4164 = 
STRINGP(BgL_auxz00_4165); } 
if(BgL_testz00_4164)
{ /* Module/foreign.scm 294 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd21999zd2_1684), BNIL))
{ 
obj_t BgL_tzd2expzd2_4172;obj_t BgL_idz00_4171;
BgL_idz00_4171 = BgL_carzd21990zd2_1681; 
BgL_tzd2expzd2_4172 = 
CAR(BgL_cdrzd21991zd2_1682); 
BgL_tzd2expzd2_1651 = BgL_tzd2expzd2_4172; 
BgL_idz00_1650 = BgL_idz00_4171; 
goto BgL_tagzd21930zd2_1652;}  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} } }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
obj_t BgL_carzd22016zd2_1693;obj_t BgL_cdrzd22017zd2_1694;
BgL_carzd22016zd2_1693 = 
CAR(BgL_cdrzd21939zd2_1656); 
BgL_cdrzd22017zd2_1694 = 
CDR(BgL_cdrzd21939zd2_1656); 
if(
SYMBOLP(BgL_carzd22016zd2_1693))
{ /* Module/foreign.scm 294 */
if(
PAIRP(BgL_cdrzd22017zd2_1694))
{ /* Module/foreign.scm 294 */
obj_t BgL_cdrzd22023zd2_1697;
BgL_cdrzd22023zd2_1697 = 
CDR(BgL_cdrzd22017zd2_1694); 
if(
PAIRP(BgL_cdrzd22023zd2_1697))
{ /* Module/foreign.scm 294 */
bool_t BgL_testz00_4183;
{ /* Module/foreign.scm 294 */
obj_t BgL_auxz00_4184;
BgL_auxz00_4184 = 
CAR(BgL_cdrzd22023zd2_1697); 
BgL_testz00_4183 = 
STRINGP(BgL_auxz00_4184); } 
if(BgL_testz00_4183)
{ /* Module/foreign.scm 294 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22023zd2_1697), BNIL))
{ 
obj_t BgL_tzd2expzd2_4191;obj_t BgL_idz00_4190;
BgL_idz00_4190 = BgL_carzd22016zd2_1693; 
BgL_tzd2expzd2_4191 = 
CAR(BgL_cdrzd22017zd2_1694); 
BgL_tzd2expzd2_1651 = BgL_tzd2expzd2_4191; 
BgL_idz00_1650 = BgL_idz00_4190; 
goto BgL_tagzd21930zd2_1652;}  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} } } }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} } }  else 
{ /* Module/foreign.scm 294 */
goto BgL_tagzd21931zd2_1653;} } } 
}



/* c-extern-type->c-foreign-type */
obj_t BGl_czd2externzd2typezd2ze3czd2foreignzd2typez31zzmodule_foreignz00(obj_t BgL_tzd2expzd2_27)
{ AN_OBJECT;
{ /* Module/foreign.scm 308 */
{ 
obj_t BgL_slotsz00_1718;obj_t BgL_slotsz00_1711;
if(
SYMBOLP(BgL_tzd2expzd2_27))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_tzd2expzd2_27))
{ /* Module/foreign.scm 309 */
obj_t BgL_carzd22054zd2_1725;
BgL_carzd22054zd2_1725 = 
CAR(BgL_tzd2expzd2_27); 
{ 

{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4198;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4199;
BgL_auxz00_4199 = 
CNST_TABLE_REF(((long)11)); 
BgL_testz00_4198 = 
(BgL_carzd22054zd2_1725==BgL_auxz00_4199); } 
if(BgL_testz00_4198)
{ /* Module/foreign.scm 309 */
BgL_kapzd22056zd2_1726:
BgL_slotsz00_1711 = 
CDR(BgL_tzd2expzd2_27); 
{ 
obj_t BgL_slotsz00_1851;
BgL_slotsz00_1851 = BgL_slotsz00_1711; 
BgL_loopz00_1852:
if(
NULLP(BgL_slotsz00_1851))
{ /* Module/foreign.scm 314 */
return BgL_tzd2expzd2_27;}  else 
{ 
obj_t BgL_idz00_1854;obj_t BgL_namez00_1855;
{ /* Module/foreign.scm 316 */
obj_t BgL_ezd22269zd2_1858;
BgL_ezd22269zd2_1858 = 
CAR(BgL_slotsz00_1851); 
if(
PAIRP(BgL_ezd22269zd2_1858))
{ /* Module/foreign.scm 316 */
obj_t BgL_carzd22274zd2_1860;obj_t BgL_cdrzd22275zd2_1861;
BgL_carzd22274zd2_1860 = 
CAR(BgL_ezd22269zd2_1858); 
BgL_cdrzd22275zd2_1861 = 
CDR(BgL_ezd22269zd2_1858); 
if(
SYMBOLP(BgL_carzd22274zd2_1860))
{ /* Module/foreign.scm 316 */
if(
PAIRP(BgL_cdrzd22275zd2_1861))
{ /* Module/foreign.scm 316 */
obj_t BgL_carzd22279zd2_1864;
BgL_carzd22279zd2_1864 = 
CAR(BgL_cdrzd22275zd2_1861); 
if(
STRINGP(BgL_carzd22279zd2_1864))
{ /* Module/foreign.scm 316 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22275zd2_1861), BNIL))
{ /* Module/foreign.scm 316 */
BgL_idz00_1854 = BgL_carzd22274zd2_1860; 
BgL_namez00_1855 = BgL_carzd22279zd2_1864; 
{ /* Module/foreign.scm 318 */
obj_t BgL_pidz00_1869;
{ /* Module/foreign.scm 318 */
obj_t BgL_arg2747z00_1879;
BgL_arg2747z00_1879 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_tzd2expzd2_27); 
BgL_pidz00_1869 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_1854, BgL_arg2747z00_1879); } 
{ /* Module/foreign.scm 318 */
obj_t BgL_sidz00_1870;
BgL_sidz00_1870 = 
CAR(BgL_pidz00_1869); 
{ /* Module/foreign.scm 319 */
obj_t BgL_typez00_1871;
{ /* Module/foreign.scm 320 */
BgL_typez00_bglt BgL_obj1024z00_2722;
{ /* Module/foreign.scm 320 */
obj_t BgL_auxz00_4222;
BgL_auxz00_4222 = 
CDR(BgL_pidz00_1869); 
BgL_obj1024z00_2722 = 
(BgL_typez00_bglt)(BgL_auxz00_4222); } 
BgL_typez00_1871 = 
(((BgL_typez00_bglt)CREF(BgL_obj1024z00_2722))->BgL_idz00); } 
{ /* Module/foreign.scm 320 */

{ /* Module/foreign.scm 321 */
bool_t BgL_test2740z00_1872;
{ /* Module/foreign.scm 321 */
obj_t BgL_xz00_3088;
BgL_xz00_3088 = 
BGl_checkzd2idzd2zzast_identz00(BgL_pidz00_1869, BgL_tzd2expzd2_27); 
BgL_test2740z00_1872 = ((bool_t)1); } 
if(BgL_test2740z00_1872)
{ /* Module/foreign.scm 321 */
{ /* Module/foreign.scm 324 */
obj_t BgL_arg2741z00_1873;obj_t BgL_arg2742z00_1874;
BgL_arg2741z00_1873 = 
CAR(BgL_slotsz00_1851); 
{ /* Module/foreign.scm 324 */
obj_t BgL_arg2743z00_1875;
BgL_arg2743z00_1875 = 
MAKE_PAIR(BgL_namez00_1855, BNIL); 
BgL_arg2742z00_1874 = 
MAKE_PAIR(BgL_sidz00_1870, BgL_arg2743z00_1875); } 
SET_CDR(BgL_arg2741z00_1873, BgL_arg2742z00_1874); } 
{ /* Module/foreign.scm 325 */
obj_t BgL_auxz00_4232;
BgL_auxz00_4232 = 
CAR(BgL_slotsz00_1851); 
SET_CAR(BgL_auxz00_4232, BgL_typez00_1871); } 
{ 
obj_t BgL_slotsz00_4235;
BgL_slotsz00_4235 = 
CDR(BgL_slotsz00_1851); 
BgL_slotsz00_1851 = BgL_slotsz00_4235; 
goto BgL_loopz00_1852;} }  else 
{ /* Module/foreign.scm 321 */
return BFALSE;} } } } } } }  else 
{ /* Module/foreign.scm 316 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 316 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 316 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 316 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 316 */
return BFALSE;} } } } }  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4238;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4239;
BgL_auxz00_4239 = 
CNST_TABLE_REF(((long)12)); 
BgL_testz00_4238 = 
(BgL_carzd22054zd2_1725==BgL_auxz00_4239); } 
if(BgL_testz00_4238)
{ /* Module/foreign.scm 309 */
goto BgL_kapzd22056zd2_1726;}  else 
{ /* Module/foreign.scm 309 */
obj_t BgL_cdrzd22061zd2_1729;
BgL_cdrzd22061zd2_1729 = 
CDR(BgL_tzd2expzd2_27); 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4243;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4244;
BgL_auxz00_4244 = 
CNST_TABLE_REF(((long)14)); 
BgL_testz00_4243 = 
(BgL_carzd22054zd2_1725==BgL_auxz00_4244); } 
if(BgL_testz00_4243)
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_cdrzd22061zd2_1729))
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4249;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4250;
BgL_auxz00_4250 = 
CAR(BgL_cdrzd22061zd2_1729); 
BgL_testz00_4249 = 
SYMBOLP(BgL_auxz00_4250); } 
if(BgL_testz00_4249)
{ /* Module/foreign.scm 309 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22061zd2_1729), BNIL))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
obj_t BgL_carzd22112zd2_1744;obj_t BgL_cdrzd22113zd2_1745;
BgL_carzd22112zd2_1744 = 
CAR(BgL_tzd2expzd2_27); 
BgL_cdrzd22113zd2_1745 = 
CDR(BgL_tzd2expzd2_27); 
{ 

{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4258;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4259;
BgL_auxz00_4259 = 
CNST_TABLE_REF(((long)18)); 
BgL_testz00_4258 = 
(BgL_carzd22112zd2_1744==BgL_auxz00_4259); } 
if(BgL_testz00_4258)
{ /* Module/foreign.scm 309 */
BgL_kapzd22114zd2_1746:
if(
PAIRP(BgL_cdrzd22113zd2_1745))
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4264;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4265;
BgL_auxz00_4265 = 
CAR(BgL_cdrzd22113zd2_1745); 
BgL_testz00_4264 = 
SYMBOLP(BgL_auxz00_4265); } 
if(BgL_testz00_4264)
{ /* Module/foreign.scm 309 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22113zd2_1745), BNIL))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
obj_t BgL_cdrzd22123zd2_1788;
BgL_cdrzd22123zd2_1788 = 
CDR(BgL_tzd2expzd2_27); 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4272;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4275;obj_t BgL_auxz00_4273;
BgL_auxz00_4275 = 
CNST_TABLE_REF(((long)15)); 
BgL_auxz00_4273 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4272 = 
(BgL_auxz00_4273==BgL_auxz00_4275); } 
if(BgL_testz00_4272)
{ /* Module/foreign.scm 309 */
obj_t BgL_cdrzd22126zd2_1790;
BgL_cdrzd22126zd2_1790 = 
CDR(BgL_cdrzd22123zd2_1788); 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4279;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4280;
BgL_auxz00_4280 = 
CAR(BgL_cdrzd22123zd2_1788); 
BgL_testz00_4279 = 
SYMBOLP(BgL_auxz00_4280); } 
if(BgL_testz00_4279)
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_cdrzd22126zd2_1790))
{ /* Module/foreign.scm 309 */
obj_t BgL_carzd22128zd2_1793;
BgL_carzd22128zd2_1793 = 
CAR(BgL_cdrzd22126zd2_1790); 
{ 

if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_carzd22128zd2_1793, BNIL))
{ /* Module/foreign.scm 309 */
BgL_kapzd22132zd2_1794:
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22126zd2_1790), BNIL))
{ /* Module/foreign.scm 309 */
if(
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd22128zd2_1793))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_carzd22128zd2_1793))
{ /* Module/foreign.scm 309 */
goto BgL_kapzd22132zd2_1794;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } } }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } }  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4295;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4298;obj_t BgL_auxz00_4296;
BgL_auxz00_4298 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_4296 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4295 = 
(BgL_auxz00_4296==BgL_auxz00_4298); } 
if(BgL_testz00_4295)
{ /* Module/foreign.scm 309 */
BgL_slotsz00_1718 = BgL_cdrzd22123zd2_1788; 
BgL_tagzd22045zd2_1719:
{ 
obj_t BgL_slotsz00_1881;
BgL_slotsz00_1881 = BgL_slotsz00_1718; 
BgL_loopz00_1882:
if(
NULLP(BgL_slotsz00_1881))
{ /* Module/foreign.scm 341 */
return BgL_tzd2expzd2_27;}  else 
{ 

{ /* Module/foreign.scm 343 */
obj_t BgL_ezd22285zd2_1886;
BgL_ezd22285zd2_1886 = 
CAR(BgL_slotsz00_1881); 
if(
PAIRP(BgL_ezd22285zd2_1886))
{ /* Module/foreign.scm 343 */
obj_t BgL_cdrzd22287zd2_1888;
BgL_cdrzd22287zd2_1888 = 
CDR(BgL_ezd22285zd2_1886); 
{ /* Module/foreign.scm 343 */
bool_t BgL_testz00_4307;
{ /* Module/foreign.scm 343 */
obj_t BgL_auxz00_4308;
BgL_auxz00_4308 = 
CAR(BgL_ezd22285zd2_1886); 
BgL_testz00_4307 = 
SYMBOLP(BgL_auxz00_4308); } 
if(BgL_testz00_4307)
{ /* Module/foreign.scm 343 */
if(
PAIRP(BgL_cdrzd22287zd2_1888))
{ /* Module/foreign.scm 343 */
bool_t BgL_testz00_4313;
{ /* Module/foreign.scm 343 */
obj_t BgL_auxz00_4314;
BgL_auxz00_4314 = 
CAR(BgL_cdrzd22287zd2_1888); 
BgL_testz00_4313 = 
STRINGP(BgL_auxz00_4314); } 
if(BgL_testz00_4313)
{ /* Module/foreign.scm 343 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22287zd2_1888), BNIL))
{ /* Module/foreign.scm 343 */
{ 
obj_t BgL_slotsz00_4320;
BgL_slotsz00_4320 = 
CDR(BgL_slotsz00_1881); 
BgL_slotsz00_1881 = BgL_slotsz00_4320; 
goto BgL_loopz00_1882;} }  else 
{ /* Module/foreign.scm 343 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 343 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 343 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 343 */
return BFALSE;} } }  else 
{ /* Module/foreign.scm 343 */
return BFALSE;} } } } }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } } } }  else 
{ /* Module/foreign.scm 309 */
obj_t BgL_cdrzd22150zd2_1809;
BgL_cdrzd22150zd2_1809 = 
CDR(BgL_tzd2expzd2_27); 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4323;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4326;obj_t BgL_auxz00_4324;
BgL_auxz00_4326 = 
CNST_TABLE_REF(((long)17)); 
BgL_auxz00_4324 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4323 = 
(BgL_auxz00_4324==BgL_auxz00_4326); } 
if(BgL_testz00_4323)
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4329;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4330;
BgL_auxz00_4330 = 
CAR(BgL_cdrzd22150zd2_1809); 
BgL_testz00_4329 = 
SYMBOLP(BgL_auxz00_4330); } 
if(BgL_testz00_4329)
{ /* Module/foreign.scm 309 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22150zd2_1809), BNIL))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4336;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4339;obj_t BgL_auxz00_4337;
BgL_auxz00_4339 = 
CNST_TABLE_REF(((long)15)); 
BgL_auxz00_4337 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4336 = 
(BgL_auxz00_4337==BgL_auxz00_4339); } 
if(BgL_testz00_4336)
{ /* Module/foreign.scm 309 */
obj_t BgL_cdrzd22170zd2_1818;
BgL_cdrzd22170zd2_1818 = 
CDR(BgL_cdrzd22150zd2_1809); 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4343;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4344;
BgL_auxz00_4344 = 
CAR(BgL_cdrzd22150zd2_1809); 
BgL_testz00_4343 = 
SYMBOLP(BgL_auxz00_4344); } 
if(BgL_testz00_4343)
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_cdrzd22170zd2_1818))
{ /* Module/foreign.scm 309 */
obj_t BgL_carzd22172zd2_1821;
BgL_carzd22172zd2_1821 = 
CAR(BgL_cdrzd22170zd2_1818); 
{ 

if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_carzd22172zd2_1821, BNIL))
{ /* Module/foreign.scm 309 */
BgL_kapzd22176zd2_1822:
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22170zd2_1818), BNIL))
{ /* Module/foreign.scm 309 */
if(
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd22172zd2_1821))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_carzd22172zd2_1821))
{ /* Module/foreign.scm 309 */
goto BgL_kapzd22176zd2_1822;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } } }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } }  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4359;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4362;obj_t BgL_auxz00_4360;
BgL_auxz00_4362 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_4360 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4359 = 
(BgL_auxz00_4360==BgL_auxz00_4362); } 
if(BgL_testz00_4359)
{ 
obj_t BgL_slotsz00_4365;
BgL_slotsz00_4365 = 
CDR(BgL_tzd2expzd2_27); 
BgL_slotsz00_1718 = BgL_slotsz00_4365; 
goto BgL_tagzd22045zd2_1719;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } } } } }  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4367;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4370;obj_t BgL_auxz00_4368;
BgL_auxz00_4370 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_4368 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4367 = 
(BgL_auxz00_4368==BgL_auxz00_4370); } 
if(BgL_testz00_4367)
{ 
obj_t BgL_slotsz00_4373;
BgL_slotsz00_4373 = 
CDR(BgL_tzd2expzd2_27); 
BgL_slotsz00_1718 = BgL_slotsz00_4373; 
goto BgL_tagzd22045zd2_1719;}  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4375;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4378;obj_t BgL_auxz00_4376;
BgL_auxz00_4378 = 
CNST_TABLE_REF(((long)13)); 
BgL_auxz00_4376 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4375 = 
(BgL_auxz00_4376==BgL_auxz00_4378); } 
if(BgL_testz00_4375)
{ /* Module/foreign.scm 309 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_tzd2expzd2_27), BNIL))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } } }  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4384;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4385;
BgL_auxz00_4385 = 
CNST_TABLE_REF(((long)19)); 
BgL_testz00_4384 = 
(BgL_carzd22112zd2_1744==BgL_auxz00_4385); } 
if(BgL_testz00_4384)
{ /* Module/foreign.scm 309 */
goto BgL_kapzd22114zd2_1746;}  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4388;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4391;obj_t BgL_auxz00_4389;
BgL_auxz00_4391 = 
CNST_TABLE_REF(((long)17)); 
BgL_auxz00_4389 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4388 = 
(BgL_auxz00_4389==BgL_auxz00_4391); } 
if(BgL_testz00_4388)
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_cdrzd22113zd2_1745))
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4396;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4397;
BgL_auxz00_4397 = 
CAR(BgL_cdrzd22113zd2_1745); 
BgL_testz00_4396 = 
SYMBOLP(BgL_auxz00_4397); } 
if(BgL_testz00_4396)
{ /* Module/foreign.scm 309 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22113zd2_1745), BNIL))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
obj_t BgL_cdrzd22228zd2_1757;
BgL_cdrzd22228zd2_1757 = 
CDR(BgL_tzd2expzd2_27); 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4404;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4407;obj_t BgL_auxz00_4405;
BgL_auxz00_4407 = 
CNST_TABLE_REF(((long)15)); 
BgL_auxz00_4405 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4404 = 
(BgL_auxz00_4405==BgL_auxz00_4407); } 
if(BgL_testz00_4404)
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_cdrzd22228zd2_1757))
{ /* Module/foreign.scm 309 */
obj_t BgL_cdrzd22231zd2_1760;
BgL_cdrzd22231zd2_1760 = 
CDR(BgL_cdrzd22228zd2_1757); 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4413;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4414;
BgL_auxz00_4414 = 
CAR(BgL_cdrzd22228zd2_1757); 
BgL_testz00_4413 = 
SYMBOLP(BgL_auxz00_4414); } 
if(BgL_testz00_4413)
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_cdrzd22231zd2_1760))
{ /* Module/foreign.scm 309 */
obj_t BgL_carzd22233zd2_1763;
BgL_carzd22233zd2_1763 = 
CAR(BgL_cdrzd22231zd2_1760); 
{ 

if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_carzd22233zd2_1763, BNIL))
{ /* Module/foreign.scm 309 */
BgL_kapzd22237zd2_1764:
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd22231zd2_1760), BNIL))
{ /* Module/foreign.scm 309 */
if(
BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd22233zd2_1763))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
if(
PAIRP(BgL_carzd22233zd2_1763))
{ /* Module/foreign.scm 309 */
goto BgL_kapzd22237zd2_1764;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } } }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4429;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4432;obj_t BgL_auxz00_4430;
BgL_auxz00_4432 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_4430 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4429 = 
(BgL_auxz00_4430==BgL_auxz00_4432); } 
if(BgL_testz00_4429)
{ 
obj_t BgL_slotsz00_4435;
BgL_slotsz00_4435 = BgL_cdrzd22228zd2_1757; 
BgL_slotsz00_1718 = BgL_slotsz00_4435; 
goto BgL_tagzd22045zd2_1719;}  else 
{ /* Module/foreign.scm 309 */
bool_t BgL_testz00_4436;
{ /* Module/foreign.scm 309 */
obj_t BgL_auxz00_4439;obj_t BgL_auxz00_4437;
BgL_auxz00_4439 = 
CNST_TABLE_REF(((long)13)); 
BgL_auxz00_4437 = 
CAR(BgL_tzd2expzd2_27); 
BgL_testz00_4436 = 
(BgL_auxz00_4437==BgL_auxz00_4439); } 
if(BgL_testz00_4436)
{ /* Module/foreign.scm 309 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_cdrzd22228zd2_1757, BNIL))
{ /* Module/foreign.scm 309 */
return BgL_tzd2expzd2_27;}  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } } } } } } } } } } } } } } }  else 
{ /* Module/foreign.scm 309 */
return BFALSE;} } } } 
}



/* foreign-accesses-add! */
obj_t BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t BgL_accessesz00_28)
{ AN_OBJECT;
{ /* Module/foreign.scm 366 */
return ( 
BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = 
bgl_append2(BgL_accessesz00_28, BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00), BUNSPEC) ;} 
}



/* _foreign-accesses-add! */
obj_t BGl__foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t BgL_envz00_3081, obj_t BgL_accessesz00_3082)
{ AN_OBJECT;
{ /* Module/foreign.scm 366 */
return 
BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(BgL_accessesz00_3082);} 
}



/* foreign-finalizer */
obj_t BGl_foreignzd2finaliza7erz75zzmodule_foreignz00()
{ AN_OBJECT;
{ /* Module/foreign.scm 372 */
{ 
obj_t BgL_l2101z00_1898;
BgL_l2101z00_1898 = BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00; 
BgL_lname2102z00_1899:
if(
PAIRP(BgL_l2101z00_1898))
{ /* Module/foreign.scm 374 */
{ /* Module/foreign.scm 375 */
obj_t BgL_foreignz00_1901;
BgL_foreignz00_1901 = 
CAR(BgL_l2101z00_1898); 
{ /* Module/foreign.scm 375 */
obj_t BgL_globalz00_1902;obj_t BgL_namez00_1903;
{ /* Module/foreign.scm 375 */
obj_t BgL_auxz00_4449;
{ /* Module/foreign.scm 375 */
obj_t BgL_auxz00_4450;
BgL_auxz00_4450 = 
CDR(BgL_foreignz00_1901); 
BgL_auxz00_4449 = 
CAR(BgL_auxz00_4450); } 
BgL_globalz00_1902 = 
BGl_findzd2globalzd2zzast_envz00(BgL_auxz00_4449, BNIL); } 
{ /* Module/foreign.scm 376 */
obj_t BgL_auxz00_4454;
{ /* Module/foreign.scm 376 */
obj_t BgL_auxz00_4455;
BgL_auxz00_4455 = 
CDR(BgL_foreignz00_1901); 
BgL_auxz00_4454 = 
CDR(BgL_auxz00_4455); } 
BgL_namez00_1903 = 
CAR(BgL_auxz00_4454); } 
{ /* Module/foreign.scm 378 */
bool_t BgL_test2761z00_1904;
BgL_test2761z00_1904 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1902, BGl_globalz00zzast_varz00); 
if(BgL_test2761z00_1904)
{ /* Module/foreign.scm 385 */
bool_t BgL_testz00_4461;
{ /* Module/foreign.scm 385 */
obj_t BgL_auxz00_4462;
{ /* Module/foreign.scm 385 */
BgL_globalz00_bglt BgL_obj1172z00_2755;
BgL_obj1172z00_2755 = 
(BgL_globalz00_bglt)(BgL_globalz00_1902); 
BgL_auxz00_4462 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1172z00_2755))->BgL_namez00); } 
BgL_testz00_4461 = 
STRINGP(BgL_auxz00_4462); } 
if(BgL_testz00_4461)
{ /* Module/foreign.scm 385 */
BGl_userzd2warningzd2zztools_errorz00(BGl_string2854z00zzmodule_foreignz00, BGl_string2855z00zzmodule_foreignz00, BgL_foreignz00_1901); }  else 
{ /* Module/foreign.scm 385 */
{ /* Module/foreign.scm 391 */
BgL_globalz00_bglt BgL_obj1174z00_2757;
BgL_obj1174z00_2757 = 
(BgL_globalz00_bglt)(BgL_globalz00_1902); 
((((BgL_globalz00_bglt)CREF(BgL_obj1174z00_2757))->BgL_namez00) = ((obj_t)BgL_namez00_1903), BUNSPEC); } } }  else 
{ /* Module/foreign.scm 378 */
{ /* Module/foreign.scm 379 */
bool_t BgL_test2764z00_1907;
{ /* Module/foreign.scm 379 */
bool_t BgL_test2766z00_1909;
{ /* Module/foreign.scm 379 */
obj_t BgL_auxz00_4469;
BgL_auxz00_4469 = 
CNST_TABLE_REF(((long)20)); 
BgL_test2766z00_1909 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_4469); } 
if(BgL_test2766z00_1909)
{ /* Module/foreign.scm 379 */
BgL_test2764z00_1907 = ((bool_t)1); }  else 
{ /* Module/foreign.scm 380 */
obj_t BgL_auxz00_4473;
BgL_auxz00_4473 = 
CNST_TABLE_REF(((long)21)); 
BgL_test2764z00_1907 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_4473); } } 
if(BgL_test2764z00_1907)
{ /* Module/foreign.scm 379 */BFALSE; }  else 
{ /* Module/foreign.scm 381 */
obj_t BgL_list2765z00_1908;
BgL_list2765z00_1908 = 
MAKE_PAIR(BNIL, BNIL); 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2854z00zzmodule_foreignz00, BGl_string2856z00zzmodule_foreignz00, BgL_foreignz00_1901, BgL_list2765z00_1908); } } } } } } 
{ 
obj_t BgL_l2101z00_4479;
BgL_l2101z00_4479 = 
CDR(BgL_l2101z00_1898); 
BgL_l2101z00_1898 = BgL_l2101z00_4479; 
goto BgL_lname2102z00_1899;} }  else 
{ /* Module/foreign.scm 374 */((bool_t)1); } } 
BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 = BNIL; 
{ /* Module/foreign.scm 395 */
bool_t BgL_test2771z00_1913;
{ /* Module/foreign.scm 395 */
obj_t BgL_objz00_2760;
BgL_objz00_2760 = BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00; 
BgL_test2771z00_1913 = 
NULLP(BgL_objz00_2760); } 
if(BgL_test2771z00_1913)
{ /* Module/foreign.scm 395 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ /* Module/foreign.scm 397 */
obj_t BgL_accessesz00_1914;
BgL_accessesz00_1914 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00); 
BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = BNIL; 
{ /* Module/foreign.scm 399 */
obj_t BgL_arg2772z00_1915;
{ /* Module/foreign.scm 399 */
obj_t BgL_idz00_2761;
BgL_idz00_2761 = 
CNST_TABLE_REF(((long)0)); 
{ /* Module/foreign.scm 399 */
obj_t BgL_newz00_2765;
{ /* Module/foreign.scm 399 */
int BgL_auxz00_4488;obj_t BgL_auxz00_4486;
BgL_auxz00_4488 = 
(int)(((long)4)); 
BgL_auxz00_4486 = 
CNST_TABLE_REF(((long)22)); 
BgL_newz00_2765 = 
create_struct(BgL_auxz00_4486, BgL_auxz00_4488); } 
{ /* Module/foreign.scm 399 */
int BgL_auxz00_4491;
BgL_auxz00_4491 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_2765, BgL_auxz00_4491, BTRUE); } 
{ /* Module/foreign.scm 399 */
int BgL_auxz00_4494;
BgL_auxz00_4494 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_2765, BgL_auxz00_4494, BgL_accessesz00_1914); } 
{ /* Module/foreign.scm 399 */
obj_t BgL_auxz00_4499;int BgL_auxz00_4497;
BgL_auxz00_4499 = 
BINT(((long)48)); 
BgL_auxz00_4497 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2765, BgL_auxz00_4497, BgL_auxz00_4499); } 
{ /* Module/foreign.scm 399 */
int BgL_auxz00_4502;
BgL_auxz00_4502 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2765, BgL_auxz00_4502, BgL_idz00_2761); } 
BgL_arg2772z00_1915 = BgL_newz00_2765; } } 
{ /* Module/foreign.scm 399 */
obj_t BgL_list2773z00_1916;
BgL_list2773z00_1916 = 
MAKE_PAIR(BgL_arg2772z00_1915, BNIL); 
return BgL_list2773z00_1916;} } } } } 
}



/* _foreign-finalizer */
obj_t BGl__foreignzd2finaliza7erz75zzmodule_foreignz00(obj_t BgL_envz00_3071)
{ AN_OBJECT;
{ /* Module/foreign.scm 372 */
return 
BGl_foreignzd2finaliza7erz75zzmodule_foreignz00();} 
}



/* default-c-type */
obj_t BGl_defaultzd2czd2typez00zzmodule_foreignz00(obj_t BgL_typez00_29, obj_t BgL_srcz00_30)
{ AN_OBJECT;
{ /* Module/foreign.scm 404 */
{ /* Module/foreign.scm 405 */
bool_t BgL_test2774z00_1917;
{ /* Module/foreign.scm 405 */
BgL_typez00_bglt BgL_arg2781z00_1923;
BgL_arg2781z00_1923 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* Module/foreign.scm 405 */
obj_t BgL_auxz00_4508;
BgL_auxz00_4508 = 
(obj_t)(BgL_arg2781z00_1923); 
BgL_test2774z00_1917 = 
(BgL_typez00_29==BgL_auxz00_4508); } } 
if(BgL_test2774z00_1917)
{ /* Module/foreign.scm 406 */
BgL_typez00_bglt BgL_defaultz00_1918;
BgL_defaultz00_1918 = 
BGl_getzd2defaultzd2czd2typezd2zztype_cachez00(); 
{ /* Module/foreign.scm 407 */
obj_t BgL_arg2775z00_1919;obj_t BgL_arg2779z00_1922;
BgL_arg2775z00_1919 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_30); 
BgL_arg2779z00_1922 = 
(((BgL_typez00_bglt)CREF(BgL_defaultz00_1918))->BgL_idz00); 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_arg2775z00_1919, BGl_string2854z00zzmodule_foreignz00, BGl_string2857z00zzmodule_foreignz00, BgL_arg2779z00_1922); } 
return 
(obj_t)(BgL_defaultz00_1918);}  else 
{ /* Module/foreign.scm 405 */
return BgL_typez00_29;} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_foreignz00()
{ AN_OBJECT;
{ /* Module/foreign.scm 18 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_foreignz00()
{ AN_OBJECT;
{ /* Module/foreign.scm 18 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "module_foreign"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "module_foreign"); 
BGl_modulezd2initializa7ationz75zzmodule_checksumz00(((long)54184), "module_foreign"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "module_foreign"); 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)22459), "module_foreign"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "module_foreign"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "module_foreign"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "module_foreign"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "module_foreign"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)14899), "module_foreign"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "module_foreign"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "module_foreign"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "module_foreign"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "module_foreign"); 
BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long)63074), "module_foreign"); 
BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long)1934), "module_foreign"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "module_foreign");} 
}

