/*===========================================================================*/
/*   (Object/class.scm)                                                      */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_jarrayz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_jarrayz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;


static obj_t BGl_tclasszd2itszd2superz00zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl_methodzd2initzd2zzobject_classz00();
extern obj_t open_input_string(obj_t);
extern BgL_tclassz00_bglt BGl_fillzd2tclassz12zc0zzobject_classz00(BgL_tclassz00_bglt, obj_t, obj_t, BgL_globalz00_bglt, obj_t, long, bool_t, obj_t, obj_t, bool_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__fillzd2jclassz12zc0zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_crosszd2namezd2zzobject_classz00(obj_t);
static obj_t BGl__tclasszd2slotszd2setz12z12zzobject_classz00(obj_t, obj_t, obj_t);
static obj_t BGl__wideningzd2tclass2238zd2zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__emitzd2bdbzd2classzd2typeszd2zzobject_classz00(obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__emitzd2classzd2typesz00zzobject_classz00(obj_t, obj_t);
static obj_t BGl__jclasszd2packagezd2zzobject_classz00(obj_t, obj_t);
static obj_t BGl__allocatezd2jclasszd2zzobject_classz00(obj_t);
static obj_t BGl__makezd2tclasszd2zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
static obj_t BGl__tclasszd2holderzd2zzobject_classz00(obj_t, obj_t);
extern obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
static obj_t BGl_tclasszd2slotszd2setz12z12zzobject_classz00(BgL_tclassz00_bglt, obj_t);
obj_t BGl_tclassz00zzobject_classz00 = BUNSPEC;
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl__tclasszd2constructorzd2zzobject_classz00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern BgL_jclassz00_bglt BGl_fillzd2jclassz12zc0zzobject_classz00(BgL_jclassz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern BgL_tclassz00_bglt BGl_wideningzd2tclasszd2zzobject_classz00(obj_t, obj_t, BgL_globalz00_bglt, obj_t, long, bool_t, obj_t, obj_t, bool_t);
static obj_t BGl__tclasszd2wideningzd2zzobject_classz00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl__typezd2subclasszf3z21zzobject_classz00(obj_t, obj_t, obj_t);
extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
static BgL_globalz00_bglt BGl_tclasszd2holderzd2zzobject_classz00(BgL_tclassz00_bglt);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl__heapzd2addzd2classz12z12zzobject_classz00(obj_t, obj_t);
extern obj_t BGl_tclasszd2allzd2slotsz00zzobject_classz00(BgL_tclassz00_bglt);
extern BgL_typez00_bglt BGl_allocatezd2jclasszd2zzobject_classz00();
extern obj_t BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt);
extern BgL_typez00_bglt BGl_declarezd2javazd2classzd2typez12zc0zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_classz00();
static obj_t BGl__dumpzd2classzd2typesz00zzobject_classz00(obj_t, obj_t);
extern bool_t BGl_tclasszf3zf3zzobject_classz00(obj_t);
static obj_t BGl__jclasszd2itszd2superz00zzobject_classz00(obj_t, obj_t);
static obj_t BGl_za2classzd2typezd2listza2z00zzobject_classz00 = BUNSPEC;
static obj_t BGl_objectzd2ze3structzd2jclass1948ze3zzobject_classz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_classz00();
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl__tclasszd2virtualzd2slotszd2numberzd2setz12z12zzobject_classz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl__tclasszd2itszd2superz00zzobject_classz00(obj_t, obj_t);
static obj_t BGl__allocatezd2tclasszd2zzobject_classz00(obj_t);
static bool_t BGl_tclasszd2abstractzf3z21zzobject_classz00(BgL_tclassz00_bglt);
extern obj_t BGl_findzd2classzd2constructorsz00zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl_toplevelzd2initzd2zzobject_classz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern bool_t BGl_jclasszf3zf3zzobject_classz00(obj_t);
obj_t BGl_jclassz00zzobject_classz00 = BUNSPEC;
extern bool_t BGl_finalzd2classzf3z21zzobject_classz00(obj_t);
static obj_t BGl__jclasszd2itszd2superzd2setz12zc0zzobject_classz00(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl__tclasszd2virtualzd2slotszd2numberzd2zzobject_classz00(obj_t, obj_t);
static obj_t BGl__tclasszd2finalzf3z21zzobject_classz00(obj_t, obj_t);
extern BgL_tclassz00_bglt BGl_makezd2tclasszd2zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_globalz00_bglt, obj_t, long, bool_t, obj_t, obj_t, bool_t);
extern obj_t BGl_heapzd2addzd2classz12z12zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl__widezd2classzf3z21zzobject_classz00(obj_t, obj_t);
extern BgL_jclassz00_bglt BGl_wideningzd2jclasszd2zzobject_classz00(obj_t, obj_t, obj_t);
static obj_t BGl_tclasszd2virtualzd2slotszd2numberzd2setz12z12zzobject_classz00(BgL_tclassz00_bglt, obj_t);
static obj_t BGl_tclasszd2slotszd2zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl_objectzd2ze3structzd2tclass1952ze3zzobject_classz00(obj_t, obj_t);
static long BGl_tclasszd2depthzd2zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl_tclasszd2wideningzd2zzobject_classz00(BgL_tclassz00_bglt);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_jclasszd2slotszd2setz12z12zzobject_classz00(BgL_jclassz00_bglt, obj_t);
extern BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl__finalzd2classzf3z21zzobject_classz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_allocatezd2tclasszd2zzobject_classz00();
extern obj_t BGl_emitzd2classzd2typesz00zzobject_classz00(obj_t);
static obj_t BGl__declarezd2javazd2classzd2typez12zc0zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__findzd2classzd2constructorsz00zzobject_classz00(obj_t, obj_t);
static bool_t BGl_tclasszd2finalzf3z21zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl__wideningzd2jclass2237zd2zzobject_classz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__tclasszd2slotszd2zzobject_classz00(obj_t, obj_t);
extern obj_t BGl_za2heapzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_structzb2objectzd2ze3objectzd2jclass1950z51zzobject_classz00(obj_t, obj_t, obj_t);
static obj_t BGl_tclasszd2itszd2superzd2setz12zc0zzobject_classz00(BgL_tclassz00_bglt, obj_t);
static obj_t BGl__tclasszd2depthzd2zzobject_classz00(obj_t, obj_t);
static obj_t BGl__tclasszd2allzd2slotsz00zzobject_classz00(obj_t, obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__makezd2jclasszd2zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_tclasszd2virtualzd2slotszd2numberzd2zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl__tclasszf3zf3zzobject_classz00(obj_t, obj_t);
static obj_t BGl__jclasszd2slotszd2setz12z12zzobject_classz00(obj_t, obj_t, obj_t);
static obj_t BGl__tclasszd2itszd2superzd2setz12zc0zzobject_classz00(obj_t, obj_t, obj_t);
static obj_t BGl_jclasszd2slotszd2zzobject_classz00(BgL_jclassz00_bglt);
static obj_t BGl_jclasszd2itszd2superz00zzobject_classz00(BgL_jclassz00_bglt);
extern obj_t BGl_emitzd2bdbzd2classzd2typeszd2zzobject_classz00(obj_t);
static obj_t BGl__declarezd2classzd2typez12z12zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
extern BgL_typez00_bglt BGl_declarezd2classzd2typez12z12zzobject_classz00(obj_t, BgL_globalz00_bglt, obj_t, bool_t, bool_t, obj_t);
extern obj_t BGl_dumpzd2classzd2typesz00zzobject_classz00(obj_t);
static obj_t BGl_objectzd2initzd2zzobject_classz00();
static obj_t BGl__tclasszd2depthzd2setz12z12zzobject_classz00(obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_declarezd2typez12zc0zztype_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_classz00 = BUNSPEC;
static obj_t BGl_jclasszd2packagezd2zzobject_classz00(BgL_jclassz00_bglt);
extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
extern BgL_jclassz00_bglt BGl_makezd2jclasszd2zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_tclasszd2depthzd2setz12z12zzobject_classz00(BgL_tclassz00_bglt, long);
static obj_t BGl__fillzd2tclassz12zc0zzobject_classz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_tclasszd2constructorzd2zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl__tclasszd2abstractzf3z21zzobject_classz00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2tclass1954z51zzobject_classz00(obj_t, obj_t, obj_t);
static obj_t BGl__getzd2classzd2listz00zzobject_classz00(obj_t);
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_jclasszd2itszd2superzd2setz12zc0zzobject_classz00(BgL_jclassz00_bglt, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_classz00();
static obj_t BGl__jclasszd2slotszd2zzobject_classz00(obj_t, obj_t);
extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl__jclasszf3zf3zzobject_classz00(obj_t, obj_t);
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 14 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_declarezd2classzd2typez12zd2envzc0zzobject_classz00, BgL_bgl__declareza7d2classza7d2typeza712za712za7za7object_classza7002275za7, BGl__declarezd2classzd2typez12z12zzobject_classz00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2tclasszd2envz00zzobject_classz00, BgL_bgl__wideningza7d2tclass2238za7d2za7za7object_classza7002276za7, BGl__wideningzd2tclass2238zd2zzobject_classz00, 0L, 9 );
DEFINE_STRING( BGl_string2270z00zzobject_classz00, BgL_bgl_string2270za700za7za7object_classza7002277z00, "package jclass abstract? virtual-slots-number constructor final? depth widening holder slots its-super tclass java bigloo ", 122 );
DEFINE_STRING( BGl_string2265z00zzobject_classz00, BgL_bgl_string2265za700za7za7object_classza7002278z00, " *\", 0 },", 9 );
DEFINE_STRING( BGl_string2264z00zzobject_classz00, BgL_bgl_string2264za700za7za7object_classza7002279z00, "   {\"", 5 );
DEFINE_STRING( BGl_string2263z00zzobject_classz00, BgL_bgl_string2263za700za7za7object_classza7002280z00, "   /* Bigloo classes */", 23 );
DEFINE_STRING( BGl_string2262z00zzobject_classz00, BgL_bgl_string2262za700za7za7object_classza7002281z00, ";\n", 2 );
DEFINE_STRING( BGl_string2261z00zzobject_classz00, BgL_bgl_string2261za700za7za7object_classza7002282z00, "} *", 3 );
DEFINE_STRING( BGl_string2260z00zzobject_classz00, BgL_bgl_string2260za700za7za7object_classza7002283z00, "   obj_t widening;", 18 );
DEFINE_STRING( BGl_string2259z00zzobject_classz00, BgL_bgl_string2259za700za7za7object_classza7002284z00, "   char dummy;", 14 );
DEFINE_STRING( BGl_string2258z00zzobject_classz00, BgL_bgl_string2258za700za7za7object_classza7002285z00, "   header_t header;", 19 );
DEFINE_STRING( BGl_string2257z00zzobject_classz00, BgL_bgl_string2257za700za7za7object_classza7002286z00, " {", 2 );
DEFINE_STRING( BGl_string2256z00zzobject_classz00, BgL_bgl_string2256za700za7za7object_classza7002287z00, "typedef ", 8 );
DEFINE_STRING( BGl_string2255z00zzobject_classz00, BgL_bgl_string2255za700za7za7object_classza7002288z00, "/* Object type definitions */", 29 );
DEFINE_STRING( BGl_string2254z00zzobject_classz00, BgL_bgl_string2254za700za7za7object_classza7002289z00, ";", 1 );
DEFINE_STRING( BGl_string2253z00zzobject_classz00, BgL_bgl_string2253za700za7za7object_classza7002290z00, "   ", 3 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2itszd2superzd2setz12zd2envz12zzobject_classz00, BgL_bgl__tclassza7d2itsza7d2superza7d2setza712za7c0za7za7object_classza7002291z00, BGl__tclasszd2itszd2superzd2setz12zc0zzobject_classz00, 0L, 2 );
DEFINE_STRING( BGl_string2252z00zzobject_classz00, BgL_bgl_string2252za700za7za7object_classza7002292z00, ")\n", 2 );
DEFINE_STRING( BGl_string2251z00zzobject_classz00, BgL_bgl_string2251za700za7za7object_classza7002293z00, "   (obj_t widening)", 19 );
DEFINE_STRING( BGl_string2250z00zzobject_classz00, BgL_bgl_string2250za700za7za7object_classza7002294z00, "   (constructor ...)", 20 );
DEFINE_STRING( BGl_string2249z00zzobject_classz00, BgL_bgl_string2249za700za7za7object_classza7002295z00, "(define-class ", 14 );
DEFINE_STRING( BGl_string2248z00zzobject_classz00, BgL_bgl_string2248za700za7za7object_classza7002296z00, " ", 1 );
DEFINE_STRING( BGl_string2247z00zzobject_classz00, BgL_bgl_string2247za700za7za7object_classza7002297z00, ")", 1 );
DEFINE_STRING( BGl_string2246z00zzobject_classz00, BgL_bgl_string2246za700za7za7object_classza7002298z00, "   (", 4 );
DEFINE_STRING( BGl_string2245z00zzobject_classz00, BgL_bgl_string2245za700za7za7object_classza7002299z00, " *", 2 );
DEFINE_STRING( BGl_string2244z00zzobject_classz00, BgL_bgl_string2244za700za7za7object_classza7002300z00, "_bglt", 5 );
DEFINE_STRING( BGl_string2243z00zzobject_classz00, BgL_bgl_string2243za700za7za7object_classza7002301z00, "_bgl", 4 );
DEFINE_STRING( BGl_string2242z00zzobject_classz00, BgL_bgl_string2242za700za7za7object_classza7002302z00, "struct ", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2javazd2classzd2typez12zd2envz12zzobject_classz00, BgL_bgl__declareza7d2javaza7d2classza7d2typeza712za7c0za7za7object_classza7002303z00, BGl__declarezd2javazd2classzd2typez12zc0zzobject_classz00, 0L, 5 );
DEFINE_STATIC_PROCEDURE( BGl_jclasszd2slotszd2setz12zd2envzc0zzobject_classz00, BgL_bgl__jclassza7d2slotsza7d2setza712za712za7za7object_classza7002304za7, BGl__jclasszd2slotszd2setz12z12zzobject_classz00, 0L, 2 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2constructorzd2envz00zzobject_classz00, BgL_bgl__tclassza7d2constructorza7d2za7za7object_classza7002305za7, BGl__tclasszd2constructorzd2zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2virtualzd2slotszd2numberzd2setz12zd2envzc0zzobject_classz00, BgL_bgl__tclassza7d2virtualza7d2slotsza7d2numberza7d2setza712za712za7za7object_classza7002306za7, BGl__tclasszd2virtualzd2slotszd2numberzd2setz12z12zzobject_classz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_jclasszd2itszd2superzd2envzd2zzobject_classz00, BgL_bgl__jclassza7d2itsza7d2superza700za7za7object_classza7002307z00, BGl__jclasszd2itszd2superz00zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2jclasszd2envz00zzobject_classz00, BgL_bgl__wideningza7d2jclass2237za7d2za7za7object_classza7002308za7, BGl__wideningzd2jclass2237zd2zzobject_classz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_heapzd2addzd2classz12zd2envzc0zzobject_classz00, BgL_bgl__heapza7d2addza7d2classza712za712za7za7object_classza7002309za7, BGl__heapzd2addzd2classz12z12zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2classzd2constructorszd2envzd2zzobject_classz00, BgL_bgl__findza7d2classza7d2constructorsza700za7za7object_classza7002310z00, BGl__findzd2classzd2constructorsz00zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2classzd2listzd2envzd2zzobject_classz00, BgL_bgl__getza7d2classza7d2listza700za7za7object_classza7002311z00, BGl__getzd2classzd2listz00zzobject_classz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_emitzd2classzd2typeszd2envzd2zzobject_classz00, BgL_bgl__emitza7d2classza7d2typesza700za7za7object_classza7002312z00, BGl__emitzd2classzd2typesz00zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_jclasszd2packagezd2envz00zzobject_classz00, BgL_bgl__jclassza7d2packageza7d2za7za7object_classza7002313za7, BGl__jclasszd2packagezd2zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2abstractzf3zd2envzf3zzobject_classz00, BgL_bgl__tclassza7d2abstractza7f3za721za7za7object_classza7002314z00, BGl__tclasszd2abstractzf3z21zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2virtualzd2slotszd2numberzd2envz00zzobject_classz00, BgL_bgl__tclassza7d2virtualza7d2slotsza7d2numberza7d2za7za7object_classza7002315za7, BGl__tclasszd2virtualzd2slotszd2numberzd2zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2wideningzd2envz00zzobject_classz00, BgL_bgl__tclassza7d2wideningza7d2za7za7object_classza7002316za7, BGl__tclasszd2wideningzd2zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_widezd2classzf3zd2envzf3zzobject_classz00, BgL_bgl__wideza7d2classza7f3za721za7za7object_classza7002317z00, BGl__widezd2classzf3z21zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2depthzd2setz12zd2envzc0zzobject_classz00, BgL_bgl__tclassza7d2depthza7d2setza712za712za7za7object_classza7002318za7, BGl__tclasszd2depthzd2setz12z12zzobject_classz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2finalzf3zd2envzf3zzobject_classz00, BgL_bgl__tclassza7d2finalza7f3za721za7za7object_classza7002319z00, BGl__tclasszd2finalzf3z21zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_jclasszd2itszd2superzd2setz12zd2envz12zzobject_classz00, BgL_bgl__jclassza7d2itsza7d2superza7d2setza712za7c0za7za7object_classza7002320z00, BGl__jclasszd2itszd2superzd2setz12zc0zzobject_classz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2tclasszd2envz00zzobject_classz00, BgL_bgl__makeza7d2tclassza7d2za7za7object_classza7002321za7, BGl__makezd2tclasszd2zzobject_classz00, 0L, 23 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2itszd2superzd2envzd2zzobject_classz00, BgL_bgl__tclassza7d2itsza7d2superza700za7za7object_classza7002322z00, BGl__tclasszd2itszd2superz00zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_jclasszd2slotszd2envz00zzobject_classz00, BgL_bgl__jclassza7d2slotsza7d2za7za7object_classza7002323za7, BGl__jclasszd2slotszd2zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2slotszd2envz00zzobject_classz00, BgL_bgl__tclassza7d2slotsza7d2za7za7object_classza7002324za7, BGl__tclasszd2slotszd2zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2holderzd2envz00zzobject_classz00, BgL_bgl__tclassza7d2holderza7d2za7za7object_classza7002325za7, BGl__tclasszd2holderzd2zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2depthzd2envz00zzobject_classz00, BgL_bgl__tclassza7d2depthza7d2za7za7object_classza7002326za7, BGl__tclasszd2depthzd2zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2jclasszd2envz00zzobject_classz00, BgL_bgl__allocateza7d2jclassza7d2za7za7object_classza7002327za7, BGl__allocatezd2jclasszd2zzobject_classz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2jclassz12zd2envz12zzobject_classz00, BgL_bgl__fillza7d2jclassza712za7c0za7za7object_classza7002328z00, BGl__fillzd2jclassz12zc0zzobject_classz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2tclassz12zd2envz12zzobject_classz00, BgL_bgl__fillza7d2tclassza712za7c0za7za7object_classza7002329z00, BGl__fillzd2tclassz12zc0zzobject_classz00, 0L, 10 );
DEFINE_EXPORT_PROCEDURE( BGl_finalzd2classzf3zd2envzf3zzobject_classz00, BgL_bgl__finalza7d2classza7f3za721za7za7object_classza7002330z00, BGl__finalzd2classzf3z21zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2jclasszd2envz00zzobject_classz00, BgL_bgl__makeza7d2jclassza7d2za7za7object_classza7002331za7, BGl__makezd2jclasszd2zzobject_classz00, 0L, 17 );
DEFINE_STATIC_PROCEDURE( BGl_proc2266z00zzobject_classz00, BgL_bgl_objectza7d2za7e3structza7d2jclass1948za7e3za7za7object_classza7002332za7, BGl_objectzd2ze3structzd2jclass1948ze3zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2267z00zzobject_classz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2jclass1950za751za7za7object_classza7002333z00, BGl_structzb2objectzd2ze3objectzd2jclass1950z51zzobject_classz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2268z00zzobject_classz00, BgL_bgl_objectza7d2za7e3structza7d2tclass1952za7e3za7za7object_classza7002334za7, BGl_objectzd2ze3structzd2tclass1952ze3zzobject_classz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2269z00zzobject_classz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2tclass1954za751za7za7object_classza7002335z00, BGl_structzb2objectzd2ze3objectzd2tclass1954z51zzobject_classz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_tclasszd2slotszd2setz12zd2envzc0zzobject_classz00, BgL_bgl__tclassza7d2slotsza7d2setza712za712za7za7object_classza7002336za7, BGl__tclasszd2slotszd2setz12z12zzobject_classz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2tclasszd2envz00zzobject_classz00, BgL_bgl__allocateza7d2tclassza7d2za7za7object_classza7002337za7, BGl__allocatezd2tclasszd2zzobject_classz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_tclasszf3zd2envz21zzobject_classz00, BgL_bgl__tclassza7f3za7f3za7za7object_classza7002338za7, BGl__tclasszf3zf3zzobject_classz00, 0L, 1 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_emitzd2bdbzd2classzd2typeszd2envz00zzobject_classz00, BgL_bgl__emitza7d2bdbza7d2classza7d2typesza7d2za7za7object_classza7002339za7, BGl__emitzd2bdbzd2classzd2typeszd2zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_jclasszf3zd2envz21zzobject_classz00, BgL_bgl__jclassza7f3za7f3za7za7object_classza7002340za7, BGl__jclasszf3zf3zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tclasszd2allzd2slotszd2envzd2zzobject_classz00, BgL_bgl__tclassza7d2allza7d2slotsza700za7za7object_classza7002341z00, BGl__tclasszd2allzd2slotsz00zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_dumpzd2classzd2typeszd2envzd2zzobject_classz00, BgL_bgl__dumpza7d2classza7d2typesza700za7za7object_classza7002342z00, BGl__dumpzd2classzd2typesz00zzobject_classz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_typezd2subclasszf3zd2envzf3zzobject_classz00, BgL_bgl__typeza7d2subclassza7f3za721za7za7object_classza7002343z00, BGl__typezd2subclasszf3z21zzobject_classz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long BgL_checksumz00_2153, char * BgL_fromz00_2154)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_classz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_classz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_classz00(); 
BGl_cnstzd2initzd2zzobject_classz00(); 
BGl_importedzd2moduleszd2initz00zzobject_classz00(); 
BGl_objectzd2initzd2zzobject_classz00(); 
BGl_methodzd2initzd2zzobject_classz00(); 
BGl_toplevelzd2initzd2zzobject_classz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_classz00()
{ AN_OBJECT;
{ /* Object/class.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_class"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_class"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_class"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "object_class"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_classz00()
{ AN_OBJECT;
{ /* Object/class.scm 15 */
{ /* Object/class.scm 15 */
obj_t BgL_cportz00_2146;
BgL_cportz00_2146 = 
open_input_string(BGl_string2270z00zzobject_classz00); 
{ 
long BgL_iz00_2147;
BgL_iz00_2147 = ((long)13); 
BgL_loopz00_2148:
if(
(BgL_iz00_2147==((long)-1)))
{ /* Object/class.scm 15 */
return BUNSPEC;}  else 
{ /* Object/class.scm 15 */
{ /* Object/class.scm 15 */
obj_t BgL_arg2272z00_2150;
{ /* Object/class.scm 15 */
obj_t BgL_list2273z00_2151;
BgL_list2273z00_2151 = 
MAKE_PAIR(BgL_cportz00_2146, BNIL); 
BgL_arg2272z00_2150 = 
BGl_readz00zz__readerz00(BgL_list2273z00_2151); } 
{ /* Object/class.scm 15 */
int BgL_auxz00_2173;
BgL_auxz00_2173 = 
(int)(BgL_iz00_2147); 
CNST_TABLE_SET(BgL_auxz00_2173, BgL_arg2272z00_2150); } } 
{ 
long BgL_iz00_2176;
{ /* Object/class.scm 15 */
int BgL_auxz00_2177;
{ /* Object/class.scm 15 */
long BgL_auxz00_2178;
BgL_auxz00_2178 = 
(BgL_iz00_2147-((long)1)); 
BgL_auxz00_2177 = 
(int)(BgL_auxz00_2178); } 
BgL_iz00_2176 = 
(long)(BgL_auxz00_2177); } 
BgL_iz00_2147 = BgL_iz00_2176; 
goto BgL_loopz00_2148;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzobject_classz00()
{ AN_OBJECT;
{ /* Object/class.scm 15 */
return ( 
BGl_za2classzd2typezd2listza2z00zzobject_classz00 = BNIL, BUNSPEC) ;} 
}



/* get-class-list */
obj_t BGl_getzd2classzd2listz00zzobject_classz00()
{ AN_OBJECT;
{ /* Object/class.scm 81 */
return BGl_za2classzd2typezd2listza2z00zzobject_classz00;} 
}



/* _get-class-list */
obj_t BGl__getzd2classzd2listz00zzobject_classz00(obj_t BgL_envz00_1974)
{ AN_OBJECT;
{ /* Object/class.scm 81 */
return 
BGl_getzd2classzd2listz00zzobject_classz00();} 
}



/* heap-add-class! */
obj_t BGl_heapzd2addzd2classz12z12zzobject_classz00(BgL_tclassz00_bglt BgL_typez00_1)
{ AN_OBJECT;
{ /* Object/class.scm 90 */
{ /* Object/class.scm 91 */
obj_t BgL_auxz00_2183;
BgL_auxz00_2183 = 
(obj_t)(BgL_typez00_1); 
return ( 
BGl_za2classzd2typezd2listza2z00zzobject_classz00 = 
MAKE_PAIR(BgL_auxz00_2183, BGl_za2classzd2typezd2listza2z00zzobject_classz00), BUNSPEC) ;} } 
}



/* _heap-add-class! */
obj_t BGl__heapzd2addzd2classz12z12zzobject_classz00(obj_t BgL_envz00_1975, obj_t BgL_typez00_1976)
{ AN_OBJECT;
{ /* Object/class.scm 90 */
return 
BGl_heapzd2addzd2classz12z12zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_typez00_1976));} 
}



/* declare-class-type! */
BgL_typez00_bglt BGl_declarezd2classzd2typez12z12zzobject_classz00(obj_t BgL_classzd2defzd2_2, BgL_globalz00_bglt BgL_classzd2holderzd2_3, obj_t BgL_wideningz00_4, bool_t BgL_finalzf3zf3_5, bool_t BgL_abstractzf3zf3_6, obj_t BgL_srcz00_7)
{ AN_OBJECT;
{ /* Object/class.scm 104 */
{ /* Object/class.scm 105 */
obj_t BgL_classzd2identzd2_734;
{ /* Object/class.scm 105 */
obj_t BgL_arg1972z00_759;obj_t BgL_arg1973z00_760;
BgL_arg1972z00_759 = 
CAR(BgL_classzd2defzd2_2); 
BgL_arg1973z00_760 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_7); 
BgL_classzd2identzd2_734 = 
BGl_parsezd2idzd2zzast_identz00(BgL_arg1972z00_759, BgL_arg1973z00_760); } 
{ /* Object/class.scm 105 */
obj_t BgL_classzd2idzd2_735;
BgL_classzd2idzd2_735 = 
CAR(BgL_classzd2identzd2_734); 
{ /* Object/class.scm 106 */
obj_t BgL_superz00_736;
{ /* Object/class.scm 107 */
obj_t BgL_superz00_755;
BgL_superz00_755 = 
CDR(BgL_classzd2identzd2_734); 
{ /* Object/class.scm 109 */
bool_t BgL_testz00_2193;
{ /* Object/class.scm 109 */
obj_t BgL_auxz00_2194;
{ /* Object/class.scm 109 */
BgL_typez00_bglt BgL_obj1002z00_1233;
BgL_obj1002z00_1233 = 
(BgL_typez00_bglt)(BgL_superz00_755); 
BgL_auxz00_2194 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1233))->BgL_idz00); } 
BgL_testz00_2193 = 
(BgL_auxz00_2194==BgL_classzd2idzd2_735); } 
if(BgL_testz00_2193)
{ /* Object/class.scm 109 */
BgL_superz00_736 = BFALSE; }  else 
{ /* Object/class.scm 111 */
bool_t BgL_test1970z00_757;
BgL_test1970z00_757 = 
(BgL_superz00_755==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test1970z00_757)
{ /* Object/class.scm 111 */
BgL_superz00_736 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); }  else 
{ /* Object/class.scm 111 */
BgL_superz00_736 = BgL_superz00_755; } } } } 
{ /* Object/class.scm 107 */
obj_t BgL_namez00_737;
BgL_namez00_737 = 
BGl_idzd2ze3namez31zzast_identz00(BgL_classzd2idzd2_735); 
{ /* Object/class.scm 115 */
obj_t BgL_siza7eofza7_738;
BgL_siza7eofza7_738 = 
string_append_3(BGl_string2242z00zzobject_classz00, BgL_namez00_737, BGl_string2243z00zzobject_classz00); 
{ /* Object/class.scm 116 */
obj_t BgL_tzd2namezd2_739;
BgL_tzd2namezd2_739 = 
string_append(BgL_namez00_737, BGl_string2244z00zzobject_classz00); 
{ /* Object/class.scm 117 */
BgL_typez00_bglt BgL_typez00_740;
BgL_typez00_740 = 
BGl_declarezd2typez12zc0zztype_envz00(BgL_classzd2idzd2_735, BgL_tzd2namezd2_739, 
CNST_TABLE_REF(((long)0))); 
{ /* Object/class.scm 118 */

BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_classzd2holderzd2_3); 
{ /* Object/class.scm 124 */
BgL_tclassz00_bglt BgL_obj1906z00_741;
BgL_obj1906z00_741 = 
((BgL_tclassz00_bglt)BgL_typez00_740); 
{ /* Object/class.scm 125 */
BgL_tclassz00_bglt BgL_arg1956z00_742;
{ /* Object/class.scm 125 */
obj_t BgL_arg1957z00_743;BgL_globalz00_bglt BgL_arg1958z00_744;obj_t BgL_arg1959z00_745;long BgL_arg1960z00_746;bool_t BgL_arg1961z00_747;obj_t BgL_arg1962z00_748;bool_t BgL_arg1964z00_750;
BgL_arg1957z00_743 = BgL_superz00_736; 
BgL_arg1958z00_744 = BgL_classzd2holderzd2_3; 
BgL_arg1959z00_745 = BgL_wideningz00_4; 
{ /* Object/class.scm 126 */
bool_t BgL_test1965z00_751;
BgL_test1965z00_751 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_736, BGl_tclassz00zzobject_classz00); 
if(BgL_test1965z00_751)
{ /* Object/class.scm 128 */
long BgL_auxz00_2210;
{ /* Object/class.scm 128 */
BgL_tclassz00_bglt BgL_obj1770z00_1235;
BgL_obj1770z00_1235 = 
(BgL_tclassz00_bglt)(BgL_superz00_736); 
{ 
obj_t BgL_auxz00_2212;
{ /* Object/class.scm 128 */
BgL_objectz00_bglt BgL_auxz00_2213;
BgL_auxz00_2213 = 
(BgL_objectz00_bglt)(BgL_obj1770z00_1235); 
BgL_auxz00_2212 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2213); } 
BgL_auxz00_2210 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2212))->BgL_depthz00); } } 
BgL_arg1960z00_746 = 
(BgL_auxz00_2210+((long)1)); }  else 
{ /* Object/class.scm 126 */
BgL_arg1960z00_746 = ((long)0); } } 
BgL_arg1961z00_747 = BgL_finalzf3zf3_5; 
{ /* Object/class.scm 133 */
obj_t BgL_auxz00_2218;
BgL_auxz00_2218 = 
CDR(BgL_classzd2defzd2_2); 
BgL_arg1962z00_748 = 
CAR(BgL_auxz00_2218); } 
BgL_arg1964z00_750 = BgL_abstractzf3zf3_6; 
{ /* Object/class.scm 124 */
BgL_tclassz00_bglt BgL_res2210z00_1272;
{ /* Object/class.scm 124 */
obj_t BgL_virtualzd2slotszd2number1705z00_1249;
BgL_virtualzd2slotszd2number1705z00_1249 = 
BINT(((long)0)); 
{ /* Object/class.scm 124 */
BgL_tclassz00_bglt BgL_new1707z00_1251;
BgL_new1707z00_1251 = 
((BgL_tclassz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tclassz00_bgl)))); 
{ /* Object/class.scm 124 */
BgL_tclassz00_bglt BgL_res2209z00_1271;
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1251))->BgL_itszd2superzd2) = ((obj_t)BgL_arg1957z00_743), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1251))->BgL_slotsz00) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1251))->BgL_holderz00) = ((BgL_globalz00_bglt)BgL_arg1958z00_744), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1251))->BgL_wideningz00) = ((obj_t)BgL_arg1959z00_745), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1251))->BgL_depthz00) = ((long)BgL_arg1960z00_746), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1251))->BgL_finalzf3zf3) = ((bool_t)BgL_arg1961z00_747), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1251))->BgL_constructorz00) = ((obj_t)BgL_arg1962z00_748), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1251))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_virtualzd2slotszd2number1705z00_1249), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1251))->BgL_abstractzf3zf3) = ((bool_t)BgL_arg1964z00_750), BUNSPEC); 
BgL_res2209z00_1271 = BgL_new1707z00_1251; BgL_res2209z00_1271; } 
BgL_res2210z00_1272 = BgL_new1707z00_1251; } } 
BgL_arg1956z00_742 = BgL_res2210z00_1272; } } 
{ /* Object/class.scm 124 */
obj_t BgL_auxz00_2234;BgL_objectz00_bglt BgL_auxz00_2232;
BgL_auxz00_2234 = 
(obj_t)(BgL_arg1956z00_742); 
BgL_auxz00_2232 = 
(BgL_objectz00_bglt)(BgL_obj1906z00_741); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2232, BgL_auxz00_2234); } } 
{ /* Object/class.scm 124 */
long BgL_arg1968z00_754;
BgL_arg1968z00_754 = 
BGl_classzd2numzd2zz__objectz00(BGl_tclassz00zzobject_classz00); 
{ /* Object/class.scm 124 */
BgL_objectz00_bglt BgL_auxz00_2238;
BgL_auxz00_2238 = 
(BgL_objectz00_bglt)(BgL_obj1906z00_741); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2238, BgL_arg1968z00_754); } } 
{ /* Object/class.scm 124 */
obj_t BgL_auxz00_2241;
BgL_auxz00_2241 = 
(obj_t)(BgL_obj1906z00_741); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2241); } BUNSPEC; BgL_obj1906z00_741; } 
((((BgL_typez00_bglt)CREF(BgL_typez00_740))->BgL_siza7eza7) = ((obj_t)BgL_siza7eofza7_738), BUNSPEC); 
{ /* Object/class.scm 137 */
obj_t BgL_auxz00_2245;
BgL_auxz00_2245 = 
(obj_t)(BgL_typez00_740); 
BGl_za2classzd2typezd2listza2z00zzobject_classz00 = 
MAKE_PAIR(BgL_auxz00_2245, BGl_za2classzd2typezd2listza2z00zzobject_classz00); } 
return BgL_typez00_740;} } } } } } } } } 
}



/* _declare-class-type! */
obj_t BGl__declarezd2classzd2typez12z12zzobject_classz00(obj_t BgL_envz00_1977, obj_t BgL_classzd2defzd2_1978, obj_t BgL_classzd2holderzd2_1979, obj_t BgL_wideningz00_1980, obj_t BgL_finalzf3zf3_1981, obj_t BgL_abstractzf3zf3_1982, obj_t BgL_srcz00_1983)
{ AN_OBJECT;
{ /* Object/class.scm 104 */
{ /* Object/class.scm 104 */
BgL_typez00_bglt BgL_auxz00_2248;
BgL_auxz00_2248 = 
BGl_declarezd2classzd2typez12z12zzobject_classz00(BgL_classzd2defzd2_1978, 
(BgL_globalz00_bglt)(BgL_classzd2holderzd2_1979), BgL_wideningz00_1980, 
CBOOL(BgL_finalzf3zf3_1981), 
CBOOL(BgL_abstractzf3zf3_1982), BgL_srcz00_1983); 
return 
(obj_t)(BgL_auxz00_2248);} } 
}



/* declare-java-class-type! */
BgL_typez00_bglt BGl_declarezd2javazd2classzd2typez12zc0zzobject_classz00(obj_t BgL_classzd2idzd2_8, obj_t BgL_superz00_9, obj_t BgL_jnamez00_10, obj_t BgL_packagez00_11, obj_t BgL_srcz00_12)
{ AN_OBJECT;
{ /* Object/class.scm 147 */
{ /* Object/class.scm 148 */
obj_t BgL_superz00_761;BgL_typez00_bglt BgL_typez00_762;
{ /* Object/class.scm 149 */
bool_t BgL_testz00_2254;
{ /* Object/class.scm 149 */
obj_t BgL_auxz00_2255;
{ /* Object/class.scm 149 */
BgL_typez00_bglt BgL_obj1002z00_1278;
BgL_obj1002z00_1278 = 
(BgL_typez00_bglt)(BgL_superz00_9); 
BgL_auxz00_2255 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1278))->BgL_idz00); } 
BgL_testz00_2254 = 
(BgL_auxz00_2255==BgL_classzd2idzd2_8); } 
if(BgL_testz00_2254)
{ /* Object/class.scm 149 */
BgL_superz00_761 = BFALSE; }  else 
{ /* Object/class.scm 151 */
bool_t BgL_test1979z00_769;
BgL_test1979z00_769 = 
(BgL_superz00_9==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test1979z00_769)
{ /* Object/class.scm 151 */
BgL_superz00_761 = BFALSE; }  else 
{ /* Object/class.scm 151 */
BgL_superz00_761 = BgL_superz00_9; } } } 
BgL_typez00_762 = 
BGl_declarezd2typez12zc0zztype_envz00(BgL_classzd2idzd2_8, BgL_jnamez00_10, 
CNST_TABLE_REF(((long)1))); 
{ /* Object/class.scm 159 */
BgL_jclassz00_bglt BgL_obj1907z00_763;
BgL_obj1907z00_763 = 
((BgL_jclassz00_bglt)BgL_typez00_762); 
{ /* Object/class.scm 160 */
BgL_jclassz00_bglt BgL_arg1974z00_764;
{ /* Object/class.scm 160 */
obj_t BgL_arg1975z00_765;obj_t BgL_arg1976z00_766;
BgL_arg1975z00_765 = BgL_superz00_761; 
BgL_arg1976z00_766 = BgL_packagez00_11; 
{ /* Object/class.scm 159 */
BgL_jclassz00_bglt BgL_res2212z00_1291;
{ /* Object/class.scm 159 */
BgL_jclassz00_bglt BgL_new1822z00_1282;
BgL_new1822z00_1282 = 
((BgL_jclassz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jclassz00_bgl)))); 
{ /* Object/class.scm 159 */
BgL_jclassz00_bglt BgL_res2211z00_1290;
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1282))->BgL_itszd2superzd2) = ((obj_t)BgL_arg1975z00_765), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1282))->BgL_slotsz00) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1282))->BgL_packagez00) = ((obj_t)BgL_arg1976z00_766), BUNSPEC); 
BgL_res2211z00_1290 = BgL_new1822z00_1282; BgL_res2211z00_1290; } 
BgL_res2212z00_1291 = BgL_new1822z00_1282; } 
BgL_arg1974z00_764 = BgL_res2212z00_1291; } } 
{ /* Object/class.scm 159 */
obj_t BgL_auxz00_2270;BgL_objectz00_bglt BgL_auxz00_2268;
BgL_auxz00_2270 = 
(obj_t)(BgL_arg1974z00_764); 
BgL_auxz00_2268 = 
(BgL_objectz00_bglt)(BgL_obj1907z00_763); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2268, BgL_auxz00_2270); } } 
{ /* Object/class.scm 159 */
long BgL_arg1977z00_767;
BgL_arg1977z00_767 = 
BGl_classzd2numzd2zz__objectz00(BGl_jclassz00zzobject_classz00); 
{ /* Object/class.scm 159 */
BgL_objectz00_bglt BgL_auxz00_2274;
BgL_auxz00_2274 = 
(BgL_objectz00_bglt)(BgL_obj1907z00_763); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2274, BgL_arg1977z00_767); } } 
{ /* Object/class.scm 159 */
obj_t BgL_auxz00_2277;
BgL_auxz00_2277 = 
(obj_t)(BgL_obj1907z00_763); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2277); } BUNSPEC; BgL_obj1907z00_763; } 
return BgL_typez00_762;} } 
}



/* _declare-java-class-type! */
obj_t BGl__declarezd2javazd2classzd2typez12zc0zzobject_classz00(obj_t BgL_envz00_1984, obj_t BgL_classzd2idzd2_1985, obj_t BgL_superz00_1986, obj_t BgL_jnamez00_1987, obj_t BgL_packagez00_1988, obj_t BgL_srcz00_1989)
{ AN_OBJECT;
{ /* Object/class.scm 147 */
{ /* Object/class.scm 147 */
BgL_typez00_bglt BgL_auxz00_2280;
BgL_auxz00_2280 = 
BGl_declarezd2javazd2classzd2typez12zc0zzobject_classz00(BgL_classzd2idzd2_1985, BgL_superz00_1986, BgL_jnamez00_1987, BgL_packagez00_1988, BgL_srcz00_1989); 
return 
(obj_t)(BgL_auxz00_2280);} } 
}



/* cross-name */
obj_t BGl_crosszd2namezd2zzobject_classz00(obj_t BgL_typez00_13)
{ AN_OBJECT;
{ /* Object/class.scm 172 */
{ /* Object/class.scm 173 */
bool_t BgL_test1981z00_771;
BgL_test1981z00_771 = 
BGl_iszd2azf3z21zz__objectz00(BgL_typez00_13, BGl_tclassz00zzobject_classz00); 
if(BgL_test1981z00_771)
{ /* Object/class.scm 174 */
obj_t BgL_auxz00_2285;
{ /* Object/class.scm 174 */
BgL_typez00_bglt BgL_obj1006z00_1296;
BgL_obj1006z00_1296 = 
(BgL_typez00_bglt)(BgL_typez00_13); 
BgL_auxz00_2285 = 
(((BgL_typez00_bglt)CREF(BgL_obj1006z00_1296))->BgL_siza7eza7); } 
return 
string_append(BgL_auxz00_2285, BGl_string2245z00zzobject_classz00);}  else 
{ /* Object/class.scm 175 */
BgL_typez00_bglt BgL_obj1003z00_1297;
BgL_obj1003z00_1297 = 
(BgL_typez00_bglt)(BgL_typez00_13); 
return 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1297))->BgL_namez00);} } } 
}



/* dump-class-types */
obj_t BGl_dumpzd2classzd2typesz00zzobject_classz00(obj_t BgL_oportz00_14)
{ AN_OBJECT;
{ /* Object/class.scm 180 */
{ 
obj_t BgL_slotz00_799;
{ 
obj_t BgL_l1912z00_775;
{ /* Object/class.scm 199 */
obj_t BgL_arg1984z00_777;
BgL_arg1984z00_777 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2classzd2typezd2listza2z00zzobject_classz00); 
{ /* Object/class.scm 191 */
bool_t BgL_auxz00_2292;
BgL_l1912z00_775 = BgL_arg1984z00_777; 
BgL_lname1913z00_776:
if(
PAIRP(BgL_l1912z00_775))
{ /* Object/class.scm 191 */
{ /* Object/class.scm 192 */
obj_t BgL_classz00_779;
BgL_classz00_779 = 
CAR(BgL_l1912z00_775); 
{ /* Object/class.scm 192 */
bool_t BgL_test1986z00_780;
{ /* Object/class.scm 192 */
obj_t BgL_arg1997z00_797;
BgL_arg1997z00_797 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
BgL_test1986z00_780 = 
(BgL_classz00_779==BgL_arg1997z00_797); } 
if(BgL_test1986z00_780)
{ /* Object/class.scm 192 */BFALSE; }  else 
{ /* Object/class.scm 192 */
{ /* Object/class.scm 194 */
obj_t BgL_list1987z00_782;
BgL_list1987z00_782 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2249z00zzobject_classz00, BgL_list1987z00_782); } 
{ /* Object/class.scm 194 */
obj_t BgL_arg1988z00_783;
{ /* Object/class.scm 194 */
BgL_typez00_bglt BgL_obj1003z00_1300;
BgL_obj1003z00_1300 = 
(BgL_typez00_bglt)(BgL_classz00_779); 
BgL_arg1988z00_783 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1300))->BgL_namez00); } 
{ /* Object/class.scm 194 */
obj_t BgL_list1989z00_784;
BgL_list1989z00_784 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg1988z00_783, BgL_list1989z00_784); } } 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_14); 
{ /* Object/class.scm 195 */
obj_t BgL_list1990z00_786;
BgL_list1990z00_786 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2250z00zzobject_classz00, BgL_list1990z00_786); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_14); 
{ /* Object/class.scm 196 */
obj_t BgL_list1991z00_788;
BgL_list1991z00_788 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2251z00zzobject_classz00, BgL_list1991z00_788); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_14); 
{ 
obj_t BgL_l1917z00_789;
{ /* Object/class.scm 197 */
BgL_tclassz00_bglt BgL_obj1765z00_1304;
BgL_obj1765z00_1304 = 
(BgL_tclassz00_bglt)(BgL_classz00_779); 
{ 
obj_t BgL_auxz00_2364;
{ /* Object/class.scm 197 */
BgL_objectz00_bglt BgL_auxz00_2365;
BgL_auxz00_2365 = 
(BgL_objectz00_bglt)(BgL_obj1765z00_1304); 
BgL_auxz00_2364 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2365); } 
BgL_l1917z00_789 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2364))->BgL_slotsz00); } } 
BgL_lname1918z00_790:
if(
PAIRP(BgL_l1917z00_789))
{ /* Object/class.scm 197 */
BgL_slotz00_799 = 
CAR(BgL_l1917z00_789); 
{ /* Object/class.scm 183 */
obj_t BgL_cnamez00_802;
{ /* Object/class.scm 183 */
obj_t BgL_auxz00_2314;
{ /* Object/class.scm 183 */
BgL_slotz00_bglt BgL_obj1094z00_1310;
BgL_obj1094z00_1310 = 
(BgL_slotz00_bglt)(BgL_slotz00_799); 
BgL_auxz00_2314 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1094z00_1310))->BgL_typez00); } 
BgL_cnamez00_802 = 
BGl_crosszd2namezd2zzobject_classz00(BgL_auxz00_2314); } 
{ /* Object/class.scm 185 */
bool_t BgL_testz00_2318;
{ /* Object/class.scm 185 */
long BgL_auxz00_2319;
{ /* Object/class.scm 185 */
obj_t BgL_auxz00_2320;
{ /* Object/class.scm 185 */
BgL_slotz00_bglt BgL_obj1097z00_1311;
BgL_obj1097z00_1311 = 
(BgL_slotz00_bglt)(BgL_slotz00_799); 
BgL_auxz00_2320 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1097z00_1311))->BgL_virtualzd2numzd2); } 
BgL_auxz00_2319 = 
(long)CINT(BgL_auxz00_2320); } 
BgL_testz00_2318 = 
(BgL_auxz00_2319>=((long)0)); } 
if(BgL_testz00_2318)
{ /* Object/class.scm 185 */BUNSPEC; }  else 
{ /* Object/class.scm 187 */
bool_t BgL_testz00_2325;
{ /* Object/class.scm 187 */
BgL_slotz00_bglt BgL_obj1106z00_1314;
BgL_obj1106z00_1314 = 
(BgL_slotz00_bglt)(BgL_slotz00_799); 
{ /* Object/class.scm 187 */
obj_t BgL_auxz00_2327;
BgL_auxz00_2327 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1106z00_1314))->BgL_indexedz00); 
BgL_testz00_2325 = 
CBOOL(BgL_auxz00_2327); } } 
if(BgL_testz00_2325)
{ /* Object/class.scm 187 */
{ /* Object/class.scm 188 */
obj_t BgL_list2002z00_806;
BgL_list2002z00_806 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2246z00zzobject_classz00, BgL_list2002z00_806); } 
{ /* Object/class.scm 188 */
obj_t BgL_list2003z00_807;
BgL_list2003z00_807 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_cnamez00_802, BgL_list2003z00_807); } 
{ /* Object/class.scm 188 */
obj_t BgL_list2004z00_808;
BgL_list2004z00_808 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2245z00zzobject_classz00, BgL_list2004z00_808); } 
{ /* Object/class.scm 188 */
obj_t BgL_arg2005z00_809;
{ /* Object/class.scm 188 */
BgL_slotz00_bglt BgL_obj1091z00_1315;
BgL_obj1091z00_1315 = 
(BgL_slotz00_bglt)(BgL_slotz00_799); 
BgL_arg2005z00_809 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1091z00_1315))->BgL_namez00); } 
{ /* Object/class.scm 188 */
obj_t BgL_list2006z00_810;
BgL_list2006z00_810 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg2005z00_809, BgL_list2006z00_810); } } 
{ /* Object/class.scm 188 */
obj_t BgL_list2007z00_811;
BgL_list2007z00_811 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2247z00zzobject_classz00, BgL_list2007z00_811); } 
{ /* Object/class.scm 188 */
unsigned char BgL_auxz00_2342;
BgL_auxz00_2342 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_14); 
BCHAR(BgL_auxz00_2342); } }  else 
{ /* Object/class.scm 187 */
{ /* Object/class.scm 190 */
obj_t BgL_list2008z00_813;
BgL_list2008z00_813 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2246z00zzobject_classz00, BgL_list2008z00_813); } 
{ /* Object/class.scm 190 */
obj_t BgL_list2009z00_814;
BgL_list2009z00_814 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_cnamez00_802, BgL_list2009z00_814); } 
{ /* Object/class.scm 190 */
obj_t BgL_list2010z00_815;
BgL_list2010z00_815 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2248z00zzobject_classz00, BgL_list2010z00_815); } 
{ /* Object/class.scm 190 */
obj_t BgL_arg2011z00_816;
{ /* Object/class.scm 190 */
BgL_slotz00_bglt BgL_obj1091z00_1317;
BgL_obj1091z00_1317 = 
(BgL_slotz00_bglt)(BgL_slotz00_799); 
BgL_arg2011z00_816 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1091z00_1317))->BgL_namez00); } 
{ /* Object/class.scm 190 */
obj_t BgL_list2012z00_817;
BgL_list2012z00_817 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg2011z00_816, BgL_list2012z00_817); } } 
{ /* Object/class.scm 190 */
obj_t BgL_list2013z00_818;
BgL_list2013z00_818 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2247z00zzobject_classz00, BgL_list2013z00_818); } 
{ /* Object/class.scm 190 */
unsigned char BgL_auxz00_2357;
BgL_auxz00_2357 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_14); 
BCHAR(BgL_auxz00_2357); } } } } } 
{ 
obj_t BgL_l1917z00_2361;
BgL_l1917z00_2361 = 
CDR(BgL_l1917z00_789); 
BgL_l1917z00_789 = BgL_l1917z00_2361; 
goto BgL_lname1918z00_790;} }  else 
{ /* Object/class.scm 197 */((bool_t)1); } } 
{ /* Object/class.scm 198 */
obj_t BgL_list1996z00_796;
BgL_list1996z00_796 = 
MAKE_PAIR(BgL_oportz00_14, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2252z00zzobject_classz00, BgL_list1996z00_796); } 
{ /* Object/class.scm 198 */
unsigned char BgL_auxz00_2371;
BgL_auxz00_2371 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_14); 
BCHAR(BgL_auxz00_2371); } } } } 
{ 
obj_t BgL_l1912z00_2374;
BgL_l1912z00_2374 = 
CDR(BgL_l1912z00_775); 
BgL_l1912z00_775 = BgL_l1912z00_2374; 
goto BgL_lname1913z00_776;} }  else 
{ /* Object/class.scm 191 */
BgL_auxz00_2292 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_2292);} } } } } 
}



/* _dump-class-types */
obj_t BGl__dumpzd2classzd2typesz00zzobject_classz00(obj_t BgL_envz00_1990, obj_t BgL_oportz00_1991)
{ AN_OBJECT;
{ /* Object/class.scm 180 */
return 
BGl_dumpzd2classzd2typesz00zzobject_classz00(BgL_oportz00_1991);} 
}



/* emit-class-types */
obj_t BGl_emitzd2classzd2typesz00zzobject_classz00(obj_t BgL_oportz00_15)
{ AN_OBJECT;
{ /* Object/class.scm 204 */
{ 
obj_t BgL_slotz00_866;
{ /* Object/class.scm 215 */
bool_t BgL_test2017z00_824;
{ /* Object/class.scm 215 */
obj_t BgL_objz00_1319;
BgL_objz00_1319 = BGl_za2classzd2typezd2listza2z00zzobject_classz00; 
BgL_test2017z00_824 = 
PAIRP(BgL_objz00_1319); } 
if(BgL_test2017z00_824)
{ /* Object/class.scm 215 */
{ /* Object/class.scm 216 */
obj_t BgL_list2018z00_826;
BgL_list2018z00_826 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
BCHAR(((unsigned char)'\n')), BgL_list2018z00_826); } 
{ /* Object/class.scm 216 */
obj_t BgL_list2019z00_827;
BgL_list2019z00_827 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2255z00zzobject_classz00, BgL_list2019z00_827); } 
{ /* Object/class.scm 216 */
unsigned char BgL_auxz00_2385;
BgL_auxz00_2385 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
BCHAR(BgL_auxz00_2385); } }  else 
{ /* Object/class.scm 215 */BFALSE; } } 
{ 
obj_t BgL_l1925z00_828;
{ /* Object/class.scm 238 */
obj_t BgL_arg2020z00_830;
BgL_arg2020z00_830 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2classzd2typezd2listza2z00zzobject_classz00); 
BgL_l1925z00_828 = BgL_arg2020z00_830; 
BgL_lname1926z00_829:
if(
PAIRP(BgL_l1925z00_828))
{ /* Object/class.scm 217 */
{ /* Object/class.scm 218 */
obj_t BgL_classz00_832;
BgL_classz00_832 = 
CAR(BgL_l1925z00_828); 
{ /* Object/class.scm 218 */
bool_t BgL_test2022z00_833;
{ /* Object/class.scm 218 */
obj_t BgL_arg2044z00_863;
BgL_arg2044z00_863 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
BgL_test2022z00_833 = 
(BgL_classz00_832==BgL_arg2044z00_863); } 
if(BgL_test2022z00_833)
{ /* Object/class.scm 218 */BFALSE; }  else 
{ /* Object/class.scm 218 */
{ /* Object/class.scm 220 */
obj_t BgL_list2023z00_835;
BgL_list2023z00_835 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2256z00zzobject_classz00, BgL_list2023z00_835); } 
{ /* Object/class.scm 220 */
obj_t BgL_arg2024z00_836;
{ /* Object/class.scm 220 */
BgL_typez00_bglt BgL_obj1006z00_1323;
BgL_obj1006z00_1323 = 
(BgL_typez00_bglt)(BgL_classz00_832); 
BgL_arg2024z00_836 = 
(((BgL_typez00_bglt)CREF(BgL_obj1006z00_1323))->BgL_siza7eza7); } 
{ /* Object/class.scm 220 */
obj_t BgL_list2025z00_837;
BgL_list2025z00_837 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg2024z00_836, BgL_list2025z00_837); } } 
{ /* Object/class.scm 220 */
obj_t BgL_list2026z00_838;
BgL_list2026z00_838 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2257z00zzobject_classz00, BgL_list2026z00_838); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
{ /* Object/class.scm 221 */
bool_t BgL_testz00_2404;
{ /* Object/class.scm 221 */
BgL_tclassz00_bglt BgL_obj1769z00_1325;
BgL_obj1769z00_1325 = 
(BgL_tclassz00_bglt)(BgL_classz00_832); 
{ /* Object/class.scm 221 */
obj_t BgL_auxz00_2406;
{ 
obj_t BgL_auxz00_2407;
{ /* Object/class.scm 221 */
BgL_objectz00_bglt BgL_auxz00_2408;
BgL_auxz00_2408 = 
(BgL_objectz00_bglt)(BgL_obj1769z00_1325); 
BgL_auxz00_2407 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2408); } 
BgL_auxz00_2406 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2407))->BgL_wideningz00); } 
BgL_testz00_2404 = 
CBOOL(BgL_auxz00_2406); } } 
if(BgL_testz00_2404)
{ /* Object/class.scm 226 */
bool_t BgL_test2028z00_840;
{ /* Object/class.scm 226 */
bool_t BgL_test2033z00_847;
{ /* Object/class.scm 226 */
obj_t BgL_objz00_1326;
BgL_objz00_1326 = BGl_za2heapzd2debugza2zd2zzengine_paramz00; 
BgL_test2033z00_847 = 
INTEGERP(BgL_objz00_1326); } 
if(BgL_test2033z00_847)
{ /* Object/class.scm 227 */
long BgL_n1z00_1327;
BgL_n1z00_1327 = 
(long)CINT(BGl_za2heapzd2debugza2zd2zzengine_paramz00); 
BgL_test2028z00_840 = 
(BgL_n1z00_1327>=((long)1)); }  else 
{ /* Object/class.scm 226 */
BgL_test2028z00_840 = ((bool_t)0); } } 
if(BgL_test2028z00_840)
{ /* Object/class.scm 226 */
{ /* Object/class.scm 228 */
obj_t BgL_list2029z00_842;
BgL_list2029z00_842 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2258z00zzobject_classz00, BgL_list2029z00_842); } 
{ /* Object/class.scm 228 */
unsigned char BgL_auxz00_2420;
BgL_auxz00_2420 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
BCHAR(BgL_auxz00_2420); } }  else 
{ /* Object/class.scm 229 */
bool_t BgL_testz00_2423;
{ /* Object/class.scm 229 */
obj_t BgL_auxz00_2424;
{ /* Object/class.scm 229 */
BgL_tclassz00_bglt BgL_obj1765z00_1330;
BgL_obj1765z00_1330 = 
(BgL_tclassz00_bglt)(BgL_classz00_832); 
{ 
obj_t BgL_auxz00_2426;
{ /* Object/class.scm 229 */
BgL_objectz00_bglt BgL_auxz00_2427;
BgL_auxz00_2427 = 
(BgL_objectz00_bglt)(BgL_obj1765z00_1330); 
BgL_auxz00_2426 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2427); } 
BgL_auxz00_2424 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2426))->BgL_slotsz00); } } 
BgL_testz00_2423 = 
NULLP(BgL_auxz00_2424); } 
if(BgL_testz00_2423)
{ /* Object/class.scm 229 */
{ /* Object/class.scm 235 */
obj_t BgL_list2031z00_845;
BgL_list2031z00_845 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2259z00zzobject_classz00, BgL_list2031z00_845); } 
{ /* Object/class.scm 235 */
unsigned char BgL_auxz00_2434;
BgL_auxz00_2434 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
BCHAR(BgL_auxz00_2434); } }  else 
{ /* Object/class.scm 229 */BFALSE; } } }  else 
{ /* Object/class.scm 221 */
{ /* Object/class.scm 223 */
obj_t BgL_list2034z00_849;
BgL_list2034z00_849 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2258z00zzobject_classz00, BgL_list2034z00_849); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
{ /* Object/class.scm 224 */
obj_t BgL_list2035z00_851;
BgL_list2035z00_851 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2260z00zzobject_classz00, BgL_list2035z00_851); } 
{ /* Object/class.scm 224 */
unsigned char BgL_auxz00_2442;
BgL_auxz00_2442 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
BCHAR(BgL_auxz00_2442); } } } 
{ 
obj_t BgL_l1932z00_852;
{ /* Object/class.scm 236 */
BgL_tclassz00_bglt BgL_obj1765z00_1335;
BgL_obj1765z00_1335 = 
(BgL_tclassz00_bglt)(BgL_classz00_832); 
{ 
obj_t BgL_auxz00_2497;
{ /* Object/class.scm 236 */
BgL_objectz00_bglt BgL_auxz00_2498;
BgL_auxz00_2498 = 
(BgL_objectz00_bglt)(BgL_obj1765z00_1335); 
BgL_auxz00_2497 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2498); } 
BgL_l1932z00_852 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2497))->BgL_slotsz00); } } 
BgL_lname1933z00_853:
if(
PAIRP(BgL_l1932z00_852))
{ /* Object/class.scm 236 */
BgL_slotz00_866 = 
CAR(BgL_l1932z00_852); 
{ /* Object/class.scm 207 */
obj_t BgL_cnamez00_869;
{ /* Object/class.scm 207 */
obj_t BgL_auxz00_2447;
{ /* Object/class.scm 207 */
BgL_slotz00_bglt BgL_obj1094z00_1344;
BgL_obj1094z00_1344 = 
(BgL_slotz00_bglt)(BgL_slotz00_866); 
BgL_auxz00_2447 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1094z00_1344))->BgL_typez00); } 
BgL_cnamez00_869 = 
BGl_crosszd2namezd2zzobject_classz00(BgL_auxz00_2447); } 
{ /* Object/class.scm 209 */
bool_t BgL_testz00_2451;
{ /* Object/class.scm 209 */
long BgL_auxz00_2452;
{ /* Object/class.scm 209 */
obj_t BgL_auxz00_2453;
{ /* Object/class.scm 209 */
BgL_slotz00_bglt BgL_obj1097z00_1345;
BgL_obj1097z00_1345 = 
(BgL_slotz00_bglt)(BgL_slotz00_866); 
BgL_auxz00_2453 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1097z00_1345))->BgL_virtualzd2numzd2); } 
BgL_auxz00_2452 = 
(long)CINT(BgL_auxz00_2453); } 
BgL_testz00_2451 = 
(BgL_auxz00_2452>=((long)0)); } 
if(BgL_testz00_2451)
{ /* Object/class.scm 209 */BUNSPEC; }  else 
{ /* Object/class.scm 211 */
bool_t BgL_testz00_2458;
{ /* Object/class.scm 211 */
BgL_slotz00_bglt BgL_obj1106z00_1348;
BgL_obj1106z00_1348 = 
(BgL_slotz00_bglt)(BgL_slotz00_866); 
{ /* Object/class.scm 211 */
obj_t BgL_auxz00_2460;
BgL_auxz00_2460 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1106z00_1348))->BgL_indexedz00); 
BgL_testz00_2458 = 
CBOOL(BgL_auxz00_2460); } } 
if(BgL_testz00_2458)
{ /* Object/class.scm 211 */
{ /* Object/class.scm 212 */
obj_t BgL_list2050z00_873;
BgL_list2050z00_873 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2253z00zzobject_classz00, BgL_list2050z00_873); } 
{ /* Object/class.scm 212 */
obj_t BgL_list2051z00_874;
BgL_list2051z00_874 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_cnamez00_869, BgL_list2051z00_874); } 
{ /* Object/class.scm 212 */
obj_t BgL_list2052z00_875;
BgL_list2052z00_875 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2245z00zzobject_classz00, BgL_list2052z00_875); } 
{ /* Object/class.scm 212 */
obj_t BgL_arg2053z00_876;
{ /* Object/class.scm 212 */
BgL_slotz00_bglt BgL_obj1091z00_1349;
BgL_obj1091z00_1349 = 
(BgL_slotz00_bglt)(BgL_slotz00_866); 
BgL_arg2053z00_876 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1091z00_1349))->BgL_namez00); } 
{ /* Object/class.scm 212 */
obj_t BgL_list2054z00_877;
BgL_list2054z00_877 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg2053z00_876, BgL_list2054z00_877); } } 
{ /* Object/class.scm 212 */
obj_t BgL_list2055z00_878;
BgL_list2055z00_878 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2254z00zzobject_classz00, BgL_list2055z00_878); } 
{ /* Object/class.scm 212 */
unsigned char BgL_auxz00_2475;
BgL_auxz00_2475 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
BCHAR(BgL_auxz00_2475); } }  else 
{ /* Object/class.scm 211 */
{ /* Object/class.scm 214 */
obj_t BgL_list2056z00_880;
BgL_list2056z00_880 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2253z00zzobject_classz00, BgL_list2056z00_880); } 
{ /* Object/class.scm 214 */
obj_t BgL_list2057z00_881;
BgL_list2057z00_881 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_cnamez00_869, BgL_list2057z00_881); } 
{ /* Object/class.scm 214 */
obj_t BgL_list2058z00_882;
BgL_list2058z00_882 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2248z00zzobject_classz00, BgL_list2058z00_882); } 
{ /* Object/class.scm 214 */
obj_t BgL_arg2059z00_883;
{ /* Object/class.scm 214 */
BgL_slotz00_bglt BgL_obj1091z00_1351;
BgL_obj1091z00_1351 = 
(BgL_slotz00_bglt)(BgL_slotz00_866); 
BgL_arg2059z00_883 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1091z00_1351))->BgL_namez00); } 
{ /* Object/class.scm 214 */
obj_t BgL_list2060z00_884;
BgL_list2060z00_884 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg2059z00_883, BgL_list2060z00_884); } } 
{ /* Object/class.scm 214 */
obj_t BgL_list2061z00_885;
BgL_list2061z00_885 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2254z00zzobject_classz00, BgL_list2061z00_885); } 
{ /* Object/class.scm 214 */
unsigned char BgL_auxz00_2490;
BgL_auxz00_2490 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
BCHAR(BgL_auxz00_2490); } } } } } 
{ 
obj_t BgL_l1932z00_2494;
BgL_l1932z00_2494 = 
CDR(BgL_l1932z00_852); 
BgL_l1932z00_852 = BgL_l1932z00_2494; 
goto BgL_lname1933z00_853;} }  else 
{ /* Object/class.scm 236 */((bool_t)1); } } 
{ /* Object/class.scm 237 */
obj_t BgL_list2040z00_859;
BgL_list2040z00_859 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2261z00zzobject_classz00, BgL_list2040z00_859); } 
{ /* Object/class.scm 237 */
obj_t BgL_arg2041z00_860;
{ /* Object/class.scm 237 */
BgL_typez00_bglt BgL_obj1003z00_1339;
BgL_obj1003z00_1339 = 
(BgL_typez00_bglt)(BgL_classz00_832); 
BgL_arg2041z00_860 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1339))->BgL_namez00); } 
{ /* Object/class.scm 237 */
obj_t BgL_list2042z00_861;
BgL_list2042z00_861 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg2041z00_860, BgL_list2042z00_861); } } 
{ /* Object/class.scm 237 */
obj_t BgL_list2043z00_862;
BgL_list2043z00_862 = 
MAKE_PAIR(BgL_oportz00_15, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2262z00zzobject_classz00, BgL_list2043z00_862); } 
{ /* Object/class.scm 237 */
unsigned char BgL_auxz00_2510;
BgL_auxz00_2510 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
BCHAR(BgL_auxz00_2510); } } } } 
{ 
obj_t BgL_l1925z00_2513;
BgL_l1925z00_2513 = 
CDR(BgL_l1925z00_828); 
BgL_l1925z00_828 = BgL_l1925z00_2513; 
goto BgL_lname1926z00_829;} }  else 
{ /* Object/class.scm 217 */((bool_t)1); } } } 
{ /* Object/class.scm 239 */
bool_t BgL_test2046z00_865;
{ /* Object/class.scm 239 */
obj_t BgL_objz00_1342;
BgL_objz00_1342 = BGl_za2classzd2typezd2listza2z00zzobject_classz00; 
BgL_test2046z00_865 = 
PAIRP(BgL_objz00_1342); } 
if(BgL_test2046z00_865)
{ /* Object/class.scm 240 */
unsigned char BgL_auxz00_2517;
BgL_auxz00_2517 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_15); 
return 
BCHAR(BgL_auxz00_2517);}  else 
{ /* Object/class.scm 239 */
return BFALSE;} } } } 
}



/* _emit-class-types */
obj_t BGl__emitzd2classzd2typesz00zzobject_classz00(obj_t BgL_envz00_1992, obj_t BgL_oportz00_1993)
{ AN_OBJECT;
{ /* Object/class.scm 204 */
return 
BGl_emitzd2classzd2typesz00zzobject_classz00(BgL_oportz00_1993);} 
}



/* emit-bdb-class-types */
obj_t BGl_emitzd2bdbzd2classzd2typeszd2zzobject_classz00(obj_t BgL_oportz00_16)
{ AN_OBJECT;
{ /* Object/class.scm 245 */
{ /* Object/class.scm 246 */
bool_t BgL_test2065z00_890;
{ /* Object/class.scm 246 */
obj_t BgL_objz00_1353;
BgL_objz00_1353 = BGl_za2classzd2typezd2listza2z00zzobject_classz00; 
BgL_test2065z00_890 = 
PAIRP(BgL_objz00_1353); } 
if(BgL_test2065z00_890)
{ /* Object/class.scm 246 */
{ /* Object/class.scm 247 */
obj_t BgL_list2066z00_892;
BgL_list2066z00_892 = 
MAKE_PAIR(BgL_oportz00_16, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2263z00zzobject_classz00, BgL_list2066z00_892); } 
{ /* Object/class.scm 247 */
unsigned char BgL_auxz00_2525;
BgL_auxz00_2525 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_16); 
BCHAR(BgL_auxz00_2525); } }  else 
{ /* Object/class.scm 246 */BFALSE; } } 
{ 
obj_t BgL_l1936z00_893;
{ /* Object/class.scm 248 */
bool_t BgL_auxz00_2528;
BgL_l1936z00_893 = BGl_za2classzd2typezd2listza2z00zzobject_classz00; 
BgL_lname1937z00_894:
if(
PAIRP(BgL_l1936z00_893))
{ /* Object/class.scm 248 */
{ /* Object/class.scm 249 */
obj_t BgL_classz00_896;
BgL_classz00_896 = 
CAR(BgL_l1936z00_893); 
{ /* Object/class.scm 250 */
bool_t BgL_test2068z00_898;
{ /* Object/class.scm 250 */
obj_t BgL_auxz00_2532;
{ /* Object/class.scm 250 */
BgL_globalz00_bglt BgL_arg2074z00_905;
{ /* Object/class.scm 250 */
BgL_tclassz00_bglt BgL_obj1768z00_1357;
BgL_obj1768z00_1357 = 
(BgL_tclassz00_bglt)(BgL_classz00_896); 
{ 
obj_t BgL_auxz00_2534;
{ /* Object/class.scm 250 */
BgL_objectz00_bglt BgL_auxz00_2535;
BgL_auxz00_2535 = 
(BgL_objectz00_bglt)(BgL_obj1768z00_1357); 
BgL_auxz00_2534 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2535); } 
BgL_arg2074z00_905 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2534))->BgL_holderz00); } } 
BgL_auxz00_2532 = 
(((BgL_globalz00_bglt)CREF(BgL_arg2074z00_905))->BgL_modulez00); } 
BgL_test2068z00_898 = 
(BgL_auxz00_2532==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test2068z00_898)
{ /* Object/class.scm 250 */
{ /* Object/class.scm 251 */
obj_t BgL_list2069z00_900;
BgL_list2069z00_900 = 
MAKE_PAIR(BgL_oportz00_16, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2264z00zzobject_classz00, BgL_list2069z00_900); } 
{ /* Object/class.scm 252 */
obj_t BgL_arg2070z00_901;
{ /* Object/class.scm 252 */
BgL_typez00_bglt BgL_obj1006z00_1359;
BgL_obj1006z00_1359 = 
(BgL_typez00_bglt)(BgL_classz00_896); 
BgL_arg2070z00_901 = 
(((BgL_typez00_bglt)CREF(BgL_obj1006z00_1359))->BgL_siza7eza7); } 
{ /* Object/class.scm 251 */
obj_t BgL_list2071z00_902;
BgL_list2071z00_902 = 
MAKE_PAIR(BgL_oportz00_16, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg2070z00_901, BgL_list2071z00_902); } } 
{ /* Object/class.scm 251 */
obj_t BgL_list2072z00_903;
BgL_list2072z00_903 = 
MAKE_PAIR(BgL_oportz00_16, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2265z00zzobject_classz00, BgL_list2072z00_903); } 
{ /* Object/class.scm 251 */
unsigned char BgL_auxz00_2550;
BgL_auxz00_2550 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_16); 
BCHAR(BgL_auxz00_2550); } }  else 
{ /* Object/class.scm 250 */BFALSE; } } } 
{ 
obj_t BgL_l1936z00_2553;
BgL_l1936z00_2553 = 
CDR(BgL_l1936z00_893); 
BgL_l1936z00_893 = BgL_l1936z00_2553; 
goto BgL_lname1937z00_894;} }  else 
{ /* Object/class.scm 248 */
BgL_auxz00_2528 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_2528);} } } 
}



/* _emit-bdb-class-types */
obj_t BGl__emitzd2bdbzd2classzd2typeszd2zzobject_classz00(obj_t BgL_envz00_1994, obj_t BgL_oportz00_1995)
{ AN_OBJECT;
{ /* Object/class.scm 245 */
return 
BGl_emitzd2bdbzd2classzd2typeszd2zzobject_classz00(BgL_oportz00_1995);} 
}



/* final-class? */
bool_t BGl_finalzd2classzf3z21zzobject_classz00(obj_t BgL_classz00_17)
{ AN_OBJECT;
{ /* Object/class.scm 261 */
{ /* Object/class.scm 262 */
bool_t BgL__andtest_1941z00_1362;
BgL__andtest_1941z00_1362 = 
BGl_iszd2azf3z21zz__objectz00(BgL_classz00_17, BGl_tclassz00zzobject_classz00); 
if(BgL__andtest_1941z00_1362)
{ /* Object/class.scm 262 */
BgL_tclassz00_bglt BgL_obj1773z00_1364;
BgL_obj1773z00_1364 = 
(BgL_tclassz00_bglt)(BgL_classz00_17); 
{ 
obj_t BgL_auxz00_2560;
{ /* Object/class.scm 262 */
BgL_objectz00_bglt BgL_auxz00_2561;
BgL_auxz00_2561 = 
(BgL_objectz00_bglt)(BgL_obj1773z00_1364); 
BgL_auxz00_2560 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2561); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2560))->BgL_finalzf3zf3);} }  else 
{ /* Object/class.scm 262 */
return ((bool_t)0);} } } 
}



/* _final-class? */
obj_t BGl__finalzd2classzf3z21zzobject_classz00(obj_t BgL_envz00_1996, obj_t BgL_classz00_1997)
{ AN_OBJECT;
{ /* Object/class.scm 261 */
{ /* Object/class.scm 261 */
bool_t BgL_auxz00_2565;
BgL_auxz00_2565 = 
BGl_finalzd2classzf3z21zzobject_classz00(BgL_classz00_1997); 
return 
BBOOL(BgL_auxz00_2565);} } 
}



/* wide-class? */
bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t BgL_classz00_18)
{ AN_OBJECT;
{ /* Object/class.scm 269 */
{ /* Object/class.scm 270 */
bool_t BgL__andtest_1942z00_1365;
BgL__andtest_1942z00_1365 = 
BGl_iszd2azf3z21zz__objectz00(BgL_classz00_18, BGl_tclassz00zzobject_classz00); 
if(BgL__andtest_1942z00_1365)
{ /* Object/class.scm 270 */
BgL_tclassz00_bglt BgL_obj1769z00_1367;
BgL_obj1769z00_1367 = 
(BgL_tclassz00_bglt)(BgL_classz00_18); 
{ /* Object/class.scm 270 */
obj_t BgL_auxz00_2571;
{ 
obj_t BgL_auxz00_2572;
{ /* Object/class.scm 270 */
BgL_objectz00_bglt BgL_auxz00_2573;
BgL_auxz00_2573 = 
(BgL_objectz00_bglt)(BgL_obj1769z00_1367); 
BgL_auxz00_2572 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2573); } 
BgL_auxz00_2571 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2572))->BgL_wideningz00); } 
return 
CBOOL(BgL_auxz00_2571);} }  else 
{ /* Object/class.scm 270 */
return ((bool_t)0);} } } 
}



/* _wide-class? */
obj_t BGl__widezd2classzf3z21zzobject_classz00(obj_t BgL_envz00_1998, obj_t BgL_classz00_1999)
{ AN_OBJECT;
{ /* Object/class.scm 269 */
{ /* Object/class.scm 269 */
bool_t BgL_auxz00_2578;
BgL_auxz00_2578 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_1999); 
return 
BBOOL(BgL_auxz00_2578);} } 
}



/* type-subclass? */
bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt BgL_subclassz00_19, BgL_typez00_bglt BgL_classz00_20)
{ AN_OBJECT;
{ /* Object/class.scm 275 */
{ /* Object/class.scm 277 */
bool_t BgL_test2076z00_909;
{ /* Object/class.scm 277 */
bool_t BgL_test2089z00_926;
BgL_test2089z00_926 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_classz00_20), BGl_tclassz00zzobject_classz00); 
if(BgL_test2089z00_926)
{ /* Object/class.scm 277 */
BgL_test2076z00_909 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_subclassz00_19), BGl_tclassz00zzobject_classz00); }  else 
{ /* Object/class.scm 277 */
BgL_test2076z00_909 = ((bool_t)0); } } 
if(BgL_test2076z00_909)
{ /* Object/class.scm 277 */
{ 
obj_t BgL_subclassz00_910;
BgL_subclassz00_910 = 
(obj_t)(BgL_subclassz00_19); 
BgL_loopz00_911:
{ /* Object/class.scm 280 */
bool_t BgL_testz00_2587;
{ /* Object/class.scm 280 */
obj_t BgL_auxz00_2588;
BgL_auxz00_2588 = 
(obj_t)(BgL_classz00_20); 
BgL_testz00_2587 = 
(BgL_subclassz00_910==BgL_auxz00_2588); } 
if(BgL_testz00_2587)
{ /* Object/class.scm 280 */
return ((bool_t)1);}  else 
{ /* Object/class.scm 282 */
bool_t BgL_test2078z00_913;
BgL_test2078z00_913 = 
BGl_iszd2azf3z21zz__objectz00(BgL_subclassz00_910, BGl_tclassz00zzobject_classz00); 
if(BgL_test2078z00_913)
{ /* Object/class.scm 284 */
bool_t BgL_testz00_2593;
{ /* Object/class.scm 284 */
obj_t BgL_auxz00_2594;
{ /* Object/class.scm 284 */
BgL_tclassz00_bglt BgL_obj1762z00_1371;
BgL_obj1762z00_1371 = 
(BgL_tclassz00_bglt)(BgL_subclassz00_910); 
{ 
obj_t BgL_auxz00_2596;
{ /* Object/class.scm 284 */
BgL_objectz00_bglt BgL_auxz00_2597;
BgL_auxz00_2597 = 
(BgL_objectz00_bglt)(BgL_obj1762z00_1371); 
BgL_auxz00_2596 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2597); } 
BgL_auxz00_2594 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2596))->BgL_itszd2superzd2); } } 
BgL_testz00_2593 = 
(BgL_auxz00_2594==BgL_subclassz00_910); } 
if(BgL_testz00_2593)
{ /* Object/class.scm 284 */
return ((bool_t)0);}  else 
{ /* Object/class.scm 284 */
{ 
obj_t BgL_subclassz00_2602;
{ /* Object/class.scm 287 */
BgL_tclassz00_bglt BgL_obj1762z00_1372;
BgL_obj1762z00_1372 = 
(BgL_tclassz00_bglt)(BgL_subclassz00_910); 
{ 
obj_t BgL_auxz00_2604;
{ /* Object/class.scm 287 */
BgL_objectz00_bglt BgL_auxz00_2605;
BgL_auxz00_2605 = 
(BgL_objectz00_bglt)(BgL_obj1762z00_1372); 
BgL_auxz00_2604 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2605); } 
BgL_subclassz00_2602 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2604))->BgL_itszd2superzd2); } } 
BgL_subclassz00_910 = BgL_subclassz00_2602; 
goto BgL_loopz00_911;} } }  else 
{ /* Object/class.scm 282 */
return ((bool_t)0);} } } } }  else 
{ /* Object/class.scm 288 */
bool_t BgL_test2082z00_917;
{ /* Object/class.scm 288 */
bool_t BgL_test2088z00_925;
BgL_test2088z00_925 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_classz00_20), BGl_jclassz00zzobject_classz00); 
if(BgL_test2088z00_925)
{ /* Object/class.scm 288 */
BgL_test2082z00_917 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_subclassz00_19), BGl_jclassz00zzobject_classz00); }  else 
{ /* Object/class.scm 288 */
BgL_test2082z00_917 = ((bool_t)0); } } 
if(BgL_test2082z00_917)
{ /* Object/class.scm 288 */
{ 
obj_t BgL_subclassz00_918;
BgL_subclassz00_918 = 
(obj_t)(BgL_subclassz00_19); 
BgL_loopz00_919:
{ /* Object/class.scm 291 */
bool_t BgL_testz00_2616;
{ /* Object/class.scm 291 */
obj_t BgL_auxz00_2617;
BgL_auxz00_2617 = 
(obj_t)(BgL_classz00_20); 
BgL_testz00_2616 = 
(BgL_subclassz00_918==BgL_auxz00_2617); } 
if(BgL_testz00_2616)
{ /* Object/class.scm 291 */
return ((bool_t)1);}  else 
{ /* Object/class.scm 293 */
bool_t BgL_test2084z00_921;
BgL_test2084z00_921 = 
BGl_iszd2azf3z21zz__objectz00(BgL_subclassz00_918, BGl_jclassz00zzobject_classz00); 
if(BgL_test2084z00_921)
{ /* Object/class.scm 295 */
bool_t BgL_testz00_2622;
{ /* Object/class.scm 295 */
obj_t BgL_auxz00_2623;
{ /* Object/class.scm 295 */
BgL_jclassz00_bglt BgL_obj1859z00_1376;
BgL_obj1859z00_1376 = 
(BgL_jclassz00_bglt)(BgL_subclassz00_918); 
{ 
obj_t BgL_auxz00_2625;
{ /* Object/class.scm 295 */
BgL_objectz00_bglt BgL_auxz00_2626;
BgL_auxz00_2626 = 
(BgL_objectz00_bglt)(BgL_obj1859z00_1376); 
BgL_auxz00_2625 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2626); } 
BgL_auxz00_2623 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_2625))->BgL_itszd2superzd2); } } 
BgL_testz00_2622 = 
(BgL_auxz00_2623==BgL_subclassz00_918); } 
if(BgL_testz00_2622)
{ /* Object/class.scm 295 */
return ((bool_t)0);}  else 
{ /* Object/class.scm 295 */
{ 
obj_t BgL_subclassz00_2631;
{ /* Object/class.scm 298 */
BgL_jclassz00_bglt BgL_obj1859z00_1377;
BgL_obj1859z00_1377 = 
(BgL_jclassz00_bglt)(BgL_subclassz00_918); 
{ 
obj_t BgL_auxz00_2633;
{ /* Object/class.scm 298 */
BgL_objectz00_bglt BgL_auxz00_2634;
BgL_auxz00_2634 = 
(BgL_objectz00_bglt)(BgL_obj1859z00_1377); 
BgL_auxz00_2633 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2634); } 
BgL_subclassz00_2631 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_2633))->BgL_itszd2superzd2); } } 
BgL_subclassz00_918 = BgL_subclassz00_2631; 
goto BgL_loopz00_919;} } }  else 
{ /* Object/class.scm 293 */
return ((bool_t)0);} } } } }  else 
{ /* Object/class.scm 288 */
return ((bool_t)0);} } } } 
}



/* _type-subclass? */
obj_t BGl__typezd2subclasszf3z21zzobject_classz00(obj_t BgL_envz00_2000, obj_t BgL_subclassz00_2001, obj_t BgL_classz00_2002)
{ AN_OBJECT;
{ /* Object/class.scm 275 */
{ /* Object/class.scm 275 */
bool_t BgL_auxz00_2639;
BgL_auxz00_2639 = 
BGl_typezd2subclasszf3z21zzobject_classz00(
(BgL_typez00_bglt)(BgL_subclassz00_2001), 
(BgL_typez00_bglt)(BgL_classz00_2002)); 
return 
BBOOL(BgL_auxz00_2639);} } 
}



/* find-class-constructors */
obj_t BGl_findzd2classzd2constructorsz00zzobject_classz00(BgL_tclassz00_bglt BgL_classz00_21)
{ AN_OBJECT;
{ /* Object/class.scm 311 */
{ 
obj_t BgL_classz00_927;
BgL_classz00_927 = 
(obj_t)(BgL_classz00_21); 
BgL_loopz00_928:
{ /* Object/class.scm 315 */
bool_t BgL_test2090z00_930;
{ /* Object/class.scm 315 */
bool_t BgL_test2095z00_935;
BgL_test2095z00_935 = 
BGl_iszd2azf3z21zz__objectz00(BgL_classz00_927, BGl_tclassz00zzobject_classz00); 
if(BgL_test2095z00_935)
{ /* Object/class.scm 315 */
obj_t BgL_auxz00_2646;
{ /* Object/class.scm 315 */
BgL_tclassz00_bglt BgL_obj1762z00_1379;
BgL_obj1762z00_1379 = 
(BgL_tclassz00_bglt)(BgL_classz00_927); 
{ 
obj_t BgL_auxz00_2648;
{ /* Object/class.scm 315 */
BgL_objectz00_bglt BgL_auxz00_2649;
BgL_auxz00_2649 = 
(BgL_objectz00_bglt)(BgL_obj1762z00_1379); 
BgL_auxz00_2648 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2649); } 
BgL_auxz00_2646 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2648))->BgL_itszd2superzd2); } } 
BgL_test2090z00_930 = 
(BgL_classz00_927==BgL_auxz00_2646); }  else 
{ /* Object/class.scm 315 */
BgL_test2090z00_930 = ((bool_t)1); } } 
if(BgL_test2090z00_930)
{ /* Object/class.scm 315 */
return BNIL;}  else 
{ /* Object/class.scm 317 */
bool_t BgL_testz00_2655;
{ /* Object/class.scm 317 */
BgL_tclassz00_bglt BgL_obj1774z00_1380;
BgL_obj1774z00_1380 = 
(BgL_tclassz00_bglt)(BgL_classz00_927); 
{ /* Object/class.scm 317 */
obj_t BgL_auxz00_2657;
{ 
obj_t BgL_auxz00_2658;
{ /* Object/class.scm 317 */
BgL_objectz00_bglt BgL_auxz00_2659;
BgL_auxz00_2659 = 
(BgL_objectz00_bglt)(BgL_obj1774z00_1380); 
BgL_auxz00_2658 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2659); } 
BgL_auxz00_2657 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2658))->BgL_constructorz00); } 
BgL_testz00_2655 = 
CBOOL(BgL_auxz00_2657); } } 
if(BgL_testz00_2655)
{ /* Object/class.scm 317 */
{ /* Object/class.scm 318 */
obj_t BgL_list2093z00_933;
{ /* Object/class.scm 318 */
obj_t BgL_auxz00_2664;
{ /* Object/class.scm 318 */
BgL_tclassz00_bglt BgL_obj1774z00_1381;
BgL_obj1774z00_1381 = 
(BgL_tclassz00_bglt)(BgL_classz00_927); 
{ 
obj_t BgL_auxz00_2666;
{ /* Object/class.scm 318 */
BgL_objectz00_bglt BgL_auxz00_2667;
BgL_auxz00_2667 = 
(BgL_objectz00_bglt)(BgL_obj1774z00_1381); 
BgL_auxz00_2666 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2667); } 
BgL_auxz00_2664 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2666))->BgL_constructorz00); } } 
BgL_list2093z00_933 = 
MAKE_PAIR(BgL_auxz00_2664, BNIL); } 
return BgL_list2093z00_933;} }  else 
{ /* Object/class.scm 317 */
{ 
obj_t BgL_classz00_2672;
{ /* Object/class.scm 320 */
BgL_tclassz00_bglt BgL_obj1762z00_1384;
BgL_obj1762z00_1384 = 
(BgL_tclassz00_bglt)(BgL_classz00_927); 
{ 
obj_t BgL_auxz00_2674;
{ /* Object/class.scm 320 */
BgL_objectz00_bglt BgL_auxz00_2675;
BgL_auxz00_2675 = 
(BgL_objectz00_bglt)(BgL_obj1762z00_1384); 
BgL_auxz00_2674 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2675); } 
BgL_classz00_2672 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2674))->BgL_itszd2superzd2); } } 
BgL_classz00_927 = BgL_classz00_2672; 
goto BgL_loopz00_928;} } } } } } 
}



/* _find-class-constructors */
obj_t BGl__findzd2classzd2constructorsz00zzobject_classz00(obj_t BgL_envz00_2003, obj_t BgL_classz00_2004)
{ AN_OBJECT;
{ /* Object/class.scm 311 */
return 
BGl_findzd2classzd2constructorsz00zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_classz00_2004));} 
}



/* tclass-all-slots */
obj_t BGl_tclasszd2allzd2slotsz00zzobject_classz00(BgL_tclassz00_bglt BgL_classz00_22)
{ AN_OBJECT;
{ /* Object/class.scm 325 */
{ /* Object/class.scm 326 */
bool_t BgL_testz00_2682;
{ /* Object/class.scm 326 */
obj_t BgL_auxz00_2683;
{ 
obj_t BgL_auxz00_2684;
{ /* Object/class.scm 326 */
BgL_objectz00_bglt BgL_auxz00_2685;
BgL_auxz00_2685 = 
(BgL_objectz00_bglt)(BgL_classz00_22); 
BgL_auxz00_2684 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2685); } 
BgL_auxz00_2683 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2684))->BgL_wideningz00); } 
BgL_testz00_2682 = 
CBOOL(BgL_auxz00_2683); } 
if(BgL_testz00_2682)
{ /* Object/class.scm 328 */
obj_t BgL_auxz00_2703;obj_t BgL_auxz00_2690;
{ 
obj_t BgL_auxz00_2704;
{ /* Object/class.scm 329 */
BgL_objectz00_bglt BgL_auxz00_2705;
BgL_auxz00_2705 = 
(BgL_objectz00_bglt)(BgL_classz00_22); 
BgL_auxz00_2704 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2705); } 
BgL_auxz00_2703 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2704))->BgL_slotsz00); } 
{ /* Object/class.scm 328 */
BgL_tclassz00_bglt BgL_obj1765z00_1387;
{ /* Object/class.scm 328 */
obj_t BgL_auxz00_2691;
{ 
obj_t BgL_auxz00_2692;
{ /* Object/class.scm 328 */
BgL_objectz00_bglt BgL_auxz00_2693;
BgL_auxz00_2693 = 
(BgL_objectz00_bglt)(BgL_classz00_22); 
BgL_auxz00_2692 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2693); } 
BgL_auxz00_2691 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2692))->BgL_itszd2superzd2); } 
BgL_obj1765z00_1387 = 
(BgL_tclassz00_bglt)(BgL_auxz00_2691); } 
{ 
obj_t BgL_auxz00_2698;
{ /* Object/class.scm 328 */
BgL_objectz00_bglt BgL_auxz00_2699;
BgL_auxz00_2699 = 
(BgL_objectz00_bglt)(BgL_obj1765z00_1387); 
BgL_auxz00_2698 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2699); } 
BgL_auxz00_2690 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2698))->BgL_slotsz00); } } 
return 
bgl_append2(BgL_auxz00_2690, BgL_auxz00_2703);}  else 
{ 
obj_t BgL_auxz00_2710;
{ /* Object/class.scm 327 */
BgL_objectz00_bglt BgL_auxz00_2711;
BgL_auxz00_2711 = 
(BgL_objectz00_bglt)(BgL_classz00_22); 
BgL_auxz00_2710 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2711); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2710))->BgL_slotsz00);} } } 
}



/* _tclass-all-slots */
obj_t BGl__tclasszd2allzd2slotsz00zzobject_classz00(obj_t BgL_envz00_2005, obj_t BgL_classz00_2006)
{ AN_OBJECT;
{ /* Object/class.scm 325 */
return 
BGl_tclasszd2allzd2slotsz00zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_classz00_2006));} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzobject_classz00()
{ AN_OBJECT;
{ /* Object/class.scm 15 */
{ /* Object/class.scm 30 */
obj_t BgL_arg2101z00_941;obj_t BgL_arg2102z00_942;obj_t BgL_arg2106z00_946;obj_t BgL_arg2107z00_947;
BgL_arg2101z00_941 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2102z00_942 = BGl_typez00zztype_typez00; 
{ /* Object/class.scm 30 */
obj_t BgL_arg2108z00_948;obj_t BgL_arg2109z00_949;obj_t BgL_arg2110z00_950;obj_t BgL_arg2111z00_951;obj_t BgL_arg2112z00_952;obj_t BgL_arg2113z00_953;obj_t BgL_arg2114z00_954;obj_t BgL_arg2115z00_955;obj_t BgL_arg2116z00_956;
BgL_arg2108z00_948 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_tclasszd2itszd2superzd2envzd2zzobject_classz00, BGl_tclasszd2itszd2superzd2setz12zd2envz12zzobject_classz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2109z00_949 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_tclasszd2slotszd2envz00zzobject_classz00, BGl_tclasszd2slotszd2setz12zd2envzc0zzobject_classz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2110z00_950 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_tclasszd2holderzd2envz00zzobject_classz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2111z00_951 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_tclasszd2wideningzd2envz00zzobject_classz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2112z00_952 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_tclasszd2depthzd2envz00zzobject_classz00, BGl_tclasszd2depthzd2setz12zd2envzc0zzobject_classz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2113z00_953 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_tclasszd2finalzf3zd2envzf3zzobject_classz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2114z00_954 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_tclasszd2constructorzd2envz00zzobject_classz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2115z00_955 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_tclasszd2virtualzd2slotszd2numberzd2envz00zzobject_classz00, BGl_tclasszd2virtualzd2slotszd2numberzd2setz12zd2envzc0zzobject_classz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2116z00_956 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_tclasszd2abstractzf3zd2envzf3zzobject_classz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Object/class.scm 30 */
obj_t BgL_list2117z00_957;
{ /* Object/class.scm 30 */
obj_t BgL_arg2118z00_958;
{ /* Object/class.scm 30 */
obj_t BgL_arg2119z00_959;
{ /* Object/class.scm 30 */
obj_t BgL_arg2120z00_960;
{ /* Object/class.scm 30 */
obj_t BgL_arg2121z00_961;
{ /* Object/class.scm 30 */
obj_t BgL_arg2122z00_962;
{ /* Object/class.scm 30 */
obj_t BgL_arg2123z00_963;
{ /* Object/class.scm 30 */
obj_t BgL_arg2124z00_964;
{ /* Object/class.scm 30 */
obj_t BgL_arg2125z00_965;
BgL_arg2125z00_965 = 
MAKE_PAIR(BgL_arg2116z00_956, BNIL); 
BgL_arg2124z00_964 = 
MAKE_PAIR(BgL_arg2115z00_955, BgL_arg2125z00_965); } 
BgL_arg2123z00_963 = 
MAKE_PAIR(BgL_arg2114z00_954, BgL_arg2124z00_964); } 
BgL_arg2122z00_962 = 
MAKE_PAIR(BgL_arg2113z00_953, BgL_arg2123z00_963); } 
BgL_arg2121z00_961 = 
MAKE_PAIR(BgL_arg2112z00_952, BgL_arg2122z00_962); } 
BgL_arg2120z00_960 = 
MAKE_PAIR(BgL_arg2111z00_951, BgL_arg2121z00_961); } 
BgL_arg2119z00_959 = 
MAKE_PAIR(BgL_arg2110z00_950, BgL_arg2120z00_960); } 
BgL_arg2118z00_958 = 
MAKE_PAIR(BgL_arg2109z00_949, BgL_arg2119z00_959); } 
BgL_list2117z00_957 = 
MAKE_PAIR(BgL_arg2108z00_948, BgL_arg2118z00_958); } 
BgL_arg2106z00_946 = BgL_list2117z00_957; } } 
{ /* Object/class.scm 30 */
obj_t BgL_v1945z00_966;
{ 
int BgL_auxz00_2745;
BgL_auxz00_2745 = 
(int)(((long)0)); 
BgL_v1945z00_966 = 
create_vector(BgL_auxz00_2745); } 
BgL_arg2107z00_947 = BgL_v1945z00_966; } 
BGl_tclassz00zzobject_classz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2101z00_941, BgL_arg2102z00_942, BGl_makezd2tclasszd2envz00zzobject_classz00, BGl_allocatezd2tclasszd2envz00zzobject_classz00, ((long)46951), BgL_arg2106z00_946, BFALSE, BgL_arg2107z00_947); } 
{ /* Object/class.scm 50 */
obj_t BgL_arg2126z00_967;obj_t BgL_arg2127z00_968;obj_t BgL_arg2131z00_972;obj_t BgL_arg2132z00_973;
BgL_arg2126z00_967 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg2127z00_968 = BGl_typez00zztype_typez00; 
{ /* Object/class.scm 50 */
obj_t BgL_arg2133z00_974;obj_t BgL_arg2134z00_975;obj_t BgL_arg2135z00_976;
BgL_arg2133z00_974 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_jclasszd2itszd2superzd2envzd2zzobject_classz00, BGl_jclasszd2itszd2superzd2setz12zd2envz12zzobject_classz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2134z00_975 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_jclasszd2slotszd2envz00zzobject_classz00, BGl_jclasszd2slotszd2setz12zd2envzc0zzobject_classz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2135z00_976 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_jclasszd2packagezd2envz00zzobject_classz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Object/class.scm 50 */
obj_t BgL_list2136z00_977;
{ /* Object/class.scm 50 */
obj_t BgL_arg2137z00_978;
{ /* Object/class.scm 50 */
obj_t BgL_arg2138z00_979;
BgL_arg2138z00_979 = 
MAKE_PAIR(BgL_arg2135z00_976, BNIL); 
BgL_arg2137z00_978 = 
MAKE_PAIR(BgL_arg2134z00_975, BgL_arg2138z00_979); } 
BgL_list2136z00_977 = 
MAKE_PAIR(BgL_arg2133z00_974, BgL_arg2137z00_978); } 
BgL_arg2131z00_972 = BgL_list2136z00_977; } } 
{ /* Object/class.scm 50 */
obj_t BgL_v1946z00_980;
{ 
int BgL_auxz00_2759;
BgL_auxz00_2759 = 
(int)(((long)0)); 
BgL_v1946z00_980 = 
create_vector(BgL_auxz00_2759); } 
BgL_arg2132z00_973 = BgL_v1946z00_980; } 
BGl_jclassz00zzobject_classz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2126z00_967, BgL_arg2127z00_968, BGl_makezd2jclasszd2envz00zzobject_classz00, BGl_allocatezd2jclasszd2envz00zzobject_classz00, ((long)28080), BgL_arg2131z00_972, BFALSE, BgL_arg2132z00_973); } 
return BUNSPEC;} 
}



/* jclass? */
bool_t BGl_jclasszf3zf3zzobject_classz00(obj_t BgL_obj1858z00_23)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1858z00_23, BGl_jclassz00zzobject_classz00);} 
}



/* _jclass? */
obj_t BGl__jclasszf3zf3zzobject_classz00(obj_t BgL_envz00_2093, obj_t BgL_obj1858z00_2094)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ /* Object/class.scm 50 */
bool_t BgL_auxz00_2764;
BgL_auxz00_2764 = 
BGl_jclasszf3zf3zzobject_classz00(BgL_obj1858z00_2094); 
return 
BBOOL(BgL_auxz00_2764);} } 
}



/* widening-jclass */
BgL_jclassz00_bglt BGl_wideningzd2jclasszd2zzobject_classz00(obj_t BgL_itszd2super1819zd2_27, obj_t BgL_slots1820z00_28, obj_t BgL_package1821z00_29)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_new1822z00_1394;
BgL_new1822z00_1394 = 
((BgL_jclassz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jclassz00_bgl)))); 
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_res2216z00_1402;
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1394))->BgL_itszd2superzd2) = ((obj_t)BgL_itszd2super1819zd2_27), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1394))->BgL_slotsz00) = ((obj_t)BgL_slots1820z00_28), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1394))->BgL_packagez00) = ((obj_t)BgL_package1821z00_29), BUNSPEC); 
BgL_res2216z00_1402 = BgL_new1822z00_1394; BgL_res2216z00_1402; } 
return BgL_new1822z00_1394;} } 
}



/* _widening-jclass2237 */
obj_t BGl__wideningzd2jclass2237zd2zzobject_classz00(obj_t BgL_envz00_2095, obj_t BgL_itszd2super1819zd2_2096, obj_t BgL_slots1820z00_2097, obj_t BgL_package1821z00_2098)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_auxz00_2771;
BgL_auxz00_2771 = 
BGl_wideningzd2jclasszd2zzobject_classz00(BgL_itszd2super1819zd2_2096, BgL_slots1820z00_2097, BgL_package1821z00_2098); 
return 
(obj_t)(BgL_auxz00_2771);} } 
}



/* fill-jclass! */
BgL_jclassz00_bglt BGl_fillzd2jclassz12zc0zzobject_classz00(BgL_jclassz00_bglt BgL_new1827z00_30, obj_t BgL_itszd2super1824zd2_31, obj_t BgL_slots1825z00_32, obj_t BgL_package1826z00_33)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
((((BgL_jclassz00_bglt)CREF(BgL_new1827z00_30))->BgL_itszd2superzd2) = ((obj_t)BgL_itszd2super1824zd2_31), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1827z00_30))->BgL_slotsz00) = ((obj_t)BgL_slots1825z00_32), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1827z00_30))->BgL_packagez00) = ((obj_t)BgL_package1826z00_33), BUNSPEC); 
return BgL_new1827z00_30;} 
}



/* _fill-jclass! */
obj_t BGl__fillzd2jclassz12zc0zzobject_classz00(obj_t BgL_envz00_2099, obj_t BgL_new1827z00_2100, obj_t BgL_itszd2super1824zd2_2101, obj_t BgL_slots1825z00_2102, obj_t BgL_package1826z00_2103)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_auxz00_2777;
BgL_auxz00_2777 = 
BGl_fillzd2jclassz12zc0zzobject_classz00(
(BgL_jclassz00_bglt)(BgL_new1827z00_2100), BgL_itszd2super1824zd2_2101, BgL_slots1825z00_2102, BgL_package1826z00_2103); 
return 
(obj_t)(BgL_auxz00_2777);} } 
}



/* make-jclass */
BgL_jclassz00_bglt BGl_makezd2jclasszd2zzobject_classz00(obj_t BgL_id1835z00_34, obj_t BgL_name1836z00_35, obj_t BgL_siza7e1837za7_36, obj_t BgL_class1838z00_37, obj_t BgL_coercezd2to1839zd2_38, obj_t BgL_parents1840z00_39, bool_t BgL_initzf31841zf3_40, bool_t BgL_magiczf31842zf3_41, obj_t BgL_z421843z42_42, obj_t BgL_alias1844z00_43, obj_t BgL_pointedzd2tozd2by1845z00_44, obj_t BgL_tvector1846z00_45, obj_t BgL_location1847z00_46, obj_t BgL_importzd2location1848zd2_47, obj_t BgL_itszd2super1832zd2_48, obj_t BgL_slots1833z00_49, obj_t BgL_package1834z00_50)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ /* Object/class.scm 50 */
BgL_typez00_bglt BgL_aux1849z00_1406;
{ /* Object/class.scm 50 */
BgL_typez00_bglt BgL_res2219z00_1461;
{ /* Object/class.scm 50 */
BgL_typez00_bglt BgL_new1086z00_1424;
{ /* Object/class.scm 50 */
BgL_typez00_bglt BgL_res2217z00_1430;
{ /* Object/class.scm 50 */
BgL_typez00_bglt BgL_new1088z00_1425;
BgL_new1088z00_1425 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* Object/class.scm 50 */
long BgL_arg2161z00_1426;
BgL_arg2161z00_1426 = 
BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00); 
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_2783;
BgL_auxz00_2783 = 
(BgL_objectz00_bglt)(BgL_new1088z00_1425); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2783, BgL_arg2161z00_1426); } } 
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_2786;
BgL_auxz00_2786 = 
(BgL_objectz00_bglt)(BgL_new1088z00_1425); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2786, BFALSE); } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_2789;
BgL_auxz00_2789 = 
(obj_t)(BgL_new1088z00_1425); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2789); } BUNSPEC; 
BgL_res2217z00_1430 = BgL_new1088z00_1425; } 
BgL_new1086z00_1424 = BgL_res2217z00_1430; } 
{ /* Object/class.scm 50 */
BgL_typez00_bglt BgL_res2218z00_1460;
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_idz00) = ((obj_t)BgL_id1835z00_34), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_namez00) = ((obj_t)BgL_name1836z00_35), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1837za7_36), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_classz00) = ((obj_t)BgL_class1838z00_37), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_coercezd2tozd2) = ((obj_t)BgL_coercezd2to1839zd2_38), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_parentsz00) = ((obj_t)BgL_parents1840z00_39), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_initzf3zf3) = ((bool_t)BgL_initzf31841zf3_40), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_magiczf3zf3) = ((bool_t)BgL_magiczf31842zf3_41), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_z42z42) = ((obj_t)BgL_z421843z42_42), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_aliasz00) = ((obj_t)BgL_alias1844z00_43), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_pointedzd2tozd2byz00) = ((obj_t)BgL_pointedzd2tozd2by1845z00_44), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_tvectorz00) = ((obj_t)BgL_tvector1846z00_45), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_locationz00) = ((obj_t)BgL_location1847z00_46), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1424))->BgL_importzd2locationzd2) = ((obj_t)BgL_importzd2location1848zd2_47), BUNSPEC); 
BgL_res2218z00_1460 = BgL_new1086z00_1424; BgL_res2218z00_1460; } 
BgL_res2219z00_1461 = BgL_new1086z00_1424; } 
BgL_aux1849z00_1406 = BgL_res2219z00_1461; } 
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_new1850z00_1407;
BgL_new1850z00_1407 = 
((BgL_jclassz00_bglt)BgL_aux1849z00_1406); 
{ /* Object/class.scm 50 */
long BgL_arg2139z00_1408;
BgL_arg2139z00_1408 = 
BGl_classzd2numzd2zz__objectz00(BGl_jclassz00zzobject_classz00); 
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_2808;
BgL_auxz00_2808 = 
(BgL_objectz00_bglt)(BgL_new1850z00_1407); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2808, BgL_arg2139z00_1408); } } 
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_arg2140z00_1409;
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_res2221z00_1476;
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_new1822z00_1467;
BgL_new1822z00_1467 = 
((BgL_jclassz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jclassz00_bgl)))); 
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_res2220z00_1475;
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1467))->BgL_itszd2superzd2) = ((obj_t)BgL_itszd2super1832zd2_48), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1467))->BgL_slotsz00) = ((obj_t)BgL_slots1833z00_49), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1467))->BgL_packagez00) = ((obj_t)BgL_package1834z00_50), BUNSPEC); 
BgL_res2220z00_1475 = BgL_new1822z00_1467; BgL_res2220z00_1475; } 
BgL_res2221z00_1476 = BgL_new1822z00_1467; } 
BgL_arg2140z00_1409 = BgL_res2221z00_1476; } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_2817;BgL_objectz00_bglt BgL_auxz00_2815;
BgL_auxz00_2817 = 
(obj_t)(BgL_arg2140z00_1409); 
BgL_auxz00_2815 = 
(BgL_objectz00_bglt)(BgL_new1850z00_1407); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2815, BgL_auxz00_2817); } } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_2820;
BgL_auxz00_2820 = 
(obj_t)(BgL_new1850z00_1407); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2820); } BUNSPEC; 
return BgL_new1850z00_1407;} } } 
}



/* _make-jclass */
obj_t BGl__makezd2jclasszd2zzobject_classz00(obj_t BgL_envz00_2062, obj_t BgL_id1835z00_2063, obj_t BgL_name1836z00_2064, obj_t BgL_siza7e1837za7_2065, obj_t BgL_class1838z00_2066, obj_t BgL_coercezd2to1839zd2_2067, obj_t BgL_parents1840z00_2068, obj_t BgL_initzf31841zf3_2069, obj_t BgL_magiczf31842zf3_2070, obj_t BgL_z421843z42_2071, obj_t BgL_alias1844z00_2072, obj_t BgL_pointedzd2tozd2by1845z00_2073, obj_t BgL_tvector1846z00_2074, obj_t BgL_location1847z00_2075, obj_t BgL_importzd2location1848zd2_2076, obj_t BgL_itszd2super1832zd2_2077, obj_t BgL_slots1833z00_2078, obj_t BgL_package1834z00_2079)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_auxz00_2823;
BgL_auxz00_2823 = 
BGl_makezd2jclasszd2zzobject_classz00(BgL_id1835z00_2063, BgL_name1836z00_2064, BgL_siza7e1837za7_2065, BgL_class1838z00_2066, BgL_coercezd2to1839zd2_2067, BgL_parents1840z00_2068, 
CBOOL(BgL_initzf31841zf3_2069), 
CBOOL(BgL_magiczf31842zf3_2070), BgL_z421843z42_2071, BgL_alias1844z00_2072, BgL_pointedzd2tozd2by1845z00_2073, BgL_tvector1846z00_2074, BgL_location1847z00_2075, BgL_importzd2location1848zd2_2076, BgL_itszd2super1832zd2_2077, BgL_slots1833z00_2078, BgL_package1834z00_2079); 
return 
(obj_t)(BgL_auxz00_2823);} } 
}



/* allocate-jclass */
BgL_typez00_bglt BGl_allocatezd2jclasszd2zzobject_classz00()
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ /* Object/class.scm 50 */
BgL_typez00_bglt BgL_new1851z00_1478;
BgL_new1851z00_1478 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* Object/class.scm 50 */
long BgL_arg2141z00_1479;
BgL_arg2141z00_1479 = 
BGl_classzd2numzd2zz__objectz00(BGl_jclassz00zzobject_classz00); 
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_2830;
BgL_auxz00_2830 = 
(BgL_objectz00_bglt)(BgL_new1851z00_1478); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2830, BgL_arg2141z00_1479); } } 
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_2833;
BgL_auxz00_2833 = 
(BgL_objectz00_bglt)(BgL_new1851z00_1478); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2833, BFALSE); } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_2836;
BgL_auxz00_2836 = 
(obj_t)(BgL_new1851z00_1478); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2836); } BUNSPEC; 
return BgL_new1851z00_1478;} } 
}



/* _allocate-jclass */
obj_t BGl__allocatezd2jclasszd2zzobject_classz00(obj_t BgL_envz00_2080)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ /* Object/class.scm 50 */
BgL_typez00_bglt BgL_auxz00_2839;
BgL_auxz00_2839 = 
BGl_allocatezd2jclasszd2zzobject_classz00(); 
return 
(obj_t)(BgL_auxz00_2839);} } 
}



/* jclass-its-super-set! */
obj_t BGl_jclasszd2itszd2superzd2setz12zc0zzobject_classz00(BgL_jclassz00_bglt BgL_obj1861z00_91, obj_t BgL_val1860z00_92)
{ AN_OBJECT;
{ /* Object/class.scm 52 */
{ 
obj_t BgL_auxz00_2842;
{ /* Object/class.scm 52 */
BgL_objectz00_bglt BgL_auxz00_2843;
BgL_auxz00_2843 = 
(BgL_objectz00_bglt)(BgL_obj1861z00_91); 
BgL_auxz00_2842 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2843); } 
return 
((((BgL_jclassz00_bglt)CREF(BgL_auxz00_2842))->BgL_itszd2superzd2) = ((obj_t)BgL_val1860z00_92), BUNSPEC);} } 
}



/* _jclass-its-super-set! */
obj_t BGl__jclasszd2itszd2superzd2setz12zc0zzobject_classz00(obj_t BgL_envz00_2083, obj_t BgL_obj1861z00_2084, obj_t BgL_val1860z00_2085)
{ AN_OBJECT;
{ /* Object/class.scm 52 */
return 
BGl_jclasszd2itszd2superzd2setz12zc0zzobject_classz00(
(BgL_jclassz00_bglt)(BgL_obj1861z00_2084), BgL_val1860z00_2085);} 
}



/* jclass-its-super */
obj_t BGl_jclasszd2itszd2superz00zzobject_classz00(BgL_jclassz00_bglt BgL_obj1859z00_93)
{ AN_OBJECT;
{ /* Object/class.scm 52 */
{ 
obj_t BgL_auxz00_2849;
{ /* Object/class.scm 52 */
BgL_objectz00_bglt BgL_auxz00_2850;
BgL_auxz00_2850 = 
(BgL_objectz00_bglt)(BgL_obj1859z00_93); 
BgL_auxz00_2849 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2850); } 
return 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_2849))->BgL_itszd2superzd2);} } 
}



/* _jclass-its-super */
obj_t BGl__jclasszd2itszd2superz00zzobject_classz00(obj_t BgL_envz00_2081, obj_t BgL_obj1859z00_2082)
{ AN_OBJECT;
{ /* Object/class.scm 52 */
return 
BGl_jclasszd2itszd2superz00zzobject_classz00(
(BgL_jclassz00_bglt)(BgL_obj1859z00_2082));} 
}



/* jclass-slots-set! */
obj_t BGl_jclasszd2slotszd2setz12z12zzobject_classz00(BgL_jclassz00_bglt BgL_obj1864z00_94, obj_t BgL_val1863z00_95)
{ AN_OBJECT;
{ /* Object/class.scm 54 */
{ 
obj_t BgL_auxz00_2856;
{ /* Object/class.scm 54 */
BgL_objectz00_bglt BgL_auxz00_2857;
BgL_auxz00_2857 = 
(BgL_objectz00_bglt)(BgL_obj1864z00_94); 
BgL_auxz00_2856 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2857); } 
return 
((((BgL_jclassz00_bglt)CREF(BgL_auxz00_2856))->BgL_slotsz00) = ((obj_t)BgL_val1863z00_95), BUNSPEC);} } 
}



/* _jclass-slots-set! */
obj_t BGl__jclasszd2slotszd2setz12z12zzobject_classz00(obj_t BgL_envz00_2088, obj_t BgL_obj1864z00_2089, obj_t BgL_val1863z00_2090)
{ AN_OBJECT;
{ /* Object/class.scm 54 */
return 
BGl_jclasszd2slotszd2setz12z12zzobject_classz00(
(BgL_jclassz00_bglt)(BgL_obj1864z00_2089), BgL_val1863z00_2090);} 
}



/* jclass-slots */
obj_t BGl_jclasszd2slotszd2zzobject_classz00(BgL_jclassz00_bglt BgL_obj1862z00_96)
{ AN_OBJECT;
{ /* Object/class.scm 54 */
{ 
obj_t BgL_auxz00_2863;
{ /* Object/class.scm 54 */
BgL_objectz00_bglt BgL_auxz00_2864;
BgL_auxz00_2864 = 
(BgL_objectz00_bglt)(BgL_obj1862z00_96); 
BgL_auxz00_2863 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2864); } 
return 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_2863))->BgL_slotsz00);} } 
}



/* _jclass-slots */
obj_t BGl__jclasszd2slotszd2zzobject_classz00(obj_t BgL_envz00_2086, obj_t BgL_obj1862z00_2087)
{ AN_OBJECT;
{ /* Object/class.scm 54 */
return 
BGl_jclasszd2slotszd2zzobject_classz00(
(BgL_jclassz00_bglt)(BgL_obj1862z00_2087));} 
}



/* jclass-package */
obj_t BGl_jclasszd2packagezd2zzobject_classz00(BgL_jclassz00_bglt BgL_obj1865z00_97)
{ AN_OBJECT;
{ /* Object/class.scm 58 */
{ 
obj_t BgL_auxz00_2870;
{ /* Object/class.scm 58 */
BgL_objectz00_bglt BgL_auxz00_2871;
BgL_auxz00_2871 = 
(BgL_objectz00_bglt)(BgL_obj1865z00_97); 
BgL_auxz00_2870 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2871); } 
return 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_2870))->BgL_packagez00);} } 
}



/* _jclass-package */
obj_t BGl__jclasszd2packagezd2zzobject_classz00(obj_t BgL_envz00_2091, obj_t BgL_obj1865z00_2092)
{ AN_OBJECT;
{ /* Object/class.scm 58 */
return 
BGl_jclasszd2packagezd2zzobject_classz00(
(BgL_jclassz00_bglt)(BgL_obj1865z00_2092));} 
}



/* tclass? */
bool_t BGl_tclasszf3zf3zzobject_classz00(obj_t BgL_obj1761z00_98)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1761z00_98, BGl_tclassz00zzobject_classz00);} 
}



/* _tclass? */
obj_t BGl__tclasszf3zf3zzobject_classz00(obj_t BgL_envz00_2104, obj_t BgL_obj1761z00_2105)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ /* Object/class.scm 30 */
bool_t BgL_auxz00_2878;
BgL_auxz00_2878 = 
BGl_tclasszf3zf3zzobject_classz00(BgL_obj1761z00_2105); 
return 
BBOOL(BgL_auxz00_2878);} } 
}



/* widening-tclass */
BgL_tclassz00_bglt BGl_wideningzd2tclasszd2zzobject_classz00(obj_t BgL_itszd2super1698zd2_102, obj_t BgL_slots1699z00_103, BgL_globalz00_bglt BgL_holder1700z00_104, obj_t BgL_widening1701z00_105, long BgL_depth1702z00_106, bool_t BgL_finalzf31703zf3_107, obj_t BgL_constructor1704z00_108, obj_t BgL_virtualzd2slotszd2number1705z00_109, bool_t BgL_abstractzf31706zf3_110)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_new1707z00_1483;
BgL_new1707z00_1483 = 
((BgL_tclassz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tclassz00_bgl)))); 
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_res2222z00_1503;
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1483))->BgL_itszd2superzd2) = ((obj_t)BgL_itszd2super1698zd2_102), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1483))->BgL_slotsz00) = ((obj_t)BgL_slots1699z00_103), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1483))->BgL_holderz00) = ((BgL_globalz00_bglt)BgL_holder1700z00_104), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1483))->BgL_wideningz00) = ((obj_t)BgL_widening1701z00_105), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1483))->BgL_depthz00) = ((long)BgL_depth1702z00_106), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1483))->BgL_finalzf3zf3) = ((bool_t)BgL_finalzf31703zf3_107), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1483))->BgL_constructorz00) = ((obj_t)BgL_constructor1704z00_108), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1483))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_virtualzd2slotszd2number1705z00_109), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1483))->BgL_abstractzf3zf3) = ((bool_t)BgL_abstractzf31706zf3_110), BUNSPEC); 
BgL_res2222z00_1503 = BgL_new1707z00_1483; BgL_res2222z00_1503; } 
return BgL_new1707z00_1483;} } 
}



/* _widening-tclass2238 */
obj_t BGl__wideningzd2tclass2238zd2zzobject_classz00(obj_t BgL_envz00_2106, obj_t BgL_itszd2super1698zd2_2107, obj_t BgL_slots1699z00_2108, obj_t BgL_holder1700z00_2109, obj_t BgL_widening1701z00_2110, obj_t BgL_depth1702z00_2111, obj_t BgL_finalzf31703zf3_2112, obj_t BgL_constructor1704z00_2113, obj_t BgL_virtualzd2slotszd2number1705z00_2114, obj_t BgL_abstractzf31706zf3_2115)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_auxz00_2891;
BgL_auxz00_2891 = 
BGl_wideningzd2tclasszd2zzobject_classz00(BgL_itszd2super1698zd2_2107, BgL_slots1699z00_2108, 
(BgL_globalz00_bglt)(BgL_holder1700z00_2109), BgL_widening1701z00_2110, 
(long)CINT(BgL_depth1702z00_2111), 
CBOOL(BgL_finalzf31703zf3_2112), BgL_constructor1704z00_2113, BgL_virtualzd2slotszd2number1705z00_2114, 
CBOOL(BgL_abstractzf31706zf3_2115)); 
return 
(obj_t)(BgL_auxz00_2891);} } 
}



/* fill-tclass! */
BgL_tclassz00_bglt BGl_fillzd2tclassz12zc0zzobject_classz00(BgL_tclassz00_bglt BgL_new1718z00_111, obj_t BgL_itszd2super1709zd2_112, obj_t BgL_slots1710z00_113, BgL_globalz00_bglt BgL_holder1711z00_114, obj_t BgL_widening1712z00_115, long BgL_depth1713z00_116, bool_t BgL_finalzf31714zf3_117, obj_t BgL_constructor1715z00_118, obj_t BgL_virtualzd2slotszd2number1716z00_119, bool_t BgL_abstractzf31717zf3_120)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
((((BgL_tclassz00_bglt)CREF(BgL_new1718z00_111))->BgL_itszd2superzd2) = ((obj_t)BgL_itszd2super1709zd2_112), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1718z00_111))->BgL_slotsz00) = ((obj_t)BgL_slots1710z00_113), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1718z00_111))->BgL_holderz00) = ((BgL_globalz00_bglt)BgL_holder1711z00_114), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1718z00_111))->BgL_wideningz00) = ((obj_t)BgL_widening1712z00_115), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1718z00_111))->BgL_depthz00) = ((long)BgL_depth1713z00_116), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1718z00_111))->BgL_finalzf3zf3) = ((bool_t)BgL_finalzf31714zf3_117), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1718z00_111))->BgL_constructorz00) = ((obj_t)BgL_constructor1715z00_118), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1718z00_111))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_virtualzd2slotszd2number1716z00_119), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1718z00_111))->BgL_abstractzf3zf3) = ((bool_t)BgL_abstractzf31717zf3_120), BUNSPEC); 
return BgL_new1718z00_111;} 
}



/* _fill-tclass! */
obj_t BGl__fillzd2tclassz12zc0zzobject_classz00(obj_t BgL_envz00_2116, obj_t BgL_new1718z00_2117, obj_t BgL_itszd2super1709zd2_2118, obj_t BgL_slots1710z00_2119, obj_t BgL_holder1711z00_2120, obj_t BgL_widening1712z00_2121, obj_t BgL_depth1713z00_2122, obj_t BgL_finalzf31714zf3_2123, obj_t BgL_constructor1715z00_2124, obj_t BgL_virtualzd2slotszd2number1716z00_2125, obj_t BgL_abstractzf31717zf3_2126)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_auxz00_2907;
BgL_auxz00_2907 = 
BGl_fillzd2tclassz12zc0zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_new1718z00_2117), BgL_itszd2super1709zd2_2118, BgL_slots1710z00_2119, 
(BgL_globalz00_bglt)(BgL_holder1711z00_2120), BgL_widening1712z00_2121, 
(long)CINT(BgL_depth1713z00_2122), 
CBOOL(BgL_finalzf31714zf3_2123), BgL_constructor1715z00_2124, BgL_virtualzd2slotszd2number1716z00_2125, 
CBOOL(BgL_abstractzf31717zf3_2126)); 
return 
(obj_t)(BgL_auxz00_2907);} } 
}



/* make-tclass */
BgL_tclassz00_bglt BGl_makezd2tclasszd2zzobject_classz00(obj_t BgL_id1738z00_121, obj_t BgL_name1739z00_122, obj_t BgL_siza7e1740za7_123, obj_t BgL_class1741z00_124, obj_t BgL_coercezd2to1742zd2_125, obj_t BgL_parents1743z00_126, bool_t BgL_initzf31744zf3_127, bool_t BgL_magiczf31745zf3_128, obj_t BgL_z421746z42_129, obj_t BgL_alias1747z00_130, obj_t BgL_pointedzd2tozd2by1748z00_131, obj_t BgL_tvector1749z00_132, obj_t BgL_location1750z00_133, obj_t BgL_importzd2location1751zd2_134, obj_t BgL_itszd2super1729zd2_135, obj_t BgL_slots1730z00_136, BgL_globalz00_bglt BgL_holder1731z00_137, obj_t BgL_widening1732z00_138, long BgL_depth1733z00_139, bool_t BgL_finalzf31734zf3_140, obj_t BgL_constructor1735z00_141, obj_t BgL_virtualzd2slotszd2number1736z00_142, bool_t BgL_abstractzf31737zf3_143)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ /* Object/class.scm 30 */
BgL_typez00_bglt BgL_aux1752z00_1513;
{ /* Object/class.scm 30 */
BgL_typez00_bglt BgL_res2225z00_1568;
{ /* Object/class.scm 30 */
BgL_typez00_bglt BgL_new1086z00_1531;
{ /* Object/class.scm 30 */
BgL_typez00_bglt BgL_res2223z00_1537;
{ /* Object/class.scm 30 */
BgL_typez00_bglt BgL_new1088z00_1532;
BgL_new1088z00_1532 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* Object/class.scm 30 */
long BgL_arg2161z00_1533;
BgL_arg2161z00_1533 = 
BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00); 
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_2917;
BgL_auxz00_2917 = 
(BgL_objectz00_bglt)(BgL_new1088z00_1532); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2917, BgL_arg2161z00_1533); } } 
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_2920;
BgL_auxz00_2920 = 
(BgL_objectz00_bglt)(BgL_new1088z00_1532); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2920, BFALSE); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_2923;
BgL_auxz00_2923 = 
(obj_t)(BgL_new1088z00_1532); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2923); } BUNSPEC; 
BgL_res2223z00_1537 = BgL_new1088z00_1532; } 
BgL_new1086z00_1531 = BgL_res2223z00_1537; } 
{ /* Object/class.scm 30 */
BgL_typez00_bglt BgL_res2224z00_1567;
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_idz00) = ((obj_t)BgL_id1738z00_121), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_namez00) = ((obj_t)BgL_name1739z00_122), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1740za7_123), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_classz00) = ((obj_t)BgL_class1741z00_124), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_coercezd2tozd2) = ((obj_t)BgL_coercezd2to1742zd2_125), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_parentsz00) = ((obj_t)BgL_parents1743z00_126), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_initzf3zf3) = ((bool_t)BgL_initzf31744zf3_127), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_magiczf3zf3) = ((bool_t)BgL_magiczf31745zf3_128), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_z42z42) = ((obj_t)BgL_z421746z42_129), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_aliasz00) = ((obj_t)BgL_alias1747z00_130), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_pointedzd2tozd2byz00) = ((obj_t)BgL_pointedzd2tozd2by1748z00_131), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_tvectorz00) = ((obj_t)BgL_tvector1749z00_132), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_locationz00) = ((obj_t)BgL_location1750z00_133), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1086z00_1531))->BgL_importzd2locationzd2) = ((obj_t)BgL_importzd2location1751zd2_134), BUNSPEC); 
BgL_res2224z00_1567 = BgL_new1086z00_1531; BgL_res2224z00_1567; } 
BgL_res2225z00_1568 = BgL_new1086z00_1531; } 
BgL_aux1752z00_1513 = BgL_res2225z00_1568; } 
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_new1753z00_1514;
BgL_new1753z00_1514 = 
((BgL_tclassz00_bglt)BgL_aux1752z00_1513); 
{ /* Object/class.scm 30 */
long BgL_arg2142z00_1515;
BgL_arg2142z00_1515 = 
BGl_classzd2numzd2zz__objectz00(BGl_tclassz00zzobject_classz00); 
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_2942;
BgL_auxz00_2942 = 
(BgL_objectz00_bglt)(BgL_new1753z00_1514); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2942, BgL_arg2142z00_1515); } } 
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_arg2143z00_1516;
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_res2227z00_1601;
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_new1707z00_1580;
BgL_new1707z00_1580 = 
((BgL_tclassz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tclassz00_bgl)))); 
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_res2226z00_1600;
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1580))->BgL_itszd2superzd2) = ((obj_t)BgL_itszd2super1729zd2_135), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1580))->BgL_slotsz00) = ((obj_t)BgL_slots1730z00_136), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1580))->BgL_holderz00) = ((BgL_globalz00_bglt)BgL_holder1731z00_137), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1580))->BgL_wideningz00) = ((obj_t)BgL_widening1732z00_138), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1580))->BgL_depthz00) = ((long)BgL_depth1733z00_139), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1580))->BgL_finalzf3zf3) = ((bool_t)BgL_finalzf31734zf3_140), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1580))->BgL_constructorz00) = ((obj_t)BgL_constructor1735z00_141), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1580))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_virtualzd2slotszd2number1736z00_142), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1580))->BgL_abstractzf3zf3) = ((bool_t)BgL_abstractzf31737zf3_143), BUNSPEC); 
BgL_res2226z00_1600 = BgL_new1707z00_1580; BgL_res2226z00_1600; } 
BgL_res2227z00_1601 = BgL_new1707z00_1580; } 
BgL_arg2143z00_1516 = BgL_res2227z00_1601; } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_2957;BgL_objectz00_bglt BgL_auxz00_2955;
BgL_auxz00_2957 = 
(obj_t)(BgL_arg2143z00_1516); 
BgL_auxz00_2955 = 
(BgL_objectz00_bglt)(BgL_new1753z00_1514); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2955, BgL_auxz00_2957); } } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_2960;
BgL_auxz00_2960 = 
(obj_t)(BgL_new1753z00_1514); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2960); } BUNSPEC; 
return BgL_new1753z00_1514;} } } 
}



/* _make-tclass */
obj_t BGl__makezd2tclasszd2zzobject_classz00(obj_t BgL_envz00_2007, obj_t BgL_id1738z00_2008, obj_t BgL_name1739z00_2009, obj_t BgL_siza7e1740za7_2010, obj_t BgL_class1741z00_2011, obj_t BgL_coercezd2to1742zd2_2012, obj_t BgL_parents1743z00_2013, obj_t BgL_initzf31744zf3_2014, obj_t BgL_magiczf31745zf3_2015, obj_t BgL_z421746z42_2016, obj_t BgL_alias1747z00_2017, obj_t BgL_pointedzd2tozd2by1748z00_2018, obj_t BgL_tvector1749z00_2019, obj_t BgL_location1750z00_2020, obj_t BgL_importzd2location1751zd2_2021, obj_t BgL_itszd2super1729zd2_2022, obj_t BgL_slots1730z00_2023, obj_t BgL_holder1731z00_2024, obj_t BgL_widening1732z00_2025, obj_t BgL_depth1733z00_2026, obj_t BgL_finalzf31734zf3_2027, obj_t BgL_constructor1735z00_2028, obj_t BgL_virtualzd2slotszd2number1736z00_2029, obj_t BgL_abstractzf31737zf3_2030)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_auxz00_2963;
BgL_auxz00_2963 = 
BGl_makezd2tclasszd2zzobject_classz00(BgL_id1738z00_2008, BgL_name1739z00_2009, BgL_siza7e1740za7_2010, BgL_class1741z00_2011, BgL_coercezd2to1742zd2_2012, BgL_parents1743z00_2013, 
CBOOL(BgL_initzf31744zf3_2014), 
CBOOL(BgL_magiczf31745zf3_2015), BgL_z421746z42_2016, BgL_alias1747z00_2017, BgL_pointedzd2tozd2by1748z00_2018, BgL_tvector1749z00_2019, BgL_location1750z00_2020, BgL_importzd2location1751zd2_2021, BgL_itszd2super1729zd2_2022, BgL_slots1730z00_2023, 
(BgL_globalz00_bglt)(BgL_holder1731z00_2024), BgL_widening1732z00_2025, 
(long)CINT(BgL_depth1733z00_2026), 
CBOOL(BgL_finalzf31734zf3_2027), BgL_constructor1735z00_2028, BgL_virtualzd2slotszd2number1736z00_2029, 
CBOOL(BgL_abstractzf31737zf3_2030)); 
return 
(obj_t)(BgL_auxz00_2963);} } 
}



/* allocate-tclass */
BgL_typez00_bglt BGl_allocatezd2tclasszd2zzobject_classz00()
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ /* Object/class.scm 30 */
BgL_typez00_bglt BgL_new1754z00_1603;
BgL_new1754z00_1603 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* Object/class.scm 30 */
long BgL_arg2144z00_1604;
BgL_arg2144z00_1604 = 
BGl_classzd2numzd2zz__objectz00(BGl_tclassz00zzobject_classz00); 
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_2974;
BgL_auxz00_2974 = 
(BgL_objectz00_bglt)(BgL_new1754z00_1603); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2974, BgL_arg2144z00_1604); } } 
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_2977;
BgL_auxz00_2977 = 
(BgL_objectz00_bglt)(BgL_new1754z00_1603); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2977, BFALSE); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_2980;
BgL_auxz00_2980 = 
(obj_t)(BgL_new1754z00_1603); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2980); } BUNSPEC; 
return BgL_new1754z00_1603;} } 
}



/* _allocate-tclass */
obj_t BGl__allocatezd2tclasszd2zzobject_classz00(obj_t BgL_envz00_2031)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ /* Object/class.scm 30 */
BgL_typez00_bglt BgL_auxz00_2983;
BgL_auxz00_2983 = 
BGl_allocatezd2tclasszd2zzobject_classz00(); 
return 
(obj_t)(BgL_auxz00_2983);} } 
}



/* tclass-its-super-set! */
obj_t BGl_tclasszd2itszd2superzd2setz12zc0zzobject_classz00(BgL_tclassz00_bglt BgL_obj1764z00_184, obj_t BgL_val1763z00_185)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ 
obj_t BgL_auxz00_2986;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_2987;
BgL_auxz00_2987 = 
(BgL_objectz00_bglt)(BgL_obj1764z00_184); 
BgL_auxz00_2986 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2987); } 
return 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_2986))->BgL_itszd2superzd2) = ((obj_t)BgL_val1763z00_185), BUNSPEC);} } 
}



/* _tclass-its-super-set! */
obj_t BGl__tclasszd2itszd2superzd2setz12zc0zzobject_classz00(obj_t BgL_envz00_2034, obj_t BgL_obj1764z00_2035, obj_t BgL_val1763z00_2036)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
return 
BGl_tclasszd2itszd2superzd2setz12zc0zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1764z00_2035), BgL_val1763z00_2036);} 
}



/* tclass-its-super */
obj_t BGl_tclasszd2itszd2superz00zzobject_classz00(BgL_tclassz00_bglt BgL_obj1762z00_186)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ 
obj_t BgL_auxz00_2993;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_2994;
BgL_auxz00_2994 = 
(BgL_objectz00_bglt)(BgL_obj1762z00_186); 
BgL_auxz00_2993 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2994); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2993))->BgL_itszd2superzd2);} } 
}



/* _tclass-its-super */
obj_t BGl__tclasszd2itszd2superz00zzobject_classz00(obj_t BgL_envz00_2032, obj_t BgL_obj1762z00_2033)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
return 
BGl_tclasszd2itszd2superz00zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1762z00_2033));} 
}



/* tclass-slots-set! */
obj_t BGl_tclasszd2slotszd2setz12z12zzobject_classz00(BgL_tclassz00_bglt BgL_obj1767z00_187, obj_t BgL_val1766z00_188)
{ AN_OBJECT;
{ /* Object/class.scm 34 */
{ 
obj_t BgL_auxz00_3000;
{ /* Object/class.scm 34 */
BgL_objectz00_bglt BgL_auxz00_3001;
BgL_auxz00_3001 = 
(BgL_objectz00_bglt)(BgL_obj1767z00_187); 
BgL_auxz00_3000 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3001); } 
return 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_3000))->BgL_slotsz00) = ((obj_t)BgL_val1766z00_188), BUNSPEC);} } 
}



/* _tclass-slots-set! */
obj_t BGl__tclasszd2slotszd2setz12z12zzobject_classz00(obj_t BgL_envz00_2039, obj_t BgL_obj1767z00_2040, obj_t BgL_val1766z00_2041)
{ AN_OBJECT;
{ /* Object/class.scm 34 */
return 
BGl_tclasszd2slotszd2setz12z12zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1767z00_2040), BgL_val1766z00_2041);} 
}



/* tclass-slots */
obj_t BGl_tclasszd2slotszd2zzobject_classz00(BgL_tclassz00_bglt BgL_obj1765z00_189)
{ AN_OBJECT;
{ /* Object/class.scm 34 */
{ 
obj_t BgL_auxz00_3007;
{ /* Object/class.scm 34 */
BgL_objectz00_bglt BgL_auxz00_3008;
BgL_auxz00_3008 = 
(BgL_objectz00_bglt)(BgL_obj1765z00_189); 
BgL_auxz00_3007 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3008); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3007))->BgL_slotsz00);} } 
}



/* _tclass-slots */
obj_t BGl__tclasszd2slotszd2zzobject_classz00(obj_t BgL_envz00_2037, obj_t BgL_obj1765z00_2038)
{ AN_OBJECT;
{ /* Object/class.scm 34 */
return 
BGl_tclasszd2slotszd2zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1765z00_2038));} 
}



/* tclass-holder */
BgL_globalz00_bglt BGl_tclasszd2holderzd2zzobject_classz00(BgL_tclassz00_bglt BgL_obj1768z00_190)
{ AN_OBJECT;
{ /* Object/class.scm 36 */
{ 
obj_t BgL_auxz00_3014;
{ /* Object/class.scm 36 */
BgL_objectz00_bglt BgL_auxz00_3015;
BgL_auxz00_3015 = 
(BgL_objectz00_bglt)(BgL_obj1768z00_190); 
BgL_auxz00_3014 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3015); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3014))->BgL_holderz00);} } 
}



/* _tclass-holder */
obj_t BGl__tclasszd2holderzd2zzobject_classz00(obj_t BgL_envz00_2042, obj_t BgL_obj1768z00_2043)
{ AN_OBJECT;
{ /* Object/class.scm 36 */
{ /* Object/class.scm 36 */
BgL_globalz00_bglt BgL_auxz00_3019;
BgL_auxz00_3019 = 
BGl_tclasszd2holderzd2zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1768z00_2043)); 
return 
(obj_t)(BgL_auxz00_3019);} } 
}



/* tclass-widening */
obj_t BGl_tclasszd2wideningzd2zzobject_classz00(BgL_tclassz00_bglt BgL_obj1769z00_191)
{ AN_OBJECT;
{ /* Object/class.scm 38 */
{ 
obj_t BgL_auxz00_3023;
{ /* Object/class.scm 38 */
BgL_objectz00_bglt BgL_auxz00_3024;
BgL_auxz00_3024 = 
(BgL_objectz00_bglt)(BgL_obj1769z00_191); 
BgL_auxz00_3023 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3024); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3023))->BgL_wideningz00);} } 
}



/* _tclass-widening */
obj_t BGl__tclasszd2wideningzd2zzobject_classz00(obj_t BgL_envz00_2044, obj_t BgL_obj1769z00_2045)
{ AN_OBJECT;
{ /* Object/class.scm 38 */
return 
BGl_tclasszd2wideningzd2zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1769z00_2045));} 
}



/* tclass-depth-set! */
obj_t BGl_tclasszd2depthzd2setz12z12zzobject_classz00(BgL_tclassz00_bglt BgL_obj1772z00_192, long BgL_val1771z00_193)
{ AN_OBJECT;
{ /* Object/class.scm 40 */
{ 
obj_t BgL_auxz00_3030;
{ /* Object/class.scm 40 */
BgL_objectz00_bglt BgL_auxz00_3031;
BgL_auxz00_3031 = 
(BgL_objectz00_bglt)(BgL_obj1772z00_192); 
BgL_auxz00_3030 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3031); } 
return 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_3030))->BgL_depthz00) = ((long)BgL_val1771z00_193), BUNSPEC);} } 
}



/* _tclass-depth-set! */
obj_t BGl__tclasszd2depthzd2setz12z12zzobject_classz00(obj_t BgL_envz00_2048, obj_t BgL_obj1772z00_2049, obj_t BgL_val1771z00_2050)
{ AN_OBJECT;
{ /* Object/class.scm 40 */
return 
BGl_tclasszd2depthzd2setz12z12zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1772z00_2049), 
(long)CINT(BgL_val1771z00_2050));} 
}



/* tclass-depth */
long BGl_tclasszd2depthzd2zzobject_classz00(BgL_tclassz00_bglt BgL_obj1770z00_194)
{ AN_OBJECT;
{ /* Object/class.scm 40 */
{ 
obj_t BgL_auxz00_3038;
{ /* Object/class.scm 40 */
BgL_objectz00_bglt BgL_auxz00_3039;
BgL_auxz00_3039 = 
(BgL_objectz00_bglt)(BgL_obj1770z00_194); 
BgL_auxz00_3038 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3039); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3038))->BgL_depthz00);} } 
}



/* _tclass-depth */
obj_t BGl__tclasszd2depthzd2zzobject_classz00(obj_t BgL_envz00_2046, obj_t BgL_obj1770z00_2047)
{ AN_OBJECT;
{ /* Object/class.scm 40 */
{ /* Object/class.scm 40 */
long BgL_auxz00_3043;
BgL_auxz00_3043 = 
BGl_tclasszd2depthzd2zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1770z00_2047)); 
return 
BINT(BgL_auxz00_3043);} } 
}



/* tclass-final? */
bool_t BGl_tclasszd2finalzf3z21zzobject_classz00(BgL_tclassz00_bglt BgL_obj1773z00_195)
{ AN_OBJECT;
{ /* Object/class.scm 42 */
{ 
obj_t BgL_auxz00_3047;
{ /* Object/class.scm 42 */
BgL_objectz00_bglt BgL_auxz00_3048;
BgL_auxz00_3048 = 
(BgL_objectz00_bglt)(BgL_obj1773z00_195); 
BgL_auxz00_3047 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3048); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3047))->BgL_finalzf3zf3);} } 
}



/* _tclass-final? */
obj_t BGl__tclasszd2finalzf3z21zzobject_classz00(obj_t BgL_envz00_2051, obj_t BgL_obj1773z00_2052)
{ AN_OBJECT;
{ /* Object/class.scm 42 */
{ /* Object/class.scm 42 */
bool_t BgL_auxz00_3052;
BgL_auxz00_3052 = 
BGl_tclasszd2finalzf3z21zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1773z00_2052)); 
return 
BBOOL(BgL_auxz00_3052);} } 
}



/* tclass-constructor */
obj_t BGl_tclasszd2constructorzd2zzobject_classz00(BgL_tclassz00_bglt BgL_obj1774z00_196)
{ AN_OBJECT;
{ /* Object/class.scm 44 */
{ 
obj_t BgL_auxz00_3056;
{ /* Object/class.scm 44 */
BgL_objectz00_bglt BgL_auxz00_3057;
BgL_auxz00_3057 = 
(BgL_objectz00_bglt)(BgL_obj1774z00_196); 
BgL_auxz00_3056 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3057); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3056))->BgL_constructorz00);} } 
}



/* _tclass-constructor */
obj_t BGl__tclasszd2constructorzd2zzobject_classz00(obj_t BgL_envz00_2053, obj_t BgL_obj1774z00_2054)
{ AN_OBJECT;
{ /* Object/class.scm 44 */
return 
BGl_tclasszd2constructorzd2zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1774z00_2054));} 
}



/* tclass-virtual-slots-number-set! */
obj_t BGl_tclasszd2virtualzd2slotszd2numberzd2setz12z12zzobject_classz00(BgL_tclassz00_bglt BgL_obj1777z00_197, obj_t BgL_val1776z00_198)
{ AN_OBJECT;
{ /* Object/class.scm 46 */
{ 
obj_t BgL_auxz00_3063;
{ /* Object/class.scm 46 */
BgL_objectz00_bglt BgL_auxz00_3064;
BgL_auxz00_3064 = 
(BgL_objectz00_bglt)(BgL_obj1777z00_197); 
BgL_auxz00_3063 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3064); } 
return 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_3063))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_val1776z00_198), BUNSPEC);} } 
}



/* _tclass-virtual-slots-number-set! */
obj_t BGl__tclasszd2virtualzd2slotszd2numberzd2setz12z12zzobject_classz00(obj_t BgL_envz00_2057, obj_t BgL_obj1777z00_2058, obj_t BgL_val1776z00_2059)
{ AN_OBJECT;
{ /* Object/class.scm 46 */
return 
BGl_tclasszd2virtualzd2slotszd2numberzd2setz12z12zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1777z00_2058), BgL_val1776z00_2059);} 
}



/* tclass-virtual-slots-number */
obj_t BGl_tclasszd2virtualzd2slotszd2numberzd2zzobject_classz00(BgL_tclassz00_bglt BgL_obj1775z00_199)
{ AN_OBJECT;
{ /* Object/class.scm 46 */
{ 
obj_t BgL_auxz00_3070;
{ /* Object/class.scm 46 */
BgL_objectz00_bglt BgL_auxz00_3071;
BgL_auxz00_3071 = 
(BgL_objectz00_bglt)(BgL_obj1775z00_199); 
BgL_auxz00_3070 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3071); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3070))->BgL_virtualzd2slotszd2numberz00);} } 
}



/* _tclass-virtual-slots-number */
obj_t BGl__tclasszd2virtualzd2slotszd2numberzd2zzobject_classz00(obj_t BgL_envz00_2055, obj_t BgL_obj1775z00_2056)
{ AN_OBJECT;
{ /* Object/class.scm 46 */
return 
BGl_tclasszd2virtualzd2slotszd2numberzd2zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1775z00_2056));} 
}



/* tclass-abstract? */
bool_t BGl_tclasszd2abstractzf3z21zzobject_classz00(BgL_tclassz00_bglt BgL_obj1778z00_200)
{ AN_OBJECT;
{ /* Object/class.scm 48 */
{ 
obj_t BgL_auxz00_3077;
{ /* Object/class.scm 48 */
BgL_objectz00_bglt BgL_auxz00_3078;
BgL_auxz00_3078 = 
(BgL_objectz00_bglt)(BgL_obj1778z00_200); 
BgL_auxz00_3077 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3078); } 
return 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3077))->BgL_abstractzf3zf3);} } 
}



/* _tclass-abstract? */
obj_t BGl__tclasszd2abstractzf3z21zzobject_classz00(obj_t BgL_envz00_2060, obj_t BgL_obj1778z00_2061)
{ AN_OBJECT;
{ /* Object/class.scm 48 */
{ /* Object/class.scm 48 */
bool_t BgL_auxz00_3082;
BgL_auxz00_3082 = 
BGl_tclasszd2abstractzf3z21zzobject_classz00(
(BgL_tclassz00_bglt)(BgL_obj1778z00_2061)); 
return 
BBOOL(BgL_auxz00_3082);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_classz00()
{ AN_OBJECT;
{ /* Object/class.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_jclassz00zzobject_classz00, BGl_proc2266z00zzobject_classz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_jclassz00zzobject_classz00, BGl_proc2267z00zzobject_classz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_tclassz00zzobject_classz00, BGl_proc2268z00zzobject_classz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_tclassz00zzobject_classz00, BGl_proc2269z00zzobject_classz00);} 
}



/* struct+object->object-tclass1954 */
obj_t BGl_structzb2objectzd2ze3objectzd2tclass1954z51zzobject_classz00(obj_t BgL_envz00_2136, obj_t BgL_oz00_2137, obj_t BgL_sz00_2138)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ 
BgL_tclassz00_bglt BgL_oz00_1210;obj_t BgL_sz00_1211;
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_auxz00_3090;
BgL_oz00_1210 = 
(BgL_tclassz00_bglt)(BgL_oz00_2137); 
BgL_sz00_1211 = BgL_sz00_2138; 
{ 

{ /* Object/class.scm 30 */
obj_t BgL_old1758z00_1214;obj_t BgL_aux1759z00_1215;
{ /* Object/class.scm 30 */
obj_t BgL_nextzd2method1953zd2_1228;
BgL_nextzd2method1953zd2_1228 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1210), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_tclassz00zzobject_classz00); 
if(
PROCEDUREP(BgL_nextzd2method1953zd2_1228))
{ /* Object/class.scm 30 */
BgL_old1758z00_1214 = 
PROCEDURE_ENTRY(BgL_nextzd2method1953zd2_1228)(BgL_nextzd2method1953zd2_1228, 
(obj_t)(BgL_oz00_1210), BgL_sz00_1211, BEOA); }  else 
{ /* Object/class.scm 30 */
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3098;
BgL_auxz00_3098 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1210), BgL_sz00_1211); 
BgL_old1758z00_1214 = 
(obj_t)(BgL_auxz00_3098); } } } 
{ /* Object/class.scm 30 */
int BgL_auxz00_3102;
BgL_auxz00_3102 = 
(int)(((long)0)); 
BgL_aux1759z00_1215 = 
STRUCT_REF(BgL_sz00_1211, BgL_auxz00_3102); } 
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_new1760z00_1216;
BgL_new1760z00_1216 = 
((BgL_tclassz00_bglt)(BgL_old1758z00_1214)); 
{ /* Object/class.scm 30 */
long BgL_arg2197z00_1217;
BgL_arg2197z00_1217 = 
BGl_classzd2numzd2zz__objectz00(BGl_tclassz00zzobject_classz00); 
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3107;
BgL_auxz00_3107 = 
(BgL_objectz00_bglt)(BgL_new1760z00_1216); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3107, BgL_arg2197z00_1217); } } 
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_arg2198z00_1218;
{ /* Object/class.scm 30 */
obj_t BgL_arg2199z00_1219;obj_t BgL_arg2200z00_1220;obj_t BgL_arg2202z00_1222;obj_t BgL_arg2205z00_1225;obj_t BgL_arg2206z00_1226;
{ /* Object/class.scm 30 */
int BgL_auxz00_3110;
BgL_auxz00_3110 = 
(int)(((long)0)); 
BgL_arg2199z00_1219 = 
STRUCT_REF(BgL_aux1759z00_1215, BgL_auxz00_3110); } 
{ /* Object/class.scm 30 */
int BgL_auxz00_3113;
BgL_auxz00_3113 = 
(int)(((long)1)); 
BgL_arg2200z00_1220 = 
STRUCT_REF(BgL_aux1759z00_1215, BgL_auxz00_3113); } 
{ /* Object/class.scm 30 */
int BgL_auxz00_3116;
BgL_auxz00_3116 = 
(int)(((long)3)); 
BgL_arg2202z00_1222 = 
STRUCT_REF(BgL_aux1759z00_1215, BgL_auxz00_3116); } 
{ /* Object/class.scm 30 */
int BgL_auxz00_3119;
BgL_auxz00_3119 = 
(int)(((long)6)); 
BgL_arg2205z00_1225 = 
STRUCT_REF(BgL_aux1759z00_1215, BgL_auxz00_3119); } 
{ /* Object/class.scm 30 */
int BgL_auxz00_3122;
BgL_auxz00_3122 = 
(int)(((long)7)); 
BgL_arg2206z00_1226 = 
STRUCT_REF(BgL_aux1759z00_1215, BgL_auxz00_3122); } 
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_res2236z00_1971;
{ /* Object/class.scm 30 */
BgL_globalz00_bglt BgL_holder1700z00_1943;long BgL_depth1702z00_1945;bool_t BgL_finalzf31703zf3_1946;bool_t BgL_abstractzf31706zf3_1949;
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3125;
{ /* Object/class.scm 30 */
int BgL_auxz00_3126;
BgL_auxz00_3126 = 
(int)(((long)2)); 
BgL_auxz00_3125 = 
STRUCT_REF(BgL_aux1759z00_1215, BgL_auxz00_3126); } 
BgL_holder1700z00_1943 = 
(BgL_globalz00_bglt)(BgL_auxz00_3125); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3130;
{ /* Object/class.scm 30 */
int BgL_auxz00_3131;
BgL_auxz00_3131 = 
(int)(((long)4)); 
BgL_auxz00_3130 = 
STRUCT_REF(BgL_aux1759z00_1215, BgL_auxz00_3131); } 
BgL_depth1702z00_1945 = 
(long)CINT(BgL_auxz00_3130); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3135;
{ /* Object/class.scm 30 */
int BgL_auxz00_3136;
BgL_auxz00_3136 = 
(int)(((long)5)); 
BgL_auxz00_3135 = 
STRUCT_REF(BgL_aux1759z00_1215, BgL_auxz00_3136); } 
BgL_finalzf31703zf3_1946 = 
CBOOL(BgL_auxz00_3135); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3140;
{ /* Object/class.scm 30 */
int BgL_auxz00_3141;
BgL_auxz00_3141 = 
(int)(((long)8)); 
BgL_auxz00_3140 = 
STRUCT_REF(BgL_aux1759z00_1215, BgL_auxz00_3141); } 
BgL_abstractzf31706zf3_1949 = 
CBOOL(BgL_auxz00_3140); } 
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_new1707z00_1950;
BgL_new1707z00_1950 = 
((BgL_tclassz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tclassz00_bgl)))); 
{ /* Object/class.scm 30 */
BgL_tclassz00_bglt BgL_res2235z00_1970;
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1950))->BgL_itszd2superzd2) = ((obj_t)BgL_arg2199z00_1219), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1950))->BgL_slotsz00) = ((obj_t)BgL_arg2200z00_1220), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1950))->BgL_holderz00) = ((BgL_globalz00_bglt)BgL_holder1700z00_1943), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1950))->BgL_wideningz00) = ((obj_t)BgL_arg2202z00_1222), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1950))->BgL_depthz00) = ((long)BgL_depth1702z00_1945), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1950))->BgL_finalzf3zf3) = ((bool_t)BgL_finalzf31703zf3_1946), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1950))->BgL_constructorz00) = ((obj_t)BgL_arg2205z00_1225), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1950))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_arg2206z00_1226), BUNSPEC); 
((((BgL_tclassz00_bglt)CREF(BgL_new1707z00_1950))->BgL_abstractzf3zf3) = ((bool_t)BgL_abstractzf31706zf3_1949), BUNSPEC); 
BgL_res2235z00_1970 = BgL_new1707z00_1950; BgL_res2235z00_1970; } 
BgL_res2236z00_1971 = BgL_new1707z00_1950; } } 
BgL_arg2198z00_1218 = BgL_res2236z00_1971; } } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3157;BgL_objectz00_bglt BgL_auxz00_3155;
BgL_auxz00_3157 = 
(obj_t)(BgL_arg2198z00_1218); 
BgL_auxz00_3155 = 
(BgL_objectz00_bglt)(BgL_new1760z00_1216); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3155, BgL_auxz00_3157); } } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3160;
BgL_auxz00_3160 = 
(obj_t)(BgL_new1760z00_1216); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3160); } BUNSPEC; 
BgL_auxz00_3090 = BgL_new1760z00_1216; } } } 
return 
(obj_t)(BgL_auxz00_3090);} } } 
}



/* object->struct-tclass1952 */
obj_t BGl_objectzd2ze3structzd2tclass1952ze3zzobject_classz00(obj_t BgL_envz00_2139, obj_t BgL_obj1755z00_2140)
{ AN_OBJECT;
{ /* Object/class.scm 30 */
{ 
BgL_tclassz00_bglt BgL_obj1755z00_1184;
BgL_obj1755z00_1184 = 
(BgL_tclassz00_bglt)(BgL_obj1755z00_2140); 
{ 

{ /* Object/class.scm 30 */
obj_t BgL_res1756z00_1187;
{ /* Object/class.scm 30 */
obj_t BgL_nextzd2method1951zd2_1208;
BgL_nextzd2method1951zd2_1208 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1755z00_1184), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_tclassz00zzobject_classz00); 
if(
PROCEDUREP(BgL_nextzd2method1951zd2_1208))
{ /* Object/class.scm 30 */
BgL_res1756z00_1187 = 
PROCEDURE_ENTRY(BgL_nextzd2method1951zd2_1208)(BgL_nextzd2method1951zd2_1208, 
(obj_t)(BgL_obj1755z00_1184), BEOA); }  else 
{ /* Object/class.scm 30 */
BgL_res1756z00_1187 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1755z00_1184)); } } 
{ /* Object/class.scm 30 */
obj_t BgL_aux1757z00_1188;
{ /* Object/class.scm 30 */
int BgL_auxz00_3176;obj_t BgL_auxz00_3174;
BgL_auxz00_3176 = 
(int)(((long)9)); 
BgL_auxz00_3174 = 
CNST_TABLE_REF(((long)2)); 
BgL_aux1757z00_1188 = 
make_struct(BgL_auxz00_3174, BgL_auxz00_3176, BUNSPEC); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3181;int BgL_auxz00_3179;
{ 
obj_t BgL_auxz00_3182;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3183;
BgL_auxz00_3183 = 
(BgL_objectz00_bglt)(BgL_obj1755z00_1184); 
BgL_auxz00_3182 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3183); } 
BgL_auxz00_3181 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3182))->BgL_itszd2superzd2); } 
BgL_auxz00_3179 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux1757z00_1188, BgL_auxz00_3179, BgL_auxz00_3181); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3190;int BgL_auxz00_3188;
{ 
obj_t BgL_auxz00_3191;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3192;
BgL_auxz00_3192 = 
(BgL_objectz00_bglt)(BgL_obj1755z00_1184); 
BgL_auxz00_3191 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3192); } 
BgL_auxz00_3190 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3191))->BgL_slotsz00); } 
BgL_auxz00_3188 = 
(int)(((long)1)); 
STRUCT_SET(BgL_aux1757z00_1188, BgL_auxz00_3188, BgL_auxz00_3190); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3199;int BgL_auxz00_3197;
{ /* Object/class.scm 30 */
BgL_globalz00_bglt BgL_auxz00_3200;
{ 
obj_t BgL_auxz00_3201;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3202;
BgL_auxz00_3202 = 
(BgL_objectz00_bglt)(BgL_obj1755z00_1184); 
BgL_auxz00_3201 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3202); } 
BgL_auxz00_3200 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3201))->BgL_holderz00); } 
BgL_auxz00_3199 = 
(obj_t)(BgL_auxz00_3200); } 
BgL_auxz00_3197 = 
(int)(((long)2)); 
STRUCT_SET(BgL_aux1757z00_1188, BgL_auxz00_3197, BgL_auxz00_3199); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3210;int BgL_auxz00_3208;
{ 
obj_t BgL_auxz00_3211;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3212;
BgL_auxz00_3212 = 
(BgL_objectz00_bglt)(BgL_obj1755z00_1184); 
BgL_auxz00_3211 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3212); } 
BgL_auxz00_3210 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3211))->BgL_wideningz00); } 
BgL_auxz00_3208 = 
(int)(((long)3)); 
STRUCT_SET(BgL_aux1757z00_1188, BgL_auxz00_3208, BgL_auxz00_3210); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3219;int BgL_auxz00_3217;
{ /* Object/class.scm 30 */
long BgL_auxz00_3220;
{ 
obj_t BgL_auxz00_3221;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3222;
BgL_auxz00_3222 = 
(BgL_objectz00_bglt)(BgL_obj1755z00_1184); 
BgL_auxz00_3221 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3222); } 
BgL_auxz00_3220 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3221))->BgL_depthz00); } 
BgL_auxz00_3219 = 
BINT(BgL_auxz00_3220); } 
BgL_auxz00_3217 = 
(int)(((long)4)); 
STRUCT_SET(BgL_aux1757z00_1188, BgL_auxz00_3217, BgL_auxz00_3219); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3230;int BgL_auxz00_3228;
{ /* Object/class.scm 30 */
bool_t BgL_auxz00_3231;
{ 
obj_t BgL_auxz00_3232;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3233;
BgL_auxz00_3233 = 
(BgL_objectz00_bglt)(BgL_obj1755z00_1184); 
BgL_auxz00_3232 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3233); } 
BgL_auxz00_3231 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3232))->BgL_finalzf3zf3); } 
BgL_auxz00_3230 = 
BBOOL(BgL_auxz00_3231); } 
BgL_auxz00_3228 = 
(int)(((long)5)); 
STRUCT_SET(BgL_aux1757z00_1188, BgL_auxz00_3228, BgL_auxz00_3230); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3241;int BgL_auxz00_3239;
{ 
obj_t BgL_auxz00_3242;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3243;
BgL_auxz00_3243 = 
(BgL_objectz00_bglt)(BgL_obj1755z00_1184); 
BgL_auxz00_3242 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3243); } 
BgL_auxz00_3241 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3242))->BgL_constructorz00); } 
BgL_auxz00_3239 = 
(int)(((long)6)); 
STRUCT_SET(BgL_aux1757z00_1188, BgL_auxz00_3239, BgL_auxz00_3241); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3250;int BgL_auxz00_3248;
{ 
obj_t BgL_auxz00_3251;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3252;
BgL_auxz00_3252 = 
(BgL_objectz00_bglt)(BgL_obj1755z00_1184); 
BgL_auxz00_3251 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3252); } 
BgL_auxz00_3250 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3251))->BgL_virtualzd2slotszd2numberz00); } 
BgL_auxz00_3248 = 
(int)(((long)7)); 
STRUCT_SET(BgL_aux1757z00_1188, BgL_auxz00_3248, BgL_auxz00_3250); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3259;int BgL_auxz00_3257;
{ /* Object/class.scm 30 */
bool_t BgL_auxz00_3260;
{ 
obj_t BgL_auxz00_3261;
{ /* Object/class.scm 30 */
BgL_objectz00_bglt BgL_auxz00_3262;
BgL_auxz00_3262 = 
(BgL_objectz00_bglt)(BgL_obj1755z00_1184); 
BgL_auxz00_3261 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3262); } 
BgL_auxz00_3260 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3261))->BgL_abstractzf3zf3); } 
BgL_auxz00_3259 = 
BBOOL(BgL_auxz00_3260); } 
BgL_auxz00_3257 = 
(int)(((long)8)); 
STRUCT_SET(BgL_aux1757z00_1188, BgL_auxz00_3257, BgL_auxz00_3259); } 
{ /* Object/class.scm 30 */
int BgL_auxz00_3268;
BgL_auxz00_3268 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1756z00_1187, BgL_auxz00_3268, BgL_aux1757z00_1188); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3271;
BgL_auxz00_3271 = 
STRUCT_KEY(BgL_res1756z00_1187); 
STRUCT_KEY_SET(BgL_aux1757z00_1188, BgL_auxz00_3271); } 
{ /* Object/class.scm 30 */
obj_t BgL_auxz00_3274;
BgL_auxz00_3274 = 
CNST_TABLE_REF(((long)2)); 
STRUCT_KEY_SET(BgL_res1756z00_1187, BgL_auxz00_3274); } 
return BgL_res1756z00_1187;} } } } } 
}



/* struct+object->object-jclass1950 */
obj_t BGl_structzb2objectzd2ze3objectzd2jclass1950z51zzobject_classz00(obj_t BgL_envz00_2141, obj_t BgL_oz00_2142, obj_t BgL_sz00_2143)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ 
BgL_jclassz00_bglt BgL_oz00_1170;obj_t BgL_sz00_1171;
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_auxz00_3278;
BgL_oz00_1170 = 
(BgL_jclassz00_bglt)(BgL_oz00_2142); 
BgL_sz00_1171 = BgL_sz00_2143; 
{ 

{ /* Object/class.scm 50 */
obj_t BgL_old1855z00_1174;obj_t BgL_aux1856z00_1175;
{ /* Object/class.scm 50 */
obj_t BgL_nextzd2method1949zd2_1182;
BgL_nextzd2method1949zd2_1182 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1170), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_jclassz00zzobject_classz00); 
if(
PROCEDUREP(BgL_nextzd2method1949zd2_1182))
{ /* Object/class.scm 50 */
BgL_old1855z00_1174 = 
PROCEDURE_ENTRY(BgL_nextzd2method1949zd2_1182)(BgL_nextzd2method1949zd2_1182, 
(obj_t)(BgL_oz00_1170), BgL_sz00_1171, BEOA); }  else 
{ /* Object/class.scm 50 */
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_3286;
BgL_auxz00_3286 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1170), BgL_sz00_1171); 
BgL_old1855z00_1174 = 
(obj_t)(BgL_auxz00_3286); } } } 
{ /* Object/class.scm 50 */
int BgL_auxz00_3290;
BgL_auxz00_3290 = 
(int)(((long)0)); 
BgL_aux1856z00_1175 = 
STRUCT_REF(BgL_sz00_1171, BgL_auxz00_3290); } 
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_new1857z00_1176;
BgL_new1857z00_1176 = 
((BgL_jclassz00_bglt)(BgL_old1855z00_1174)); 
{ /* Object/class.scm 50 */
long BgL_arg2170z00_1177;
BgL_arg2170z00_1177 = 
BGl_classzd2numzd2zz__objectz00(BGl_jclassz00zzobject_classz00); 
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_3295;
BgL_auxz00_3295 = 
(BgL_objectz00_bglt)(BgL_new1857z00_1176); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3295, BgL_arg2170z00_1177); } } 
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_arg2171z00_1178;
{ /* Object/class.scm 50 */
obj_t BgL_arg2172z00_1179;obj_t BgL_arg2173z00_1180;obj_t BgL_arg2174z00_1181;
{ /* Object/class.scm 50 */
int BgL_auxz00_3298;
BgL_auxz00_3298 = 
(int)(((long)0)); 
BgL_arg2172z00_1179 = 
STRUCT_REF(BgL_aux1856z00_1175, BgL_auxz00_3298); } 
{ /* Object/class.scm 50 */
int BgL_auxz00_3301;
BgL_auxz00_3301 = 
(int)(((long)1)); 
BgL_arg2173z00_1180 = 
STRUCT_REF(BgL_aux1856z00_1175, BgL_auxz00_3301); } 
{ /* Object/class.scm 50 */
int BgL_auxz00_3304;
BgL_auxz00_3304 = 
(int)(((long)2)); 
BgL_arg2174z00_1181 = 
STRUCT_REF(BgL_aux1856z00_1175, BgL_auxz00_3304); } 
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_res2233z00_1867;
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_new1822z00_1858;
BgL_new1822z00_1858 = 
((BgL_jclassz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jclassz00_bgl)))); 
{ /* Object/class.scm 50 */
BgL_jclassz00_bglt BgL_res2232z00_1866;
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1858))->BgL_itszd2superzd2) = ((obj_t)BgL_arg2172z00_1179), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1858))->BgL_slotsz00) = ((obj_t)BgL_arg2173z00_1180), BUNSPEC); 
((((BgL_jclassz00_bglt)CREF(BgL_new1822z00_1858))->BgL_packagez00) = ((obj_t)BgL_arg2174z00_1181), BUNSPEC); 
BgL_res2232z00_1866 = BgL_new1822z00_1858; BgL_res2232z00_1866; } 
BgL_res2233z00_1867 = BgL_new1822z00_1858; } 
BgL_arg2171z00_1178 = BgL_res2233z00_1867; } } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_3313;BgL_objectz00_bglt BgL_auxz00_3311;
BgL_auxz00_3313 = 
(obj_t)(BgL_arg2171z00_1178); 
BgL_auxz00_3311 = 
(BgL_objectz00_bglt)(BgL_new1857z00_1176); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3311, BgL_auxz00_3313); } } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_3316;
BgL_auxz00_3316 = 
(obj_t)(BgL_new1857z00_1176); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3316); } BUNSPEC; 
BgL_auxz00_3278 = BgL_new1857z00_1176; } } } 
return 
(obj_t)(BgL_auxz00_3278);} } } 
}



/* object->struct-jclass1948 */
obj_t BGl_objectzd2ze3structzd2jclass1948ze3zzobject_classz00(obj_t BgL_envz00_2144, obj_t BgL_obj1852z00_2145)
{ AN_OBJECT;
{ /* Object/class.scm 50 */
{ 
BgL_jclassz00_bglt BgL_obj1852z00_1156;
BgL_obj1852z00_1156 = 
(BgL_jclassz00_bglt)(BgL_obj1852z00_2145); 
{ 

{ /* Object/class.scm 50 */
obj_t BgL_res1853z00_1159;
{ /* Object/class.scm 50 */
obj_t BgL_nextzd2method1947zd2_1168;
BgL_nextzd2method1947zd2_1168 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1852z00_1156), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_jclassz00zzobject_classz00); 
if(
PROCEDUREP(BgL_nextzd2method1947zd2_1168))
{ /* Object/class.scm 50 */
BgL_res1853z00_1159 = 
PROCEDURE_ENTRY(BgL_nextzd2method1947zd2_1168)(BgL_nextzd2method1947zd2_1168, 
(obj_t)(BgL_obj1852z00_1156), BEOA); }  else 
{ /* Object/class.scm 50 */
BgL_res1853z00_1159 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1852z00_1156)); } } 
{ /* Object/class.scm 50 */
obj_t BgL_aux1854z00_1160;
{ /* Object/class.scm 50 */
int BgL_auxz00_3332;obj_t BgL_auxz00_3330;
BgL_auxz00_3332 = 
(int)(((long)3)); 
BgL_auxz00_3330 = 
CNST_TABLE_REF(((long)12)); 
BgL_aux1854z00_1160 = 
make_struct(BgL_auxz00_3330, BgL_auxz00_3332, BUNSPEC); } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_3337;int BgL_auxz00_3335;
{ 
obj_t BgL_auxz00_3338;
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_3339;
BgL_auxz00_3339 = 
(BgL_objectz00_bglt)(BgL_obj1852z00_1156); 
BgL_auxz00_3338 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3339); } 
BgL_auxz00_3337 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_3338))->BgL_itszd2superzd2); } 
BgL_auxz00_3335 = 
(int)(((long)0)); 
STRUCT_SET(BgL_aux1854z00_1160, BgL_auxz00_3335, BgL_auxz00_3337); } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_3346;int BgL_auxz00_3344;
{ 
obj_t BgL_auxz00_3347;
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_3348;
BgL_auxz00_3348 = 
(BgL_objectz00_bglt)(BgL_obj1852z00_1156); 
BgL_auxz00_3347 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3348); } 
BgL_auxz00_3346 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_3347))->BgL_slotsz00); } 
BgL_auxz00_3344 = 
(int)(((long)1)); 
STRUCT_SET(BgL_aux1854z00_1160, BgL_auxz00_3344, BgL_auxz00_3346); } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_3355;int BgL_auxz00_3353;
{ 
obj_t BgL_auxz00_3356;
{ /* Object/class.scm 50 */
BgL_objectz00_bglt BgL_auxz00_3357;
BgL_auxz00_3357 = 
(BgL_objectz00_bglt)(BgL_obj1852z00_1156); 
BgL_auxz00_3356 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3357); } 
BgL_auxz00_3355 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_3356))->BgL_packagez00); } 
BgL_auxz00_3353 = 
(int)(((long)2)); 
STRUCT_SET(BgL_aux1854z00_1160, BgL_auxz00_3353, BgL_auxz00_3355); } 
{ /* Object/class.scm 50 */
int BgL_auxz00_3362;
BgL_auxz00_3362 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1853z00_1159, BgL_auxz00_3362, BgL_aux1854z00_1160); } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_3365;
BgL_auxz00_3365 = 
STRUCT_KEY(BgL_res1853z00_1159); 
STRUCT_KEY_SET(BgL_aux1854z00_1160, BgL_auxz00_3365); } 
{ /* Object/class.scm 50 */
obj_t BgL_auxz00_3368;
BgL_auxz00_3368 = 
CNST_TABLE_REF(((long)12)); 
STRUCT_KEY_SET(BgL_res1853z00_1159, BgL_auxz00_3368); } 
return BgL_res1853z00_1159;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_classz00()
{ AN_OBJECT;
{ /* Object/class.scm 15 */
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_class"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_class"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_class"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_class"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)59737), "object_class"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "object_class"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "object_class"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "object_class"); 
BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long)48495), "object_class"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_class"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_class"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "object_class");} 
}

