/*===========================================================================*/
/*   (Object/creator.scm)                                                    */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_creatorz00();
static obj_t BGl_genzd2classzd2makez12z12zzobject_creatorz00(obj_t, obj_t, obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_genzd2classzd2fillz12z12zzobject_creatorz00(obj_t, obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
static obj_t BGl__importzd2widezd2classzd2creators2561zd2zzobject_creatorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
static obj_t BGl_genzd2widezd2classzd2makez12zc0zzobject_creatorz00(obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
extern obj_t BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_creatorz00();
static obj_t BGl__genzd2widezd2classzd2creators2559zd2zzobject_creatorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genzd2onezd2constructorz00zzobject_creatorz00(obj_t, BgL_jclassz00_bglt, obj_t);
extern obj_t BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_creatorz00();
extern obj_t BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
static obj_t BGl__genzd2javazd2classzd2constructors2563zd2zzobject_creatorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2classzd2constructorsz00zzobject_classz00(BgL_tclassz00_bglt);
static obj_t BGl__importzd2plainzd2classzd2creators2560zd2zzobject_creatorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
static obj_t BGl__importzd2javazd2classzd2creator2562zd2zzobject_creatorz00(obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_inlinezd2creatorszf3z21zzobject_creatorz00();
static obj_t BGl_genzd2classzd2allocatez12z12zzobject_creatorz00(obj_t, obj_t, BgL_globalz00_bglt, obj_t, obj_t);
extern obj_t BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t);
extern obj_t BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00(BgL_jclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2optimza2z00zzengine_paramz00;
extern obj_t BGl_za2heapzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_genzd2javazd2classzd2creatorzd2zzobject_creatorz00(BgL_jclassz00_bglt, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_creatorz00 = BUNSPEC;
extern obj_t BGl_importzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
static obj_t BGl__genzd2plainzd2classzd2creators2558zd2zzobject_creatorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00(BgL_jclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_genzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_creatorz00();
static obj_t BGl_makezd2classzd2slotzd2makez12zc0zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 43 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_importzd2javazd2classzd2creatorzd2envz00zzobject_creatorz00, BgL_bgl__importza7d2javaza7d2classza7d2creator2562za7d2za7za7object_creatorza7002578za7, BGl__importzd2javazd2classzd2creator2562zd2zzobject_creatorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2plainzd2classzd2creatorszd2envz00zzobject_creatorz00, BgL_bgl__importza7d2plainza7d2classza7d2creators2560za7d2za7za7object_creatorza7002579za7, BGl__importzd2plainzd2classzd2creators2560zd2zzobject_creatorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2javazd2classzd2constructorszd2envz00zzobject_creatorz00, BgL_bgl__genza7d2javaza7d2classza7d2constructors2563za7d2za7za7object_creatorza7002580za7, BGl__genzd2javazd2classzd2constructors2563zd2zzobject_creatorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2widezd2classzd2creatorszd2envz00zzobject_creatorz00, BgL_bgl__genza7d2wideza7d2classza7d2creators2559za7d2za7za7object_creatorza7002581za7, BGl__genzd2widezd2classzd2creators2559zd2zzobject_creatorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2plainzd2classzd2creatorszd2envz00zzobject_creatorz00, BgL_bgl__genza7d2plainza7d2classza7d2creators2558za7d2za7za7object_creatorza7002582za7, BGl__genzd2plainzd2classzd2creators2558zd2zzobject_creatorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2widezd2classzd2creatorszd2envz00zzobject_creatorz00, BgL_bgl__importza7d2wideza7d2classza7d2creators2561za7d2za7za7object_creatorza7002583za7, BGl__importzd2widezd2classzd2creators2561zd2zzobject_creatorz00, 0L, 3 );
DEFINE_STRING( BGl_string2573z00zzobject_creatorz00, BgL_bgl_string2573za700za7za7object_creatorza7002584z00, "cast aux object-widening-set! __object class-num @ object-class-num-set! +fx done quote =fx if labels loop allocator (inline) setfield object-mark-producer! pragma c free-pragma begin ::long i obj jvm %% let define widening- o inline static new define-inline allocate- widening - make ! fill- make- (make-heap make-add-heap) ", 325 );
DEFINE_STRING( BGl_string2572z00zzobject_creatorz00, BgL_bgl_string2572za700za7za7object_creatorza7002585z00, ")BREF( GC_MALLOC ( sizeof(", 26 );
DEFINE_STRING( BGl_string2571z00zzobject_creatorz00, BgL_bgl_string2571za700za7za7object_creatorza7002586z00, ") )))", 5 );
DEFINE_STRING( BGl_string2570z00zzobject_creatorz00, BgL_bgl_string2570za700za7za7object_creatorza7002587z00, "dynamically indexed slots are not supported yet in -gbdb2 mode", 62 );
DEFINE_STRING( BGl_string2569z00zzobject_creatorz00, BgL_bgl_string2569za700za7za7object_creatorza7002588z00, "make-class-slot-makes!", 22 );
DEFINE_STRING( BGl_string2568z00zzobject_creatorz00, BgL_bgl_string2568za700za7za7object_creatorza7002589z00, "header", 6 );
DEFINE_STRING( BGl_string2567z00zzobject_creatorz00, BgL_bgl_string2567za700za7za7object_creatorza7002590z00, "BREF( (obj_t)($1) )->header = MAKE_HEADER( OPAQUE_TYPE, 0 );", 60 );
DEFINE_STRING( BGl_string2566z00zzobject_creatorz00, BgL_bgl_string2566za700za7za7object_creatorza7002591z00, "((", 2 );
DEFINE_STRING( BGl_string2565z00zzobject_creatorz00, BgL_bgl_string2565za700za7za7object_creatorza7002592z00, ")BREF( GC_MALLOC (sizeof(", 25 );
DEFINE_STRING( BGl_string2564z00zzobject_creatorz00, BgL_bgl_string2564za700za7za7object_creatorza7002593z00, "))))", 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long BgL_checksumz00_2164, char * BgL_fromz00_2165)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_creatorz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_creatorz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_creatorz00(); 
BGl_cnstzd2initzd2zzobject_creatorz00(); 
BGl_importedzd2moduleszd2initz00zzobject_creatorz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_creatorz00()
{ AN_OBJECT;
{ /* Object/creator.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_creator"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_creator"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_creator"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "object_creator"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_creatorz00()
{ AN_OBJECT;
{ /* Object/creator.scm 21 */
{ /* Object/creator.scm 21 */
obj_t BgL_cportz00_2157;
BgL_cportz00_2157 = 
open_input_string(BGl_string2573z00zzobject_creatorz00); 
{ 
long BgL_iz00_2158;
BgL_iz00_2158 = ((long)42); 
BgL_loopz00_2159:
if(
(BgL_iz00_2158==((long)-1)))
{ /* Object/creator.scm 21 */
return BUNSPEC;}  else 
{ /* Object/creator.scm 21 */
{ /* Object/creator.scm 21 */
obj_t BgL_arg2575z00_2161;
{ /* Object/creator.scm 21 */
obj_t BgL_list2576z00_2162;
BgL_list2576z00_2162 = 
MAKE_PAIR(BgL_cportz00_2157, BNIL); 
BgL_arg2575z00_2161 = 
BGl_readz00zz__readerz00(BgL_list2576z00_2162); } 
{ /* Object/creator.scm 21 */
int BgL_auxz00_2181;
BgL_auxz00_2181 = 
(int)(BgL_iz00_2158); 
CNST_TABLE_SET(BgL_auxz00_2181, BgL_arg2575z00_2161); } } 
{ 
long BgL_iz00_2184;
{ /* Object/creator.scm 21 */
int BgL_auxz00_2185;
{ /* Object/creator.scm 21 */
long BgL_auxz00_2186;
BgL_auxz00_2186 = 
(BgL_iz00_2158-((long)1)); 
BgL_auxz00_2185 = 
(int)(BgL_auxz00_2186); } 
BgL_iz00_2184 = 
(long)(BgL_auxz00_2185); } 
BgL_iz00_2158 = BgL_iz00_2184; 
goto BgL_loopz00_2159;} } } } } 
}



/* inline-creators? */
bool_t BGl_inlinezd2creatorszf3z21zzobject_creatorz00()
{ AN_OBJECT;
{ /* Object/creator.scm 53 */
{ /* Object/creator.scm 54 */
bool_t BgL__andtest_1829z00_692;
{ /* Object/creator.scm 54 */
long BgL_n1z00_1699;
BgL_n1z00_1699 = 
(long)CINT(BGl_za2optimza2z00zzengine_paramz00); 
BgL__andtest_1829z00_692 = 
(BgL_n1z00_1699>=((long)2)); } 
if(BgL__andtest_1829z00_692)
{ /* Object/creator.scm 55 */
bool_t BgL__andtest_1830z00_693;
{ /* Object/creator.scm 55 */
bool_t BgL__ortest_1831z00_695;
{ /* Object/creator.scm 55 */
bool_t BgL_test1873z00_696;
{ /* Object/creator.scm 55 */
bool_t BgL_res2549z00_1705;
{ /* Object/creator.scm 55 */
obj_t BgL_objz00_1701;
BgL_objz00_1701 = BGl_za2profilezd2modeza2zd2zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_1701))
{ /* Object/creator.scm 55 */
BgL_res2549z00_1705 = ((bool_t)1); }  else 
{ /* Object/creator.scm 55 */
BgL_res2549z00_1705 = 
REALP(BgL_objz00_1701); } } 
BgL_test1873z00_696 = BgL_res2549z00_1705; } 
if(BgL_test1873z00_696)
{ /* Object/creator.scm 55 */
BgL__ortest_1831z00_695 = ((bool_t)0); }  else 
{ /* Object/creator.scm 55 */
BgL__ortest_1831z00_695 = ((bool_t)1); } } 
if(BgL__ortest_1831z00_695)
{ /* Object/creator.scm 55 */
BgL__andtest_1830z00_693 = BgL__ortest_1831z00_695; }  else 
{ /* Object/creator.scm 56 */
long BgL_n1z00_1706;
BgL_n1z00_1706 = 
(long)CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00); 
BgL__andtest_1830z00_693 = 
(BgL_n1z00_1706<((long)1)); } } 
if(BgL__andtest_1830z00_693)
{ /* Object/creator.scm 57 */
bool_t BgL_test1872z00_694;
{ /* Object/creator.scm 57 */
obj_t BgL_auxz00_2201;
BgL_auxz00_2201 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2passza2z00zzengine_paramz00, 
CNST_TABLE_REF(((long)0))); 
BgL_test1872z00_694 = 
CBOOL(BgL_auxz00_2201); } 
if(BgL_test1872z00_694)
{ /* Object/creator.scm 57 */
return ((bool_t)0);}  else 
{ /* Object/creator.scm 57 */
return ((bool_t)1);} }  else 
{ /* Object/creator.scm 55 */
return ((bool_t)0);} }  else 
{ /* Object/creator.scm 54 */
return ((bool_t)0);} } } 
}



/* gen-plain-class-creators */
obj_t BGl_genzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_importz00_3)
{ AN_OBJECT;
{ /* Object/creator.scm 62 */
{ /* Object/creator.scm 64 */
bool_t BgL_testz00_2206;
{ 
obj_t BgL_auxz00_2207;
{ /* Object/creator.scm 64 */
BgL_objectz00_bglt BgL_auxz00_2208;
BgL_auxz00_2208 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_2207 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2208); } 
BgL_testz00_2206 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2207))->BgL_abstractzf3zf3); } 
if(BgL_testz00_2206)
{ /* Object/creator.scm 64 */
return BNIL;}  else 
{ /* Object/creator.scm 66 */
obj_t BgL_idz00_699;
{ /* Object/creator.scm 66 */
BgL_typez00_bglt BgL_obj1625z00_1709;
BgL_obj1625z00_1709 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_idz00_699 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1709))->BgL_idz00); } 
{ /* Object/creator.scm 66 */
BgL_globalz00_bglt BgL_holderz00_700;
{ 
obj_t BgL_auxz00_2214;
{ /* Object/creator.scm 67 */
BgL_objectz00_bglt BgL_auxz00_2215;
BgL_auxz00_2215 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_2214 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2215); } 
BgL_holderz00_700 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2214))->BgL_holderz00); } 
{ /* Object/creator.scm 67 */
obj_t BgL_mkzd2heapzd2idz00_701;
{ /* Object/creator.scm 68 */
obj_t BgL_list1885z00_713;
{ /* Object/creator.scm 68 */
obj_t BgL_arg1886z00_714;obj_t BgL_arg1887z00_715;
BgL_arg1886z00_714 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1887z00_715 = 
MAKE_PAIR(BgL_idz00_699, BNIL); 
BgL_list1885z00_713 = 
MAKE_PAIR(BgL_arg1886z00_714, BgL_arg1887z00_715); } 
BgL_mkzd2heapzd2idz00_701 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1885z00_713); } 
{ /* Object/creator.scm 68 */
obj_t BgL_fillzd2idzd2_702;
{ /* Object/creator.scm 69 */
obj_t BgL_list1881z00_709;
{ /* Object/creator.scm 69 */
obj_t BgL_arg1882z00_710;obj_t BgL_arg1883z00_711;
BgL_arg1882z00_710 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/creator.scm 69 */
obj_t BgL_arg1884z00_712;
{ /* Object/creator.scm 69 */
obj_t BgL_auxz00_2224;
BgL_auxz00_2224 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1884z00_712 = 
MAKE_PAIR(BgL_auxz00_2224, BNIL); } 
BgL_arg1883z00_711 = 
MAKE_PAIR(BgL_idz00_699, BgL_arg1884z00_712); } 
BgL_list1881z00_709 = 
MAKE_PAIR(BgL_arg1882z00_710, BgL_arg1883z00_711); } 
BgL_fillzd2idzd2_702 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1881z00_709); } 
{ /* Object/creator.scm 69 */

{ /* Object/creator.scm 70 */
obj_t BgL_arg1875z00_703;obj_t BgL_arg1876z00_704;obj_t BgL_arg1877z00_705;
BgL_arg1875z00_703 = 
BGl_genzd2classzd2fillz12z12zzobject_creatorz00(BgL_fillzd2idzd2_702, BgL_idz00_699, BgL_classz00_1, BgL_srczd2defzd2_2, BgL_importz00_3); 
BgL_arg1876z00_704 = 
BGl_genzd2classzd2makez12z12zzobject_creatorz00(
CNST_TABLE_REF(((long)4)), BgL_mkzd2heapzd2idz00_701, BgL_idz00_699, BgL_classz00_1, BgL_srczd2defzd2_2, BgL_importz00_3); 
BgL_arg1877z00_705 = 
BGl_genzd2classzd2allocatez12z12zzobject_creatorz00(BgL_idz00_699, 
(obj_t)(BgL_classz00_1), BgL_holderz00_700, BgL_srczd2defzd2_2, BgL_importz00_3); 
{ /* Object/creator.scm 70 */
obj_t BgL_list1878z00_706;
{ /* Object/creator.scm 70 */
obj_t BgL_arg1879z00_707;
{ /* Object/creator.scm 70 */
obj_t BgL_arg1880z00_708;
BgL_arg1880z00_708 = 
MAKE_PAIR(BgL_arg1877z00_705, BNIL); 
BgL_arg1879z00_707 = 
MAKE_PAIR(BgL_arg1876z00_704, BgL_arg1880z00_708); } 
BgL_list1878z00_706 = 
MAKE_PAIR(BgL_arg1875z00_703, BgL_arg1879z00_707); } 
return BgL_list1878z00_706;} } } } } } } } } 
}



/* _gen-plain-class-creators2558 */
obj_t BGl__genzd2plainzd2classzd2creators2558zd2zzobject_creatorz00(obj_t BgL_envz00_2131, obj_t BgL_classz00_2132, obj_t BgL_srczd2defzd2_2133, obj_t BgL_importz00_2134)
{ AN_OBJECT;
{ /* Object/creator.scm 62 */
return 
BGl_genzd2plainzd2classzd2creatorszd2zzobject_creatorz00(
(BgL_tclassz00_bglt)(BgL_classz00_2132), BgL_srczd2defzd2_2133, BgL_importz00_2134);} 
}



/* gen-wide-class-creators */
obj_t BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt BgL_classz00_4, obj_t BgL_srczd2defzd2_5, obj_t BgL_importz00_6)
{ AN_OBJECT;
{ /* Object/creator.scm 77 */
{ /* Object/creator.scm 79 */
bool_t BgL_testz00_2240;
{ 
obj_t BgL_auxz00_2241;
{ /* Object/creator.scm 79 */
BgL_objectz00_bglt BgL_auxz00_2242;
BgL_auxz00_2242 = 
(BgL_objectz00_bglt)(BgL_classz00_4); 
BgL_auxz00_2241 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2242); } 
BgL_testz00_2240 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2241))->BgL_abstractzf3zf3); } 
if(BgL_testz00_2240)
{ /* Object/creator.scm 79 */
return BNIL;}  else 
{ /* Object/creator.scm 81 */
obj_t BgL_mkzd2heapzd2idz00_718;obj_t BgL_fillzd2idzd2_719;obj_t BgL_wideningz00_720;obj_t BgL_superz00_721;
{ /* Object/creator.scm 81 */
obj_t BgL_arg1903z00_736;
BgL_arg1903z00_736 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/creator.scm 81 */
obj_t BgL_list1905z00_738;
{ /* Object/creator.scm 81 */
obj_t BgL_arg1906z00_739;
{ /* Object/creator.scm 81 */
obj_t BgL_auxz00_2247;
{ /* Object/creator.scm 81 */
BgL_typez00_bglt BgL_obj1625z00_1714;
BgL_obj1625z00_1714 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_auxz00_2247 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1714))->BgL_idz00); } 
BgL_arg1906z00_739 = 
MAKE_PAIR(BgL_auxz00_2247, BNIL); } 
BgL_list1905z00_738 = 
MAKE_PAIR(BgL_arg1903z00_736, BgL_arg1906z00_739); } 
BgL_mkzd2heapzd2idz00_718 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1905z00_738); } } 
{ /* Object/creator.scm 82 */
obj_t BgL_arg1907z00_740;obj_t BgL_arg1908z00_741;
BgL_arg1907z00_740 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/creator.scm 82 */
BgL_typez00_bglt BgL_obj1625z00_1715;
BgL_obj1625z00_1715 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_arg1908z00_741 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1715))->BgL_idz00); } 
{ /* Object/creator.scm 82 */
obj_t BgL_list1910z00_743;
{ /* Object/creator.scm 82 */
obj_t BgL_arg1911z00_744;
{ /* Object/creator.scm 82 */
obj_t BgL_arg1912z00_745;
{ /* Object/creator.scm 82 */
obj_t BgL_auxz00_2256;
BgL_auxz00_2256 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1912z00_745 = 
MAKE_PAIR(BgL_auxz00_2256, BNIL); } 
BgL_arg1911z00_744 = 
MAKE_PAIR(BgL_arg1908z00_741, BgL_arg1912z00_745); } 
BgL_list1910z00_743 = 
MAKE_PAIR(BgL_arg1907z00_740, BgL_arg1911z00_744); } 
BgL_fillzd2idzd2_719 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1910z00_743); } } 
{ /* Object/creator.scm 83 */
obj_t BgL_arg1913z00_746;obj_t BgL_arg1914z00_747;
{ 
obj_t BgL_auxz00_2262;
{ /* Object/creator.scm 83 */
BgL_objectz00_bglt BgL_auxz00_2263;
BgL_auxz00_2263 = 
(BgL_objectz00_bglt)(BgL_classz00_4); 
BgL_auxz00_2262 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2263); } 
BgL_arg1913z00_746 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2262))->BgL_wideningz00); } 
BgL_arg1914z00_747 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/creator.scm 83 */
obj_t BgL_list1916z00_749;
{ /* Object/creator.scm 83 */
obj_t BgL_arg1917z00_750;
{ /* Object/creator.scm 83 */
obj_t BgL_arg1918z00_751;
{ /* Object/creator.scm 83 */
obj_t BgL_auxz00_2268;
{ /* Object/creator.scm 83 */
BgL_typez00_bglt BgL_obj1625z00_1717;
BgL_obj1625z00_1717 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_auxz00_2268 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1717))->BgL_idz00); } 
BgL_arg1918z00_751 = 
MAKE_PAIR(BgL_auxz00_2268, BNIL); } 
BgL_arg1917z00_750 = 
MAKE_PAIR(BgL_arg1914z00_747, BgL_arg1918z00_751); } 
BgL_list1916z00_749 = 
MAKE_PAIR(BgL_arg1913z00_746, BgL_arg1917z00_750); } 
BgL_wideningz00_720 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1916z00_749); } } 
{ 
obj_t BgL_auxz00_2275;
{ /* Object/creator.scm 84 */
BgL_objectz00_bglt BgL_auxz00_2276;
BgL_auxz00_2276 = 
(BgL_objectz00_bglt)(BgL_classz00_4); 
BgL_auxz00_2275 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2276); } 
BgL_superz00_721 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2275))->BgL_itszd2superzd2); } 
{ /* Object/creator.scm 85 */
obj_t BgL_arg1889z00_722;obj_t BgL_arg1890z00_723;obj_t BgL_arg1891z00_724;obj_t BgL_arg1892z00_725;
{ /* Object/creator.scm 85 */
obj_t BgL_auxz00_2280;
{ /* Object/creator.scm 85 */
BgL_typez00_bglt BgL_obj1625z00_1719;
BgL_obj1625z00_1719 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_auxz00_2280 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1719))->BgL_idz00); } 
BgL_arg1889z00_722 = 
BGl_genzd2classzd2makez12z12zzobject_creatorz00(
CNST_TABLE_REF(((long)6)), BgL_wideningz00_720, BgL_auxz00_2280, BgL_classz00_4, BgL_srczd2defzd2_5, BgL_importz00_6); } 
{ /* Object/creator.scm 86 */
obj_t BgL_auxz00_2285;
{ /* Object/creator.scm 86 */
BgL_typez00_bglt BgL_obj1625z00_1720;
BgL_obj1625z00_1720 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_auxz00_2285 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1720))->BgL_idz00); } 
BgL_arg1890z00_723 = 
BGl_genzd2classzd2fillz12z12zzobject_creatorz00(BgL_fillzd2idzd2_719, BgL_auxz00_2285, BgL_classz00_4, BgL_srczd2defzd2_5, BgL_importz00_6); } 
{ /* Object/creator.scm 87 */
obj_t BgL_auxz00_2289;
{ /* Object/creator.scm 87 */
BgL_typez00_bglt BgL_obj1625z00_1721;
BgL_obj1625z00_1721 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_auxz00_2289 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1721))->BgL_idz00); } 
BgL_arg1891z00_724 = 
BGl_genzd2widezd2classzd2makez12zc0zzobject_creatorz00(BgL_auxz00_2289, BgL_classz00_4, BgL_srczd2defzd2_5, BgL_importz00_6); } 
{ /* Object/creator.scm 88 */
BgL_globalz00_bglt BgL_auxz00_2296;obj_t BgL_auxz00_2293;
{ 
obj_t BgL_auxz00_2297;
{ /* Object/creator.scm 88 */
BgL_objectz00_bglt BgL_auxz00_2298;
BgL_auxz00_2298 = 
(BgL_objectz00_bglt)(BgL_classz00_4); 
BgL_auxz00_2297 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2298); } 
BgL_auxz00_2296 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2297))->BgL_holderz00); } 
{ /* Object/creator.scm 88 */
BgL_typez00_bglt BgL_obj1625z00_1722;
BgL_obj1625z00_1722 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_auxz00_2293 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1722))->BgL_idz00); } 
BgL_arg1892z00_725 = 
BGl_genzd2classzd2allocatez12z12zzobject_creatorz00(BgL_auxz00_2293, BgL_superz00_721, BgL_auxz00_2296, BgL_srczd2defzd2_5, BgL_importz00_6); } 
{ /* Object/creator.scm 85 */
obj_t BgL_list1893z00_726;
{ /* Object/creator.scm 85 */
obj_t BgL_arg1894z00_727;
{ /* Object/creator.scm 85 */
obj_t BgL_arg1895z00_728;
{ /* Object/creator.scm 85 */
obj_t BgL_arg1896z00_729;
BgL_arg1896z00_729 = 
MAKE_PAIR(BgL_arg1892z00_725, BNIL); 
BgL_arg1895z00_728 = 
MAKE_PAIR(BgL_arg1891z00_724, BgL_arg1896z00_729); } 
BgL_arg1894z00_727 = 
MAKE_PAIR(BgL_arg1890z00_723, BgL_arg1895z00_728); } 
BgL_list1893z00_726 = 
MAKE_PAIR(BgL_arg1889z00_722, BgL_arg1894z00_727); } 
return BgL_list1893z00_726;} } } } } 
}



/* _gen-wide-class-creators2559 */
obj_t BGl__genzd2widezd2classzd2creators2559zd2zzobject_creatorz00(obj_t BgL_envz00_2135, obj_t BgL_classz00_2136, obj_t BgL_srczd2defzd2_2137, obj_t BgL_importz00_2138)
{ AN_OBJECT;
{ /* Object/creator.scm 77 */
return 
BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(
(BgL_tclassz00_bglt)(BgL_classz00_2136), BgL_srczd2defzd2_2137, BgL_importz00_2138);} 
}



/* gen-java-class-creator */
obj_t BGl_genzd2javazd2classzd2creatorzd2zzobject_creatorz00(BgL_jclassz00_bglt BgL_classz00_7, obj_t BgL_srczd2defzd2_8)
{ AN_OBJECT;
{ /* Object/creator.scm 93 */
{ /* Object/creator.scm 94 */
obj_t BgL_idz00_752;
{ /* Object/creator.scm 94 */
BgL_typez00_bglt BgL_obj1706z00_1726;
BgL_obj1706z00_1726 = 
(BgL_typez00_bglt)(BgL_classz00_7); 
BgL_idz00_752 = 
(((BgL_typez00_bglt)CREF(BgL_obj1706z00_1726))->BgL_idz00); } 
{ /* Object/creator.scm 94 */
obj_t BgL_alloczd2idzd2_753;
{ /* Object/creator.scm 95 */
obj_t BgL_list1938z00_775;
{ /* Object/creator.scm 95 */
obj_t BgL_arg1939z00_776;obj_t BgL_arg1940z00_777;
BgL_arg1939z00_776 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg1940z00_777 = 
MAKE_PAIR(BgL_idz00_752, BNIL); 
BgL_list1938z00_775 = 
MAKE_PAIR(BgL_arg1939z00_776, BgL_arg1940z00_777); } 
BgL_alloczd2idzd2_753 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1938z00_775); } 
{ /* Object/creator.scm 95 */

{ 

{ /* Object/creator.scm 99 */
obj_t BgL_arg1919z00_755;
{ /* Object/creator.scm 99 */
obj_t BgL_arg1920z00_756;obj_t BgL_arg1921z00_757;
BgL_arg1920z00_756 = 
CNST_TABLE_REF(((long)10)); 
{ /* Object/creator.scm 99 */
obj_t BgL_arg1922z00_758;
{ /* Object/creator.scm 99 */
obj_t BgL_arg1924z00_760;obj_t BgL_arg1925z00_761;
BgL_arg1924z00_760 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg1925z00_761 = 
MAKE_PAIR(BgL_alloczd2idzd2_753, BNIL); 
BgL_arg1922z00_758 = 
MAKE_PAIR(BgL_arg1924z00_760, BgL_arg1925z00_761); } 
BgL_arg1921z00_757 = 
MAKE_PAIR(BgL_arg1922z00_758, BNIL); } 
BgL_arg1919z00_755 = 
MAKE_PAIR(BgL_arg1920z00_756, BgL_arg1921z00_757); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1919z00_755); } 
{ /* Object/creator.scm 100 */
obj_t BgL_arg1926z00_762;
{ /* Object/creator.scm 100 */
obj_t BgL_arg1928z00_764;
{ /* Object/creator.scm 97 */
obj_t BgL_arg1931z00_767;obj_t BgL_arg1932z00_768;
BgL_arg1931z00_767 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/creator.scm 97 */
obj_t BgL_arg1933z00_769;obj_t BgL_arg1934z00_770;
BgL_arg1933z00_769 = 
MAKE_PAIR(BgL_alloczd2idzd2_753, BNIL); 
{ /* Object/creator.scm 98 */
obj_t BgL_arg1935z00_771;
BgL_arg1935z00_771 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)9)), BgL_idz00_752, BNIL); 
BgL_arg1934z00_770 = 
MAKE_PAIR(BgL_arg1935z00_771, BNIL); } 
BgL_arg1932z00_768 = 
MAKE_PAIR(BgL_arg1933z00_769, BgL_arg1934z00_770); } 
BgL_arg1928z00_764 = 
MAKE_PAIR(BgL_arg1931z00_767, BgL_arg1932z00_768); } 
{ /* Object/creator.scm 100 */
obj_t BgL_list1929z00_765;
BgL_list1929z00_765 = 
MAKE_PAIR(BgL_srczd2defzd2_8, BNIL); 
BgL_arg1926z00_762 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg1928z00_764, BgL_list1929z00_765); } } 
{ /* Object/creator.scm 100 */
obj_t BgL_list1927z00_763;
BgL_list1927z00_763 = 
MAKE_PAIR(BgL_arg1926z00_762, BNIL); 
return BgL_list1927z00_763;} } } } } } } 
}



/* import-plain-class-creators */
obj_t BGl_importzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt BgL_classz00_9, obj_t BgL_srczd2defzd2_10, obj_t BgL_modulez00_11)
{ AN_OBJECT;
{ /* Object/creator.scm 105 */
{ /* Object/creator.scm 106 */
bool_t BgL_testz00_2332;
{ 
obj_t BgL_auxz00_2333;
{ /* Object/creator.scm 106 */
BgL_objectz00_bglt BgL_auxz00_2334;
BgL_auxz00_2334 = 
(BgL_objectz00_bglt)(BgL_classz00_9); 
BgL_auxz00_2333 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2334); } 
BgL_testz00_2332 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2333))->BgL_abstractzf3zf3); } 
if(BgL_testz00_2332)
{ /* Object/creator.scm 106 */
return BNIL;}  else 
{ /* Object/creator.scm 106 */
if(
BGl_inlinezd2creatorszf3z21zzobject_creatorz00())
{ /* Object/creator.scm 108 */
return 
BGl_genzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_9, BgL_srczd2defzd2_10, 
CNST_TABLE_REF(((long)10)));}  else 
{ /* Object/creator.scm 112 */
obj_t BgL_mkzd2idzd2_781;
{ /* Object/creator.scm 112 */
obj_t BgL_arg1969z00_815;
BgL_arg1969z00_815 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/creator.scm 112 */
obj_t BgL_list1971z00_817;
{ /* Object/creator.scm 112 */
obj_t BgL_arg1972z00_818;
{ /* Object/creator.scm 112 */
obj_t BgL_auxz00_2343;
{ /* Object/creator.scm 112 */
BgL_typez00_bglt BgL_obj1625z00_1730;
BgL_obj1625z00_1730 = 
(BgL_typez00_bglt)(BgL_classz00_9); 
BgL_auxz00_2343 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1730))->BgL_idz00); } 
BgL_arg1972z00_818 = 
MAKE_PAIR(BgL_auxz00_2343, BNIL); } 
BgL_list1971z00_817 = 
MAKE_PAIR(BgL_arg1969z00_815, BgL_arg1972z00_818); } 
BgL_mkzd2idzd2_781 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1971z00_817); } } 
{ /* Object/creator.scm 112 */
obj_t BgL_fillzd2idzd2_782;
{ /* Object/creator.scm 113 */
obj_t BgL_arg1963z00_809;obj_t BgL_arg1964z00_810;
BgL_arg1963z00_809 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/creator.scm 113 */
BgL_typez00_bglt BgL_obj1625z00_1731;
BgL_obj1625z00_1731 = 
(BgL_typez00_bglt)(BgL_classz00_9); 
BgL_arg1964z00_810 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1731))->BgL_idz00); } 
{ /* Object/creator.scm 113 */
obj_t BgL_list1966z00_812;
{ /* Object/creator.scm 113 */
obj_t BgL_arg1967z00_813;
{ /* Object/creator.scm 113 */
obj_t BgL_arg1968z00_814;
{ /* Object/creator.scm 113 */
obj_t BgL_auxz00_2352;
BgL_auxz00_2352 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1968z00_814 = 
MAKE_PAIR(BgL_auxz00_2352, BNIL); } 
BgL_arg1967z00_813 = 
MAKE_PAIR(BgL_arg1964z00_810, BgL_arg1968z00_814); } 
BgL_list1966z00_812 = 
MAKE_PAIR(BgL_arg1963z00_809, BgL_arg1967z00_813); } 
BgL_fillzd2idzd2_782 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1966z00_812); } } 
{ /* Object/creator.scm 113 */
obj_t BgL_mkzd2tidzd2_783;
{ /* Object/creator.scm 114 */
obj_t BgL_auxz00_2358;
{ /* Object/creator.scm 114 */
BgL_typez00_bglt BgL_obj1625z00_1732;
BgL_obj1625z00_1732 = 
(BgL_typez00_bglt)(BgL_classz00_9); 
BgL_auxz00_2358 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1732))->BgL_idz00); } 
BgL_mkzd2tidzd2_783 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_mkzd2idzd2_781, BgL_auxz00_2358); } 
{ /* Object/creator.scm 114 */
obj_t BgL_fzd2idszd2_784;
{ /* Object/creator.scm 115 */
obj_t BgL_auxz00_2362;
{ 
obj_t BgL_auxz00_2363;
{ /* Object/creator.scm 115 */
BgL_objectz00_bglt BgL_auxz00_2364;
BgL_auxz00_2364 = 
(BgL_objectz00_bglt)(BgL_classz00_9); 
BgL_auxz00_2363 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2364); } 
BgL_auxz00_2362 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2363))->BgL_slotsz00); } 
BgL_fzd2idszd2_784 = 
BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(BgL_auxz00_2362); } 
{ /* Object/creator.scm 115 */
obj_t BgL_fzd2tidszd2_785;
{ /* Object/creator.scm 116 */
obj_t BgL_auxz00_2369;
{ 
obj_t BgL_auxz00_2370;
{ /* Object/creator.scm 116 */
BgL_objectz00_bglt BgL_auxz00_2371;
BgL_auxz00_2371 = 
(BgL_objectz00_bglt)(BgL_classz00_9); 
BgL_auxz00_2370 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2371); } 
BgL_auxz00_2369 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2370))->BgL_slotsz00); } 
BgL_fzd2tidszd2_785 = 
BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(BgL_fzd2idszd2_784, BgL_auxz00_2369); } 
{ /* Object/creator.scm 116 */
obj_t BgL_toz00_786;
{ /* Object/creator.scm 117 */
obj_t BgL_arg1957z00_803;obj_t BgL_arg1958z00_804;
{ /* Object/creator.scm 117 */
obj_t BgL_arg1959z00_805;
BgL_arg1959z00_805 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)12)), BEOA); 
BgL_arg1957z00_803 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1959z00_805); } 
{ /* Object/creator.scm 117 */
BgL_typez00_bglt BgL_obj1625z00_1735;
BgL_obj1625z00_1735 = 
(BgL_typez00_bglt)(BgL_classz00_9); 
BgL_arg1958z00_804 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1735))->BgL_idz00); } 
BgL_toz00_786 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg1957z00_803, BgL_arg1958z00_804); } 
{ /* Object/creator.scm 117 */
obj_t BgL_alloczd2idzd2_787;
{ /* Object/creator.scm 119 */
obj_t BgL_arg1953z00_799;
BgL_arg1953z00_799 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/creator.scm 119 */
obj_t BgL_list1955z00_801;
{ /* Object/creator.scm 119 */
obj_t BgL_arg1956z00_802;
{ /* Object/creator.scm 119 */
obj_t BgL_auxz00_2384;
{ /* Object/creator.scm 119 */
BgL_typez00_bglt BgL_obj1625z00_1736;
BgL_obj1625z00_1736 = 
(BgL_typez00_bglt)(BgL_classz00_9); 
BgL_auxz00_2384 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1736))->BgL_idz00); } 
BgL_arg1956z00_802 = 
MAKE_PAIR(BgL_auxz00_2384, BNIL); } 
BgL_list1955z00_801 = 
MAKE_PAIR(BgL_arg1953z00_799, BgL_arg1956z00_802); } 
BgL_alloczd2idzd2_787 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1955z00_801); } } 
{ /* Object/creator.scm 119 */
obj_t BgL_alloczd2tidzd2_788;
{ /* Object/creator.scm 120 */
obj_t BgL_auxz00_2390;
{ /* Object/creator.scm 120 */
BgL_typez00_bglt BgL_obj1625z00_1737;
BgL_obj1625z00_1737 = 
(BgL_typez00_bglt)(BgL_classz00_9); 
BgL_auxz00_2390 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1737))->BgL_idz00); } 
BgL_alloczd2tidzd2_788 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_alloczd2idzd2_787, BgL_auxz00_2390); } 
{ /* Object/creator.scm 120 */

{ /* Object/creator.scm 122 */
obj_t BgL_arg1943z00_789;
{ /* Object/creator.scm 122 */
obj_t BgL_auxz00_2394;
BgL_auxz00_2394 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2tidszd2_785, BNIL); 
BgL_arg1943z00_789 = 
MAKE_PAIR(BgL_mkzd2tidzd2_783, BgL_auxz00_2394); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_11, BgL_arg1943z00_789, BNIL); } 
{ /* Object/creator.scm 123 */
obj_t BgL_arg1946z00_792;
BgL_arg1946z00_792 = 
MAKE_PAIR(BgL_alloczd2tidzd2_788, BNIL); 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_11, BgL_arg1946z00_792, BNIL); } 
{ /* Object/creator.scm 124 */
obj_t BgL_arg1948z00_794;
{ /* Object/creator.scm 124 */
obj_t BgL_arg1950z00_796;
{ /* Object/creator.scm 124 */
obj_t BgL_auxz00_2400;
BgL_auxz00_2400 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2tidszd2_785, BNIL); 
BgL_arg1950z00_796 = 
MAKE_PAIR(BgL_toz00_786, BgL_auxz00_2400); } 
BgL_arg1948z00_794 = 
MAKE_PAIR(BgL_fillzd2idzd2_782, BgL_arg1950z00_796); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_11, BgL_arg1948z00_794, BNIL); } 
return BNIL;} } } } } } } } } } } } 
}



/* _import-plain-class-creators2560 */
obj_t BGl__importzd2plainzd2classzd2creators2560zd2zzobject_creatorz00(obj_t BgL_envz00_2139, obj_t BgL_classz00_2140, obj_t BgL_srczd2defzd2_2141, obj_t BgL_modulez00_2142)
{ AN_OBJECT;
{ /* Object/creator.scm 105 */
return 
BGl_importzd2plainzd2classzd2creatorszd2zzobject_creatorz00(
(BgL_tclassz00_bglt)(BgL_classz00_2140), BgL_srczd2defzd2_2141, BgL_modulez00_2142);} 
}



/* import-wide-class-creators */
obj_t BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt BgL_classz00_12, obj_t BgL_srczd2defzd2_13, obj_t BgL_modulez00_14)
{ AN_OBJECT;
{ /* Object/creator.scm 131 */
{ /* Object/creator.scm 132 */
bool_t BgL_testz00_2407;
{ 
obj_t BgL_auxz00_2408;
{ /* Object/creator.scm 132 */
BgL_objectz00_bglt BgL_auxz00_2409;
BgL_auxz00_2409 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_2408 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2409); } 
BgL_testz00_2407 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2408))->BgL_abstractzf3zf3); } 
if(BgL_testz00_2407)
{ /* Object/creator.scm 132 */
return BNIL;}  else 
{ /* Object/creator.scm 132 */
if(
BGl_inlinezd2creatorszf3z21zzobject_creatorz00())
{ /* Object/creator.scm 134 */
return 
BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_12, BgL_srczd2defzd2_13, 
CNST_TABLE_REF(((long)10)));}  else 
{ /* Object/creator.scm 138 */
obj_t BgL_mkzd2idzd2_822;
{ /* Object/creator.scm 138 */
obj_t BgL_arg2012z00_871;
BgL_arg2012z00_871 = 
CNST_TABLE_REF(((long)1)); 
{ /* Object/creator.scm 138 */
obj_t BgL_list2014z00_873;
{ /* Object/creator.scm 138 */
obj_t BgL_arg2015z00_874;
{ /* Object/creator.scm 138 */
obj_t BgL_auxz00_2418;
{ /* Object/creator.scm 138 */
BgL_typez00_bglt BgL_obj1625z00_1739;
BgL_obj1625z00_1739 = 
(BgL_typez00_bglt)(BgL_classz00_12); 
BgL_auxz00_2418 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1739))->BgL_idz00); } 
BgL_arg2015z00_874 = 
MAKE_PAIR(BgL_auxz00_2418, BNIL); } 
BgL_list2014z00_873 = 
MAKE_PAIR(BgL_arg2012z00_871, BgL_arg2015z00_874); } 
BgL_mkzd2idzd2_822 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2014z00_873); } } 
{ /* Object/creator.scm 138 */
obj_t BgL_fillzd2idzd2_823;
{ /* Object/creator.scm 139 */
obj_t BgL_arg2006z00_865;obj_t BgL_arg2007z00_866;
BgL_arg2006z00_865 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/creator.scm 139 */
BgL_typez00_bglt BgL_obj1625z00_1740;
BgL_obj1625z00_1740 = 
(BgL_typez00_bglt)(BgL_classz00_12); 
BgL_arg2007z00_866 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1740))->BgL_idz00); } 
{ /* Object/creator.scm 139 */
obj_t BgL_list2009z00_868;
{ /* Object/creator.scm 139 */
obj_t BgL_arg2010z00_869;
{ /* Object/creator.scm 139 */
obj_t BgL_arg2011z00_870;
{ /* Object/creator.scm 139 */
obj_t BgL_auxz00_2427;
BgL_auxz00_2427 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2011z00_870 = 
MAKE_PAIR(BgL_auxz00_2427, BNIL); } 
BgL_arg2010z00_869 = 
MAKE_PAIR(BgL_arg2007z00_866, BgL_arg2011z00_870); } 
BgL_list2009z00_868 = 
MAKE_PAIR(BgL_arg2006z00_865, BgL_arg2010z00_869); } 
BgL_fillzd2idzd2_823 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2009z00_868); } } 
{ /* Object/creator.scm 139 */
obj_t BgL_mkzd2tidzd2_824;
{ /* Object/creator.scm 140 */
obj_t BgL_auxz00_2433;
{ /* Object/creator.scm 140 */
BgL_typez00_bglt BgL_obj1625z00_1741;
BgL_obj1625z00_1741 = 
(BgL_typez00_bglt)(BgL_classz00_12); 
BgL_auxz00_2433 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1741))->BgL_idz00); } 
BgL_mkzd2tidzd2_824 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_mkzd2idzd2_822, BgL_auxz00_2433); } 
{ /* Object/creator.scm 140 */
obj_t BgL_alloczd2widezd2_825;
{ /* Object/creator.scm 141 */
obj_t BgL_arg2001z00_860;
BgL_arg2001z00_860 = 
CNST_TABLE_REF(((long)13)); 
{ /* Object/creator.scm 141 */
obj_t BgL_list2003z00_862;
{ /* Object/creator.scm 141 */
obj_t BgL_arg2004z00_863;
{ /* Object/creator.scm 141 */
obj_t BgL_auxz00_2438;
{ /* Object/creator.scm 141 */
BgL_typez00_bglt BgL_obj1625z00_1742;
BgL_obj1625z00_1742 = 
(BgL_typez00_bglt)(BgL_classz00_12); 
BgL_auxz00_2438 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1742))->BgL_idz00); } 
BgL_arg2004z00_863 = 
MAKE_PAIR(BgL_auxz00_2438, BNIL); } 
BgL_list2003z00_862 = 
MAKE_PAIR(BgL_arg2001z00_860, BgL_arg2004z00_863); } 
BgL_alloczd2widezd2_825 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2003z00_862); } } 
{ /* Object/creator.scm 141 */
obj_t BgL_talloczd2widezd2_826;
{ /* Object/creator.scm 142 */
obj_t BgL_auxz00_2444;
{ /* Object/creator.scm 142 */
BgL_typez00_bglt BgL_obj1625z00_1743;
BgL_obj1625z00_1743 = 
(BgL_typez00_bglt)(BgL_classz00_12); 
BgL_auxz00_2444 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1743))->BgL_idz00); } 
BgL_talloczd2widezd2_826 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_alloczd2widezd2_825, BgL_auxz00_2444); } 
{ /* Object/creator.scm 142 */
obj_t BgL_fzd2idszd2_827;
{ /* Object/creator.scm 143 */
obj_t BgL_auxz00_2448;
{ 
obj_t BgL_auxz00_2449;
{ /* Object/creator.scm 143 */
BgL_objectz00_bglt BgL_auxz00_2450;
BgL_auxz00_2450 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_2449 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2450); } 
BgL_auxz00_2448 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2449))->BgL_slotsz00); } 
BgL_fzd2idszd2_827 = 
BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(BgL_auxz00_2448); } 
{ /* Object/creator.scm 143 */
obj_t BgL_fzd2tidszd2_828;
{ /* Object/creator.scm 144 */
obj_t BgL_auxz00_2455;
{ 
obj_t BgL_auxz00_2456;
{ /* Object/creator.scm 144 */
BgL_objectz00_bglt BgL_auxz00_2457;
BgL_auxz00_2457 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_2456 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2457); } 
BgL_auxz00_2455 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2456))->BgL_slotsz00); } 
BgL_fzd2tidszd2_828 = 
BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(BgL_fzd2idszd2_827, BgL_auxz00_2455); } 
{ /* Object/creator.scm 144 */
obj_t BgL_sslotsz00_829;
{ /* Object/creator.scm 145 */
BgL_tclassz00_bglt BgL_obj1610z00_1747;
{ /* Object/creator.scm 145 */
obj_t BgL_auxz00_2462;
{ 
obj_t BgL_auxz00_2463;
{ /* Object/creator.scm 145 */
BgL_objectz00_bglt BgL_auxz00_2464;
BgL_auxz00_2464 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_2463 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2464); } 
BgL_auxz00_2462 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2463))->BgL_itszd2superzd2); } 
BgL_obj1610z00_1747 = 
(BgL_tclassz00_bglt)(BgL_auxz00_2462); } 
{ 
obj_t BgL_auxz00_2469;
{ /* Object/creator.scm 145 */
BgL_objectz00_bglt BgL_auxz00_2470;
BgL_auxz00_2470 = 
(BgL_objectz00_bglt)(BgL_obj1610z00_1747); 
BgL_auxz00_2469 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2470); } 
BgL_sslotsz00_829 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2469))->BgL_slotsz00); } } 
{ /* Object/creator.scm 145 */
obj_t BgL_szd2idszd2_830;
BgL_szd2idszd2_830 = 
BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(BgL_sslotsz00_829); 
{ /* Object/creator.scm 146 */
obj_t BgL_szd2tidszd2_831;
BgL_szd2tidszd2_831 = 
BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(BgL_szd2idszd2_830, BgL_sslotsz00_829); 
{ /* Object/creator.scm 147 */
obj_t BgL_toz00_832;
{ /* Object/creator.scm 148 */
obj_t BgL_arg1994z00_853;obj_t BgL_arg1995z00_854;
{ /* Object/creator.scm 148 */
obj_t BgL_arg1996z00_855;
BgL_arg1996z00_855 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)12)), BEOA); 
BgL_arg1994z00_853 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1996z00_855); } 
{ /* Object/creator.scm 148 */
BgL_typez00_bglt BgL_obj1625z00_1748;
BgL_obj1625z00_1748 = 
(BgL_typez00_bglt)(BgL_classz00_12); 
BgL_arg1995z00_854 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1748))->BgL_idz00); } 
BgL_toz00_832 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg1994z00_853, BgL_arg1995z00_854); } 
{ /* Object/creator.scm 148 */
obj_t BgL_alloczd2idzd2_833;
{ /* Object/creator.scm 149 */
obj_t BgL_arg1990z00_849;
BgL_arg1990z00_849 = 
CNST_TABLE_REF(((long)7)); 
{ /* Object/creator.scm 149 */
obj_t BgL_list1992z00_851;
{ /* Object/creator.scm 149 */
obj_t BgL_arg1993z00_852;
{ /* Object/creator.scm 149 */
obj_t BgL_auxz00_2484;
{ /* Object/creator.scm 149 */
BgL_typez00_bglt BgL_obj1625z00_1749;
BgL_obj1625z00_1749 = 
(BgL_typez00_bglt)(BgL_classz00_12); 
BgL_auxz00_2484 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1749))->BgL_idz00); } 
BgL_arg1993z00_852 = 
MAKE_PAIR(BgL_auxz00_2484, BNIL); } 
BgL_list1992z00_851 = 
MAKE_PAIR(BgL_arg1990z00_849, BgL_arg1993z00_852); } 
BgL_alloczd2idzd2_833 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1992z00_851); } } 
{ /* Object/creator.scm 149 */
obj_t BgL_alloczd2tidzd2_834;
{ /* Object/creator.scm 150 */
obj_t BgL_auxz00_2490;
{ /* Object/creator.scm 150 */
BgL_typez00_bglt BgL_obj1625z00_1750;
BgL_obj1625z00_1750 = 
(BgL_typez00_bglt)(BgL_classz00_12); 
BgL_auxz00_2490 = 
(((BgL_typez00_bglt)CREF(BgL_obj1625z00_1750))->BgL_idz00); } 
BgL_alloczd2tidzd2_834 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_alloczd2idzd2_833, BgL_auxz00_2490); } 
{ /* Object/creator.scm 150 */

{ /* Object/creator.scm 152 */
obj_t BgL_arg1975z00_835;
{ /* Object/creator.scm 152 */
obj_t BgL_auxz00_2494;
BgL_auxz00_2494 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_szd2tidszd2_831, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2tidszd2_828, BNIL)); 
BgL_arg1975z00_835 = 
MAKE_PAIR(BgL_mkzd2tidzd2_824, BgL_auxz00_2494); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_14, BgL_arg1975z00_835, BNIL); } 
{ /* Object/creator.scm 153 */
obj_t BgL_arg1980z00_839;
{ /* Object/creator.scm 153 */
obj_t BgL_auxz00_2499;
BgL_auxz00_2499 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2tidszd2_828, BNIL); 
BgL_arg1980z00_839 = 
MAKE_PAIR(BgL_talloczd2widezd2_826, BgL_auxz00_2499); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_14, BgL_arg1980z00_839, BNIL); } 
{ /* Object/creator.scm 154 */
obj_t BgL_arg1983z00_842;
BgL_arg1983z00_842 = 
MAKE_PAIR(BgL_alloczd2tidzd2_834, BNIL); 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_14, BgL_arg1983z00_842, BNIL); } 
{ /* Object/creator.scm 155 */
obj_t BgL_arg1985z00_844;
{ /* Object/creator.scm 155 */
obj_t BgL_arg1987z00_846;
{ /* Object/creator.scm 155 */
obj_t BgL_auxz00_2505;
BgL_auxz00_2505 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2tidszd2_828, BNIL); 
BgL_arg1987z00_846 = 
MAKE_PAIR(BgL_toz00_832, BgL_auxz00_2505); } 
BgL_arg1985z00_844 = 
MAKE_PAIR(BgL_fillzd2idzd2_823, BgL_arg1987z00_846); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_14, BgL_arg1985z00_844, BNIL); } 
return BNIL;} } } } } } } } } } } } } } } } } 
}



/* _import-wide-class-creators2561 */
obj_t BGl__importzd2widezd2classzd2creators2561zd2zzobject_creatorz00(obj_t BgL_envz00_2143, obj_t BgL_classz00_2144, obj_t BgL_srczd2defzd2_2145, obj_t BgL_modulez00_2146)
{ AN_OBJECT;
{ /* Object/creator.scm 131 */
return 
BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(
(BgL_tclassz00_bglt)(BgL_classz00_2144), BgL_srczd2defzd2_2145, BgL_modulez00_2146);} 
}



/* import-java-class-creator */
obj_t BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00(BgL_jclassz00_bglt BgL_classz00_15, obj_t BgL_constrsz00_16, obj_t BgL_srczd2defzd2_17)
{ AN_OBJECT;
{ /* Object/creator.scm 162 */
if(
PAIRP(BgL_constrsz00_16))
{ /* Object/creator.scm 163 */
return 
BGl_genzd2javazd2classzd2creatorzd2zzobject_creatorz00(BgL_classz00_15, BgL_srczd2defzd2_17);}  else 
{ /* Object/creator.scm 163 */
return BNIL;} } 
}



/* _import-java-class-creator2562 */
obj_t BGl__importzd2javazd2classzd2creator2562zd2zzobject_creatorz00(obj_t BgL_envz00_2147, obj_t BgL_classz00_2148, obj_t BgL_constrsz00_2149, obj_t BgL_srczd2defzd2_2150)
{ AN_OBJECT;
{ /* Object/creator.scm 162 */
return 
BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00(
(BgL_jclassz00_bglt)(BgL_classz00_2148), BgL_constrsz00_2149, BgL_srczd2defzd2_2150);} 
}



/* gen-java-class-constructors */
obj_t BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00(BgL_jclassz00_bglt BgL_classz00_18, obj_t BgL_constrsz00_19, obj_t BgL_srczd2defzd2_20)
{ AN_OBJECT;
{ /* Object/creator.scm 170 */
if(
NULLP(BgL_constrsz00_19))
{ /* Object/creator.scm 196 */
return BNIL;}  else 
{ /* Object/creator.scm 196 */
obj_t BgL_head1853z00_879;
{ /* Object/creator.scm 196 */
obj_t BgL_arg2025z00_890;
BgL_arg2025z00_890 = 
BGl_genzd2onezd2constructorz00zzobject_creatorz00(BgL_constrsz00_19, BgL_classz00_18, 
CAR(BgL_constrsz00_19)); 
BgL_head1853z00_879 = 
MAKE_PAIR(BgL_arg2025z00_890, BNIL); } 
{ 
obj_t BgL_l1851z00_880;obj_t BgL_tail1854z00_881;
BgL_l1851z00_880 = 
CDR(BgL_constrsz00_19); 
BgL_tail1854z00_881 = BgL_head1853z00_879; 
BgL_lname1852z00_882:
if(
NULLP(BgL_l1851z00_880))
{ /* Object/creator.scm 196 */
return BgL_head1853z00_879;}  else 
{ /* Object/creator.scm 196 */
obj_t BgL_newtail1855z00_885;
{ /* Object/creator.scm 196 */
obj_t BgL_arg2022z00_887;
BgL_arg2022z00_887 = 
BGl_genzd2onezd2constructorz00zzobject_creatorz00(BgL_constrsz00_19, BgL_classz00_18, 
CAR(BgL_l1851z00_880)); 
BgL_newtail1855z00_885 = 
MAKE_PAIR(BgL_arg2022z00_887, BNIL); } 
SET_CDR(BgL_tail1854z00_881, BgL_newtail1855z00_885); 
{ 
obj_t BgL_tail1854z00_2530;obj_t BgL_l1851z00_2528;
BgL_l1851z00_2528 = 
CDR(BgL_l1851z00_880); 
BgL_tail1854z00_2530 = BgL_newtail1855z00_885; 
BgL_tail1854z00_881 = BgL_tail1854z00_2530; 
BgL_l1851z00_880 = BgL_l1851z00_2528; 
goto BgL_lname1852z00_882;} } } } } 
}



/* gen-one-constructor */
obj_t BGl_genzd2onezd2constructorz00zzobject_creatorz00(obj_t BgL_constrsz00_2156, BgL_jclassz00_bglt BgL_classz00_2155, obj_t BgL_constrz00_893)
{ AN_OBJECT;
{ /* Object/creator.scm 195 */
{ 
obj_t BgL_identz00_895;obj_t BgL_argszd2typezd2_896;
if(
PAIRP(BgL_constrz00_893))
{ /* Object/creator.scm 195 */
BgL_identz00_895 = 
CAR(BgL_constrz00_893); 
BgL_argszd2typezd2_896 = 
CDR(BgL_constrz00_893); 
{ /* Object/creator.scm 177 */
obj_t BgL_jidz00_902;
{ /* Object/creator.scm 177 */
BgL_typez00_bglt BgL_obj1706z00_1768;
BgL_obj1706z00_1768 = 
(BgL_typez00_bglt)(BgL_classz00_2155); 
BgL_jidz00_902 = 
(((BgL_typez00_bglt)CREF(BgL_obj1706z00_1768))->BgL_idz00); } 
{ /* Object/creator.scm 177 */
obj_t BgL_locz00_903;
BgL_locz00_903 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_constrsz00_2156); 
{ /* Object/creator.scm 178 */
obj_t BgL_cidz00_904;
BgL_cidz00_904 = 
BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_identz00_895, BgL_locz00_903); 
{ /* Object/creator.scm 179 */
obj_t BgL_tidz00_905;
{ /* Object/creator.scm 180 */
obj_t BgL_arg2085z00_982;
{ /* Object/creator.scm 180 */
obj_t BgL_list2086z00_983;
{ /* Object/creator.scm 180 */
obj_t BgL_arg2087z00_984;
{ /* Object/creator.scm 180 */
obj_t BgL_arg2088z00_985;obj_t BgL_arg2089z00_986;
BgL_arg2088z00_985 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2089z00_986 = 
MAKE_PAIR(BgL_cidz00_904, BNIL); 
BgL_arg2087z00_984 = 
MAKE_PAIR(BgL_arg2088z00_985, BgL_arg2089z00_986); } 
BgL_list2086z00_983 = 
MAKE_PAIR(BgL_jidz00_902, BgL_arg2087z00_984); } 
BgL_arg2085z00_982 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2086z00_983); } 
BgL_tidz00_905 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg2085z00_982, BgL_jidz00_902); } 
{ /* Object/creator.scm 180 */
obj_t BgL_argszd2idzd2_906;
if(
NULLP(BgL_argszd2typezd2_896))
{ /* Object/creator.scm 181 */
BgL_argszd2idzd2_906 = BNIL; }  else 
{ /* Object/creator.scm 181 */
obj_t BgL_head1842z00_971;
BgL_head1842z00_971 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1840z00_972;obj_t BgL_tail1843z00_973;
BgL_l1840z00_972 = BgL_argszd2typezd2_896; 
BgL_tail1843z00_973 = BgL_head1842z00_971; 
BgL_lname1841z00_974:
if(
NULLP(BgL_l1840z00_972))
{ /* Object/creator.scm 181 */
BgL_argszd2idzd2_906 = 
CDR(BgL_head1842z00_971); }  else 
{ /* Object/creator.scm 181 */
obj_t BgL_newtail1844z00_976;
{ /* Object/creator.scm 181 */
obj_t BgL_arg2082z00_978;
{ /* Object/creator.scm 181 */
obj_t BgL_arg2084z00_981;
BgL_arg2084z00_981 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
BgL_arg2082z00_978 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2084z00_981); } 
BgL_newtail1844z00_976 = 
MAKE_PAIR(BgL_arg2082z00_978, BNIL); } 
SET_CDR(BgL_tail1843z00_973, BgL_newtail1844z00_976); 
{ 
obj_t BgL_tail1843z00_2557;obj_t BgL_l1840z00_2555;
BgL_l1840z00_2555 = 
CDR(BgL_l1840z00_972); 
BgL_tail1843z00_2557 = BgL_newtail1844z00_976; 
BgL_tail1843z00_973 = BgL_tail1843z00_2557; 
BgL_l1840z00_972 = BgL_l1840z00_2555; 
goto BgL_lname1841z00_974;} } } } 
{ /* Object/creator.scm 181 */
obj_t BgL_selfz00_907;
{ /* Object/creator.scm 183 */
obj_t BgL_arg2078z00_968;
BgL_arg2078z00_968 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
BgL_selfz00_907 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2078z00_968); } 
{ /* Object/creator.scm 183 */
obj_t BgL_tselfz00_908;
BgL_tselfz00_908 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_selfz00_907, BgL_jidz00_902); 
{ /* Object/creator.scm 184 */
obj_t BgL_targsz00_909;
if(
NULLP(BgL_argszd2idzd2_906))
{ /* Object/creator.scm 185 */
BgL_targsz00_909 = BNIL; }  else 
{ /* Object/creator.scm 185 */
obj_t BgL_head1847z00_953;
BgL_head1847z00_953 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll1845z00_954;obj_t BgL_ll1846z00_955;obj_t BgL_tail1848z00_956;
BgL_ll1845z00_954 = BgL_argszd2idzd2_906; 
BgL_ll1846z00_955 = BgL_argszd2typezd2_896; 
BgL_tail1848z00_956 = BgL_head1847z00_953; 
BgL_lname1850z00_957:
if(
NULLP(BgL_ll1845z00_954))
{ /* Object/creator.scm 185 */
BgL_targsz00_909 = 
CDR(BgL_head1847z00_953); }  else 
{ /* Object/creator.scm 186 */
obj_t BgL_newtail1849z00_959;
{ /* Object/creator.scm 186 */
obj_t BgL_arg2074z00_962;
{ /* Object/creator.scm 186 */
obj_t BgL_idz00_964;
BgL_idz00_964 = 
CAR(BgL_ll1845z00_954); 
{ /* Object/creator.scm 186 */
obj_t BgL_list2076z00_966;
{ /* Object/creator.scm 186 */
obj_t BgL_arg2077z00_967;
{ /* Object/creator.scm 186 */
obj_t BgL_auxz00_2569;
BgL_auxz00_2569 = 
CAR(BgL_ll1846z00_955); 
BgL_arg2077z00_967 = 
MAKE_PAIR(BgL_auxz00_2569, BNIL); } 
BgL_list2076z00_966 = 
MAKE_PAIR(BgL_idz00_964, BgL_arg2077z00_967); } 
BgL_arg2074z00_962 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2076z00_966); } } 
BgL_newtail1849z00_959 = 
MAKE_PAIR(BgL_arg2074z00_962, BNIL); } 
SET_CDR(BgL_tail1848z00_956, BgL_newtail1849z00_959); 
{ 
obj_t BgL_tail1848z00_2580;obj_t BgL_ll1846z00_2578;obj_t BgL_ll1845z00_2576;
BgL_ll1845z00_2576 = 
CDR(BgL_ll1845z00_954); 
BgL_ll1846z00_2578 = 
CDR(BgL_ll1846z00_955); 
BgL_tail1848z00_2580 = BgL_newtail1849z00_959; 
BgL_tail1848z00_956 = BgL_tail1848z00_2580; 
BgL_ll1846z00_955 = BgL_ll1846z00_2578; 
BgL_ll1845z00_954 = BgL_ll1845z00_2576; 
goto BgL_lname1850z00_957;} } } } 
{ /* Object/creator.scm 185 */
obj_t BgL_defz00_910;
{ /* Object/creator.scm 188 */
obj_t BgL_arg2038z00_918;obj_t BgL_arg2039z00_919;
BgL_arg2038z00_918 = 
CNST_TABLE_REF(((long)14)); 
{ /* Object/creator.scm 188 */
obj_t BgL_arg2040z00_920;obj_t BgL_arg2041z00_921;
{ /* Object/creator.scm 188 */
obj_t BgL_auxz00_2582;
BgL_auxz00_2582 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_targsz00_909, BNIL); 
BgL_arg2040z00_920 = 
MAKE_PAIR(BgL_tidz00_905, BgL_auxz00_2582); } 
{ /* Object/creator.scm 189 */
obj_t BgL_arg2043z00_923;
{ /* Object/creator.scm 189 */
obj_t BgL_arg2045z00_925;obj_t BgL_arg2046z00_926;
BgL_arg2045z00_925 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/creator.scm 189 */
obj_t BgL_arg2047z00_927;obj_t BgL_arg2048z00_928;
{ /* Object/creator.scm 189 */
obj_t BgL_arg2049z00_929;
{ /* Object/creator.scm 189 */
obj_t BgL_arg2051z00_931;
{ /* Object/creator.scm 189 */
obj_t BgL_arg2052z00_932;
{ /* Object/creator.scm 189 */
obj_t BgL_arg2054z00_934;
{ /* Object/creator.scm 189 */
obj_t BgL_list2056z00_936;
{ /* Object/creator.scm 189 */
obj_t BgL_arg2057z00_937;obj_t BgL_arg2058z00_938;
BgL_arg2057z00_937 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2058z00_938 = 
MAKE_PAIR(BgL_jidz00_902, BNIL); 
BgL_list2056z00_936 = 
MAKE_PAIR(BgL_arg2057z00_937, BgL_arg2058z00_938); } 
BgL_arg2054z00_934 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2056z00_936); } 
BgL_arg2052z00_932 = 
MAKE_PAIR(BgL_arg2054z00_934, BNIL); } 
BgL_arg2051z00_931 = 
MAKE_PAIR(BgL_arg2052z00_932, BNIL); } 
BgL_arg2049z00_929 = 
MAKE_PAIR(BgL_tselfz00_908, BgL_arg2051z00_931); } 
BgL_arg2047z00_927 = 
MAKE_PAIR(BgL_arg2049z00_929, BNIL); } 
{ /* Object/creator.scm 191 */
obj_t BgL_arg2059z00_939;obj_t BgL_arg2060z00_940;
{ /* Object/creator.scm 191 */
obj_t BgL_arg2061z00_941;obj_t BgL_arg2062z00_942;
{ /* Object/creator.scm 191 */
obj_t BgL_list2063z00_943;
{ /* Object/creator.scm 191 */
obj_t BgL_arg2064z00_944;obj_t BgL_arg2065z00_945;
BgL_arg2064z00_944 = 
CNST_TABLE_REF(((long)16)); 
{ /* Object/creator.scm 191 */
obj_t BgL_arg2066z00_946;
{ /* Object/creator.scm 191 */
obj_t BgL_arg2067z00_947;obj_t BgL_arg2068z00_948;
BgL_arg2067z00_947 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2068z00_948 = 
MAKE_PAIR(BgL_cidz00_904, BNIL); 
BgL_arg2066z00_946 = 
MAKE_PAIR(BgL_arg2067z00_947, BgL_arg2068z00_948); } 
BgL_arg2065z00_945 = 
MAKE_PAIR(BgL_jidz00_902, BgL_arg2066z00_946); } 
BgL_list2063z00_943 = 
MAKE_PAIR(BgL_arg2064z00_944, BgL_arg2065z00_945); } 
BgL_arg2061z00_941 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2063z00_943); } 
{ /* Object/creator.scm 191 */
obj_t BgL_auxz00_2601;
BgL_auxz00_2601 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_906, BNIL); 
BgL_arg2062z00_942 = 
MAKE_PAIR(BgL_selfz00_907, BgL_auxz00_2601); } 
BgL_arg2059z00_939 = 
MAKE_PAIR(BgL_arg2061z00_941, BgL_arg2062z00_942); } 
BgL_arg2060z00_940 = 
MAKE_PAIR(BgL_selfz00_907, BNIL); 
BgL_arg2048z00_928 = 
MAKE_PAIR(BgL_arg2059z00_939, BgL_arg2060z00_940); } 
BgL_arg2046z00_926 = 
MAKE_PAIR(BgL_arg2047z00_927, BgL_arg2048z00_928); } 
BgL_arg2043z00_923 = 
MAKE_PAIR(BgL_arg2045z00_925, BgL_arg2046z00_926); } 
BgL_arg2041z00_921 = 
MAKE_PAIR(BgL_arg2043z00_923, BNIL); } 
BgL_arg2039z00_919 = 
MAKE_PAIR(BgL_arg2040z00_920, BgL_arg2041z00_921); } 
BgL_defz00_910 = 
MAKE_PAIR(BgL_arg2038z00_918, BgL_arg2039z00_919); } 
{ /* Object/creator.scm 188 */
obj_t BgL_modz00_911;
{ /* Object/creator.scm 193 */
obj_t BgL_arg2033z00_913;obj_t BgL_arg2034z00_914;
BgL_arg2033z00_913 = 
CNST_TABLE_REF(((long)10)); 
{ /* Object/creator.scm 193 */
obj_t BgL_arg2035z00_915;
{ /* Object/creator.scm 193 */
obj_t BgL_auxz00_2613;
BgL_auxz00_2613 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2typezd2_896, BNIL); 
BgL_arg2035z00_915 = 
MAKE_PAIR(BgL_tidz00_905, BgL_auxz00_2613); } 
BgL_arg2034z00_914 = 
MAKE_PAIR(BgL_arg2035z00_915, BNIL); } 
BgL_modz00_911 = 
MAKE_PAIR(BgL_arg2033z00_913, BgL_arg2034z00_914); } 
{ /* Object/creator.scm 193 */

BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_modz00_911); 
{ /* Object/creator.scm 195 */
obj_t BgL_list2032z00_912;
BgL_list2032z00_912 = 
MAKE_PAIR(BgL_constrz00_893, BNIL); 
return 
BGl_epairifyza2za2zztools_miscz00(BgL_defz00_910, BgL_list2032z00_912);} } } } } } } } } } } } }  else 
{ /* Object/creator.scm 195 */
return BFALSE;} } } 
}



/* _gen-java-class-constructors2563 */
obj_t BGl__genzd2javazd2classzd2constructors2563zd2zzobject_creatorz00(obj_t BgL_envz00_2151, obj_t BgL_classz00_2152, obj_t BgL_constrsz00_2153, obj_t BgL_srczd2defzd2_2154)
{ AN_OBJECT;
{ /* Object/creator.scm 170 */
return 
BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00(
(BgL_jclassz00_bglt)(BgL_classz00_2152), BgL_constrsz00_2153, BgL_srczd2defzd2_2154);} 
}



/* gen-class-fill! */
obj_t BGl_genzd2classzd2fillz12z12zzobject_creatorz00(obj_t BgL_fillzd2idzd2_21, obj_t BgL_idz00_22, BgL_tclassz00_bglt BgL_typez00_23, obj_t BgL_srczd2defzd2_24, obj_t BgL_importz00_25)
{ AN_OBJECT;
{ /* Object/creator.scm 204 */
{ /* Object/creator.scm 205 */
obj_t BgL_tidz00_988;
{ /* Object/creator.scm 205 */
BgL_typez00_bglt BgL_obj1002z00_1793;
BgL_obj1002z00_1793 = 
(BgL_typez00_bglt)(BgL_typez00_23); 
BgL_tidz00_988 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1793))->BgL_idz00); } 
{ /* Object/creator.scm 205 */
obj_t BgL_slotsz00_989;
{ 
obj_t BgL_auxz00_2627;
{ /* Object/creator.scm 206 */
BgL_objectz00_bglt BgL_auxz00_2628;
BgL_auxz00_2628 = 
(BgL_objectz00_bglt)(BgL_typez00_23); 
BgL_auxz00_2627 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2628); } 
BgL_slotsz00_989 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2627))->BgL_slotsz00); } 
{ /* Object/creator.scm 206 */
obj_t BgL_constrsz00_990;
BgL_constrsz00_990 = 
BGl_findzd2classzd2constructorsz00zzobject_classz00(BgL_typez00_23); 
{ /* Object/creator.scm 207 */
obj_t BgL_fillzd2tidzd2_991;
{ /* Object/creator.scm 208 */
bool_t BgL_test2125z00_1049;
{ /* Object/creator.scm 208 */
bool_t BgL_test2126z00_1050;
BgL_test2126z00_1050 = 
BGl_widezd2classzf3z21zzobject_classz00(
(obj_t)(BgL_typez00_23)); 
if(BgL_test2126z00_1050)
{ /* Object/creator.scm 209 */
obj_t BgL_auxz00_2636;
BgL_auxz00_2636 = 
CNST_TABLE_REF(((long)17)); 
BgL_test2125z00_1049 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2636); }  else 
{ /* Object/creator.scm 208 */
BgL_test2125z00_1049 = ((bool_t)0); } } 
if(BgL_test2125z00_1049)
{ /* Object/creator.scm 208 */
BgL_fillzd2tidzd2_991 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_fillzd2idzd2_21, 
CNST_TABLE_REF(((long)18))); }  else 
{ /* Object/creator.scm 208 */
BgL_fillzd2tidzd2_991 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_fillzd2idzd2_21, BgL_tidz00_988); } } 
{ /* Object/creator.scm 208 */
obj_t BgL_fzd2idszd2_992;
BgL_fzd2idszd2_992 = 
BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(BgL_slotsz00_989); 
{ /* Object/creator.scm 212 */
obj_t BgL_fzd2tidszd2_993;
BgL_fzd2tidszd2_993 = 
BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(BgL_fzd2idszd2_992, BgL_slotsz00_989); 
{ /* Object/creator.scm 213 */
obj_t BgL_newz00_994;
{ /* Object/creator.scm 214 */
obj_t BgL_arg2124z00_1048;
BgL_arg2124z00_1048 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)9)), BEOA); 
BgL_newz00_994 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2124z00_1048); } 
{ /* Object/creator.scm 214 */
obj_t BgL_tnewz00_995;
{ /* Object/creator.scm 215 */
bool_t BgL_test2122z00_1046;
{ /* Object/creator.scm 215 */
bool_t BgL_test2123z00_1047;
BgL_test2123z00_1047 = 
BGl_widezd2classzf3z21zzobject_classz00(
(obj_t)(BgL_typez00_23)); 
if(BgL_test2123z00_1047)
{ /* Object/creator.scm 216 */
obj_t BgL_auxz00_2652;
BgL_auxz00_2652 = 
CNST_TABLE_REF(((long)17)); 
BgL_test2122z00_1046 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2652); }  else 
{ /* Object/creator.scm 215 */
BgL_test2122z00_1046 = ((bool_t)0); } } 
if(BgL_test2122z00_1046)
{ /* Object/creator.scm 215 */
BgL_tnewz00_995 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_994, 
CNST_TABLE_REF(((long)18))); }  else 
{ /* Object/creator.scm 215 */
BgL_tnewz00_995 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_994, BgL_tidz00_988); } } 
{ /* Object/creator.scm 215 */
obj_t BgL_ridz00_996;
{ /* Object/creator.scm 219 */
obj_t BgL_arg2121z00_1045;
BgL_arg2121z00_1045 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)19)), BEOA); 
BgL_ridz00_996 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2121z00_1045); } 
{ /* Object/creator.scm 219 */
obj_t BgL_rtidz00_997;
{ /* Object/creator.scm 220 */
obj_t BgL_list2119z00_1043;
{ /* Object/creator.scm 220 */
obj_t BgL_arg2120z00_1044;
{ /* Object/creator.scm 220 */
obj_t BgL_auxz00_2663;
BgL_auxz00_2663 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg2120z00_1044 = 
MAKE_PAIR(BgL_auxz00_2663, BNIL); } 
BgL_list2119z00_1043 = 
MAKE_PAIR(BgL_ridz00_996, BgL_arg2120z00_1044); } 
BgL_rtidz00_997 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2119z00_1043); } 
{ /* Object/creator.scm 220 */

{ 

{ /* Object/creator.scm 230 */
obj_t BgL_protoz00_999;obj_t BgL_bodyz00_1000;
{ /* Object/creator.scm 230 */
obj_t BgL_arg2101z00_1012;
BgL_arg2101z00_1012 = 
MAKE_PAIR(BgL_tnewz00_995, BgL_fzd2tidszd2_993); 
BgL_protoz00_999 = 
MAKE_PAIR(BgL_fillzd2tidzd2_991, BgL_arg2101z00_1012); } 
{ /* Object/creator.scm 223 */
obj_t BgL_alloczd2idzd2_1015;
{ /* Object/creator.scm 224 */
obj_t BgL_list2116z00_1039;
{ /* Object/creator.scm 224 */
obj_t BgL_arg2117z00_1040;obj_t BgL_arg2118z00_1041;
BgL_arg2117z00_1040 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2118z00_1041 = 
MAKE_PAIR(BgL_idz00_22, BNIL); 
BgL_list2116z00_1039 = 
MAKE_PAIR(BgL_arg2117z00_1040, BgL_arg2118z00_1041); } 
BgL_alloczd2idzd2_1015 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2116z00_1039); } 
{ /* Object/creator.scm 224 */

{ /* Object/creator.scm 225 */
obj_t BgL_arg2103z00_1016;obj_t BgL_arg2104z00_1017;
BgL_arg2103z00_1016 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/creator.scm 225 */
obj_t BgL_arg2105z00_1018;obj_t BgL_arg2106z00_1019;
if(
NULLP(BgL_fzd2tidszd2_993))
{ /* Object/creator.scm 225 */
BgL_arg2105z00_1018 = BNIL; }  else 
{ /* Object/creator.scm 225 */
obj_t BgL_head1858z00_1023;
BgL_head1858z00_1023 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll1856z00_1024;obj_t BgL_ll1857z00_1025;obj_t BgL_tail1859z00_1026;
BgL_ll1856z00_1024 = BgL_fzd2tidszd2_993; 
BgL_ll1857z00_1025 = BgL_fzd2idszd2_992; 
BgL_tail1859z00_1026 = BgL_head1858z00_1023; 
BgL_lname1861z00_1027:
if(
NULLP(BgL_ll1856z00_1024))
{ /* Object/creator.scm 225 */
BgL_arg2105z00_1018 = 
CDR(BgL_head1858z00_1023); }  else 
{ /* Object/creator.scm 225 */
obj_t BgL_newtail1860z00_1029;
{ /* Object/creator.scm 225 */
obj_t BgL_arg2111z00_1032;
{ /* Object/creator.scm 225 */
obj_t BgL_ftz00_1034;
BgL_ftz00_1034 = 
CAR(BgL_ll1856z00_1024); 
{ /* Object/creator.scm 225 */
obj_t BgL_arg2113z00_1036;
{ /* Object/creator.scm 225 */
obj_t BgL_auxz00_2682;
BgL_auxz00_2682 = 
CAR(BgL_ll1857z00_1025); 
BgL_arg2113z00_1036 = 
MAKE_PAIR(BgL_auxz00_2682, BNIL); } 
BgL_arg2111z00_1032 = 
MAKE_PAIR(BgL_ftz00_1034, BgL_arg2113z00_1036); } } 
BgL_newtail1860z00_1029 = 
MAKE_PAIR(BgL_arg2111z00_1032, BNIL); } 
SET_CDR(BgL_tail1859z00_1026, BgL_newtail1860z00_1029); 
{ 
obj_t BgL_tail1859z00_2692;obj_t BgL_ll1857z00_2690;obj_t BgL_ll1856z00_2688;
BgL_ll1856z00_2688 = 
CDR(BgL_ll1856z00_1024); 
BgL_ll1857z00_2690 = 
CDR(BgL_ll1857z00_1025); 
BgL_tail1859z00_2692 = BgL_newtail1860z00_1029; 
BgL_tail1859z00_1026 = BgL_tail1859z00_2692; 
BgL_ll1857z00_1025 = BgL_ll1857z00_2690; 
BgL_ll1856z00_1024 = BgL_ll1856z00_2688; 
goto BgL_lname1861z00_1027;} } } } 
{ /* Object/creator.scm 226 */
obj_t BgL_arg2114z00_1037;obj_t BgL_arg2115z00_1038;
BgL_arg2114z00_1037 = 
BGl_makezd2classzd2slotzd2makez12zc0zzobject_creatorz00(BgL_typez00_23, BgL_newz00_994, BgL_ridz00_996, BgL_rtidz00_997, BgL_slotsz00_989, BgL_fzd2idszd2_992); 
BgL_arg2115z00_1038 = 
MAKE_PAIR(BgL_newz00_994, BNIL); 
BgL_arg2106z00_1019 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2114z00_1037, BgL_arg2115z00_1038); } 
BgL_arg2104z00_1017 = 
MAKE_PAIR(BgL_arg2105z00_1018, BgL_arg2106z00_1019); } 
BgL_bodyz00_1000 = 
MAKE_PAIR(BgL_arg2103z00_1016, BgL_arg2104z00_1017); } } } 
{ /* Object/creator.scm 233 */
obj_t BgL_arg2090z00_1001;
{ /* Object/creator.scm 233 */
obj_t BgL_arg2091z00_1002;
{ /* Object/creator.scm 233 */
obj_t BgL_arg2092z00_1003;
{ /* Object/creator.scm 233 */
obj_t BgL_auxz00_2700;obj_t BgL_auxz00_2698;
BgL_auxz00_2700 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_protoz00_999, BNIL); 
BgL_auxz00_2698 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2092z00_1003 = 
MAKE_PAIR(BgL_auxz00_2698, BgL_auxz00_2700); } 
BgL_arg2091z00_1002 = 
MAKE_PAIR(BgL_arg2092z00_1003, BNIL); } 
BgL_arg2090z00_1001 = 
MAKE_PAIR(BgL_importz00_25, BgL_arg2091z00_1002); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2090z00_1001); } 
{ /* Object/creator.scm 235 */
obj_t BgL_arg2096z00_1007;
{ /* Object/creator.scm 235 */
obj_t BgL_arg2098z00_1009;obj_t BgL_arg2099z00_1010;
BgL_arg2098z00_1009 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/creator.scm 235 */
obj_t BgL_arg2100z00_1011;
BgL_arg2100z00_1011 = 
MAKE_PAIR(BgL_bodyz00_1000, BNIL); 
BgL_arg2099z00_1010 = 
MAKE_PAIR(BgL_protoz00_999, BgL_arg2100z00_1011); } 
BgL_arg2096z00_1007 = 
MAKE_PAIR(BgL_arg2098z00_1009, BgL_arg2099z00_1010); } 
{ /* Object/creator.scm 235 */
obj_t BgL_list2097z00_1008;
BgL_list2097z00_1008 = 
MAKE_PAIR(BgL_srczd2defzd2_24, BNIL); 
return 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2096z00_1007, BgL_list2097z00_1008);} } } } } } } } } } } } } } } } 
}



/* gen-class-make! */
obj_t BGl_genzd2classzd2makez12z12zzobject_creatorz00(obj_t BgL_wideningz00_26, obj_t BgL_mkzd2idzd2_27, obj_t BgL_idz00_28, BgL_tclassz00_bglt BgL_typez00_29, obj_t BgL_srczd2defzd2_30, obj_t BgL_importz00_31)
{ AN_OBJECT;
{ /* Object/creator.scm 243 */
{ /* Object/creator.scm 244 */
obj_t BgL_tidz00_1051;
{ /* Object/creator.scm 244 */
BgL_typez00_bglt BgL_obj1002z00_1809;
BgL_obj1002z00_1809 = 
(BgL_typez00_bglt)(BgL_typez00_29); 
BgL_tidz00_1051 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1809))->BgL_idz00); } 
{ /* Object/creator.scm 244 */
obj_t BgL_slotsz00_1052;
{ 
obj_t BgL_auxz00_2714;
{ /* Object/creator.scm 245 */
BgL_objectz00_bglt BgL_auxz00_2715;
BgL_auxz00_2715 = 
(BgL_objectz00_bglt)(BgL_typez00_29); 
BgL_auxz00_2714 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2715); } 
BgL_slotsz00_1052 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2714))->BgL_slotsz00); } 
{ /* Object/creator.scm 246 */
obj_t BgL_constrsz00_1054;
BgL_constrsz00_1054 = 
BGl_findzd2classzd2constructorsz00zzobject_classz00(BgL_typez00_29); 
{ /* Object/creator.scm 247 */
obj_t BgL_mkzd2tidzd2_1055;
{ /* Object/creator.scm 248 */
bool_t BgL_test2236z00_1196;
{ /* Object/creator.scm 248 */
bool_t BgL_testz00_2720;
{ /* Object/creator.scm 248 */
obj_t BgL_auxz00_2721;
BgL_auxz00_2721 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2720 = 
(BgL_wideningz00_26==BgL_auxz00_2721); } 
if(BgL_testz00_2720)
{ /* Object/creator.scm 249 */
bool_t BgL_test2238z00_1198;
{ /* Object/creator.scm 249 */
obj_t BgL_auxz00_2724;
BgL_auxz00_2724 = 
CNST_TABLE_REF(((long)17)); 
BgL_test2238z00_1198 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2724); } 
if(BgL_test2238z00_1198)
{ /* Object/creator.scm 249 */
BgL_test2236z00_1196 = 
BGl_widezd2classzf3z21zzobject_classz00(
(obj_t)(BgL_typez00_29)); }  else 
{ /* Object/creator.scm 249 */
BgL_test2236z00_1196 = ((bool_t)0); } }  else 
{ /* Object/creator.scm 248 */
BgL_test2236z00_1196 = ((bool_t)0); } } 
if(BgL_test2236z00_1196)
{ /* Object/creator.scm 248 */
BgL_mkzd2tidzd2_1055 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_mkzd2idzd2_27, 
CNST_TABLE_REF(((long)18))); }  else 
{ /* Object/creator.scm 248 */
BgL_mkzd2tidzd2_1055 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_mkzd2idzd2_27, BgL_tidz00_1051); } } 
{ /* Object/creator.scm 248 */
obj_t BgL_fillzd2idzd2_1056;
{ /* Object/creator.scm 253 */
obj_t BgL_list2232z00_1192;
{ /* Object/creator.scm 253 */
obj_t BgL_arg2233z00_1193;obj_t BgL_arg2234z00_1194;
BgL_arg2233z00_1193 = 
CNST_TABLE_REF(((long)2)); 
{ /* Object/creator.scm 253 */
obj_t BgL_arg2235z00_1195;
{ /* Object/creator.scm 253 */
obj_t BgL_auxz00_2735;
BgL_auxz00_2735 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2235z00_1195 = 
MAKE_PAIR(BgL_auxz00_2735, BNIL); } 
BgL_arg2234z00_1194 = 
MAKE_PAIR(BgL_idz00_28, BgL_arg2235z00_1195); } 
BgL_list2232z00_1192 = 
MAKE_PAIR(BgL_arg2233z00_1193, BgL_arg2234z00_1194); } 
BgL_fillzd2idzd2_1056 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2232z00_1192); } 
{ /* Object/creator.scm 253 */
obj_t BgL_fzd2idszd2_1057;
BgL_fzd2idszd2_1057 = 
BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(BgL_slotsz00_1052); 
{ /* Object/creator.scm 254 */
obj_t BgL_fzd2tidszd2_1058;
BgL_fzd2tidszd2_1058 = 
BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(BgL_fzd2idszd2_1057, BgL_slotsz00_1052); 
{ /* Object/creator.scm 255 */
obj_t BgL_newz00_1059;
{ /* Object/creator.scm 256 */
obj_t BgL_arg2231z00_1191;
BgL_arg2231z00_1191 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)9)), BEOA); 
BgL_newz00_1059 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2231z00_1191); } 
{ /* Object/creator.scm 256 */
obj_t BgL_ridz00_1060;
{ /* Object/creator.scm 257 */
obj_t BgL_arg2230z00_1190;
BgL_arg2230z00_1190 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)19)), BEOA); 
BgL_ridz00_1060 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2230z00_1190); } 
{ /* Object/creator.scm 257 */
obj_t BgL_rtidz00_1061;
{ /* Object/creator.scm 258 */
obj_t BgL_list2228z00_1188;
{ /* Object/creator.scm 258 */
obj_t BgL_arg2229z00_1189;
{ /* Object/creator.scm 258 */
obj_t BgL_auxz00_2751;
BgL_auxz00_2751 = 
CNST_TABLE_REF(((long)20)); 
BgL_arg2229z00_1189 = 
MAKE_PAIR(BgL_auxz00_2751, BNIL); } 
BgL_list2228z00_1188 = 
MAKE_PAIR(BgL_ridz00_1060, BgL_arg2229z00_1189); } 
BgL_rtidz00_1061 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2228z00_1188); } 
{ /* Object/creator.scm 258 */

{ 

{ /* Object/creator.scm 303 */
obj_t BgL_arg2127z00_1065;
{ /* Object/creator.scm 303 */
obj_t BgL_arg2128z00_1066;
{ /* Object/creator.scm 303 */
obj_t BgL_arg2129z00_1067;
{ /* Object/creator.scm 303 */
obj_t BgL_arg2131z00_1069;obj_t BgL_arg2132z00_1070;
if(
BGl_inlinezd2creatorszf3z21zzobject_creatorz00())
{ /* Object/creator.scm 303 */
BgL_arg2131z00_1069 = 
CNST_TABLE_REF(((long)27)); }  else 
{ /* Object/creator.scm 303 */
BgL_arg2131z00_1069 = BNIL; } 
{ /* Object/creator.scm 303 */
obj_t BgL_auxz00_2759;
BgL_auxz00_2759 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2tidszd2_1058, BNIL); 
BgL_arg2132z00_1070 = 
MAKE_PAIR(BgL_mkzd2tidzd2_1055, BgL_auxz00_2759); } 
BgL_arg2129z00_1067 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2131z00_1069, BgL_arg2132z00_1070); } 
BgL_arg2128z00_1066 = 
MAKE_PAIR(BgL_arg2129z00_1067, BNIL); } 
BgL_arg2127z00_1065 = 
MAKE_PAIR(BgL_importz00_31, BgL_arg2128z00_1066); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2127z00_1065); } 
{ /* Object/creator.scm 305 */
obj_t BgL_arg2135z00_1073;
{ /* Object/creator.scm 305 */
obj_t BgL_arg2136z00_1074;obj_t BgL_arg2137z00_1075;
BgL_arg2136z00_1074 = 
CNST_TABLE_REF(((long)24)); 
{ /* Object/creator.scm 305 */
obj_t BgL_arg2138z00_1076;
{ /* Object/creator.scm 305 */
obj_t BgL_arg2140z00_1078;
{ /* Object/creator.scm 305 */
obj_t BgL_auxz00_2767;
BgL_auxz00_2767 = 
CNST_TABLE_REF(((long)28)); 
BgL_arg2140z00_1078 = 
MAKE_PAIR(BgL_auxz00_2767, BNIL); } 
BgL_arg2138z00_1076 = 
MAKE_PAIR(BgL_mkzd2idzd2_27, BgL_arg2140z00_1078); } 
BgL_arg2137z00_1075 = 
MAKE_PAIR(BgL_arg2138z00_1076, BNIL); } 
BgL_arg2135z00_1073 = 
MAKE_PAIR(BgL_arg2136z00_1074, BgL_arg2137z00_1075); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2135z00_1073); } 
{ /* Object/creator.scm 308 */
obj_t BgL_defz00_1079;obj_t BgL_protoz00_1080;obj_t BgL_bodyz00_1081;
if(
BGl_inlinezd2creatorszf3z21zzobject_creatorz00())
{ /* Object/creator.scm 308 */
BgL_defz00_1079 = 
CNST_TABLE_REF(((long)8)); }  else 
{ /* Object/creator.scm 308 */
BgL_defz00_1079 = 
CNST_TABLE_REF(((long)14)); } 
BgL_protoz00_1080 = 
MAKE_PAIR(BgL_mkzd2tidzd2_1055, BgL_fzd2tidszd2_1058); 
{ /* Object/creator.scm 284 */
obj_t BgL_tidz00_1088;
{ /* Object/creator.scm 284 */
BgL_typez00_bglt BgL_obj1002z00_1812;
BgL_obj1002z00_1812 = 
(BgL_typez00_bglt)(BgL_typez00_29); 
BgL_tidz00_1088 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1812))->BgL_idz00); } 
{ /* Object/creator.scm 284 */
obj_t BgL_alloczd2idzd2_1089;
{ /* Object/creator.scm 285 */
obj_t BgL_list2182z00_1132;
{ /* Object/creator.scm 285 */
obj_t BgL_arg2184z00_1133;obj_t BgL_arg2185z00_1134;
BgL_arg2184z00_1133 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2185z00_1134 = 
MAKE_PAIR(BgL_idz00_28, BNIL); 
BgL_list2182z00_1132 = 
MAKE_PAIR(BgL_arg2184z00_1133, BgL_arg2185z00_1134); } 
BgL_alloczd2idzd2_1089 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2182z00_1132); } 
{ /* Object/creator.scm 285 */

{ /* Object/creator.scm 286 */
obj_t BgL_arg2147z00_1090;obj_t BgL_arg2148z00_1091;
BgL_arg2147z00_1090 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/creator.scm 286 */
obj_t BgL_arg2149z00_1092;obj_t BgL_arg2150z00_1093;
{ /* Object/creator.scm 286 */
obj_t BgL_arg2151z00_1094;
{ /* Object/creator.scm 286 */
obj_t BgL_arg2153z00_1096;obj_t BgL_arg2154z00_1097;
BgL_arg2153z00_1096 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_1059, BgL_tidz00_1088); 
{ /* Object/creator.scm 287 */
obj_t BgL_arg2155z00_1098;
{ /* Object/creator.scm 287 */
bool_t BgL_testz00_2787;
{ /* Object/creator.scm 287 */
obj_t BgL_auxz00_2788;
BgL_auxz00_2788 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2787 = 
(BgL_wideningz00_26==BgL_auxz00_2788); } 
if(BgL_testz00_2787)
{ /* Object/creator.scm 287 */
{ 

{ /* Object/creator.scm 280 */
obj_t BgL_casezd2valuezd2_1138;
BgL_casezd2valuezd2_1138 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* Object/creator.scm 280 */
bool_t BgL_testz00_2791;
{ /* Object/creator.scm 280 */
obj_t BgL_auxz00_2792;
BgL_auxz00_2792 = 
CNST_TABLE_REF(((long)23)); 
BgL_testz00_2791 = 
(BgL_casezd2valuezd2_1138==BgL_auxz00_2792); } 
if(BgL_testz00_2791)
{ /* Object/creator.scm 280 */
{ /* Object/creator.scm 271 */
obj_t BgL_tnamez00_1144;obj_t BgL_siza7eofza7_1145;
{ /* Object/creator.scm 271 */
obj_t BgL_auxz00_2795;
{ /* Object/creator.scm 271 */
BgL_typez00_bglt BgL_obj1003z00_1827;
BgL_obj1003z00_1827 = 
(BgL_typez00_bglt)(BgL_typez00_29); 
BgL_auxz00_2795 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1827))->BgL_namez00); } 
BgL_tnamez00_1144 = 
BGl_stringzd2sanszd2z42z42zztype_toolsz00(BgL_auxz00_2795); } 
{ /* Object/creator.scm 272 */
bool_t BgL_testz00_2799;
{ /* Object/creator.scm 272 */
obj_t BgL_auxz00_2800;
{ /* Object/creator.scm 272 */
BgL_typez00_bglt BgL_obj1006z00_1828;
BgL_obj1006z00_1828 = 
(BgL_typez00_bglt)(BgL_typez00_29); 
BgL_auxz00_2800 = 
(((BgL_typez00_bglt)CREF(BgL_obj1006z00_1828))->BgL_siza7eza7); } 
BgL_testz00_2799 = 
STRINGP(BgL_auxz00_2800); } 
if(BgL_testz00_2799)
{ /* Object/creator.scm 273 */
BgL_typez00_bglt BgL_obj1006z00_1830;
BgL_obj1006z00_1830 = 
(BgL_typez00_bglt)(BgL_typez00_29); 
BgL_siza7eofza7_1145 = 
(((BgL_typez00_bglt)CREF(BgL_obj1006z00_1830))->BgL_siza7eza7); }  else 
{ /* Object/creator.scm 274 */
BgL_typez00_bglt BgL_obj1003z00_1831;
BgL_obj1003z00_1831 = 
(BgL_typez00_bglt)(BgL_typez00_29); 
BgL_siza7eofza7_1145 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1831))->BgL_namez00); } } 
{ /* Object/creator.scm 275 */
obj_t BgL_arg2192z00_1146;obj_t BgL_arg2193z00_1147;
BgL_arg2192z00_1146 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)22)), BgL_tidz00_1051); 
{ /* Object/creator.scm 276 */
obj_t BgL_arg2194z00_1148;
{ /* Object/creator.scm 276 */
obj_t BgL_list2196z00_1150;
{ /* Object/creator.scm 276 */
obj_t BgL_arg2198z00_1152;
{ /* Object/creator.scm 276 */
obj_t BgL_arg2199z00_1153;
{ /* Object/creator.scm 276 */
obj_t BgL_arg2201z00_1155;
{ /* Object/creator.scm 276 */
obj_t BgL_arg2202z00_1156;
BgL_arg2202z00_1156 = 
MAKE_PAIR(BGl_string2564z00zzobject_creatorz00, BNIL); 
BgL_arg2201z00_1155 = 
MAKE_PAIR(BgL_siza7eofza7_1145, BgL_arg2202z00_1156); } 
BgL_arg2199z00_1153 = 
MAKE_PAIR(BGl_string2565z00zzobject_creatorz00, BgL_arg2201z00_1155); } 
BgL_arg2198z00_1152 = 
MAKE_PAIR(BgL_tnamez00_1144, BgL_arg2199z00_1153); } 
BgL_list2196z00_1150 = 
MAKE_PAIR(BGl_string2566z00zzobject_creatorz00, BgL_arg2198z00_1152); } 
BgL_arg2194z00_1148 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2196z00_1150); } 
BgL_arg2193z00_1147 = 
MAKE_PAIR(BgL_arg2194z00_1148, BNIL); } 
BgL_arg2155z00_1098 = 
MAKE_PAIR(BgL_arg2192z00_1146, BgL_arg2193z00_1147); } } }  else 
{ /* Object/creator.scm 280 */
bool_t BgL_testz00_2818;
{ /* Object/creator.scm 280 */
obj_t BgL_auxz00_2819;
BgL_auxz00_2819 = 
CNST_TABLE_REF(((long)17)); 
BgL_testz00_2818 = 
(BgL_casezd2valuezd2_1138==BgL_auxz00_2819); } 
if(BgL_testz00_2818)
{ /* Object/creator.scm 280 */
BgL_arg2155z00_1098 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)9)), BgL_tidz00_1051, BNIL); }  else 
{ /* Object/creator.scm 280 */
BgL_arg2155z00_1098 = BUNSPEC; } } } } } }  else 
{ /* Object/creator.scm 287 */
BgL_arg2155z00_1098 = 
MAKE_PAIR(BgL_alloczd2idzd2_1089, BNIL); } } 
BgL_arg2154z00_1097 = 
MAKE_PAIR(BgL_arg2155z00_1098, BNIL); } 
BgL_arg2151z00_1094 = 
MAKE_PAIR(BgL_arg2153z00_1096, BgL_arg2154z00_1097); } 
BgL_arg2149z00_1092 = 
MAKE_PAIR(BgL_arg2151z00_1094, BNIL); } 
{ /* Object/creator.scm 290 */
obj_t BgL_arg2158z00_1101;obj_t BgL_arg2159z00_1102;
{ /* Object/creator.scm 290 */
bool_t BgL_testz00_2828;
{ /* Object/creator.scm 290 */
obj_t BgL_auxz00_2829;
BgL_auxz00_2829 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2828 = 
(BgL_wideningz00_26==BgL_auxz00_2829); } 
if(BgL_testz00_2828)
{ /* Object/creator.scm 291 */
obj_t BgL_arg2161z00_1104;
{ /* Object/creator.scm 260 */
bool_t BgL_test2207z00_1163;
{ /* Object/creator.scm 260 */
bool_t BgL_test2227z00_1184;
{ /* Object/creator.scm 260 */
obj_t BgL_objz00_1832;
BgL_objz00_1832 = BGl_za2heapzd2debugza2zd2zzengine_paramz00; 
BgL_test2227z00_1184 = 
INTEGERP(BgL_objz00_1832); } 
if(BgL_test2227z00_1184)
{ /* Object/creator.scm 260 */
long BgL_n1z00_1833;
BgL_n1z00_1833 = 
(long)CINT(BGl_za2heapzd2debugza2zd2zzengine_paramz00); 
BgL_test2207z00_1163 = 
(BgL_n1z00_1833>=((long)1)); }  else 
{ /* Object/creator.scm 260 */
BgL_test2207z00_1163 = ((bool_t)0); } } 
if(BgL_test2207z00_1163)
{ /* Object/creator.scm 261 */
obj_t BgL_casezd2valuezd2_1164;
BgL_casezd2valuezd2_1164 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* Object/creator.scm 261 */
bool_t BgL_testz00_2837;
{ /* Object/creator.scm 261 */
obj_t BgL_auxz00_2838;
BgL_auxz00_2838 = 
CNST_TABLE_REF(((long)23)); 
BgL_testz00_2837 = 
(BgL_casezd2valuezd2_1164==BgL_auxz00_2838); } 
if(BgL_testz00_2837)
{ /* Object/creator.scm 263 */
obj_t BgL_arg2209z00_1166;obj_t BgL_arg2210z00_1167;
BgL_arg2209z00_1166 = 
CNST_TABLE_REF(((long)21)); 
{ /* Object/creator.scm 264 */
obj_t BgL_arg2211z00_1168;obj_t BgL_arg2212z00_1169;
{ /* Object/creator.scm 264 */
obj_t BgL_arg2213z00_1170;obj_t BgL_arg2214z00_1171;
BgL_arg2213z00_1170 = 
CNST_TABLE_REF(((long)24)); 
{ /* Object/creator.scm 264 */
obj_t BgL_arg2216z00_1173;
BgL_arg2216z00_1173 = 
MAKE_PAIR(BgL_newz00_1059, BNIL); 
BgL_arg2214z00_1171 = 
MAKE_PAIR(BGl_string2567z00zzobject_creatorz00, BgL_arg2216z00_1173); } 
BgL_arg2211z00_1168 = 
MAKE_PAIR(BgL_arg2213z00_1170, BgL_arg2214z00_1171); } 
{ /* Object/creator.scm 265 */
obj_t BgL_arg2217z00_1174;
{ /* Object/creator.scm 265 */
obj_t BgL_arg2219z00_1176;obj_t BgL_arg2220z00_1177;
BgL_arg2219z00_1176 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg2220z00_1177 = 
MAKE_PAIR(BgL_newz00_1059, BNIL); 
BgL_arg2217z00_1174 = 
MAKE_PAIR(BgL_arg2219z00_1176, BgL_arg2220z00_1177); } 
BgL_arg2212z00_1169 = 
MAKE_PAIR(BgL_arg2217z00_1174, BNIL); } 
BgL_arg2210z00_1167 = 
MAKE_PAIR(BgL_arg2211z00_1168, BgL_arg2212z00_1169); } 
BgL_arg2161z00_1104 = 
MAKE_PAIR(BgL_arg2209z00_1166, BgL_arg2210z00_1167); }  else 
{ /* Object/creator.scm 261 */
bool_t BgL_testz00_2852;
{ /* Object/creator.scm 261 */
obj_t BgL_auxz00_2853;
BgL_auxz00_2853 = 
CNST_TABLE_REF(((long)17)); 
BgL_testz00_2852 = 
(BgL_casezd2valuezd2_1164==BgL_auxz00_2853); } 
if(BgL_testz00_2852)
{ /* Object/creator.scm 267 */
obj_t BgL_list2222z00_1179;
{ /* Object/creator.scm 267 */
obj_t BgL_arg2223z00_1180;obj_t BgL_arg2224z00_1181;
BgL_arg2223z00_1180 = 
CNST_TABLE_REF(((long)18)); 
{ /* Object/creator.scm 267 */
obj_t BgL_arg2226z00_1183;
BgL_arg2226z00_1183 = 
MAKE_PAIR(BgL_newz00_1059, BNIL); 
BgL_arg2224z00_1181 = 
MAKE_PAIR(BGl_string2568z00zzobject_creatorz00, BgL_arg2226z00_1183); } 
BgL_list2222z00_1179 = 
MAKE_PAIR(BgL_arg2223z00_1180, BgL_arg2224z00_1181); } 
BgL_arg2161z00_1104 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)26)), 
CNST_TABLE_REF(((long)18)), BgL_list2222z00_1179); }  else 
{ /* Object/creator.scm 261 */
BgL_arg2161z00_1104 = BUNSPEC; } } } }  else 
{ /* Object/creator.scm 260 */
BgL_arg2161z00_1104 = BUNSPEC; } } 
{ /* Object/creator.scm 291 */
obj_t BgL_list2162z00_1105;
BgL_list2162z00_1105 = 
MAKE_PAIR(BgL_arg2161z00_1104, BNIL); 
BgL_arg2158z00_1101 = BgL_list2162z00_1105; } }  else 
{ /* Object/creator.scm 290 */
BgL_arg2158z00_1101 = BNIL; } } 
{ /* Object/creator.scm 293 */
obj_t BgL_arg2163z00_1106;
{ /* Object/creator.scm 293 */
obj_t BgL_arg2165z00_1108;obj_t BgL_arg2166z00_1109;
BgL_arg2165z00_1108 = 
CNST_TABLE_REF(((long)21)); 
{ /* Object/creator.scm 295 */
obj_t BgL_arg2167z00_1110;obj_t BgL_arg2168z00_1111;
{ /* Object/creator.scm 295 */
obj_t BgL_arg2169z00_1112;
{ /* Object/creator.scm 295 */
obj_t BgL_auxz00_2865;
BgL_auxz00_2865 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2idszd2_1057, BNIL); 
BgL_arg2169z00_1112 = 
MAKE_PAIR(BgL_newz00_1059, BgL_auxz00_2865); } 
BgL_arg2167z00_1110 = 
MAKE_PAIR(BgL_fillzd2idzd2_1056, BgL_arg2169z00_1112); } 
{ /* Object/creator.scm 297 */
obj_t BgL_arg2171z00_1114;obj_t BgL_arg2172z00_1115;
{ /* Object/creator.scm 297 */
bool_t BgL_testz00_2869;
if(
PAIRP(BgL_constrsz00_1054))
{ /* Object/creator.scm 297 */
bool_t BgL_testz00_2872;
{ /* Object/creator.scm 297 */
obj_t BgL_auxz00_2873;
BgL_auxz00_2873 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2872 = 
(BgL_wideningz00_26==BgL_auxz00_2873); } 
if(BgL_testz00_2872)
{ /* Object/creator.scm 297 */
BgL_testz00_2869 = ((bool_t)0)
; }  else 
{ /* Object/creator.scm 297 */
BgL_testz00_2869 = ((bool_t)1)
; } }  else 
{ /* Object/creator.scm 297 */
BgL_testz00_2869 = ((bool_t)0)
; } 
if(BgL_testz00_2869)
{ /* Object/creator.scm 297 */
if(
NULLP(BgL_constrsz00_1054))
{ /* Object/creator.scm 298 */
BgL_arg2171z00_1114 = BNIL; }  else 
{ /* Object/creator.scm 298 */
obj_t BgL_head1864z00_1119;
BgL_head1864z00_1119 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1862z00_1120;obj_t BgL_tail1865z00_1121;
BgL_l1862z00_1120 = BgL_constrsz00_1054; 
BgL_tail1865z00_1121 = BgL_head1864z00_1119; 
BgL_lname1863z00_1122:
if(
NULLP(BgL_l1862z00_1120))
{ /* Object/creator.scm 298 */
BgL_arg2171z00_1114 = 
CDR(BgL_head1864z00_1119); }  else 
{ /* Object/creator.scm 298 */
obj_t BgL_newtail1866z00_1124;
{ /* Object/creator.scm 298 */
obj_t BgL_arg2177z00_1126;
{ /* Object/creator.scm 298 */
obj_t BgL_constrz00_1128;
BgL_constrz00_1128 = 
CAR(BgL_l1862z00_1120); 
{ /* Object/creator.scm 298 */
obj_t BgL_arg2179z00_1129;
BgL_arg2179z00_1129 = 
MAKE_PAIR(BgL_newz00_1059, BNIL); 
BgL_arg2177z00_1126 = 
MAKE_PAIR(BgL_constrz00_1128, BgL_arg2179z00_1129); } } 
BgL_newtail1866z00_1124 = 
MAKE_PAIR(BgL_arg2177z00_1126, BNIL); } 
SET_CDR(BgL_tail1865z00_1121, BgL_newtail1866z00_1124); 
{ 
obj_t BgL_tail1865z00_2889;obj_t BgL_l1862z00_2887;
BgL_l1862z00_2887 = 
CDR(BgL_l1862z00_1120); 
BgL_tail1865z00_2889 = BgL_newtail1866z00_1124; 
BgL_tail1865z00_1121 = BgL_tail1865z00_2889; 
BgL_l1862z00_1120 = BgL_l1862z00_2887; 
goto BgL_lname1863z00_1122;} } } } }  else 
{ /* Object/creator.scm 297 */
BgL_arg2171z00_1114 = BNIL; } } 
BgL_arg2172z00_1115 = 
MAKE_PAIR(BgL_newz00_1059, BNIL); 
BgL_arg2168z00_1111 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2171z00_1114, BgL_arg2172z00_1115); } 
BgL_arg2166z00_1109 = 
MAKE_PAIR(BgL_arg2167z00_1110, BgL_arg2168z00_1111); } 
BgL_arg2163z00_1106 = 
MAKE_PAIR(BgL_arg2165z00_1108, BgL_arg2166z00_1109); } 
BgL_arg2159z00_1102 = 
MAKE_PAIR(BgL_arg2163z00_1106, BNIL); } 
BgL_arg2150z00_1093 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2158z00_1101, BgL_arg2159z00_1102); } 
BgL_arg2148z00_1091 = 
MAKE_PAIR(BgL_arg2149z00_1092, BgL_arg2150z00_1093); } 
BgL_bodyz00_1081 = 
MAKE_PAIR(BgL_arg2147z00_1090, BgL_arg2148z00_1091); } } } } 
{ /* Object/creator.scm 311 */
obj_t BgL_arg2141z00_1082;
{ /* Object/creator.scm 311 */
obj_t BgL_arg2143z00_1084;
{ /* Object/creator.scm 311 */
obj_t BgL_arg2144z00_1085;
BgL_arg2144z00_1085 = 
MAKE_PAIR(BgL_bodyz00_1081, BNIL); 
BgL_arg2143z00_1084 = 
MAKE_PAIR(BgL_protoz00_1080, BgL_arg2144z00_1085); } 
BgL_arg2141z00_1082 = 
MAKE_PAIR(BgL_defz00_1079, BgL_arg2143z00_1084); } 
{ /* Object/creator.scm 311 */
obj_t BgL_list2142z00_1083;
BgL_list2142z00_1083 = 
MAKE_PAIR(BgL_srczd2defzd2_30, BNIL); 
return 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2141z00_1082, BgL_list2142z00_1083);} } } } } } } } } } } } } } } } 
}



/* make-class-slot-make! */
obj_t BGl_makezd2classzd2slotzd2makez12zc0zzobject_creatorz00(BgL_tclassz00_bglt BgL_typez00_32, obj_t BgL_newz00_33, obj_t BgL_ridz00_34, obj_t BgL_rtidz00_35, obj_t BgL_slotsz00_36, obj_t BgL_fzd2idszd2_37)
{ AN_OBJECT;
{ /* Object/creator.scm 316 */
{ 
obj_t BgL_slotz00_1216;obj_t BgL_formalz00_1217;obj_t BgL_flenz00_1218;
{ 
obj_t BgL_slotsz00_1200;obj_t BgL_fzd2idszd2_1201;obj_t BgL_resz00_1202;obj_t BgL_lenzd2idzd2_1203;
BgL_slotsz00_1200 = BgL_slotsz00_36; 
BgL_fzd2idszd2_1201 = BgL_fzd2idszd2_37; 
BgL_resz00_1202 = BNIL; 
BgL_lenzd2idzd2_1203 = BUNSPEC; 
BgL_loopz00_1204:
if(
NULLP(BgL_slotsz00_1200))
{ /* Object/creator.scm 354 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1202);}  else 
{ /* Object/creator.scm 356 */
bool_t BgL_test2240z00_1206;
{ /* Object/creator.scm 356 */
BgL_slotz00_bglt BgL_auxz00_2906;
{ /* Object/creator.scm 356 */
obj_t BgL_auxz00_2907;
BgL_auxz00_2907 = 
CAR(BgL_slotsz00_1200); 
BgL_auxz00_2906 = 
(BgL_slotz00_bglt)(BgL_auxz00_2907); } 
BgL_test2240z00_1206 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_auxz00_2906); } 
if(BgL_test2240z00_1206)
{ /* Object/creator.scm 356 */
{ 
obj_t BgL_slotsz00_2912;
BgL_slotsz00_2912 = 
CDR(BgL_slotsz00_1200); 
BgL_slotsz00_1200 = BgL_slotsz00_2912; 
goto BgL_loopz00_1204;} }  else 
{ /* Object/creator.scm 356 */
{ /* Object/creator.scm 359 */
obj_t BgL_arg2242z00_1208;obj_t BgL_arg2243z00_1209;obj_t BgL_arg2244z00_1210;obj_t BgL_arg2245z00_1211;
BgL_arg2242z00_1208 = 
CDR(BgL_slotsz00_1200); 
BgL_arg2243z00_1209 = 
CDR(BgL_fzd2idszd2_1201); 
{ /* Object/creator.scm 361 */
obj_t BgL_arg2246z00_1212;
BgL_slotz00_1216 = 
CAR(BgL_slotsz00_1200); 
BgL_formalz00_1217 = 
CAR(BgL_fzd2idszd2_1201); 
BgL_flenz00_1218 = BgL_lenzd2idzd2_1203; 
{ /* Object/creator.scm 318 */
obj_t BgL_loopz00_1220;
{ /* Object/creator.scm 318 */
obj_t BgL_arg2302z00_1269;
BgL_arg2302z00_1269 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)29)), BEOA); 
BgL_loopz00_1220 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2302z00_1269); } 
{ /* Object/creator.scm 320 */
bool_t BgL_testz00_2920;
{ /* Object/creator.scm 320 */
BgL_slotz00_bglt BgL_obj1763z00_1843;
BgL_obj1763z00_1843 = 
(BgL_slotz00_bglt)(BgL_slotz00_1216); 
{ /* Object/creator.scm 320 */
obj_t BgL_auxz00_2922;
BgL_auxz00_2922 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1763z00_1843))->BgL_indexedz00); 
BgL_testz00_2920 = 
CBOOL(BgL_auxz00_2922); } } 
if(BgL_testz00_2920)
{ /* Object/creator.scm 320 */
{ /* Object/creator.scm 324 */
bool_t BgL_test2253z00_1222;
{ /* Object/creator.scm 324 */
bool_t BgL_test2254z00_1223;
{ /* Object/creator.scm 324 */
obj_t BgL_objz00_1844;
BgL_objz00_1844 = BGl_za2heapzd2debugza2zd2zzengine_paramz00; 
BgL_test2254z00_1223 = 
INTEGERP(BgL_objz00_1844); } 
if(BgL_test2254z00_1223)
{ /* Object/creator.scm 325 */
long BgL_n1z00_1845;
BgL_n1z00_1845 = 
(long)CINT(BGl_za2heapzd2debugza2zd2zzengine_paramz00); 
BgL_test2253z00_1222 = 
(BgL_n1z00_1845>=((long)1)); }  else 
{ /* Object/creator.scm 324 */
BgL_test2253z00_1222 = ((bool_t)0); } } 
if(BgL_test2253z00_1222)
{ /* Object/creator.scm 324 */
FAILURE(BGl_string2569z00zzobject_creatorz00,BGl_string2570z00zzobject_creatorz00,BgL_slotz00_1216);}  else 
{ /* Object/creator.scm 324 */BFALSE; } } 
{ /* Object/creator.scm 331 */
obj_t BgL_arg2255z00_1224;obj_t BgL_arg2256z00_1225;
BgL_arg2255z00_1224 = 
CNST_TABLE_REF(((long)21)); 
{ /* Object/creator.scm 332 */
obj_t BgL_arg2257z00_1226;obj_t BgL_arg2258z00_1227;
BgL_arg2257z00_1226 = 
BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_32), 
(BgL_slotz00_bglt)(BgL_slotz00_1216), BgL_newz00_33, BgL_flenz00_1218); 
{ /* Object/creator.scm 334 */
obj_t BgL_arg2259z00_1228;
{ /* Object/creator.scm 334 */
obj_t BgL_arg2261z00_1230;obj_t BgL_arg2262z00_1231;
BgL_arg2261z00_1230 = 
CNST_TABLE_REF(((long)30)); 
{ /* Object/creator.scm 334 */
obj_t BgL_arg2263z00_1232;obj_t BgL_arg2264z00_1233;
{ /* Object/creator.scm 334 */
obj_t BgL_arg2265z00_1234;
{ /* Object/creator.scm 334 */
obj_t BgL_arg2267z00_1236;
{ /* Object/creator.scm 334 */
obj_t BgL_arg2268z00_1237;obj_t BgL_arg2269z00_1238;
BgL_arg2268z00_1237 = 
MAKE_PAIR(BgL_rtidz00_35, BNIL); 
{ /* Object/creator.scm 335 */
obj_t BgL_arg2270z00_1239;
{ /* Object/creator.scm 335 */
obj_t BgL_arg2272z00_1241;obj_t BgL_arg2273z00_1242;
BgL_arg2272z00_1241 = 
CNST_TABLE_REF(((long)31)); 
{ /* Object/creator.scm 335 */
obj_t BgL_arg2274z00_1243;obj_t BgL_arg2275z00_1244;
{ /* Object/creator.scm 335 */
obj_t BgL_arg2276z00_1245;obj_t BgL_arg2277z00_1246;
BgL_arg2276z00_1245 = 
CNST_TABLE_REF(((long)32)); 
{ /* Object/creator.scm 335 */
obj_t BgL_arg2278z00_1247;
BgL_arg2278z00_1247 = 
MAKE_PAIR(BgL_flenz00_1218, BNIL); 
BgL_arg2277z00_1246 = 
MAKE_PAIR(BgL_ridz00_34, BgL_arg2278z00_1247); } 
BgL_arg2274z00_1243 = 
MAKE_PAIR(BgL_arg2276z00_1245, BgL_arg2277z00_1246); } 
{ /* Object/creator.scm 336 */
obj_t BgL_arg2279z00_1248;obj_t BgL_arg2280z00_1249;
{ /* Object/creator.scm 336 */
obj_t BgL_arg2281z00_1250;obj_t BgL_arg2282z00_1251;
BgL_arg2281z00_1250 = 
CNST_TABLE_REF(((long)33)); 
{ /* Object/creator.scm 336 */
obj_t BgL_auxz00_2943;
BgL_auxz00_2943 = 
CNST_TABLE_REF(((long)34)); 
BgL_arg2282z00_1251 = 
MAKE_PAIR(BgL_auxz00_2943, BNIL); } 
BgL_arg2279z00_1248 = 
MAKE_PAIR(BgL_arg2281z00_1250, BgL_arg2282z00_1251); } 
{ /* Object/creator.scm 337 */
obj_t BgL_arg2284z00_1252;
{ /* Object/creator.scm 337 */
obj_t BgL_arg2286z00_1254;obj_t BgL_arg2287z00_1255;
BgL_arg2286z00_1254 = 
CNST_TABLE_REF(((long)21)); 
{ /* Object/creator.scm 338 */
obj_t BgL_arg2288z00_1256;obj_t BgL_arg2289z00_1257;
BgL_arg2288z00_1256 = 
BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_32), 
(BgL_slotz00_bglt)(BgL_slotz00_1216), BgL_newz00_33, BgL_formalz00_1217, BgL_ridz00_34, BFALSE); 
{ /* Object/creator.scm 345 */
obj_t BgL_arg2290z00_1258;
{ /* Object/creator.scm 345 */
obj_t BgL_arg2292z00_1260;
{ /* Object/creator.scm 345 */
obj_t BgL_arg2293z00_1261;
{ /* Object/creator.scm 345 */
obj_t BgL_arg2296z00_1263;obj_t BgL_arg2297z00_1264;
BgL_arg2296z00_1263 = 
CNST_TABLE_REF(((long)35)); 
{ /* Object/creator.scm 345 */
obj_t BgL_arg2298z00_1265;
{ /* Object/creator.scm 345 */
obj_t BgL_auxz00_2952;
BgL_auxz00_2952 = 
BINT(((long)1)); 
BgL_arg2298z00_1265 = 
MAKE_PAIR(BgL_auxz00_2952, BNIL); } 
BgL_arg2297z00_1264 = 
MAKE_PAIR(BgL_ridz00_34, BgL_arg2298z00_1265); } 
BgL_arg2293z00_1261 = 
MAKE_PAIR(BgL_arg2296z00_1263, BgL_arg2297z00_1264); } 
BgL_arg2292z00_1260 = 
MAKE_PAIR(BgL_arg2293z00_1261, BNIL); } 
BgL_arg2290z00_1258 = 
MAKE_PAIR(BgL_loopz00_1220, BgL_arg2292z00_1260); } 
BgL_arg2289z00_1257 = 
MAKE_PAIR(BgL_arg2290z00_1258, BNIL); } 
BgL_arg2287z00_1255 = 
MAKE_PAIR(BgL_arg2288z00_1256, BgL_arg2289z00_1257); } 
BgL_arg2284z00_1252 = 
MAKE_PAIR(BgL_arg2286z00_1254, BgL_arg2287z00_1255); } 
BgL_arg2280z00_1249 = 
MAKE_PAIR(BgL_arg2284z00_1252, BNIL); } 
BgL_arg2275z00_1244 = 
MAKE_PAIR(BgL_arg2279z00_1248, BgL_arg2280z00_1249); } 
BgL_arg2273z00_1242 = 
MAKE_PAIR(BgL_arg2274z00_1243, BgL_arg2275z00_1244); } 
BgL_arg2270z00_1239 = 
MAKE_PAIR(BgL_arg2272z00_1241, BgL_arg2273z00_1242); } 
BgL_arg2269z00_1238 = 
MAKE_PAIR(BgL_arg2270z00_1239, BNIL); } 
BgL_arg2267z00_1236 = 
MAKE_PAIR(BgL_arg2268z00_1237, BgL_arg2269z00_1238); } 
BgL_arg2265z00_1234 = 
MAKE_PAIR(BgL_loopz00_1220, BgL_arg2267z00_1236); } 
BgL_arg2263z00_1232 = 
MAKE_PAIR(BgL_arg2265z00_1234, BNIL); } 
{ /* Object/creator.scm 346 */
obj_t BgL_arg2299z00_1266;
{ /* Object/creator.scm 346 */
obj_t BgL_arg2301z00_1268;
{ /* Object/creator.scm 346 */
obj_t BgL_auxz00_2970;
BgL_auxz00_2970 = 
BINT(((long)0)); 
BgL_arg2301z00_1268 = 
MAKE_PAIR(BgL_auxz00_2970, BNIL); } 
BgL_arg2299z00_1266 = 
MAKE_PAIR(BgL_loopz00_1220, BgL_arg2301z00_1268); } 
BgL_arg2264z00_1233 = 
MAKE_PAIR(BgL_arg2299z00_1266, BNIL); } 
BgL_arg2262z00_1231 = 
MAKE_PAIR(BgL_arg2263z00_1232, BgL_arg2264z00_1233); } 
BgL_arg2259z00_1228 = 
MAKE_PAIR(BgL_arg2261z00_1230, BgL_arg2262z00_1231); } 
BgL_arg2258z00_1227 = 
MAKE_PAIR(BgL_arg2259z00_1228, BNIL); } 
BgL_arg2256z00_1225 = 
MAKE_PAIR(BgL_arg2257z00_1226, BgL_arg2258z00_1227); } 
BgL_arg2246z00_1212 = 
MAKE_PAIR(BgL_arg2255z00_1224, BgL_arg2256z00_1225); } }  else 
{ /* Object/creator.scm 320 */
BgL_arg2246z00_1212 = 
BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_32), 
(BgL_slotz00_bglt)(BgL_slotz00_1216), BgL_newz00_33, BgL_formalz00_1217); } } } 
BgL_arg2244z00_1210 = 
MAKE_PAIR(BgL_arg2246z00_1212, BgL_resz00_1202); } 
BgL_arg2245z00_1211 = 
CAR(BgL_fzd2idszd2_1201); 
{ 
obj_t BgL_lenzd2idzd2_2990;obj_t BgL_resz00_2989;obj_t BgL_fzd2idszd2_2988;obj_t BgL_slotsz00_2987;
BgL_slotsz00_2987 = BgL_arg2242z00_1208; 
BgL_fzd2idszd2_2988 = BgL_arg2243z00_1209; 
BgL_resz00_2989 = BgL_arg2244z00_1210; 
BgL_lenzd2idzd2_2990 = BgL_arg2245z00_1211; 
BgL_lenzd2idzd2_1203 = BgL_lenzd2idzd2_2990; 
BgL_resz00_1202 = BgL_resz00_2989; 
BgL_fzd2idszd2_1201 = BgL_fzd2idszd2_2988; 
BgL_slotsz00_1200 = BgL_slotsz00_2987; 
goto BgL_loopz00_1204;} } } } } } } 
}



/* gen-class-allocate! */
obj_t BGl_genzd2classzd2allocatez12z12zzobject_creatorz00(obj_t BgL_idz00_38, obj_t BgL_typez00_39, BgL_globalz00_bglt BgL_holderz00_40, obj_t BgL_srczd2defzd2_41, obj_t BgL_importz00_42)
{ AN_OBJECT;
{ /* Object/creator.scm 368 */
{ /* Object/creator.scm 369 */
obj_t BgL_tidz00_1271;
{ /* Object/creator.scm 369 */
BgL_typez00_bglt BgL_obj1002z00_1850;
BgL_obj1002z00_1850 = 
(BgL_typez00_bglt)(BgL_typez00_39); 
BgL_tidz00_1271 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1850))->BgL_idz00); } 
{ /* Object/creator.scm 369 */
obj_t BgL_alloczd2idzd2_1272;
{ /* Object/creator.scm 370 */
obj_t BgL_list2422z00_1403;
{ /* Object/creator.scm 370 */
obj_t BgL_arg2423z00_1404;obj_t BgL_arg2424z00_1405;
BgL_arg2423z00_1404 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2424z00_1405 = 
MAKE_PAIR(BgL_idz00_38, BNIL); 
BgL_list2422z00_1403 = 
MAKE_PAIR(BgL_arg2423z00_1404, BgL_arg2424z00_1405); } 
BgL_alloczd2idzd2_1272 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2422z00_1403); } 
{ /* Object/creator.scm 370 */
obj_t BgL_alloczd2tidzd2_1273;
BgL_alloczd2tidzd2_1273 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_alloczd2idzd2_1272, BgL_tidz00_1271); 
{ /* Object/creator.scm 371 */
obj_t BgL_newz00_1274;
{ /* Object/creator.scm 372 */
obj_t BgL_arg2421z00_1402;
BgL_arg2421z00_1402 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)9)), BEOA); 
BgL_newz00_1274 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2421z00_1402); } 
{ /* Object/creator.scm 372 */

{ 
obj_t BgL_typez00_1380;
{ /* Object/creator.scm 403 */
obj_t BgL_arg2303z00_1278;
{ /* Object/creator.scm 403 */
obj_t BgL_arg2304z00_1279;
{ /* Object/creator.scm 403 */
obj_t BgL_arg2305z00_1280;
{ /* Object/creator.scm 403 */
obj_t BgL_arg2307z00_1282;obj_t BgL_arg2308z00_1283;
BgL_arg2307z00_1282 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2308z00_1283 = 
MAKE_PAIR(BgL_alloczd2tidzd2_1273, BNIL); 
BgL_arg2305z00_1280 = 
MAKE_PAIR(BgL_arg2307z00_1282, BgL_arg2308z00_1283); } 
BgL_arg2304z00_1279 = 
MAKE_PAIR(BgL_arg2305z00_1280, BNIL); } 
BgL_arg2303z00_1278 = 
MAKE_PAIR(BgL_importz00_42, BgL_arg2304z00_1279); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2303z00_1278); } 
{ /* Object/creator.scm 404 */
obj_t BgL_arg2309z00_1284;
{ /* Object/creator.scm 404 */
obj_t BgL_casezd2valuezd2_1286;
BgL_casezd2valuezd2_1286 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* Object/creator.scm 404 */
bool_t BgL_testz00_3008;
{ /* Object/creator.scm 404 */
obj_t BgL_auxz00_3009;
BgL_auxz00_3009 = 
CNST_TABLE_REF(((long)23)); 
BgL_testz00_3008 = 
(BgL_casezd2valuezd2_1286==BgL_auxz00_3009); } 
if(BgL_testz00_3008)
{ /* Object/creator.scm 404 */
{ /* Object/creator.scm 383 */
obj_t BgL_arg2360z00_1334;obj_t BgL_arg2361z00_1335;
BgL_arg2360z00_1334 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/creator.scm 383 */
obj_t BgL_arg2362z00_1336;obj_t BgL_arg2363z00_1337;
BgL_arg2362z00_1336 = 
MAKE_PAIR(BgL_alloczd2tidzd2_1273, BNIL); 
{ /* Object/creator.scm 384 */
obj_t BgL_arg2364z00_1338;
{ /* Object/creator.scm 384 */
obj_t BgL_arg2366z00_1340;obj_t BgL_arg2367z00_1341;
BgL_arg2366z00_1340 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/creator.scm 384 */
obj_t BgL_arg2368z00_1342;obj_t BgL_arg2369z00_1343;
{ /* Object/creator.scm 384 */
obj_t BgL_arg2370z00_1344;
{ /* Object/creator.scm 384 */
obj_t BgL_arg2372z00_1346;obj_t BgL_arg2373z00_1347;
BgL_arg2372z00_1346 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_1274, BgL_tidz00_1271); 
{ /* Object/creator.scm 384 */
obj_t BgL_arg2374z00_1348;
BgL_typez00_1380 = BgL_typez00_39; 
{ /* Object/creator.scm 374 */
obj_t BgL_tidz00_1382;obj_t BgL_tnamez00_1383;obj_t BgL_siza7eofza7_1384;
{ /* Object/creator.scm 374 */
BgL_typez00_bglt BgL_obj1002z00_1855;
BgL_obj1002z00_1855 = 
(BgL_typez00_bglt)(BgL_typez00_1380); 
BgL_tidz00_1382 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1855))->BgL_idz00); } 
{ /* Object/creator.scm 375 */
obj_t BgL_auxz00_3018;
{ /* Object/creator.scm 375 */
BgL_typez00_bglt BgL_obj1003z00_1856;
BgL_obj1003z00_1856 = 
(BgL_typez00_bglt)(BgL_typez00_1380); 
BgL_auxz00_3018 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1856))->BgL_namez00); } 
BgL_tnamez00_1383 = 
BGl_stringzd2sanszd2z42z42zztype_toolsz00(BgL_auxz00_3018); } 
{ /* Object/creator.scm 376 */
bool_t BgL_testz00_3022;
{ /* Object/creator.scm 376 */
obj_t BgL_auxz00_3023;
{ /* Object/creator.scm 376 */
BgL_typez00_bglt BgL_obj1006z00_1857;
BgL_obj1006z00_1857 = 
(BgL_typez00_bglt)(BgL_typez00_1380); 
BgL_auxz00_3023 = 
(((BgL_typez00_bglt)CREF(BgL_obj1006z00_1857))->BgL_siza7eza7); } 
BgL_testz00_3022 = 
STRINGP(BgL_auxz00_3023); } 
if(BgL_testz00_3022)
{ /* Object/creator.scm 377 */
BgL_typez00_bglt BgL_obj1006z00_1859;
BgL_obj1006z00_1859 = 
(BgL_typez00_bglt)(BgL_typez00_1380); 
BgL_siza7eofza7_1384 = 
(((BgL_typez00_bglt)CREF(BgL_obj1006z00_1859))->BgL_siza7eza7); }  else 
{ /* Object/creator.scm 378 */
BgL_typez00_bglt BgL_obj1003z00_1860;
BgL_obj1003z00_1860 = 
(BgL_typez00_bglt)(BgL_typez00_1380); 
BgL_siza7eofza7_1384 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1860))->BgL_namez00); } } 
{ /* Object/creator.scm 379 */
obj_t BgL_arg2407z00_1385;obj_t BgL_arg2408z00_1386;
BgL_arg2407z00_1385 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)22)), BgL_tidz00_1382); 
{ /* Object/creator.scm 380 */
obj_t BgL_arg2409z00_1387;
{ /* Object/creator.scm 380 */
obj_t BgL_list2411z00_1389;
{ /* Object/creator.scm 380 */
obj_t BgL_arg2413z00_1391;
{ /* Object/creator.scm 380 */
obj_t BgL_arg2414z00_1392;
{ /* Object/creator.scm 380 */
obj_t BgL_arg2416z00_1394;
{ /* Object/creator.scm 380 */
obj_t BgL_arg2417z00_1395;
BgL_arg2417z00_1395 = 
MAKE_PAIR(BGl_string2571z00zzobject_creatorz00, BNIL); 
BgL_arg2416z00_1394 = 
MAKE_PAIR(BgL_siza7eofza7_1384, BgL_arg2417z00_1395); } 
BgL_arg2414z00_1392 = 
MAKE_PAIR(BGl_string2572z00zzobject_creatorz00, BgL_arg2416z00_1394); } 
BgL_arg2413z00_1391 = 
MAKE_PAIR(BgL_tnamez00_1383, BgL_arg2414z00_1392); } 
BgL_list2411z00_1389 = 
MAKE_PAIR(BGl_string2566z00zzobject_creatorz00, BgL_arg2413z00_1391); } 
BgL_arg2409z00_1387 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list2411z00_1389); } 
BgL_arg2408z00_1386 = 
MAKE_PAIR(BgL_arg2409z00_1387, BNIL); } 
BgL_arg2374z00_1348 = 
MAKE_PAIR(BgL_arg2407z00_1385, BgL_arg2408z00_1386); } } 
BgL_arg2373z00_1347 = 
MAKE_PAIR(BgL_arg2374z00_1348, BNIL); } 
BgL_arg2370z00_1344 = 
MAKE_PAIR(BgL_arg2372z00_1346, BgL_arg2373z00_1347); } 
BgL_arg2368z00_1342 = 
MAKE_PAIR(BgL_arg2370z00_1344, BNIL); } 
{ /* Object/creator.scm 385 */
obj_t BgL_arg2376z00_1350;obj_t BgL_arg2377z00_1351;
{ /* Object/creator.scm 385 */
obj_t BgL_arg2378z00_1352;obj_t BgL_arg2379z00_1353;
BgL_arg2378z00_1352 = 
CNST_TABLE_REF(((long)36)); 
{ /* Object/creator.scm 386 */
obj_t BgL_arg2380z00_1354;
{ /* Object/creator.scm 386 */
obj_t BgL_arg2381z00_1355;
{ /* Object/creator.scm 386 */
obj_t BgL_arg2383z00_1357;obj_t BgL_arg2384z00_1358;
{ /* Object/creator.scm 386 */
obj_t BgL_arg2385z00_1359;obj_t BgL_arg2386z00_1360;
BgL_arg2385z00_1359 = 
CNST_TABLE_REF(((long)37)); 
{ /* Object/creator.scm 386 */
obj_t BgL_arg2387z00_1361;obj_t BgL_arg2388z00_1362;
BgL_arg2387z00_1361 = 
CNST_TABLE_REF(((long)38)); 
{ /* Object/creator.scm 386 */
obj_t BgL_auxz00_3047;
BgL_auxz00_3047 = 
CNST_TABLE_REF(((long)39)); 
BgL_arg2388z00_1362 = 
MAKE_PAIR(BgL_auxz00_3047, BNIL); } 
BgL_arg2386z00_1360 = 
MAKE_PAIR(BgL_arg2387z00_1361, BgL_arg2388z00_1362); } 
BgL_arg2383z00_1357 = 
MAKE_PAIR(BgL_arg2385z00_1359, BgL_arg2386z00_1360); } 
{ /* Object/creator.scm 387 */
obj_t BgL_arg2389z00_1363;
{ /* Object/creator.scm 387 */
obj_t BgL_arg2391z00_1365;obj_t BgL_arg2392z00_1366;
BgL_arg2391z00_1365 = 
CNST_TABLE_REF(((long)37)); 
{ /* Object/creator.scm 387 */
obj_t BgL_arg2393z00_1367;obj_t BgL_arg2394z00_1368;
BgL_arg2393z00_1367 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_40))->BgL_idz00); 
{ /* Object/creator.scm 387 */
obj_t BgL_auxz00_3054;
BgL_auxz00_3054 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_40))->BgL_modulez00); 
BgL_arg2394z00_1368 = 
MAKE_PAIR(BgL_auxz00_3054, BNIL); } 
BgL_arg2392z00_1366 = 
MAKE_PAIR(BgL_arg2393z00_1367, BgL_arg2394z00_1368); } 
BgL_arg2389z00_1363 = 
MAKE_PAIR(BgL_arg2391z00_1365, BgL_arg2392z00_1366); } 
BgL_arg2384z00_1358 = 
MAKE_PAIR(BgL_arg2389z00_1363, BNIL); } 
BgL_arg2381z00_1355 = 
MAKE_PAIR(BgL_arg2383z00_1357, BgL_arg2384z00_1358); } 
BgL_arg2380z00_1354 = 
MAKE_PAIR(BgL_arg2381z00_1355, BNIL); } 
BgL_arg2379z00_1353 = 
MAKE_PAIR(BgL_newz00_1274, BgL_arg2380z00_1354); } 
BgL_arg2376z00_1350 = 
MAKE_PAIR(BgL_arg2378z00_1352, BgL_arg2379z00_1353); } 
{ /* Object/creator.scm 389 */
obj_t BgL_arg2397z00_1371;obj_t BgL_arg2398z00_1372;
{ /* Object/creator.scm 389 */
obj_t BgL_arg2399z00_1373;obj_t BgL_arg2400z00_1374;
BgL_arg2399z00_1373 = 
CNST_TABLE_REF(((long)40)); 
{ /* Object/creator.scm 389 */
obj_t BgL_arg2401z00_1375;
BgL_arg2401z00_1375 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg2400z00_1374 = 
MAKE_PAIR(BgL_newz00_1274, BgL_arg2401z00_1375); } 
BgL_arg2397z00_1371 = 
MAKE_PAIR(BgL_arg2399z00_1373, BgL_arg2400z00_1374); } 
{ /* Object/creator.scm 390 */
obj_t BgL_arg2402z00_1376;obj_t BgL_arg2403z00_1377;
{ /* Object/creator.scm 390 */
obj_t BgL_arg2404z00_1378;obj_t BgL_arg2405z00_1379;
BgL_arg2404z00_1378 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg2405z00_1379 = 
MAKE_PAIR(BgL_newz00_1274, BNIL); 
BgL_arg2402z00_1376 = 
MAKE_PAIR(BgL_arg2404z00_1378, BgL_arg2405z00_1379); } 
BgL_arg2403z00_1377 = 
MAKE_PAIR(BgL_newz00_1274, BNIL); 
BgL_arg2398z00_1372 = 
MAKE_PAIR(BgL_arg2402z00_1376, BgL_arg2403z00_1377); } 
BgL_arg2377z00_1351 = 
MAKE_PAIR(BgL_arg2397z00_1371, BgL_arg2398z00_1372); } 
BgL_arg2369z00_1343 = 
MAKE_PAIR(BgL_arg2376z00_1350, BgL_arg2377z00_1351); } 
BgL_arg2367z00_1341 = 
MAKE_PAIR(BgL_arg2368z00_1342, BgL_arg2369z00_1343); } 
BgL_arg2364z00_1338 = 
MAKE_PAIR(BgL_arg2366z00_1340, BgL_arg2367z00_1341); } 
BgL_arg2363z00_1337 = 
MAKE_PAIR(BgL_arg2364z00_1338, BNIL); } 
BgL_arg2361z00_1335 = 
MAKE_PAIR(BgL_arg2362z00_1336, BgL_arg2363z00_1337); } 
BgL_arg2309z00_1284 = 
MAKE_PAIR(BgL_arg2360z00_1334, BgL_arg2361z00_1335); } }  else 
{ /* Object/creator.scm 404 */
bool_t BgL_testz00_3080;
{ /* Object/creator.scm 404 */
obj_t BgL_auxz00_3081;
BgL_auxz00_3081 = 
CNST_TABLE_REF(((long)17)); 
BgL_testz00_3080 = 
(BgL_casezd2valuezd2_1286==BgL_auxz00_3081); } 
if(BgL_testz00_3080)
{ /* Object/creator.scm 404 */
{ /* Object/creator.scm 393 */
obj_t BgL_arg2314z00_1290;obj_t BgL_arg2315z00_1291;
BgL_arg2314z00_1290 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/creator.scm 393 */
obj_t BgL_arg2316z00_1292;obj_t BgL_arg2317z00_1293;
BgL_arg2316z00_1292 = 
MAKE_PAIR(BgL_alloczd2tidzd2_1273, BNIL); 
{ /* Object/creator.scm 394 */
obj_t BgL_arg2318z00_1294;
{ /* Object/creator.scm 394 */
obj_t BgL_arg2320z00_1296;obj_t BgL_arg2321z00_1297;
BgL_arg2320z00_1296 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/creator.scm 394 */
obj_t BgL_arg2322z00_1298;obj_t BgL_arg2323z00_1299;
{ /* Object/creator.scm 394 */
obj_t BgL_arg2324z00_1300;
{ /* Object/creator.scm 394 */
obj_t BgL_arg2326z00_1302;obj_t BgL_arg2327z00_1303;
BgL_arg2326z00_1302 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_1274, BgL_tidz00_1271); 
{ /* Object/creator.scm 395 */
obj_t BgL_arg2328z00_1304;
BgL_arg2328z00_1304 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)9)), BgL_tidz00_1271, BNIL); 
BgL_arg2327z00_1303 = 
MAKE_PAIR(BgL_arg2328z00_1304, BNIL); } 
BgL_arg2324z00_1300 = 
MAKE_PAIR(BgL_arg2326z00_1302, BgL_arg2327z00_1303); } 
BgL_arg2322z00_1298 = 
MAKE_PAIR(BgL_arg2324z00_1300, BNIL); } 
{ /* Object/creator.scm 396 */
obj_t BgL_arg2331z00_1307;obj_t BgL_arg2332z00_1308;
{ /* Object/creator.scm 396 */
obj_t BgL_arg2335z00_1309;obj_t BgL_arg2336z00_1310;
BgL_arg2335z00_1309 = 
CNST_TABLE_REF(((long)36)); 
{ /* Object/creator.scm 397 */
obj_t BgL_arg2337z00_1311;
{ /* Object/creator.scm 397 */
obj_t BgL_arg2338z00_1312;
{ /* Object/creator.scm 397 */
obj_t BgL_arg2340z00_1314;obj_t BgL_arg2341z00_1315;
{ /* Object/creator.scm 397 */
obj_t BgL_arg2342z00_1316;obj_t BgL_arg2343z00_1317;
BgL_arg2342z00_1316 = 
CNST_TABLE_REF(((long)37)); 
{ /* Object/creator.scm 397 */
obj_t BgL_arg2344z00_1318;obj_t BgL_arg2345z00_1319;
BgL_arg2344z00_1318 = 
CNST_TABLE_REF(((long)38)); 
{ /* Object/creator.scm 397 */
obj_t BgL_auxz00_3096;
BgL_auxz00_3096 = 
CNST_TABLE_REF(((long)39)); 
BgL_arg2345z00_1319 = 
MAKE_PAIR(BgL_auxz00_3096, BNIL); } 
BgL_arg2343z00_1317 = 
MAKE_PAIR(BgL_arg2344z00_1318, BgL_arg2345z00_1319); } 
BgL_arg2340z00_1314 = 
MAKE_PAIR(BgL_arg2342z00_1316, BgL_arg2343z00_1317); } 
{ /* Object/creator.scm 398 */
obj_t BgL_arg2346z00_1320;
{ /* Object/creator.scm 398 */
obj_t BgL_arg2348z00_1322;obj_t BgL_arg2349z00_1323;
BgL_arg2348z00_1322 = 
CNST_TABLE_REF(((long)37)); 
{ /* Object/creator.scm 398 */
obj_t BgL_arg2350z00_1324;obj_t BgL_arg2351z00_1325;
BgL_arg2350z00_1324 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_40))->BgL_idz00); 
{ /* Object/creator.scm 398 */
obj_t BgL_auxz00_3103;
BgL_auxz00_3103 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_40))->BgL_modulez00); 
BgL_arg2351z00_1325 = 
MAKE_PAIR(BgL_auxz00_3103, BNIL); } 
BgL_arg2349z00_1323 = 
MAKE_PAIR(BgL_arg2350z00_1324, BgL_arg2351z00_1325); } 
BgL_arg2346z00_1320 = 
MAKE_PAIR(BgL_arg2348z00_1322, BgL_arg2349z00_1323); } 
BgL_arg2341z00_1315 = 
MAKE_PAIR(BgL_arg2346z00_1320, BNIL); } 
BgL_arg2338z00_1312 = 
MAKE_PAIR(BgL_arg2340z00_1314, BgL_arg2341z00_1315); } 
BgL_arg2337z00_1311 = 
MAKE_PAIR(BgL_arg2338z00_1312, BNIL); } 
BgL_arg2336z00_1310 = 
MAKE_PAIR(BgL_newz00_1274, BgL_arg2337z00_1311); } 
BgL_arg2331z00_1307 = 
MAKE_PAIR(BgL_arg2335z00_1309, BgL_arg2336z00_1310); } 
{ /* Object/creator.scm 400 */
obj_t BgL_arg2354z00_1328;obj_t BgL_arg2355z00_1329;
{ /* Object/creator.scm 400 */
obj_t BgL_arg2356z00_1330;obj_t BgL_arg2357z00_1331;
BgL_arg2356z00_1330 = 
CNST_TABLE_REF(((long)40)); 
{ /* Object/creator.scm 400 */
obj_t BgL_arg2358z00_1332;
BgL_arg2358z00_1332 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg2357z00_1331 = 
MAKE_PAIR(BgL_newz00_1274, BgL_arg2358z00_1332); } 
BgL_arg2354z00_1328 = 
MAKE_PAIR(BgL_arg2356z00_1330, BgL_arg2357z00_1331); } 
BgL_arg2355z00_1329 = 
MAKE_PAIR(BgL_newz00_1274, BNIL); 
BgL_arg2332z00_1308 = 
MAKE_PAIR(BgL_arg2354z00_1328, BgL_arg2355z00_1329); } 
BgL_arg2323z00_1299 = 
MAKE_PAIR(BgL_arg2331z00_1307, BgL_arg2332z00_1308); } 
BgL_arg2321z00_1297 = 
MAKE_PAIR(BgL_arg2322z00_1298, BgL_arg2323z00_1299); } 
BgL_arg2318z00_1294 = 
MAKE_PAIR(BgL_arg2320z00_1296, BgL_arg2321z00_1297); } 
BgL_arg2317z00_1293 = 
MAKE_PAIR(BgL_arg2318z00_1294, BNIL); } 
BgL_arg2315z00_1291 = 
MAKE_PAIR(BgL_arg2316z00_1292, BgL_arg2317z00_1293); } 
BgL_arg2309z00_1284 = 
MAKE_PAIR(BgL_arg2314z00_1290, BgL_arg2315z00_1291); } }  else 
{ /* Object/creator.scm 404 */
BgL_arg2309z00_1284 = BUNSPEC; } } } } 
{ /* Object/creator.scm 404 */
obj_t BgL_list2310z00_1285;
BgL_list2310z00_1285 = 
MAKE_PAIR(BgL_srczd2defzd2_41, BNIL); 
return 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2309z00_1284, BgL_list2310z00_1285);} } } } } } } } } 
}



/* gen-wide-class-make! */
obj_t BGl_genzd2widezd2classzd2makez12zc0zzobject_creatorz00(obj_t BgL_idz00_43, BgL_tclassz00_bglt BgL_typez00_44, obj_t BgL_srczd2defzd2_45, obj_t BgL_importz00_46)
{ AN_OBJECT;
{ /* Object/creator.scm 412 */
{ /* Object/creator.scm 413 */
obj_t BgL_mkzd2heapzd2idz00_1406;
{ /* Object/creator.scm 413 */
obj_t BgL_list2525z00_1529;
{ /* Object/creator.scm 413 */
obj_t BgL_arg2526z00_1530;obj_t BgL_arg2527z00_1531;
BgL_arg2526z00_1530 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2527z00_1531 = 
MAKE_PAIR(BgL_idz00_43, BNIL); 
BgL_list2525z00_1529 = 
MAKE_PAIR(BgL_arg2526z00_1530, BgL_arg2527z00_1531); } 
BgL_mkzd2heapzd2idz00_1406 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2525z00_1529); } 
{ /* Object/creator.scm 413 */
obj_t BgL_superz00_1407;
{ 
obj_t BgL_auxz00_3131;
{ /* Object/creator.scm 414 */
BgL_objectz00_bglt BgL_auxz00_3132;
BgL_auxz00_3132 = 
(BgL_objectz00_bglt)(BgL_typez00_44); 
BgL_auxz00_3131 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3132); } 
BgL_superz00_1407 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3131))->BgL_itszd2superzd2); } 
{ /* Object/creator.scm 414 */
obj_t BgL_slotsz00_1408;
{ 
obj_t BgL_auxz00_3136;
{ /* Object/creator.scm 415 */
BgL_objectz00_bglt BgL_auxz00_3137;
BgL_auxz00_3137 = 
(BgL_objectz00_bglt)(BgL_typez00_44); 
BgL_auxz00_3136 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3137); } 
BgL_slotsz00_1408 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3136))->BgL_slotsz00); } 
{ /* Object/creator.scm 415 */
obj_t BgL_sslotsz00_1409;
{ /* Object/creator.scm 416 */
BgL_tclassz00_bglt BgL_obj1610z00_1863;
BgL_obj1610z00_1863 = 
(BgL_tclassz00_bglt)(BgL_superz00_1407); 
{ 
obj_t BgL_auxz00_3142;
{ /* Object/creator.scm 416 */
BgL_objectz00_bglt BgL_auxz00_3143;
BgL_auxz00_3143 = 
(BgL_objectz00_bglt)(BgL_obj1610z00_1863); 
BgL_auxz00_3142 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3143); } 
BgL_sslotsz00_1409 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3142))->BgL_slotsz00); } } 
{ /* Object/creator.scm 416 */
BgL_globalz00_bglt BgL_holderz00_1410;
{ 
obj_t BgL_auxz00_3147;
{ /* Object/creator.scm 417 */
BgL_objectz00_bglt BgL_auxz00_3148;
BgL_auxz00_3148 = 
(BgL_objectz00_bglt)(BgL_typez00_44); 
BgL_auxz00_3147 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3148); } 
BgL_holderz00_1410 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3147))->BgL_holderz00); } 
{ /* Object/creator.scm 417 */
obj_t BgL_constrsz00_1411;
BgL_constrsz00_1411 = 
BGl_findzd2classzd2constructorsz00zzobject_classz00(BgL_typez00_44); 
{ /* Object/creator.scm 418 */
obj_t BgL_tidz00_1412;
{ /* Object/creator.scm 419 */
BgL_typez00_bglt BgL_obj1002z00_1865;
BgL_obj1002z00_1865 = 
(BgL_typez00_bglt)(BgL_typez00_44); 
BgL_tidz00_1412 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1865))->BgL_idz00); } 
{ /* Object/creator.scm 419 */
obj_t BgL_stidz00_1413;
{ /* Object/creator.scm 420 */
BgL_typez00_bglt BgL_obj1002z00_1866;
BgL_obj1002z00_1866 = 
(BgL_typez00_bglt)(BgL_superz00_1407); 
BgL_stidz00_1413 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1866))->BgL_idz00); } 
{ /* Object/creator.scm 420 */
obj_t BgL_mkzd2tidzd2_1414;
{ /* Object/creator.scm 421 */
obj_t BgL_arg2521z00_1525;
{ /* Object/creator.scm 421 */
obj_t BgL_list2522z00_1526;
{ /* Object/creator.scm 421 */
obj_t BgL_arg2523z00_1527;obj_t BgL_arg2524z00_1528;
BgL_arg2523z00_1527 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2524z00_1528 = 
MAKE_PAIR(BgL_idz00_43, BNIL); 
BgL_list2522z00_1526 = 
MAKE_PAIR(BgL_arg2523z00_1527, BgL_arg2524z00_1528); } 
BgL_arg2521z00_1525 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2522z00_1526); } 
BgL_mkzd2tidzd2_1414 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg2521z00_1525, BgL_tidz00_1412); } 
{ /* Object/creator.scm 421 */
obj_t BgL_fzd2idszd2_1415;
BgL_fzd2idszd2_1415 = 
BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(BgL_slotsz00_1408); 
{ /* Object/creator.scm 423 */
obj_t BgL_sfzd2idszd2_1416;
BgL_sfzd2idszd2_1416 = 
BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(BgL_sslotsz00_1409); 
{ /* Object/creator.scm 424 */
obj_t BgL_fzd2tidszd2_1417;
BgL_fzd2tidszd2_1417 = 
BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(BgL_fzd2idszd2_1415, BgL_slotsz00_1408); 
{ /* Object/creator.scm 425 */
obj_t BgL_sfzd2tidszd2_1418;
BgL_sfzd2tidszd2_1418 = 
BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(BgL_sfzd2idszd2_1416, BgL_sslotsz00_1409); 
{ /* Object/creator.scm 426 */
obj_t BgL_wideningz00_1419;
{ /* Object/creator.scm 427 */
obj_t BgL_arg2515z00_1519;obj_t BgL_arg2516z00_1520;
{ 
obj_t BgL_auxz00_3166;
{ /* Object/creator.scm 427 */
BgL_objectz00_bglt BgL_auxz00_3167;
BgL_auxz00_3167 = 
(BgL_objectz00_bglt)(BgL_typez00_44); 
BgL_auxz00_3166 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3167); } 
BgL_arg2515z00_1519 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3166))->BgL_wideningz00); } 
BgL_arg2516z00_1520 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/creator.scm 427 */
obj_t BgL_list2518z00_1522;
{ /* Object/creator.scm 427 */
obj_t BgL_arg2519z00_1523;
{ /* Object/creator.scm 427 */
obj_t BgL_arg2520z00_1524;
{ /* Object/creator.scm 427 */
obj_t BgL_auxz00_3172;
{ /* Object/creator.scm 429 */
BgL_typez00_bglt BgL_obj1002z00_1868;
BgL_obj1002z00_1868 = 
(BgL_typez00_bglt)(BgL_typez00_44); 
BgL_auxz00_3172 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1868))->BgL_idz00); } 
BgL_arg2520z00_1524 = 
MAKE_PAIR(BgL_auxz00_3172, BNIL); } 
BgL_arg2519z00_1523 = 
MAKE_PAIR(BgL_arg2516z00_1520, BgL_arg2520z00_1524); } 
BgL_list2518z00_1522 = 
MAKE_PAIR(BgL_arg2515z00_1519, BgL_arg2519z00_1523); } 
BgL_wideningz00_1419 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2518z00_1522); } } 
{ /* Object/creator.scm 427 */
obj_t BgL_auxz00_1420;
{ /* Object/creator.scm 430 */
obj_t BgL_arg2514z00_1518;
BgL_arg2514z00_1518 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)41)), BEOA); 
BgL_auxz00_1420 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2514z00_1518); } 
{ /* Object/creator.scm 430 */
obj_t BgL_newz00_1421;
{ /* Object/creator.scm 431 */
obj_t BgL_arg2513z00_1517;
BgL_arg2513z00_1517 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)9)), BEOA); 
BgL_newz00_1421 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2513z00_1517); } 
{ /* Object/creator.scm 431 */
obj_t BgL_mkzd2classzd2idz00_1422;
{ /* Object/creator.scm 432 */
obj_t BgL_list2510z00_1514;
{ /* Object/creator.scm 432 */
obj_t BgL_arg2511z00_1515;obj_t BgL_arg2512z00_1516;
BgL_arg2511z00_1515 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2512z00_1516 = 
MAKE_PAIR(BgL_stidz00_1413, BNIL); 
BgL_list2510z00_1514 = 
MAKE_PAIR(BgL_arg2511z00_1515, BgL_arg2512z00_1516); } 
BgL_mkzd2classzd2idz00_1422 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2510z00_1514); } 
{ /* Object/creator.scm 432 */

{ /* Object/creator.scm 436 */
obj_t BgL_arg2425z00_1423;
{ /* Object/creator.scm 436 */
obj_t BgL_arg2426z00_1424;
{ /* Object/creator.scm 436 */
obj_t BgL_arg2427z00_1425;
{ /* Object/creator.scm 436 */
obj_t BgL_arg2429z00_1427;obj_t BgL_arg2430z00_1428;
if(
BGl_inlinezd2creatorszf3z21zzobject_creatorz00())
{ /* Object/creator.scm 436 */
BgL_arg2429z00_1427 = 
CNST_TABLE_REF(((long)27)); }  else 
{ /* Object/creator.scm 436 */
BgL_arg2429z00_1427 = BNIL; } 
{ /* Object/creator.scm 436 */
obj_t BgL_auxz00_3194;
BgL_auxz00_3194 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_sfzd2tidszd2_1418, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2tidszd2_1417, BNIL)); 
BgL_arg2430z00_1428 = 
MAKE_PAIR(BgL_mkzd2tidzd2_1414, BgL_auxz00_3194); } 
BgL_arg2427z00_1425 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2429z00_1427, BgL_arg2430z00_1428); } 
BgL_arg2426z00_1424 = 
MAKE_PAIR(BgL_arg2427z00_1425, BNIL); } 
BgL_arg2425z00_1423 = 
MAKE_PAIR(BgL_importz00_46, BgL_arg2426z00_1424); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2425z00_1423); } 
{ /* Object/creator.scm 438 */
obj_t BgL_arg2434z00_1432;
{ /* Object/creator.scm 438 */
obj_t BgL_arg2436z00_1434;obj_t BgL_arg2437z00_1435;
if(
BGl_inlinezd2creatorszf3z21zzobject_creatorz00())
{ /* Object/creator.scm 438 */
BgL_arg2436z00_1434 = 
CNST_TABLE_REF(((long)8)); }  else 
{ /* Object/creator.scm 438 */
BgL_arg2436z00_1434 = 
CNST_TABLE_REF(((long)14)); } 
{ /* Object/creator.scm 439 */
obj_t BgL_arg2439z00_1437;obj_t BgL_arg2440z00_1438;
{ /* Object/creator.scm 439 */
obj_t BgL_auxz00_3206;
BgL_auxz00_3206 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_sfzd2tidszd2_1418, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2tidszd2_1417, BNIL)); 
BgL_arg2439z00_1437 = 
MAKE_PAIR(BgL_mkzd2tidzd2_1414, BgL_auxz00_3206); } 
{ /* Object/creator.scm 442 */
obj_t BgL_arg2444z00_1441;
{ /* Object/creator.scm 442 */
obj_t BgL_arg2446z00_1443;obj_t BgL_arg2447z00_1444;
BgL_arg2446z00_1443 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/creator.scm 442 */
obj_t BgL_arg2448z00_1445;obj_t BgL_arg2449z00_1446;
{ /* Object/creator.scm 442 */
obj_t BgL_arg2450z00_1447;
{ /* Object/creator.scm 442 */
obj_t BgL_arg2452z00_1449;obj_t BgL_arg2453z00_1450;
BgL_arg2452z00_1449 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1420, BgL_stidz00_1413); 
{ /* Object/creator.scm 443 */
obj_t BgL_arg2454z00_1451;
{ /* Object/creator.scm 443 */
obj_t BgL_auxz00_3212;
BgL_auxz00_3212 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_sfzd2idszd2_1416, BNIL); 
BgL_arg2454z00_1451 = 
MAKE_PAIR(BgL_mkzd2classzd2idz00_1422, BgL_auxz00_3212); } 
BgL_arg2453z00_1450 = 
MAKE_PAIR(BgL_arg2454z00_1451, BNIL); } 
BgL_arg2450z00_1447 = 
MAKE_PAIR(BgL_arg2452z00_1449, BgL_arg2453z00_1450); } 
BgL_arg2448z00_1445 = 
MAKE_PAIR(BgL_arg2450z00_1447, BNIL); } 
{ /* Object/creator.scm 446 */
obj_t BgL_arg2457z00_1454;
{ /* Object/creator.scm 446 */
obj_t BgL_arg2459z00_1456;obj_t BgL_arg2460z00_1457;
BgL_arg2459z00_1456 = 
CNST_TABLE_REF(((long)15)); 
{ /* Object/creator.scm 446 */
obj_t BgL_arg2461z00_1458;obj_t BgL_arg2462z00_1459;
{ /* Object/creator.scm 446 */
obj_t BgL_arg2463z00_1460;
{ /* Object/creator.scm 446 */
obj_t BgL_arg2465z00_1462;obj_t BgL_arg2466z00_1463;
BgL_arg2465z00_1462 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_1421, BgL_tidz00_1412); 
{ /* Object/creator.scm 447 */
obj_t BgL_arg2467z00_1464;
{ /* Object/creator.scm 447 */
obj_t BgL_list2469z00_1466;
BgL_list2469z00_1466 = 
MAKE_PAIR(BgL_auxz00_1420, BNIL); 
BgL_arg2467z00_1464 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)42)), BgL_tidz00_1412, BgL_list2469z00_1466); } 
BgL_arg2466z00_1463 = 
MAKE_PAIR(BgL_arg2467z00_1464, BNIL); } 
BgL_arg2463z00_1460 = 
MAKE_PAIR(BgL_arg2465z00_1462, BgL_arg2466z00_1463); } 
BgL_arg2461z00_1458 = 
MAKE_PAIR(BgL_arg2463z00_1460, BNIL); } 
{ /* Object/creator.scm 449 */
obj_t BgL_arg2470z00_1467;obj_t BgL_arg2471z00_1468;
{ /* Object/creator.scm 449 */
obj_t BgL_arg2472z00_1469;obj_t BgL_arg2473z00_1470;
BgL_arg2472z00_1469 = 
CNST_TABLE_REF(((long)36)); 
{ /* Object/creator.scm 451 */
obj_t BgL_arg2474z00_1471;
{ /* Object/creator.scm 451 */
obj_t BgL_arg2475z00_1472;
{ /* Object/creator.scm 451 */
obj_t BgL_arg2477z00_1474;obj_t BgL_arg2478z00_1475;
BgL_arg2477z00_1474 = 
CNST_TABLE_REF(((long)38)); 
{ /* Object/creator.scm 451 */
obj_t BgL_arg2479z00_1476;
{ /* Object/creator.scm 451 */
obj_t BgL_arg2481z00_1478;obj_t BgL_arg2482z00_1479;
BgL_arg2481z00_1478 = 
CNST_TABLE_REF(((long)37)); 
{ /* Object/creator.scm 451 */
obj_t BgL_arg2483z00_1480;obj_t BgL_arg2484z00_1481;
BgL_arg2483z00_1480 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1410))->BgL_idz00); 
{ /* Object/creator.scm 451 */
obj_t BgL_auxz00_3230;
BgL_auxz00_3230 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1410))->BgL_modulez00); 
BgL_arg2484z00_1481 = 
MAKE_PAIR(BgL_auxz00_3230, BNIL); } 
BgL_arg2482z00_1479 = 
MAKE_PAIR(BgL_arg2483z00_1480, BgL_arg2484z00_1481); } 
BgL_arg2479z00_1476 = 
MAKE_PAIR(BgL_arg2481z00_1478, BgL_arg2482z00_1479); } 
BgL_arg2478z00_1475 = 
MAKE_PAIR(BgL_arg2479z00_1476, BNIL); } 
BgL_arg2475z00_1472 = 
MAKE_PAIR(BgL_arg2477z00_1474, BgL_arg2478z00_1475); } 
BgL_arg2474z00_1471 = 
MAKE_PAIR(BgL_arg2475z00_1472, BNIL); } 
BgL_arg2473z00_1470 = 
MAKE_PAIR(BgL_newz00_1421, BgL_arg2474z00_1471); } 
BgL_arg2470z00_1467 = 
MAKE_PAIR(BgL_arg2472z00_1469, BgL_arg2473z00_1470); } 
{ /* Object/creator.scm 454 */
obj_t BgL_arg2487z00_1484;obj_t BgL_arg2488z00_1485;
{ /* Object/creator.scm 454 */
obj_t BgL_arg2489z00_1486;obj_t BgL_arg2490z00_1487;
BgL_arg2489z00_1486 = 
CNST_TABLE_REF(((long)40)); 
{ /* Object/creator.scm 454 */
obj_t BgL_arg2491z00_1488;
{ /* Object/creator.scm 454 */
obj_t BgL_arg2492z00_1489;
{ /* Object/creator.scm 454 */
obj_t BgL_auxz00_3241;
BgL_auxz00_3241 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fzd2idszd2_1415, BNIL); 
BgL_arg2492z00_1489 = 
MAKE_PAIR(BgL_wideningz00_1419, BgL_auxz00_3241); } 
BgL_arg2491z00_1488 = 
MAKE_PAIR(BgL_arg2492z00_1489, BNIL); } 
BgL_arg2490z00_1487 = 
MAKE_PAIR(BgL_newz00_1421, BgL_arg2491z00_1488); } 
BgL_arg2487z00_1484 = 
MAKE_PAIR(BgL_arg2489z00_1486, BgL_arg2490z00_1487); } 
{ /* Object/creator.scm 456 */
obj_t BgL_arg2495z00_1492;obj_t BgL_arg2496z00_1493;
{ /* Object/creator.scm 456 */
obj_t BgL_arg2497z00_1494;obj_t BgL_arg2498z00_1495;
BgL_arg2497z00_1494 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg2498z00_1495 = 
MAKE_PAIR(BgL_newz00_1421, BNIL); 
BgL_arg2495z00_1492 = 
MAKE_PAIR(BgL_arg2497z00_1494, BgL_arg2498z00_1495); } 
{ /* Object/creator.scm 459 */
obj_t BgL_arg2499z00_1496;obj_t BgL_arg2500z00_1497;
{ /* Object/creator.scm 459 */
bool_t BgL_testz00_3250;
if(
PAIRP(BgL_constrsz00_1411))
{ /* Object/creator.scm 460 */
bool_t BgL_testz00_3253;
{ /* Object/creator.scm 460 */
obj_t BgL_auxz00_3254;
BgL_auxz00_3254 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_3253 = 
(BgL_wideningz00_1419==BgL_auxz00_3254); } 
if(BgL_testz00_3253)
{ /* Object/creator.scm 460 */
BgL_testz00_3250 = ((bool_t)0)
; }  else 
{ /* Object/creator.scm 460 */
BgL_testz00_3250 = ((bool_t)1)
; } }  else 
{ /* Object/creator.scm 459 */
BgL_testz00_3250 = ((bool_t)0)
; } 
if(BgL_testz00_3250)
{ /* Object/creator.scm 459 */
if(
NULLP(BgL_constrsz00_1411))
{ /* Object/creator.scm 461 */
BgL_arg2499z00_1496 = BNIL; }  else 
{ /* Object/creator.scm 461 */
obj_t BgL_head1869z00_1501;
BgL_head1869z00_1501 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1867z00_1502;obj_t BgL_tail1870z00_1503;
BgL_l1867z00_1502 = BgL_constrsz00_1411; 
BgL_tail1870z00_1503 = BgL_head1869z00_1501; 
BgL_lname1868z00_1504:
if(
NULLP(BgL_l1867z00_1502))
{ /* Object/creator.scm 461 */
BgL_arg2499z00_1496 = 
CDR(BgL_head1869z00_1501); }  else 
{ /* Object/creator.scm 462 */
obj_t BgL_newtail1871z00_1506;
{ /* Object/creator.scm 462 */
obj_t BgL_arg2505z00_1508;
{ /* Object/creator.scm 462 */
obj_t BgL_constrz00_1510;
BgL_constrz00_1510 = 
CAR(BgL_l1867z00_1502); 
{ /* Object/creator.scm 462 */
obj_t BgL_arg2507z00_1511;
BgL_arg2507z00_1511 = 
MAKE_PAIR(BgL_newz00_1421, BNIL); 
BgL_arg2505z00_1508 = 
MAKE_PAIR(BgL_constrz00_1510, BgL_arg2507z00_1511); } } 
BgL_newtail1871z00_1506 = 
MAKE_PAIR(BgL_arg2505z00_1508, BNIL); } 
SET_CDR(BgL_tail1870z00_1503, BgL_newtail1871z00_1506); 
{ 
obj_t BgL_tail1870z00_3270;obj_t BgL_l1867z00_3268;
BgL_l1867z00_3268 = 
CDR(BgL_l1867z00_1502); 
BgL_tail1870z00_3270 = BgL_newtail1871z00_1506; 
BgL_tail1870z00_1503 = BgL_tail1870z00_3270; 
BgL_l1867z00_1502 = BgL_l1867z00_3268; 
goto BgL_lname1868z00_1504;} } } } }  else 
{ /* Object/creator.scm 459 */
BgL_arg2499z00_1496 = BNIL; } } 
BgL_arg2500z00_1497 = 
MAKE_PAIR(BgL_newz00_1421, BNIL); 
BgL_arg2496z00_1493 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2499z00_1496, BgL_arg2500z00_1497); } 
BgL_arg2488z00_1485 = 
MAKE_PAIR(BgL_arg2495z00_1492, BgL_arg2496z00_1493); } 
BgL_arg2471z00_1468 = 
MAKE_PAIR(BgL_arg2487z00_1484, BgL_arg2488z00_1485); } 
BgL_arg2462z00_1459 = 
MAKE_PAIR(BgL_arg2470z00_1467, BgL_arg2471z00_1468); } 
BgL_arg2460z00_1457 = 
MAKE_PAIR(BgL_arg2461z00_1458, BgL_arg2462z00_1459); } 
BgL_arg2457z00_1454 = 
MAKE_PAIR(BgL_arg2459z00_1456, BgL_arg2460z00_1457); } 
BgL_arg2449z00_1446 = 
MAKE_PAIR(BgL_arg2457z00_1454, BNIL); } 
BgL_arg2447z00_1444 = 
MAKE_PAIR(BgL_arg2448z00_1445, BgL_arg2449z00_1446); } 
BgL_arg2444z00_1441 = 
MAKE_PAIR(BgL_arg2446z00_1443, BgL_arg2447z00_1444); } 
BgL_arg2440z00_1438 = 
MAKE_PAIR(BgL_arg2444z00_1441, BNIL); } 
BgL_arg2437z00_1435 = 
MAKE_PAIR(BgL_arg2439z00_1437, BgL_arg2440z00_1438); } 
BgL_arg2434z00_1432 = 
MAKE_PAIR(BgL_arg2436z00_1434, BgL_arg2437z00_1435); } 
{ /* Object/creator.scm 438 */
obj_t BgL_list2435z00_1433;
BgL_list2435z00_1433 = 
MAKE_PAIR(BgL_srczd2defzd2_45, BNIL); 
return 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2434z00_1432, BgL_list2435z00_1433);} } } } } } } } } } } } } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_creatorz00()
{ AN_OBJECT;
{ /* Object/creator.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_creatorz00()
{ AN_OBJECT;
{ /* Object/creator.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "object_creator"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_creator"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "object_creator"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "object_creator"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_creator"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_creator"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)14899), "object_creator"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_creator"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_creator"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_creator"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)10040), "object_creator"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_creator"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41722), "object_creator"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "object_creator"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)59737), "object_creator"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "object_creator"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)21670), "object_creator"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "object_creator");} 
}

