/*===========================================================================*/
/*   (Object/slots.scm)                                                      */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;


static obj_t BGl_methodzd2initzd2zzobject_slotsz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__slotzd2typezd2zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__slotzd2setterzd2setz12z12zzobject_slotsz00(obj_t, obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
static obj_t BGl__makezd2javazd2classzd2slotszd2zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static obj_t BGl__makezd2slotzd2zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2slotzd2zzobject_slotsz00(obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2slot1937z51zzobject_slotsz00(obj_t, obj_t, obj_t);
static obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl__getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00;
static obj_t BGl__slotzd2setterzd2zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt, obj_t);
static obj_t BGl__slotzd2namezd2zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl__slotzd2getterzd2zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl__slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_slotsz00();
extern BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2userzd2infoz00zzobject_slotsz00(obj_t, obj_t);
extern bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00();
extern obj_t BGl_slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00();
extern obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_jclassz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
static obj_t BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2getterzd2setz12z12zzobject_slotsz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t, obj_t, int, obj_t);
static obj_t BGl__slotzd2virtualzf3z21zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl__fillzd2slotz12zc0zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2virtualzd2numz00zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl__slotzd2readzd2onlyzf3zf3zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzobject_slotsz00();
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
obj_t BGl_slotz00zzobject_slotsz00 = BUNSPEC;
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
static obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2defaultzd2valuez00zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl__makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t);
extern obj_t bgl_reverse(obj_t);
extern obj_t BGl_za2longza2z00zztype_cachez00;
extern obj_t BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00;
extern obj_t BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t);
static obj_t BGl_objectzd2ze3structzd2slot1935ze3zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl_findzd2virtualzd2attrz00zzobject_slotsz00(obj_t);
extern obj_t BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
static obj_t BGl__slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt);
extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__slotzf3zf3zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl_findzd2defaultzd2attrz00zzobject_slotsz00(obj_t);
static obj_t BGl__slotzd2indexedzd2zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl__slotzd2defaultzf3z21zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__slotzd2srczd2zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_za2res1za2z00zz__r5_control_features_6_4z00;
extern BgL_slotz00_bglt BGl_fillzd2slotz12zc0zzobject_slotsz00(BgL_slotz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl__makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00 = BUNSPEC;
static obj_t BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl_objectzd2initzd2zzobject_slotsz00();
extern obj_t BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00;
static obj_t BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_slotsz00 = BUNSPEC;
extern obj_t BGl_tvecz00zztvector_tvectorz00;
extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
static obj_t BGl_slotzd2indexedzd2zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl__slotzd2classzd2ownerz00zzobject_slotsz00(obj_t, obj_t);
static obj_t BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_za2warningza2z00zz__errorz00;
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00();
extern BgL_slotz00_bglt BGl_allocatezd2slotzd2zzobject_slotsz00();
static obj_t BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt);
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, bool_t, obj_t, obj_t);
static obj_t BGl__makezd2classzd2slotsz00zzobject_slotsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__slotzd2idzd2zzobject_slotsz00(obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t BGl_findzd2infozd2attrz00zzobject_slotsz00(obj_t);
static obj_t __cnst[ 27 ] ;

DEFINE_STATIC_PROCEDURE( BGl_slotzd2setterzd2setz12zd2envzc0zzobject_slotsz00, BgL_bgl__slotza7d2setterza7d2setza712za712za7za7object_slotsza7002411za7, BGl__slotzd2setterzd2setz12z12zzobject_slotsz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2slotzd2envz00zzobject_slotsz00, BgL_bgl__allocateza7d2slotza7d2za7za7object_slotsza7002412za7, BGl__allocatezd2slotzd2zzobject_slotsz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2readzd2onlyzf3zd2envz21zzobject_slotsz00, BgL_bgl__slotza7d2readza7d2onlyza7f3za7f3za7za7object_slotsza7002413za7, BGl__slotzd2readzd2onlyzf3zf3zzobject_slotsz00, 0L, 1 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_makezd2javazd2classzd2slotszd2envz00zzobject_slotsz00, BgL_bgl__makeza7d2javaza7d2classza7d2slotsza7d2za7za7object_slotsza7002414za7, BGl__makezd2javazd2classzd2slotszd2zzobject_slotsz00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2idzd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2idza7d2za7za7object_slotsza7002415za7, BGl__slotzd2idzd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2virtualzd2numzd2setz12zd2envz12zzobject_slotsz00, BgL_bgl__slotza7d2virtualza7d2numza7d2setza712za7c0za7za7object_slotsza7002416z00, BGl__slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2classzd2ownerzd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2classza7d2ownerza700za7za7object_slotsza7002417z00, BGl__slotzd2classzd2ownerz00zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2classzd2slotszd2envzd2zzobject_slotsz00, BgL_bgl__makeza7d2classza7d2slotsza700za7za7object_slotsza7002418z00, BGl__makezd2classzd2slotsz00zzobject_slotsz00, 0L, 5 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2getterzd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2getterza7d2za7za7object_slotsza7002419za7, BGl__slotzd2getterzd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2typezd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2typeza7d2za7za7object_slotsza7002420za7, BGl__slotzd2typezd2zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_slotzd2defaultzf3zd2envzf3zzobject_slotsz00, BgL_bgl__slotza7d2defaultza7f3za721za7za7object_slotsza7002421z00, BGl__slotzd2defaultzf3z21zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2userzd2infozd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2userza7d2infoza700za7za7object_slotsza7002422z00, BGl__slotzd2userzd2infoz00zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2getterzd2setz12zd2envzc0zzobject_slotsz00, BgL_bgl__slotza7d2getterza7d2setza712za712za7za7object_slotsza7002423za7, BGl__slotzd2getterzd2setz12z12zzobject_slotsz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2slotz12zd2envz12zzobject_slotsz00, BgL_bgl__fillza7d2slotza712za7c0za7za7object_slotsza7002424z00, BGl__fillzd2slotz12zc0zzobject_slotsz00, 0L, 13 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2classzd2makezd2typedzd2formalszd2envzd2zzobject_slotsz00, BgL_bgl__makeza7d2classza7d2makeza7d2typedza7d2formalsza700za7za7object_slotsza7002425z00, BGl__makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_slotzd2nozd2defaultzd2valuezd2markzd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2noza7d2defaultza7d2valueza7d2markza700za7za7object_slotsza7002426z00, BGl__slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2classzd2makezd2formalszd2envz00zzobject_slotsz00, BgL_bgl__makeza7d2classza7d2makeza7d2formalsza7d2za7za7object_slotsza7002427za7, BGl__makezd2classzd2makezd2formalszd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2setterzd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2setterza7d2za7za7object_slotsza7002428za7, BGl__slotzd2setterzd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2namezd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2nameza7d2za7za7object_slotsza7002429za7, BGl__slotzd2namezd2zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_slotzd2virtualzf3zd2envzf3zzobject_slotsz00, BgL_bgl__slotza7d2virtualza7f3za721za7za7object_slotsza7002430z00, BGl__slotzd2virtualzf3z21zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_slotzf3zd2envz21zzobject_slotsz00, BgL_bgl__slotza7f3za7f3za7za7object_slotsza7002431za7, BGl__slotzf3zf3zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2defaultzd2valuezd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2defaultza7d2valueza700za7za7object_slotsza7002432z00, BGl__slotzd2defaultzd2valuez00zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2localzd2virtualzd2slotszd2numberzd2envzd2zzobject_slotsz00, BgL_bgl__getza7d2localza7d2virtualza7d2slotsza7d2numberza700za7za7object_slotsza7002433z00, BGl__getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2virtualzd2numzd2envzd2zzobject_slotsz00, BgL_bgl__slotza7d2virtualza7d2numza700za7za7object_slotsza7002434z00, BGl__slotzd2virtualzd2numz00zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2indexedzd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2indexedza7d2za7za7object_slotsza7002435za7, BGl__slotzd2indexedzd2zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_slotzd2srczd2envz00zzobject_slotsz00, BgL_bgl__slotza7d2srcza7d2za7za7object_slotsza7002436za7, BGl__slotzd2srczd2zzobject_slotsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2slotzd2envz00zzobject_slotsz00, BgL_bgl__makeza7d2slotza7d2za7za7object_slotsza7002437za7, BGl__makezd2slotzd2zzobject_slotsz00, 0L, 12 );
DEFINE_STATIC_PROCEDURE( BGl_proc2404z00zzobject_slotsz00, BgL_bgl_objectza7d2za7e3structza7d2slot1935za7e3za7za7object_slotsza7002438za7, BGl_objectzd2ze3structzd2slot1935ze3zzobject_slotsz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2405z00zzobject_slotsz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2slot1937za751za7za7object_slotsza7002439z00, BGl_structzb2objectzd2ze3objectzd2slot1937z51zzobject_slotsz00, 0L, 2 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_STRING( BGl_string2399z00zzobject_slotsz00, BgL_bgl_string2399za700za7za7object_slotsza7002440z00, "virtual slot can't be indexed", 29 );
DEFINE_STRING( BGl_string2398z00zzobject_slotsz00, BgL_bgl_string2398za700za7za7object_slotsza7002441z00, "Parse error", 11 );
DEFINE_STRING( BGl_string2397z00zzobject_slotsz00, BgL_bgl_string2397za700za7za7object_slotsza7002442z00, "Overriden virtual slot", 22 );
DEFINE_STRING( BGl_string2406z00zzobject_slotsz00, BgL_bgl_string2406za700za7za7object_slotsza7002443z00, "user-info indexed setter getter virtual-num default-value read-only? type class-owner src name slot static final - foreign set get info default id * -len read-only bigloo obj slot-no-default-value__17_5_1996 ", 208 );
DEFINE_STRING( BGl_string2396z00zzobject_slotsz00, BgL_bgl_string2396za700za7za7object_slotsza7002444z00, "Illegal duplicated virtual slot", 31 );
DEFINE_STRING( BGl_string2395z00zzobject_slotsz00, BgL_bgl_string2395za700za7za7object_slotsza7002445z00, "Class declarator", 16 );
DEFINE_STRING( BGl_string2394z00zzobject_slotsz00, BgL_bgl_string2394za700za7za7object_slotsza7002446z00, "Can't find type definition", 26 );
DEFINE_STRING( BGl_string2403z00zzobject_slotsz00, BgL_bgl_string2403za700za7za7object_slotsza7002447z00, "Unknown class slot type", 23 );
DEFINE_STRING( BGl_string2402z00zzobject_slotsz00, BgL_bgl_string2402za700za7za7object_slotsza7002448z00, "Illegal virtual slot (missing setter)", 37 );
DEFINE_STRING( BGl_string2401z00zzobject_slotsz00, BgL_bgl_string2401za700za7za7object_slotsza7002449z00, "Illegal virtual slot (read-only)", 32 );
DEFINE_STRING( BGl_string2400z00zzobject_slotsz00, BgL_bgl_string2400za700za7za7object_slotsza7002450z00, "Illegal virtual slot (missing getter)", 37 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long BgL_checksumz00_2424, char * BgL_fromz00_2425)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_slotsz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_slotsz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_slotsz00(); 
BGl_cnstzd2initzd2zzobject_slotsz00(); 
BGl_importedzd2moduleszd2initz00zzobject_slotsz00(); 
BGl_objectzd2initzd2zzobject_slotsz00(); 
BGl_methodzd2initzd2zzobject_slotsz00(); 
BGl_toplevelzd2initzd2zzobject_slotsz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "object_slots"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "object_slots"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
{ /* Object/slots.scm 15 */
obj_t BgL_cportz00_2417;
BgL_cportz00_2417 = 
open_input_string(BGl_string2406z00zzobject_slotsz00); 
{ 
long BgL_iz00_2418;
BgL_iz00_2418 = ((long)26); 
BgL_loopz00_2419:
if(
(BgL_iz00_2418==((long)-1)))
{ /* Object/slots.scm 15 */
return BUNSPEC;}  else 
{ /* Object/slots.scm 15 */
{ /* Object/slots.scm 15 */
obj_t BgL_arg2408z00_2421;
{ /* Object/slots.scm 15 */
obj_t BgL_list2409z00_2422;
BgL_list2409z00_2422 = 
MAKE_PAIR(BgL_cportz00_2417, BNIL); 
BgL_arg2408z00_2421 = 
BGl_readz00zz__readerz00(BgL_list2409z00_2422); } 
{ /* Object/slots.scm 15 */
int BgL_auxz00_2449;
BgL_auxz00_2449 = 
(int)(BgL_iz00_2418); 
CNST_TABLE_SET(BgL_auxz00_2449, BgL_arg2408z00_2421); } } 
{ 
long BgL_iz00_2452;
{ /* Object/slots.scm 15 */
int BgL_auxz00_2453;
{ /* Object/slots.scm 15 */
long BgL_auxz00_2454;
BgL_auxz00_2454 = 
(BgL_iz00_2418-((long)1)); 
BgL_auxz00_2453 = 
(int)(BgL_auxz00_2454); } 
BgL_iz00_2452 = 
(long)(BgL_auxz00_2453); } 
BgL_iz00_2418 = BgL_iz00_2452; 
goto BgL_loopz00_2419;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
return ( 
BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 
}



/* slot-no-default-value-mark */
obj_t BGl_slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 73 */
return BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00;} 
}



/* _slot-no-default-value-mark */
obj_t BGl__slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00(obj_t BgL_envz00_2318)
{ AN_OBJECT;
{ /* Object/slots.scm 73 */
return 
BGl_slotzd2nozd2defaultzd2valuezd2markz00zzobject_slotsz00();} 
}



/* slot-default? */
bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_1)
{ AN_OBJECT;
{ /* Object/slots.scm 79 */
{ /* Object/slots.scm 80 */
bool_t BgL_testz00_2460;
{ /* Object/slots.scm 80 */
obj_t BgL_auxz00_2461;
BgL_auxz00_2461 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1))->BgL_defaultzd2valuezd2); 
BgL_testz00_2460 = 
(BgL_auxz00_2461==BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00); } 
if(BgL_testz00_2460)
{ /* Object/slots.scm 80 */
return ((bool_t)0);}  else 
{ /* Object/slots.scm 80 */
return ((bool_t)1);} } } 
}



/* _slot-default? */
obj_t BGl__slotzd2defaultzf3z21zzobject_slotsz00(obj_t BgL_envz00_2319, obj_t BgL_slotz00_2320)
{ AN_OBJECT;
{ /* Object/slots.scm 79 */
{ /* Object/slots.scm 79 */
bool_t BgL_auxz00_2464;
BgL_auxz00_2464 = 
BGl_slotzd2defaultzf3z21zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_slotz00_2320)); 
return 
BBOOL(BgL_auxz00_2464);} } 
}



/* slot-virtual? */
bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_2)
{ AN_OBJECT;
{ /* Object/slots.scm 85 */
{ /* Object/slots.scm 86 */
long BgL_auxz00_2468;
{ /* Object/slots.scm 86 */
obj_t BgL_auxz00_2469;
BgL_auxz00_2469 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_2))->BgL_virtualzd2numzd2); 
BgL_auxz00_2468 = 
(long)CINT(BgL_auxz00_2469); } 
return 
(BgL_auxz00_2468>=((long)0));} } 
}



/* _slot-virtual? */
obj_t BGl__slotzd2virtualzf3z21zzobject_slotsz00(obj_t BgL_envz00_2321, obj_t BgL_slotz00_2322)
{ AN_OBJECT;
{ /* Object/slots.scm 85 */
{ /* Object/slots.scm 85 */
bool_t BgL_auxz00_2473;
BgL_auxz00_2473 = 
BGl_slotzd2virtualzf3z21zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_slotz00_2322)); 
return 
BBOOL(BgL_auxz00_2473);} } 
}



/* ensure-type-defined! */
obj_t BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt BgL_typez00_3, obj_t BgL_srcz00_4)
{ AN_OBJECT;
{ /* Object/slots.scm 91 */
if(
(((BgL_typez00_bglt)CREF(BgL_typez00_3))->BgL_initzf3zf3))
{ /* Object/slots.scm 92 */
return BFALSE;}  else 
{ /* Object/slots.scm 92 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2394z00zzobject_slotsz00, 
(((BgL_typez00_bglt)CREF(BgL_typez00_3))->BgL_idz00), BgL_srcz00_4, BNIL);} } 
}



/* make-class-slots */
obj_t BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_tclassz00_bglt BgL_classz00_5, obj_t BgL_slotsz00_6, obj_t BgL_superz00_7, int BgL_vnumz00_8, obj_t BgL_srcz00_9)
{ AN_OBJECT;
{ /* Object/slots.scm 98 */
{ 
obj_t BgL_slotzd2idzd2_868;obj_t BgL_sz00_878;obj_t BgL_slotzd2idzd2_879;obj_t BgL_attrz00_880;obj_t BgL_vgetz00_881;obj_t BgL_vsetz00_882;obj_t BgL_vnumz00_883;obj_t BgL_sz00_919;obj_t BgL_slotzd2idzd2_920;obj_t BgL_attrz00_921;obj_t BgL_slotsz00_970;obj_t BgL_slotz00_1005;obj_t BgL_slotzd2listzd2_1006;
{ 
obj_t BgL_slotsz00_733;obj_t BgL_resz00_734;obj_t BgL_vnumz00_735;
{ /* Object/slots.scm 267 */
obj_t BgL_arg1947z00_737;
{ /* Object/slots.scm 267 */
bool_t BgL_test1948z00_738;
BgL_test1948z00_738 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_7, BGl_typez00zztype_typez00); 
if(BgL_test1948z00_738)
{ /* Object/slots.scm 269 */
bool_t BgL_test1949z00_739;
BgL_test1949z00_739 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_7, BGl_tclassz00zzobject_classz00); 
if(BgL_test1949z00_739)
{ /* Object/slots.scm 269 */
{ /* Object/slots.scm 276 */
obj_t BgL_auxz00_2485;
{ /* Object/slots.scm 276 */
BgL_tclassz00_bglt BgL_obj1218z00_1463;
BgL_obj1218z00_1463 = 
(BgL_tclassz00_bglt)(BgL_superz00_7); 
{ 
obj_t BgL_auxz00_2487;
{ /* Object/slots.scm 276 */
BgL_objectz00_bglt BgL_auxz00_2488;
BgL_auxz00_2488 = 
(BgL_objectz00_bglt)(BgL_obj1218z00_1463); 
BgL_auxz00_2487 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2488); } 
BgL_auxz00_2485 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2487))->BgL_slotsz00); } } 
BgL_arg1947z00_737 = 
bgl_reverse(BgL_auxz00_2485); } }  else 
{ /* Object/slots.scm 269 */
BgL_arg1947z00_737 = BNIL; } }  else 
{ /* Object/slots.scm 267 */
BgL_arg1947z00_737 = BNIL; } } 
BgL_slotsz00_733 = BgL_slotsz00_6; 
BgL_resz00_734 = BgL_arg1947z00_737; 
BgL_vnumz00_735 = 
BINT(BgL_vnumz00_8); 
BgL_loopz00_736:
if(
NULLP(BgL_slotsz00_733))
{ /* Object/slots.scm 278 */
BgL_slotsz00_970 = BgL_resz00_734; 
{ 
obj_t BgL_slotsz00_972;obj_t BgL_resz00_973;
BgL_slotsz00_972 = BgL_slotsz00_970; 
BgL_resz00_973 = BNIL; 
BgL_loopz00_974:
if(
NULLP(BgL_slotsz00_972))
{ /* Object/slots.scm 150 */
return BgL_resz00_973;}  else 
{ /* Object/slots.scm 152 */
bool_t BgL_testz00_2497;
{ /* Object/slots.scm 152 */
obj_t BgL_auxz00_2498;
BgL_auxz00_2498 = 
CAR(BgL_slotsz00_972); 
BgL_testz00_2497 = 
NULLP(BgL_auxz00_2498); } 
if(BgL_testz00_2497)
{ /* Object/slots.scm 152 */
{ 
obj_t BgL_resz00_2503;obj_t BgL_slotsz00_2501;
BgL_slotsz00_2501 = 
CDR(BgL_slotsz00_972); 
BgL_resz00_2503 = BNIL; 
BgL_resz00_973 = BgL_resz00_2503; 
BgL_slotsz00_972 = BgL_slotsz00_2501; 
goto BgL_loopz00_974;} }  else 
{ /* Object/slots.scm 156 */
bool_t BgL_testz00_2504;
{ /* Object/slots.scm 156 */
BgL_slotz00_bglt BgL_slotz00_1749;
{ /* Object/slots.scm 156 */
obj_t BgL_auxz00_2505;
BgL_auxz00_2505 = 
CAR(BgL_slotsz00_972); 
BgL_slotz00_1749 = 
(BgL_slotz00_bglt)(BgL_auxz00_2505); } 
{ /* Object/slots.scm 156 */
long BgL_auxz00_2508;
{ /* Object/slots.scm 156 */
obj_t BgL_auxz00_2509;
BgL_auxz00_2509 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1749))->BgL_virtualzd2numzd2); 
BgL_auxz00_2508 = 
(long)CINT(BgL_auxz00_2509); } 
BgL_testz00_2504 = 
(BgL_auxz00_2508>=((long)0)); } } 
if(BgL_testz00_2504)
{ /* Object/slots.scm 156 */
{ /* Object/slots.scm 157 */
obj_t BgL_otherz00_980;
BgL_slotz00_1005 = 
CAR(BgL_slotsz00_972); 
BgL_slotzd2listzd2_1006 = BgL_resz00_973; 
{ /* Object/slots.scm 136 */
obj_t BgL_idz00_1008;
{ /* Object/slots.scm 136 */
BgL_slotz00_bglt BgL_obj1813z00_1777;
BgL_obj1813z00_1777 = 
(BgL_slotz00_bglt)(BgL_slotz00_1005); 
BgL_idz00_1008 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1813z00_1777))->BgL_idz00); } 
{ 
obj_t BgL_slotzd2listzd2_1009;
BgL_slotzd2listzd2_1009 = BgL_slotzd2listzd2_1006; 
BgL_loopz00_1010:
if(
NULLP(BgL_slotzd2listzd2_1009))
{ /* Object/slots.scm 139 */
BgL_otherz00_980 = BFALSE; }  else 
{ /* Object/slots.scm 141 */
bool_t BgL_testz00_2517;
{ /* Object/slots.scm 141 */
obj_t BgL_auxz00_2518;
{ /* Object/slots.scm 141 */
BgL_slotz00_bglt BgL_obj1813z00_1780;
{ /* Object/slots.scm 141 */
obj_t BgL_auxz00_2519;
BgL_auxz00_2519 = 
CAR(BgL_slotzd2listzd2_1009); 
BgL_obj1813z00_1780 = 
(BgL_slotz00_bglt)(BgL_auxz00_2519); } 
BgL_auxz00_2518 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1813z00_1780))->BgL_idz00); } 
BgL_testz00_2517 = 
(BgL_auxz00_2518==BgL_idz00_1008); } 
if(BgL_testz00_2517)
{ /* Object/slots.scm 141 */
BgL_otherz00_980 = 
CAR(BgL_slotzd2listzd2_1009); }  else 
{ /* Object/slots.scm 141 */
{ 
obj_t BgL_slotzd2listzd2_2525;
BgL_slotzd2listzd2_2525 = 
CDR(BgL_slotzd2listzd2_1009); 
BgL_slotzd2listzd2_1009 = BgL_slotzd2listzd2_2525; 
goto BgL_loopz00_1010;} } } } } 
{ /* Object/slots.scm 158 */
bool_t BgL_test2134z00_981;
BgL_test2134z00_981 = 
BGl_iszd2azf3z21zz__objectz00(BgL_otherz00_980, BGl_slotz00zzobject_slotsz00); 
if(BgL_test2134z00_981)
{ /* Object/slots.scm 159 */
obj_t BgL_locz00_982;obj_t BgL_idz00_983;
BgL_locz00_982 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_9); 
{ /* Object/slots.scm 160 */
BgL_slotz00_bglt BgL_obj1813z00_1759;
{ /* Object/slots.scm 160 */
obj_t BgL_auxz00_2531;
BgL_auxz00_2531 = 
CAR(BgL_slotsz00_972); 
BgL_obj1813z00_1759 = 
(BgL_slotz00_bglt)(BgL_auxz00_2531); } 
BgL_idz00_983 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1813z00_1759))->BgL_idz00); } 
{ /* Object/slots.scm 161 */
bool_t BgL_testz00_2535;
{ /* Object/slots.scm 161 */
obj_t BgL_auxz00_2541;obj_t BgL_auxz00_2536;
{ /* Object/slots.scm 162 */
BgL_slotz00_bglt BgL_obj1816z00_1762;
BgL_obj1816z00_1762 = 
(BgL_slotz00_bglt)(BgL_otherz00_980); 
BgL_auxz00_2541 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1816z00_1762))->BgL_classzd2ownerzd2); } 
{ /* Object/slots.scm 161 */
BgL_slotz00_bglt BgL_obj1816z00_1761;
{ /* Object/slots.scm 161 */
obj_t BgL_auxz00_2537;
BgL_auxz00_2537 = 
CAR(BgL_slotsz00_972); 
BgL_obj1816z00_1761 = 
(BgL_slotz00_bglt)(BgL_auxz00_2537); } 
BgL_auxz00_2536 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1816z00_1761))->BgL_classzd2ownerzd2); } 
BgL_testz00_2535 = 
(BgL_auxz00_2536==BgL_auxz00_2541); } 
if(BgL_testz00_2535)
{ /* Object/slots.scm 161 */
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_982, BGl_string2395z00zzobject_slotsz00, BGl_string2396z00zzobject_slotsz00, BgL_idz00_983, BNIL);}  else 
{ /* Object/slots.scm 168 */
obj_t BgL_newzd2numzd2_986;
{ /* Object/slots.scm 168 */
BgL_slotz00_bglt BgL_obj1820z00_1764;
{ /* Object/slots.scm 168 */
obj_t BgL_auxz00_2546;
BgL_auxz00_2546 = 
CAR(BgL_slotsz00_972); 
BgL_obj1820z00_1764 = 
(BgL_slotz00_bglt)(BgL_auxz00_2546); } 
BgL_newzd2numzd2_986 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1820z00_1764))->BgL_virtualzd2numzd2); } 
{ /* Object/slots.scm 171 */
BgL_slotz00_bglt BgL_obj1822z00_1765;
BgL_obj1822z00_1765 = 
(BgL_slotz00_bglt)(BgL_otherz00_980); 
((((BgL_slotz00_bglt)CREF(BgL_obj1822z00_1765))->BgL_virtualzd2numzd2) = ((obj_t)BgL_newzd2numzd2_986), BUNSPEC); } 
{ /* Object/slots.scm 173 */
bool_t BgL_test2137z00_987;
{ /* Object/slots.scm 173 */
bool_t BgL_test2138z00_988;
{ /* Object/slots.scm 173 */
bool_t BgL_res2376z00_1771;
{ /* Object/slots.scm 173 */
obj_t BgL_objz00_1767;
BgL_objz00_1767 = BGl_za2warningza2z00zz__errorz00; 
if(
INTEGERP(BgL_objz00_1767))
{ /* Object/slots.scm 173 */
BgL_res2376z00_1771 = ((bool_t)1); }  else 
{ /* Object/slots.scm 173 */
BgL_res2376z00_1771 = 
REALP(BgL_objz00_1767); } } 
BgL_test2138z00_988 = BgL_res2376z00_1771; } 
if(BgL_test2138z00_988)
{ /* Object/slots.scm 174 */
bool_t BgL_test2139z00_989;
BgL_test2139z00_989 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BGl_za2warningza2z00zz__errorz00, 
BINT(((long)2))); 
if(BgL_test2139z00_989)
{ /* Object/slots.scm 174 */
BgL_test2137z00_987 = 
CBOOL(BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00); }  else 
{ /* Object/slots.scm 174 */
BgL_test2137z00_987 = ((bool_t)0); } }  else 
{ /* Object/slots.scm 173 */
BgL_test2137z00_987 = ((bool_t)0); } } 
if(BgL_test2137z00_987)
{ /* Object/slots.scm 173 */
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_982, BGl_string2395z00zzobject_slotsz00, BGl_string2397z00zzobject_slotsz00, BgL_idz00_983); }  else 
{ /* Object/slots.scm 173 */BFALSE; } } 
{ 
obj_t BgL_slotsz00_2562;
BgL_slotsz00_2562 = 
CDR(BgL_slotsz00_972); 
BgL_slotsz00_972 = BgL_slotsz00_2562; 
goto BgL_loopz00_974;} } } }  else 
{ /* Object/slots.scm 182 */
obj_t BgL_arg2146z00_996;obj_t BgL_arg2147z00_997;
BgL_arg2146z00_996 = 
CDR(BgL_slotsz00_972); 
{ /* Object/slots.scm 182 */
obj_t BgL_auxz00_2565;
BgL_auxz00_2565 = 
CAR(BgL_slotsz00_972); 
BgL_arg2147z00_997 = 
MAKE_PAIR(BgL_auxz00_2565, BgL_resz00_973); } 
{ 
obj_t BgL_resz00_2569;obj_t BgL_slotsz00_2568;
BgL_slotsz00_2568 = BgL_arg2146z00_996; 
BgL_resz00_2569 = BgL_arg2147z00_997; 
BgL_resz00_973 = BgL_resz00_2569; 
BgL_slotsz00_972 = BgL_slotsz00_2568; 
goto BgL_loopz00_974;} } } } }  else 
{ /* Object/slots.scm 156 */
{ /* Object/slots.scm 184 */
obj_t BgL_arg2150z00_1000;obj_t BgL_arg2151z00_1001;
BgL_arg2150z00_1000 = 
CDR(BgL_slotsz00_972); 
{ /* Object/slots.scm 184 */
obj_t BgL_auxz00_2571;
BgL_auxz00_2571 = 
CAR(BgL_slotsz00_972); 
BgL_arg2151z00_1001 = 
MAKE_PAIR(BgL_auxz00_2571, BgL_resz00_973); } 
{ 
obj_t BgL_resz00_2575;obj_t BgL_slotsz00_2574;
BgL_slotsz00_2574 = BgL_arg2150z00_1000; 
BgL_resz00_2575 = BgL_arg2151z00_1001; 
BgL_resz00_973 = BgL_resz00_2575; 
BgL_slotsz00_972 = BgL_slotsz00_2574; 
goto BgL_loopz00_974;} } } } } } }  else 
{ /* Object/slots.scm 284 */
obj_t BgL_sz00_742;
BgL_sz00_742 = 
CAR(BgL_slotsz00_733); 
{ 
obj_t BgL_idz00_743;obj_t BgL_attrz00_744;obj_t BgL_idz00_746;obj_t BgL_attrz00_747;obj_t BgL_idz00_749;
if(
PAIRP(BgL_sz00_742))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2175zd2_754;
BgL_cdrzd2175zd2_754 = 
CDR(BgL_sz00_742); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2580;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2583;obj_t BgL_auxz00_2581;
BgL_auxz00_2583 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_2581 = 
CAR(BgL_sz00_742); 
BgL_testz00_2580 = 
(BgL_auxz00_2581==BgL_auxz00_2583); } 
if(BgL_testz00_2580)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2175zd2_754))
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2178zd2_757;
BgL_carzd2178zd2_757 = 
CAR(BgL_cdrzd2175zd2_754); 
if(
PAIRP(BgL_carzd2178zd2_757))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2182zd2_759;
BgL_cdrzd2182zd2_759 = 
CDR(BgL_carzd2178zd2_757); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2592;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2595;obj_t BgL_auxz00_2593;
BgL_auxz00_2595 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2593 = 
CAR(BgL_carzd2178zd2_757); 
BgL_testz00_2592 = 
(BgL_auxz00_2593==BgL_auxz00_2595); } 
if(BgL_testz00_2592)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2182zd2_759))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2182zd2_759), BNIL))
{ /* Object/slots.scm 285 */
BgL_idz00_743 = 
CAR(BgL_cdrzd2182zd2_759); 
BgL_attrz00_744 = 
CDR(BgL_cdrzd2175zd2_754); 
{ /* Object/slots.scm 287 */
BgL_slotz00_bglt BgL_svalz00_852;
BgL_sz00_919 = BgL_sz00_742; 
BgL_slotzd2idzd2_920 = BgL_idz00_743; 
BgL_attrz00_921 = BgL_attrz00_744; 
{ /* Object/slots.scm 187 */
obj_t BgL_vgetz00_923;
BgL_vgetz00_923 = 
BGl_findzd2virtualzd2attrz00zzobject_slotsz00(BgL_attrz00_921); 
{ /* Object/slots.scm 189 */
obj_t BgL_vsetz00_924;
BgL_vsetz00_924 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Object/slots.scm 189 */
bool_t BgL_testz00_2604;
if(
CBOOL(BgL_vgetz00_923))
{ /* Object/slots.scm 189 */
BgL_testz00_2604 = ((bool_t)1)
; }  else 
{ /* Object/slots.scm 189 */
BgL_testz00_2604 = 
CBOOL(BgL_vsetz00_924)
; } 
if(BgL_testz00_2604)
{ /* Object/slots.scm 189 */
BGl_userzd2errorzf2locationz20zztools_errorz00(BGl_string2398z00zzobject_slotsz00, BGl_string2399z00zzobject_slotsz00, 
CAR(BgL_slotzd2idzd2_920), BNIL, BNIL); }  else 
{ /* Object/slots.scm 189 */BFALSE; } } } } 
{ /* Object/slots.scm 194 */
obj_t BgL_ftypez00_931;
BgL_ftypez00_931 = 
BGl_findzd2slotzd2typez00zzobject_slotsz00(BgL_slotzd2idzd2_920, BgL_srcz00_9); 
{ /* Object/slots.scm 194 */
obj_t BgL_iidz00_932;
BgL_iidz00_932 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
{ /* Object/slots.scm 195 */
BgL_typez00_bglt BgL_itypez00_933;
{ /* Object/slots.scm 197 */
obj_t BgL_arg2124z00_966;obj_t BgL_arg2125z00_967;obj_t BgL_arg2126z00_968;
BgL_arg2124z00_966 = 
SYMBOL_TO_STRING(BgL_iidz00_932); 
{ /* Object/slots.scm 198 */
obj_t BgL_list2127z00_969;
{ /* Object/slots.scm 198 */
obj_t BgL_auxz00_2614;
BgL_auxz00_2614 = 
CNST_TABLE_REF(((long)1)); 
BgL_list2127z00_969 = 
MAKE_PAIR(BgL_auxz00_2614, BNIL); } 
BgL_arg2125z00_967 = BgL_list2127z00_969; } 
BgL_arg2126z00_968 = 
CNST_TABLE_REF(((long)2)); 
BgL_itypez00_933 = 
BGl_declarezd2subtypez12zc0zztype_envz00(BgL_iidz00_932, BgL_arg2124z00_966, BgL_arg2125z00_967, BgL_arg2126z00_968); } 
{ /* Object/slots.scm 196 */
BgL_slotz00_bglt BgL_svalz00_934;
{ /* Object/slots.scm 201 */
obj_t BgL_arg2110z00_951;obj_t BgL_arg2111z00_952;obj_t BgL_arg2112z00_953;BgL_tclassz00_bglt BgL_arg2113z00_954;obj_t BgL_arg2114z00_955;obj_t BgL_arg2115z00_956;obj_t BgL_arg2116z00_957;BgL_tvecz00_bglt BgL_arg2118z00_959;obj_t BgL_arg2119z00_960;
BgL_arg2110z00_951 = 
CAR(BgL_slotzd2idzd2_920); 
BgL_arg2111z00_952 = 
BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(
CAR(BgL_slotzd2idzd2_920)); 
BgL_arg2112z00_953 = BgL_sz00_919; 
BgL_arg2113z00_954 = BgL_classz00_5; 
BgL_arg2114z00_955 = BgL_ftypez00_931; 
BgL_arg2115z00_956 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)3)), BgL_attrz00_921); 
BgL_arg2116z00_957 = 
BGl_findzd2defaultzd2attrz00zzobject_slotsz00(BgL_attrz00_921); 
{ /* Object/slots.scm 208 */
BgL_tvecz00_bglt BgL_obj1926z00_962;
BgL_obj1926z00_962 = 
((BgL_tvecz00_bglt)BgL_itypez00_933); 
{ /* Object/slots.scm 209 */
BgL_tvecz00_bglt BgL_arg2121z00_963;
{ /* Object/slots.scm 208 */
BgL_tvecz00_bglt BgL_res2368z00_1645;
{ /* Object/slots.scm 208 */
BgL_typez00_bglt BgL_itemzd2type1090zd2_1639;
{ /* Object/slots.scm 208 */
obj_t BgL_auxz00_2626;
BgL_auxz00_2626 = BgL_ftypez00_931; 
BgL_itemzd2type1090zd2_1639 = 
(BgL_typez00_bglt)(BgL_auxz00_2626); } 
{ /* Object/slots.scm 208 */
BgL_tvecz00_bglt BgL_new1091z00_1640;
BgL_new1091z00_1640 = 
((BgL_tvecz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_tvecz00_bgl)))); 
{ /* Object/slots.scm 208 */
BgL_tvecz00_bglt BgL_res2367z00_1644;
((((BgL_tvecz00_bglt)CREF(BgL_new1091z00_1640))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1090zd2_1639), BUNSPEC); 
BgL_res2367z00_1644 = BgL_new1091z00_1640; BgL_res2367z00_1644; } 
BgL_res2368z00_1645 = BgL_new1091z00_1640; } } 
BgL_arg2121z00_963 = BgL_res2368z00_1645; } 
{ /* Object/slots.scm 208 */
obj_t BgL_auxz00_2632;BgL_objectz00_bglt BgL_auxz00_2630;
BgL_auxz00_2632 = 
(obj_t)(BgL_arg2121z00_963); 
BgL_auxz00_2630 = 
(BgL_objectz00_bglt)(BgL_obj1926z00_962); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2630, BgL_auxz00_2632); } } 
{ /* Object/slots.scm 208 */
long BgL_arg2123z00_965;
BgL_arg2123z00_965 = 
BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00); 
{ /* Object/slots.scm 208 */
BgL_objectz00_bglt BgL_auxz00_2636;
BgL_auxz00_2636 = 
(BgL_objectz00_bglt)(BgL_obj1926z00_962); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2636, BgL_arg2123z00_965); } } 
{ /* Object/slots.scm 208 */
obj_t BgL_auxz00_2639;
BgL_auxz00_2639 = 
(obj_t)(BgL_obj1926z00_962); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2639); } BUNSPEC; 
BgL_arg2118z00_959 = BgL_obj1926z00_962; } 
BgL_arg2119z00_960 = 
BGl_findzd2infozd2attrz00zzobject_slotsz00(BgL_attrz00_921); 
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_res2371z00_1694;
{ /* Object/slots.scm 200 */
obj_t BgL_classzd2owner1860zd2_1652;bool_t BgL_readzd2onlyzf31862z21_1654;obj_t BgL_virtualzd2num1864zd2_1656;obj_t BgL_indexed1867z00_1659;
BgL_classzd2owner1860zd2_1652 = 
(obj_t)(BgL_arg2113z00_954); 
BgL_readzd2onlyzf31862z21_1654 = 
CBOOL(BgL_arg2115z00_956); 
BgL_virtualzd2num1864zd2_1656 = 
BINT(((long)-1)); 
BgL_indexed1867z00_1659 = 
(obj_t)(BgL_arg2118z00_959); 
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_new1869z00_1661;
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_res2369z00_1667;
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_new1871z00_1662;
BgL_new1871z00_1662 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 200 */
long BgL_arg2309z00_1663;
BgL_arg2309z00_1663 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 200 */
BgL_objectz00_bglt BgL_auxz00_2649;
BgL_auxz00_2649 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1662); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2649, BgL_arg2309z00_1663); } } 
{ /* Object/slots.scm 200 */
BgL_objectz00_bglt BgL_auxz00_2652;
BgL_auxz00_2652 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1662); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2652, BFALSE); } 
{ /* Object/slots.scm 200 */
obj_t BgL_auxz00_2655;
BgL_auxz00_2655 = 
(obj_t)(BgL_new1871z00_1662); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2655); } BUNSPEC; 
BgL_res2369z00_1667 = BgL_new1871z00_1662; } 
BgL_new1869z00_1661 = BgL_res2369z00_1667; } 
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_res2370z00_1693;
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_idz00) = ((obj_t)BgL_arg2110z00_951), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_namez00) = ((obj_t)BgL_arg2111z00_952), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_srcz00) = ((obj_t)BgL_arg2112z00_953), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1860zd2_1652), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_typez00) = ((obj_t)BgL_arg2114z00_955), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31862z21_1654), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_arg2116z00_957), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1864zd2_1656), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_getterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_setterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_indexedz00) = ((obj_t)BgL_indexed1867z00_1659), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1661))->BgL_userzd2infozd2) = ((obj_t)BgL_arg2119z00_960), BUNSPEC); 
BgL_res2370z00_1693 = BgL_new1869z00_1661; BgL_res2370z00_1693; } 
BgL_res2371z00_1694 = BgL_new1869z00_1661; } } 
BgL_svalz00_934 = BgL_res2371z00_1694; } } 
{ /* Object/slots.scm 200 */
BgL_slotz00_bglt BgL_slenz00_935;
{ /* Object/slots.scm 211 */
obj_t BgL_lenzd2idzd2_938;
{ /* Object/slots.scm 211 */
obj_t BgL_arg2106z00_947;
BgL_arg2106z00_947 = 
CAR(BgL_slotzd2idzd2_920); 
{ /* Object/slots.scm 211 */
obj_t BgL_list2108z00_949;
{ /* Object/slots.scm 211 */
obj_t BgL_arg2109z00_950;
{ /* Object/slots.scm 211 */
obj_t BgL_auxz00_2671;
BgL_auxz00_2671 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2109z00_950 = 
MAKE_PAIR(BgL_auxz00_2671, BNIL); } 
BgL_list2108z00_949 = 
MAKE_PAIR(BgL_arg2106z00_947, BgL_arg2109z00_950); } 
BgL_lenzd2idzd2_938 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2108z00_949); } } 
{ /* Object/slots.scm 213 */
obj_t BgL_arg2098z00_939;obj_t BgL_arg2099z00_940;obj_t BgL_arg2100z00_941;BgL_tclassz00_bglt BgL_arg2101z00_942;obj_t BgL_arg2102z00_943;bool_t BgL_arg2103z00_944;
BgL_arg2098z00_939 = BgL_lenzd2idzd2_938; 
BgL_arg2099z00_940 = 
BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(BgL_lenzd2idzd2_938); 
BgL_arg2100z00_941 = BgL_sz00_919; 
BgL_arg2101z00_942 = BgL_classz00_5; 
BgL_arg2102z00_943 = BGl_za2longza2z00zztype_cachez00; 
BgL_arg2103z00_944 = ((bool_t)1); 
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_res2374z00_1741;
{ /* Object/slots.scm 212 */
obj_t BgL_classzd2owner1860zd2_1699;obj_t BgL_virtualzd2num1864zd2_1703;
BgL_classzd2owner1860zd2_1699 = 
(obj_t)(BgL_arg2101z00_942); 
BgL_virtualzd2num1864zd2_1703 = 
BINT(((long)-1)); 
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_new1869z00_1708;
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_res2372z00_1714;
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_new1871z00_1709;
BgL_new1871z00_1709 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 212 */
long BgL_arg2309z00_1710;
BgL_arg2309z00_1710 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 212 */
BgL_objectz00_bglt BgL_auxz00_2681;
BgL_auxz00_2681 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1709); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2681, BgL_arg2309z00_1710); } } 
{ /* Object/slots.scm 212 */
BgL_objectz00_bglt BgL_auxz00_2684;
BgL_auxz00_2684 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1709); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2684, BFALSE); } 
{ /* Object/slots.scm 212 */
obj_t BgL_auxz00_2687;
BgL_auxz00_2687 = 
(obj_t)(BgL_new1871z00_1709); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2687); } BUNSPEC; 
BgL_res2372z00_1714 = BgL_new1871z00_1709; } 
BgL_new1869z00_1708 = BgL_res2372z00_1714; } 
{ /* Object/slots.scm 212 */
BgL_slotz00_bglt BgL_res2373z00_1740;
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_idz00) = ((obj_t)BgL_arg2098z00_939), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_namez00) = ((obj_t)BgL_arg2099z00_940), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_srcz00) = ((obj_t)BgL_arg2100z00_941), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1860zd2_1699), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_typez00) = ((obj_t)BgL_arg2102z00_943), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_arg2103z00_944), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_defaultzd2valuezd2) = ((obj_t)BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1864zd2_1703), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_getterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_setterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_indexedz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1708))->BgL_userzd2infozd2) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res2373z00_1740 = BgL_new1869z00_1708; BgL_res2373z00_1740; } 
BgL_res2374z00_1741 = BgL_new1869z00_1708; } } 
BgL_slenz00_935 = BgL_res2374z00_1741; } } } 
{ /* Object/slots.scm 211 */

((((BgL_typez00_bglt)CREF(BgL_itypez00_933))->BgL_initzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_slenz00_935); 
BgL_svalz00_852 = BgL_svalz00_934; } } } } } } 
{ /* Object/slots.scm 289 */
obj_t BgL_slenz00_853;
BgL_slenz00_853 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Object/slots.scm 289 */
obj_t BgL_arg2036z00_854;obj_t BgL_arg2037z00_855;
BgL_arg2036z00_854 = 
CDR(BgL_slotsz00_733); 
{ /* Object/slots.scm 290 */
obj_t BgL_arg2038z00_856;
BgL_arg2038z00_856 = 
MAKE_PAIR(BgL_slenz00_853, BgL_resz00_734); 
{ /* Object/slots.scm 290 */
obj_t BgL_auxz00_2707;
BgL_auxz00_2707 = 
(obj_t)(BgL_svalz00_852); 
BgL_arg2037z00_855 = 
MAKE_PAIR(BgL_auxz00_2707, BgL_arg2038z00_856); } } 
{ 
obj_t BgL_resz00_2711;obj_t BgL_slotsz00_2710;
BgL_slotsz00_2710 = BgL_arg2036z00_854; 
BgL_resz00_2711 = BgL_arg2037z00_855; 
BgL_resz00_734 = BgL_resz00_2711; 
BgL_slotsz00_733 = BgL_slotsz00_2710; 
goto BgL_loopz00_736;} } } } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2192zd2_765;
BgL_carzd2192zd2_765 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2192zd2_765))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2196zd2_767;
BgL_cdrzd2196zd2_767 = 
CDR(BgL_carzd2192zd2_765); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2718;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2721;obj_t BgL_auxz00_2719;
BgL_auxz00_2721 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2719 = 
CAR(BgL_carzd2192zd2_765); 
BgL_testz00_2718 = 
(BgL_auxz00_2719==BgL_auxz00_2721); } 
if(BgL_testz00_2718)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2196zd2_767))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2196zd2_767), BNIL))
{ /* Object/slots.scm 285 */
BgL_idz00_746 = 
CAR(BgL_cdrzd2196zd2_767); 
BgL_attrz00_747 = BgL_cdrzd2175zd2_754; 
BgL_tagzd2166zd2_748:
{ /* Object/slots.scm 293 */
obj_t BgL_vgetz00_857;
BgL_vgetz00_857 = 
BGl_findzd2virtualzd2attrz00zzobject_slotsz00(BgL_attrz00_747); 
{ /* Object/slots.scm 295 */
obj_t BgL_vsetz00_858;
BgL_vsetz00_858 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Object/slots.scm 295 */
obj_t BgL_arg2039z00_859;obj_t BgL_arg2040z00_860;obj_t BgL_arg2041z00_861;
BgL_arg2039z00_859 = 
CDR(BgL_slotsz00_733); 
{ /* Object/slots.scm 296 */
obj_t BgL_arg2042z00_862;
BgL_sz00_878 = BgL_sz00_742; 
BgL_slotzd2idzd2_879 = BgL_idz00_746; 
BgL_attrz00_880 = BgL_attrz00_747; 
BgL_vgetz00_881 = BgL_vgetz00_857; 
BgL_vsetz00_882 = BgL_vsetz00_858; 
BgL_vnumz00_883 = BgL_vnumz00_735; 
{ /* Object/slots.scm 224 */
obj_t BgL_readozf3zf3_885;
BgL_readozf3zf3_885 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)3)), BgL_attrz00_880); 
{ /* Object/slots.scm 226 */
bool_t BgL_testz00_2733;
if(
CBOOL(BgL_vsetz00_882))
{ /* Object/slots.scm 226 */
if(
CBOOL(BgL_vgetz00_881))
{ /* Object/slots.scm 226 */
BgL_testz00_2733 = ((bool_t)0)
; }  else 
{ /* Object/slots.scm 226 */
BgL_testz00_2733 = ((bool_t)1)
; } }  else 
{ /* Object/slots.scm 226 */
BgL_testz00_2733 = ((bool_t)0)
; } 
if(BgL_testz00_2733)
{ /* Object/slots.scm 226 */
{ /* Object/slots.scm 227 */
obj_t BgL_arg2059z00_887;obj_t BgL_arg2062z00_890;
BgL_arg2059z00_887 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_878); 
BgL_arg2062z00_890 = 
CAR(BgL_slotzd2idzd2_879); 
{ /* Object/slots.scm 227 */
obj_t BgL_list2064z00_892;
BgL_list2064z00_892 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg2042z00_862 = 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2059z00_887, BGl_string2398z00zzobject_slotsz00, BGl_string2400z00zzobject_slotsz00, BgL_arg2062z00_890, BgL_list2064z00_892); } } }  else 
{ /* Object/slots.scm 232 */
bool_t BgL_testz00_2742;
if(
CBOOL(BgL_vsetz00_882))
{ /* Object/slots.scm 232 */
BgL_testz00_2742 = 
CBOOL(BgL_readozf3zf3_885)
; }  else 
{ /* Object/slots.scm 232 */
BgL_testz00_2742 = ((bool_t)0)
; } 
if(BgL_testz00_2742)
{ /* Object/slots.scm 232 */
{ /* Object/slots.scm 233 */
obj_t BgL_arg2066z00_894;obj_t BgL_arg2069z00_897;
BgL_arg2066z00_894 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_878); 
BgL_arg2069z00_897 = 
CAR(BgL_slotzd2idzd2_879); 
{ /* Object/slots.scm 233 */
obj_t BgL_list2071z00_899;
BgL_list2071z00_899 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg2042z00_862 = 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2066z00_894, BGl_string2398z00zzobject_slotsz00, BGl_string2401z00zzobject_slotsz00, BgL_arg2069z00_897, BgL_list2071z00_899); } } }  else 
{ /* Object/slots.scm 238 */
bool_t BgL_testz00_2750;
if(
CBOOL(BgL_vgetz00_881))
{ /* Object/slots.scm 238 */
if(
CBOOL(BgL_vsetz00_882))
{ /* Object/slots.scm 238 */
BgL_testz00_2750 = ((bool_t)0)
; }  else 
{ /* Object/slots.scm 238 */
if(
CBOOL(BgL_readozf3zf3_885))
{ /* Object/slots.scm 238 */
BgL_testz00_2750 = ((bool_t)0)
; }  else 
{ /* Object/slots.scm 238 */
BgL_testz00_2750 = ((bool_t)1)
; } } }  else 
{ /* Object/slots.scm 238 */
BgL_testz00_2750 = ((bool_t)0)
; } 
if(BgL_testz00_2750)
{ /* Object/slots.scm 238 */
{ /* Object/slots.scm 239 */
obj_t BgL_arg2073z00_901;obj_t BgL_arg2076z00_904;
BgL_arg2073z00_901 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_878); 
BgL_arg2076z00_904 = 
CAR(BgL_slotzd2idzd2_879); 
{ /* Object/slots.scm 239 */
obj_t BgL_list2078z00_906;
BgL_list2078z00_906 = 
MAKE_PAIR(BNIL, BNIL); 
BgL_arg2042z00_862 = 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2073z00_901, BGl_string2398z00zzobject_slotsz00, BGl_string2402z00zzobject_slotsz00, BgL_arg2076z00_904, BgL_list2078z00_906); } } }  else 
{ /* Object/slots.scm 238 */
{ /* Object/slots.scm 246 */
obj_t BgL_arg2079z00_907;obj_t BgL_arg2080z00_908;obj_t BgL_arg2081z00_909;BgL_tclassz00_bglt BgL_arg2082z00_910;obj_t BgL_arg2083z00_911;obj_t BgL_arg2084z00_912;obj_t BgL_arg2085z00_913;obj_t BgL_arg2086z00_914;obj_t BgL_arg2087z00_915;obj_t BgL_arg2088z00_916;obj_t BgL_arg2089z00_917;
BgL_arg2079z00_907 = 
CAR(BgL_slotzd2idzd2_879); 
BgL_arg2080z00_908 = 
BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(
CAR(BgL_slotzd2idzd2_879)); 
BgL_arg2081z00_909 = BgL_sz00_878; 
BgL_arg2082z00_910 = BgL_classz00_5; 
BgL_arg2083z00_911 = 
BGl_findzd2slotzd2typez00zzobject_slotsz00(BgL_slotzd2idzd2_879, BgL_sz00_878); 
BgL_arg2084z00_912 = BgL_readozf3zf3_885; 
BgL_arg2085z00_913 = 
BGl_findzd2defaultzd2attrz00zzobject_slotsz00(BgL_attrz00_880); 
if(
CBOOL(BgL_vgetz00_881))
{ /* Object/slots.scm 253 */
BgL_arg2086z00_914 = BgL_vnumz00_883; }  else 
{ /* Object/slots.scm 253 */
BgL_arg2086z00_914 = 
BINT(((long)-1)); } 
BgL_arg2087z00_915 = BgL_vgetz00_881; 
BgL_arg2088z00_916 = BgL_vsetz00_882; 
BgL_arg2089z00_917 = 
BGl_findzd2infozd2attrz00zzobject_slotsz00(BgL_attrz00_880); 
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_res2365z00_1632;
{ /* Object/slots.scm 245 */
obj_t BgL_classzd2owner1860zd2_1590;bool_t BgL_readzd2onlyzf31862z21_1592;
BgL_classzd2owner1860zd2_1590 = 
(obj_t)(BgL_arg2082z00_910); 
BgL_readzd2onlyzf31862z21_1592 = 
CBOOL(BgL_arg2084z00_912); 
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_new1869z00_1599;
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_res2363z00_1605;
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_new1871z00_1600;
BgL_new1871z00_1600 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 245 */
long BgL_arg2309z00_1601;
BgL_arg2309z00_1601 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 245 */
BgL_objectz00_bglt BgL_auxz00_2774;
BgL_auxz00_2774 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1600); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2774, BgL_arg2309z00_1601); } } 
{ /* Object/slots.scm 245 */
BgL_objectz00_bglt BgL_auxz00_2777;
BgL_auxz00_2777 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1600); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2777, BFALSE); } 
{ /* Object/slots.scm 245 */
obj_t BgL_auxz00_2780;
BgL_auxz00_2780 = 
(obj_t)(BgL_new1871z00_1600); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2780); } BUNSPEC; 
BgL_res2363z00_1605 = BgL_new1871z00_1600; } 
BgL_new1869z00_1599 = BgL_res2363z00_1605; } 
{ /* Object/slots.scm 245 */
BgL_slotz00_bglt BgL_res2364z00_1631;
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_idz00) = ((obj_t)BgL_arg2079z00_907), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_namez00) = ((obj_t)BgL_arg2080z00_908), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_srcz00) = ((obj_t)BgL_arg2081z00_909), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1860zd2_1590), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_typez00) = ((obj_t)BgL_arg2083z00_911), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31862z21_1592), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_arg2085z00_913), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_virtualzd2numzd2) = ((obj_t)BgL_arg2086z00_914), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_getterz00) = ((obj_t)BgL_arg2087z00_915), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_setterz00) = ((obj_t)BgL_arg2088z00_916), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_indexedz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1599))->BgL_userzd2infozd2) = ((obj_t)BgL_arg2089z00_917), BUNSPEC); 
BgL_res2364z00_1631 = BgL_new1869z00_1599; BgL_res2364z00_1631; } 
BgL_res2365z00_1632 = BgL_new1869z00_1599; } } 
BgL_arg2042z00_862 = 
(obj_t)(BgL_res2365z00_1632); } } } } } } } 
BgL_arg2040z00_860 = 
MAKE_PAIR(BgL_arg2042z00_862, BgL_resz00_734); } 
{ /* Object/slots.scm 298 */
bool_t BgL_testz00_2797;
if(
CBOOL(BgL_vgetz00_857))
{ /* Object/slots.scm 298 */
BgL_testz00_2797 = ((bool_t)1)
; }  else 
{ /* Object/slots.scm 298 */
BgL_testz00_2797 = 
CBOOL(BgL_vsetz00_858)
; } 
if(BgL_testz00_2797)
{ /* Object/slots.scm 298 */
BgL_arg2041z00_861 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_vnumz00_735, 
BINT(((long)1))); }  else 
{ /* Object/slots.scm 298 */
BgL_arg2041z00_861 = BgL_vnumz00_735; } } 
{ 
obj_t BgL_vnumz00_2805;obj_t BgL_resz00_2804;obj_t BgL_slotsz00_2803;
BgL_slotsz00_2803 = BgL_arg2039z00_859; 
BgL_resz00_2804 = BgL_arg2040z00_860; 
BgL_vnumz00_2805 = BgL_arg2041z00_861; 
BgL_vnumz00_735 = BgL_vnumz00_2805; 
BgL_resz00_734 = BgL_resz00_2804; 
BgL_slotsz00_733 = BgL_slotsz00_2803; 
goto BgL_loopz00_736;} } } } }  else 
{ /* Object/slots.scm 285 */
BgL_tagzd2168zd2_751:
{ /* Object/slots.scm 304 */
obj_t BgL_list2047z00_867;
BgL_list2047z00_867 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2398z00zzobject_slotsz00, BGl_string2403z00zzobject_slotsz00, BgL_sz00_742, BgL_list2047z00_867);} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2214zd2_779;
BgL_carzd2214zd2_779 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2214zd2_779))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2218zd2_781;
BgL_cdrzd2218zd2_781 = 
CDR(BgL_carzd2214zd2_779); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2813;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2816;obj_t BgL_auxz00_2814;
BgL_auxz00_2816 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2814 = 
CAR(BgL_carzd2214zd2_779); 
BgL_testz00_2813 = 
(BgL_auxz00_2814==BgL_auxz00_2816); } 
if(BgL_testz00_2813)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2218zd2_781))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2218zd2_781), BNIL))
{ 
obj_t BgL_attrz00_2826;obj_t BgL_idz00_2824;
BgL_idz00_2824 = 
CAR(BgL_cdrzd2218zd2_781); 
BgL_attrz00_2826 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2826; 
BgL_idz00_746 = BgL_idz00_2824; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2236zd2_791;
BgL_carzd2236zd2_791 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2236zd2_791))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2240zd2_793;
BgL_cdrzd2240zd2_793 = 
CDR(BgL_carzd2236zd2_791); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2831;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2834;obj_t BgL_auxz00_2832;
BgL_auxz00_2834 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2832 = 
CAR(BgL_carzd2236zd2_791); 
BgL_testz00_2831 = 
(BgL_auxz00_2832==BgL_auxz00_2834); } 
if(BgL_testz00_2831)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2240zd2_793))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2240zd2_793), BNIL))
{ 
obj_t BgL_attrz00_2844;obj_t BgL_idz00_2842;
BgL_idz00_2842 = 
CAR(BgL_cdrzd2240zd2_793); 
BgL_attrz00_2844 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2844; 
BgL_idz00_746 = BgL_idz00_2842; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2258zd2_805;
BgL_carzd2258zd2_805 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2258zd2_805))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2262zd2_807;
BgL_cdrzd2262zd2_807 = 
CDR(BgL_carzd2258zd2_805); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2849;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2852;obj_t BgL_auxz00_2850;
BgL_auxz00_2852 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2850 = 
CAR(BgL_carzd2258zd2_805); 
BgL_testz00_2849 = 
(BgL_auxz00_2850==BgL_auxz00_2852); } 
if(BgL_testz00_2849)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2262zd2_807))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2262zd2_807), BNIL))
{ 
obj_t BgL_attrz00_2862;obj_t BgL_idz00_2860;
BgL_idz00_2860 = 
CAR(BgL_cdrzd2262zd2_807); 
BgL_attrz00_2862 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2862; 
BgL_idz00_746 = BgL_idz00_2860; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2280zd2_817;
BgL_carzd2280zd2_817 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2280zd2_817))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2284zd2_819;
BgL_cdrzd2284zd2_819 = 
CDR(BgL_carzd2280zd2_817); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2867;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2870;obj_t BgL_auxz00_2868;
BgL_auxz00_2870 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2868 = 
CAR(BgL_carzd2280zd2_817); 
BgL_testz00_2867 = 
(BgL_auxz00_2868==BgL_auxz00_2870); } 
if(BgL_testz00_2867)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2284zd2_819))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2284zd2_819), BNIL))
{ 
obj_t BgL_attrz00_2880;obj_t BgL_idz00_2878;
BgL_idz00_2878 = 
CAR(BgL_cdrzd2284zd2_819); 
BgL_attrz00_2880 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2880; 
BgL_idz00_746 = BgL_idz00_2878; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
obj_t BgL_carzd2302zd2_829;
BgL_carzd2302zd2_829 = 
CAR(BgL_sz00_742); 
if(
PAIRP(BgL_carzd2302zd2_829))
{ /* Object/slots.scm 285 */
obj_t BgL_cdrzd2306zd2_831;
BgL_cdrzd2306zd2_831 = 
CDR(BgL_carzd2302zd2_829); 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2885;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2888;obj_t BgL_auxz00_2886;
BgL_auxz00_2888 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2886 = 
CAR(BgL_carzd2302zd2_829); 
BgL_testz00_2885 = 
(BgL_auxz00_2886==BgL_auxz00_2888); } 
if(BgL_testz00_2885)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2306zd2_831))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2306zd2_831), BNIL))
{ 
obj_t BgL_attrz00_2898;obj_t BgL_idz00_2896;
BgL_idz00_2896 = 
CAR(BgL_cdrzd2306zd2_831); 
BgL_attrz00_2898 = BgL_cdrzd2175zd2_754; 
BgL_attrz00_747 = BgL_attrz00_2898; 
BgL_idz00_746 = BgL_idz00_2896; 
goto BgL_tagzd2166zd2_748;}  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } }  else 
{ /* Object/slots.scm 285 */
bool_t BgL_testz00_2899;
{ /* Object/slots.scm 285 */
obj_t BgL_auxz00_2900;
BgL_auxz00_2900 = 
CNST_TABLE_REF(((long)6)); 
BgL_testz00_2899 = 
(BgL_carzd2302zd2_829==BgL_auxz00_2900); } 
if(BgL_testz00_2899)
{ /* Object/slots.scm 285 */
if(
PAIRP(BgL_cdrzd2175zd2_754))
{ /* Object/slots.scm 285 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2175zd2_754), BNIL))
{ /* Object/slots.scm 285 */
BgL_idz00_749 = 
CAR(BgL_cdrzd2175zd2_754); 
{ /* Object/slots.scm 300 */
obj_t BgL_arg2044z00_864;obj_t BgL_arg2045z00_865;
BgL_arg2044z00_864 = 
CDR(BgL_slotsz00_733); 
{ /* Object/slots.scm 301 */
BgL_slotz00_bglt BgL_arg2046z00_866;
BgL_slotzd2idzd2_868 = BgL_idz00_749; 
{ /* Object/slots.scm 260 */
obj_t BgL_arg2049z00_870;obj_t BgL_arg2050z00_871;obj_t BgL_arg2051z00_872;BgL_tclassz00_bglt BgL_arg2052z00_873;obj_t BgL_arg2053z00_874;
BgL_arg2049z00_870 = 
CAR(BgL_slotzd2idzd2_868); 
BgL_arg2050z00_871 = 
BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(
CAR(BgL_slotzd2idzd2_868)); 
BgL_arg2051z00_872 = BgL_slotzd2idzd2_868; 
BgL_arg2052z00_873 = BgL_classz00_5; 
BgL_arg2053z00_874 = 
BGl_findzd2slotzd2typez00zzobject_slotsz00(BgL_slotzd2idzd2_868, BgL_srcz00_9); 
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_res2362z00_1581;
{ /* Object/slots.scm 259 */
obj_t BgL_classzd2owner1860zd2_1539;obj_t BgL_virtualzd2num1864zd2_1543;
BgL_classzd2owner1860zd2_1539 = 
(obj_t)(BgL_arg2052z00_873); 
BgL_virtualzd2num1864zd2_1543 = 
BINT(((long)-1)); 
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_new1869z00_1548;
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_res2360z00_1554;
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_new1871z00_1549;
BgL_new1871z00_1549 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 259 */
long BgL_arg2309z00_1550;
BgL_arg2309z00_1550 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 259 */
BgL_objectz00_bglt BgL_auxz00_2917;
BgL_auxz00_2917 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1549); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2917, BgL_arg2309z00_1550); } } 
{ /* Object/slots.scm 259 */
BgL_objectz00_bglt BgL_auxz00_2920;
BgL_auxz00_2920 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1549); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2920, BFALSE); } 
{ /* Object/slots.scm 259 */
obj_t BgL_auxz00_2923;
BgL_auxz00_2923 = 
(obj_t)(BgL_new1871z00_1549); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2923); } BUNSPEC; 
BgL_res2360z00_1554 = BgL_new1871z00_1549; } 
BgL_new1869z00_1548 = BgL_res2360z00_1554; } 
{ /* Object/slots.scm 259 */
BgL_slotz00_bglt BgL_res2361z00_1580;
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_idz00) = ((obj_t)BgL_arg2049z00_870), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_namez00) = ((obj_t)BgL_arg2050z00_871), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_srcz00) = ((obj_t)BgL_arg2051z00_872), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1860zd2_1539), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_typez00) = ((obj_t)BgL_arg2053z00_874), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_readzd2onlyzf3z21) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_defaultzd2valuezd2) = ((obj_t)BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1864zd2_1543), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_getterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_setterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_indexedz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1548))->BgL_userzd2infozd2) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res2361z00_1580 = BgL_new1869z00_1548; BgL_res2361z00_1580; } 
BgL_res2362z00_1581 = BgL_new1869z00_1548; } } 
BgL_arg2046z00_866 = BgL_res2362z00_1581; } } 
{ /* Object/slots.scm 301 */
obj_t BgL_auxz00_2938;
BgL_auxz00_2938 = 
(obj_t)(BgL_arg2046z00_866); 
BgL_arg2045z00_865 = 
MAKE_PAIR(BgL_auxz00_2938, BgL_resz00_734); } } 
{ 
obj_t BgL_resz00_2942;obj_t BgL_slotsz00_2941;
BgL_slotsz00_2941 = BgL_arg2044z00_864; 
BgL_resz00_2942 = BgL_arg2045z00_865; 
BgL_resz00_734 = BgL_resz00_2942; 
BgL_slotsz00_733 = BgL_slotsz00_2941; 
goto BgL_loopz00_736;} } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } } } }  else 
{ /* Object/slots.scm 285 */
goto BgL_tagzd2168zd2_751;} } } } } } } 
}



/* find-default-attr */
obj_t BGl_findzd2defaultzd2attrz00zzobject_slotsz00(obj_t BgL_attrz00_1069)
{ AN_OBJECT;
{ /* Object/slots.scm 108 */
BGl_findzd2defaultzd2attrz00zzobject_slotsz00:
if(
PAIRP(BgL_attrz00_1069))
{ 

{ /* Object/slots.scm 104 */
obj_t BgL_ezd2122zd2_1075;
BgL_ezd2122zd2_1075 = 
CAR(BgL_attrz00_1069); 
if(
PAIRP(BgL_ezd2122zd2_1075))
{ /* Object/slots.scm 104 */
obj_t BgL_cdrzd2126zd2_1077;
BgL_cdrzd2126zd2_1077 = 
CDR(BgL_ezd2122zd2_1075); 
{ /* Object/slots.scm 104 */
bool_t BgL_testz00_2951;
{ /* Object/slots.scm 104 */
obj_t BgL_auxz00_2954;obj_t BgL_auxz00_2952;
BgL_auxz00_2954 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_2952 = 
CAR(BgL_ezd2122zd2_1075); 
BgL_testz00_2951 = 
(BgL_auxz00_2952==BgL_auxz00_2954); } 
if(BgL_testz00_2951)
{ /* Object/slots.scm 104 */
if(
PAIRP(BgL_cdrzd2126zd2_1077))
{ /* Object/slots.scm 104 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2126zd2_1077), BNIL))
{ /* Object/slots.scm 104 */
return 
CAR(BgL_cdrzd2126zd2_1077);}  else 
{ /* Object/slots.scm 104 */
BgL_tagzd2121zd2_1074:
{ 
obj_t BgL_attrz00_2963;
BgL_attrz00_2963 = 
CDR(BgL_attrz00_1069); 
BgL_attrz00_1069 = BgL_attrz00_2963; 
goto BGl_findzd2defaultzd2attrz00zzobject_slotsz00;} } }  else 
{ /* Object/slots.scm 104 */
goto BgL_tagzd2121zd2_1074;} }  else 
{ /* Object/slots.scm 104 */
goto BgL_tagzd2121zd2_1074;} } }  else 
{ /* Object/slots.scm 104 */
goto BgL_tagzd2121zd2_1074;} } }  else 
{ /* Object/slots.scm 102 */
return BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00;} } 
}



/* find-info-attr */
obj_t BGl_findzd2infozd2attrz00zzobject_slotsz00(obj_t BgL_attrz00_1053)
{ AN_OBJECT;
{ /* Object/slots.scm 117 */
BGl_findzd2infozd2attrz00zzobject_slotsz00:
if(
PAIRP(BgL_attrz00_1053))
{ 

{ /* Object/slots.scm 113 */
obj_t BgL_ezd2133zd2_1058;
BgL_ezd2133zd2_1058 = 
CAR(BgL_attrz00_1053); 
if(
PAIRP(BgL_ezd2133zd2_1058))
{ /* Object/slots.scm 113 */
obj_t BgL_cdrzd2135zd2_1060;
BgL_cdrzd2135zd2_1060 = 
CDR(BgL_ezd2133zd2_1058); 
{ /* Object/slots.scm 113 */
bool_t BgL_testz00_2971;
{ /* Object/slots.scm 113 */
obj_t BgL_auxz00_2974;obj_t BgL_auxz00_2972;
BgL_auxz00_2974 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_2972 = 
CAR(BgL_ezd2133zd2_1058); 
BgL_testz00_2971 = 
(BgL_auxz00_2972==BgL_auxz00_2974); } 
if(BgL_testz00_2971)
{ /* Object/slots.scm 113 */
if(
PAIRP(BgL_cdrzd2135zd2_1060))
{ /* Object/slots.scm 113 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2135zd2_1060), BNIL))
{ /* Object/slots.scm 113 */
return BgL_ezd2133zd2_1058;}  else 
{ /* Object/slots.scm 113 */
BgL_tagzd2132zd2_1057:
{ 
obj_t BgL_attrz00_2982;
BgL_attrz00_2982 = 
CDR(BgL_attrz00_1053); 
BgL_attrz00_1053 = BgL_attrz00_2982; 
goto BGl_findzd2infozd2attrz00zzobject_slotsz00;} } }  else 
{ /* Object/slots.scm 113 */
goto BgL_tagzd2132zd2_1057;} }  else 
{ /* Object/slots.scm 113 */
goto BgL_tagzd2132zd2_1057;} } }  else 
{ /* Object/slots.scm 113 */
goto BgL_tagzd2132zd2_1057;} } }  else 
{ /* Object/slots.scm 111 */
return BFALSE;} } 
}



/* find-virtual-attr */
obj_t BGl_findzd2virtualzd2attrz00zzobject_slotsz00(obj_t BgL_attrz00_1016)
{ AN_OBJECT;
{ /* Object/slots.scm 131 */
{ 
obj_t BgL_attrz00_1018;obj_t BgL_getz00_1019;obj_t BgL_setz00_1020;
BgL_attrz00_1018 = BgL_attrz00_1016; 
BgL_getz00_1019 = BFALSE; 
BgL_setz00_1020 = BFALSE; 
BgL_loopz00_1021:
if(
PAIRP(BgL_attrz00_1018))
{ 

{ /* Object/slots.scm 125 */
obj_t BgL_ezd2141zd2_1028;
BgL_ezd2141zd2_1028 = 
CAR(BgL_attrz00_1018); 
if(
PAIRP(BgL_ezd2141zd2_1028))
{ /* Object/slots.scm 125 */
obj_t BgL_cdrzd2146zd2_1030;
BgL_cdrzd2146zd2_1030 = 
CDR(BgL_ezd2141zd2_1028); 
{ /* Object/slots.scm 125 */
bool_t BgL_testz00_2990;
{ /* Object/slots.scm 125 */
obj_t BgL_auxz00_2993;obj_t BgL_auxz00_2991;
BgL_auxz00_2993 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_2991 = 
CAR(BgL_ezd2141zd2_1028); 
BgL_testz00_2990 = 
(BgL_auxz00_2991==BgL_auxz00_2993); } 
if(BgL_testz00_2990)
{ /* Object/slots.scm 125 */
if(
PAIRP(BgL_cdrzd2146zd2_1030))
{ /* Object/slots.scm 125 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2146zd2_1030), BNIL))
{ 
obj_t BgL_getz00_3003;obj_t BgL_attrz00_3001;
BgL_attrz00_3001 = 
CDR(BgL_attrz00_1018); 
BgL_getz00_3003 = 
CAR(BgL_cdrzd2146zd2_1030); 
BgL_getz00_1019 = BgL_getz00_3003; 
BgL_attrz00_1018 = BgL_attrz00_3001; 
goto BgL_loopz00_1021;}  else 
{ /* Object/slots.scm 125 */
BgL_tagzd2140zd2_1027:
{ 
obj_t BgL_attrz00_3005;
BgL_attrz00_3005 = 
CDR(BgL_attrz00_1018); 
BgL_attrz00_1018 = BgL_attrz00_3005; 
goto BgL_loopz00_1021;} } }  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} }  else 
{ /* Object/slots.scm 125 */
bool_t BgL_testz00_3007;
{ /* Object/slots.scm 125 */
obj_t BgL_auxz00_3010;obj_t BgL_auxz00_3008;
BgL_auxz00_3010 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_3008 = 
CAR(BgL_ezd2141zd2_1028); 
BgL_testz00_3007 = 
(BgL_auxz00_3008==BgL_auxz00_3010); } 
if(BgL_testz00_3007)
{ /* Object/slots.scm 125 */
if(
PAIRP(BgL_cdrzd2146zd2_1030))
{ /* Object/slots.scm 125 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2146zd2_1030), BNIL))
{ 
obj_t BgL_setz00_3020;obj_t BgL_attrz00_3018;
BgL_attrz00_3018 = 
CDR(BgL_attrz00_1018); 
BgL_setz00_3020 = 
CAR(BgL_cdrzd2146zd2_1030); 
BgL_setz00_1020 = BgL_setz00_3020; 
BgL_attrz00_1018 = BgL_attrz00_3018; 
goto BgL_loopz00_1021;}  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} }  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} }  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} } } }  else 
{ /* Object/slots.scm 125 */
goto BgL_tagzd2140zd2_1027;} } }  else 
{ /* Object/slots.scm 123 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = BgL_setz00_1020; 
return BgL_getz00_1019;} } } 
}



/* _make-class-slots */
obj_t BGl__makezd2classzd2slotsz00zzobject_slotsz00(obj_t BgL_envz00_2323, obj_t BgL_classz00_2324, obj_t BgL_slotsz00_2325, obj_t BgL_superz00_2326, obj_t BgL_vnumz00_2327, obj_t BgL_srcz00_2328)
{ AN_OBJECT;
{ /* Object/slots.scm 98 */
return 
BGl_makezd2classzd2slotsz00zzobject_slotsz00(
(BgL_tclassz00_bglt)(BgL_classz00_2324), BgL_slotsz00_2325, BgL_superz00_2326, 
CINT(BgL_vnumz00_2327), BgL_srcz00_2328);} 
}



/* make-java-class-slots */
obj_t BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_jclassz00_bglt BgL_classz00_10, obj_t BgL_slotsz00_11, obj_t BgL_superz00_12, obj_t BgL_srcz00_13)
{ AN_OBJECT;
{ /* Object/slots.scm 312 */
{ /* Object/slots.scm 314 */
obj_t BgL_locz00_1095;
BgL_locz00_1095 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_13); 
{ 
obj_t BgL_identz00_1141;obj_t BgL_jnamez00_1142;obj_t BgL_readozf3zf3_1143;obj_t BgL_sz00_1144;obj_t BgL_idz00_1117;obj_t BgL_jnamez00_1118;obj_t BgL_readozf3zf3_1119;obj_t BgL_srcz00_1120;
{ 
obj_t BgL_slotsz00_1098;obj_t BgL_resz00_1099;
{ /* Object/slots.scm 342 */
obj_t BgL_arg2206z00_1101;
{ /* Object/slots.scm 342 */
bool_t BgL_test2207z00_1102;
BgL_test2207z00_1102 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_12, BGl_typez00zztype_typez00); 
if(BgL_test2207z00_1102)
{ /* Object/slots.scm 344 */
bool_t BgL_test2208z00_1103;
BgL_test2208z00_1103 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_12, BGl_jclassz00zzobject_classz00); 
if(BgL_test2208z00_1103)
{ /* Object/slots.scm 344 */
{ /* Object/slots.scm 347 */
obj_t BgL_auxz00_3031;
{ /* Object/slots.scm 347 */
BgL_jclassz00_bglt BgL_obj1309z00_1829;
BgL_obj1309z00_1829 = 
(BgL_jclassz00_bglt)(BgL_superz00_12); 
{ 
obj_t BgL_auxz00_3033;
{ /* Object/slots.scm 347 */
BgL_objectz00_bglt BgL_auxz00_3034;
BgL_auxz00_3034 = 
(BgL_objectz00_bglt)(BgL_obj1309z00_1829); 
BgL_auxz00_3033 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3034); } 
BgL_auxz00_3031 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_3033))->BgL_slotsz00); } } 
BgL_arg2206z00_1101 = 
bgl_reverse(BgL_auxz00_3031); } }  else 
{ /* Object/slots.scm 344 */
BgL_arg2206z00_1101 = BNIL; } }  else 
{ /* Object/slots.scm 342 */
BgL_arg2206z00_1101 = BNIL; } } 
BgL_slotsz00_1098 = BgL_slotsz00_11; 
BgL_resz00_1099 = BgL_arg2206z00_1101; 
BgL_loopz00_1100:
if(
NULLP(BgL_slotsz00_1098))
{ /* Object/slots.scm 348 */
return BgL_resz00_1099;}  else 
{ /* Object/slots.scm 354 */
obj_t BgL_sz00_1106;
BgL_sz00_1106 = 
CAR(BgL_slotsz00_1098); 
{ /* Object/slots.scm 354 */
obj_t BgL_srcz00_1107;
BgL_srcz00_1107 = 
CAR(BgL_sz00_1106); 
{ /* Object/slots.scm 355 */
obj_t BgL_idz00_1108;
{ /* Object/slots.scm 356 */
obj_t BgL_auxz00_3043;
BgL_auxz00_3043 = 
CDR(BgL_sz00_1106); 
BgL_idz00_1108 = 
CAR(BgL_auxz00_3043); } 
{ /* Object/slots.scm 356 */
obj_t BgL_jnamez00_1109;
{ /* Object/slots.scm 357 */
obj_t BgL_auxz00_3046;
{ /* Object/slots.scm 357 */
obj_t BgL_auxz00_3047;
BgL_auxz00_3047 = 
CDR(BgL_sz00_1106); 
BgL_auxz00_3046 = 
CDR(BgL_auxz00_3047); } 
BgL_jnamez00_1109 = 
CAR(BgL_auxz00_3046); } 
{ /* Object/slots.scm 357 */
obj_t BgL_modz00_1110;
{ /* Object/slots.scm 358 */
obj_t BgL_auxz00_3051;
{ /* Object/slots.scm 358 */
obj_t BgL_auxz00_3052;
{ /* Object/slots.scm 358 */
obj_t BgL_auxz00_3053;
BgL_auxz00_3053 = 
CDR(BgL_sz00_1106); 
BgL_auxz00_3052 = 
CDR(BgL_auxz00_3053); } 
BgL_auxz00_3051 = 
CDR(BgL_auxz00_3052); } 
BgL_modz00_1110 = 
CAR(BgL_auxz00_3051); } 
{ /* Object/slots.scm 358 */
obj_t BgL_readozf3zf3_1111;
BgL_readozf3zf3_1111 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)13)), BgL_modz00_1110); 
{ /* Object/slots.scm 359 */

{ /* Object/slots.scm 360 */
bool_t BgL_testz00_3060;
{ /* Object/slots.scm 360 */
obj_t BgL_auxz00_3061;
BgL_auxz00_3061 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)14)), BgL_modz00_1110); 
BgL_testz00_3060 = 
CBOOL(BgL_auxz00_3061); } 
if(BgL_testz00_3060)
{ /* Object/slots.scm 360 */
BgL_idz00_1117 = BgL_idz00_1108; 
BgL_jnamez00_1118 = BgL_jnamez00_1109; 
BgL_readozf3zf3_1119 = BgL_readozf3zf3_1111; 
BgL_srcz00_1120 = BgL_srcz00_1107; 
{ /* Object/slots.scm 326 */
obj_t BgL_locz00_1122;
BgL_locz00_1122 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_1120, BgL_locz00_1095); 
{ /* Object/slots.scm 326 */
obj_t BgL_slotzd2idzd2_1123;
BgL_slotzd2idzd2_1123 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_1117, BgL_locz00_1122); 
{ /* Object/slots.scm 327 */
obj_t BgL_lzd2idzd2_1124;
{ /* Object/slots.scm 328 */
bool_t BgL_testz00_3067;
{ /* Object/slots.scm 328 */
obj_t BgL_auxz00_3071;obj_t BgL_auxz00_3068;
BgL_auxz00_3071 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/slots.scm 328 */
BgL_typez00_bglt BgL_obj1313z00_1853;
BgL_obj1313z00_1853 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_auxz00_3068 = 
(((BgL_typez00_bglt)CREF(BgL_obj1313z00_1853))->BgL_idz00); } 
BgL_testz00_3067 = 
(BgL_auxz00_3068==BgL_auxz00_3071); } 
if(BgL_testz00_3067)
{ /* Object/slots.scm 328 */
BgL_lzd2idzd2_1124 = 
CAR(BgL_slotzd2idzd2_1123); }  else 
{ /* Object/slots.scm 330 */
obj_t BgL_arg2223z00_1133;obj_t BgL_arg2224z00_1134;
{ /* Object/slots.scm 330 */
BgL_typez00_bglt BgL_obj1313z00_1855;
BgL_obj1313z00_1855 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_arg2223z00_1133 = 
(((BgL_typez00_bglt)CREF(BgL_obj1313z00_1855))->BgL_idz00); } 
BgL_arg2224z00_1134 = 
CNST_TABLE_REF(((long)12)); 
{ /* Object/slots.scm 330 */
obj_t BgL_list2226z00_1136;
{ /* Object/slots.scm 330 */
obj_t BgL_arg2227z00_1137;
{ /* Object/slots.scm 330 */
obj_t BgL_arg2228z00_1138;
{ /* Object/slots.scm 330 */
obj_t BgL_auxz00_3078;
BgL_auxz00_3078 = 
CAR(BgL_slotzd2idzd2_1123); 
BgL_arg2228z00_1138 = 
MAKE_PAIR(BgL_auxz00_3078, BNIL); } 
BgL_arg2227z00_1137 = 
MAKE_PAIR(BgL_arg2224z00_1134, BgL_arg2228z00_1138); } 
BgL_list2226z00_1136 = 
MAKE_PAIR(BgL_arg2223z00_1133, BgL_arg2227z00_1137); } 
BgL_lzd2idzd2_1124 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2226z00_1136); } } } 
{ /* Object/slots.scm 328 */
obj_t BgL_tzd2idzd2_1125;
{ /* Object/slots.scm 331 */
bool_t BgL_test2219z00_1130;
{ /* Object/slots.scm 331 */
obj_t BgL_auxz00_3084;
BgL_auxz00_3084 = 
CDR(BgL_slotzd2idzd2_1123); 
BgL_test2219z00_1130 = 
(BgL_auxz00_3084==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2219z00_1130)
{ /* Object/slots.scm 331 */
BgL_tzd2idzd2_1125 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Object/slots.scm 331 */
BgL_tzd2idzd2_1125 = 
CDR(BgL_slotzd2idzd2_1123); } } 
{ /* Object/slots.scm 334 */

BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(
(BgL_typez00_bglt)(BgL_tzd2idzd2_1125), BgL_srcz00_1120); 
{ /* Object/slots.scm 336 */
BgL_globalz00_bglt BgL_gz00_1127;
{ /* Object/slots.scm 336 */
obj_t BgL_auxz00_3091;
{ /* Object/slots.scm 337 */
BgL_typez00_bglt BgL_obj1002z00_1859;
BgL_obj1002z00_1859 = 
(BgL_typez00_bglt)(BgL_tzd2idzd2_1125); 
BgL_auxz00_3091 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1859))->BgL_idz00); } 
BgL_gz00_1127 = 
BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(BgL_lzd2idzd2_1124, BgL_jnamez00_1118, BgL_auxz00_3091, 
CBOOL(BgL_readozf3zf3_1119), BgL_srcz00_1120, BFALSE); } 
{ /* Object/slots.scm 338 */
obj_t BgL_arg2217z00_1128;
{ /* Object/slots.scm 338 */
BgL_typez00_bglt BgL_obj1313z00_1860;
BgL_obj1313z00_1860 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_arg2217z00_1128 = 
(((BgL_typez00_bglt)CREF(BgL_obj1313z00_1860))->BgL_idz00); } 
((((BgL_globalz00_bglt)CREF(BgL_gz00_1127))->BgL_modulez00) = ((obj_t)BgL_arg2217z00_1128), BUNSPEC); } BgL_gz00_1127; } } } } } } 
{ 
obj_t BgL_slotsz00_3099;
BgL_slotsz00_3099 = 
CDR(BgL_slotsz00_1098); 
BgL_slotsz00_1098 = BgL_slotsz00_3099; 
goto BgL_loopz00_1100;} }  else 
{ /* Object/slots.scm 364 */
obj_t BgL_arg2213z00_1114;obj_t BgL_arg2214z00_1115;
BgL_arg2213z00_1114 = 
CDR(BgL_slotsz00_1098); 
{ /* Object/slots.scm 365 */
BgL_slotz00_bglt BgL_arg2215z00_1116;
BgL_identz00_1141 = BgL_idz00_1108; 
BgL_jnamez00_1142 = BgL_jnamez00_1109; 
BgL_readozf3zf3_1143 = BgL_readozf3zf3_1111; 
BgL_sz00_1144 = BgL_srcz00_1107; 
{ /* Object/slots.scm 316 */
obj_t BgL_locz00_1146;
BgL_locz00_1146 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_sz00_1144, BgL_locz00_1095); 
{ /* Object/slots.scm 316 */
obj_t BgL_slotzd2idzd2_1147;
BgL_slotzd2idzd2_1147 = 
BGl_parsezd2idzd2zzast_identz00(BgL_identz00_1141, BgL_locz00_1146); 
{ /* Object/slots.scm 317 */

{ /* Object/slots.scm 319 */
obj_t BgL_arg2232z00_1148;obj_t BgL_arg2233z00_1149;obj_t BgL_arg2234z00_1150;BgL_jclassz00_bglt BgL_arg2235z00_1151;obj_t BgL_arg2236z00_1152;obj_t BgL_arg2237z00_1153;
BgL_arg2232z00_1148 = 
CAR(BgL_slotzd2idzd2_1147); 
BgL_arg2233z00_1149 = BgL_jnamez00_1142; 
BgL_arg2234z00_1150 = BgL_sz00_1144; 
BgL_arg2235z00_1151 = BgL_classz00_10; 
BgL_arg2236z00_1152 = 
BGl_findzd2slotzd2typez00zzobject_slotsz00(BgL_slotzd2idzd2_1147, BgL_srcz00_13); 
BgL_arg2237z00_1153 = BgL_readozf3zf3_1143; 
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_res2379z00_1909;
{ /* Object/slots.scm 318 */
obj_t BgL_classzd2owner1860zd2_1867;bool_t BgL_readzd2onlyzf31862z21_1869;obj_t BgL_virtualzd2num1864zd2_1871;
BgL_classzd2owner1860zd2_1867 = 
(obj_t)(BgL_arg2235z00_1151); 
BgL_readzd2onlyzf31862z21_1869 = 
CBOOL(BgL_arg2237z00_1153); 
BgL_virtualzd2num1864zd2_1871 = 
BINT(((long)-1)); 
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_new1869z00_1876;
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_res2377z00_1882;
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_new1871z00_1877;
BgL_new1871z00_1877 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 318 */
long BgL_arg2309z00_1878;
BgL_arg2309z00_1878 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 318 */
BgL_objectz00_bglt BgL_auxz00_3111;
BgL_auxz00_3111 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1877); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3111, BgL_arg2309z00_1878); } } 
{ /* Object/slots.scm 318 */
BgL_objectz00_bglt BgL_auxz00_3114;
BgL_auxz00_3114 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1877); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3114, BFALSE); } 
{ /* Object/slots.scm 318 */
obj_t BgL_auxz00_3117;
BgL_auxz00_3117 = 
(obj_t)(BgL_new1871z00_1877); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3117); } BUNSPEC; 
BgL_res2377z00_1882 = BgL_new1871z00_1877; } 
BgL_new1869z00_1876 = BgL_res2377z00_1882; } 
{ /* Object/slots.scm 318 */
BgL_slotz00_bglt BgL_res2378z00_1908;
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_idz00) = ((obj_t)BgL_arg2232z00_1148), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_namez00) = ((obj_t)BgL_arg2233z00_1149), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_srcz00) = ((obj_t)BgL_arg2234z00_1150), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1860zd2_1867), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_typez00) = ((obj_t)BgL_arg2236z00_1152), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31862z21_1869), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_defaultzd2valuezd2) = ((obj_t)BGl_za2slotzd2nozd2defaultzd2valuezd2markza2z00zzobject_slotsz00), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1864zd2_1871), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_getterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_setterz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_indexedz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1876))->BgL_userzd2infozd2) = ((obj_t)BUNSPEC), BUNSPEC); 
BgL_res2378z00_1908 = BgL_new1869z00_1876; BgL_res2378z00_1908; } 
BgL_res2379z00_1909 = BgL_new1869z00_1876; } } 
BgL_arg2215z00_1116 = BgL_res2379z00_1909; } } } } } 
{ /* Object/slots.scm 365 */
obj_t BgL_auxz00_3132;
BgL_auxz00_3132 = 
(obj_t)(BgL_arg2215z00_1116); 
BgL_arg2214z00_1115 = 
MAKE_PAIR(BgL_auxz00_3132, BgL_resz00_1099); } } 
{ 
obj_t BgL_resz00_3136;obj_t BgL_slotsz00_3135;
BgL_slotsz00_3135 = BgL_arg2213z00_1114; 
BgL_resz00_3136 = BgL_arg2214z00_1115; 
BgL_resz00_1099 = BgL_resz00_3136; 
BgL_slotsz00_1098 = BgL_slotsz00_3135; 
goto BgL_loopz00_1100;} } } } } } } } } } } } } } } 
}



/* _make-java-class-slots */
obj_t BGl__makezd2javazd2classzd2slotszd2zzobject_slotsz00(obj_t BgL_envz00_2329, obj_t BgL_classz00_2330, obj_t BgL_slotsz00_2331, obj_t BgL_superz00_2332, obj_t BgL_srcz00_2333)
{ AN_OBJECT;
{ /* Object/slots.scm 312 */
return 
BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(
(BgL_jclassz00_bglt)(BgL_classz00_2330), BgL_slotsz00_2331, BgL_superz00_2332, BgL_srcz00_2333);} 
}



/* find-slot-type */
obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t BgL_slotzd2idzd2_14, obj_t BgL_srcz00_15)
{ AN_OBJECT;
{ /* Object/slots.scm 371 */
{ /* Object/slots.scm 372 */
obj_t BgL_tz00_1158;
{ /* Object/slots.scm 372 */
bool_t BgL_test2241z00_1159;
{ /* Object/slots.scm 372 */
obj_t BgL_auxz00_3139;
BgL_auxz00_3139 = 
CDR(BgL_slotzd2idzd2_14); 
BgL_test2241z00_1159 = 
(BgL_auxz00_3139==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2241z00_1159)
{ /* Object/slots.scm 372 */
BgL_tz00_1158 = BGl_za2objza2z00zztype_cachez00; }  else 
{ /* Object/slots.scm 372 */
BgL_tz00_1158 = 
CDR(BgL_slotzd2idzd2_14); } } 
BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(
(BgL_typez00_bglt)(BgL_tz00_1158), BgL_srcz00_15); 
return BgL_tz00_1158;} } 
}



/* scheme-symbol->c-string */
obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t BgL_symbolz00_16)
{ AN_OBJECT;
{ /* Object/slots.scm 379 */
if(
CBOOL(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
{ /* Object/slots.scm 380 */
return 
BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_16);}  else 
{ /* Object/slots.scm 382 */
obj_t BgL_arg2243z00_1161;
BgL_arg2243z00_1161 = 
BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_16); 
return 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg2243z00_1161);} } 
}



/* get-local-virtual-slots-number */
obj_t BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_tclassz00_bglt BgL_classz00_17, obj_t BgL_slotsz00_18)
{ AN_OBJECT;
{ /* Object/slots.scm 396 */
{ 
obj_t BgL_slotsz00_1162;obj_t BgL_numz00_1163;
{ /* Object/slots.scm 397 */
long BgL_auxz00_3151;
BgL_slotsz00_1162 = BgL_slotsz00_18; 
BgL_numz00_1163 = 
BINT(((long)-1)); 
BgL_loopz00_1164:
if(
NULLP(BgL_slotsz00_1162))
{ /* Object/slots.scm 400 */
{ /* Object/slots.scm 401 */
long BgL_auxz00_3154;
BgL_auxz00_3154 = 
(long)CINT(BgL_numz00_1163); 
BgL_auxz00_3151 = 
(BgL_auxz00_3154+((long)1)); } }  else 
{ /* Object/slots.scm 402 */
bool_t BgL_testz00_3157;
{ /* Object/slots.scm 402 */
BgL_slotz00_bglt BgL_slotz00_1916;
{ /* Object/slots.scm 402 */
obj_t BgL_auxz00_3158;
BgL_auxz00_3158 = 
CAR(BgL_slotsz00_1162); 
BgL_slotz00_1916 = 
(BgL_slotz00_bglt)(BgL_auxz00_3158); } 
{ /* Object/slots.scm 402 */
long BgL_auxz00_3161;
{ /* Object/slots.scm 402 */
obj_t BgL_auxz00_3162;
BgL_auxz00_3162 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1916))->BgL_virtualzd2numzd2); 
BgL_auxz00_3161 = 
(long)CINT(BgL_auxz00_3162); } 
BgL_testz00_3157 = 
(BgL_auxz00_3161>=((long)0)); } } 
if(BgL_testz00_3157)
{ /* Object/slots.scm 402 */
{ /* Object/slots.scm 403 */
obj_t BgL_lnumz00_1167;
{ /* Object/slots.scm 403 */
BgL_slotz00_bglt BgL_obj1820z00_1924;
{ /* Object/slots.scm 403 */
obj_t BgL_auxz00_3166;
BgL_auxz00_3166 = 
CAR(BgL_slotsz00_1162); 
BgL_obj1820z00_1924 = 
(BgL_slotz00_bglt)(BgL_auxz00_3166); } 
BgL_lnumz00_1167 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1820z00_1924))->BgL_virtualzd2numzd2); } 
{ 
obj_t BgL_numz00_3172;obj_t BgL_slotsz00_3170;
BgL_slotsz00_3170 = 
CDR(BgL_slotsz00_1162); 
{ /* Object/slots.scm 405 */
bool_t BgL_testz00_3173;
{ /* Object/slots.scm 405 */
long BgL_auxz00_3176;long BgL_auxz00_3174;
BgL_auxz00_3176 = 
(long)CINT(BgL_numz00_1163); 
BgL_auxz00_3174 = 
(long)CINT(BgL_lnumz00_1167); 
BgL_testz00_3173 = 
(BgL_auxz00_3174>BgL_auxz00_3176); } 
if(BgL_testz00_3173)
{ /* Object/slots.scm 405 */
BgL_numz00_3172 = BgL_lnumz00_1167; }  else 
{ /* Object/slots.scm 405 */
BgL_numz00_3172 = BgL_numz00_1163; } } 
BgL_numz00_1163 = BgL_numz00_3172; 
BgL_slotsz00_1162 = BgL_slotsz00_3170; 
goto BgL_loopz00_1164;} } }  else 
{ /* Object/slots.scm 402 */
{ 
obj_t BgL_slotsz00_3179;
BgL_slotsz00_3179 = 
CDR(BgL_slotsz00_1162); 
BgL_slotsz00_1162 = BgL_slotsz00_3179; 
goto BgL_loopz00_1164;} } } 
return 
BINT(BgL_auxz00_3151);} } } 
}



/* _get-local-virtual-slots-number */
obj_t BGl__getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(obj_t BgL_envz00_2334, obj_t BgL_classz00_2335, obj_t BgL_slotsz00_2336)
{ AN_OBJECT;
{ /* Object/slots.scm 396 */
return 
BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(
(BgL_tclassz00_bglt)(BgL_classz00_2335), BgL_slotsz00_2336);} 
}



/* make-class-make-formals */
obj_t BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t BgL_slotsz00_19)
{ AN_OBJECT;
{ /* Object/slots.scm 414 */
{ 
obj_t BgL_slotsz00_1174;obj_t BgL_formalsz00_1175;
BgL_slotsz00_1174 = BgL_slotsz00_19; 
BgL_formalsz00_1175 = BNIL; 
BgL_loopz00_1176:
if(
NULLP(BgL_slotsz00_1174))
{ /* Object/slots.scm 418 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_formalsz00_1175);}  else 
{ /* Object/slots.scm 420 */
bool_t BgL_testz00_3188;
{ /* Object/slots.scm 420 */
BgL_slotz00_bglt BgL_slotz00_1931;
{ /* Object/slots.scm 420 */
obj_t BgL_auxz00_3189;
BgL_auxz00_3189 = 
CAR(BgL_slotsz00_1174); 
BgL_slotz00_1931 = 
(BgL_slotz00_bglt)(BgL_auxz00_3189); } 
{ /* Object/slots.scm 420 */
long BgL_auxz00_3192;
{ /* Object/slots.scm 420 */
obj_t BgL_auxz00_3193;
BgL_auxz00_3193 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1931))->BgL_virtualzd2numzd2); 
BgL_auxz00_3192 = 
(long)CINT(BgL_auxz00_3193); } 
BgL_testz00_3188 = 
(BgL_auxz00_3192>=((long)0)); } } 
if(BgL_testz00_3188)
{ /* Object/slots.scm 420 */
{ 
obj_t BgL_slotsz00_3197;
BgL_slotsz00_3197 = 
CDR(BgL_slotsz00_1174); 
BgL_slotsz00_1174 = BgL_slotsz00_3197; 
goto BgL_loopz00_1176;} }  else 
{ /* Object/slots.scm 420 */
{ /* Object/slots.scm 423 */
obj_t BgL_arg2256z00_1180;obj_t BgL_arg2257z00_1181;
BgL_arg2256z00_1180 = 
CDR(BgL_slotsz00_1174); 
{ /* Object/slots.scm 424 */
obj_t BgL_arg2258z00_1182;
{ /* Object/slots.scm 424 */
obj_t BgL_arg2259z00_1183;
{ /* Object/slots.scm 424 */
obj_t BgL_auxz00_3200;
{ /* Object/slots.scm 424 */
BgL_slotz00_bglt BgL_obj1813z00_1941;
{ /* Object/slots.scm 424 */
obj_t BgL_auxz00_3201;
BgL_auxz00_3201 = 
CAR(BgL_slotsz00_1174); 
BgL_obj1813z00_1941 = 
(BgL_slotz00_bglt)(BgL_auxz00_3201); } 
BgL_auxz00_3200 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1813z00_1941))->BgL_idz00); } 
BgL_arg2259z00_1183 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_auxz00_3200, BEOA); } 
BgL_arg2258z00_1182 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2259z00_1183); } 
BgL_arg2257z00_1181 = 
MAKE_PAIR(BgL_arg2258z00_1182, BgL_formalsz00_1175); } 
{ 
obj_t BgL_formalsz00_3210;obj_t BgL_slotsz00_3209;
BgL_slotsz00_3209 = BgL_arg2256z00_1180; 
BgL_formalsz00_3210 = BgL_arg2257z00_1181; 
BgL_formalsz00_1175 = BgL_formalsz00_3210; 
BgL_slotsz00_1174 = BgL_slotsz00_3209; 
goto BgL_loopz00_1176;} } } } } } 
}



/* _make-class-make-formals */
obj_t BGl__makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t BgL_envz00_2337, obj_t BgL_slotsz00_2338)
{ AN_OBJECT;
{ /* Object/slots.scm 414 */
return 
BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(BgL_slotsz00_2338);} 
}



/* make-class-make-typed-formals */
obj_t BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t BgL_idsz00_20, obj_t BgL_slotsz00_21)
{ AN_OBJECT;
{ /* Object/slots.scm 430 */
{ 
obj_t BgL_slotsz00_1187;obj_t BgL_idsz00_1188;obj_t BgL_formalsz00_1189;
BgL_slotsz00_1187 = BgL_slotsz00_21; 
BgL_idsz00_1188 = BgL_idsz00_20; 
BgL_formalsz00_1189 = BNIL; 
BgL_loopz00_1190:
if(
NULLP(BgL_slotsz00_1187))
{ /* Object/slots.scm 435 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_formalsz00_1189);}  else 
{ /* Object/slots.scm 437 */
bool_t BgL_testz00_3215;
{ /* Object/slots.scm 437 */
BgL_slotz00_bglt BgL_slotz00_1944;
{ /* Object/slots.scm 437 */
obj_t BgL_auxz00_3216;
BgL_auxz00_3216 = 
CAR(BgL_slotsz00_1187); 
BgL_slotz00_1944 = 
(BgL_slotz00_bglt)(BgL_auxz00_3216); } 
{ /* Object/slots.scm 437 */
long BgL_auxz00_3219;
{ /* Object/slots.scm 437 */
obj_t BgL_auxz00_3220;
BgL_auxz00_3220 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_1944))->BgL_virtualzd2numzd2); 
BgL_auxz00_3219 = 
(long)CINT(BgL_auxz00_3220); } 
BgL_testz00_3215 = 
(BgL_auxz00_3219>=((long)0)); } } 
if(BgL_testz00_3215)
{ /* Object/slots.scm 437 */
{ 
obj_t BgL_slotsz00_3224;
BgL_slotsz00_3224 = 
CDR(BgL_slotsz00_1187); 
BgL_slotsz00_1187 = BgL_slotsz00_3224; 
goto BgL_loopz00_1190;} }  else 
{ /* Object/slots.scm 437 */
{ /* Object/slots.scm 440 */
obj_t BgL_arg2266z00_1194;obj_t BgL_arg2267z00_1195;obj_t BgL_arg2268z00_1196;
BgL_arg2266z00_1194 = 
CDR(BgL_slotsz00_1187); 
BgL_arg2267z00_1195 = 
CDR(BgL_idsz00_1188); 
{ /* Object/slots.scm 442 */
obj_t BgL_arg2269z00_1197;
{ /* Object/slots.scm 442 */
obj_t BgL_arg2270z00_1198;obj_t BgL_arg2271z00_1199;
BgL_arg2270z00_1198 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(
CAR(BgL_idsz00_1188)); 
{ /* Object/slots.scm 443 */
BgL_typez00_bglt BgL_obj1002z00_1957;
{ /* Object/slots.scm 443 */
obj_t BgL_auxz00_3230;
{ /* Object/slots.scm 443 */
BgL_slotz00_bglt BgL_obj1817z00_1956;
{ /* Object/slots.scm 443 */
obj_t BgL_auxz00_3231;
BgL_auxz00_3231 = 
CAR(BgL_slotsz00_1187); 
BgL_obj1817z00_1956 = 
(BgL_slotz00_bglt)(BgL_auxz00_3231); } 
BgL_auxz00_3230 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1817z00_1956))->BgL_typez00); } 
BgL_obj1002z00_1957 = 
(BgL_typez00_bglt)(BgL_auxz00_3230); } 
BgL_arg2271z00_1199 = 
(((BgL_typez00_bglt)CREF(BgL_obj1002z00_1957))->BgL_idz00); } 
BgL_arg2269z00_1197 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg2270z00_1198, BgL_arg2271z00_1199); } 
BgL_arg2268z00_1196 = 
MAKE_PAIR(BgL_arg2269z00_1197, BgL_formalsz00_1189); } 
{ 
obj_t BgL_formalsz00_3241;obj_t BgL_idsz00_3240;obj_t BgL_slotsz00_3239;
BgL_slotsz00_3239 = BgL_arg2266z00_1194; 
BgL_idsz00_3240 = BgL_arg2267z00_1195; 
BgL_formalsz00_3241 = BgL_arg2268z00_1196; 
BgL_formalsz00_1189 = BgL_formalsz00_3241; 
BgL_idsz00_1188 = BgL_idsz00_3240; 
BgL_slotsz00_1187 = BgL_slotsz00_3239; 
goto BgL_loopz00_1190;} } } } } } 
}



/* _make-class-make-typed-formals */
obj_t BGl__makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t BgL_envz00_2339, obj_t BgL_idsz00_2340, obj_t BgL_slotsz00_2341)
{ AN_OBJECT;
{ /* Object/slots.scm 430 */
return 
BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(BgL_idsz00_2340, BgL_slotsz00_2341);} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
{ /* Object/slots.scm 28 */
obj_t BgL_arg2276z00_1204;obj_t BgL_arg2277z00_1205;obj_t BgL_arg2281z00_1209;obj_t BgL_arg2282z00_1210;
BgL_arg2276z00_1204 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg2277z00_1205 = BGl_objectz00zz__objectz00; 
{ /* Object/slots.scm 28 */
obj_t BgL_arg2284z00_1211;obj_t BgL_arg2285z00_1212;obj_t BgL_arg2286z00_1213;obj_t BgL_arg2287z00_1214;obj_t BgL_arg2288z00_1215;obj_t BgL_arg2289z00_1216;obj_t BgL_arg2290z00_1217;obj_t BgL_arg2291z00_1218;obj_t BgL_arg2292z00_1219;obj_t BgL_arg2293z00_1220;obj_t BgL_arg2295z00_1221;obj_t BgL_arg2296z00_1222;
BgL_arg2284z00_1211 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_slotzd2idzd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2285z00_1212 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_slotzd2namezd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2286z00_1213 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_slotzd2srczd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2287z00_1214 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_slotzd2classzd2ownerzd2envzd2zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2288z00_1215 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_slotzd2typezd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2289z00_1216 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_slotzd2readzd2onlyzf3zd2envz21zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2290z00_1217 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_slotzd2defaultzd2valuezd2envzd2zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2291z00_1218 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_slotzd2virtualzd2numzd2envzd2zzobject_slotsz00, BGl_slotzd2virtualzd2numzd2setz12zd2envz12zzobject_slotsz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2292z00_1219 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_slotzd2getterzd2envz00zzobject_slotsz00, BGl_slotzd2getterzd2setz12zd2envzc0zzobject_slotsz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2293z00_1220 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_slotzd2setterzd2envz00zzobject_slotsz00, BGl_slotzd2setterzd2setz12zd2envzc0zzobject_slotsz00, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2295z00_1221 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_slotzd2indexedzd2envz00zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg2296z00_1222 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_slotzd2userzd2infozd2envzd2zzobject_slotsz00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Object/slots.scm 28 */
obj_t BgL_list2297z00_1223;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2298z00_1224;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2299z00_1225;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2300z00_1226;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2301z00_1227;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2302z00_1228;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2303z00_1229;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2304z00_1230;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2305z00_1231;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2306z00_1232;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2307z00_1233;
{ /* Object/slots.scm 28 */
obj_t BgL_arg2308z00_1234;
BgL_arg2308z00_1234 = 
MAKE_PAIR(BgL_arg2296z00_1222, BNIL); 
BgL_arg2307z00_1233 = 
MAKE_PAIR(BgL_arg2295z00_1221, BgL_arg2308z00_1234); } 
BgL_arg2306z00_1232 = 
MAKE_PAIR(BgL_arg2293z00_1220, BgL_arg2307z00_1233); } 
BgL_arg2305z00_1231 = 
MAKE_PAIR(BgL_arg2292z00_1219, BgL_arg2306z00_1232); } 
BgL_arg2304z00_1230 = 
MAKE_PAIR(BgL_arg2291z00_1218, BgL_arg2305z00_1231); } 
BgL_arg2303z00_1229 = 
MAKE_PAIR(BgL_arg2290z00_1217, BgL_arg2304z00_1230); } 
BgL_arg2302z00_1228 = 
MAKE_PAIR(BgL_arg2289z00_1216, BgL_arg2303z00_1229); } 
BgL_arg2301z00_1227 = 
MAKE_PAIR(BgL_arg2288z00_1215, BgL_arg2302z00_1228); } 
BgL_arg2300z00_1226 = 
MAKE_PAIR(BgL_arg2287z00_1214, BgL_arg2301z00_1227); } 
BgL_arg2299z00_1225 = 
MAKE_PAIR(BgL_arg2286z00_1213, BgL_arg2300z00_1226); } 
BgL_arg2298z00_1224 = 
MAKE_PAIR(BgL_arg2285z00_1212, BgL_arg2299z00_1225); } 
BgL_list2297z00_1223 = 
MAKE_PAIR(BgL_arg2284z00_1211, BgL_arg2298z00_1224); } 
BgL_arg2281z00_1209 = BgL_list2297z00_1223; } } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1933z00_1235;
{ 
int BgL_auxz00_3280;
BgL_auxz00_3280 = 
(int)(((long)0)); 
BgL_v1933z00_1235 = 
create_vector(BgL_auxz00_3280); } 
BgL_arg2282z00_1210 = BgL_v1933z00_1235; } 
BGl_slotz00zzobject_slotsz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2276z00_1204, BgL_arg2277z00_1205, BGl_makezd2slotzd2envz00zzobject_slotsz00, BGl_allocatezd2slotzd2envz00zzobject_slotsz00, ((long)55947), BgL_arg2281z00_1209, BFALSE, BgL_arg2282z00_1210); } 
return BUNSPEC;} 
}



/* slot? */
bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t BgL_obj1922z00_22)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1922z00_22, BGl_slotz00zzobject_slotsz00);} 
}



/* _slot? */
obj_t BGl__slotzf3zf3zzobject_slotsz00(obj_t BgL_envz00_2389, obj_t BgL_obj1922z00_2390)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
bool_t BgL_auxz00_3285;
BgL_auxz00_3285 = 
BGl_slotzf3zf3zzobject_slotsz00(BgL_obj1922z00_2390); 
return 
BBOOL(BgL_auxz00_3285);} } 
}



/* fill-slot! */
BgL_slotz00_bglt BGl_fillzd2slotz12zc0zzobject_slotsz00(BgL_slotz00_bglt BgL_new1843z00_26, obj_t BgL_id1831z00_27, obj_t BgL_name1832z00_28, obj_t BgL_src1833z00_29, obj_t BgL_classzd2owner1834zd2_30, obj_t BgL_type1835z00_31, bool_t BgL_readzd2onlyzf31836z21_32, obj_t BgL_defaultzd2value1837zd2_33, obj_t BgL_virtualzd2num1838zd2_34, obj_t BgL_getter1839z00_35, obj_t BgL_setter1840z00_36, obj_t BgL_indexed1841z00_37, obj_t BgL_userzd2info1842zd2_38)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_idz00) = ((obj_t)BgL_id1831z00_27), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_namez00) = ((obj_t)BgL_name1832z00_28), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_srcz00) = ((obj_t)BgL_src1833z00_29), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1834zd2_30), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_typez00) = ((obj_t)BgL_type1835z00_31), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31836z21_32), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_defaultzd2value1837zd2_33), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1838zd2_34), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_getterz00) = ((obj_t)BgL_getter1839z00_35), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_setterz00) = ((obj_t)BgL_setter1840z00_36), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_indexedz00) = ((obj_t)BgL_indexed1841z00_37), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1843z00_26))->BgL_userzd2infozd2) = ((obj_t)BgL_userzd2info1842zd2_38), BUNSPEC); 
return BgL_new1843z00_26;} 
}



/* _fill-slot! */
obj_t BGl__fillzd2slotz12zc0zzobject_slotsz00(obj_t BgL_envz00_2391, obj_t BgL_new1843z00_2392, obj_t BgL_id1831z00_2393, obj_t BgL_name1832z00_2394, obj_t BgL_src1833z00_2395, obj_t BgL_classzd2owner1834zd2_2396, obj_t BgL_type1835z00_2397, obj_t BgL_readzd2onlyzf31836z21_2398, obj_t BgL_defaultzd2value1837zd2_2399, obj_t BgL_virtualzd2num1838zd2_2400, obj_t BgL_getter1839z00_2401, obj_t BgL_setter1840z00_2402, obj_t BgL_indexed1841z00_2403, obj_t BgL_userzd2info1842zd2_2404)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_auxz00_3300;
BgL_auxz00_3300 = 
BGl_fillzd2slotz12zc0zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_new1843z00_2392), BgL_id1831z00_2393, BgL_name1832z00_2394, BgL_src1833z00_2395, BgL_classzd2owner1834zd2_2396, BgL_type1835z00_2397, 
CBOOL(BgL_readzd2onlyzf31836z21_2398), BgL_defaultzd2value1837zd2_2399, BgL_virtualzd2num1838zd2_2400, BgL_getter1839z00_2401, BgL_setter1840z00_2402, BgL_indexed1841z00_2403, BgL_userzd2info1842zd2_2404); 
return 
(obj_t)(BgL_auxz00_3300);} } 
}



/* make-slot */
BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t BgL_id1857z00_39, obj_t BgL_name1858z00_40, obj_t BgL_src1859z00_41, obj_t BgL_classzd2owner1860zd2_42, obj_t BgL_type1861z00_43, bool_t BgL_readzd2onlyzf31862z21_44, obj_t BgL_defaultzd2value1863zd2_45, obj_t BgL_virtualzd2num1864zd2_46, obj_t BgL_getter1865z00_47, obj_t BgL_setter1866z00_48, obj_t BgL_indexed1867z00_49, obj_t BgL_userzd2info1868zd2_50)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_new1869z00_1972;
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_res2384z00_1978;
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_new1871z00_1973;
BgL_new1871z00_1973 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 28 */
long BgL_arg2309z00_1974;
BgL_arg2309z00_1974 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 28 */
BgL_objectz00_bglt BgL_auxz00_3307;
BgL_auxz00_3307 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1973); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3307, BgL_arg2309z00_1974); } } 
{ /* Object/slots.scm 28 */
BgL_objectz00_bglt BgL_auxz00_3310;
BgL_auxz00_3310 = 
(BgL_objectz00_bglt)(BgL_new1871z00_1973); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3310, BFALSE); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3313;
BgL_auxz00_3313 = 
(obj_t)(BgL_new1871z00_1973); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3313); } BUNSPEC; 
BgL_res2384z00_1978 = BgL_new1871z00_1973; } 
BgL_new1869z00_1972 = BgL_res2384z00_1978; } 
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_res2385z00_2004;
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_idz00) = ((obj_t)BgL_id1857z00_39), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_namez00) = ((obj_t)BgL_name1858z00_40), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_srcz00) = ((obj_t)BgL_src1859z00_41), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_classzd2ownerzd2) = ((obj_t)BgL_classzd2owner1860zd2_42), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_typez00) = ((obj_t)BgL_type1861z00_43), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_readzd2onlyzf31862z21_44), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_defaultzd2value1863zd2_45), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_virtualzd2numzd2) = ((obj_t)BgL_virtualzd2num1864zd2_46), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_getterz00) = ((obj_t)BgL_getter1865z00_47), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_setterz00) = ((obj_t)BgL_setter1866z00_48), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_indexedz00) = ((obj_t)BgL_indexed1867z00_49), BUNSPEC); 
((((BgL_slotz00_bglt)CREF(BgL_new1869z00_1972))->BgL_userzd2infozd2) = ((obj_t)BgL_userzd2info1868zd2_50), BUNSPEC); 
BgL_res2385z00_2004 = BgL_new1869z00_1972; BgL_res2385z00_2004; } 
return BgL_new1869z00_1972;} } 
}



/* _make-slot */
obj_t BGl__makezd2slotzd2zzobject_slotsz00(obj_t BgL_envz00_2342, obj_t BgL_id1857z00_2343, obj_t BgL_name1858z00_2344, obj_t BgL_src1859z00_2345, obj_t BgL_classzd2owner1860zd2_2346, obj_t BgL_type1861z00_2347, obj_t BgL_readzd2onlyzf31862z21_2348, obj_t BgL_defaultzd2value1863zd2_2349, obj_t BgL_virtualzd2num1864zd2_2350, obj_t BgL_getter1865z00_2351, obj_t BgL_setter1866z00_2352, obj_t BgL_indexed1867z00_2353, obj_t BgL_userzd2info1868zd2_2354)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_auxz00_3328;
BgL_auxz00_3328 = 
BGl_makezd2slotzd2zzobject_slotsz00(BgL_id1857z00_2343, BgL_name1858z00_2344, BgL_src1859z00_2345, BgL_classzd2owner1860zd2_2346, BgL_type1861z00_2347, 
CBOOL(BgL_readzd2onlyzf31862z21_2348), BgL_defaultzd2value1863zd2_2349, BgL_virtualzd2num1864zd2_2350, BgL_getter1865z00_2351, BgL_setter1866z00_2352, BgL_indexed1867z00_2353, BgL_userzd2info1868zd2_2354); 
return 
(obj_t)(BgL_auxz00_3328);} } 
}



/* allocate-slot */
BgL_slotz00_bglt BGl_allocatezd2slotzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_new1871z00_2005;
BgL_new1871z00_2005 = 
((BgL_slotz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_slotz00_bgl) ))); 
{ /* Object/slots.scm 28 */
long BgL_arg2309z00_2006;
BgL_arg2309z00_2006 = 
BGl_classzd2numzd2zz__objectz00(BGl_slotz00zzobject_slotsz00); 
{ /* Object/slots.scm 28 */
BgL_objectz00_bglt BgL_auxz00_3334;
BgL_auxz00_3334 = 
(BgL_objectz00_bglt)(BgL_new1871z00_2005); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3334, BgL_arg2309z00_2006); } } 
{ /* Object/slots.scm 28 */
BgL_objectz00_bglt BgL_auxz00_3337;
BgL_auxz00_3337 = 
(BgL_objectz00_bglt)(BgL_new1871z00_2005); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3337, BFALSE); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3340;
BgL_auxz00_3340 = 
(obj_t)(BgL_new1871z00_2005); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3340); } BUNSPEC; 
return BgL_new1871z00_2005;} } 
}



/* _allocate-slot */
obj_t BGl__allocatezd2slotzd2zzobject_slotsz00(obj_t BgL_envz00_2355)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_auxz00_3343;
BgL_auxz00_3343 = 
BGl_allocatezd2slotzd2zzobject_slotsz00(); 
return 
(obj_t)(BgL_auxz00_3343);} } 
}



/* slot-id */
obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1813z00_51)
{ AN_OBJECT;
{ /* Object/slots.scm 29 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1813z00_51))->BgL_idz00);} 
}



/* _slot-id */
obj_t BGl__slotzd2idzd2zzobject_slotsz00(obj_t BgL_envz00_2356, obj_t BgL_obj1813z00_2357)
{ AN_OBJECT;
{ /* Object/slots.scm 29 */
return 
BGl_slotzd2idzd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1813z00_2357));} 
}



/* slot-name */
obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1814z00_52)
{ AN_OBJECT;
{ /* Object/slots.scm 31 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1814z00_52))->BgL_namez00);} 
}



/* _slot-name */
obj_t BGl__slotzd2namezd2zzobject_slotsz00(obj_t BgL_envz00_2358, obj_t BgL_obj1814z00_2359)
{ AN_OBJECT;
{ /* Object/slots.scm 31 */
return 
BGl_slotzd2namezd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1814z00_2359));} 
}



/* slot-src */
obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1815z00_53)
{ AN_OBJECT;
{ /* Object/slots.scm 33 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1815z00_53))->BgL_srcz00);} 
}



/* _slot-src */
obj_t BGl__slotzd2srczd2zzobject_slotsz00(obj_t BgL_envz00_2360, obj_t BgL_obj1815z00_2361)
{ AN_OBJECT;
{ /* Object/slots.scm 33 */
return 
BGl_slotzd2srczd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1815z00_2361));} 
}



/* slot-class-owner */
obj_t BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1816z00_54)
{ AN_OBJECT;
{ /* Object/slots.scm 35 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1816z00_54))->BgL_classzd2ownerzd2);} 
}



/* _slot-class-owner */
obj_t BGl__slotzd2classzd2ownerz00zzobject_slotsz00(obj_t BgL_envz00_2362, obj_t BgL_obj1816z00_2363)
{ AN_OBJECT;
{ /* Object/slots.scm 35 */
return 
BGl_slotzd2classzd2ownerz00zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1816z00_2363));} 
}



/* slot-type */
obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1817z00_55)
{ AN_OBJECT;
{ /* Object/slots.scm 37 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1817z00_55))->BgL_typez00);} 
}



/* _slot-type */
obj_t BGl__slotzd2typezd2zzobject_slotsz00(obj_t BgL_envz00_2364, obj_t BgL_obj1817z00_2365)
{ AN_OBJECT;
{ /* Object/slots.scm 37 */
return 
BGl_slotzd2typezd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1817z00_2365));} 
}



/* slot-read-only? */
bool_t BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1818z00_56)
{ AN_OBJECT;
{ /* Object/slots.scm 39 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1818z00_56))->BgL_readzd2onlyzf3z21);} 
}



/* _slot-read-only? */
obj_t BGl__slotzd2readzd2onlyzf3zf3zzobject_slotsz00(obj_t BgL_envz00_2366, obj_t BgL_obj1818z00_2367)
{ AN_OBJECT;
{ /* Object/slots.scm 39 */
{ /* Object/slots.scm 39 */
bool_t BgL_auxz00_3362;
BgL_auxz00_3362 = 
BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1818z00_2367)); 
return 
BBOOL(BgL_auxz00_3362);} } 
}



/* slot-default-value */
obj_t BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1819z00_57)
{ AN_OBJECT;
{ /* Object/slots.scm 41 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1819z00_57))->BgL_defaultzd2valuezd2);} 
}



/* _slot-default-value */
obj_t BGl__slotzd2defaultzd2valuez00zzobject_slotsz00(obj_t BgL_envz00_2368, obj_t BgL_obj1819z00_2369)
{ AN_OBJECT;
{ /* Object/slots.scm 41 */
return 
BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1819z00_2369));} 
}



/* slot-virtual-num-set! */
obj_t BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1822z00_58, obj_t BgL_val1821z00_59)
{ AN_OBJECT;
{ /* Object/slots.scm 43 */
return 
((((BgL_slotz00_bglt)CREF(BgL_obj1822z00_58))->BgL_virtualzd2numzd2) = ((obj_t)BgL_val1821z00_59), BUNSPEC);} 
}



/* _slot-virtual-num-set! */
obj_t BGl__slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(obj_t BgL_envz00_2372, obj_t BgL_obj1822z00_2373, obj_t BgL_val1821z00_2374)
{ AN_OBJECT;
{ /* Object/slots.scm 43 */
return 
BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1822z00_2373), BgL_val1821z00_2374);} 
}



/* slot-virtual-num */
obj_t BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1820z00_60)
{ AN_OBJECT;
{ /* Object/slots.scm 43 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1820z00_60))->BgL_virtualzd2numzd2);} 
}



/* _slot-virtual-num */
obj_t BGl__slotzd2virtualzd2numz00zzobject_slotsz00(obj_t BgL_envz00_2370, obj_t BgL_obj1820z00_2371)
{ AN_OBJECT;
{ /* Object/slots.scm 43 */
return 
BGl_slotzd2virtualzd2numz00zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1820z00_2371));} 
}



/* slot-getter-set! */
obj_t BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1825z00_61, obj_t BgL_val1824z00_62)
{ AN_OBJECT;
{ /* Object/slots.scm 45 */
return 
((((BgL_slotz00_bglt)CREF(BgL_obj1825z00_61))->BgL_getterz00) = ((obj_t)BgL_val1824z00_62), BUNSPEC);} 
}



/* _slot-getter-set! */
obj_t BGl__slotzd2getterzd2setz12z12zzobject_slotsz00(obj_t BgL_envz00_2377, obj_t BgL_obj1825z00_2378, obj_t BgL_val1824z00_2379)
{ AN_OBJECT;
{ /* Object/slots.scm 45 */
return 
BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1825z00_2378), BgL_val1824z00_2379);} 
}



/* slot-getter */
obj_t BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1823z00_63)
{ AN_OBJECT;
{ /* Object/slots.scm 45 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1823z00_63))->BgL_getterz00);} 
}



/* _slot-getter */
obj_t BGl__slotzd2getterzd2zzobject_slotsz00(obj_t BgL_envz00_2375, obj_t BgL_obj1823z00_2376)
{ AN_OBJECT;
{ /* Object/slots.scm 45 */
return 
BGl_slotzd2getterzd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1823z00_2376));} 
}



/* slot-setter-set! */
obj_t BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1828z00_64, obj_t BgL_val1827z00_65)
{ AN_OBJECT;
{ /* Object/slots.scm 47 */
return 
((((BgL_slotz00_bglt)CREF(BgL_obj1828z00_64))->BgL_setterz00) = ((obj_t)BgL_val1827z00_65), BUNSPEC);} 
}



/* _slot-setter-set! */
obj_t BGl__slotzd2setterzd2setz12z12zzobject_slotsz00(obj_t BgL_envz00_2382, obj_t BgL_obj1828z00_2383, obj_t BgL_val1827z00_2384)
{ AN_OBJECT;
{ /* Object/slots.scm 47 */
return 
BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1828z00_2383), BgL_val1827z00_2384);} 
}



/* slot-setter */
obj_t BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1826z00_66)
{ AN_OBJECT;
{ /* Object/slots.scm 47 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1826z00_66))->BgL_setterz00);} 
}



/* _slot-setter */
obj_t BGl__slotzd2setterzd2zzobject_slotsz00(obj_t BgL_envz00_2380, obj_t BgL_obj1826z00_2381)
{ AN_OBJECT;
{ /* Object/slots.scm 47 */
return 
BGl_slotzd2setterzd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1826z00_2381));} 
}



/* slot-indexed */
obj_t BGl_slotzd2indexedzd2zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1829z00_67)
{ AN_OBJECT;
{ /* Object/slots.scm 50 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1829z00_67))->BgL_indexedz00);} 
}



/* _slot-indexed */
obj_t BGl__slotzd2indexedzd2zzobject_slotsz00(obj_t BgL_envz00_2385, obj_t BgL_obj1829z00_2386)
{ AN_OBJECT;
{ /* Object/slots.scm 50 */
return 
BGl_slotzd2indexedzd2zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1829z00_2386));} 
}



/* slot-user-info */
obj_t BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt BgL_obj1830z00_68)
{ AN_OBJECT;
{ /* Object/slots.scm 52 */
return 
(((BgL_slotz00_bglt)CREF(BgL_obj1830z00_68))->BgL_userzd2infozd2);} 
}



/* _slot-user-info */
obj_t BGl__slotzd2userzd2infoz00zzobject_slotsz00(obj_t BgL_envz00_2387, obj_t BgL_obj1830z00_2388)
{ AN_OBJECT;
{ /* Object/slots.scm 52 */
return 
BGl_slotzd2userzd2infoz00zzobject_slotsz00(
(BgL_slotz00_bglt)(BgL_obj1830z00_2388));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_slotz00zzobject_slotsz00, BGl_proc2404z00zzobject_slotsz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_slotz00zzobject_slotsz00, BGl_proc2405z00zzobject_slotsz00);} 
}



/* struct+object->object-slot1937 */
obj_t BGl_structzb2objectzd2ze3objectzd2slot1937z51zzobject_slotsz00(obj_t BgL_envz00_2407, obj_t BgL_oz00_2408, obj_t BgL_sz00_2409)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ 
BgL_slotz00_bglt BgL_oz00_1434;obj_t BgL_sz00_1435;
{ /* Object/slots.scm 28 */
BgL_slotz00_bglt BgL_auxz00_3395;
BgL_oz00_1434 = 
(BgL_slotz00_bglt)(BgL_oz00_2408); 
BgL_sz00_1435 = BgL_sz00_2409; 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3398;BgL_objectz00_bglt BgL_auxz00_3396;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3399;
BgL_auxz00_3399 = 
(int)(((long)0)); 
BgL_auxz00_3398 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3399); } 
BgL_auxz00_3396 = 
(BgL_objectz00_bglt)(BgL_oz00_1434); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3396, BgL_auxz00_3398); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1876z00_1439;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3403;
BgL_auxz00_3403 = 
(int)(((long)1)); 
BgL_v1876z00_1439 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3403); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_idz00) = ((obj_t)BgL_v1876z00_1439), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1880z00_1440;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3407;
BgL_auxz00_3407 = 
(int)(((long)2)); 
BgL_v1880z00_1440 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3407); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_namez00) = ((obj_t)BgL_v1880z00_1440), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1884z00_1441;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3411;
BgL_auxz00_3411 = 
(int)(((long)3)); 
BgL_v1884z00_1441 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3411); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_srcz00) = ((obj_t)BgL_v1884z00_1441), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1888z00_1442;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3415;
BgL_auxz00_3415 = 
(int)(((long)4)); 
BgL_v1888z00_1442 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3415); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_classzd2ownerzd2) = ((obj_t)BgL_v1888z00_1442), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1892z00_1443;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3419;
BgL_auxz00_3419 = 
(int)(((long)5)); 
BgL_v1892z00_1443 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3419); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_typez00) = ((obj_t)BgL_v1892z00_1443), BUNSPEC); } 
{ /* Object/slots.scm 28 */
bool_t BgL_v1896z00_1444;
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3423;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3424;
BgL_auxz00_3424 = 
(int)(((long)6)); 
BgL_auxz00_3423 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3424); } 
BgL_v1896z00_1444 = 
CBOOL(BgL_auxz00_3423); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_readzd2onlyzf3z21) = ((bool_t)BgL_v1896z00_1444), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1900z00_1445;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3429;
BgL_auxz00_3429 = 
(int)(((long)7)); 
BgL_v1900z00_1445 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3429); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_defaultzd2valuezd2) = ((obj_t)BgL_v1900z00_1445), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1904z00_1446;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3433;
BgL_auxz00_3433 = 
(int)(((long)8)); 
BgL_v1904z00_1446 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3433); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_virtualzd2numzd2) = ((obj_t)BgL_v1904z00_1446), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1908z00_1447;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3437;
BgL_auxz00_3437 = 
(int)(((long)9)); 
BgL_v1908z00_1447 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3437); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_getterz00) = ((obj_t)BgL_v1908z00_1447), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1912z00_1448;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3441;
BgL_auxz00_3441 = 
(int)(((long)10)); 
BgL_v1912z00_1448 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3441); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_setterz00) = ((obj_t)BgL_v1912z00_1448), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1916z00_1449;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3445;
BgL_auxz00_3445 = 
(int)(((long)11)); 
BgL_v1916z00_1449 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3445); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_indexedz00) = ((obj_t)BgL_v1916z00_1449), BUNSPEC); } 
{ /* Object/slots.scm 28 */
obj_t BgL_v1920z00_1450;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3449;
BgL_auxz00_3449 = 
(int)(((long)12)); 
BgL_v1920z00_1450 = 
STRUCT_REF(BgL_sz00_1435, BgL_auxz00_3449); } 
((((BgL_slotz00_bglt)CREF(BgL_oz00_1434))->BgL_userzd2infozd2) = ((obj_t)BgL_v1920z00_1450), BUNSPEC); } 
BgL_auxz00_3395 = BgL_oz00_1434; 
return 
(obj_t)(BgL_auxz00_3395);} } } 
}



/* object->struct-slot1935 */
obj_t BGl_objectzd2ze3structzd2slot1935ze3zzobject_slotsz00(obj_t BgL_envz00_2410, obj_t BgL_obj1872z00_2411)
{ AN_OBJECT;
{ /* Object/slots.scm 28 */
{ 
BgL_slotz00_bglt BgL_obj1872z00_1404;
BgL_obj1872z00_1404 = 
(BgL_slotz00_bglt)(BgL_obj1872z00_2411); 
{ /* Object/slots.scm 28 */
obj_t BgL_res1873z00_1407;
{ /* Object/slots.scm 28 */
int BgL_auxz00_3457;obj_t BgL_auxz00_3455;
BgL_auxz00_3457 = 
(int)(((long)13)); 
BgL_auxz00_3455 = 
CNST_TABLE_REF(((long)15)); 
BgL_res1873z00_1407 = 
make_struct(BgL_auxz00_3455, BgL_auxz00_3457, BUNSPEC); } 
{ /* Object/slots.scm 28 */
int BgL_auxz00_3460;
BgL_auxz00_3460 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3460, BFALSE); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3465;int BgL_auxz00_3463;
BgL_auxz00_3465 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_idz00); 
BgL_auxz00_3463 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3463, BgL_auxz00_3465); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3470;int BgL_auxz00_3468;
BgL_auxz00_3470 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_namez00); 
BgL_auxz00_3468 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3468, BgL_auxz00_3470); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3475;int BgL_auxz00_3473;
BgL_auxz00_3475 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_srcz00); 
BgL_auxz00_3473 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3473, BgL_auxz00_3475); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3480;int BgL_auxz00_3478;
BgL_auxz00_3480 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_classzd2ownerzd2); 
BgL_auxz00_3478 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3478, BgL_auxz00_3480); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3485;int BgL_auxz00_3483;
BgL_auxz00_3485 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_typez00); 
BgL_auxz00_3483 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3483, BgL_auxz00_3485); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3490;int BgL_auxz00_3488;
{ /* Object/slots.scm 28 */
bool_t BgL_auxz00_3491;
BgL_auxz00_3491 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_readzd2onlyzf3z21); 
BgL_auxz00_3490 = 
BBOOL(BgL_auxz00_3491); } 
BgL_auxz00_3488 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3488, BgL_auxz00_3490); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3497;int BgL_auxz00_3495;
BgL_auxz00_3497 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_defaultzd2valuezd2); 
BgL_auxz00_3495 = 
(int)(((long)7)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3495, BgL_auxz00_3497); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3502;int BgL_auxz00_3500;
BgL_auxz00_3502 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_virtualzd2numzd2); 
BgL_auxz00_3500 = 
(int)(((long)8)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3500, BgL_auxz00_3502); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3507;int BgL_auxz00_3505;
BgL_auxz00_3507 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_getterz00); 
BgL_auxz00_3505 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3505, BgL_auxz00_3507); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3512;int BgL_auxz00_3510;
BgL_auxz00_3512 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_setterz00); 
BgL_auxz00_3510 = 
(int)(((long)10)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3510, BgL_auxz00_3512); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3517;int BgL_auxz00_3515;
BgL_auxz00_3517 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_indexedz00); 
BgL_auxz00_3515 = 
(int)(((long)11)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3515, BgL_auxz00_3517); } 
{ /* Object/slots.scm 28 */
obj_t BgL_auxz00_3522;int BgL_auxz00_3520;
BgL_auxz00_3522 = 
(((BgL_slotz00_bglt)CREF(BgL_obj1872z00_1404))->BgL_userzd2infozd2); 
BgL_auxz00_3520 = 
(int)(((long)12)); 
STRUCT_SET(BgL_res1873z00_1407, BgL_auxz00_3520, BgL_auxz00_3522); } 
return BgL_res1873z00_1407;} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00()
{ AN_OBJECT;
{ /* Object/slots.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "object_slots"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_slots"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "object_slots"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_slots"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_slots"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_slots"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)16653), "object_slots"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "object_slots"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_slots"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_slots"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_slots"); 
return 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)22459), "object_slots");} 
}

