/*===========================================================================*/
/*   (Reduce/1occ.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzreduce_1occz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_nodezd21occz12zd2kwote2749z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2atom2747z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_nodezd21occz12zd2conditional2767z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl__reducezd21occz12zc0zzreduce_1occz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2appzd2ly2757zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2boxzd2setz122783zd2zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_nodezd21occz12zd2setq2765z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzreduce_1occz00();
static obj_t BGl__nodezd21occz12zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2sequence2755z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2select2771z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2letzd2fun2773zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2app2787z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzreduce_1occz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
static obj_t BGl_nodezd21occz12zd2letzd2var2775zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2funcall2759z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2jumpzd2exzd2it2779z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2cast2763z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2closure2753z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
static obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2makezd2box2781zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2setzd2exzd2it2777z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2default2744z12zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
static long BGl_za2variablezd2removedza2zd2zzreduce_1occz00;
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl__nodezd21occz12zd2default2744z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2extern2761z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_za2res1za2z00zz__r5_control_features_6_4z00;
static obj_t BGl_nodezd21occz12zd2fail2769z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00;
static obj_t BGl_requirezd2initializa7ationz75zzreduce_1occz00 = BUNSPEC;
static obj_t BGl_nodezd21occz12zd2boxzd2ref2785zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
static obj_t BGl_nodezd21occz12zd2var2751z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;

DEFINE_STATIC_GENERIC( BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_bgl__nodeza7d21occza712za7c0za7za7reduce_1occza7003043z00, BGl__nodezd21occz12zc0zzreduce_1occz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_reducezd21occz12zd2envz12zzreduce_1occz00, BgL_bgl__reduceza7d21occza712za7c0za7za7reduce_1occza7003044z00, BGl__reducezd21occz12zc0zzreduce_1occz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3016z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2atom2747za712za7za7reduce_1occza7003045za7, BGl_nodezd21occz12zd2atom2747z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3017z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2kwote2749za712za7za7reduce_1occza7003046za7, BGl_nodezd21occz12zd2kwote2749z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3018z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2var2751za712za7za7reduce_1occza7003047za7, BGl_nodezd21occz12zd2var2751z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3020z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2sequence2755za712za7za7reduce_1occza7003048za7, BGl_nodezd21occz12zd2sequence2755z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3019z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2closure2753za712za7za7reduce_1occza7003049za7, BGl_nodezd21occz12zd2closure2753z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3021z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2appza7d2ly2757za7c0za7za7reduce_1occza7003050z00, BGl_nodezd21occz12zd2appzd2ly2757zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3022z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2funcall2759za712za7za7reduce_1occza7003051za7, BGl_nodezd21occz12zd2funcall2759z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3023z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2extern2761za712za7za7reduce_1occza7003052za7, BGl_nodezd21occz12zd2extern2761z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3024z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2cast2763za712za7za7reduce_1occza7003053za7, BGl_nodezd21occz12zd2cast2763z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3025z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2setq2765za712za7za7reduce_1occza7003054za7, BGl_nodezd21occz12zd2setq2765z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3026z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2conditional2767za712za7za7reduce_1occza7003055za7, BGl_nodezd21occz12zd2conditional2767z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3027z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2fail2769za712za7za7reduce_1occza7003056za7, BGl_nodezd21occz12zd2fail2769z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3028z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2select2771za712za7za7reduce_1occza7003057za7, BGl_nodezd21occz12zd2select2771z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3030z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2letza7d2var2775za7c0za7za7reduce_1occza7003058z00, BGl_nodezd21occz12zd2letzd2var2775zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3029z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2letza7d2fun2773za7c0za7za7reduce_1occza7003059z00, BGl_nodezd21occz12zd2letzd2fun2773zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3031z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2setza7d2exza7d2it2777za712za7za7reduce_1occza7003060za7, BGl_nodezd21occz12zd2setzd2exzd2it2777z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3032z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2jumpza7d2exza7d2it2779za712za7za7reduce_1occza7003061za7, BGl_nodezd21occz12zd2jumpzd2exzd2it2779z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3033z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2makeza7d2box2781za7c0za7za7reduce_1occza7003062z00, BGl_nodezd21occz12zd2makezd2box2781zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3034z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2boxza7d2setza7122783za7d2za7za7reduce_1occza7003063za7, BGl_nodezd21occz12zd2boxzd2setz122783zd2zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3035z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2boxza7d2ref2785za7c0za7za7reduce_1occza7003064z00, BGl_nodezd21occz12zd2boxzd2ref2785zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3036z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2app2787za712za7za7reduce_1occza7003065za7, BGl_nodezd21occz12zd2app2787z12zzreduce_1occz00, 0L, 2 );
DEFINE_STRING( BGl_string3038z00zzreduce_1occz00, BgL_bgl_string3038za700za7za7reduce_1occza7003066z00, "node-1occ!-default2744 read ", 28 );
DEFINE_STRING( BGl_string3037z00zzreduce_1occz00, BgL_bgl_string3037za700za7za7reduce_1occza7003067z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3015z00zzreduce_1occz00, BgL_bgl_string3015za700za7za7reduce_1occza7003068z00, "(removed : ", 11 );
DEFINE_STRING( BGl_string3014z00zzreduce_1occz00, BgL_bgl_string3014za700za7za7reduce_1occza7003069z00, "      single occurrence      ", 29 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd21occz12zd2default2744zd2envzc0zzreduce_1occz00, BgL_bgl__nodeza7d21occza712za7d2default2744za712za7za7reduce_1occza7003070za7, BGl__nodezd21occz12zd2default2744z12zzreduce_1occz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long BgL_checksumz00_3499, char * BgL_fromz00_3500)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzreduce_1occz00))
{ 
BGl_requirezd2initializa7ationz75zzreduce_1occz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzreduce_1occz00(); 
BGl_cnstzd2initzd2zzreduce_1occz00(); 
BGl_importedzd2moduleszd2initz00zzreduce_1occz00(); 
BGl_methodzd2initzd2zzreduce_1occz00(); 
BGl_toplevelzd2initzd2zzreduce_1occz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "reduce_1occ"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
{ /* Reduce/1occ.scm 16 */
obj_t BgL_cportz00_3492;
BgL_cportz00_3492 = 
open_input_string(BGl_string3038z00zzreduce_1occz00); 
{ 
long BgL_iz00_3493;
BgL_iz00_3493 = ((long)1); 
BgL_loopz00_3494:
if(
(BgL_iz00_3493==((long)-1)))
{ /* Reduce/1occ.scm 16 */
return BUNSPEC;}  else 
{ /* Reduce/1occ.scm 16 */
{ /* Reduce/1occ.scm 16 */
obj_t BgL_arg3040z00_3496;
{ /* Reduce/1occ.scm 16 */
obj_t BgL_list3041z00_3497;
BgL_list3041z00_3497 = 
MAKE_PAIR(BgL_cportz00_3492, BNIL); 
BgL_arg3040z00_3496 = 
BGl_readz00zz__readerz00(BgL_list3041z00_3497); } 
{ /* Reduce/1occ.scm 16 */
int BgL_auxz00_3518;
BgL_auxz00_3518 = 
(int)(BgL_iz00_3493); 
CNST_TABLE_SET(BgL_auxz00_3518, BgL_arg3040z00_3496); } } 
{ 
long BgL_iz00_3521;
{ /* Reduce/1occ.scm 16 */
int BgL_auxz00_3522;
{ /* Reduce/1occ.scm 16 */
long BgL_auxz00_3523;
BgL_auxz00_3523 = 
(BgL_iz00_3493-((long)1)); 
BgL_auxz00_3522 = 
(int)(BgL_auxz00_3523); } 
BgL_iz00_3521 = 
(long)(BgL_auxz00_3522); } 
BgL_iz00_3493 = BgL_iz00_3521; 
goto BgL_loopz00_3494;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long)0); 
return BUNSPEC;} 
}



/* reduce-1occ! */
obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 35 */
{ /* Reduce/1occ.scm 36 */
obj_t BgL_list2788z00_1269;
BgL_list2788z00_1269 = 
MAKE_PAIR(BGl_string3014z00zzreduce_1occz00, BNIL); 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2788z00_1269); } 
BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_1); 
BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long)0); 
{ 
obj_t BgL_l2654z00_1270;
BgL_l2654z00_1270 = BgL_globalsz00_1; 
BgL_lname2655z00_1271:
if(
PAIRP(BgL_l2654z00_1270))
{ /* Reduce/1occ.scm 42 */
{ /* Reduce/1occ.scm 43 */
BgL_valuez00_bglt BgL_funz00_1274;
{ /* Reduce/1occ.scm 43 */
BgL_globalz00_bglt BgL_obj1155z00_2049;
{ /* Reduce/1occ.scm 43 */
obj_t BgL_auxz00_3533;
BgL_auxz00_3533 = 
CAR(BgL_l2654z00_1270); 
BgL_obj1155z00_2049 = 
(BgL_globalz00_bglt)(BgL_auxz00_3533); } 
BgL_funz00_1274 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2049))->BgL_valuez00); } 
{ /* Reduce/1occ.scm 44 */

{ /* Reduce/1occ.scm 45 */
obj_t BgL_arg2790z00_1276;
{ /* Reduce/1occ.scm 45 */
obj_t BgL__z00_1277;
{ /* Reduce/1occ.scm 46 */
BgL_nodez00_bglt BgL_nodez00_2051;
{ /* Reduce/1occ.scm 46 */
obj_t BgL_auxz00_3537;
{ /* Reduce/1occ.scm 44 */
BgL_sfunz00_bglt BgL_obj1372z00_2050;
BgL_obj1372z00_2050 = 
(BgL_sfunz00_bglt)(BgL_funz00_1274); 
BgL_auxz00_3537 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2050))->BgL_bodyz00); } 
BgL_nodez00_2051 = 
(BgL_nodez00_bglt)(BgL_auxz00_3537); } 
{ /* Reduce/1occ.scm 46 */
obj_t BgL_method2745z00_2053;
{ /* Reduce/1occ.scm 46 */
long BgL_objzd2classzd2numz00_2055;
{ /* Reduce/1occ.scm 46 */
BgL_objectz00_bglt BgL_auxz00_3541;
BgL_auxz00_3541 = 
(BgL_objectz00_bglt)(BgL_nodez00_2051); 
BgL_objzd2classzd2numz00_2055 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3541); } 
{ /* Reduce/1occ.scm 46 */
obj_t BgL_arg1221z00_2056;
{ /* Reduce/1occ.scm 46 */
int BgL_auxz00_3544;
BgL_auxz00_3544 = 
(int)(((long)1)); 
BgL_arg1221z00_2056 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3544); } 
{ /* Reduce/1occ.scm 46 */
long BgL_offsetz00_2060;
{ /* Reduce/1occ.scm 46 */
long BgL_auxz00_3547;
{ /* Reduce/1occ.scm 46 */
int BgL_auxz00_3548;
BgL_auxz00_3548 = 
(int)(BgL_objzd2classzd2numz00_2055); 
BgL_auxz00_3547 = 
(long)(BgL_auxz00_3548); } 
BgL_offsetz00_2060 = 
(BgL_auxz00_3547-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 46 */
long BgL_modz00_2061;
{ /* Reduce/1occ.scm 46 */
long BgL_auxz00_3552;
{ /* Reduce/1occ.scm 46 */
int BgL_auxz00_3553;
BgL_auxz00_3553 = 
(int)(((long)8)); 
BgL_auxz00_3552 = 
(long)(BgL_auxz00_3553); } 
BgL_modz00_2061 = 
(BgL_offsetz00_2060/BgL_auxz00_3552); } 
{ /* Reduce/1occ.scm 46 */
long BgL_restz00_2063;
{ /* Reduce/1occ.scm 46 */
long BgL_auxz00_3557;
{ /* Reduce/1occ.scm 46 */
int BgL_auxz00_3558;
BgL_auxz00_3558 = 
(int)(((long)8)); 
BgL_auxz00_3557 = 
(long)(BgL_auxz00_3558); } 
BgL_restz00_2063 = 
(BgL_offsetz00_2060%BgL_auxz00_3557); } 
{ /* Reduce/1occ.scm 46 */

{ /* Reduce/1occ.scm 46 */
obj_t BgL_bucketz00_2065;
{ /* Reduce/1occ.scm 46 */
int BgL_kz00_2075;
BgL_kz00_2075 = 
(int)(BgL_modz00_2061); 
BgL_bucketz00_2065 = 
VECTOR_REF(BgL_arg1221z00_2056,BgL_kz00_2075); } 
{ /* Reduce/1occ.scm 46 */
int BgL_kz00_2077;
BgL_kz00_2077 = 
(int)(BgL_restz00_2063); 
BgL_method2745z00_2053 = 
VECTOR_REF(BgL_bucketz00_2065,BgL_kz00_2077); } } } } } } } } 
BgL__z00_1277 = 
PROCEDURE_ENTRY(BgL_method2745z00_2053)(BgL_method2745z00_2053, 
(obj_t)(BgL_nodez00_2051), BNIL, BEOA); } } 
{ /* Reduce/1occ.scm 45 */
obj_t BgL_nodez00_1278;
BgL_nodez00_1278 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
BgL_arg2790z00_1276 = BgL_nodez00_1278; } } 
{ /* Reduce/1occ.scm 45 */
BgL_sfunz00_bglt BgL_obj1374z00_2078;
BgL_obj1374z00_2078 = 
(BgL_sfunz00_bglt)(BgL_funz00_1274); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2078))->BgL_bodyz00) = ((obj_t)BgL_arg2790z00_1276), BUNSPEC); } } BUNSPEC; } } 
{ 
obj_t BgL_l2654z00_3571;
BgL_l2654z00_3571 = 
CDR(BgL_l2654z00_1270); 
BgL_l2654z00_1270 = BgL_l2654z00_3571; 
goto BgL_lname2655z00_1271;} }  else 
{ /* Reduce/1occ.scm 42 */((bool_t)1); } } 
{ /* Reduce/1occ.scm 50 */
obj_t BgL_list2792z00_1280;
{ /* Reduce/1occ.scm 50 */
obj_t BgL_arg2795z00_1282;
{ /* Reduce/1occ.scm 50 */
obj_t BgL_arg2796z00_1283;
{ /* Reduce/1occ.scm 50 */
obj_t BgL_arg2797z00_1284;
{ /* Reduce/1occ.scm 50 */
obj_t BgL_auxz00_3573;
BgL_auxz00_3573 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2797z00_1284 = 
MAKE_PAIR(BgL_auxz00_3573, BNIL); } 
{ /* Reduce/1occ.scm 50 */
obj_t BgL_auxz00_3576;
BgL_auxz00_3576 = 
BCHAR(((unsigned char)')')); 
BgL_arg2796z00_1283 = 
MAKE_PAIR(BgL_auxz00_3576, BgL_arg2797z00_1284); } } 
{ /* Reduce/1occ.scm 50 */
obj_t BgL_auxz00_3579;
BgL_auxz00_3579 = 
BINT(BGl_za2variablezd2removedza2zd2zzreduce_1occz00); 
BgL_arg2795z00_1282 = 
MAKE_PAIR(BgL_auxz00_3579, BgL_arg2796z00_1283); } } 
BgL_list2792z00_1280 = 
MAKE_PAIR(BGl_string3015z00zzreduce_1occz00, BgL_arg2795z00_1282); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2792z00_1280); } 
return BgL_globalsz00_1;} 
}



/* _reduce-1occ! */
obj_t BGl__reducezd21occz12zc0zzreduce_1occz00(obj_t BgL_envz00_3400, obj_t BgL_globalsz00_3401)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 35 */
return 
BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_3401);} 
}



/* node-1occ*! */
obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t BgL_nodeza2za2_48, obj_t BgL_1zd2expza2z70_49)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 381 */
{ 
obj_t BgL_nodeza2za2_1285;bool_t BgL_resetz00_1286;obj_t BgL_1zd2expza2z70_1287;
BgL_nodeza2za2_1285 = BgL_nodeza2za2_48; 
BgL_resetz00_1286 = ((bool_t)0); 
BgL_1zd2expza2z70_1287 = BgL_1zd2expza2z70_49; 
BgL_loopz00_1288:
if(
NULLP(BgL_nodeza2za2_1285))
{ /* Reduce/1occ.scm 386 */
return 
BBOOL(BgL_resetz00_1286);}  else 
{ /* Reduce/1occ.scm 388 */
bool_t BgL_testz00_3589;
{ /* Reduce/1occ.scm 388 */
obj_t BgL_auxz00_3590;
BgL_auxz00_3590 = 
CDR(BgL_nodeza2za2_1285); 
BgL_testz00_3589 = 
NULLP(BgL_auxz00_3590); } 
if(BgL_testz00_3589)
{ /* Reduce/1occ.scm 388 */
{ /* Reduce/1occ.scm 389 */
obj_t BgL_resetz72z72_1291;
{ /* Reduce/1occ.scm 390 */
BgL_nodez00_bglt BgL_nodez00_2085;
{ /* Reduce/1occ.scm 390 */
obj_t BgL_auxz00_3593;
BgL_auxz00_3593 = 
CAR(BgL_nodeza2za2_1285); 
BgL_nodez00_2085 = 
(BgL_nodez00_bglt)(BgL_auxz00_3593); } 
{ /* Reduce/1occ.scm 390 */
obj_t BgL_method2745z00_2087;
{ /* Reduce/1occ.scm 390 */
long BgL_objzd2classzd2numz00_2089;
{ /* Reduce/1occ.scm 390 */
BgL_objectz00_bglt BgL_auxz00_3596;
BgL_auxz00_3596 = 
(BgL_objectz00_bglt)(BgL_nodez00_2085); 
BgL_objzd2classzd2numz00_2089 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3596); } 
{ /* Reduce/1occ.scm 390 */
obj_t BgL_arg1221z00_2090;
{ /* Reduce/1occ.scm 390 */
int BgL_auxz00_3599;
BgL_auxz00_3599 = 
(int)(((long)1)); 
BgL_arg1221z00_2090 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3599); } 
{ /* Reduce/1occ.scm 390 */
long BgL_offsetz00_2094;
{ /* Reduce/1occ.scm 390 */
long BgL_auxz00_3602;
{ /* Reduce/1occ.scm 390 */
int BgL_auxz00_3603;
BgL_auxz00_3603 = 
(int)(BgL_objzd2classzd2numz00_2089); 
BgL_auxz00_3602 = 
(long)(BgL_auxz00_3603); } 
BgL_offsetz00_2094 = 
(BgL_auxz00_3602-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 390 */
long BgL_modz00_2095;
{ /* Reduce/1occ.scm 390 */
long BgL_auxz00_3607;
{ /* Reduce/1occ.scm 390 */
int BgL_auxz00_3608;
BgL_auxz00_3608 = 
(int)(((long)8)); 
BgL_auxz00_3607 = 
(long)(BgL_auxz00_3608); } 
BgL_modz00_2095 = 
(BgL_offsetz00_2094/BgL_auxz00_3607); } 
{ /* Reduce/1occ.scm 390 */
long BgL_restz00_2097;
{ /* Reduce/1occ.scm 390 */
long BgL_auxz00_3612;
{ /* Reduce/1occ.scm 390 */
int BgL_auxz00_3613;
BgL_auxz00_3613 = 
(int)(((long)8)); 
BgL_auxz00_3612 = 
(long)(BgL_auxz00_3613); } 
BgL_restz00_2097 = 
(BgL_offsetz00_2094%BgL_auxz00_3612); } 
{ /* Reduce/1occ.scm 390 */

{ /* Reduce/1occ.scm 390 */
obj_t BgL_bucketz00_2099;
{ /* Reduce/1occ.scm 390 */
int BgL_kz00_2109;
BgL_kz00_2109 = 
(int)(BgL_modz00_2095); 
BgL_bucketz00_2099 = 
VECTOR_REF(BgL_arg1221z00_2090,BgL_kz00_2109); } 
{ /* Reduce/1occ.scm 390 */
int BgL_kz00_2111;
BgL_kz00_2111 = 
(int)(BgL_restz00_2097); 
BgL_method2745z00_2087 = 
VECTOR_REF(BgL_bucketz00_2099,BgL_kz00_2111); } } } } } } } } 
BgL_resetz72z72_1291 = 
PROCEDURE_ENTRY(BgL_method2745z00_2087)(BgL_method2745z00_2087, 
(obj_t)(BgL_nodez00_2085), BgL_1zd2expza2z70_1287, BEOA); } } 
{ /* Reduce/1occ.scm 391 */
obj_t BgL_nodez00_1292;
BgL_nodez00_1292 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
SET_CAR(BgL_nodeza2za2_1285, BgL_nodez00_1292); 
if(BgL_resetz00_1286)
{ /* Reduce/1occ.scm 392 */
return 
BBOOL(BgL_resetz00_1286);}  else 
{ /* Reduce/1occ.scm 392 */
return BgL_resetz72z72_1291;} } } }  else 
{ /* Reduce/1occ.scm 388 */
{ /* Reduce/1occ.scm 394 */
obj_t BgL_resetz72z72_1295;
{ /* Reduce/1occ.scm 395 */
BgL_nodez00_bglt BgL_nodez00_2115;
{ /* Reduce/1occ.scm 395 */
obj_t BgL_auxz00_3627;
BgL_auxz00_3627 = 
CAR(BgL_nodeza2za2_1285); 
BgL_nodez00_2115 = 
(BgL_nodez00_bglt)(BgL_auxz00_3627); } 
{ /* Reduce/1occ.scm 395 */
obj_t BgL_method2745z00_2117;
{ /* Reduce/1occ.scm 395 */
long BgL_objzd2classzd2numz00_2119;
{ /* Reduce/1occ.scm 395 */
BgL_objectz00_bglt BgL_auxz00_3630;
BgL_auxz00_3630 = 
(BgL_objectz00_bglt)(BgL_nodez00_2115); 
BgL_objzd2classzd2numz00_2119 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3630); } 
{ /* Reduce/1occ.scm 395 */
obj_t BgL_arg1221z00_2120;
{ /* Reduce/1occ.scm 395 */
int BgL_auxz00_3633;
BgL_auxz00_3633 = 
(int)(((long)1)); 
BgL_arg1221z00_2120 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3633); } 
{ /* Reduce/1occ.scm 395 */
long BgL_offsetz00_2124;
{ /* Reduce/1occ.scm 395 */
long BgL_auxz00_3636;
{ /* Reduce/1occ.scm 395 */
int BgL_auxz00_3637;
BgL_auxz00_3637 = 
(int)(BgL_objzd2classzd2numz00_2119); 
BgL_auxz00_3636 = 
(long)(BgL_auxz00_3637); } 
BgL_offsetz00_2124 = 
(BgL_auxz00_3636-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 395 */
long BgL_modz00_2125;
{ /* Reduce/1occ.scm 395 */
long BgL_auxz00_3641;
{ /* Reduce/1occ.scm 395 */
int BgL_auxz00_3642;
BgL_auxz00_3642 = 
(int)(((long)8)); 
BgL_auxz00_3641 = 
(long)(BgL_auxz00_3642); } 
BgL_modz00_2125 = 
(BgL_offsetz00_2124/BgL_auxz00_3641); } 
{ /* Reduce/1occ.scm 395 */
long BgL_restz00_2127;
{ /* Reduce/1occ.scm 395 */
long BgL_auxz00_3646;
{ /* Reduce/1occ.scm 395 */
int BgL_auxz00_3647;
BgL_auxz00_3647 = 
(int)(((long)8)); 
BgL_auxz00_3646 = 
(long)(BgL_auxz00_3647); } 
BgL_restz00_2127 = 
(BgL_offsetz00_2124%BgL_auxz00_3646); } 
{ /* Reduce/1occ.scm 395 */

{ /* Reduce/1occ.scm 395 */
obj_t BgL_bucketz00_2129;
{ /* Reduce/1occ.scm 395 */
int BgL_kz00_2139;
BgL_kz00_2139 = 
(int)(BgL_modz00_2125); 
BgL_bucketz00_2129 = 
VECTOR_REF(BgL_arg1221z00_2120,BgL_kz00_2139); } 
{ /* Reduce/1occ.scm 395 */
int BgL_kz00_2141;
BgL_kz00_2141 = 
(int)(BgL_restz00_2127); 
BgL_method2745z00_2117 = 
VECTOR_REF(BgL_bucketz00_2129,BgL_kz00_2141); } } } } } } } } 
BgL_resetz72z72_1295 = 
PROCEDURE_ENTRY(BgL_method2745z00_2117)(BgL_method2745z00_2117, 
(obj_t)(BgL_nodez00_2115), BgL_1zd2expza2z70_1287, BEOA); } } 
{ /* Reduce/1occ.scm 396 */
obj_t BgL_nodez00_1296;
BgL_nodez00_1296 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
SET_CAR(BgL_nodeza2za2_1285, BgL_nodez00_1296); 
{ /* Reduce/1occ.scm 397 */
bool_t BgL_testz00_3659;
if(BgL_resetz00_1286)
{ /* Reduce/1occ.scm 397 */
BgL_testz00_3659 = ((bool_t)1)
; }  else 
{ /* Reduce/1occ.scm 397 */
BgL_testz00_3659 = 
CBOOL(BgL_resetz72z72_1295)
; } 
if(BgL_testz00_3659)
{ 
obj_t BgL_1zd2expza2z70_3665;bool_t BgL_resetz00_3664;obj_t BgL_nodeza2za2_3662;
BgL_nodeza2za2_3662 = 
CDR(BgL_nodeza2za2_1285); 
BgL_resetz00_3664 = ((bool_t)1); 
BgL_1zd2expza2z70_3665 = BNIL; 
BgL_1zd2expza2z70_1287 = BgL_1zd2expza2z70_3665; 
BgL_resetz00_1286 = BgL_resetz00_3664; 
BgL_nodeza2za2_1285 = BgL_nodeza2za2_3662; 
goto BgL_loopz00_1288;}  else 
{ 
bool_t BgL_resetz00_3668;obj_t BgL_nodeza2za2_3666;
BgL_nodeza2za2_3666 = 
CDR(BgL_nodeza2za2_1285); 
BgL_resetz00_3668 = ((bool_t)0); 
BgL_resetz00_1286 = BgL_resetz00_3668; 
BgL_nodeza2za2_1285 = BgL_nodeza2za2_3666; 
goto BgL_loopz00_1288;} } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_nodezd21occz12zd2default2744zd2envzc0zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_atomz00zzast_nodez00, BGl_proc3016z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_kwotez00zzast_nodez00, BGl_proc3017z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_varz00zzast_nodez00, BGl_proc3018z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_closurez00zzast_nodez00, BGl_proc3019z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_sequencez00zzast_nodez00, BGl_proc3020z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3021z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_funcallz00zzast_nodez00, BGl_proc3022z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_externz00zzast_nodez00, BGl_proc3023z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_castz00zzast_nodez00, BGl_proc3024z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setqz00zzast_nodez00, BGl_proc3025z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_conditionalz00zzast_nodez00, BGl_proc3026z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_failz00zzast_nodez00, BGl_proc3027z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_selectz00zzast_nodez00, BGl_proc3028z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3029z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3030z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3031z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3032z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3033z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3034z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3035z00zzreduce_1occz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appz00zzast_nodez00, BGl_proc3036z00zzreduce_1occz00);} 
}



/* node-1occ!-app2787 */
obj_t BGl_nodezd21occz12zd2app2787z12zzreduce_1occz00(obj_t BgL_envz00_3426, obj_t BgL_nodez00_3427, obj_t BgL_1zd2expza2z70_3428)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 368 */
{ 
BgL_appz00_bglt BgL_nodez00_2032;obj_t BgL_1zd2expza2z70_2033;
{ /* Reduce/1occ.scm 369 */
bool_t BgL_auxz00_3691;
BgL_nodez00_2032 = 
(BgL_appz00_bglt)(BgL_nodez00_3427); 
BgL_1zd2expza2z70_2033 = BgL_1zd2expza2z70_3428; 
{ /* Reduce/1occ.scm 370 */
obj_t BgL_resetz00_2037;
BgL_resetz00_2037 = 
BGl_nodezd21occza2z12z62zzreduce_1occz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_2032))->BgL_argsz00), BgL_1zd2expza2z70_2033); 
{ /* Reduce/1occ.scm 371 */
bool_t BgL_test2957z00_2038;
if(
CBOOL(BgL_resetz00_2037))
{ /* Reduce/1occ.scm 371 */
BgL_test2957z00_2038 = ((bool_t)1); }  else 
{ /* Reduce/1occ.scm 371 */
BgL_test2957z00_2038 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_2032)); } 
if(BgL_test2957z00_2038)
{ /* Reduce/1occ.scm 371 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_2032); 
BgL_auxz00_3691 = ((bool_t)1); }  else 
{ /* Reduce/1occ.scm 371 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_2032); 
BgL_auxz00_3691 = ((bool_t)0); } } } 
return 
BBOOL(BgL_auxz00_3691);} } } 
}



/* node-1occ!-box-ref2785 */
obj_t BGl_nodezd21occz12zd2boxzd2ref2785zc0zzreduce_1occz00(obj_t BgL_envz00_3429, obj_t BgL_nodez00_3430, obj_t BgL_1zd2expza2z70_3431)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 362 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2024;obj_t BgL_1zd2expza2z70_2025;
{ /* Reduce/1occ.scm 363 */
bool_t BgL_auxz00_3705;
BgL_nodez00_2024 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3430); 
BgL_1zd2expza2z70_2025 = BgL_1zd2expza2z70_3431; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_2024); 
BgL_auxz00_3705 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_3705);} } } 
}



/* node-1occ!-box-set!2783 */
obj_t BGl_nodezd21occz12zd2boxzd2setz122783zd2zzreduce_1occz00(obj_t BgL_envz00_3432, obj_t BgL_nodez00_3433, obj_t BgL_1zd2expza2z70_3434)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 352 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2012;obj_t BgL_1zd2expza2z70_2013;
BgL_nodez00_2012 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3433); 
BgL_1zd2expza2z70_2013 = BgL_1zd2expza2z70_3434; 
{ /* Reduce/1occ.scm 354 */
obj_t BgL_resetz00_2017;
{ /* Reduce/1occ.scm 355 */
BgL_nodez00_bglt BgL_arg2954z00_2021;
BgL_arg2954z00_2021 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2012))->BgL_valuez00); 
{ /* Reduce/1occ.scm 355 */
obj_t BgL_method2745z00_3342;
{ /* Reduce/1occ.scm 355 */
long BgL_objzd2classzd2numz00_3344;
{ /* Reduce/1occ.scm 355 */
BgL_objectz00_bglt BgL_auxz00_3711;
BgL_auxz00_3711 = 
(BgL_objectz00_bglt)(BgL_arg2954z00_2021); 
BgL_objzd2classzd2numz00_3344 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3711); } 
{ /* Reduce/1occ.scm 355 */
obj_t BgL_arg1221z00_3345;
{ /* Reduce/1occ.scm 355 */
int BgL_auxz00_3714;
BgL_auxz00_3714 = 
(int)(((long)1)); 
BgL_arg1221z00_3345 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3714); } 
{ /* Reduce/1occ.scm 355 */
long BgL_offsetz00_3349;
{ /* Reduce/1occ.scm 355 */
long BgL_auxz00_3717;
{ /* Reduce/1occ.scm 355 */
int BgL_auxz00_3718;
BgL_auxz00_3718 = 
(int)(BgL_objzd2classzd2numz00_3344); 
BgL_auxz00_3717 = 
(long)(BgL_auxz00_3718); } 
BgL_offsetz00_3349 = 
(BgL_auxz00_3717-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 355 */
long BgL_modz00_3350;
{ /* Reduce/1occ.scm 355 */
long BgL_auxz00_3722;
{ /* Reduce/1occ.scm 355 */
int BgL_auxz00_3723;
BgL_auxz00_3723 = 
(int)(((long)8)); 
BgL_auxz00_3722 = 
(long)(BgL_auxz00_3723); } 
BgL_modz00_3350 = 
(BgL_offsetz00_3349/BgL_auxz00_3722); } 
{ /* Reduce/1occ.scm 355 */
long BgL_restz00_3352;
{ /* Reduce/1occ.scm 355 */
long BgL_auxz00_3727;
{ /* Reduce/1occ.scm 355 */
int BgL_auxz00_3728;
BgL_auxz00_3728 = 
(int)(((long)8)); 
BgL_auxz00_3727 = 
(long)(BgL_auxz00_3728); } 
BgL_restz00_3352 = 
(BgL_offsetz00_3349%BgL_auxz00_3727); } 
{ /* Reduce/1occ.scm 355 */

{ /* Reduce/1occ.scm 355 */
obj_t BgL_bucketz00_3354;
{ /* Reduce/1occ.scm 355 */
int BgL_kz00_3364;
BgL_kz00_3364 = 
(int)(BgL_modz00_3350); 
BgL_bucketz00_3354 = 
VECTOR_REF(BgL_arg1221z00_3345,BgL_kz00_3364); } 
{ /* Reduce/1occ.scm 355 */
int BgL_kz00_3366;
BgL_kz00_3366 = 
(int)(BgL_restz00_3352); 
BgL_method2745z00_3342 = 
VECTOR_REF(BgL_bucketz00_3354,BgL_kz00_3366); } } } } } } } } 
BgL_resetz00_2017 = 
PROCEDURE_ENTRY(BgL_method2745z00_3342)(BgL_method2745z00_3342, 
(obj_t)(BgL_arg2954z00_2021), BgL_1zd2expza2z70_2013, BEOA); } } 
{ /* Reduce/1occ.scm 356 */
obj_t BgL_nvaluez00_2018;
BgL_nvaluez00_2018 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 356 */
BgL_nodez00_bglt BgL_val2634z00_3368;
BgL_val2634z00_3368 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_2018); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2012))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2634z00_3368), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_2012); 
return BgL_resetz00_2017;} } } } 
}



/* node-1occ!-make-box2781 */
obj_t BGl_nodezd21occz12zd2makezd2box2781zc0zzreduce_1occz00(obj_t BgL_envz00_3435, obj_t BgL_nodez00_3436, obj_t BgL_1zd2expza2z70_3437)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 342 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2000;obj_t BgL_1zd2expza2z70_2001;
BgL_nodez00_2000 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3436); 
BgL_1zd2expza2z70_2001 = BgL_1zd2expza2z70_3437; 
{ /* Reduce/1occ.scm 344 */
obj_t BgL_resetz00_2005;
{ /* Reduce/1occ.scm 345 */
BgL_nodez00_bglt BgL_arg2952z00_2009;
BgL_arg2952z00_2009 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2000))->BgL_valuez00); 
{ /* Reduce/1occ.scm 345 */
obj_t BgL_method2745z00_3312;
{ /* Reduce/1occ.scm 345 */
long BgL_objzd2classzd2numz00_3314;
{ /* Reduce/1occ.scm 345 */
BgL_objectz00_bglt BgL_auxz00_3745;
BgL_auxz00_3745 = 
(BgL_objectz00_bglt)(BgL_arg2952z00_2009); 
BgL_objzd2classzd2numz00_3314 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3745); } 
{ /* Reduce/1occ.scm 345 */
obj_t BgL_arg1221z00_3315;
{ /* Reduce/1occ.scm 345 */
int BgL_auxz00_3748;
BgL_auxz00_3748 = 
(int)(((long)1)); 
BgL_arg1221z00_3315 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3748); } 
{ /* Reduce/1occ.scm 345 */
long BgL_offsetz00_3319;
{ /* Reduce/1occ.scm 345 */
long BgL_auxz00_3751;
{ /* Reduce/1occ.scm 345 */
int BgL_auxz00_3752;
BgL_auxz00_3752 = 
(int)(BgL_objzd2classzd2numz00_3314); 
BgL_auxz00_3751 = 
(long)(BgL_auxz00_3752); } 
BgL_offsetz00_3319 = 
(BgL_auxz00_3751-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 345 */
long BgL_modz00_3320;
{ /* Reduce/1occ.scm 345 */
long BgL_auxz00_3756;
{ /* Reduce/1occ.scm 345 */
int BgL_auxz00_3757;
BgL_auxz00_3757 = 
(int)(((long)8)); 
BgL_auxz00_3756 = 
(long)(BgL_auxz00_3757); } 
BgL_modz00_3320 = 
(BgL_offsetz00_3319/BgL_auxz00_3756); } 
{ /* Reduce/1occ.scm 345 */
long BgL_restz00_3322;
{ /* Reduce/1occ.scm 345 */
long BgL_auxz00_3761;
{ /* Reduce/1occ.scm 345 */
int BgL_auxz00_3762;
BgL_auxz00_3762 = 
(int)(((long)8)); 
BgL_auxz00_3761 = 
(long)(BgL_auxz00_3762); } 
BgL_restz00_3322 = 
(BgL_offsetz00_3319%BgL_auxz00_3761); } 
{ /* Reduce/1occ.scm 345 */

{ /* Reduce/1occ.scm 345 */
obj_t BgL_bucketz00_3324;
{ /* Reduce/1occ.scm 345 */
int BgL_kz00_3334;
BgL_kz00_3334 = 
(int)(BgL_modz00_3320); 
BgL_bucketz00_3324 = 
VECTOR_REF(BgL_arg1221z00_3315,BgL_kz00_3334); } 
{ /* Reduce/1occ.scm 345 */
int BgL_kz00_3336;
BgL_kz00_3336 = 
(int)(BgL_restz00_3322); 
BgL_method2745z00_3312 = 
VECTOR_REF(BgL_bucketz00_3324,BgL_kz00_3336); } } } } } } } } 
BgL_resetz00_2005 = 
PROCEDURE_ENTRY(BgL_method2745z00_3312)(BgL_method2745z00_3312, 
(obj_t)(BgL_arg2952z00_2009), BgL_1zd2expza2z70_2001, BEOA); } } 
{ /* Reduce/1occ.scm 346 */
obj_t BgL_nvaluez00_2006;
BgL_nvaluez00_2006 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 346 */
BgL_nodez00_bglt BgL_val2569z00_3338;
BgL_val2569z00_3338 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_2006); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2000))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2569z00_3338), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_2000); 
return BgL_resetz00_2005;} } } } 
}



/* node-1occ!-jump-ex-it2779 */
obj_t BGl_nodezd21occz12zd2jumpzd2exzd2it2779z12zzreduce_1occz00(obj_t BgL_envz00_3438, obj_t BgL_nodez00_3439, obj_t BgL_1zd2expza2z70_3440)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 328 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1983;obj_t BgL_1zd2expza2z70_1984;
BgL_nodez00_1983 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3439); 
BgL_1zd2expza2z70_1984 = BgL_1zd2expza2z70_3440; 
{ /* Reduce/1occ.scm 330 */
obj_t BgL_resetz00_1988;
{ /* Reduce/1occ.scm 331 */
BgL_nodez00_bglt BgL_arg2950z00_1997;
BgL_arg2950z00_1997 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1983))->BgL_exitz00); 
{ /* Reduce/1occ.scm 331 */
obj_t BgL_method2745z00_3252;
{ /* Reduce/1occ.scm 331 */
long BgL_objzd2classzd2numz00_3254;
{ /* Reduce/1occ.scm 331 */
BgL_objectz00_bglt BgL_auxz00_3779;
BgL_auxz00_3779 = 
(BgL_objectz00_bglt)(BgL_arg2950z00_1997); 
BgL_objzd2classzd2numz00_3254 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3779); } 
{ /* Reduce/1occ.scm 331 */
obj_t BgL_arg1221z00_3255;
{ /* Reduce/1occ.scm 331 */
int BgL_auxz00_3782;
BgL_auxz00_3782 = 
(int)(((long)1)); 
BgL_arg1221z00_3255 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3782); } 
{ /* Reduce/1occ.scm 331 */
long BgL_offsetz00_3259;
{ /* Reduce/1occ.scm 331 */
long BgL_auxz00_3785;
{ /* Reduce/1occ.scm 331 */
int BgL_auxz00_3786;
BgL_auxz00_3786 = 
(int)(BgL_objzd2classzd2numz00_3254); 
BgL_auxz00_3785 = 
(long)(BgL_auxz00_3786); } 
BgL_offsetz00_3259 = 
(BgL_auxz00_3785-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 331 */
long BgL_modz00_3260;
{ /* Reduce/1occ.scm 331 */
long BgL_auxz00_3790;
{ /* Reduce/1occ.scm 331 */
int BgL_auxz00_3791;
BgL_auxz00_3791 = 
(int)(((long)8)); 
BgL_auxz00_3790 = 
(long)(BgL_auxz00_3791); } 
BgL_modz00_3260 = 
(BgL_offsetz00_3259/BgL_auxz00_3790); } 
{ /* Reduce/1occ.scm 331 */
long BgL_restz00_3262;
{ /* Reduce/1occ.scm 331 */
long BgL_auxz00_3795;
{ /* Reduce/1occ.scm 331 */
int BgL_auxz00_3796;
BgL_auxz00_3796 = 
(int)(((long)8)); 
BgL_auxz00_3795 = 
(long)(BgL_auxz00_3796); } 
BgL_restz00_3262 = 
(BgL_offsetz00_3259%BgL_auxz00_3795); } 
{ /* Reduce/1occ.scm 331 */

{ /* Reduce/1occ.scm 331 */
obj_t BgL_bucketz00_3264;
{ /* Reduce/1occ.scm 331 */
int BgL_kz00_3274;
BgL_kz00_3274 = 
(int)(BgL_modz00_3260); 
BgL_bucketz00_3264 = 
VECTOR_REF(BgL_arg1221z00_3255,BgL_kz00_3274); } 
{ /* Reduce/1occ.scm 331 */
int BgL_kz00_3276;
BgL_kz00_3276 = 
(int)(BgL_restz00_3262); 
BgL_method2745z00_3252 = 
VECTOR_REF(BgL_bucketz00_3264,BgL_kz00_3276); } } } } } } } } 
BgL_resetz00_1988 = 
PROCEDURE_ENTRY(BgL_method2745z00_3252)(BgL_method2745z00_3252, 
(obj_t)(BgL_arg2950z00_1997), BgL_1zd2expza2z70_1984, BEOA); } } 
{ /* Reduce/1occ.scm 332 */
obj_t BgL_nexitz00_1989;
BgL_nexitz00_1989 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 332 */
BgL_nodez00_bglt BgL_val2535z00_3278;
BgL_val2535z00_3278 = 
(BgL_nodez00_bglt)(BgL_nexitz00_1989); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1983))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_val2535z00_3278), BUNSPEC); } 
{ /* Reduce/1occ.scm 333 */
obj_t BgL_1zd2expza2z72z02_1990;
if(
CBOOL(BgL_resetz00_1988))
{ /* Reduce/1occ.scm 333 */
BgL_1zd2expza2z72z02_1990 = BNIL; }  else 
{ /* Reduce/1occ.scm 333 */
BgL_1zd2expza2z72z02_1990 = BgL_1zd2expza2z70_1984; } 
{ /* Reduce/1occ.scm 334 */
obj_t BgL_resetz72z72_1991;
{ /* Reduce/1occ.scm 335 */
BgL_nodez00_bglt BgL_arg2949z00_1996;
BgL_arg2949z00_1996 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1983))->BgL_valuez00); 
{ /* Reduce/1occ.scm 335 */
obj_t BgL_method2745z00_3282;
{ /* Reduce/1occ.scm 335 */
long BgL_objzd2classzd2numz00_3284;
{ /* Reduce/1occ.scm 335 */
BgL_objectz00_bglt BgL_auxz00_3812;
BgL_auxz00_3812 = 
(BgL_objectz00_bglt)(BgL_arg2949z00_1996); 
BgL_objzd2classzd2numz00_3284 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3812); } 
{ /* Reduce/1occ.scm 335 */
obj_t BgL_arg1221z00_3285;
{ /* Reduce/1occ.scm 335 */
int BgL_auxz00_3815;
BgL_auxz00_3815 = 
(int)(((long)1)); 
BgL_arg1221z00_3285 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3815); } 
{ /* Reduce/1occ.scm 335 */
long BgL_offsetz00_3289;
{ /* Reduce/1occ.scm 335 */
long BgL_auxz00_3818;
{ /* Reduce/1occ.scm 335 */
int BgL_auxz00_3819;
BgL_auxz00_3819 = 
(int)(BgL_objzd2classzd2numz00_3284); 
BgL_auxz00_3818 = 
(long)(BgL_auxz00_3819); } 
BgL_offsetz00_3289 = 
(BgL_auxz00_3818-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 335 */
long BgL_modz00_3290;
{ /* Reduce/1occ.scm 335 */
long BgL_auxz00_3823;
{ /* Reduce/1occ.scm 335 */
int BgL_auxz00_3824;
BgL_auxz00_3824 = 
(int)(((long)8)); 
BgL_auxz00_3823 = 
(long)(BgL_auxz00_3824); } 
BgL_modz00_3290 = 
(BgL_offsetz00_3289/BgL_auxz00_3823); } 
{ /* Reduce/1occ.scm 335 */
long BgL_restz00_3292;
{ /* Reduce/1occ.scm 335 */
long BgL_auxz00_3828;
{ /* Reduce/1occ.scm 335 */
int BgL_auxz00_3829;
BgL_auxz00_3829 = 
(int)(((long)8)); 
BgL_auxz00_3828 = 
(long)(BgL_auxz00_3829); } 
BgL_restz00_3292 = 
(BgL_offsetz00_3289%BgL_auxz00_3828); } 
{ /* Reduce/1occ.scm 335 */

{ /* Reduce/1occ.scm 335 */
obj_t BgL_bucketz00_3294;
{ /* Reduce/1occ.scm 335 */
int BgL_kz00_3304;
BgL_kz00_3304 = 
(int)(BgL_modz00_3290); 
BgL_bucketz00_3294 = 
VECTOR_REF(BgL_arg1221z00_3285,BgL_kz00_3304); } 
{ /* Reduce/1occ.scm 335 */
int BgL_kz00_3306;
BgL_kz00_3306 = 
(int)(BgL_restz00_3292); 
BgL_method2745z00_3282 = 
VECTOR_REF(BgL_bucketz00_3294,BgL_kz00_3306); } } } } } } } } 
BgL_resetz72z72_1991 = 
PROCEDURE_ENTRY(BgL_method2745z00_3282)(BgL_method2745z00_3282, 
(obj_t)(BgL_arg2949z00_1996), BgL_1zd2expza2z72z02_1990, BEOA); } } 
{ /* Reduce/1occ.scm 336 */
obj_t BgL_nvaluez00_1992;
BgL_nvaluez00_1992 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 336 */
BgL_nodez00_bglt BgL_val2538z00_3308;
BgL_val2538z00_3308 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1992); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1983))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2538z00_3308), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1983); 
if(
CBOOL(BgL_resetz00_1988))
{ /* Reduce/1occ.scm 337 */
return BgL_resetz00_1988;}  else 
{ /* Reduce/1occ.scm 337 */
return BgL_resetz72z72_1991;} } } } } } } } 
}



/* node-1occ!-set-ex-it2777 */
obj_t BGl_nodezd21occz12zd2setzd2exzd2it2777z12zzreduce_1occz00(obj_t BgL_envz00_3441, obj_t BgL_nodez00_3442, obj_t BgL_1zd2expza2z70_3443)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 318 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1971;obj_t BgL_1zd2expza2z70_1972;
BgL_nodez00_1971 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3442); 
BgL_1zd2expza2z70_1972 = BgL_1zd2expza2z70_3443; 
{ /* Reduce/1occ.scm 320 */
obj_t BgL_resetz00_1976;
{ /* Reduce/1occ.scm 321 */
BgL_nodez00_bglt BgL_arg2947z00_1980;
BgL_arg2947z00_1980 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1971))->BgL_bodyz00); 
{ /* Reduce/1occ.scm 321 */
obj_t BgL_method2745z00_3222;
{ /* Reduce/1occ.scm 321 */
long BgL_objzd2classzd2numz00_3224;
{ /* Reduce/1occ.scm 321 */
BgL_objectz00_bglt BgL_auxz00_3848;
BgL_auxz00_3848 = 
(BgL_objectz00_bglt)(BgL_arg2947z00_1980); 
BgL_objzd2classzd2numz00_3224 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3848); } 
{ /* Reduce/1occ.scm 321 */
obj_t BgL_arg1221z00_3225;
{ /* Reduce/1occ.scm 321 */
int BgL_auxz00_3851;
BgL_auxz00_3851 = 
(int)(((long)1)); 
BgL_arg1221z00_3225 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3851); } 
{ /* Reduce/1occ.scm 321 */
long BgL_offsetz00_3229;
{ /* Reduce/1occ.scm 321 */
long BgL_auxz00_3854;
{ /* Reduce/1occ.scm 321 */
int BgL_auxz00_3855;
BgL_auxz00_3855 = 
(int)(BgL_objzd2classzd2numz00_3224); 
BgL_auxz00_3854 = 
(long)(BgL_auxz00_3855); } 
BgL_offsetz00_3229 = 
(BgL_auxz00_3854-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 321 */
long BgL_modz00_3230;
{ /* Reduce/1occ.scm 321 */
long BgL_auxz00_3859;
{ /* Reduce/1occ.scm 321 */
int BgL_auxz00_3860;
BgL_auxz00_3860 = 
(int)(((long)8)); 
BgL_auxz00_3859 = 
(long)(BgL_auxz00_3860); } 
BgL_modz00_3230 = 
(BgL_offsetz00_3229/BgL_auxz00_3859); } 
{ /* Reduce/1occ.scm 321 */
long BgL_restz00_3232;
{ /* Reduce/1occ.scm 321 */
long BgL_auxz00_3864;
{ /* Reduce/1occ.scm 321 */
int BgL_auxz00_3865;
BgL_auxz00_3865 = 
(int)(((long)8)); 
BgL_auxz00_3864 = 
(long)(BgL_auxz00_3865); } 
BgL_restz00_3232 = 
(BgL_offsetz00_3229%BgL_auxz00_3864); } 
{ /* Reduce/1occ.scm 321 */

{ /* Reduce/1occ.scm 321 */
obj_t BgL_bucketz00_3234;
{ /* Reduce/1occ.scm 321 */
int BgL_kz00_3244;
BgL_kz00_3244 = 
(int)(BgL_modz00_3230); 
BgL_bucketz00_3234 = 
VECTOR_REF(BgL_arg1221z00_3225,BgL_kz00_3244); } 
{ /* Reduce/1occ.scm 321 */
int BgL_kz00_3246;
BgL_kz00_3246 = 
(int)(BgL_restz00_3232); 
BgL_method2745z00_3222 = 
VECTOR_REF(BgL_bucketz00_3234,BgL_kz00_3246); } } } } } } } } 
BgL_resetz00_1976 = 
PROCEDURE_ENTRY(BgL_method2745z00_3222)(BgL_method2745z00_3222, 
(obj_t)(BgL_arg2947z00_1980), BgL_1zd2expza2z70_1972, BEOA); } } 
{ /* Reduce/1occ.scm 322 */
obj_t BgL_nbodyz00_1977;
BgL_nbodyz00_1977 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 322 */
BgL_nodez00_bglt BgL_val2510z00_3248;
BgL_val2510z00_3248 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1977); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1971))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2510z00_3248), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1971); 
return BgL_resetz00_1976;} } } } 
}



/* node-1occ!-let-var2775 */
obj_t BGl_nodezd21occz12zd2letzd2var2775zc0zzreduce_1occz00(obj_t BgL_envz00_3444, obj_t BgL_nodez00_3445, obj_t BgL_1zd2expza2z70_3446)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 231 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1891;obj_t BgL_1zd2expza2z70_1892;
BgL_nodez00_1891 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3445); 
BgL_1zd2expza2z70_1892 = BgL_1zd2expza2z70_3446; 
{ 
obj_t BgL_obindingsz00_1896;bool_t BgL_resetz00_1897;obj_t BgL_extendz00_1898;
BgL_obindingsz00_1896 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bindingsz00); 
BgL_resetz00_1897 = ((bool_t)0); 
BgL_extendz00_1898 = BNIL; 
BgL_loopz00_1899:
if(
NULLP(BgL_obindingsz00_1896))
{ /* Reduce/1occ.scm 236 */
if(BgL_resetz00_1897)
{ /* Reduce/1occ.scm 238 */
obj_t BgL_resetz72z72_1903;
{ /* Reduce/1occ.scm 239 */
BgL_nodez00_bglt BgL_arg2902z00_1907;
BgL_arg2902z00_1907 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00); 
{ /* Reduce/1occ.scm 239 */
obj_t BgL_method2745z00_3100;
{ /* Reduce/1occ.scm 239 */
long BgL_objzd2classzd2numz00_3102;
{ /* Reduce/1occ.scm 239 */
BgL_objectz00_bglt BgL_auxz00_3885;
BgL_auxz00_3885 = 
(BgL_objectz00_bglt)(BgL_arg2902z00_1907); 
BgL_objzd2classzd2numz00_3102 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3885); } 
{ /* Reduce/1occ.scm 239 */
obj_t BgL_arg1221z00_3103;
{ /* Reduce/1occ.scm 239 */
int BgL_auxz00_3888;
BgL_auxz00_3888 = 
(int)(((long)1)); 
BgL_arg1221z00_3103 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3888); } 
{ /* Reduce/1occ.scm 239 */
long BgL_offsetz00_3107;
{ /* Reduce/1occ.scm 239 */
long BgL_auxz00_3891;
{ /* Reduce/1occ.scm 239 */
int BgL_auxz00_3892;
BgL_auxz00_3892 = 
(int)(BgL_objzd2classzd2numz00_3102); 
BgL_auxz00_3891 = 
(long)(BgL_auxz00_3892); } 
BgL_offsetz00_3107 = 
(BgL_auxz00_3891-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 239 */
long BgL_modz00_3108;
{ /* Reduce/1occ.scm 239 */
long BgL_auxz00_3896;
{ /* Reduce/1occ.scm 239 */
int BgL_auxz00_3897;
BgL_auxz00_3897 = 
(int)(((long)8)); 
BgL_auxz00_3896 = 
(long)(BgL_auxz00_3897); } 
BgL_modz00_3108 = 
(BgL_offsetz00_3107/BgL_auxz00_3896); } 
{ /* Reduce/1occ.scm 239 */
long BgL_restz00_3110;
{ /* Reduce/1occ.scm 239 */
long BgL_auxz00_3901;
{ /* Reduce/1occ.scm 239 */
int BgL_auxz00_3902;
BgL_auxz00_3902 = 
(int)(((long)8)); 
BgL_auxz00_3901 = 
(long)(BgL_auxz00_3902); } 
BgL_restz00_3110 = 
(BgL_offsetz00_3107%BgL_auxz00_3901); } 
{ /* Reduce/1occ.scm 239 */

{ /* Reduce/1occ.scm 239 */
obj_t BgL_bucketz00_3112;
{ /* Reduce/1occ.scm 239 */
int BgL_kz00_3122;
BgL_kz00_3122 = 
(int)(BgL_modz00_3108); 
BgL_bucketz00_3112 = 
VECTOR_REF(BgL_arg1221z00_3103,BgL_kz00_3122); } 
{ /* Reduce/1occ.scm 239 */
int BgL_kz00_3124;
BgL_kz00_3124 = 
(int)(BgL_restz00_3110); 
BgL_method2745z00_3100 = 
VECTOR_REF(BgL_bucketz00_3112,BgL_kz00_3124); } } } } } } } } 
BgL_resetz72z72_1903 = 
PROCEDURE_ENTRY(BgL_method2745z00_3100)(BgL_method2745z00_3100, 
(obj_t)(BgL_arg2902z00_1907), BNIL, BEOA); } } 
{ /* Reduce/1occ.scm 240 */
obj_t BgL_nbodyz00_1904;
BgL_nbodyz00_1904 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 240 */
BgL_nodez00_bglt BgL_val2470z00_3126;
BgL_val2470z00_3126 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1904); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2470z00_3126), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1891); 
return BTRUE;} }  else 
{ /* Reduce/1occ.scm 242 */
obj_t BgL_1zd2expza2z72z02_1909;
BgL_1zd2expza2z72z02_1909 = 
bgl_append2(BgL_extendz00_1898, BgL_1zd2expza2z70_1892); 
{ /* Reduce/1occ.scm 243 */
obj_t BgL_resetz72z72_1910;
{ /* Reduce/1occ.scm 244 */
BgL_nodez00_bglt BgL_arg2920z00_1938;
BgL_arg2920z00_1938 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00); 
{ /* Reduce/1occ.scm 244 */
obj_t BgL_method2745z00_3130;
{ /* Reduce/1occ.scm 244 */
long BgL_objzd2classzd2numz00_3132;
{ /* Reduce/1occ.scm 244 */
BgL_objectz00_bglt BgL_auxz00_3919;
BgL_auxz00_3919 = 
(BgL_objectz00_bglt)(BgL_arg2920z00_1938); 
BgL_objzd2classzd2numz00_3132 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3919); } 
{ /* Reduce/1occ.scm 244 */
obj_t BgL_arg1221z00_3133;
{ /* Reduce/1occ.scm 244 */
int BgL_auxz00_3922;
BgL_auxz00_3922 = 
(int)(((long)1)); 
BgL_arg1221z00_3133 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3922); } 
{ /* Reduce/1occ.scm 244 */
long BgL_offsetz00_3137;
{ /* Reduce/1occ.scm 244 */
long BgL_auxz00_3925;
{ /* Reduce/1occ.scm 244 */
int BgL_auxz00_3926;
BgL_auxz00_3926 = 
(int)(BgL_objzd2classzd2numz00_3132); 
BgL_auxz00_3925 = 
(long)(BgL_auxz00_3926); } 
BgL_offsetz00_3137 = 
(BgL_auxz00_3925-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 244 */
long BgL_modz00_3138;
{ /* Reduce/1occ.scm 244 */
long BgL_auxz00_3930;
{ /* Reduce/1occ.scm 244 */
int BgL_auxz00_3931;
BgL_auxz00_3931 = 
(int)(((long)8)); 
BgL_auxz00_3930 = 
(long)(BgL_auxz00_3931); } 
BgL_modz00_3138 = 
(BgL_offsetz00_3137/BgL_auxz00_3930); } 
{ /* Reduce/1occ.scm 244 */
long BgL_restz00_3140;
{ /* Reduce/1occ.scm 244 */
long BgL_auxz00_3935;
{ /* Reduce/1occ.scm 244 */
int BgL_auxz00_3936;
BgL_auxz00_3936 = 
(int)(((long)8)); 
BgL_auxz00_3935 = 
(long)(BgL_auxz00_3936); } 
BgL_restz00_3140 = 
(BgL_offsetz00_3137%BgL_auxz00_3935); } 
{ /* Reduce/1occ.scm 244 */

{ /* Reduce/1occ.scm 244 */
obj_t BgL_bucketz00_3142;
{ /* Reduce/1occ.scm 244 */
int BgL_kz00_3152;
BgL_kz00_3152 = 
(int)(BgL_modz00_3138); 
BgL_bucketz00_3142 = 
VECTOR_REF(BgL_arg1221z00_3133,BgL_kz00_3152); } 
{ /* Reduce/1occ.scm 244 */
int BgL_kz00_3154;
BgL_kz00_3154 = 
(int)(BgL_restz00_3140); 
BgL_method2745z00_3130 = 
VECTOR_REF(BgL_bucketz00_3142,BgL_kz00_3154); } } } } } } } } 
BgL_resetz72z72_1910 = 
PROCEDURE_ENTRY(BgL_method2745z00_3130)(BgL_method2745z00_3130, 
(obj_t)(BgL_arg2920z00_1938), BgL_1zd2expza2z72z02_1909, BEOA); } } 
{ /* Reduce/1occ.scm 245 */
obj_t BgL_nbodyz00_1911;
BgL_nbodyz00_1911 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 245 */
BgL_nodez00_bglt BgL_val2470z00_3156;
BgL_val2470z00_3156 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1911); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2470z00_3156), BUNSPEC); } 
{ 
obj_t BgL_obindingsz00_1912;obj_t BgL_nbindingsz00_1913;
BgL_obindingsz00_1912 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bindingsz00); 
BgL_nbindingsz00_1913 = BNIL; 
BgL_loopz00_1914:
if(
NULLP(BgL_obindingsz00_1912))
{ /* Reduce/1occ.scm 251 */
{ /* Reduce/1occ.scm 252 */
bool_t BgL_testz00_3951;
if(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_removablezf3zf3))
{ /* Reduce/1occ.scm 252 */
BgL_testz00_3951 = 
NULLP(BgL_nbindingsz00_1913)
; }  else 
{ /* Reduce/1occ.scm 252 */
BgL_testz00_3951 = ((bool_t)0)
; } 
if(BgL_testz00_3951)
{ /* Reduce/1occ.scm 252 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
{ /* Reduce/1occ.scm 258 */
BgL_nodez00_bglt BgL_auxz00_3956;
BgL_auxz00_3956 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_auxz00_3956); } 
return BgL_resetz72z72_1910;}  else 
{ /* Reduce/1occ.scm 252 */
{ /* Reduce/1occ.scm 260 */
obj_t BgL_arg2908z00_1921;
BgL_arg2908z00_1921 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_nbindingsz00_1913); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bindingsz00) = ((obj_t)BgL_arg2908z00_1921), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1891); 
return BgL_resetz72z72_1910;} } }  else 
{ /* Reduce/1occ.scm 262 */
bool_t BgL_test2910z00_1925;
{ /* Reduce/1occ.scm 264 */
bool_t BgL_testz00_3963;
{ /* Reduce/1occ.scm 264 */
long BgL_auxz00_3964;
{ /* Reduce/1occ.scm 264 */
BgL_localz00_bglt BgL_obj1267z00_3168;
{ /* Reduce/1occ.scm 264 */
obj_t BgL_auxz00_3965;
{ /* Reduce/1occ.scm 262 */
obj_t BgL_auxz00_3966;
BgL_auxz00_3966 = 
CAR(BgL_obindingsz00_1912); 
BgL_auxz00_3965 = 
CAR(BgL_auxz00_3966); } 
BgL_obj1267z00_3168 = 
(BgL_localz00_bglt)(BgL_auxz00_3965); } 
BgL_auxz00_3964 = 
(((BgL_localz00_bglt)CREF(BgL_obj1267z00_3168))->BgL_occurrencez00); } 
BgL_testz00_3963 = 
(BgL_auxz00_3964==((long)0)); } 
if(BgL_testz00_3963)
{ /* Reduce/1occ.scm 265 */
bool_t BgL_test2915z00_1933;
{ /* Reduce/1occ.scm 265 */
BgL_nodez00_bglt BgL_auxz00_3972;
{ /* Reduce/1occ.scm 265 */
obj_t BgL_auxz00_3973;
{ /* Reduce/1occ.scm 263 */
obj_t BgL_auxz00_3974;
BgL_auxz00_3974 = 
CAR(BgL_obindingsz00_1912); 
BgL_auxz00_3973 = 
CDR(BgL_auxz00_3974); } 
BgL_auxz00_3972 = 
(BgL_nodez00_bglt)(BgL_auxz00_3973); } 
BgL_test2915z00_1933 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_auxz00_3972); } 
if(BgL_test2915z00_1933)
{ /* Reduce/1occ.scm 265 */
BgL_test2910z00_1925 = ((bool_t)0); }  else 
{ /* Reduce/1occ.scm 265 */
BgL_test2910z00_1925 = ((bool_t)1); } }  else 
{ /* Reduce/1occ.scm 264 */
BgL_test2910z00_1925 = ((bool_t)0); } } 
if(BgL_test2910z00_1925)
{ /* Reduce/1occ.scm 262 */
{ 
obj_t BgL_obindingsz00_3981;
BgL_obindingsz00_3981 = 
CDR(BgL_obindingsz00_1912); 
BgL_obindingsz00_1912 = BgL_obindingsz00_3981; 
goto BgL_loopz00_1914;} }  else 
{ /* Reduce/1occ.scm 262 */
{ /* Reduce/1occ.scm 272 */
obj_t BgL_arg2912z00_1927;obj_t BgL_arg2913z00_1928;
BgL_arg2912z00_1927 = 
CDR(BgL_obindingsz00_1912); 
{ /* Reduce/1occ.scm 273 */
obj_t BgL_auxz00_3984;
BgL_auxz00_3984 = 
CAR(BgL_obindingsz00_1912); 
BgL_arg2913z00_1928 = 
MAKE_PAIR(BgL_auxz00_3984, BgL_nbindingsz00_1913); } 
{ 
obj_t BgL_nbindingsz00_3988;obj_t BgL_obindingsz00_3987;
BgL_obindingsz00_3987 = BgL_arg2912z00_1927; 
BgL_nbindingsz00_3988 = BgL_arg2913z00_1928; 
BgL_nbindingsz00_1913 = BgL_nbindingsz00_3988; 
BgL_obindingsz00_1912 = BgL_obindingsz00_3987; 
goto BgL_loopz00_1914;} } } } } } } } }  else 
{ /* Reduce/1occ.scm 274 */
obj_t BgL_bindingz00_1939;
BgL_bindingz00_1939 = 
CAR(BgL_obindingsz00_1896); 
{ /* Reduce/1occ.scm 275 */
obj_t BgL_varz00_1940;obj_t BgL_valz00_1941;
BgL_varz00_1940 = 
CAR(BgL_bindingz00_1939); 
BgL_valz00_1941 = 
CDR(BgL_bindingz00_1939); 
{ /* Reduce/1occ.scm 277 */
obj_t BgL_resetz72z72_1942;
{ /* Reduce/1occ.scm 278 */
BgL_nodez00_bglt BgL_nodez00_3177;
BgL_nodez00_3177 = 
(BgL_nodez00_bglt)(BgL_valz00_1941); 
{ /* Reduce/1occ.scm 278 */
obj_t BgL_method2745z00_3179;
{ /* Reduce/1occ.scm 278 */
long BgL_objzd2classzd2numz00_3181;
{ /* Reduce/1occ.scm 278 */
BgL_objectz00_bglt BgL_auxz00_3994;
BgL_auxz00_3994 = 
(BgL_objectz00_bglt)(BgL_nodez00_3177); 
BgL_objzd2classzd2numz00_3181 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3994); } 
{ /* Reduce/1occ.scm 278 */
obj_t BgL_arg1221z00_3182;
{ /* Reduce/1occ.scm 278 */
int BgL_auxz00_3997;
BgL_auxz00_3997 = 
(int)(((long)1)); 
BgL_arg1221z00_3182 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3997); } 
{ /* Reduce/1occ.scm 278 */
long BgL_offsetz00_3186;
{ /* Reduce/1occ.scm 278 */
long BgL_auxz00_4000;
{ /* Reduce/1occ.scm 278 */
int BgL_auxz00_4001;
BgL_auxz00_4001 = 
(int)(BgL_objzd2classzd2numz00_3181); 
BgL_auxz00_4000 = 
(long)(BgL_auxz00_4001); } 
BgL_offsetz00_3186 = 
(BgL_auxz00_4000-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 278 */
long BgL_modz00_3187;
{ /* Reduce/1occ.scm 278 */
long BgL_auxz00_4005;
{ /* Reduce/1occ.scm 278 */
int BgL_auxz00_4006;
BgL_auxz00_4006 = 
(int)(((long)8)); 
BgL_auxz00_4005 = 
(long)(BgL_auxz00_4006); } 
BgL_modz00_3187 = 
(BgL_offsetz00_3186/BgL_auxz00_4005); } 
{ /* Reduce/1occ.scm 278 */
long BgL_restz00_3189;
{ /* Reduce/1occ.scm 278 */
long BgL_auxz00_4010;
{ /* Reduce/1occ.scm 278 */
int BgL_auxz00_4011;
BgL_auxz00_4011 = 
(int)(((long)8)); 
BgL_auxz00_4010 = 
(long)(BgL_auxz00_4011); } 
BgL_restz00_3189 = 
(BgL_offsetz00_3186%BgL_auxz00_4010); } 
{ /* Reduce/1occ.scm 278 */

{ /* Reduce/1occ.scm 278 */
obj_t BgL_bucketz00_3191;
{ /* Reduce/1occ.scm 278 */
int BgL_kz00_3201;
BgL_kz00_3201 = 
(int)(BgL_modz00_3187); 
BgL_bucketz00_3191 = 
VECTOR_REF(BgL_arg1221z00_3182,BgL_kz00_3201); } 
{ /* Reduce/1occ.scm 278 */
int BgL_kz00_3203;
BgL_kz00_3203 = 
(int)(BgL_restz00_3189); 
BgL_method2745z00_3179 = 
VECTOR_REF(BgL_bucketz00_3191,BgL_kz00_3203); } } } } } } } } 
BgL_resetz72z72_1942 = 
PROCEDURE_ENTRY(BgL_method2745z00_3179)(BgL_method2745z00_3179, 
(obj_t)(BgL_nodez00_3177), BgL_1zd2expza2z70_1892, BEOA); } } 
{ /* Reduce/1occ.scm 279 */
obj_t BgL_nvalz00_1943;
BgL_nvalz00_1943 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
SET_CDR(BgL_bindingz00_1939, BgL_nvalz00_1943); 
{ /* Reduce/1occ.scm 281 */
bool_t BgL_testz00_4023;
if(BgL_resetz00_1897)
{ /* Reduce/1occ.scm 281 */
BgL_testz00_4023 = ((bool_t)1)
; }  else 
{ /* Reduce/1occ.scm 281 */
BgL_testz00_4023 = 
CBOOL(BgL_resetz72z72_1942)
; } 
if(BgL_testz00_4023)
{ /* Reduce/1occ.scm 281 */
{ 
obj_t BgL_extendz00_4029;bool_t BgL_resetz00_4028;obj_t BgL_obindingsz00_4026;
BgL_obindingsz00_4026 = 
CDR(BgL_obindingsz00_1896); 
BgL_resetz00_4028 = ((bool_t)1); 
BgL_extendz00_4029 = BNIL; 
BgL_extendz00_1898 = BgL_extendz00_4029; 
BgL_resetz00_1897 = BgL_resetz00_4028; 
BgL_obindingsz00_1896 = BgL_obindingsz00_4026; 
goto BgL_loopz00_1899;} }  else 
{ /* Reduce/1occ.scm 285 */
bool_t BgL_test2924z00_1947;
{ /* Reduce/1occ.scm 285 */
obj_t BgL_auxz00_4033;obj_t BgL_auxz00_4030;
BgL_auxz00_4033 = 
CNST_TABLE_REF(((long)0)); 
{ /* Reduce/1occ.scm 285 */
BgL_localz00_bglt BgL_obj1258z00_3207;
BgL_obj1258z00_3207 = 
(BgL_localz00_bglt)(BgL_varz00_1940); 
BgL_auxz00_4030 = 
(((BgL_localz00_bglt)CREF(BgL_obj1258z00_3207))->BgL_accessz00); } 
BgL_test2924z00_1947 = 
(BgL_auxz00_4030==BgL_auxz00_4033); } 
if(BgL_test2924z00_1947)
{ /* Reduce/1occ.scm 289 */
bool_t BgL_test2925z00_1948;
{ /* Reduce/1occ.scm 289 */
bool_t BgL_testz00_4037;
{ /* Reduce/1occ.scm 289 */
long BgL_auxz00_4038;
{ /* Reduce/1occ.scm 289 */
BgL_localz00_bglt BgL_obj1267z00_3208;
BgL_obj1267z00_3208 = 
(BgL_localz00_bglt)(BgL_varz00_1940); 
BgL_auxz00_4038 = 
(((BgL_localz00_bglt)CREF(BgL_obj1267z00_3208))->BgL_occurrencez00); } 
BgL_testz00_4037 = 
(BgL_auxz00_4038==((long)1)); } 
if(BgL_testz00_4037)
{ /* Reduce/1occ.scm 289 */
if(BgL_test2924z00_1947)
{ /* Reduce/1occ.scm 291 */
bool_t BgL_test2938z00_1961;
BgL_test2938z00_1961 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_valz00_1941)); 
if(BgL_test2938z00_1961)
{ /* Reduce/1occ.scm 291 */
BgL_test2925z00_1948 = ((bool_t)0); }  else 
{ /* Reduce/1occ.scm 291 */
BgL_test2925z00_1948 = ((bool_t)1); } }  else 
{ /* Reduce/1occ.scm 290 */
BgL_test2925z00_1948 = ((bool_t)0); } }  else 
{ /* Reduce/1occ.scm 289 */
BgL_test2925z00_1948 = ((bool_t)0); } } 
if(BgL_test2925z00_1948)
{ /* Reduce/1occ.scm 289 */
{ /* Reduce/1occ.scm 298 */
obj_t BgL_arg2926z00_1949;obj_t BgL_arg2927z00_1950;
BgL_arg2926z00_1949 = 
CDR(BgL_obindingsz00_1896); 
BgL_arg2927z00_1950 = 
MAKE_PAIR(BgL_bindingz00_1939, BgL_extendz00_1898); 
{ 
obj_t BgL_extendz00_4051;bool_t BgL_resetz00_4050;obj_t BgL_obindingsz00_4049;
BgL_obindingsz00_4049 = BgL_arg2926z00_1949; 
BgL_resetz00_4050 = ((bool_t)0); 
BgL_extendz00_4051 = BgL_arg2927z00_1950; 
BgL_extendz00_1898 = BgL_extendz00_4051; 
BgL_resetz00_1897 = BgL_resetz00_4050; 
BgL_obindingsz00_1896 = BgL_obindingsz00_4049; 
goto BgL_loopz00_1899;} } }  else 
{ /* Reduce/1occ.scm 289 */
{ /* Reduce/1occ.scm 302 */
bool_t BgL_test2928z00_1951;
{ /* Reduce/1occ.scm 302 */
bool_t BgL_testz00_4052;
{ /* Reduce/1occ.scm 302 */
long BgL_auxz00_4053;
{ /* Reduce/1occ.scm 302 */
BgL_localz00_bglt BgL_obj1267z00_3213;
BgL_obj1267z00_3213 = 
(BgL_localz00_bglt)(BgL_varz00_1940); 
BgL_auxz00_4053 = 
(((BgL_localz00_bglt)CREF(BgL_obj1267z00_3213))->BgL_occurrencez00); } 
BgL_testz00_4052 = 
(BgL_auxz00_4053==((long)1)); } 
if(BgL_testz00_4052)
{ /* Reduce/1occ.scm 303 */
bool_t BgL_testz00_4057;
{ /* Reduce/1occ.scm 303 */
obj_t BgL_auxz00_4061;obj_t BgL_auxz00_4058;
BgL_auxz00_4061 = 
CNST_TABLE_REF(((long)0)); 
{ /* Reduce/1occ.scm 303 */
BgL_localz00_bglt BgL_obj1258z00_3216;
BgL_obj1258z00_3216 = 
(BgL_localz00_bglt)(BgL_varz00_1940); 
BgL_auxz00_4058 = 
(((BgL_localz00_bglt)CREF(BgL_obj1258z00_3216))->BgL_accessz00); } 
BgL_testz00_4057 = 
(BgL_auxz00_4058==BgL_auxz00_4061); } 
if(BgL_testz00_4057)
{ /* Reduce/1occ.scm 303 */
BgL_test2928z00_1951 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_valz00_1941)); }  else 
{ /* Reduce/1occ.scm 303 */
BgL_test2928z00_1951 = ((bool_t)0); } }  else 
{ /* Reduce/1occ.scm 302 */
BgL_test2928z00_1951 = ((bool_t)0); } } 
if(BgL_test2928z00_1951)
{ /* Reduce/1occ.scm 302 */BNIL; }  else 
{ /* Reduce/1occ.scm 302 */BFALSE; } } 
{ 
bool_t BgL_resetz00_4069;obj_t BgL_obindingsz00_4067;
BgL_obindingsz00_4067 = 
CDR(BgL_obindingsz00_1896); 
BgL_resetz00_4069 = ((bool_t)0); 
BgL_resetz00_1897 = BgL_resetz00_4069; 
BgL_obindingsz00_1896 = BgL_obindingsz00_4067; 
goto BgL_loopz00_1899;} } }  else 
{ /* Reduce/1occ.scm 285 */
{ 
bool_t BgL_resetz00_4072;obj_t BgL_obindingsz00_4070;
BgL_obindingsz00_4070 = 
CDR(BgL_obindingsz00_1896); 
BgL_resetz00_4072 = ((bool_t)0); 
BgL_resetz00_1897 = BgL_resetz00_4072; 
BgL_obindingsz00_1896 = BgL_obindingsz00_4070; 
goto BgL_loopz00_1899;} } } } } } } } } } } 
}



/* node-1occ!-let-fun2773 */
obj_t BGl_nodezd21occz12zd2letzd2fun2773zc0zzreduce_1occz00(obj_t BgL_envz00_3447, obj_t BgL_nodez00_3448, obj_t BgL_1zd2expza2z70_3449)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 212 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1865;obj_t BgL_1zd2expza2z70_1866;
BgL_nodez00_1865 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3448); 
BgL_1zd2expza2z70_1866 = BgL_1zd2expza2z70_3449; 
{ /* Reduce/1occ.scm 214 */
obj_t BgL_resetz00_1870;
{ /* Reduce/1occ.scm 215 */
BgL_nodez00_bglt BgL_arg2897z00_1888;
BgL_arg2897z00_1888 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1865))->BgL_bodyz00); 
{ /* Reduce/1occ.scm 215 */
obj_t BgL_method2745z00_3033;
{ /* Reduce/1occ.scm 215 */
long BgL_objzd2classzd2numz00_3035;
{ /* Reduce/1occ.scm 215 */
BgL_objectz00_bglt BgL_auxz00_4076;
BgL_auxz00_4076 = 
(BgL_objectz00_bglt)(BgL_arg2897z00_1888); 
BgL_objzd2classzd2numz00_3035 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4076); } 
{ /* Reduce/1occ.scm 215 */
obj_t BgL_arg1221z00_3036;
{ /* Reduce/1occ.scm 215 */
int BgL_auxz00_4079;
BgL_auxz00_4079 = 
(int)(((long)1)); 
BgL_arg1221z00_3036 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4079); } 
{ /* Reduce/1occ.scm 215 */
long BgL_offsetz00_3040;
{ /* Reduce/1occ.scm 215 */
long BgL_auxz00_4082;
{ /* Reduce/1occ.scm 215 */
int BgL_auxz00_4083;
BgL_auxz00_4083 = 
(int)(BgL_objzd2classzd2numz00_3035); 
BgL_auxz00_4082 = 
(long)(BgL_auxz00_4083); } 
BgL_offsetz00_3040 = 
(BgL_auxz00_4082-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 215 */
long BgL_modz00_3041;
{ /* Reduce/1occ.scm 215 */
long BgL_auxz00_4087;
{ /* Reduce/1occ.scm 215 */
int BgL_auxz00_4088;
BgL_auxz00_4088 = 
(int)(((long)8)); 
BgL_auxz00_4087 = 
(long)(BgL_auxz00_4088); } 
BgL_modz00_3041 = 
(BgL_offsetz00_3040/BgL_auxz00_4087); } 
{ /* Reduce/1occ.scm 215 */
long BgL_restz00_3043;
{ /* Reduce/1occ.scm 215 */
long BgL_auxz00_4092;
{ /* Reduce/1occ.scm 215 */
int BgL_auxz00_4093;
BgL_auxz00_4093 = 
(int)(((long)8)); 
BgL_auxz00_4092 = 
(long)(BgL_auxz00_4093); } 
BgL_restz00_3043 = 
(BgL_offsetz00_3040%BgL_auxz00_4092); } 
{ /* Reduce/1occ.scm 215 */

{ /* Reduce/1occ.scm 215 */
obj_t BgL_bucketz00_3045;
{ /* Reduce/1occ.scm 215 */
int BgL_kz00_3055;
BgL_kz00_3055 = 
(int)(BgL_modz00_3041); 
BgL_bucketz00_3045 = 
VECTOR_REF(BgL_arg1221z00_3036,BgL_kz00_3055); } 
{ /* Reduce/1occ.scm 215 */
int BgL_kz00_3057;
BgL_kz00_3057 = 
(int)(BgL_restz00_3043); 
BgL_method2745z00_3033 = 
VECTOR_REF(BgL_bucketz00_3045,BgL_kz00_3057); } } } } } } } } 
BgL_resetz00_1870 = 
PROCEDURE_ENTRY(BgL_method2745z00_3033)(BgL_method2745z00_3033, 
(obj_t)(BgL_arg2897z00_1888), BgL_1zd2expza2z70_1866, BEOA); } } 
{ /* Reduce/1occ.scm 216 */
obj_t BgL_nbodyz00_1871;
BgL_nbodyz00_1871 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 216 */
BgL_nodez00_bglt BgL_val2430z00_3059;
BgL_val2430z00_3059 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1871); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1865))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2430z00_3059), BUNSPEC); } 
{ 
obj_t BgL_localsz00_1872;obj_t BgL_resetz00_1873;
BgL_localsz00_1872 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1865))->BgL_localsz00); 
BgL_resetz00_1873 = BgL_resetz00_1870; 
BgL_loopz00_1874:
if(
NULLP(BgL_localsz00_1872))
{ /* Reduce/1occ.scm 219 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1865); 
return BgL_resetz00_1873;}  else 
{ /* Reduce/1occ.scm 221 */
BgL_valuez00_bglt BgL_sfunz00_1880;
{ /* Reduce/1occ.scm 222 */
BgL_localz00_bglt BgL_obj1255z00_3063;
{ /* Reduce/1occ.scm 222 */
obj_t BgL_auxz00_4110;
BgL_auxz00_4110 = 
CAR(BgL_localsz00_1872); 
BgL_obj1255z00_3063 = 
(BgL_localz00_bglt)(BgL_auxz00_4110); } 
BgL_sfunz00_1880 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3063))->BgL_valuez00); } 
{ /* Reduce/1occ.scm 222 */

{ /* Reduce/1occ.scm 223 */
obj_t BgL_resetz72z72_1881;
{ /* Reduce/1occ.scm 224 */
BgL_nodez00_bglt BgL_nodez00_3065;
{ /* Reduce/1occ.scm 224 */
obj_t BgL_auxz00_4114;
{ /* Reduce/1occ.scm 224 */
BgL_sfunz00_bglt BgL_obj1372z00_3064;
BgL_obj1372z00_3064 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1880); 
BgL_auxz00_4114 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3064))->BgL_bodyz00); } 
BgL_nodez00_3065 = 
(BgL_nodez00_bglt)(BgL_auxz00_4114); } 
{ /* Reduce/1occ.scm 224 */
obj_t BgL_method2745z00_3067;
{ /* Reduce/1occ.scm 224 */
long BgL_objzd2classzd2numz00_3069;
{ /* Reduce/1occ.scm 224 */
BgL_objectz00_bglt BgL_auxz00_4118;
BgL_auxz00_4118 = 
(BgL_objectz00_bglt)(BgL_nodez00_3065); 
BgL_objzd2classzd2numz00_3069 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4118); } 
{ /* Reduce/1occ.scm 224 */
obj_t BgL_arg1221z00_3070;
{ /* Reduce/1occ.scm 224 */
int BgL_auxz00_4121;
BgL_auxz00_4121 = 
(int)(((long)1)); 
BgL_arg1221z00_3070 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4121); } 
{ /* Reduce/1occ.scm 224 */
long BgL_offsetz00_3074;
{ /* Reduce/1occ.scm 224 */
long BgL_auxz00_4124;
{ /* Reduce/1occ.scm 224 */
int BgL_auxz00_4125;
BgL_auxz00_4125 = 
(int)(BgL_objzd2classzd2numz00_3069); 
BgL_auxz00_4124 = 
(long)(BgL_auxz00_4125); } 
BgL_offsetz00_3074 = 
(BgL_auxz00_4124-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 224 */
long BgL_modz00_3075;
{ /* Reduce/1occ.scm 224 */
long BgL_auxz00_4129;
{ /* Reduce/1occ.scm 224 */
int BgL_auxz00_4130;
BgL_auxz00_4130 = 
(int)(((long)8)); 
BgL_auxz00_4129 = 
(long)(BgL_auxz00_4130); } 
BgL_modz00_3075 = 
(BgL_offsetz00_3074/BgL_auxz00_4129); } 
{ /* Reduce/1occ.scm 224 */
long BgL_restz00_3077;
{ /* Reduce/1occ.scm 224 */
long BgL_auxz00_4134;
{ /* Reduce/1occ.scm 224 */
int BgL_auxz00_4135;
BgL_auxz00_4135 = 
(int)(((long)8)); 
BgL_auxz00_4134 = 
(long)(BgL_auxz00_4135); } 
BgL_restz00_3077 = 
(BgL_offsetz00_3074%BgL_auxz00_4134); } 
{ /* Reduce/1occ.scm 224 */

{ /* Reduce/1occ.scm 224 */
obj_t BgL_bucketz00_3079;
{ /* Reduce/1occ.scm 224 */
int BgL_kz00_3089;
BgL_kz00_3089 = 
(int)(BgL_modz00_3075); 
BgL_bucketz00_3079 = 
VECTOR_REF(BgL_arg1221z00_3070,BgL_kz00_3089); } 
{ /* Reduce/1occ.scm 224 */
int BgL_kz00_3091;
BgL_kz00_3091 = 
(int)(BgL_restz00_3077); 
BgL_method2745z00_3067 = 
VECTOR_REF(BgL_bucketz00_3079,BgL_kz00_3091); } } } } } } } } 
BgL_resetz72z72_1881 = 
PROCEDURE_ENTRY(BgL_method2745z00_3067)(BgL_method2745z00_3067, 
(obj_t)(BgL_nodez00_3065), BNIL, BEOA); } } 
{ /* Reduce/1occ.scm 225 */
obj_t BgL_nbodyz00_1882;
BgL_nbodyz00_1882 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 225 */
BgL_sfunz00_bglt BgL_obj1374z00_3092;
BgL_obj1374z00_3092 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1880); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_3092))->BgL_bodyz00) = ((obj_t)BgL_nbodyz00_1882), BUNSPEC); } 
{ 
obj_t BgL_resetz00_4150;obj_t BgL_localsz00_4148;
BgL_localsz00_4148 = 
CDR(BgL_localsz00_1872); 
if(
CBOOL(BgL_resetz00_1873))
{ /* Reduce/1occ.scm 226 */
BgL_resetz00_4150 = BgL_resetz00_1873; }  else 
{ /* Reduce/1occ.scm 226 */
BgL_resetz00_4150 = BgL_resetz72z72_1881; } 
BgL_resetz00_1873 = BgL_resetz00_4150; 
BgL_localsz00_1872 = BgL_localsz00_4148; 
goto BgL_loopz00_1874;} } } } } } } } } } 
}



/* node-1occ!-select2771 */
obj_t BGl_nodezd21occz12zd2select2771z12zzreduce_1occz00(obj_t BgL_envz00_3450, obj_t BgL_nodez00_3451, obj_t BgL_1zd2expza2z70_3452)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 193 */
{ 
BgL_selectz00_bglt BgL_nodez00_1840;obj_t BgL_1zd2expza2z70_1841;
BgL_nodez00_1840 = 
(BgL_selectz00_bglt)(BgL_nodez00_3451); 
BgL_1zd2expza2z70_1841 = BgL_1zd2expza2z70_3452; 
{ /* Reduce/1occ.scm 195 */
obj_t BgL_resetz00_1845;
{ /* Reduce/1occ.scm 196 */
BgL_nodez00_bglt BgL_arg2889z00_1862;
BgL_arg2889z00_1862 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1840))->BgL_testz00); 
{ /* Reduce/1occ.scm 196 */
obj_t BgL_method2745z00_2969;
{ /* Reduce/1occ.scm 196 */
long BgL_objzd2classzd2numz00_2971;
{ /* Reduce/1occ.scm 196 */
BgL_objectz00_bglt BgL_auxz00_4156;
BgL_auxz00_4156 = 
(BgL_objectz00_bglt)(BgL_arg2889z00_1862); 
BgL_objzd2classzd2numz00_2971 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4156); } 
{ /* Reduce/1occ.scm 196 */
obj_t BgL_arg1221z00_2972;
{ /* Reduce/1occ.scm 196 */
int BgL_auxz00_4159;
BgL_auxz00_4159 = 
(int)(((long)1)); 
BgL_arg1221z00_2972 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4159); } 
{ /* Reduce/1occ.scm 196 */
long BgL_offsetz00_2976;
{ /* Reduce/1occ.scm 196 */
long BgL_auxz00_4162;
{ /* Reduce/1occ.scm 196 */
int BgL_auxz00_4163;
BgL_auxz00_4163 = 
(int)(BgL_objzd2classzd2numz00_2971); 
BgL_auxz00_4162 = 
(long)(BgL_auxz00_4163); } 
BgL_offsetz00_2976 = 
(BgL_auxz00_4162-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 196 */
long BgL_modz00_2977;
{ /* Reduce/1occ.scm 196 */
long BgL_auxz00_4167;
{ /* Reduce/1occ.scm 196 */
int BgL_auxz00_4168;
BgL_auxz00_4168 = 
(int)(((long)8)); 
BgL_auxz00_4167 = 
(long)(BgL_auxz00_4168); } 
BgL_modz00_2977 = 
(BgL_offsetz00_2976/BgL_auxz00_4167); } 
{ /* Reduce/1occ.scm 196 */
long BgL_restz00_2979;
{ /* Reduce/1occ.scm 196 */
long BgL_auxz00_4172;
{ /* Reduce/1occ.scm 196 */
int BgL_auxz00_4173;
BgL_auxz00_4173 = 
(int)(((long)8)); 
BgL_auxz00_4172 = 
(long)(BgL_auxz00_4173); } 
BgL_restz00_2979 = 
(BgL_offsetz00_2976%BgL_auxz00_4172); } 
{ /* Reduce/1occ.scm 196 */

{ /* Reduce/1occ.scm 196 */
obj_t BgL_bucketz00_2981;
{ /* Reduce/1occ.scm 196 */
int BgL_kz00_2991;
BgL_kz00_2991 = 
(int)(BgL_modz00_2977); 
BgL_bucketz00_2981 = 
VECTOR_REF(BgL_arg1221z00_2972,BgL_kz00_2991); } 
{ /* Reduce/1occ.scm 196 */
int BgL_kz00_2993;
BgL_kz00_2993 = 
(int)(BgL_restz00_2979); 
BgL_method2745z00_2969 = 
VECTOR_REF(BgL_bucketz00_2981,BgL_kz00_2993); } } } } } } } } 
BgL_resetz00_1845 = 
PROCEDURE_ENTRY(BgL_method2745z00_2969)(BgL_method2745z00_2969, 
(obj_t)(BgL_arg2889z00_1862), BgL_1zd2expza2z70_1841, BEOA); } } 
{ /* Reduce/1occ.scm 197 */
obj_t BgL_ntestz00_1846;
BgL_ntestz00_1846 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 197 */
BgL_nodez00_bglt BgL_val2385z00_2995;
BgL_val2385z00_2995 = 
(BgL_nodez00_bglt)(BgL_ntestz00_1846); 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1840))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2385z00_2995), BUNSPEC); } 
{ 
obj_t BgL_clausesz00_1848;obj_t BgL_resetz00_1849;
BgL_clausesz00_1848 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1840))->BgL_clausesz00); 
BgL_resetz00_1849 = BgL_resetz00_1845; 
BgL_loopz00_1850:
if(
NULLP(BgL_clausesz00_1848))
{ /* Reduce/1occ.scm 201 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1840); 
return BgL_resetz00_1849;}  else 
{ /* Reduce/1occ.scm 203 */
obj_t BgL_clausez00_1855;
BgL_clausez00_1855 = 
CAR(BgL_clausesz00_1848); 
{ /* Reduce/1occ.scm 204 */
obj_t BgL_resetz72z72_1856;
{ /* Reduce/1occ.scm 205 */
BgL_nodez00_bglt BgL_nodez00_3000;
{ /* Reduce/1occ.scm 205 */
obj_t BgL_auxz00_4191;
BgL_auxz00_4191 = 
CDR(BgL_clausez00_1855); 
BgL_nodez00_3000 = 
(BgL_nodez00_bglt)(BgL_auxz00_4191); } 
{ /* Reduce/1occ.scm 205 */
obj_t BgL_method2745z00_3002;
{ /* Reduce/1occ.scm 205 */
long BgL_objzd2classzd2numz00_3004;
{ /* Reduce/1occ.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4194;
BgL_auxz00_4194 = 
(BgL_objectz00_bglt)(BgL_nodez00_3000); 
BgL_objzd2classzd2numz00_3004 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4194); } 
{ /* Reduce/1occ.scm 205 */
obj_t BgL_arg1221z00_3005;
{ /* Reduce/1occ.scm 205 */
int BgL_auxz00_4197;
BgL_auxz00_4197 = 
(int)(((long)1)); 
BgL_arg1221z00_3005 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4197); } 
{ /* Reduce/1occ.scm 205 */
long BgL_offsetz00_3009;
{ /* Reduce/1occ.scm 205 */
long BgL_auxz00_4200;
{ /* Reduce/1occ.scm 205 */
int BgL_auxz00_4201;
BgL_auxz00_4201 = 
(int)(BgL_objzd2classzd2numz00_3004); 
BgL_auxz00_4200 = 
(long)(BgL_auxz00_4201); } 
BgL_offsetz00_3009 = 
(BgL_auxz00_4200-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 205 */
long BgL_modz00_3010;
{ /* Reduce/1occ.scm 205 */
long BgL_auxz00_4205;
{ /* Reduce/1occ.scm 205 */
int BgL_auxz00_4206;
BgL_auxz00_4206 = 
(int)(((long)8)); 
BgL_auxz00_4205 = 
(long)(BgL_auxz00_4206); } 
BgL_modz00_3010 = 
(BgL_offsetz00_3009/BgL_auxz00_4205); } 
{ /* Reduce/1occ.scm 205 */
long BgL_restz00_3012;
{ /* Reduce/1occ.scm 205 */
long BgL_auxz00_4210;
{ /* Reduce/1occ.scm 205 */
int BgL_auxz00_4211;
BgL_auxz00_4211 = 
(int)(((long)8)); 
BgL_auxz00_4210 = 
(long)(BgL_auxz00_4211); } 
BgL_restz00_3012 = 
(BgL_offsetz00_3009%BgL_auxz00_4210); } 
{ /* Reduce/1occ.scm 205 */

{ /* Reduce/1occ.scm 205 */
obj_t BgL_bucketz00_3014;
{ /* Reduce/1occ.scm 205 */
int BgL_kz00_3024;
BgL_kz00_3024 = 
(int)(BgL_modz00_3010); 
BgL_bucketz00_3014 = 
VECTOR_REF(BgL_arg1221z00_3005,BgL_kz00_3024); } 
{ /* Reduce/1occ.scm 205 */
int BgL_kz00_3026;
BgL_kz00_3026 = 
(int)(BgL_restz00_3012); 
BgL_method2745z00_3002 = 
VECTOR_REF(BgL_bucketz00_3014,BgL_kz00_3026); } } } } } } } } 
BgL_resetz72z72_1856 = 
PROCEDURE_ENTRY(BgL_method2745z00_3002)(BgL_method2745z00_3002, 
(obj_t)(BgL_nodez00_3000), BgL_1zd2expza2z70_1841, BEOA); } } 
{ /* Reduce/1occ.scm 206 */
obj_t BgL_nclausez00_1857;
BgL_nclausez00_1857 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
SET_CDR(BgL_clausez00_1855, BgL_nclausez00_1857); 
{ 
obj_t BgL_resetz00_4225;obj_t BgL_clausesz00_4223;
BgL_clausesz00_4223 = 
CDR(BgL_clausesz00_1848); 
if(
CBOOL(BgL_resetz00_1849))
{ /* Reduce/1occ.scm 207 */
BgL_resetz00_4225 = BgL_resetz00_1849; }  else 
{ /* Reduce/1occ.scm 207 */
BgL_resetz00_4225 = BgL_resetz72z72_1856; } 
BgL_resetz00_1849 = BgL_resetz00_4225; 
BgL_clausesz00_1848 = BgL_clausesz00_4223; 
goto BgL_loopz00_1850;} } } } } } } } } 
}



/* node-1occ!-fail2769 */
obj_t BGl_nodezd21occz12zd2fail2769z12zzreduce_1occz00(obj_t BgL_envz00_3453, obj_t BgL_nodez00_3454, obj_t BgL_1zd2expza2z70_3455)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 175 */
{ 
BgL_failz00_bglt BgL_nodez00_1818;obj_t BgL_1zd2expza2z70_1819;
BgL_nodez00_1818 = 
(BgL_failz00_bglt)(BgL_nodez00_3454); 
BgL_1zd2expza2z70_1819 = BgL_1zd2expza2z70_3455; 
{ /* Reduce/1occ.scm 177 */
obj_t BgL_resetz00_1823;
{ /* Reduce/1occ.scm 178 */
BgL_nodez00_bglt BgL_arg2882z00_1837;
BgL_arg2882z00_1837 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_procz00); 
{ /* Reduce/1occ.scm 178 */
obj_t BgL_method2745z00_2879;
{ /* Reduce/1occ.scm 178 */
long BgL_objzd2classzd2numz00_2881;
{ /* Reduce/1occ.scm 178 */
BgL_objectz00_bglt BgL_auxz00_4231;
BgL_auxz00_4231 = 
(BgL_objectz00_bglt)(BgL_arg2882z00_1837); 
BgL_objzd2classzd2numz00_2881 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4231); } 
{ /* Reduce/1occ.scm 178 */
obj_t BgL_arg1221z00_2882;
{ /* Reduce/1occ.scm 178 */
int BgL_auxz00_4234;
BgL_auxz00_4234 = 
(int)(((long)1)); 
BgL_arg1221z00_2882 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4234); } 
{ /* Reduce/1occ.scm 178 */
long BgL_offsetz00_2886;
{ /* Reduce/1occ.scm 178 */
long BgL_auxz00_4237;
{ /* Reduce/1occ.scm 178 */
int BgL_auxz00_4238;
BgL_auxz00_4238 = 
(int)(BgL_objzd2classzd2numz00_2881); 
BgL_auxz00_4237 = 
(long)(BgL_auxz00_4238); } 
BgL_offsetz00_2886 = 
(BgL_auxz00_4237-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 178 */
long BgL_modz00_2887;
{ /* Reduce/1occ.scm 178 */
long BgL_auxz00_4242;
{ /* Reduce/1occ.scm 178 */
int BgL_auxz00_4243;
BgL_auxz00_4243 = 
(int)(((long)8)); 
BgL_auxz00_4242 = 
(long)(BgL_auxz00_4243); } 
BgL_modz00_2887 = 
(BgL_offsetz00_2886/BgL_auxz00_4242); } 
{ /* Reduce/1occ.scm 178 */
long BgL_restz00_2889;
{ /* Reduce/1occ.scm 178 */
long BgL_auxz00_4247;
{ /* Reduce/1occ.scm 178 */
int BgL_auxz00_4248;
BgL_auxz00_4248 = 
(int)(((long)8)); 
BgL_auxz00_4247 = 
(long)(BgL_auxz00_4248); } 
BgL_restz00_2889 = 
(BgL_offsetz00_2886%BgL_auxz00_4247); } 
{ /* Reduce/1occ.scm 178 */

{ /* Reduce/1occ.scm 178 */
obj_t BgL_bucketz00_2891;
{ /* Reduce/1occ.scm 178 */
int BgL_kz00_2901;
BgL_kz00_2901 = 
(int)(BgL_modz00_2887); 
BgL_bucketz00_2891 = 
VECTOR_REF(BgL_arg1221z00_2882,BgL_kz00_2901); } 
{ /* Reduce/1occ.scm 178 */
int BgL_kz00_2903;
BgL_kz00_2903 = 
(int)(BgL_restz00_2889); 
BgL_method2745z00_2879 = 
VECTOR_REF(BgL_bucketz00_2891,BgL_kz00_2903); } } } } } } } } 
BgL_resetz00_1823 = 
PROCEDURE_ENTRY(BgL_method2745z00_2879)(BgL_method2745z00_2879, 
(obj_t)(BgL_arg2882z00_1837), BgL_1zd2expza2z70_1819, BEOA); } } 
{ /* Reduce/1occ.scm 179 */
obj_t BgL_nprocz00_1824;
BgL_nprocz00_1824 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 179 */
BgL_nodez00_bglt BgL_val2345z00_2905;
BgL_val2345z00_2905 = 
(BgL_nodez00_bglt)(BgL_nprocz00_1824); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_val2345z00_2905), BUNSPEC); } 
{ /* Reduce/1occ.scm 180 */
obj_t BgL_1zd2expza2z72z02_1825;
if(
CBOOL(BgL_resetz00_1823))
{ /* Reduce/1occ.scm 180 */
BgL_1zd2expza2z72z02_1825 = BNIL; }  else 
{ /* Reduce/1occ.scm 180 */
BgL_1zd2expza2z72z02_1825 = BgL_1zd2expza2z70_1819; } 
{ /* Reduce/1occ.scm 181 */
obj_t BgL_resetz72z72_1826;
{ /* Reduce/1occ.scm 182 */
BgL_nodez00_bglt BgL_arg2881z00_1836;
BgL_arg2881z00_1836 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_msgz00); 
{ /* Reduce/1occ.scm 182 */
obj_t BgL_method2745z00_2909;
{ /* Reduce/1occ.scm 182 */
long BgL_objzd2classzd2numz00_2911;
{ /* Reduce/1occ.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4264;
BgL_auxz00_4264 = 
(BgL_objectz00_bglt)(BgL_arg2881z00_1836); 
BgL_objzd2classzd2numz00_2911 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4264); } 
{ /* Reduce/1occ.scm 182 */
obj_t BgL_arg1221z00_2912;
{ /* Reduce/1occ.scm 182 */
int BgL_auxz00_4267;
BgL_auxz00_4267 = 
(int)(((long)1)); 
BgL_arg1221z00_2912 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4267); } 
{ /* Reduce/1occ.scm 182 */
long BgL_offsetz00_2916;
{ /* Reduce/1occ.scm 182 */
long BgL_auxz00_4270;
{ /* Reduce/1occ.scm 182 */
int BgL_auxz00_4271;
BgL_auxz00_4271 = 
(int)(BgL_objzd2classzd2numz00_2911); 
BgL_auxz00_4270 = 
(long)(BgL_auxz00_4271); } 
BgL_offsetz00_2916 = 
(BgL_auxz00_4270-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 182 */
long BgL_modz00_2917;
{ /* Reduce/1occ.scm 182 */
long BgL_auxz00_4275;
{ /* Reduce/1occ.scm 182 */
int BgL_auxz00_4276;
BgL_auxz00_4276 = 
(int)(((long)8)); 
BgL_auxz00_4275 = 
(long)(BgL_auxz00_4276); } 
BgL_modz00_2917 = 
(BgL_offsetz00_2916/BgL_auxz00_4275); } 
{ /* Reduce/1occ.scm 182 */
long BgL_restz00_2919;
{ /* Reduce/1occ.scm 182 */
long BgL_auxz00_4280;
{ /* Reduce/1occ.scm 182 */
int BgL_auxz00_4281;
BgL_auxz00_4281 = 
(int)(((long)8)); 
BgL_auxz00_4280 = 
(long)(BgL_auxz00_4281); } 
BgL_restz00_2919 = 
(BgL_offsetz00_2916%BgL_auxz00_4280); } 
{ /* Reduce/1occ.scm 182 */

{ /* Reduce/1occ.scm 182 */
obj_t BgL_bucketz00_2921;
{ /* Reduce/1occ.scm 182 */
int BgL_kz00_2931;
BgL_kz00_2931 = 
(int)(BgL_modz00_2917); 
BgL_bucketz00_2921 = 
VECTOR_REF(BgL_arg1221z00_2912,BgL_kz00_2931); } 
{ /* Reduce/1occ.scm 182 */
int BgL_kz00_2933;
BgL_kz00_2933 = 
(int)(BgL_restz00_2919); 
BgL_method2745z00_2909 = 
VECTOR_REF(BgL_bucketz00_2921,BgL_kz00_2933); } } } } } } } } 
BgL_resetz72z72_1826 = 
PROCEDURE_ENTRY(BgL_method2745z00_2909)(BgL_method2745z00_2909, 
(obj_t)(BgL_arg2881z00_1836), BgL_1zd2expza2z72z02_1825, BEOA); } } 
{ /* Reduce/1occ.scm 183 */
obj_t BgL_nmsgz00_1827;
BgL_nmsgz00_1827 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 183 */
BgL_nodez00_bglt BgL_val2348z00_2935;
BgL_val2348z00_2935 = 
(BgL_nodez00_bglt)(BgL_nmsgz00_1827); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_val2348z00_2935), BUNSPEC); } 
{ /* Reduce/1occ.scm 184 */
obj_t BgL_1zd2expza2z72z72z70_1828;
if(
CBOOL(BgL_resetz72z72_1826))
{ /* Reduce/1occ.scm 184 */
BgL_1zd2expza2z72z72z70_1828 = BNIL; }  else 
{ /* Reduce/1occ.scm 184 */
BgL_1zd2expza2z72z72z70_1828 = BgL_1zd2expza2z72z02_1825; } 
{ /* Reduce/1occ.scm 185 */
obj_t BgL_resetz72z72z00_1829;
{ /* Reduce/1occ.scm 186 */
BgL_nodez00_bglt BgL_arg2880z00_1835;
BgL_arg2880z00_1835 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_objz00); 
{ /* Reduce/1occ.scm 186 */
obj_t BgL_method2745z00_2939;
{ /* Reduce/1occ.scm 186 */
long BgL_objzd2classzd2numz00_2941;
{ /* Reduce/1occ.scm 186 */
BgL_objectz00_bglt BgL_auxz00_4297;
BgL_auxz00_4297 = 
(BgL_objectz00_bglt)(BgL_arg2880z00_1835); 
BgL_objzd2classzd2numz00_2941 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4297); } 
{ /* Reduce/1occ.scm 186 */
obj_t BgL_arg1221z00_2942;
{ /* Reduce/1occ.scm 186 */
int BgL_auxz00_4300;
BgL_auxz00_4300 = 
(int)(((long)1)); 
BgL_arg1221z00_2942 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4300); } 
{ /* Reduce/1occ.scm 186 */
long BgL_offsetz00_2946;
{ /* Reduce/1occ.scm 186 */
long BgL_auxz00_4303;
{ /* Reduce/1occ.scm 186 */
int BgL_auxz00_4304;
BgL_auxz00_4304 = 
(int)(BgL_objzd2classzd2numz00_2941); 
BgL_auxz00_4303 = 
(long)(BgL_auxz00_4304); } 
BgL_offsetz00_2946 = 
(BgL_auxz00_4303-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 186 */
long BgL_modz00_2947;
{ /* Reduce/1occ.scm 186 */
long BgL_auxz00_4308;
{ /* Reduce/1occ.scm 186 */
int BgL_auxz00_4309;
BgL_auxz00_4309 = 
(int)(((long)8)); 
BgL_auxz00_4308 = 
(long)(BgL_auxz00_4309); } 
BgL_modz00_2947 = 
(BgL_offsetz00_2946/BgL_auxz00_4308); } 
{ /* Reduce/1occ.scm 186 */
long BgL_restz00_2949;
{ /* Reduce/1occ.scm 186 */
long BgL_auxz00_4313;
{ /* Reduce/1occ.scm 186 */
int BgL_auxz00_4314;
BgL_auxz00_4314 = 
(int)(((long)8)); 
BgL_auxz00_4313 = 
(long)(BgL_auxz00_4314); } 
BgL_restz00_2949 = 
(BgL_offsetz00_2946%BgL_auxz00_4313); } 
{ /* Reduce/1occ.scm 186 */

{ /* Reduce/1occ.scm 186 */
obj_t BgL_bucketz00_2951;
{ /* Reduce/1occ.scm 186 */
int BgL_kz00_2961;
BgL_kz00_2961 = 
(int)(BgL_modz00_2947); 
BgL_bucketz00_2951 = 
VECTOR_REF(BgL_arg1221z00_2942,BgL_kz00_2961); } 
{ /* Reduce/1occ.scm 186 */
int BgL_kz00_2963;
BgL_kz00_2963 = 
(int)(BgL_restz00_2949); 
BgL_method2745z00_2939 = 
VECTOR_REF(BgL_bucketz00_2951,BgL_kz00_2963); } } } } } } } } 
BgL_resetz72z72z00_1829 = 
PROCEDURE_ENTRY(BgL_method2745z00_2939)(BgL_method2745z00_2939, 
(obj_t)(BgL_arg2880z00_1835), BgL_1zd2expza2z72z72z70_1828, BEOA); } } 
{ /* Reduce/1occ.scm 187 */
obj_t BgL_nobjz00_1830;
BgL_nobjz00_1830 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 187 */
BgL_nodez00_bglt BgL_val2351z00_2965;
BgL_val2351z00_2965 = 
(BgL_nodez00_bglt)(BgL_nobjz00_1830); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_val2351z00_2965), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1818); 
if(
CBOOL(BgL_resetz00_1823))
{ /* Reduce/1occ.scm 188 */
return BgL_resetz00_1823;}  else 
{ /* Reduce/1occ.scm 188 */
if(
CBOOL(BgL_resetz72z72_1826))
{ /* Reduce/1occ.scm 188 */
return BgL_resetz72z72_1826;}  else 
{ /* Reduce/1occ.scm 188 */
return BgL_resetz72z72z00_1829;} } } } } } } } } } } } 
}



/* node-1occ!-conditional2767 */
obj_t BGl_nodezd21occz12zd2conditional2767z12zzreduce_1occz00(obj_t BgL_envz00_3456, obj_t BgL_nodez00_3457, obj_t BgL_1zd2expza2z70_3458)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 158 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1797;obj_t BgL_1zd2expza2z70_1798;
BgL_nodez00_1797 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3457); 
BgL_1zd2expza2z70_1798 = BgL_1zd2expza2z70_3458; 
{ /* Reduce/1occ.scm 160 */
obj_t BgL_resetz00_1802;
{ /* Reduce/1occ.scm 161 */
BgL_nodez00_bglt BgL_arg2878z00_1815;
BgL_arg2878z00_1815 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_testz00); 
{ /* Reduce/1occ.scm 161 */
obj_t BgL_method2745z00_2789;
{ /* Reduce/1occ.scm 161 */
long BgL_objzd2classzd2numz00_2791;
{ /* Reduce/1occ.scm 161 */
BgL_objectz00_bglt BgL_auxz00_4335;
BgL_auxz00_4335 = 
(BgL_objectz00_bglt)(BgL_arg2878z00_1815); 
BgL_objzd2classzd2numz00_2791 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4335); } 
{ /* Reduce/1occ.scm 161 */
obj_t BgL_arg1221z00_2792;
{ /* Reduce/1occ.scm 161 */
int BgL_auxz00_4338;
BgL_auxz00_4338 = 
(int)(((long)1)); 
BgL_arg1221z00_2792 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4338); } 
{ /* Reduce/1occ.scm 161 */
long BgL_offsetz00_2796;
{ /* Reduce/1occ.scm 161 */
long BgL_auxz00_4341;
{ /* Reduce/1occ.scm 161 */
int BgL_auxz00_4342;
BgL_auxz00_4342 = 
(int)(BgL_objzd2classzd2numz00_2791); 
BgL_auxz00_4341 = 
(long)(BgL_auxz00_4342); } 
BgL_offsetz00_2796 = 
(BgL_auxz00_4341-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 161 */
long BgL_modz00_2797;
{ /* Reduce/1occ.scm 161 */
long BgL_auxz00_4346;
{ /* Reduce/1occ.scm 161 */
int BgL_auxz00_4347;
BgL_auxz00_4347 = 
(int)(((long)8)); 
BgL_auxz00_4346 = 
(long)(BgL_auxz00_4347); } 
BgL_modz00_2797 = 
(BgL_offsetz00_2796/BgL_auxz00_4346); } 
{ /* Reduce/1occ.scm 161 */
long BgL_restz00_2799;
{ /* Reduce/1occ.scm 161 */
long BgL_auxz00_4351;
{ /* Reduce/1occ.scm 161 */
int BgL_auxz00_4352;
BgL_auxz00_4352 = 
(int)(((long)8)); 
BgL_auxz00_4351 = 
(long)(BgL_auxz00_4352); } 
BgL_restz00_2799 = 
(BgL_offsetz00_2796%BgL_auxz00_4351); } 
{ /* Reduce/1occ.scm 161 */

{ /* Reduce/1occ.scm 161 */
obj_t BgL_bucketz00_2801;
{ /* Reduce/1occ.scm 161 */
int BgL_kz00_2811;
BgL_kz00_2811 = 
(int)(BgL_modz00_2797); 
BgL_bucketz00_2801 = 
VECTOR_REF(BgL_arg1221z00_2792,BgL_kz00_2811); } 
{ /* Reduce/1occ.scm 161 */
int BgL_kz00_2813;
BgL_kz00_2813 = 
(int)(BgL_restz00_2799); 
BgL_method2745z00_2789 = 
VECTOR_REF(BgL_bucketz00_2801,BgL_kz00_2813); } } } } } } } } 
BgL_resetz00_1802 = 
PROCEDURE_ENTRY(BgL_method2745z00_2789)(BgL_method2745z00_2789, 
(obj_t)(BgL_arg2878z00_1815), BgL_1zd2expza2z70_1798, BEOA); } } 
{ /* Reduce/1occ.scm 162 */
obj_t BgL_ntestz00_1803;
BgL_ntestz00_1803 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 162 */
BgL_nodez00_bglt BgL_val2305z00_2815;
BgL_val2305z00_2815 = 
(BgL_nodez00_bglt)(BgL_ntestz00_1803); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2305z00_2815), BUNSPEC); } 
{ /* Reduce/1occ.scm 163 */
obj_t BgL_1zd2expza2z72z02_1804;
if(
CBOOL(BgL_resetz00_1802))
{ /* Reduce/1occ.scm 163 */
BgL_1zd2expza2z72z02_1804 = BNIL; }  else 
{ /* Reduce/1occ.scm 163 */
BgL_1zd2expza2z72z02_1804 = BgL_1zd2expza2z70_1798; } 
{ /* Reduce/1occ.scm 164 */
obj_t BgL_resetz72z72_1805;
{ /* Reduce/1occ.scm 165 */
BgL_nodez00_bglt BgL_arg2877z00_1814;
BgL_arg2877z00_1814 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_truez00); 
{ /* Reduce/1occ.scm 165 */
obj_t BgL_method2745z00_2819;
{ /* Reduce/1occ.scm 165 */
long BgL_objzd2classzd2numz00_2821;
{ /* Reduce/1occ.scm 165 */
BgL_objectz00_bglt BgL_auxz00_4368;
BgL_auxz00_4368 = 
(BgL_objectz00_bglt)(BgL_arg2877z00_1814); 
BgL_objzd2classzd2numz00_2821 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4368); } 
{ /* Reduce/1occ.scm 165 */
obj_t BgL_arg1221z00_2822;
{ /* Reduce/1occ.scm 165 */
int BgL_auxz00_4371;
BgL_auxz00_4371 = 
(int)(((long)1)); 
BgL_arg1221z00_2822 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4371); } 
{ /* Reduce/1occ.scm 165 */
long BgL_offsetz00_2826;
{ /* Reduce/1occ.scm 165 */
long BgL_auxz00_4374;
{ /* Reduce/1occ.scm 165 */
int BgL_auxz00_4375;
BgL_auxz00_4375 = 
(int)(BgL_objzd2classzd2numz00_2821); 
BgL_auxz00_4374 = 
(long)(BgL_auxz00_4375); } 
BgL_offsetz00_2826 = 
(BgL_auxz00_4374-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 165 */
long BgL_modz00_2827;
{ /* Reduce/1occ.scm 165 */
long BgL_auxz00_4379;
{ /* Reduce/1occ.scm 165 */
int BgL_auxz00_4380;
BgL_auxz00_4380 = 
(int)(((long)8)); 
BgL_auxz00_4379 = 
(long)(BgL_auxz00_4380); } 
BgL_modz00_2827 = 
(BgL_offsetz00_2826/BgL_auxz00_4379); } 
{ /* Reduce/1occ.scm 165 */
long BgL_restz00_2829;
{ /* Reduce/1occ.scm 165 */
long BgL_auxz00_4384;
{ /* Reduce/1occ.scm 165 */
int BgL_auxz00_4385;
BgL_auxz00_4385 = 
(int)(((long)8)); 
BgL_auxz00_4384 = 
(long)(BgL_auxz00_4385); } 
BgL_restz00_2829 = 
(BgL_offsetz00_2826%BgL_auxz00_4384); } 
{ /* Reduce/1occ.scm 165 */

{ /* Reduce/1occ.scm 165 */
obj_t BgL_bucketz00_2831;
{ /* Reduce/1occ.scm 165 */
int BgL_kz00_2841;
BgL_kz00_2841 = 
(int)(BgL_modz00_2827); 
BgL_bucketz00_2831 = 
VECTOR_REF(BgL_arg1221z00_2822,BgL_kz00_2841); } 
{ /* Reduce/1occ.scm 165 */
int BgL_kz00_2843;
BgL_kz00_2843 = 
(int)(BgL_restz00_2829); 
BgL_method2745z00_2819 = 
VECTOR_REF(BgL_bucketz00_2831,BgL_kz00_2843); } } } } } } } } 
BgL_resetz72z72_1805 = 
PROCEDURE_ENTRY(BgL_method2745z00_2819)(BgL_method2745z00_2819, 
(obj_t)(BgL_arg2877z00_1814), BgL_1zd2expza2z72z02_1804, BEOA); } } 
{ /* Reduce/1occ.scm 166 */
obj_t BgL_ntruez00_1806;
BgL_ntruez00_1806 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 166 */
BgL_nodez00_bglt BgL_val2308z00_2845;
BgL_val2308z00_2845 = 
(BgL_nodez00_bglt)(BgL_ntruez00_1806); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2308z00_2845), BUNSPEC); } 
{ /* Reduce/1occ.scm 167 */
obj_t BgL_resetz72z72z00_1807;
{ /* Reduce/1occ.scm 168 */
BgL_nodez00_bglt BgL_arg2876z00_1813;
BgL_arg2876z00_1813 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_falsez00); 
{ /* Reduce/1occ.scm 168 */
obj_t BgL_method2745z00_2849;
{ /* Reduce/1occ.scm 168 */
long BgL_objzd2classzd2numz00_2851;
{ /* Reduce/1occ.scm 168 */
BgL_objectz00_bglt BgL_auxz00_4399;
BgL_auxz00_4399 = 
(BgL_objectz00_bglt)(BgL_arg2876z00_1813); 
BgL_objzd2classzd2numz00_2851 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4399); } 
{ /* Reduce/1occ.scm 168 */
obj_t BgL_arg1221z00_2852;
{ /* Reduce/1occ.scm 168 */
int BgL_auxz00_4402;
BgL_auxz00_4402 = 
(int)(((long)1)); 
BgL_arg1221z00_2852 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4402); } 
{ /* Reduce/1occ.scm 168 */
long BgL_offsetz00_2856;
{ /* Reduce/1occ.scm 168 */
long BgL_auxz00_4405;
{ /* Reduce/1occ.scm 168 */
int BgL_auxz00_4406;
BgL_auxz00_4406 = 
(int)(BgL_objzd2classzd2numz00_2851); 
BgL_auxz00_4405 = 
(long)(BgL_auxz00_4406); } 
BgL_offsetz00_2856 = 
(BgL_auxz00_4405-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 168 */
long BgL_modz00_2857;
{ /* Reduce/1occ.scm 168 */
long BgL_auxz00_4410;
{ /* Reduce/1occ.scm 168 */
int BgL_auxz00_4411;
BgL_auxz00_4411 = 
(int)(((long)8)); 
BgL_auxz00_4410 = 
(long)(BgL_auxz00_4411); } 
BgL_modz00_2857 = 
(BgL_offsetz00_2856/BgL_auxz00_4410); } 
{ /* Reduce/1occ.scm 168 */
long BgL_restz00_2859;
{ /* Reduce/1occ.scm 168 */
long BgL_auxz00_4415;
{ /* Reduce/1occ.scm 168 */
int BgL_auxz00_4416;
BgL_auxz00_4416 = 
(int)(((long)8)); 
BgL_auxz00_4415 = 
(long)(BgL_auxz00_4416); } 
BgL_restz00_2859 = 
(BgL_offsetz00_2856%BgL_auxz00_4415); } 
{ /* Reduce/1occ.scm 168 */

{ /* Reduce/1occ.scm 168 */
obj_t BgL_bucketz00_2861;
{ /* Reduce/1occ.scm 168 */
int BgL_kz00_2871;
BgL_kz00_2871 = 
(int)(BgL_modz00_2857); 
BgL_bucketz00_2861 = 
VECTOR_REF(BgL_arg1221z00_2852,BgL_kz00_2871); } 
{ /* Reduce/1occ.scm 168 */
int BgL_kz00_2873;
BgL_kz00_2873 = 
(int)(BgL_restz00_2859); 
BgL_method2745z00_2849 = 
VECTOR_REF(BgL_bucketz00_2861,BgL_kz00_2873); } } } } } } } } 
BgL_resetz72z72z00_1807 = 
PROCEDURE_ENTRY(BgL_method2745z00_2849)(BgL_method2745z00_2849, 
(obj_t)(BgL_arg2876z00_1813), BgL_1zd2expza2z72z02_1804, BEOA); } } 
{ /* Reduce/1occ.scm 169 */
obj_t BgL_nfalsez00_1808;
BgL_nfalsez00_1808 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 169 */
BgL_nodez00_bglt BgL_val2311z00_2875;
BgL_val2311z00_2875 = 
(BgL_nodez00_bglt)(BgL_nfalsez00_1808); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_val2311z00_2875), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1797); 
if(
CBOOL(BgL_resetz00_1802))
{ /* Reduce/1occ.scm 170 */
return BgL_resetz00_1802;}  else 
{ /* Reduce/1occ.scm 170 */
if(
CBOOL(BgL_resetz72z72_1805))
{ /* Reduce/1occ.scm 170 */
return BgL_resetz72z72_1805;}  else 
{ /* Reduce/1occ.scm 170 */
return BgL_resetz72z72z00_1807;} } } } } } } } } } } 
}



/* node-1occ!-setq2765 */
obj_t BGl_nodezd21occz12zd2setq2765z12zzreduce_1occz00(obj_t BgL_envz00_3459, obj_t BgL_nodez00_3460, obj_t BgL_1zd2expza2z70_3461)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 148 */
{ 
BgL_setqz00_bglt BgL_nodez00_1785;obj_t BgL_1zd2expza2z70_1786;
BgL_nodez00_1785 = 
(BgL_setqz00_bglt)(BgL_nodez00_3460); 
BgL_1zd2expza2z70_1786 = BgL_1zd2expza2z70_3461; 
{ /* Reduce/1occ.scm 150 */
obj_t BgL_resetz00_1790;
{ /* Reduce/1occ.scm 151 */
BgL_nodez00_bglt BgL_arg2874z00_1794;
BgL_arg2874z00_1794 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1785))->BgL_valuez00); 
{ /* Reduce/1occ.scm 151 */
obj_t BgL_method2745z00_2759;
{ /* Reduce/1occ.scm 151 */
long BgL_objzd2classzd2numz00_2761;
{ /* Reduce/1occ.scm 151 */
BgL_objectz00_bglt BgL_auxz00_4437;
BgL_auxz00_4437 = 
(BgL_objectz00_bglt)(BgL_arg2874z00_1794); 
BgL_objzd2classzd2numz00_2761 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4437); } 
{ /* Reduce/1occ.scm 151 */
obj_t BgL_arg1221z00_2762;
{ /* Reduce/1occ.scm 151 */
int BgL_auxz00_4440;
BgL_auxz00_4440 = 
(int)(((long)1)); 
BgL_arg1221z00_2762 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4440); } 
{ /* Reduce/1occ.scm 151 */
long BgL_offsetz00_2766;
{ /* Reduce/1occ.scm 151 */
long BgL_auxz00_4443;
{ /* Reduce/1occ.scm 151 */
int BgL_auxz00_4444;
BgL_auxz00_4444 = 
(int)(BgL_objzd2classzd2numz00_2761); 
BgL_auxz00_4443 = 
(long)(BgL_auxz00_4444); } 
BgL_offsetz00_2766 = 
(BgL_auxz00_4443-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 151 */
long BgL_modz00_2767;
{ /* Reduce/1occ.scm 151 */
long BgL_auxz00_4448;
{ /* Reduce/1occ.scm 151 */
int BgL_auxz00_4449;
BgL_auxz00_4449 = 
(int)(((long)8)); 
BgL_auxz00_4448 = 
(long)(BgL_auxz00_4449); } 
BgL_modz00_2767 = 
(BgL_offsetz00_2766/BgL_auxz00_4448); } 
{ /* Reduce/1occ.scm 151 */
long BgL_restz00_2769;
{ /* Reduce/1occ.scm 151 */
long BgL_auxz00_4453;
{ /* Reduce/1occ.scm 151 */
int BgL_auxz00_4454;
BgL_auxz00_4454 = 
(int)(((long)8)); 
BgL_auxz00_4453 = 
(long)(BgL_auxz00_4454); } 
BgL_restz00_2769 = 
(BgL_offsetz00_2766%BgL_auxz00_4453); } 
{ /* Reduce/1occ.scm 151 */

{ /* Reduce/1occ.scm 151 */
obj_t BgL_bucketz00_2771;
{ /* Reduce/1occ.scm 151 */
int BgL_kz00_2781;
BgL_kz00_2781 = 
(int)(BgL_modz00_2767); 
BgL_bucketz00_2771 = 
VECTOR_REF(BgL_arg1221z00_2762,BgL_kz00_2781); } 
{ /* Reduce/1occ.scm 151 */
int BgL_kz00_2783;
BgL_kz00_2783 = 
(int)(BgL_restz00_2769); 
BgL_method2745z00_2759 = 
VECTOR_REF(BgL_bucketz00_2771,BgL_kz00_2783); } } } } } } } } 
BgL_resetz00_1790 = 
PROCEDURE_ENTRY(BgL_method2745z00_2759)(BgL_method2745z00_2759, 
(obj_t)(BgL_arg2874z00_1794), BgL_1zd2expza2z70_1786, BEOA); } } 
{ /* Reduce/1occ.scm 152 */
obj_t BgL_nvaluez00_1791;
BgL_nvaluez00_1791 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 152 */
BgL_nodez00_bglt BgL_val2274z00_2785;
BgL_val2274z00_2785 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1791); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1785))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2274z00_2785), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1785); 
return BgL_resetz00_1790;} } } } 
}



/* node-1occ!-cast2763 */
obj_t BGl_nodezd21occz12zd2cast2763z12zzreduce_1occz00(obj_t BgL_envz00_3462, obj_t BgL_nodez00_3463, obj_t BgL_1zd2expza2z70_3464)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 138 */
{ 
BgL_castz00_bglt BgL_nodez00_1773;obj_t BgL_1zd2expza2z70_1774;
BgL_nodez00_1773 = 
(BgL_castz00_bglt)(BgL_nodez00_3463); 
BgL_1zd2expza2z70_1774 = BgL_1zd2expza2z70_3464; 
{ /* Reduce/1occ.scm 140 */
obj_t BgL_resetz00_1778;
{ /* Reduce/1occ.scm 141 */
BgL_nodez00_bglt BgL_arg2872z00_1782;
BgL_arg2872z00_1782 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1773))->BgL_argz00); 
{ /* Reduce/1occ.scm 141 */
obj_t BgL_method2745z00_2729;
{ /* Reduce/1occ.scm 141 */
long BgL_objzd2classzd2numz00_2731;
{ /* Reduce/1occ.scm 141 */
BgL_objectz00_bglt BgL_auxz00_4471;
BgL_auxz00_4471 = 
(BgL_objectz00_bglt)(BgL_arg2872z00_1782); 
BgL_objzd2classzd2numz00_2731 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4471); } 
{ /* Reduce/1occ.scm 141 */
obj_t BgL_arg1221z00_2732;
{ /* Reduce/1occ.scm 141 */
int BgL_auxz00_4474;
BgL_auxz00_4474 = 
(int)(((long)1)); 
BgL_arg1221z00_2732 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4474); } 
{ /* Reduce/1occ.scm 141 */
long BgL_offsetz00_2736;
{ /* Reduce/1occ.scm 141 */
long BgL_auxz00_4477;
{ /* Reduce/1occ.scm 141 */
int BgL_auxz00_4478;
BgL_auxz00_4478 = 
(int)(BgL_objzd2classzd2numz00_2731); 
BgL_auxz00_4477 = 
(long)(BgL_auxz00_4478); } 
BgL_offsetz00_2736 = 
(BgL_auxz00_4477-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 141 */
long BgL_modz00_2737;
{ /* Reduce/1occ.scm 141 */
long BgL_auxz00_4482;
{ /* Reduce/1occ.scm 141 */
int BgL_auxz00_4483;
BgL_auxz00_4483 = 
(int)(((long)8)); 
BgL_auxz00_4482 = 
(long)(BgL_auxz00_4483); } 
BgL_modz00_2737 = 
(BgL_offsetz00_2736/BgL_auxz00_4482); } 
{ /* Reduce/1occ.scm 141 */
long BgL_restz00_2739;
{ /* Reduce/1occ.scm 141 */
long BgL_auxz00_4487;
{ /* Reduce/1occ.scm 141 */
int BgL_auxz00_4488;
BgL_auxz00_4488 = 
(int)(((long)8)); 
BgL_auxz00_4487 = 
(long)(BgL_auxz00_4488); } 
BgL_restz00_2739 = 
(BgL_offsetz00_2736%BgL_auxz00_4487); } 
{ /* Reduce/1occ.scm 141 */

{ /* Reduce/1occ.scm 141 */
obj_t BgL_bucketz00_2741;
{ /* Reduce/1occ.scm 141 */
int BgL_kz00_2751;
BgL_kz00_2751 = 
(int)(BgL_modz00_2737); 
BgL_bucketz00_2741 = 
VECTOR_REF(BgL_arg1221z00_2732,BgL_kz00_2751); } 
{ /* Reduce/1occ.scm 141 */
int BgL_kz00_2753;
BgL_kz00_2753 = 
(int)(BgL_restz00_2739); 
BgL_method2745z00_2729 = 
VECTOR_REF(BgL_bucketz00_2741,BgL_kz00_2753); } } } } } } } } 
BgL_resetz00_1778 = 
PROCEDURE_ENTRY(BgL_method2745z00_2729)(BgL_method2745z00_2729, 
(obj_t)(BgL_arg2872z00_1782), BgL_1zd2expza2z70_1774, BEOA); } } 
{ /* Reduce/1occ.scm 142 */
obj_t BgL_nargz00_1779;
BgL_nargz00_1779 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 142 */
BgL_nodez00_bglt BgL_val2249z00_2755;
BgL_val2249z00_2755 = 
(BgL_nodez00_bglt)(BgL_nargz00_1779); 
((((BgL_castz00_bglt)CREF(BgL_nodez00_1773))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val2249z00_2755), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1773); 
return BgL_resetz00_1778;} } } } 
}



/* node-1occ!-extern2761 */
obj_t BGl_nodezd21occz12zd2extern2761z12zzreduce_1occz00(obj_t BgL_envz00_3465, obj_t BgL_nodez00_3466, obj_t BgL_1zd2expza2z70_3467)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 132 */
{ 
BgL_externz00_bglt BgL_nodez00_1765;obj_t BgL_1zd2expza2z70_1766;
{ /* Reduce/1occ.scm 133 */
bool_t BgL_auxz00_4504;
BgL_nodez00_1765 = 
(BgL_externz00_bglt)(BgL_nodez00_3466); 
BgL_1zd2expza2z70_1766 = BgL_1zd2expza2z70_3467; 
{ /* Reduce/1occ.scm 133 */
bool_t BgL_val0_2677z00_2724;
BgL_val0_2677z00_2724 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_1765)); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1765); 
BgL_auxz00_4504 = BgL_val0_2677z00_2724; } 
return 
BBOOL(BgL_auxz00_4504);} } } 
}



/* node-1occ!-funcall2759 */
obj_t BGl_nodezd21occz12zd2funcall2759z12zzreduce_1occz00(obj_t BgL_envz00_3468, obj_t BgL_nodez00_3469, obj_t BgL_1zd2expza2z70_3470)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 121 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1754;obj_t BgL_1zd2expza2z70_1755;
BgL_nodez00_1754 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3469); 
BgL_1zd2expza2z70_1755 = BgL_1zd2expza2z70_3470; 
{ /* Reduce/1occ.scm 123 */
obj_t BgL_resetz72z72_1759;
BgL_resetz72z72_1759 = 
BGl_nodezd21occza2z12z62zzreduce_1occz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1754))->BgL_argsz00), BgL_1zd2expza2z70_1755); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1754); 
return BgL_resetz72z72_1759;} } } 
}



/* node-1occ!-app-ly2757 */
obj_t BGl_nodezd21occz12zd2appzd2ly2757zc0zzreduce_1occz00(obj_t BgL_envz00_3471, obj_t BgL_nodez00_3472, obj_t BgL_1zd2expza2z70_3473)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 108 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1737;obj_t BgL_1zd2expza2z70_1738;
BgL_nodez00_1737 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3472); 
BgL_1zd2expza2z70_1738 = BgL_1zd2expza2z70_3473; 
{ /* Reduce/1occ.scm 110 */
obj_t BgL_resetz00_1742;
{ /* Reduce/1occ.scm 111 */
BgL_nodez00_bglt BgL_arg2867z00_1751;
BgL_arg2867z00_1751 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_funz00); 
{ /* Reduce/1occ.scm 111 */
obj_t BgL_method2745z00_2666;
{ /* Reduce/1occ.scm 111 */
long BgL_objzd2classzd2numz00_2668;
{ /* Reduce/1occ.scm 111 */
BgL_objectz00_bglt BgL_auxz00_4517;
BgL_auxz00_4517 = 
(BgL_objectz00_bglt)(BgL_arg2867z00_1751); 
BgL_objzd2classzd2numz00_2668 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4517); } 
{ /* Reduce/1occ.scm 111 */
obj_t BgL_arg1221z00_2669;
{ /* Reduce/1occ.scm 111 */
int BgL_auxz00_4520;
BgL_auxz00_4520 = 
(int)(((long)1)); 
BgL_arg1221z00_2669 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4520); } 
{ /* Reduce/1occ.scm 111 */
long BgL_offsetz00_2673;
{ /* Reduce/1occ.scm 111 */
long BgL_auxz00_4523;
{ /* Reduce/1occ.scm 111 */
int BgL_auxz00_4524;
BgL_auxz00_4524 = 
(int)(BgL_objzd2classzd2numz00_2668); 
BgL_auxz00_4523 = 
(long)(BgL_auxz00_4524); } 
BgL_offsetz00_2673 = 
(BgL_auxz00_4523-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 111 */
long BgL_modz00_2674;
{ /* Reduce/1occ.scm 111 */
long BgL_auxz00_4528;
{ /* Reduce/1occ.scm 111 */
int BgL_auxz00_4529;
BgL_auxz00_4529 = 
(int)(((long)8)); 
BgL_auxz00_4528 = 
(long)(BgL_auxz00_4529); } 
BgL_modz00_2674 = 
(BgL_offsetz00_2673/BgL_auxz00_4528); } 
{ /* Reduce/1occ.scm 111 */
long BgL_restz00_2676;
{ /* Reduce/1occ.scm 111 */
long BgL_auxz00_4533;
{ /* Reduce/1occ.scm 111 */
int BgL_auxz00_4534;
BgL_auxz00_4534 = 
(int)(((long)8)); 
BgL_auxz00_4533 = 
(long)(BgL_auxz00_4534); } 
BgL_restz00_2676 = 
(BgL_offsetz00_2673%BgL_auxz00_4533); } 
{ /* Reduce/1occ.scm 111 */

{ /* Reduce/1occ.scm 111 */
obj_t BgL_bucketz00_2678;
{ /* Reduce/1occ.scm 111 */
int BgL_kz00_2688;
BgL_kz00_2688 = 
(int)(BgL_modz00_2674); 
BgL_bucketz00_2678 = 
VECTOR_REF(BgL_arg1221z00_2669,BgL_kz00_2688); } 
{ /* Reduce/1occ.scm 111 */
int BgL_kz00_2690;
BgL_kz00_2690 = 
(int)(BgL_restz00_2676); 
BgL_method2745z00_2666 = 
VECTOR_REF(BgL_bucketz00_2678,BgL_kz00_2690); } } } } } } } } 
BgL_resetz00_1742 = 
PROCEDURE_ENTRY(BgL_method2745z00_2666)(BgL_method2745z00_2666, 
(obj_t)(BgL_arg2867z00_1751), BgL_1zd2expza2z70_1738, BEOA); } } 
{ /* Reduce/1occ.scm 112 */
obj_t BgL_nfunz00_1743;
BgL_nfunz00_1743 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 112 */
BgL_nodez00_bglt BgL_val1758z00_2692;
BgL_val1758z00_2692 = 
(BgL_nodez00_bglt)(BgL_nfunz00_1743); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1758z00_2692), BUNSPEC); } 
{ /* Reduce/1occ.scm 113 */
obj_t BgL_resetz72z72_1744;
{ /* Reduce/1occ.scm 114 */
BgL_nodez00_bglt BgL_arg2865z00_1749;obj_t BgL_arg2866z00_1750;
BgL_arg2865z00_1749 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_argz00); 
if(
CBOOL(BgL_resetz00_1742))
{ /* Reduce/1occ.scm 114 */
BgL_arg2866z00_1750 = BNIL; }  else 
{ /* Reduce/1occ.scm 114 */
BgL_arg2866z00_1750 = BgL_1zd2expza2z70_1738; } 
{ /* Reduce/1occ.scm 114 */
obj_t BgL_method2745z00_2696;
{ /* Reduce/1occ.scm 114 */
long BgL_objzd2classzd2numz00_2698;
{ /* Reduce/1occ.scm 114 */
BgL_objectz00_bglt BgL_auxz00_4550;
BgL_auxz00_4550 = 
(BgL_objectz00_bglt)(BgL_arg2865z00_1749); 
BgL_objzd2classzd2numz00_2698 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4550); } 
{ /* Reduce/1occ.scm 114 */
obj_t BgL_arg1221z00_2699;
{ /* Reduce/1occ.scm 114 */
int BgL_auxz00_4553;
BgL_auxz00_4553 = 
(int)(((long)1)); 
BgL_arg1221z00_2699 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4553); } 
{ /* Reduce/1occ.scm 114 */
long BgL_offsetz00_2703;
{ /* Reduce/1occ.scm 114 */
long BgL_auxz00_4556;
{ /* Reduce/1occ.scm 114 */
int BgL_auxz00_4557;
BgL_auxz00_4557 = 
(int)(BgL_objzd2classzd2numz00_2698); 
BgL_auxz00_4556 = 
(long)(BgL_auxz00_4557); } 
BgL_offsetz00_2703 = 
(BgL_auxz00_4556-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 114 */
long BgL_modz00_2704;
{ /* Reduce/1occ.scm 114 */
long BgL_auxz00_4561;
{ /* Reduce/1occ.scm 114 */
int BgL_auxz00_4562;
BgL_auxz00_4562 = 
(int)(((long)8)); 
BgL_auxz00_4561 = 
(long)(BgL_auxz00_4562); } 
BgL_modz00_2704 = 
(BgL_offsetz00_2703/BgL_auxz00_4561); } 
{ /* Reduce/1occ.scm 114 */
long BgL_restz00_2706;
{ /* Reduce/1occ.scm 114 */
long BgL_auxz00_4566;
{ /* Reduce/1occ.scm 114 */
int BgL_auxz00_4567;
BgL_auxz00_4567 = 
(int)(((long)8)); 
BgL_auxz00_4566 = 
(long)(BgL_auxz00_4567); } 
BgL_restz00_2706 = 
(BgL_offsetz00_2703%BgL_auxz00_4566); } 
{ /* Reduce/1occ.scm 114 */

{ /* Reduce/1occ.scm 114 */
obj_t BgL_bucketz00_2708;
{ /* Reduce/1occ.scm 114 */
int BgL_kz00_2718;
BgL_kz00_2718 = 
(int)(BgL_modz00_2704); 
BgL_bucketz00_2708 = 
VECTOR_REF(BgL_arg1221z00_2699,BgL_kz00_2718); } 
{ /* Reduce/1occ.scm 114 */
int BgL_kz00_2720;
BgL_kz00_2720 = 
(int)(BgL_restz00_2706); 
BgL_method2745z00_2696 = 
VECTOR_REF(BgL_bucketz00_2708,BgL_kz00_2720); } } } } } } } } 
BgL_resetz72z72_1744 = 
PROCEDURE_ENTRY(BgL_method2745z00_2696)(BgL_method2745z00_2696, 
(obj_t)(BgL_arg2865z00_1749), BgL_arg2866z00_1750, BEOA); } } 
{ /* Reduce/1occ.scm 115 */
obj_t BgL_nargz00_1745;
BgL_nargz00_1745 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/1occ.scm 115 */
BgL_nodez00_bglt BgL_val1761z00_2722;
BgL_val1761z00_2722 = 
(BgL_nodez00_bglt)(BgL_nargz00_1745); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val1761z00_2722), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1737); 
if(
CBOOL(BgL_resetz00_1742))
{ /* Reduce/1occ.scm 116 */
return BgL_resetz00_1742;}  else 
{ /* Reduce/1occ.scm 116 */
return BgL_resetz72z72_1744;} } } } } } } 
}



/* node-1occ!-sequence2755 */
obj_t BGl_nodezd21occz12zd2sequence2755z12zzreduce_1occz00(obj_t BgL_envz00_3474, obj_t BgL_nodez00_3475, obj_t BgL_1zd2expza2z70_3476)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 101 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1727;obj_t BgL_1zd2expza2z70_1728;
BgL_nodez00_1727 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3475); 
BgL_1zd2expza2z70_1728 = BgL_1zd2expza2z70_3476; 
{ /* Reduce/1occ.scm 103 */
obj_t BgL_val0_2666z00_1732;
BgL_val0_2666z00_1732 = 
BGl_nodezd21occza2z12z62zzreduce_1occz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1727))->BgL_nodesz00), BgL_1zd2expza2z70_1728); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1727); 
return BgL_val0_2666z00_1732;} } } 
}



/* node-1occ!-closure2753 */
obj_t BGl_nodezd21occz12zd2closure2753z12zzreduce_1occz00(obj_t BgL_envz00_3477, obj_t BgL_nodez00_3478, obj_t BgL_1zd2expza2z70_3479)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 95 */
{ 
BgL_closurez00_bglt BgL_nodez00_1719;obj_t BgL_1zd2expza2z70_1720;
{ /* Reduce/1occ.scm 96 */
bool_t BgL_auxz00_4590;
BgL_nodez00_1719 = 
(BgL_closurez00_bglt)(BgL_nodez00_3478); 
BgL_1zd2expza2z70_1720 = BgL_1zd2expza2z70_3479; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1719); 
BgL_auxz00_4590 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4590);} } } 
}



/* node-1occ!-var2751 */
obj_t BGl_nodezd21occz12zd2var2751z12zzreduce_1occz00(obj_t BgL_envz00_3480, obj_t BgL_nodez00_3481, obj_t BgL_1zd2expza2z70_3482)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 82 */
{ 
BgL_varz00_bglt BgL_nodez00_1704;obj_t BgL_1zd2expza2z70_1705;
BgL_nodez00_1704 = 
(BgL_varz00_bglt)(BgL_nodez00_3481); 
BgL_1zd2expza2z70_1705 = BgL_1zd2expza2z70_3482; 
{ /* Reduce/1occ.scm 83 */
BgL_variablez00_bglt BgL_vz00_1708;
BgL_vz00_1708 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1704))->BgL_variablez00); 
{ /* Reduce/1occ.scm 84 */
obj_t BgL_falphaz00_1709;
BgL_falphaz00_1709 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_vz00_1708), BgL_1zd2expza2z70_1705); 
if(
PAIRP(BgL_falphaz00_1709))
{ /* Reduce/1occ.scm 85 */
{ /* Reduce/1occ.scm 87 */
long BgL_arg2857z00_1711;
{ /* Reduce/1occ.scm 87 */
long BgL_auxz00_4600;
BgL_auxz00_4600 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1708))->BgL_occurrencez00); 
BgL_arg2857z00_1711 = 
(BgL_auxz00_4600-((long)1)); } 
((((BgL_variablez00_bglt)CREF(BgL_vz00_1708))->BgL_occurrencez00) = ((long)BgL_arg2857z00_1711), BUNSPEC); } 
{ /* Reduce/1occ.scm 88 */
long BgL_za71za7_2630;
BgL_za71za7_2630 = BGl_za2variablezd2removedza2zd2zzreduce_1occz00; 
BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = 
(BgL_za71za7_2630+((long)1)); } 
{ /* Reduce/1occ.scm 89 */
BgL_nodez00_bglt BgL_nodez00_2633;
{ /* Reduce/1occ.scm 89 */
obj_t BgL_auxz00_4605;
BgL_auxz00_4605 = 
CDR(BgL_falphaz00_1709); 
BgL_nodez00_2633 = 
(BgL_nodez00_bglt)(BgL_auxz00_4605); } 
{ /* Reduce/1occ.scm 89 */
obj_t BgL_method2745z00_2635;
{ /* Reduce/1occ.scm 89 */
long BgL_objzd2classzd2numz00_2637;
{ /* Reduce/1occ.scm 89 */
BgL_objectz00_bglt BgL_auxz00_4608;
BgL_auxz00_4608 = 
(BgL_objectz00_bglt)(BgL_nodez00_2633); 
BgL_objzd2classzd2numz00_2637 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4608); } 
{ /* Reduce/1occ.scm 89 */
obj_t BgL_arg1221z00_2638;
{ /* Reduce/1occ.scm 89 */
int BgL_auxz00_4611;
BgL_auxz00_4611 = 
(int)(((long)1)); 
BgL_arg1221z00_2638 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4611); } 
{ /* Reduce/1occ.scm 89 */
long BgL_offsetz00_2642;
{ /* Reduce/1occ.scm 89 */
long BgL_auxz00_4614;
{ /* Reduce/1occ.scm 89 */
int BgL_auxz00_4615;
BgL_auxz00_4615 = 
(int)(BgL_objzd2classzd2numz00_2637); 
BgL_auxz00_4614 = 
(long)(BgL_auxz00_4615); } 
BgL_offsetz00_2642 = 
(BgL_auxz00_4614-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 89 */
long BgL_modz00_2643;
{ /* Reduce/1occ.scm 89 */
long BgL_auxz00_4619;
{ /* Reduce/1occ.scm 89 */
int BgL_auxz00_4620;
BgL_auxz00_4620 = 
(int)(((long)8)); 
BgL_auxz00_4619 = 
(long)(BgL_auxz00_4620); } 
BgL_modz00_2643 = 
(BgL_offsetz00_2642/BgL_auxz00_4619); } 
{ /* Reduce/1occ.scm 89 */
long BgL_restz00_2645;
{ /* Reduce/1occ.scm 89 */
long BgL_auxz00_4624;
{ /* Reduce/1occ.scm 89 */
int BgL_auxz00_4625;
BgL_auxz00_4625 = 
(int)(((long)8)); 
BgL_auxz00_4624 = 
(long)(BgL_auxz00_4625); } 
BgL_restz00_2645 = 
(BgL_offsetz00_2642%BgL_auxz00_4624); } 
{ /* Reduce/1occ.scm 89 */

{ /* Reduce/1occ.scm 89 */
obj_t BgL_bucketz00_2647;
{ /* Reduce/1occ.scm 89 */
int BgL_kz00_2657;
BgL_kz00_2657 = 
(int)(BgL_modz00_2643); 
BgL_bucketz00_2647 = 
VECTOR_REF(BgL_arg1221z00_2638,BgL_kz00_2657); } 
{ /* Reduce/1occ.scm 89 */
int BgL_kz00_2659;
BgL_kz00_2659 = 
(int)(BgL_restz00_2645); 
BgL_method2745z00_2635 = 
VECTOR_REF(BgL_bucketz00_2647,BgL_kz00_2659); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2745z00_2635)(BgL_method2745z00_2635, 
(obj_t)(BgL_nodez00_2633), BgL_1zd2expza2z70_1705, BEOA);} } }  else 
{ /* Reduce/1occ.scm 85 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1704); 
return BFALSE;} } } } } 
}



/* node-1occ!-kwote2749 */
obj_t BGl_nodezd21occz12zd2kwote2749z12zzreduce_1occz00(obj_t BgL_envz00_3483, obj_t BgL_nodez00_3484, obj_t BgL_1zd2expza2z70_3485)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 76 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1696;obj_t BgL_1zd2expza2z70_1697;
{ /* Reduce/1occ.scm 77 */
bool_t BgL_auxz00_4639;
BgL_nodez00_1696 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3484); 
BgL_1zd2expza2z70_1697 = BgL_1zd2expza2z70_3485; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1696); 
BgL_auxz00_4639 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4639);} } } 
}



/* node-1occ!-atom2747 */
obj_t BGl_nodezd21occz12zd2atom2747z12zzreduce_1occz00(obj_t BgL_envz00_3486, obj_t BgL_nodez00_3487, obj_t BgL_1zd2expza2z70_3488)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 70 */
{ 
BgL_atomz00_bglt BgL_nodez00_1688;obj_t BgL_1zd2expza2z70_1689;
{ /* Reduce/1occ.scm 71 */
bool_t BgL_auxz00_4644;
BgL_nodez00_1688 = 
(BgL_atomz00_bglt)(BgL_nodez00_3487); 
BgL_1zd2expza2z70_1689 = BgL_1zd2expza2z70_3488; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1688); 
BgL_auxz00_4644 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4644);} } } 
}



/* node-1occ! */
obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_2, obj_t BgL_1zd2expza2z70_3)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 65 */
{ /* Reduce/1occ.scm 65 */
obj_t BgL_method2745z00_3372;
{ /* Reduce/1occ.scm 65 */
long BgL_objzd2classzd2numz00_3374;
{ /* Reduce/1occ.scm 65 */
BgL_objectz00_bglt BgL_auxz00_4649;
BgL_auxz00_4649 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_3374 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4649); } 
{ /* Reduce/1occ.scm 65 */
obj_t BgL_arg1221z00_3375;
{ /* Reduce/1occ.scm 65 */
int BgL_auxz00_4652;
BgL_auxz00_4652 = 
(int)(((long)1)); 
BgL_arg1221z00_3375 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4652); } 
{ /* Reduce/1occ.scm 65 */
long BgL_offsetz00_3379;
{ /* Reduce/1occ.scm 65 */
long BgL_auxz00_4655;
{ /* Reduce/1occ.scm 65 */
int BgL_auxz00_4656;
BgL_auxz00_4656 = 
(int)(BgL_objzd2classzd2numz00_3374); 
BgL_auxz00_4655 = 
(long)(BgL_auxz00_4656); } 
BgL_offsetz00_3379 = 
(BgL_auxz00_4655-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 65 */
long BgL_modz00_3380;
{ /* Reduce/1occ.scm 65 */
long BgL_auxz00_4660;
{ /* Reduce/1occ.scm 65 */
int BgL_auxz00_4661;
BgL_auxz00_4661 = 
(int)(((long)8)); 
BgL_auxz00_4660 = 
(long)(BgL_auxz00_4661); } 
BgL_modz00_3380 = 
(BgL_offsetz00_3379/BgL_auxz00_4660); } 
{ /* Reduce/1occ.scm 65 */
long BgL_restz00_3382;
{ /* Reduce/1occ.scm 65 */
long BgL_auxz00_4665;
{ /* Reduce/1occ.scm 65 */
int BgL_auxz00_4666;
BgL_auxz00_4666 = 
(int)(((long)8)); 
BgL_auxz00_4665 = 
(long)(BgL_auxz00_4666); } 
BgL_restz00_3382 = 
(BgL_offsetz00_3379%BgL_auxz00_4665); } 
{ /* Reduce/1occ.scm 65 */

{ /* Reduce/1occ.scm 65 */
obj_t BgL_bucketz00_3384;
{ /* Reduce/1occ.scm 65 */
int BgL_kz00_3394;
BgL_kz00_3394 = 
(int)(BgL_modz00_3380); 
BgL_bucketz00_3384 = 
VECTOR_REF(BgL_arg1221z00_3375,BgL_kz00_3394); } 
{ /* Reduce/1occ.scm 65 */
int BgL_kz00_3396;
BgL_kz00_3396 = 
(int)(BgL_restz00_3382); 
BgL_method2745z00_3372 = 
VECTOR_REF(BgL_bucketz00_3384,BgL_kz00_3396); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2745z00_3372)(BgL_method2745z00_3372, 
(obj_t)(BgL_nodez00_2), BgL_1zd2expza2z70_3, BEOA);} } 
}



/* _node-1occ! */
obj_t BGl__nodezd21occz12zc0zzreduce_1occz00(obj_t BgL_envz00_3402, obj_t BgL_nodez00_3403, obj_t BgL_1zd2expza2z70_3404)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 65 */
return 
BGl_nodezd21occz12zc0zzreduce_1occz00(
(BgL_nodez00_bglt)(BgL_nodez00_3403), BgL_1zd2expza2z70_3404);} 
}



/* node-1occ!-default2744 */
obj_t BGl_nodezd21occz12zd2default2744z12zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_4, obj_t BgL_1zd2expza2z70_5)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
{ 
obj_t BgL_auxz00_4681;obj_t BgL_auxz00_4679;
BgL_auxz00_4681 = 
(obj_t)(BgL_nodez00_4); 
BgL_auxz00_4679 = 
CNST_TABLE_REF(((long)1)); 
FAILURE(BgL_auxz00_4679,BGl_string3037z00zzreduce_1occz00,BgL_auxz00_4681);} } 
}



/* _node-1occ!-default2744 */
obj_t BGl__nodezd21occz12zd2default2744z12zzreduce_1occz00(obj_t BgL_envz00_3489, obj_t BgL_nodez00_3490, obj_t BgL_1zd2expza2z70_3491)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
return 
BGl_nodezd21occz12zd2default2744z12zzreduce_1occz00(
(BgL_nodez00_bglt)(BgL_nodez00_3490), BgL_1zd2expza2z70_3491);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)42798), "reduce_1occ"); 
return 
BGl_modulezd2initializa7ationz75zzast_occurz00(((long)28461), "reduce_1occ");} 
}

