/*===========================================================================*/
/*   (Reduce/cond.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzreduce_condz00();
static obj_t BGl_nodezd2condz12zd2var2703z12zzreduce_condz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_nodezd2condz12zd2conditional2721z12zzreduce_condz00(obj_t, obj_t);
static obj_t BGl_nodezd2condz12zd2atom2699z12zzreduce_condz00(obj_t, obj_t);
static obj_t BGl_nodezd2condz12zd2boxzd2ref2740zc0zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_nodezd2condz12zd2sequence2707z12zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t);
static obj_t BGl__reducezd2conditionalz12zc0zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_nodezd2condz12zd2appzd2ly2711zc0zzreduce_condz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_nodezd2condz12zd2default2696z12zzreduce_condz00(BgL_nodez00_bglt);
static obj_t BGl_nodezd2condz12zd2setq2719z12zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzreduce_condz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
static obj_t BGl_nodezd2condz12zd2select2725z12zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2condz12zd2closure2705z12zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_nodezd2condz12zd2letzd2var2730zc0zzreduce_condz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzreduce_condz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_nodezd2condz12zd2app2709z12zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_nodezd2condz12zd2funcall2713z12zzreduce_condz00(obj_t, obj_t);
static obj_t BGl_nodezd2condz12zd2setzd2exzd2it2732z12zzreduce_condz00(obj_t, obj_t);
static obj_t BGl_nodezd2condz12zd2cast2717z12zzreduce_condz00(obj_t, obj_t);
static obj_t BGl__nodezd2condz12zc0zzreduce_condz00(obj_t, obj_t);
static obj_t BGl_nodezd2condz12zd2letzd2fun2727zc0zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static long BGl_za2condzd2reducedza2zd2zzreduce_condz00;
static obj_t BGl_nodezd2condz12zd2kwote2701z12zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_nodezd2condz12zd2extern2715z12zzreduce_condz00(obj_t, obj_t);
static obj_t BGl__nodezd2condz12zd2default2696z12zzreduce_condz00(obj_t, obj_t);
static obj_t BGl_nodezd2condz12zd2makezd2box2736zc0zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t);
static obj_t BGl_nodezd2condz12zd2boxzd2setz122738zd2zzreduce_condz00(obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_nodezd2condz12zd2fail2723z12zzreduce_condz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzreduce_condz00 = BUNSPEC;
static obj_t BGl_nodezd2condz12zd2jumpzd2exzd2it2734z12zzreduce_condz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00();
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_reducezd2conditionalz12zd2envz12zzreduce_condz00, BgL_bgl__reduceza7d2conditionalza712za7c0za7za7reduce_condza7003010z00, BGl__reducezd2conditionalz12zc0zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3000z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2jumpza7d2exza7d2it2734za712za7za7reduce_condza7003011za7, BGl_nodezd2condz12zd2jumpzd2exzd2it2734z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3001z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2makeza7d2box2736za7c0za7za7reduce_condza7003012z00, BGl_nodezd2condz12zd2makezd2box2736zc0zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3002z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2boxza7d2setza7122738za7d2za7za7reduce_condza7003013za7, BGl_nodezd2condz12zd2boxzd2setz122738zd2zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3003z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2boxza7d2ref2740za7c0za7za7reduce_condza7003014z00, BGl_nodezd2condz12zd2boxzd2ref2740zc0zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2983z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2atom2699za712za7za7reduce_condza7003015za7, BGl_nodezd2condz12zd2atom2699z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2984z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2kwote2701za712za7za7reduce_condza7003016za7, BGl_nodezd2condz12zd2kwote2701z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2985z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2var2703za712za7za7reduce_condza7003017za7, BGl_nodezd2condz12zd2var2703z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2986z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2closure2705za712za7za7reduce_condza7003018za7, BGl_nodezd2condz12zd2closure2705z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2987z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2sequence2707za712za7za7reduce_condza7003019za7, BGl_nodezd2condz12zd2sequence2707z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2988z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2app2709za712za7za7reduce_condza7003020za7, BGl_nodezd2condz12zd2app2709z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2990z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2funcall2713za712za7za7reduce_condza7003021za7, BGl_nodezd2condz12zd2funcall2713z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2989z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2appza7d2ly2711za7c0za7za7reduce_condza7003022z00, BGl_nodezd2condz12zd2appzd2ly2711zc0zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2991z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2extern2715za712za7za7reduce_condza7003023za7, BGl_nodezd2condz12zd2extern2715z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2992z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2cast2717za712za7za7reduce_condza7003024za7, BGl_nodezd2condz12zd2cast2717z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2993z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2setq2719za712za7za7reduce_condza7003025za7, BGl_nodezd2condz12zd2setq2719z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2994z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2conditional2721za712za7za7reduce_condza7003026za7, BGl_nodezd2condz12zd2conditional2721z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2995z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2fail2723za712za7za7reduce_condza7003027za7, BGl_nodezd2condz12zd2fail2723z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2996z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2select2725za712za7za7reduce_condza7003028za7, BGl_nodezd2condz12zd2select2725z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2997z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2letza7d2fun2727za7c0za7za7reduce_condza7003029z00, BGl_nodezd2condz12zd2letzd2fun2727zc0zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2998z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2letza7d2var2730za7c0za7za7reduce_condza7003030z00, BGl_nodezd2condz12zd2letzd2var2730zc0zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2999z00zzreduce_condz00, BgL_bgl_nodeza7d2condza712za7d2setza7d2exza7d2it2732za712za7za7reduce_condza7003031za7, BGl_nodezd2condz12zd2setzd2exzd2it2732z12zzreduce_condz00, 0L, 1 );
DEFINE_STRING( BGl_string2982z00zzreduce_condz00, BgL_bgl_string2982za700za7za7reduce_condza7003032z00, "(reduced : ", 11 );
DEFINE_STRING( BGl_string2981z00zzreduce_condz00, BgL_bgl_string2981za700za7za7reduce_condza7003033z00, "      conditional expression ", 29 );
DEFINE_STRING( BGl_string3005z00zzreduce_condz00, BgL_bgl_string3005za700za7za7reduce_condza7003034z00, "node-cond!-default2696 done ", 28 );
DEFINE_STRING( BGl_string3004z00zzreduce_condz00, BgL_bgl_string3004za700za7za7reduce_condza7003035z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2condz12zd2default2696zd2envzc0zzreduce_condz00, BgL_bgl__nodeza7d2condza712za7d2default2696za712za7za7reduce_condza7003036za7, BGl__nodezd2condz12zd2default2696z12zzreduce_condz00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_bgl__nodeza7d2condza712za7c0za7za7reduce_condza7003037z00, BGl__nodezd2condz12zc0zzreduce_condz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long BgL_checksumz00_3305, char * BgL_fromz00_3306)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzreduce_condz00))
{ 
BGl_requirezd2initializa7ationz75zzreduce_condz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzreduce_condz00(); 
BGl_cnstzd2initzd2zzreduce_condz00(); 
BGl_importedzd2moduleszd2initz00zzreduce_condz00(); 
BGl_methodzd2initzd2zzreduce_condz00(); 
BGl_toplevelzd2initzd2zzreduce_condz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00()
{ AN_OBJECT;
{ /* Reduce/cond.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "reduce_cond"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "reduce_cond"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzreduce_condz00()
{ AN_OBJECT;
{ /* Reduce/cond.scm 15 */
{ /* Reduce/cond.scm 15 */
obj_t BgL_cportz00_3298;
BgL_cportz00_3298 = 
open_input_string(BGl_string3005z00zzreduce_condz00); 
{ 
long BgL_iz00_3299;
BgL_iz00_3299 = ((long)1); 
BgL_loopz00_3300:
if(
(BgL_iz00_3299==((long)-1)))
{ /* Reduce/cond.scm 15 */
return BUNSPEC;}  else 
{ /* Reduce/cond.scm 15 */
{ /* Reduce/cond.scm 15 */
obj_t BgL_arg3007z00_3302;
{ /* Reduce/cond.scm 15 */
obj_t BgL_list3008z00_3303;
BgL_list3008z00_3303 = 
MAKE_PAIR(BgL_cportz00_3298, BNIL); 
BgL_arg3007z00_3302 = 
BGl_readz00zz__readerz00(BgL_list3008z00_3303); } 
{ /* Reduce/cond.scm 15 */
int BgL_auxz00_3322;
BgL_auxz00_3322 = 
(int)(BgL_iz00_3299); 
CNST_TABLE_SET(BgL_auxz00_3322, BgL_arg3007z00_3302); } } 
{ 
long BgL_iz00_3325;
{ /* Reduce/cond.scm 15 */
int BgL_auxz00_3326;
{ /* Reduce/cond.scm 15 */
long BgL_auxz00_3327;
BgL_auxz00_3327 = 
(BgL_iz00_3299-((long)1)); 
BgL_auxz00_3326 = 
(int)(BgL_auxz00_3327); } 
BgL_iz00_3325 = 
(long)(BgL_auxz00_3326); } 
BgL_iz00_3299 = BgL_iz00_3325; 
goto BgL_loopz00_3300;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzreduce_condz00()
{ AN_OBJECT;
{ /* Reduce/cond.scm 15 */
BGl_za2condzd2reducedza2zd2zzreduce_condz00 = ((long)0); 
return BUNSPEC;} 
}



/* reduce-conditional! */
obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Reduce/cond.scm 28 */
{ /* Reduce/cond.scm 29 */
obj_t BgL_list2741z00_1245;
BgL_list2741z00_1245 = 
MAKE_PAIR(BGl_string2981z00zzreduce_condz00, BNIL); 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2741z00_1245); } 
{ 
obj_t BgL_l2654z00_1246;
BgL_l2654z00_1246 = BgL_globalsz00_1; 
BgL_lname2655z00_1247:
if(
PAIRP(BgL_l2654z00_1246))
{ /* Reduce/cond.scm 30 */
{ /* Reduce/cond.scm 31 */
BgL_valuez00_bglt BgL_funz00_1250;
{ /* Reduce/cond.scm 31 */
BgL_globalz00_bglt BgL_obj1155z00_1853;
{ /* Reduce/cond.scm 31 */
obj_t BgL_auxz00_3336;
BgL_auxz00_3336 = 
CAR(BgL_l2654z00_1246); 
BgL_obj1155z00_1853 = 
(BgL_globalz00_bglt)(BgL_auxz00_3336); } 
BgL_funz00_1250 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1853))->BgL_valuez00); } 
{ /* Reduce/cond.scm 32 */

{ /* Reduce/cond.scm 33 */
BgL_nodez00_bglt BgL_arg2743z00_1252;
{ /* Reduce/cond.scm 33 */
BgL_nodez00_bglt BgL_res2897z00_1881;
{ /* Reduce/cond.scm 33 */
BgL_nodez00_bglt BgL_nodez00_1855;
{ /* Reduce/cond.scm 33 */
obj_t BgL_auxz00_3340;
{ /* Reduce/cond.scm 32 */
BgL_sfunz00_bglt BgL_obj1372z00_1854;
BgL_obj1372z00_1854 = 
(BgL_sfunz00_bglt)(BgL_funz00_1250); 
BgL_auxz00_3340 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1854))->BgL_bodyz00); } 
BgL_nodez00_1855 = 
(BgL_nodez00_bglt)(BgL_auxz00_3340); } 
{ /* Reduce/cond.scm 33 */
obj_t BgL_method2697z00_1856;
{ /* Reduce/cond.scm 33 */
long BgL_objzd2classzd2numz00_1858;
{ /* Reduce/cond.scm 33 */
BgL_objectz00_bglt BgL_auxz00_3344;
BgL_auxz00_3344 = 
(BgL_objectz00_bglt)(BgL_nodez00_1855); 
BgL_objzd2classzd2numz00_1858 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3344); } 
{ /* Reduce/cond.scm 33 */
obj_t BgL_arg1221z00_1859;
{ /* Reduce/cond.scm 33 */
int BgL_auxz00_3347;
BgL_auxz00_3347 = 
(int)(((long)1)); 
BgL_arg1221z00_1859 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3347); } 
{ /* Reduce/cond.scm 33 */
long BgL_offsetz00_1863;
{ /* Reduce/cond.scm 33 */
long BgL_auxz00_3350;
{ /* Reduce/cond.scm 33 */
int BgL_auxz00_3351;
BgL_auxz00_3351 = 
(int)(BgL_objzd2classzd2numz00_1858); 
BgL_auxz00_3350 = 
(long)(BgL_auxz00_3351); } 
BgL_offsetz00_1863 = 
(BgL_auxz00_3350-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 33 */
long BgL_modz00_1864;
{ /* Reduce/cond.scm 33 */
long BgL_auxz00_3355;
{ /* Reduce/cond.scm 33 */
int BgL_auxz00_3356;
BgL_auxz00_3356 = 
(int)(((long)8)); 
BgL_auxz00_3355 = 
(long)(BgL_auxz00_3356); } 
BgL_modz00_1864 = 
(BgL_offsetz00_1863/BgL_auxz00_3355); } 
{ /* Reduce/cond.scm 33 */
long BgL_restz00_1866;
{ /* Reduce/cond.scm 33 */
long BgL_auxz00_3360;
{ /* Reduce/cond.scm 33 */
int BgL_auxz00_3361;
BgL_auxz00_3361 = 
(int)(((long)8)); 
BgL_auxz00_3360 = 
(long)(BgL_auxz00_3361); } 
BgL_restz00_1866 = 
(BgL_offsetz00_1863%BgL_auxz00_3360); } 
{ /* Reduce/cond.scm 33 */

{ /* Reduce/cond.scm 33 */
obj_t BgL_bucketz00_1868;
{ /* Reduce/cond.scm 33 */
int BgL_kz00_1878;
BgL_kz00_1878 = 
(int)(BgL_modz00_1864); 
BgL_bucketz00_1868 = 
VECTOR_REF(BgL_arg1221z00_1859,BgL_kz00_1878); } 
{ /* Reduce/cond.scm 33 */
int BgL_kz00_1880;
BgL_kz00_1880 = 
(int)(BgL_restz00_1866); 
BgL_method2697z00_1856 = 
VECTOR_REF(BgL_bucketz00_1868,BgL_kz00_1880); } } } } } } } } 
{ /* Reduce/cond.scm 33 */
obj_t BgL_auxz00_3369;
BgL_auxz00_3369 = 
PROCEDURE_ENTRY(BgL_method2697z00_1856)(BgL_method2697z00_1856, 
(obj_t)(BgL_nodez00_1855), BEOA); 
BgL_res2897z00_1881 = 
(BgL_nodez00_bglt)(BgL_auxz00_3369); } } } 
BgL_arg2743z00_1252 = BgL_res2897z00_1881; } 
{ /* Reduce/cond.scm 33 */
BgL_sfunz00_bglt BgL_obj1374z00_1882;obj_t BgL_val1373z00_1883;
BgL_obj1374z00_1882 = 
(BgL_sfunz00_bglt)(BgL_funz00_1250); 
BgL_val1373z00_1883 = 
(obj_t)(BgL_arg2743z00_1252); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1882))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_1883), BUNSPEC); } } BUNSPEC; } } 
{ 
obj_t BgL_l2654z00_3377;
BgL_l2654z00_3377 = 
CDR(BgL_l2654z00_1246); 
BgL_l2654z00_1246 = BgL_l2654z00_3377; 
goto BgL_lname2655z00_1247;} }  else 
{ /* Reduce/cond.scm 30 */((bool_t)1); } } 
{ /* Reduce/cond.scm 36 */
obj_t BgL_list2745z00_1254;
{ /* Reduce/cond.scm 36 */
obj_t BgL_arg2747z00_1256;
{ /* Reduce/cond.scm 36 */
obj_t BgL_arg2748z00_1257;
{ /* Reduce/cond.scm 36 */
obj_t BgL_arg2749z00_1258;
{ /* Reduce/cond.scm 36 */
obj_t BgL_auxz00_3379;
BgL_auxz00_3379 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2749z00_1258 = 
MAKE_PAIR(BgL_auxz00_3379, BNIL); } 
{ /* Reduce/cond.scm 36 */
obj_t BgL_auxz00_3382;
BgL_auxz00_3382 = 
BCHAR(((unsigned char)')')); 
BgL_arg2748z00_1257 = 
MAKE_PAIR(BgL_auxz00_3382, BgL_arg2749z00_1258); } } 
{ /* Reduce/cond.scm 36 */
obj_t BgL_auxz00_3385;
BgL_auxz00_3385 = 
BINT(BGl_za2condzd2reducedza2zd2zzreduce_condz00); 
BgL_arg2747z00_1256 = 
MAKE_PAIR(BgL_auxz00_3385, BgL_arg2748z00_1257); } } 
BgL_list2745z00_1254 = 
MAKE_PAIR(BGl_string2982z00zzreduce_condz00, BgL_arg2747z00_1256); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2745z00_1254); } 
return BgL_globalsz00_1;} 
}



/* _reduce-conditional! */
obj_t BGl__reducezd2conditionalz12zc0zzreduce_condz00(obj_t BgL_envz00_3229, obj_t BgL_globalsz00_3230)
{ AN_OBJECT;
{ /* Reduce/cond.scm 28 */
return 
BGl_reducezd2conditionalz12zc0zzreduce_condz00(BgL_globalsz00_3230);} 
}



/* node-cond*! */
obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t BgL_nodeza2za2_25)
{ AN_OBJECT;
{ /* Reduce/cond.scm 239 */
{ 
obj_t BgL_nodeza2za2_1259;
BgL_nodeza2za2_1259 = BgL_nodeza2za2_25; 
BgL_loopz00_1260:
if(
NULLP(BgL_nodeza2za2_1259))
{ /* Reduce/cond.scm 241 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Reduce/cond.scm 241 */
{ /* Reduce/cond.scm 244 */
BgL_nodez00_bglt BgL_arg2751z00_1262;
{ /* Reduce/cond.scm 244 */
BgL_nodez00_bglt BgL_res2900z00_1913;
{ /* Reduce/cond.scm 244 */
BgL_nodez00_bglt BgL_nodez00_1887;
{ /* Reduce/cond.scm 244 */
obj_t BgL_auxz00_3395;
BgL_auxz00_3395 = 
CAR(BgL_nodeza2za2_1259); 
BgL_nodez00_1887 = 
(BgL_nodez00_bglt)(BgL_auxz00_3395); } 
{ /* Reduce/cond.scm 244 */
obj_t BgL_method2697z00_1888;
{ /* Reduce/cond.scm 244 */
long BgL_objzd2classzd2numz00_1890;
{ /* Reduce/cond.scm 244 */
BgL_objectz00_bglt BgL_auxz00_3398;
BgL_auxz00_3398 = 
(BgL_objectz00_bglt)(BgL_nodez00_1887); 
BgL_objzd2classzd2numz00_1890 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3398); } 
{ /* Reduce/cond.scm 244 */
obj_t BgL_arg1221z00_1891;
{ /* Reduce/cond.scm 244 */
int BgL_auxz00_3401;
BgL_auxz00_3401 = 
(int)(((long)1)); 
BgL_arg1221z00_1891 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3401); } 
{ /* Reduce/cond.scm 244 */
long BgL_offsetz00_1895;
{ /* Reduce/cond.scm 244 */
long BgL_auxz00_3404;
{ /* Reduce/cond.scm 244 */
int BgL_auxz00_3405;
BgL_auxz00_3405 = 
(int)(BgL_objzd2classzd2numz00_1890); 
BgL_auxz00_3404 = 
(long)(BgL_auxz00_3405); } 
BgL_offsetz00_1895 = 
(BgL_auxz00_3404-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 244 */
long BgL_modz00_1896;
{ /* Reduce/cond.scm 244 */
long BgL_auxz00_3409;
{ /* Reduce/cond.scm 244 */
int BgL_auxz00_3410;
BgL_auxz00_3410 = 
(int)(((long)8)); 
BgL_auxz00_3409 = 
(long)(BgL_auxz00_3410); } 
BgL_modz00_1896 = 
(BgL_offsetz00_1895/BgL_auxz00_3409); } 
{ /* Reduce/cond.scm 244 */
long BgL_restz00_1898;
{ /* Reduce/cond.scm 244 */
long BgL_auxz00_3414;
{ /* Reduce/cond.scm 244 */
int BgL_auxz00_3415;
BgL_auxz00_3415 = 
(int)(((long)8)); 
BgL_auxz00_3414 = 
(long)(BgL_auxz00_3415); } 
BgL_restz00_1898 = 
(BgL_offsetz00_1895%BgL_auxz00_3414); } 
{ /* Reduce/cond.scm 244 */

{ /* Reduce/cond.scm 244 */
obj_t BgL_bucketz00_1900;
{ /* Reduce/cond.scm 244 */
int BgL_kz00_1910;
BgL_kz00_1910 = 
(int)(BgL_modz00_1896); 
BgL_bucketz00_1900 = 
VECTOR_REF(BgL_arg1221z00_1891,BgL_kz00_1910); } 
{ /* Reduce/cond.scm 244 */
int BgL_kz00_1912;
BgL_kz00_1912 = 
(int)(BgL_restz00_1898); 
BgL_method2697z00_1888 = 
VECTOR_REF(BgL_bucketz00_1900,BgL_kz00_1912); } } } } } } } } 
{ /* Reduce/cond.scm 244 */
obj_t BgL_auxz00_3423;
BgL_auxz00_3423 = 
PROCEDURE_ENTRY(BgL_method2697z00_1888)(BgL_method2697z00_1888, 
(obj_t)(BgL_nodez00_1887), BEOA); 
BgL_res2900z00_1913 = 
(BgL_nodez00_bglt)(BgL_auxz00_3423); } } } 
BgL_arg2751z00_1262 = BgL_res2900z00_1913; } 
{ /* Reduce/cond.scm 244 */
obj_t BgL_auxz00_3428;
BgL_auxz00_3428 = 
(obj_t)(BgL_arg2751z00_1262); 
SET_CAR(BgL_nodeza2za2_1259, BgL_auxz00_3428); } } 
{ 
obj_t BgL_nodeza2za2_3431;
BgL_nodeza2za2_3431 = 
CDR(BgL_nodeza2za2_1259); 
BgL_nodeza2za2_1259 = BgL_nodeza2za2_3431; 
goto BgL_loopz00_1260;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzreduce_condz00()
{ AN_OBJECT;
{ /* Reduce/cond.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_nodezd2condz12zd2default2696zd2envzc0zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_atomz00zzast_nodez00, BGl_proc2983z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_kwotez00zzast_nodez00, BGl_proc2984z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_varz00zzast_nodez00, BGl_proc2985z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_closurez00zzast_nodez00, BGl_proc2986z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_sequencez00zzast_nodez00, BGl_proc2987z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_appz00zzast_nodez00, BGl_proc2988z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc2989z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_funcallz00zzast_nodez00, BGl_proc2990z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_externz00zzast_nodez00, BGl_proc2991z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_castz00zzast_nodez00, BGl_proc2992z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_setqz00zzast_nodez00, BGl_proc2993z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_conditionalz00zzast_nodez00, BGl_proc2994z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_failz00zzast_nodez00, BGl_proc2995z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_selectz00zzast_nodez00, BGl_proc2996z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc2997z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc2998z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2999z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3000z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3001z00zzreduce_condz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3002z00zzreduce_condz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3003z00zzreduce_condz00);} 
}



/* node-cond!-box-ref2740 */
obj_t BGl_nodezd2condz12zd2boxzd2ref2740zc0zzreduce_condz00(obj_t BgL_envz00_3254, obj_t BgL_nodez00_3255)
{ AN_OBJECT;
{ /* Reduce/cond.scm 231 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1842;
{ /* Reduce/cond.scm 232 */
BgL_boxzd2refzd2_bglt BgL_auxz00_3455;
BgL_nodez00_1842 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3255); 
{ /* Reduce/cond.scm 233 */
BgL_nodez00_bglt BgL_arg2892z00_1846;
{ /* Reduce/cond.scm 233 */
BgL_nodez00_bglt BgL_res2978z00_3198;
{ /* Reduce/cond.scm 233 */
BgL_nodez00_bglt BgL_nodez00_3172;
{ /* Reduce/cond.scm 233 */
BgL_varz00_bglt BgL_auxz00_3456;
BgL_auxz00_3456 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1842))->BgL_varz00); 
BgL_nodez00_3172 = 
(BgL_nodez00_bglt)(BgL_auxz00_3456); } 
{ /* Reduce/cond.scm 233 */
obj_t BgL_method2697z00_3173;
{ /* Reduce/cond.scm 233 */
long BgL_objzd2classzd2numz00_3175;
{ /* Reduce/cond.scm 233 */
BgL_objectz00_bglt BgL_auxz00_3459;
BgL_auxz00_3459 = 
(BgL_objectz00_bglt)(BgL_nodez00_3172); 
BgL_objzd2classzd2numz00_3175 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3459); } 
{ /* Reduce/cond.scm 233 */
obj_t BgL_arg1221z00_3176;
{ /* Reduce/cond.scm 233 */
int BgL_auxz00_3462;
BgL_auxz00_3462 = 
(int)(((long)1)); 
BgL_arg1221z00_3176 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3462); } 
{ /* Reduce/cond.scm 233 */
long BgL_offsetz00_3180;
{ /* Reduce/cond.scm 233 */
long BgL_auxz00_3465;
{ /* Reduce/cond.scm 233 */
int BgL_auxz00_3466;
BgL_auxz00_3466 = 
(int)(BgL_objzd2classzd2numz00_3175); 
BgL_auxz00_3465 = 
(long)(BgL_auxz00_3466); } 
BgL_offsetz00_3180 = 
(BgL_auxz00_3465-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 233 */
long BgL_modz00_3181;
{ /* Reduce/cond.scm 233 */
long BgL_auxz00_3470;
{ /* Reduce/cond.scm 233 */
int BgL_auxz00_3471;
BgL_auxz00_3471 = 
(int)(((long)8)); 
BgL_auxz00_3470 = 
(long)(BgL_auxz00_3471); } 
BgL_modz00_3181 = 
(BgL_offsetz00_3180/BgL_auxz00_3470); } 
{ /* Reduce/cond.scm 233 */
long BgL_restz00_3183;
{ /* Reduce/cond.scm 233 */
long BgL_auxz00_3475;
{ /* Reduce/cond.scm 233 */
int BgL_auxz00_3476;
BgL_auxz00_3476 = 
(int)(((long)8)); 
BgL_auxz00_3475 = 
(long)(BgL_auxz00_3476); } 
BgL_restz00_3183 = 
(BgL_offsetz00_3180%BgL_auxz00_3475); } 
{ /* Reduce/cond.scm 233 */

{ /* Reduce/cond.scm 233 */
obj_t BgL_bucketz00_3185;
{ /* Reduce/cond.scm 233 */
int BgL_kz00_3195;
BgL_kz00_3195 = 
(int)(BgL_modz00_3181); 
BgL_bucketz00_3185 = 
VECTOR_REF(BgL_arg1221z00_3176,BgL_kz00_3195); } 
{ /* Reduce/cond.scm 233 */
int BgL_kz00_3197;
BgL_kz00_3197 = 
(int)(BgL_restz00_3183); 
BgL_method2697z00_3173 = 
VECTOR_REF(BgL_bucketz00_3185,BgL_kz00_3197); } } } } } } } } 
{ /* Reduce/cond.scm 233 */
obj_t BgL_auxz00_3484;
BgL_auxz00_3484 = 
PROCEDURE_ENTRY(BgL_method2697z00_3173)(BgL_method2697z00_3173, 
(obj_t)(BgL_nodez00_3172), BEOA); 
BgL_res2978z00_3198 = 
(BgL_nodez00_bglt)(BgL_auxz00_3484); } } } 
BgL_arg2892z00_1846 = BgL_res2978z00_3198; } 
{ /* Reduce/cond.scm 233 */
BgL_varz00_bglt BgL_val2603z00_3200;
BgL_val2603z00_3200 = 
(BgL_varz00_bglt)(BgL_arg2892z00_1846); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1842))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2603z00_3200), BUNSPEC); } } 
BgL_auxz00_3455 = BgL_nodez00_1842; 
return 
(obj_t)(BgL_auxz00_3455);} } } 
}



/* node-cond!-box-set!2738 */
obj_t BGl_nodezd2condz12zd2boxzd2setz122738zd2zzreduce_condz00(obj_t BgL_envz00_3256, obj_t BgL_nodez00_3257)
{ AN_OBJECT;
{ /* Reduce/cond.scm 222 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1832;
{ /* Reduce/cond.scm 223 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_3493;
BgL_nodez00_1832 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3257); 
{ /* Reduce/cond.scm 224 */
BgL_nodez00_bglt BgL_arg2887z00_1836;
{ /* Reduce/cond.scm 224 */
BgL_nodez00_bglt BgL_res2972z00_3138;
{ /* Reduce/cond.scm 224 */
BgL_nodez00_bglt BgL_nodez00_3112;
{ /* Reduce/cond.scm 224 */
BgL_varz00_bglt BgL_auxz00_3494;
BgL_auxz00_3494 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1832))->BgL_varz00); 
BgL_nodez00_3112 = 
(BgL_nodez00_bglt)(BgL_auxz00_3494); } 
{ /* Reduce/cond.scm 224 */
obj_t BgL_method2697z00_3113;
{ /* Reduce/cond.scm 224 */
long BgL_objzd2classzd2numz00_3115;
{ /* Reduce/cond.scm 224 */
BgL_objectz00_bglt BgL_auxz00_3497;
BgL_auxz00_3497 = 
(BgL_objectz00_bglt)(BgL_nodez00_3112); 
BgL_objzd2classzd2numz00_3115 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3497); } 
{ /* Reduce/cond.scm 224 */
obj_t BgL_arg1221z00_3116;
{ /* Reduce/cond.scm 224 */
int BgL_auxz00_3500;
BgL_auxz00_3500 = 
(int)(((long)1)); 
BgL_arg1221z00_3116 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3500); } 
{ /* Reduce/cond.scm 224 */
long BgL_offsetz00_3120;
{ /* Reduce/cond.scm 224 */
long BgL_auxz00_3503;
{ /* Reduce/cond.scm 224 */
int BgL_auxz00_3504;
BgL_auxz00_3504 = 
(int)(BgL_objzd2classzd2numz00_3115); 
BgL_auxz00_3503 = 
(long)(BgL_auxz00_3504); } 
BgL_offsetz00_3120 = 
(BgL_auxz00_3503-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 224 */
long BgL_modz00_3121;
{ /* Reduce/cond.scm 224 */
long BgL_auxz00_3508;
{ /* Reduce/cond.scm 224 */
int BgL_auxz00_3509;
BgL_auxz00_3509 = 
(int)(((long)8)); 
BgL_auxz00_3508 = 
(long)(BgL_auxz00_3509); } 
BgL_modz00_3121 = 
(BgL_offsetz00_3120/BgL_auxz00_3508); } 
{ /* Reduce/cond.scm 224 */
long BgL_restz00_3123;
{ /* Reduce/cond.scm 224 */
long BgL_auxz00_3513;
{ /* Reduce/cond.scm 224 */
int BgL_auxz00_3514;
BgL_auxz00_3514 = 
(int)(((long)8)); 
BgL_auxz00_3513 = 
(long)(BgL_auxz00_3514); } 
BgL_restz00_3123 = 
(BgL_offsetz00_3120%BgL_auxz00_3513); } 
{ /* Reduce/cond.scm 224 */

{ /* Reduce/cond.scm 224 */
obj_t BgL_bucketz00_3125;
{ /* Reduce/cond.scm 224 */
int BgL_kz00_3135;
BgL_kz00_3135 = 
(int)(BgL_modz00_3121); 
BgL_bucketz00_3125 = 
VECTOR_REF(BgL_arg1221z00_3116,BgL_kz00_3135); } 
{ /* Reduce/cond.scm 224 */
int BgL_kz00_3137;
BgL_kz00_3137 = 
(int)(BgL_restz00_3123); 
BgL_method2697z00_3113 = 
VECTOR_REF(BgL_bucketz00_3125,BgL_kz00_3137); } } } } } } } } 
{ /* Reduce/cond.scm 224 */
obj_t BgL_auxz00_3522;
BgL_auxz00_3522 = 
PROCEDURE_ENTRY(BgL_method2697z00_3113)(BgL_method2697z00_3113, 
(obj_t)(BgL_nodez00_3112), BEOA); 
BgL_res2972z00_3138 = 
(BgL_nodez00_bglt)(BgL_auxz00_3522); } } } 
BgL_arg2887z00_1836 = BgL_res2972z00_3138; } 
{ /* Reduce/cond.scm 224 */
BgL_varz00_bglt BgL_val2631z00_3140;
BgL_val2631z00_3140 = 
(BgL_varz00_bglt)(BgL_arg2887z00_1836); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1832))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2631z00_3140), BUNSPEC); } } 
{ /* Reduce/cond.scm 225 */
BgL_nodez00_bglt BgL_arg2889z00_1838;
{ /* Reduce/cond.scm 225 */
BgL_nodez00_bglt BgL_arg2890z00_1839;
BgL_arg2890z00_1839 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1832))->BgL_valuez00); 
{ /* Reduce/cond.scm 225 */
BgL_nodez00_bglt BgL_res2975z00_3168;
{ /* Reduce/cond.scm 225 */
obj_t BgL_method2697z00_3143;
{ /* Reduce/cond.scm 225 */
long BgL_objzd2classzd2numz00_3145;
{ /* Reduce/cond.scm 225 */
BgL_objectz00_bglt BgL_auxz00_3530;
BgL_auxz00_3530 = 
(BgL_objectz00_bglt)(BgL_arg2890z00_1839); 
BgL_objzd2classzd2numz00_3145 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3530); } 
{ /* Reduce/cond.scm 225 */
obj_t BgL_arg1221z00_3146;
{ /* Reduce/cond.scm 225 */
int BgL_auxz00_3533;
BgL_auxz00_3533 = 
(int)(((long)1)); 
BgL_arg1221z00_3146 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3533); } 
{ /* Reduce/cond.scm 225 */
long BgL_offsetz00_3150;
{ /* Reduce/cond.scm 225 */
long BgL_auxz00_3536;
{ /* Reduce/cond.scm 225 */
int BgL_auxz00_3537;
BgL_auxz00_3537 = 
(int)(BgL_objzd2classzd2numz00_3145); 
BgL_auxz00_3536 = 
(long)(BgL_auxz00_3537); } 
BgL_offsetz00_3150 = 
(BgL_auxz00_3536-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 225 */
long BgL_modz00_3151;
{ /* Reduce/cond.scm 225 */
long BgL_auxz00_3541;
{ /* Reduce/cond.scm 225 */
int BgL_auxz00_3542;
BgL_auxz00_3542 = 
(int)(((long)8)); 
BgL_auxz00_3541 = 
(long)(BgL_auxz00_3542); } 
BgL_modz00_3151 = 
(BgL_offsetz00_3150/BgL_auxz00_3541); } 
{ /* Reduce/cond.scm 225 */
long BgL_restz00_3153;
{ /* Reduce/cond.scm 225 */
long BgL_auxz00_3546;
{ /* Reduce/cond.scm 225 */
int BgL_auxz00_3547;
BgL_auxz00_3547 = 
(int)(((long)8)); 
BgL_auxz00_3546 = 
(long)(BgL_auxz00_3547); } 
BgL_restz00_3153 = 
(BgL_offsetz00_3150%BgL_auxz00_3546); } 
{ /* Reduce/cond.scm 225 */

{ /* Reduce/cond.scm 225 */
obj_t BgL_bucketz00_3155;
{ /* Reduce/cond.scm 225 */
int BgL_kz00_3165;
BgL_kz00_3165 = 
(int)(BgL_modz00_3151); 
BgL_bucketz00_3155 = 
VECTOR_REF(BgL_arg1221z00_3146,BgL_kz00_3165); } 
{ /* Reduce/cond.scm 225 */
int BgL_kz00_3167;
BgL_kz00_3167 = 
(int)(BgL_restz00_3153); 
BgL_method2697z00_3143 = 
VECTOR_REF(BgL_bucketz00_3155,BgL_kz00_3167); } } } } } } } } 
{ /* Reduce/cond.scm 225 */
obj_t BgL_auxz00_3555;
BgL_auxz00_3555 = 
PROCEDURE_ENTRY(BgL_method2697z00_3143)(BgL_method2697z00_3143, 
(obj_t)(BgL_arg2890z00_1839), BEOA); 
BgL_res2975z00_3168 = 
(BgL_nodez00_bglt)(BgL_auxz00_3555); } } 
BgL_arg2889z00_1838 = BgL_res2975z00_3168; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1832))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2889z00_1838), BUNSPEC); } 
BgL_auxz00_3493 = BgL_nodez00_1832; 
return 
(obj_t)(BgL_auxz00_3493);} } } 
}



/* node-cond!-make-box2736 */
obj_t BGl_nodezd2condz12zd2makezd2box2736zc0zzreduce_condz00(obj_t BgL_envz00_3258, obj_t BgL_nodez00_3259)
{ AN_OBJECT;
{ /* Reduce/cond.scm 214 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1824;
{ /* Reduce/cond.scm 215 */
BgL_makezd2boxzd2_bglt BgL_auxz00_3563;
BgL_nodez00_1824 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3259); 
{ /* Reduce/cond.scm 216 */
BgL_nodez00_bglt BgL_arg2884z00_1828;
{ /* Reduce/cond.scm 216 */
BgL_nodez00_bglt BgL_arg2885z00_1829;
BgL_arg2885z00_1829 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1824))->BgL_valuez00); 
{ /* Reduce/cond.scm 216 */
BgL_nodez00_bglt BgL_res2969z00_3108;
{ /* Reduce/cond.scm 216 */
obj_t BgL_method2697z00_3083;
{ /* Reduce/cond.scm 216 */
long BgL_objzd2classzd2numz00_3085;
{ /* Reduce/cond.scm 216 */
BgL_objectz00_bglt BgL_auxz00_3565;
BgL_auxz00_3565 = 
(BgL_objectz00_bglt)(BgL_arg2885z00_1829); 
BgL_objzd2classzd2numz00_3085 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3565); } 
{ /* Reduce/cond.scm 216 */
obj_t BgL_arg1221z00_3086;
{ /* Reduce/cond.scm 216 */
int BgL_auxz00_3568;
BgL_auxz00_3568 = 
(int)(((long)1)); 
BgL_arg1221z00_3086 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3568); } 
{ /* Reduce/cond.scm 216 */
long BgL_offsetz00_3090;
{ /* Reduce/cond.scm 216 */
long BgL_auxz00_3571;
{ /* Reduce/cond.scm 216 */
int BgL_auxz00_3572;
BgL_auxz00_3572 = 
(int)(BgL_objzd2classzd2numz00_3085); 
BgL_auxz00_3571 = 
(long)(BgL_auxz00_3572); } 
BgL_offsetz00_3090 = 
(BgL_auxz00_3571-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 216 */
long BgL_modz00_3091;
{ /* Reduce/cond.scm 216 */
long BgL_auxz00_3576;
{ /* Reduce/cond.scm 216 */
int BgL_auxz00_3577;
BgL_auxz00_3577 = 
(int)(((long)8)); 
BgL_auxz00_3576 = 
(long)(BgL_auxz00_3577); } 
BgL_modz00_3091 = 
(BgL_offsetz00_3090/BgL_auxz00_3576); } 
{ /* Reduce/cond.scm 216 */
long BgL_restz00_3093;
{ /* Reduce/cond.scm 216 */
long BgL_auxz00_3581;
{ /* Reduce/cond.scm 216 */
int BgL_auxz00_3582;
BgL_auxz00_3582 = 
(int)(((long)8)); 
BgL_auxz00_3581 = 
(long)(BgL_auxz00_3582); } 
BgL_restz00_3093 = 
(BgL_offsetz00_3090%BgL_auxz00_3581); } 
{ /* Reduce/cond.scm 216 */

{ /* Reduce/cond.scm 216 */
obj_t BgL_bucketz00_3095;
{ /* Reduce/cond.scm 216 */
int BgL_kz00_3105;
BgL_kz00_3105 = 
(int)(BgL_modz00_3091); 
BgL_bucketz00_3095 = 
VECTOR_REF(BgL_arg1221z00_3086,BgL_kz00_3105); } 
{ /* Reduce/cond.scm 216 */
int BgL_kz00_3107;
BgL_kz00_3107 = 
(int)(BgL_restz00_3093); 
BgL_method2697z00_3083 = 
VECTOR_REF(BgL_bucketz00_3095,BgL_kz00_3107); } } } } } } } } 
{ /* Reduce/cond.scm 216 */
obj_t BgL_auxz00_3590;
BgL_auxz00_3590 = 
PROCEDURE_ENTRY(BgL_method2697z00_3083)(BgL_method2697z00_3083, 
(obj_t)(BgL_arg2885z00_1829), BEOA); 
BgL_res2969z00_3108 = 
(BgL_nodez00_bglt)(BgL_auxz00_3590); } } 
BgL_arg2884z00_1828 = BgL_res2969z00_3108; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1824))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2884z00_1828), BUNSPEC); } 
BgL_auxz00_3563 = BgL_nodez00_1824; 
return 
(obj_t)(BgL_auxz00_3563);} } } 
}



/* node-cond!-jump-ex-it2734 */
obj_t BGl_nodezd2condz12zd2jumpzd2exzd2it2734z12zzreduce_condz00(obj_t BgL_envz00_3260, obj_t BgL_nodez00_3261)
{ AN_OBJECT;
{ /* Reduce/cond.scm 205 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1814;
{ /* Reduce/cond.scm 206 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3598;
BgL_nodez00_1814 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3261); 
{ /* Reduce/cond.scm 207 */
BgL_nodez00_bglt BgL_arg2879z00_1818;
{ /* Reduce/cond.scm 207 */
BgL_nodez00_bglt BgL_arg2880z00_1819;
BgL_arg2880z00_1819 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1814))->BgL_exitz00); 
{ /* Reduce/cond.scm 207 */
BgL_nodez00_bglt BgL_res2963z00_3048;
{ /* Reduce/cond.scm 207 */
obj_t BgL_method2697z00_3023;
{ /* Reduce/cond.scm 207 */
long BgL_objzd2classzd2numz00_3025;
{ /* Reduce/cond.scm 207 */
BgL_objectz00_bglt BgL_auxz00_3600;
BgL_auxz00_3600 = 
(BgL_objectz00_bglt)(BgL_arg2880z00_1819); 
BgL_objzd2classzd2numz00_3025 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3600); } 
{ /* Reduce/cond.scm 207 */
obj_t BgL_arg1221z00_3026;
{ /* Reduce/cond.scm 207 */
int BgL_auxz00_3603;
BgL_auxz00_3603 = 
(int)(((long)1)); 
BgL_arg1221z00_3026 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3603); } 
{ /* Reduce/cond.scm 207 */
long BgL_offsetz00_3030;
{ /* Reduce/cond.scm 207 */
long BgL_auxz00_3606;
{ /* Reduce/cond.scm 207 */
int BgL_auxz00_3607;
BgL_auxz00_3607 = 
(int)(BgL_objzd2classzd2numz00_3025); 
BgL_auxz00_3606 = 
(long)(BgL_auxz00_3607); } 
BgL_offsetz00_3030 = 
(BgL_auxz00_3606-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 207 */
long BgL_modz00_3031;
{ /* Reduce/cond.scm 207 */
long BgL_auxz00_3611;
{ /* Reduce/cond.scm 207 */
int BgL_auxz00_3612;
BgL_auxz00_3612 = 
(int)(((long)8)); 
BgL_auxz00_3611 = 
(long)(BgL_auxz00_3612); } 
BgL_modz00_3031 = 
(BgL_offsetz00_3030/BgL_auxz00_3611); } 
{ /* Reduce/cond.scm 207 */
long BgL_restz00_3033;
{ /* Reduce/cond.scm 207 */
long BgL_auxz00_3616;
{ /* Reduce/cond.scm 207 */
int BgL_auxz00_3617;
BgL_auxz00_3617 = 
(int)(((long)8)); 
BgL_auxz00_3616 = 
(long)(BgL_auxz00_3617); } 
BgL_restz00_3033 = 
(BgL_offsetz00_3030%BgL_auxz00_3616); } 
{ /* Reduce/cond.scm 207 */

{ /* Reduce/cond.scm 207 */
obj_t BgL_bucketz00_3035;
{ /* Reduce/cond.scm 207 */
int BgL_kz00_3045;
BgL_kz00_3045 = 
(int)(BgL_modz00_3031); 
BgL_bucketz00_3035 = 
VECTOR_REF(BgL_arg1221z00_3026,BgL_kz00_3045); } 
{ /* Reduce/cond.scm 207 */
int BgL_kz00_3047;
BgL_kz00_3047 = 
(int)(BgL_restz00_3033); 
BgL_method2697z00_3023 = 
VECTOR_REF(BgL_bucketz00_3035,BgL_kz00_3047); } } } } } } } } 
{ /* Reduce/cond.scm 207 */
obj_t BgL_auxz00_3625;
BgL_auxz00_3625 = 
PROCEDURE_ENTRY(BgL_method2697z00_3023)(BgL_method2697z00_3023, 
(obj_t)(BgL_arg2880z00_1819), BEOA); 
BgL_res2963z00_3048 = 
(BgL_nodez00_bglt)(BgL_auxz00_3625); } } 
BgL_arg2879z00_1818 = BgL_res2963z00_3048; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1814))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg2879z00_1818), BUNSPEC); } 
{ /* Reduce/cond.scm 208 */
BgL_nodez00_bglt BgL_arg2881z00_1820;
{ /* Reduce/cond.scm 208 */
BgL_nodez00_bglt BgL_arg2882z00_1821;
BgL_arg2882z00_1821 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1814))->BgL_valuez00); 
{ /* Reduce/cond.scm 208 */
BgL_nodez00_bglt BgL_res2966z00_3078;
{ /* Reduce/cond.scm 208 */
obj_t BgL_method2697z00_3053;
{ /* Reduce/cond.scm 208 */
long BgL_objzd2classzd2numz00_3055;
{ /* Reduce/cond.scm 208 */
BgL_objectz00_bglt BgL_auxz00_3632;
BgL_auxz00_3632 = 
(BgL_objectz00_bglt)(BgL_arg2882z00_1821); 
BgL_objzd2classzd2numz00_3055 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3632); } 
{ /* Reduce/cond.scm 208 */
obj_t BgL_arg1221z00_3056;
{ /* Reduce/cond.scm 208 */
int BgL_auxz00_3635;
BgL_auxz00_3635 = 
(int)(((long)1)); 
BgL_arg1221z00_3056 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3635); } 
{ /* Reduce/cond.scm 208 */
long BgL_offsetz00_3060;
{ /* Reduce/cond.scm 208 */
long BgL_auxz00_3638;
{ /* Reduce/cond.scm 208 */
int BgL_auxz00_3639;
BgL_auxz00_3639 = 
(int)(BgL_objzd2classzd2numz00_3055); 
BgL_auxz00_3638 = 
(long)(BgL_auxz00_3639); } 
BgL_offsetz00_3060 = 
(BgL_auxz00_3638-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 208 */
long BgL_modz00_3061;
{ /* Reduce/cond.scm 208 */
long BgL_auxz00_3643;
{ /* Reduce/cond.scm 208 */
int BgL_auxz00_3644;
BgL_auxz00_3644 = 
(int)(((long)8)); 
BgL_auxz00_3643 = 
(long)(BgL_auxz00_3644); } 
BgL_modz00_3061 = 
(BgL_offsetz00_3060/BgL_auxz00_3643); } 
{ /* Reduce/cond.scm 208 */
long BgL_restz00_3063;
{ /* Reduce/cond.scm 208 */
long BgL_auxz00_3648;
{ /* Reduce/cond.scm 208 */
int BgL_auxz00_3649;
BgL_auxz00_3649 = 
(int)(((long)8)); 
BgL_auxz00_3648 = 
(long)(BgL_auxz00_3649); } 
BgL_restz00_3063 = 
(BgL_offsetz00_3060%BgL_auxz00_3648); } 
{ /* Reduce/cond.scm 208 */

{ /* Reduce/cond.scm 208 */
obj_t BgL_bucketz00_3065;
{ /* Reduce/cond.scm 208 */
int BgL_kz00_3075;
BgL_kz00_3075 = 
(int)(BgL_modz00_3061); 
BgL_bucketz00_3065 = 
VECTOR_REF(BgL_arg1221z00_3056,BgL_kz00_3075); } 
{ /* Reduce/cond.scm 208 */
int BgL_kz00_3077;
BgL_kz00_3077 = 
(int)(BgL_restz00_3063); 
BgL_method2697z00_3053 = 
VECTOR_REF(BgL_bucketz00_3065,BgL_kz00_3077); } } } } } } } } 
{ /* Reduce/cond.scm 208 */
obj_t BgL_auxz00_3657;
BgL_auxz00_3657 = 
PROCEDURE_ENTRY(BgL_method2697z00_3053)(BgL_method2697z00_3053, 
(obj_t)(BgL_arg2882z00_1821), BEOA); 
BgL_res2966z00_3078 = 
(BgL_nodez00_bglt)(BgL_auxz00_3657); } } 
BgL_arg2881z00_1820 = BgL_res2966z00_3078; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1814))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2881z00_1820), BUNSPEC); } 
BgL_auxz00_3598 = BgL_nodez00_1814; 
return 
(obj_t)(BgL_auxz00_3598);} } } 
}



/* node-cond!-set-ex-it2732 */
obj_t BGl_nodezd2condz12zd2setzd2exzd2it2732z12zzreduce_condz00(obj_t BgL_envz00_3262, obj_t BgL_nodez00_3263)
{ AN_OBJECT;
{ /* Reduce/cond.scm 196 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1804;
{ /* Reduce/cond.scm 197 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_3665;
BgL_nodez00_1804 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3263); 
{ /* Reduce/cond.scm 198 */
BgL_nodez00_bglt BgL_arg2874z00_1808;
{ /* Reduce/cond.scm 198 */
BgL_nodez00_bglt BgL_arg2875z00_1809;
BgL_arg2875z00_1809 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1804))->BgL_bodyz00); 
{ /* Reduce/cond.scm 198 */
BgL_nodez00_bglt BgL_res2957z00_2988;
{ /* Reduce/cond.scm 198 */
obj_t BgL_method2697z00_2963;
{ /* Reduce/cond.scm 198 */
long BgL_objzd2classzd2numz00_2965;
{ /* Reduce/cond.scm 198 */
BgL_objectz00_bglt BgL_auxz00_3667;
BgL_auxz00_3667 = 
(BgL_objectz00_bglt)(BgL_arg2875z00_1809); 
BgL_objzd2classzd2numz00_2965 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3667); } 
{ /* Reduce/cond.scm 198 */
obj_t BgL_arg1221z00_2966;
{ /* Reduce/cond.scm 198 */
int BgL_auxz00_3670;
BgL_auxz00_3670 = 
(int)(((long)1)); 
BgL_arg1221z00_2966 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3670); } 
{ /* Reduce/cond.scm 198 */
long BgL_offsetz00_2970;
{ /* Reduce/cond.scm 198 */
long BgL_auxz00_3673;
{ /* Reduce/cond.scm 198 */
int BgL_auxz00_3674;
BgL_auxz00_3674 = 
(int)(BgL_objzd2classzd2numz00_2965); 
BgL_auxz00_3673 = 
(long)(BgL_auxz00_3674); } 
BgL_offsetz00_2970 = 
(BgL_auxz00_3673-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 198 */
long BgL_modz00_2971;
{ /* Reduce/cond.scm 198 */
long BgL_auxz00_3678;
{ /* Reduce/cond.scm 198 */
int BgL_auxz00_3679;
BgL_auxz00_3679 = 
(int)(((long)8)); 
BgL_auxz00_3678 = 
(long)(BgL_auxz00_3679); } 
BgL_modz00_2971 = 
(BgL_offsetz00_2970/BgL_auxz00_3678); } 
{ /* Reduce/cond.scm 198 */
long BgL_restz00_2973;
{ /* Reduce/cond.scm 198 */
long BgL_auxz00_3683;
{ /* Reduce/cond.scm 198 */
int BgL_auxz00_3684;
BgL_auxz00_3684 = 
(int)(((long)8)); 
BgL_auxz00_3683 = 
(long)(BgL_auxz00_3684); } 
BgL_restz00_2973 = 
(BgL_offsetz00_2970%BgL_auxz00_3683); } 
{ /* Reduce/cond.scm 198 */

{ /* Reduce/cond.scm 198 */
obj_t BgL_bucketz00_2975;
{ /* Reduce/cond.scm 198 */
int BgL_kz00_2985;
BgL_kz00_2985 = 
(int)(BgL_modz00_2971); 
BgL_bucketz00_2975 = 
VECTOR_REF(BgL_arg1221z00_2966,BgL_kz00_2985); } 
{ /* Reduce/cond.scm 198 */
int BgL_kz00_2987;
BgL_kz00_2987 = 
(int)(BgL_restz00_2973); 
BgL_method2697z00_2963 = 
VECTOR_REF(BgL_bucketz00_2975,BgL_kz00_2987); } } } } } } } } 
{ /* Reduce/cond.scm 198 */
obj_t BgL_auxz00_3692;
BgL_auxz00_3692 = 
PROCEDURE_ENTRY(BgL_method2697z00_2963)(BgL_method2697z00_2963, 
(obj_t)(BgL_arg2875z00_1809), BEOA); 
BgL_res2957z00_2988 = 
(BgL_nodez00_bglt)(BgL_auxz00_3692); } } 
BgL_arg2874z00_1808 = BgL_res2957z00_2988; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1804))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2874z00_1808), BUNSPEC); } 
{ /* Reduce/cond.scm 199 */
BgL_nodez00_bglt BgL_arg2876z00_1810;
{ /* Reduce/cond.scm 199 */
BgL_nodez00_bglt BgL_res2960z00_3018;
{ /* Reduce/cond.scm 199 */
BgL_nodez00_bglt BgL_nodez00_2992;
{ /* Reduce/cond.scm 199 */
BgL_varz00_bglt BgL_auxz00_3698;
BgL_auxz00_3698 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1804))->BgL_varz00); 
BgL_nodez00_2992 = 
(BgL_nodez00_bglt)(BgL_auxz00_3698); } 
{ /* Reduce/cond.scm 199 */
obj_t BgL_method2697z00_2993;
{ /* Reduce/cond.scm 199 */
long BgL_objzd2classzd2numz00_2995;
{ /* Reduce/cond.scm 199 */
BgL_objectz00_bglt BgL_auxz00_3701;
BgL_auxz00_3701 = 
(BgL_objectz00_bglt)(BgL_nodez00_2992); 
BgL_objzd2classzd2numz00_2995 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3701); } 
{ /* Reduce/cond.scm 199 */
obj_t BgL_arg1221z00_2996;
{ /* Reduce/cond.scm 199 */
int BgL_auxz00_3704;
BgL_auxz00_3704 = 
(int)(((long)1)); 
BgL_arg1221z00_2996 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3704); } 
{ /* Reduce/cond.scm 199 */
long BgL_offsetz00_3000;
{ /* Reduce/cond.scm 199 */
long BgL_auxz00_3707;
{ /* Reduce/cond.scm 199 */
int BgL_auxz00_3708;
BgL_auxz00_3708 = 
(int)(BgL_objzd2classzd2numz00_2995); 
BgL_auxz00_3707 = 
(long)(BgL_auxz00_3708); } 
BgL_offsetz00_3000 = 
(BgL_auxz00_3707-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 199 */
long BgL_modz00_3001;
{ /* Reduce/cond.scm 199 */
long BgL_auxz00_3712;
{ /* Reduce/cond.scm 199 */
int BgL_auxz00_3713;
BgL_auxz00_3713 = 
(int)(((long)8)); 
BgL_auxz00_3712 = 
(long)(BgL_auxz00_3713); } 
BgL_modz00_3001 = 
(BgL_offsetz00_3000/BgL_auxz00_3712); } 
{ /* Reduce/cond.scm 199 */
long BgL_restz00_3003;
{ /* Reduce/cond.scm 199 */
long BgL_auxz00_3717;
{ /* Reduce/cond.scm 199 */
int BgL_auxz00_3718;
BgL_auxz00_3718 = 
(int)(((long)8)); 
BgL_auxz00_3717 = 
(long)(BgL_auxz00_3718); } 
BgL_restz00_3003 = 
(BgL_offsetz00_3000%BgL_auxz00_3717); } 
{ /* Reduce/cond.scm 199 */

{ /* Reduce/cond.scm 199 */
obj_t BgL_bucketz00_3005;
{ /* Reduce/cond.scm 199 */
int BgL_kz00_3015;
BgL_kz00_3015 = 
(int)(BgL_modz00_3001); 
BgL_bucketz00_3005 = 
VECTOR_REF(BgL_arg1221z00_2996,BgL_kz00_3015); } 
{ /* Reduce/cond.scm 199 */
int BgL_kz00_3017;
BgL_kz00_3017 = 
(int)(BgL_restz00_3003); 
BgL_method2697z00_2993 = 
VECTOR_REF(BgL_bucketz00_3005,BgL_kz00_3017); } } } } } } } } 
{ /* Reduce/cond.scm 199 */
obj_t BgL_auxz00_3726;
BgL_auxz00_3726 = 
PROCEDURE_ENTRY(BgL_method2697z00_2993)(BgL_method2697z00_2993, 
(obj_t)(BgL_nodez00_2992), BEOA); 
BgL_res2960z00_3018 = 
(BgL_nodez00_bglt)(BgL_auxz00_3726); } } } 
BgL_arg2876z00_1810 = BgL_res2960z00_3018; } 
{ /* Reduce/cond.scm 199 */
BgL_varz00_bglt BgL_val2507z00_3020;
BgL_val2507z00_3020 = 
(BgL_varz00_bglt)(BgL_arg2876z00_1810); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1804))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2507z00_3020), BUNSPEC); } } 
BgL_auxz00_3665 = BgL_nodez00_1804; 
return 
(obj_t)(BgL_auxz00_3665);} } } 
}



/* node-cond!-let-var2730 */
obj_t BGl_nodezd2condz12zd2letzd2var2730zc0zzreduce_condz00(obj_t BgL_envz00_3264, obj_t BgL_nodez00_3265)
{ AN_OBJECT;
{ /* Reduce/cond.scm 185 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1788;
{ /* Reduce/cond.scm 186 */
BgL_letzd2varzd2_bglt BgL_auxz00_3735;
BgL_nodez00_1788 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3265); 
{ 
obj_t BgL_l2684z00_1792;
BgL_l2684z00_1792 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1788))->BgL_bindingsz00); 
BgL_lname2685z00_1793:
if(
PAIRP(BgL_l2684z00_1792))
{ /* Reduce/cond.scm 187 */
{ /* Reduce/cond.scm 188 */
obj_t BgL_bindingz00_1796;
BgL_bindingz00_1796 = 
CAR(BgL_l2684z00_1792); 
{ /* Reduce/cond.scm 188 */
BgL_nodez00_bglt BgL_arg2868z00_1797;
{ /* Reduce/cond.scm 188 */
BgL_nodez00_bglt BgL_res2951z00_2927;
{ /* Reduce/cond.scm 188 */
BgL_nodez00_bglt BgL_nodez00_2901;
{ /* Reduce/cond.scm 188 */
obj_t BgL_auxz00_3739;
BgL_auxz00_3739 = 
CDR(BgL_bindingz00_1796); 
BgL_nodez00_2901 = 
(BgL_nodez00_bglt)(BgL_auxz00_3739); } 
{ /* Reduce/cond.scm 188 */
obj_t BgL_method2697z00_2902;
{ /* Reduce/cond.scm 188 */
long BgL_objzd2classzd2numz00_2904;
{ /* Reduce/cond.scm 188 */
BgL_objectz00_bglt BgL_auxz00_3742;
BgL_auxz00_3742 = 
(BgL_objectz00_bglt)(BgL_nodez00_2901); 
BgL_objzd2classzd2numz00_2904 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3742); } 
{ /* Reduce/cond.scm 188 */
obj_t BgL_arg1221z00_2905;
{ /* Reduce/cond.scm 188 */
int BgL_auxz00_3745;
BgL_auxz00_3745 = 
(int)(((long)1)); 
BgL_arg1221z00_2905 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3745); } 
{ /* Reduce/cond.scm 188 */
long BgL_offsetz00_2909;
{ /* Reduce/cond.scm 188 */
long BgL_auxz00_3748;
{ /* Reduce/cond.scm 188 */
int BgL_auxz00_3749;
BgL_auxz00_3749 = 
(int)(BgL_objzd2classzd2numz00_2904); 
BgL_auxz00_3748 = 
(long)(BgL_auxz00_3749); } 
BgL_offsetz00_2909 = 
(BgL_auxz00_3748-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 188 */
long BgL_modz00_2910;
{ /* Reduce/cond.scm 188 */
long BgL_auxz00_3753;
{ /* Reduce/cond.scm 188 */
int BgL_auxz00_3754;
BgL_auxz00_3754 = 
(int)(((long)8)); 
BgL_auxz00_3753 = 
(long)(BgL_auxz00_3754); } 
BgL_modz00_2910 = 
(BgL_offsetz00_2909/BgL_auxz00_3753); } 
{ /* Reduce/cond.scm 188 */
long BgL_restz00_2912;
{ /* Reduce/cond.scm 188 */
long BgL_auxz00_3758;
{ /* Reduce/cond.scm 188 */
int BgL_auxz00_3759;
BgL_auxz00_3759 = 
(int)(((long)8)); 
BgL_auxz00_3758 = 
(long)(BgL_auxz00_3759); } 
BgL_restz00_2912 = 
(BgL_offsetz00_2909%BgL_auxz00_3758); } 
{ /* Reduce/cond.scm 188 */

{ /* Reduce/cond.scm 188 */
obj_t BgL_bucketz00_2914;
{ /* Reduce/cond.scm 188 */
int BgL_kz00_2924;
BgL_kz00_2924 = 
(int)(BgL_modz00_2910); 
BgL_bucketz00_2914 = 
VECTOR_REF(BgL_arg1221z00_2905,BgL_kz00_2924); } 
{ /* Reduce/cond.scm 188 */
int BgL_kz00_2926;
BgL_kz00_2926 = 
(int)(BgL_restz00_2912); 
BgL_method2697z00_2902 = 
VECTOR_REF(BgL_bucketz00_2914,BgL_kz00_2926); } } } } } } } } 
{ /* Reduce/cond.scm 188 */
obj_t BgL_auxz00_3767;
BgL_auxz00_3767 = 
PROCEDURE_ENTRY(BgL_method2697z00_2902)(BgL_method2697z00_2902, 
(obj_t)(BgL_nodez00_2901), BEOA); 
BgL_res2951z00_2927 = 
(BgL_nodez00_bglt)(BgL_auxz00_3767); } } } 
BgL_arg2868z00_1797 = BgL_res2951z00_2927; } 
{ /* Reduce/cond.scm 188 */
obj_t BgL_auxz00_3772;
BgL_auxz00_3772 = 
(obj_t)(BgL_arg2868z00_1797); 
SET_CDR(BgL_bindingz00_1796, BgL_auxz00_3772); } } } 
{ 
obj_t BgL_l2684z00_3775;
BgL_l2684z00_3775 = 
CDR(BgL_l2684z00_1792); 
BgL_l2684z00_1792 = BgL_l2684z00_3775; 
goto BgL_lname2685z00_1793;} }  else 
{ /* Reduce/cond.scm 187 */((bool_t)1); } } 
{ /* Reduce/cond.scm 190 */
BgL_nodez00_bglt BgL_arg2871z00_1800;
{ /* Reduce/cond.scm 190 */
BgL_nodez00_bglt BgL_arg2872z00_1801;
BgL_arg2872z00_1801 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1788))->BgL_bodyz00); 
{ /* Reduce/cond.scm 190 */
BgL_nodez00_bglt BgL_res2954z00_2958;
{ /* Reduce/cond.scm 190 */
obj_t BgL_method2697z00_2933;
{ /* Reduce/cond.scm 190 */
long BgL_objzd2classzd2numz00_2935;
{ /* Reduce/cond.scm 190 */
BgL_objectz00_bglt BgL_auxz00_3779;
BgL_auxz00_3779 = 
(BgL_objectz00_bglt)(BgL_arg2872z00_1801); 
BgL_objzd2classzd2numz00_2935 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3779); } 
{ /* Reduce/cond.scm 190 */
obj_t BgL_arg1221z00_2936;
{ /* Reduce/cond.scm 190 */
int BgL_auxz00_3782;
BgL_auxz00_3782 = 
(int)(((long)1)); 
BgL_arg1221z00_2936 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3782); } 
{ /* Reduce/cond.scm 190 */
long BgL_offsetz00_2940;
{ /* Reduce/cond.scm 190 */
long BgL_auxz00_3785;
{ /* Reduce/cond.scm 190 */
int BgL_auxz00_3786;
BgL_auxz00_3786 = 
(int)(BgL_objzd2classzd2numz00_2935); 
BgL_auxz00_3785 = 
(long)(BgL_auxz00_3786); } 
BgL_offsetz00_2940 = 
(BgL_auxz00_3785-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 190 */
long BgL_modz00_2941;
{ /* Reduce/cond.scm 190 */
long BgL_auxz00_3790;
{ /* Reduce/cond.scm 190 */
int BgL_auxz00_3791;
BgL_auxz00_3791 = 
(int)(((long)8)); 
BgL_auxz00_3790 = 
(long)(BgL_auxz00_3791); } 
BgL_modz00_2941 = 
(BgL_offsetz00_2940/BgL_auxz00_3790); } 
{ /* Reduce/cond.scm 190 */
long BgL_restz00_2943;
{ /* Reduce/cond.scm 190 */
long BgL_auxz00_3795;
{ /* Reduce/cond.scm 190 */
int BgL_auxz00_3796;
BgL_auxz00_3796 = 
(int)(((long)8)); 
BgL_auxz00_3795 = 
(long)(BgL_auxz00_3796); } 
BgL_restz00_2943 = 
(BgL_offsetz00_2940%BgL_auxz00_3795); } 
{ /* Reduce/cond.scm 190 */

{ /* Reduce/cond.scm 190 */
obj_t BgL_bucketz00_2945;
{ /* Reduce/cond.scm 190 */
int BgL_kz00_2955;
BgL_kz00_2955 = 
(int)(BgL_modz00_2941); 
BgL_bucketz00_2945 = 
VECTOR_REF(BgL_arg1221z00_2936,BgL_kz00_2955); } 
{ /* Reduce/cond.scm 190 */
int BgL_kz00_2957;
BgL_kz00_2957 = 
(int)(BgL_restz00_2943); 
BgL_method2697z00_2933 = 
VECTOR_REF(BgL_bucketz00_2945,BgL_kz00_2957); } } } } } } } } 
{ /* Reduce/cond.scm 190 */
obj_t BgL_auxz00_3804;
BgL_auxz00_3804 = 
PROCEDURE_ENTRY(BgL_method2697z00_2933)(BgL_method2697z00_2933, 
(obj_t)(BgL_arg2872z00_1801), BEOA); 
BgL_res2954z00_2958 = 
(BgL_nodez00_bglt)(BgL_auxz00_3804); } } 
BgL_arg2871z00_1800 = BgL_res2954z00_2958; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1788))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2871z00_1800), BUNSPEC); } 
BgL_auxz00_3735 = BgL_nodez00_1788; 
return 
(obj_t)(BgL_auxz00_3735);} } } 
}



/* node-cond!-let-fun2727 */
obj_t BGl_nodezd2condz12zd2letzd2fun2727zc0zzreduce_condz00(obj_t BgL_envz00_3266, obj_t BgL_nodez00_3267)
{ AN_OBJECT;
{ /* Reduce/cond.scm 173 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1771;
{ /* Reduce/cond.scm 174 */
BgL_letzd2funzd2_bglt BgL_auxz00_3812;
BgL_nodez00_1771 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3267); 
{ 
obj_t BgL_l2680z00_1775;
BgL_l2680z00_1775 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1771))->BgL_localsz00); 
BgL_lname2681z00_1776:
if(
PAIRP(BgL_l2680z00_1775))
{ /* Reduce/cond.scm 175 */
{ /* Reduce/cond.scm 176 */
BgL_valuez00_bglt BgL_funz00_1780;
{ /* Reduce/cond.scm 176 */
BgL_localz00_bglt BgL_obj1255z00_2835;
{ /* Reduce/cond.scm 176 */
obj_t BgL_auxz00_3815;
BgL_auxz00_3815 = 
CAR(BgL_l2680z00_1775); 
BgL_obj1255z00_2835 = 
(BgL_localz00_bglt)(BgL_auxz00_3815); } 
BgL_funz00_1780 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2835))->BgL_valuez00); } 
{ /* Reduce/cond.scm 177 */
BgL_nodez00_bglt BgL_arg2860z00_1781;
{ /* Reduce/cond.scm 177 */
BgL_nodez00_bglt BgL_res2945z00_2863;
{ /* Reduce/cond.scm 177 */
BgL_nodez00_bglt BgL_nodez00_2837;
{ /* Reduce/cond.scm 177 */
obj_t BgL_auxz00_3819;
{ /* Reduce/cond.scm 177 */
BgL_sfunz00_bglt BgL_obj1372z00_2836;
BgL_obj1372z00_2836 = 
(BgL_sfunz00_bglt)(BgL_funz00_1780); 
BgL_auxz00_3819 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2836))->BgL_bodyz00); } 
BgL_nodez00_2837 = 
(BgL_nodez00_bglt)(BgL_auxz00_3819); } 
{ /* Reduce/cond.scm 177 */
obj_t BgL_method2697z00_2838;
{ /* Reduce/cond.scm 177 */
long BgL_objzd2classzd2numz00_2840;
{ /* Reduce/cond.scm 177 */
BgL_objectz00_bglt BgL_auxz00_3823;
BgL_auxz00_3823 = 
(BgL_objectz00_bglt)(BgL_nodez00_2837); 
BgL_objzd2classzd2numz00_2840 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3823); } 
{ /* Reduce/cond.scm 177 */
obj_t BgL_arg1221z00_2841;
{ /* Reduce/cond.scm 177 */
int BgL_auxz00_3826;
BgL_auxz00_3826 = 
(int)(((long)1)); 
BgL_arg1221z00_2841 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3826); } 
{ /* Reduce/cond.scm 177 */
long BgL_offsetz00_2845;
{ /* Reduce/cond.scm 177 */
long BgL_auxz00_3829;
{ /* Reduce/cond.scm 177 */
int BgL_auxz00_3830;
BgL_auxz00_3830 = 
(int)(BgL_objzd2classzd2numz00_2840); 
BgL_auxz00_3829 = 
(long)(BgL_auxz00_3830); } 
BgL_offsetz00_2845 = 
(BgL_auxz00_3829-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 177 */
long BgL_modz00_2846;
{ /* Reduce/cond.scm 177 */
long BgL_auxz00_3834;
{ /* Reduce/cond.scm 177 */
int BgL_auxz00_3835;
BgL_auxz00_3835 = 
(int)(((long)8)); 
BgL_auxz00_3834 = 
(long)(BgL_auxz00_3835); } 
BgL_modz00_2846 = 
(BgL_offsetz00_2845/BgL_auxz00_3834); } 
{ /* Reduce/cond.scm 177 */
long BgL_restz00_2848;
{ /* Reduce/cond.scm 177 */
long BgL_auxz00_3839;
{ /* Reduce/cond.scm 177 */
int BgL_auxz00_3840;
BgL_auxz00_3840 = 
(int)(((long)8)); 
BgL_auxz00_3839 = 
(long)(BgL_auxz00_3840); } 
BgL_restz00_2848 = 
(BgL_offsetz00_2845%BgL_auxz00_3839); } 
{ /* Reduce/cond.scm 177 */

{ /* Reduce/cond.scm 177 */
obj_t BgL_bucketz00_2850;
{ /* Reduce/cond.scm 177 */
int BgL_kz00_2860;
BgL_kz00_2860 = 
(int)(BgL_modz00_2846); 
BgL_bucketz00_2850 = 
VECTOR_REF(BgL_arg1221z00_2841,BgL_kz00_2860); } 
{ /* Reduce/cond.scm 177 */
int BgL_kz00_2862;
BgL_kz00_2862 = 
(int)(BgL_restz00_2848); 
BgL_method2697z00_2838 = 
VECTOR_REF(BgL_bucketz00_2850,BgL_kz00_2862); } } } } } } } } 
{ /* Reduce/cond.scm 177 */
obj_t BgL_auxz00_3848;
BgL_auxz00_3848 = 
PROCEDURE_ENTRY(BgL_method2697z00_2838)(BgL_method2697z00_2838, 
(obj_t)(BgL_nodez00_2837), BEOA); 
BgL_res2945z00_2863 = 
(BgL_nodez00_bglt)(BgL_auxz00_3848); } } } 
BgL_arg2860z00_1781 = BgL_res2945z00_2863; } 
{ /* Reduce/cond.scm 177 */
BgL_sfunz00_bglt BgL_obj1374z00_2864;obj_t BgL_val1373z00_2865;
BgL_obj1374z00_2864 = 
(BgL_sfunz00_bglt)(BgL_funz00_1780); 
BgL_val1373z00_2865 = 
(obj_t)(BgL_arg2860z00_1781); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2864))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2865), BUNSPEC); } } } 
{ 
obj_t BgL_l2680z00_3856;
BgL_l2680z00_3856 = 
CDR(BgL_l2680z00_1775); 
BgL_l2680z00_1775 = BgL_l2680z00_3856; 
goto BgL_lname2681z00_1776;} }  else 
{ /* Reduce/cond.scm 175 */((bool_t)1); } } 
{ /* Reduce/cond.scm 179 */
BgL_nodez00_bglt BgL_arg2863z00_1784;
{ /* Reduce/cond.scm 179 */
BgL_nodez00_bglt BgL_arg2864z00_1785;
BgL_arg2864z00_1785 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1771))->BgL_bodyz00); 
{ /* Reduce/cond.scm 179 */
BgL_nodez00_bglt BgL_res2948z00_2894;
{ /* Reduce/cond.scm 179 */
obj_t BgL_method2697z00_2869;
{ /* Reduce/cond.scm 179 */
long BgL_objzd2classzd2numz00_2871;
{ /* Reduce/cond.scm 179 */
BgL_objectz00_bglt BgL_auxz00_3860;
BgL_auxz00_3860 = 
(BgL_objectz00_bglt)(BgL_arg2864z00_1785); 
BgL_objzd2classzd2numz00_2871 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3860); } 
{ /* Reduce/cond.scm 179 */
obj_t BgL_arg1221z00_2872;
{ /* Reduce/cond.scm 179 */
int BgL_auxz00_3863;
BgL_auxz00_3863 = 
(int)(((long)1)); 
BgL_arg1221z00_2872 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3863); } 
{ /* Reduce/cond.scm 179 */
long BgL_offsetz00_2876;
{ /* Reduce/cond.scm 179 */
long BgL_auxz00_3866;
{ /* Reduce/cond.scm 179 */
int BgL_auxz00_3867;
BgL_auxz00_3867 = 
(int)(BgL_objzd2classzd2numz00_2871); 
BgL_auxz00_3866 = 
(long)(BgL_auxz00_3867); } 
BgL_offsetz00_2876 = 
(BgL_auxz00_3866-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 179 */
long BgL_modz00_2877;
{ /* Reduce/cond.scm 179 */
long BgL_auxz00_3871;
{ /* Reduce/cond.scm 179 */
int BgL_auxz00_3872;
BgL_auxz00_3872 = 
(int)(((long)8)); 
BgL_auxz00_3871 = 
(long)(BgL_auxz00_3872); } 
BgL_modz00_2877 = 
(BgL_offsetz00_2876/BgL_auxz00_3871); } 
{ /* Reduce/cond.scm 179 */
long BgL_restz00_2879;
{ /* Reduce/cond.scm 179 */
long BgL_auxz00_3876;
{ /* Reduce/cond.scm 179 */
int BgL_auxz00_3877;
BgL_auxz00_3877 = 
(int)(((long)8)); 
BgL_auxz00_3876 = 
(long)(BgL_auxz00_3877); } 
BgL_restz00_2879 = 
(BgL_offsetz00_2876%BgL_auxz00_3876); } 
{ /* Reduce/cond.scm 179 */

{ /* Reduce/cond.scm 179 */
obj_t BgL_bucketz00_2881;
{ /* Reduce/cond.scm 179 */
int BgL_kz00_2891;
BgL_kz00_2891 = 
(int)(BgL_modz00_2877); 
BgL_bucketz00_2881 = 
VECTOR_REF(BgL_arg1221z00_2872,BgL_kz00_2891); } 
{ /* Reduce/cond.scm 179 */
int BgL_kz00_2893;
BgL_kz00_2893 = 
(int)(BgL_restz00_2879); 
BgL_method2697z00_2869 = 
VECTOR_REF(BgL_bucketz00_2881,BgL_kz00_2893); } } } } } } } } 
{ /* Reduce/cond.scm 179 */
obj_t BgL_auxz00_3885;
BgL_auxz00_3885 = 
PROCEDURE_ENTRY(BgL_method2697z00_2869)(BgL_method2697z00_2869, 
(obj_t)(BgL_arg2864z00_1785), BEOA); 
BgL_res2948z00_2894 = 
(BgL_nodez00_bglt)(BgL_auxz00_3885); } } 
BgL_arg2863z00_1784 = BgL_res2948z00_2894; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1771))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2863z00_1784), BUNSPEC); } 
BgL_auxz00_3812 = BgL_nodez00_1771; 
return 
(obj_t)(BgL_auxz00_3812);} } } 
}



/* node-cond!-select2725 */
obj_t BGl_nodezd2condz12zd2select2725z12zzreduce_condz00(obj_t BgL_envz00_3268, obj_t BgL_nodez00_3269)
{ AN_OBJECT;
{ /* Reduce/cond.scm 162 */
{ 
BgL_selectz00_bglt BgL_nodez00_1755;
{ /* Reduce/cond.scm 163 */
BgL_selectz00_bglt BgL_auxz00_3893;
BgL_nodez00_1755 = 
(BgL_selectz00_bglt)(BgL_nodez00_3269); 
{ /* Reduce/cond.scm 164 */
BgL_nodez00_bglt BgL_arg2850z00_1759;
{ /* Reduce/cond.scm 164 */
BgL_nodez00_bglt BgL_arg2851z00_1760;
BgL_arg2851z00_1760 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1755))->BgL_testz00); 
{ /* Reduce/cond.scm 164 */
BgL_nodez00_bglt BgL_res2939z00_2795;
{ /* Reduce/cond.scm 164 */
obj_t BgL_method2697z00_2770;
{ /* Reduce/cond.scm 164 */
long BgL_objzd2classzd2numz00_2772;
{ /* Reduce/cond.scm 164 */
BgL_objectz00_bglt BgL_auxz00_3895;
BgL_auxz00_3895 = 
(BgL_objectz00_bglt)(BgL_arg2851z00_1760); 
BgL_objzd2classzd2numz00_2772 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3895); } 
{ /* Reduce/cond.scm 164 */
obj_t BgL_arg1221z00_2773;
{ /* Reduce/cond.scm 164 */
int BgL_auxz00_3898;
BgL_auxz00_3898 = 
(int)(((long)1)); 
BgL_arg1221z00_2773 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3898); } 
{ /* Reduce/cond.scm 164 */
long BgL_offsetz00_2777;
{ /* Reduce/cond.scm 164 */
long BgL_auxz00_3901;
{ /* Reduce/cond.scm 164 */
int BgL_auxz00_3902;
BgL_auxz00_3902 = 
(int)(BgL_objzd2classzd2numz00_2772); 
BgL_auxz00_3901 = 
(long)(BgL_auxz00_3902); } 
BgL_offsetz00_2777 = 
(BgL_auxz00_3901-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 164 */
long BgL_modz00_2778;
{ /* Reduce/cond.scm 164 */
long BgL_auxz00_3906;
{ /* Reduce/cond.scm 164 */
int BgL_auxz00_3907;
BgL_auxz00_3907 = 
(int)(((long)8)); 
BgL_auxz00_3906 = 
(long)(BgL_auxz00_3907); } 
BgL_modz00_2778 = 
(BgL_offsetz00_2777/BgL_auxz00_3906); } 
{ /* Reduce/cond.scm 164 */
long BgL_restz00_2780;
{ /* Reduce/cond.scm 164 */
long BgL_auxz00_3911;
{ /* Reduce/cond.scm 164 */
int BgL_auxz00_3912;
BgL_auxz00_3912 = 
(int)(((long)8)); 
BgL_auxz00_3911 = 
(long)(BgL_auxz00_3912); } 
BgL_restz00_2780 = 
(BgL_offsetz00_2777%BgL_auxz00_3911); } 
{ /* Reduce/cond.scm 164 */

{ /* Reduce/cond.scm 164 */
obj_t BgL_bucketz00_2782;
{ /* Reduce/cond.scm 164 */
int BgL_kz00_2792;
BgL_kz00_2792 = 
(int)(BgL_modz00_2778); 
BgL_bucketz00_2782 = 
VECTOR_REF(BgL_arg1221z00_2773,BgL_kz00_2792); } 
{ /* Reduce/cond.scm 164 */
int BgL_kz00_2794;
BgL_kz00_2794 = 
(int)(BgL_restz00_2780); 
BgL_method2697z00_2770 = 
VECTOR_REF(BgL_bucketz00_2782,BgL_kz00_2794); } } } } } } } } 
{ /* Reduce/cond.scm 164 */
obj_t BgL_auxz00_3920;
BgL_auxz00_3920 = 
PROCEDURE_ENTRY(BgL_method2697z00_2770)(BgL_method2697z00_2770, 
(obj_t)(BgL_arg2851z00_1760), BEOA); 
BgL_res2939z00_2795 = 
(BgL_nodez00_bglt)(BgL_auxz00_3920); } } 
BgL_arg2850z00_1759 = BgL_res2939z00_2795; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1755))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2850z00_1759), BUNSPEC); } 
{ 
obj_t BgL_l2676z00_1761;
BgL_l2676z00_1761 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1755))->BgL_clausesz00); 
BgL_lname2677z00_1762:
if(
PAIRP(BgL_l2676z00_1761))
{ /* Reduce/cond.scm 165 */
{ /* Reduce/cond.scm 166 */
obj_t BgL_clausez00_1765;
BgL_clausez00_1765 = 
CAR(BgL_l2676z00_1761); 
{ /* Reduce/cond.scm 166 */
BgL_nodez00_bglt BgL_arg2854z00_1766;
{ /* Reduce/cond.scm 166 */
BgL_nodez00_bglt BgL_res2942z00_2828;
{ /* Reduce/cond.scm 166 */
BgL_nodez00_bglt BgL_nodez00_2802;
{ /* Reduce/cond.scm 166 */
obj_t BgL_auxz00_3929;
BgL_auxz00_3929 = 
CDR(BgL_clausez00_1765); 
BgL_nodez00_2802 = 
(BgL_nodez00_bglt)(BgL_auxz00_3929); } 
{ /* Reduce/cond.scm 166 */
obj_t BgL_method2697z00_2803;
{ /* Reduce/cond.scm 166 */
long BgL_objzd2classzd2numz00_2805;
{ /* Reduce/cond.scm 166 */
BgL_objectz00_bglt BgL_auxz00_3932;
BgL_auxz00_3932 = 
(BgL_objectz00_bglt)(BgL_nodez00_2802); 
BgL_objzd2classzd2numz00_2805 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3932); } 
{ /* Reduce/cond.scm 166 */
obj_t BgL_arg1221z00_2806;
{ /* Reduce/cond.scm 166 */
int BgL_auxz00_3935;
BgL_auxz00_3935 = 
(int)(((long)1)); 
BgL_arg1221z00_2806 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3935); } 
{ /* Reduce/cond.scm 166 */
long BgL_offsetz00_2810;
{ /* Reduce/cond.scm 166 */
long BgL_auxz00_3938;
{ /* Reduce/cond.scm 166 */
int BgL_auxz00_3939;
BgL_auxz00_3939 = 
(int)(BgL_objzd2classzd2numz00_2805); 
BgL_auxz00_3938 = 
(long)(BgL_auxz00_3939); } 
BgL_offsetz00_2810 = 
(BgL_auxz00_3938-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 166 */
long BgL_modz00_2811;
{ /* Reduce/cond.scm 166 */
long BgL_auxz00_3943;
{ /* Reduce/cond.scm 166 */
int BgL_auxz00_3944;
BgL_auxz00_3944 = 
(int)(((long)8)); 
BgL_auxz00_3943 = 
(long)(BgL_auxz00_3944); } 
BgL_modz00_2811 = 
(BgL_offsetz00_2810/BgL_auxz00_3943); } 
{ /* Reduce/cond.scm 166 */
long BgL_restz00_2813;
{ /* Reduce/cond.scm 166 */
long BgL_auxz00_3948;
{ /* Reduce/cond.scm 166 */
int BgL_auxz00_3949;
BgL_auxz00_3949 = 
(int)(((long)8)); 
BgL_auxz00_3948 = 
(long)(BgL_auxz00_3949); } 
BgL_restz00_2813 = 
(BgL_offsetz00_2810%BgL_auxz00_3948); } 
{ /* Reduce/cond.scm 166 */

{ /* Reduce/cond.scm 166 */
obj_t BgL_bucketz00_2815;
{ /* Reduce/cond.scm 166 */
int BgL_kz00_2825;
BgL_kz00_2825 = 
(int)(BgL_modz00_2811); 
BgL_bucketz00_2815 = 
VECTOR_REF(BgL_arg1221z00_2806,BgL_kz00_2825); } 
{ /* Reduce/cond.scm 166 */
int BgL_kz00_2827;
BgL_kz00_2827 = 
(int)(BgL_restz00_2813); 
BgL_method2697z00_2803 = 
VECTOR_REF(BgL_bucketz00_2815,BgL_kz00_2827); } } } } } } } } 
{ /* Reduce/cond.scm 166 */
obj_t BgL_auxz00_3957;
BgL_auxz00_3957 = 
PROCEDURE_ENTRY(BgL_method2697z00_2803)(BgL_method2697z00_2803, 
(obj_t)(BgL_nodez00_2802), BEOA); 
BgL_res2942z00_2828 = 
(BgL_nodez00_bglt)(BgL_auxz00_3957); } } } 
BgL_arg2854z00_1766 = BgL_res2942z00_2828; } 
{ /* Reduce/cond.scm 166 */
obj_t BgL_auxz00_3962;
BgL_auxz00_3962 = 
(obj_t)(BgL_arg2854z00_1766); 
SET_CDR(BgL_clausez00_1765, BgL_auxz00_3962); } } } 
{ 
obj_t BgL_l2676z00_3965;
BgL_l2676z00_3965 = 
CDR(BgL_l2676z00_1761); 
BgL_l2676z00_1761 = BgL_l2676z00_3965; 
goto BgL_lname2677z00_1762;} }  else 
{ /* Reduce/cond.scm 165 */((bool_t)1); } } 
BgL_auxz00_3893 = BgL_nodez00_1755; 
return 
(obj_t)(BgL_auxz00_3893);} } } 
}



/* node-cond!-fail2723 */
obj_t BGl_nodezd2condz12zd2fail2723z12zzreduce_condz00(obj_t BgL_envz00_3270, obj_t BgL_nodez00_3271)
{ AN_OBJECT;
{ /* Reduce/cond.scm 152 */
{ 
BgL_failz00_bglt BgL_nodez00_1743;
{ /* Reduce/cond.scm 153 */
BgL_failz00_bglt BgL_auxz00_3970;
BgL_nodez00_1743 = 
(BgL_failz00_bglt)(BgL_nodez00_3271); 
{ /* Reduce/cond.scm 154 */
BgL_nodez00_bglt BgL_arg2843z00_1747;
{ /* Reduce/cond.scm 154 */
BgL_nodez00_bglt BgL_arg2844z00_1748;
BgL_arg2844z00_1748 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1743))->BgL_procz00); 
{ /* Reduce/cond.scm 154 */
BgL_nodez00_bglt BgL_res2930z00_2705;
{ /* Reduce/cond.scm 154 */
obj_t BgL_method2697z00_2680;
{ /* Reduce/cond.scm 154 */
long BgL_objzd2classzd2numz00_2682;
{ /* Reduce/cond.scm 154 */
BgL_objectz00_bglt BgL_auxz00_3972;
BgL_auxz00_3972 = 
(BgL_objectz00_bglt)(BgL_arg2844z00_1748); 
BgL_objzd2classzd2numz00_2682 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3972); } 
{ /* Reduce/cond.scm 154 */
obj_t BgL_arg1221z00_2683;
{ /* Reduce/cond.scm 154 */
int BgL_auxz00_3975;
BgL_auxz00_3975 = 
(int)(((long)1)); 
BgL_arg1221z00_2683 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_3975); } 
{ /* Reduce/cond.scm 154 */
long BgL_offsetz00_2687;
{ /* Reduce/cond.scm 154 */
long BgL_auxz00_3978;
{ /* Reduce/cond.scm 154 */
int BgL_auxz00_3979;
BgL_auxz00_3979 = 
(int)(BgL_objzd2classzd2numz00_2682); 
BgL_auxz00_3978 = 
(long)(BgL_auxz00_3979); } 
BgL_offsetz00_2687 = 
(BgL_auxz00_3978-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 154 */
long BgL_modz00_2688;
{ /* Reduce/cond.scm 154 */
long BgL_auxz00_3983;
{ /* Reduce/cond.scm 154 */
int BgL_auxz00_3984;
BgL_auxz00_3984 = 
(int)(((long)8)); 
BgL_auxz00_3983 = 
(long)(BgL_auxz00_3984); } 
BgL_modz00_2688 = 
(BgL_offsetz00_2687/BgL_auxz00_3983); } 
{ /* Reduce/cond.scm 154 */
long BgL_restz00_2690;
{ /* Reduce/cond.scm 154 */
long BgL_auxz00_3988;
{ /* Reduce/cond.scm 154 */
int BgL_auxz00_3989;
BgL_auxz00_3989 = 
(int)(((long)8)); 
BgL_auxz00_3988 = 
(long)(BgL_auxz00_3989); } 
BgL_restz00_2690 = 
(BgL_offsetz00_2687%BgL_auxz00_3988); } 
{ /* Reduce/cond.scm 154 */

{ /* Reduce/cond.scm 154 */
obj_t BgL_bucketz00_2692;
{ /* Reduce/cond.scm 154 */
int BgL_kz00_2702;
BgL_kz00_2702 = 
(int)(BgL_modz00_2688); 
BgL_bucketz00_2692 = 
VECTOR_REF(BgL_arg1221z00_2683,BgL_kz00_2702); } 
{ /* Reduce/cond.scm 154 */
int BgL_kz00_2704;
BgL_kz00_2704 = 
(int)(BgL_restz00_2690); 
BgL_method2697z00_2680 = 
VECTOR_REF(BgL_bucketz00_2692,BgL_kz00_2704); } } } } } } } } 
{ /* Reduce/cond.scm 154 */
obj_t BgL_auxz00_3997;
BgL_auxz00_3997 = 
PROCEDURE_ENTRY(BgL_method2697z00_2680)(BgL_method2697z00_2680, 
(obj_t)(BgL_arg2844z00_1748), BEOA); 
BgL_res2930z00_2705 = 
(BgL_nodez00_bglt)(BgL_auxz00_3997); } } 
BgL_arg2843z00_1747 = BgL_res2930z00_2705; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1743))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg2843z00_1747), BUNSPEC); } 
{ /* Reduce/cond.scm 155 */
BgL_nodez00_bglt BgL_arg2845z00_1749;
{ /* Reduce/cond.scm 155 */
BgL_nodez00_bglt BgL_arg2846z00_1750;
BgL_arg2846z00_1750 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1743))->BgL_msgz00); 
{ /* Reduce/cond.scm 155 */
BgL_nodez00_bglt BgL_res2933z00_2735;
{ /* Reduce/cond.scm 155 */
obj_t BgL_method2697z00_2710;
{ /* Reduce/cond.scm 155 */
long BgL_objzd2classzd2numz00_2712;
{ /* Reduce/cond.scm 155 */
BgL_objectz00_bglt BgL_auxz00_4004;
BgL_auxz00_4004 = 
(BgL_objectz00_bglt)(BgL_arg2846z00_1750); 
BgL_objzd2classzd2numz00_2712 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4004); } 
{ /* Reduce/cond.scm 155 */
obj_t BgL_arg1221z00_2713;
{ /* Reduce/cond.scm 155 */
int BgL_auxz00_4007;
BgL_auxz00_4007 = 
(int)(((long)1)); 
BgL_arg1221z00_2713 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4007); } 
{ /* Reduce/cond.scm 155 */
long BgL_offsetz00_2717;
{ /* Reduce/cond.scm 155 */
long BgL_auxz00_4010;
{ /* Reduce/cond.scm 155 */
int BgL_auxz00_4011;
BgL_auxz00_4011 = 
(int)(BgL_objzd2classzd2numz00_2712); 
BgL_auxz00_4010 = 
(long)(BgL_auxz00_4011); } 
BgL_offsetz00_2717 = 
(BgL_auxz00_4010-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 155 */
long BgL_modz00_2718;
{ /* Reduce/cond.scm 155 */
long BgL_auxz00_4015;
{ /* Reduce/cond.scm 155 */
int BgL_auxz00_4016;
BgL_auxz00_4016 = 
(int)(((long)8)); 
BgL_auxz00_4015 = 
(long)(BgL_auxz00_4016); } 
BgL_modz00_2718 = 
(BgL_offsetz00_2717/BgL_auxz00_4015); } 
{ /* Reduce/cond.scm 155 */
long BgL_restz00_2720;
{ /* Reduce/cond.scm 155 */
long BgL_auxz00_4020;
{ /* Reduce/cond.scm 155 */
int BgL_auxz00_4021;
BgL_auxz00_4021 = 
(int)(((long)8)); 
BgL_auxz00_4020 = 
(long)(BgL_auxz00_4021); } 
BgL_restz00_2720 = 
(BgL_offsetz00_2717%BgL_auxz00_4020); } 
{ /* Reduce/cond.scm 155 */

{ /* Reduce/cond.scm 155 */
obj_t BgL_bucketz00_2722;
{ /* Reduce/cond.scm 155 */
int BgL_kz00_2732;
BgL_kz00_2732 = 
(int)(BgL_modz00_2718); 
BgL_bucketz00_2722 = 
VECTOR_REF(BgL_arg1221z00_2713,BgL_kz00_2732); } 
{ /* Reduce/cond.scm 155 */
int BgL_kz00_2734;
BgL_kz00_2734 = 
(int)(BgL_restz00_2720); 
BgL_method2697z00_2710 = 
VECTOR_REF(BgL_bucketz00_2722,BgL_kz00_2734); } } } } } } } } 
{ /* Reduce/cond.scm 155 */
obj_t BgL_auxz00_4029;
BgL_auxz00_4029 = 
PROCEDURE_ENTRY(BgL_method2697z00_2710)(BgL_method2697z00_2710, 
(obj_t)(BgL_arg2846z00_1750), BEOA); 
BgL_res2933z00_2735 = 
(BgL_nodez00_bglt)(BgL_auxz00_4029); } } 
BgL_arg2845z00_1749 = BgL_res2933z00_2735; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1743))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg2845z00_1749), BUNSPEC); } 
{ /* Reduce/cond.scm 156 */
BgL_nodez00_bglt BgL_arg2847z00_1751;
{ /* Reduce/cond.scm 156 */
BgL_nodez00_bglt BgL_arg2848z00_1752;
BgL_arg2848z00_1752 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1743))->BgL_objz00); 
{ /* Reduce/cond.scm 156 */
BgL_nodez00_bglt BgL_res2936z00_2765;
{ /* Reduce/cond.scm 156 */
obj_t BgL_method2697z00_2740;
{ /* Reduce/cond.scm 156 */
long BgL_objzd2classzd2numz00_2742;
{ /* Reduce/cond.scm 156 */
BgL_objectz00_bglt BgL_auxz00_4036;
BgL_auxz00_4036 = 
(BgL_objectz00_bglt)(BgL_arg2848z00_1752); 
BgL_objzd2classzd2numz00_2742 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4036); } 
{ /* Reduce/cond.scm 156 */
obj_t BgL_arg1221z00_2743;
{ /* Reduce/cond.scm 156 */
int BgL_auxz00_4039;
BgL_auxz00_4039 = 
(int)(((long)1)); 
BgL_arg1221z00_2743 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4039); } 
{ /* Reduce/cond.scm 156 */
long BgL_offsetz00_2747;
{ /* Reduce/cond.scm 156 */
long BgL_auxz00_4042;
{ /* Reduce/cond.scm 156 */
int BgL_auxz00_4043;
BgL_auxz00_4043 = 
(int)(BgL_objzd2classzd2numz00_2742); 
BgL_auxz00_4042 = 
(long)(BgL_auxz00_4043); } 
BgL_offsetz00_2747 = 
(BgL_auxz00_4042-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 156 */
long BgL_modz00_2748;
{ /* Reduce/cond.scm 156 */
long BgL_auxz00_4047;
{ /* Reduce/cond.scm 156 */
int BgL_auxz00_4048;
BgL_auxz00_4048 = 
(int)(((long)8)); 
BgL_auxz00_4047 = 
(long)(BgL_auxz00_4048); } 
BgL_modz00_2748 = 
(BgL_offsetz00_2747/BgL_auxz00_4047); } 
{ /* Reduce/cond.scm 156 */
long BgL_restz00_2750;
{ /* Reduce/cond.scm 156 */
long BgL_auxz00_4052;
{ /* Reduce/cond.scm 156 */
int BgL_auxz00_4053;
BgL_auxz00_4053 = 
(int)(((long)8)); 
BgL_auxz00_4052 = 
(long)(BgL_auxz00_4053); } 
BgL_restz00_2750 = 
(BgL_offsetz00_2747%BgL_auxz00_4052); } 
{ /* Reduce/cond.scm 156 */

{ /* Reduce/cond.scm 156 */
obj_t BgL_bucketz00_2752;
{ /* Reduce/cond.scm 156 */
int BgL_kz00_2762;
BgL_kz00_2762 = 
(int)(BgL_modz00_2748); 
BgL_bucketz00_2752 = 
VECTOR_REF(BgL_arg1221z00_2743,BgL_kz00_2762); } 
{ /* Reduce/cond.scm 156 */
int BgL_kz00_2764;
BgL_kz00_2764 = 
(int)(BgL_restz00_2750); 
BgL_method2697z00_2740 = 
VECTOR_REF(BgL_bucketz00_2752,BgL_kz00_2764); } } } } } } } } 
{ /* Reduce/cond.scm 156 */
obj_t BgL_auxz00_4061;
BgL_auxz00_4061 = 
PROCEDURE_ENTRY(BgL_method2697z00_2740)(BgL_method2697z00_2740, 
(obj_t)(BgL_arg2848z00_1752), BEOA); 
BgL_res2936z00_2765 = 
(BgL_nodez00_bglt)(BgL_auxz00_4061); } } 
BgL_arg2847z00_1751 = BgL_res2936z00_2765; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1743))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg2847z00_1751), BUNSPEC); } 
BgL_auxz00_3970 = BgL_nodez00_1743; 
return 
(obj_t)(BgL_auxz00_3970);} } } 
}



/* node-cond!-conditional2721 */
obj_t BGl_nodezd2condz12zd2conditional2721z12zzreduce_condz00(obj_t BgL_envz00_3272, obj_t BgL_nodez00_3273)
{ AN_OBJECT;
{ /* Reduce/cond.scm 135 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1727;
BgL_nodez00_1727 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3273); 
{ /* Reduce/cond.scm 137 */
BgL_nodez00_bglt BgL_arg2832z00_1731;
{ /* Reduce/cond.scm 137 */
BgL_nodez00_bglt BgL_arg2833z00_1732;
BgL_arg2833z00_1732 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_testz00); 
{ /* Reduce/cond.scm 137 */
BgL_nodez00_bglt BgL_res2921z00_2607;
{ /* Reduce/cond.scm 137 */
obj_t BgL_method2697z00_2582;
{ /* Reduce/cond.scm 137 */
long BgL_objzd2classzd2numz00_2584;
{ /* Reduce/cond.scm 137 */
BgL_objectz00_bglt BgL_auxz00_4070;
BgL_auxz00_4070 = 
(BgL_objectz00_bglt)(BgL_arg2833z00_1732); 
BgL_objzd2classzd2numz00_2584 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4070); } 
{ /* Reduce/cond.scm 137 */
obj_t BgL_arg1221z00_2585;
{ /* Reduce/cond.scm 137 */
int BgL_auxz00_4073;
BgL_auxz00_4073 = 
(int)(((long)1)); 
BgL_arg1221z00_2585 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4073); } 
{ /* Reduce/cond.scm 137 */
long BgL_offsetz00_2589;
{ /* Reduce/cond.scm 137 */
long BgL_auxz00_4076;
{ /* Reduce/cond.scm 137 */
int BgL_auxz00_4077;
BgL_auxz00_4077 = 
(int)(BgL_objzd2classzd2numz00_2584); 
BgL_auxz00_4076 = 
(long)(BgL_auxz00_4077); } 
BgL_offsetz00_2589 = 
(BgL_auxz00_4076-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 137 */
long BgL_modz00_2590;
{ /* Reduce/cond.scm 137 */
long BgL_auxz00_4081;
{ /* Reduce/cond.scm 137 */
int BgL_auxz00_4082;
BgL_auxz00_4082 = 
(int)(((long)8)); 
BgL_auxz00_4081 = 
(long)(BgL_auxz00_4082); } 
BgL_modz00_2590 = 
(BgL_offsetz00_2589/BgL_auxz00_4081); } 
{ /* Reduce/cond.scm 137 */
long BgL_restz00_2592;
{ /* Reduce/cond.scm 137 */
long BgL_auxz00_4086;
{ /* Reduce/cond.scm 137 */
int BgL_auxz00_4087;
BgL_auxz00_4087 = 
(int)(((long)8)); 
BgL_auxz00_4086 = 
(long)(BgL_auxz00_4087); } 
BgL_restz00_2592 = 
(BgL_offsetz00_2589%BgL_auxz00_4086); } 
{ /* Reduce/cond.scm 137 */

{ /* Reduce/cond.scm 137 */
obj_t BgL_bucketz00_2594;
{ /* Reduce/cond.scm 137 */
int BgL_kz00_2604;
BgL_kz00_2604 = 
(int)(BgL_modz00_2590); 
BgL_bucketz00_2594 = 
VECTOR_REF(BgL_arg1221z00_2585,BgL_kz00_2604); } 
{ /* Reduce/cond.scm 137 */
int BgL_kz00_2606;
BgL_kz00_2606 = 
(int)(BgL_restz00_2592); 
BgL_method2697z00_2582 = 
VECTOR_REF(BgL_bucketz00_2594,BgL_kz00_2606); } } } } } } } } 
{ /* Reduce/cond.scm 137 */
obj_t BgL_auxz00_4095;
BgL_auxz00_4095 = 
PROCEDURE_ENTRY(BgL_method2697z00_2582)(BgL_method2697z00_2582, 
(obj_t)(BgL_arg2833z00_1732), BEOA); 
BgL_res2921z00_2607 = 
(BgL_nodez00_bglt)(BgL_auxz00_4095); } } 
BgL_arg2832z00_1731 = BgL_res2921z00_2607; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2832z00_1731), BUNSPEC); } 
{ /* Reduce/cond.scm 138 */
BgL_nodez00_bglt BgL_arg2834z00_1733;
{ /* Reduce/cond.scm 138 */
BgL_nodez00_bglt BgL_arg2835z00_1734;
BgL_arg2835z00_1734 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_truez00); 
{ /* Reduce/cond.scm 138 */
BgL_nodez00_bglt BgL_res2924z00_2637;
{ /* Reduce/cond.scm 138 */
obj_t BgL_method2697z00_2612;
{ /* Reduce/cond.scm 138 */
long BgL_objzd2classzd2numz00_2614;
{ /* Reduce/cond.scm 138 */
BgL_objectz00_bglt BgL_auxz00_4102;
BgL_auxz00_4102 = 
(BgL_objectz00_bglt)(BgL_arg2835z00_1734); 
BgL_objzd2classzd2numz00_2614 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4102); } 
{ /* Reduce/cond.scm 138 */
obj_t BgL_arg1221z00_2615;
{ /* Reduce/cond.scm 138 */
int BgL_auxz00_4105;
BgL_auxz00_4105 = 
(int)(((long)1)); 
BgL_arg1221z00_2615 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4105); } 
{ /* Reduce/cond.scm 138 */
long BgL_offsetz00_2619;
{ /* Reduce/cond.scm 138 */
long BgL_auxz00_4108;
{ /* Reduce/cond.scm 138 */
int BgL_auxz00_4109;
BgL_auxz00_4109 = 
(int)(BgL_objzd2classzd2numz00_2614); 
BgL_auxz00_4108 = 
(long)(BgL_auxz00_4109); } 
BgL_offsetz00_2619 = 
(BgL_auxz00_4108-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 138 */
long BgL_modz00_2620;
{ /* Reduce/cond.scm 138 */
long BgL_auxz00_4113;
{ /* Reduce/cond.scm 138 */
int BgL_auxz00_4114;
BgL_auxz00_4114 = 
(int)(((long)8)); 
BgL_auxz00_4113 = 
(long)(BgL_auxz00_4114); } 
BgL_modz00_2620 = 
(BgL_offsetz00_2619/BgL_auxz00_4113); } 
{ /* Reduce/cond.scm 138 */
long BgL_restz00_2622;
{ /* Reduce/cond.scm 138 */
long BgL_auxz00_4118;
{ /* Reduce/cond.scm 138 */
int BgL_auxz00_4119;
BgL_auxz00_4119 = 
(int)(((long)8)); 
BgL_auxz00_4118 = 
(long)(BgL_auxz00_4119); } 
BgL_restz00_2622 = 
(BgL_offsetz00_2619%BgL_auxz00_4118); } 
{ /* Reduce/cond.scm 138 */

{ /* Reduce/cond.scm 138 */
obj_t BgL_bucketz00_2624;
{ /* Reduce/cond.scm 138 */
int BgL_kz00_2634;
BgL_kz00_2634 = 
(int)(BgL_modz00_2620); 
BgL_bucketz00_2624 = 
VECTOR_REF(BgL_arg1221z00_2615,BgL_kz00_2634); } 
{ /* Reduce/cond.scm 138 */
int BgL_kz00_2636;
BgL_kz00_2636 = 
(int)(BgL_restz00_2622); 
BgL_method2697z00_2612 = 
VECTOR_REF(BgL_bucketz00_2624,BgL_kz00_2636); } } } } } } } } 
{ /* Reduce/cond.scm 138 */
obj_t BgL_auxz00_4127;
BgL_auxz00_4127 = 
PROCEDURE_ENTRY(BgL_method2697z00_2612)(BgL_method2697z00_2612, 
(obj_t)(BgL_arg2835z00_1734), BEOA); 
BgL_res2924z00_2637 = 
(BgL_nodez00_bglt)(BgL_auxz00_4127); } } 
BgL_arg2834z00_1733 = BgL_res2924z00_2637; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg2834z00_1733), BUNSPEC); } 
{ /* Reduce/cond.scm 139 */
BgL_nodez00_bglt BgL_arg2836z00_1735;
{ /* Reduce/cond.scm 139 */
BgL_nodez00_bglt BgL_arg2837z00_1736;
BgL_arg2837z00_1736 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_falsez00); 
{ /* Reduce/cond.scm 139 */
BgL_nodez00_bglt BgL_res2927z00_2667;
{ /* Reduce/cond.scm 139 */
obj_t BgL_method2697z00_2642;
{ /* Reduce/cond.scm 139 */
long BgL_objzd2classzd2numz00_2644;
{ /* Reduce/cond.scm 139 */
BgL_objectz00_bglt BgL_auxz00_4134;
BgL_auxz00_4134 = 
(BgL_objectz00_bglt)(BgL_arg2837z00_1736); 
BgL_objzd2classzd2numz00_2644 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4134); } 
{ /* Reduce/cond.scm 139 */
obj_t BgL_arg1221z00_2645;
{ /* Reduce/cond.scm 139 */
int BgL_auxz00_4137;
BgL_auxz00_4137 = 
(int)(((long)1)); 
BgL_arg1221z00_2645 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4137); } 
{ /* Reduce/cond.scm 139 */
long BgL_offsetz00_2649;
{ /* Reduce/cond.scm 139 */
long BgL_auxz00_4140;
{ /* Reduce/cond.scm 139 */
int BgL_auxz00_4141;
BgL_auxz00_4141 = 
(int)(BgL_objzd2classzd2numz00_2644); 
BgL_auxz00_4140 = 
(long)(BgL_auxz00_4141); } 
BgL_offsetz00_2649 = 
(BgL_auxz00_4140-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 139 */
long BgL_modz00_2650;
{ /* Reduce/cond.scm 139 */
long BgL_auxz00_4145;
{ /* Reduce/cond.scm 139 */
int BgL_auxz00_4146;
BgL_auxz00_4146 = 
(int)(((long)8)); 
BgL_auxz00_4145 = 
(long)(BgL_auxz00_4146); } 
BgL_modz00_2650 = 
(BgL_offsetz00_2649/BgL_auxz00_4145); } 
{ /* Reduce/cond.scm 139 */
long BgL_restz00_2652;
{ /* Reduce/cond.scm 139 */
long BgL_auxz00_4150;
{ /* Reduce/cond.scm 139 */
int BgL_auxz00_4151;
BgL_auxz00_4151 = 
(int)(((long)8)); 
BgL_auxz00_4150 = 
(long)(BgL_auxz00_4151); } 
BgL_restz00_2652 = 
(BgL_offsetz00_2649%BgL_auxz00_4150); } 
{ /* Reduce/cond.scm 139 */

{ /* Reduce/cond.scm 139 */
obj_t BgL_bucketz00_2654;
{ /* Reduce/cond.scm 139 */
int BgL_kz00_2664;
BgL_kz00_2664 = 
(int)(BgL_modz00_2650); 
BgL_bucketz00_2654 = 
VECTOR_REF(BgL_arg1221z00_2645,BgL_kz00_2664); } 
{ /* Reduce/cond.scm 139 */
int BgL_kz00_2666;
BgL_kz00_2666 = 
(int)(BgL_restz00_2652); 
BgL_method2697z00_2642 = 
VECTOR_REF(BgL_bucketz00_2654,BgL_kz00_2666); } } } } } } } } 
{ /* Reduce/cond.scm 139 */
obj_t BgL_auxz00_4159;
BgL_auxz00_4159 = 
PROCEDURE_ENTRY(BgL_method2697z00_2642)(BgL_method2697z00_2642, 
(obj_t)(BgL_arg2837z00_1736), BEOA); 
BgL_res2927z00_2667 = 
(BgL_nodez00_bglt)(BgL_auxz00_4159); } } 
BgL_arg2836z00_1735 = BgL_res2927z00_2667; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg2836z00_1735), BUNSPEC); } 
{ /* Reduce/cond.scm 140 */
bool_t BgL_test2838z00_1737;
{ /* Reduce/cond.scm 140 */
obj_t BgL_auxz00_4165;
{ /* Reduce/cond.scm 140 */
BgL_nodez00_bglt BgL_auxz00_4166;
BgL_auxz00_4166 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_testz00); 
BgL_auxz00_4165 = 
(obj_t)(BgL_auxz00_4166); } 
BgL_test2838z00_1737 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4165, BGl_atomz00zzast_nodez00); } 
if(BgL_test2838z00_1737)
{ /* Reduce/cond.scm 140 */
{ /* Reduce/cond.scm 142 */
long BgL_za72za7_2673;
BgL_za72za7_2673 = BGl_za2condzd2reducedza2zd2zzreduce_condz00; 
BGl_za2condzd2reducedza2zd2zzreduce_condz00 = 
(((long)1)+BgL_za72za7_2673); } 
{ /* Reduce/cond.scm 144 */
bool_t BgL_testz00_4172;
{ /* Reduce/cond.scm 144 */
BgL_atomz00_bglt BgL_obj1597z00_2675;
{ /* Reduce/cond.scm 144 */
BgL_nodez00_bglt BgL_auxz00_4173;
BgL_auxz00_4173 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_testz00); 
BgL_obj1597z00_2675 = 
(BgL_atomz00_bglt)(BgL_auxz00_4173); } 
{ /* Reduce/cond.scm 144 */
obj_t BgL_auxz00_4176;
BgL_auxz00_4176 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2675))->BgL_valuez00); 
BgL_testz00_4172 = 
CBOOL(BgL_auxz00_4176); } } 
if(BgL_testz00_4172)
{ /* Reduce/cond.scm 144 */
BgL_nodez00_bglt BgL_auxz00_4179;
BgL_auxz00_4179 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_truez00); 
return 
(obj_t)(BgL_auxz00_4179);}  else 
{ /* Reduce/cond.scm 144 */
BgL_nodez00_bglt BgL_auxz00_4182;
BgL_auxz00_4182 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1727))->BgL_falsez00); 
return 
(obj_t)(BgL_auxz00_4182);} } }  else 
{ /* Reduce/cond.scm 140 */
return 
(obj_t)(BgL_nodez00_1727);} } } } 
}



/* node-cond!-setq2719 */
obj_t BGl_nodezd2condz12zd2setq2719z12zzreduce_condz00(obj_t BgL_envz00_3274, obj_t BgL_nodez00_3275)
{ AN_OBJECT;
{ /* Reduce/cond.scm 126 */
{ 
BgL_setqz00_bglt BgL_nodez00_1717;
{ /* Reduce/cond.scm 127 */
BgL_setqz00_bglt BgL_auxz00_4187;
BgL_nodez00_1717 = 
(BgL_setqz00_bglt)(BgL_nodez00_3275); 
{ /* Reduce/cond.scm 128 */
BgL_nodez00_bglt BgL_arg2827z00_1721;
{ /* Reduce/cond.scm 128 */
BgL_nodez00_bglt BgL_arg2828z00_1722;
BgL_arg2828z00_1722 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1717))->BgL_valuez00); 
{ /* Reduce/cond.scm 128 */
BgL_nodez00_bglt BgL_res2915z00_2547;
{ /* Reduce/cond.scm 128 */
obj_t BgL_method2697z00_2522;
{ /* Reduce/cond.scm 128 */
long BgL_objzd2classzd2numz00_2524;
{ /* Reduce/cond.scm 128 */
BgL_objectz00_bglt BgL_auxz00_4189;
BgL_auxz00_4189 = 
(BgL_objectz00_bglt)(BgL_arg2828z00_1722); 
BgL_objzd2classzd2numz00_2524 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4189); } 
{ /* Reduce/cond.scm 128 */
obj_t BgL_arg1221z00_2525;
{ /* Reduce/cond.scm 128 */
int BgL_auxz00_4192;
BgL_auxz00_4192 = 
(int)(((long)1)); 
BgL_arg1221z00_2525 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4192); } 
{ /* Reduce/cond.scm 128 */
long BgL_offsetz00_2529;
{ /* Reduce/cond.scm 128 */
long BgL_auxz00_4195;
{ /* Reduce/cond.scm 128 */
int BgL_auxz00_4196;
BgL_auxz00_4196 = 
(int)(BgL_objzd2classzd2numz00_2524); 
BgL_auxz00_4195 = 
(long)(BgL_auxz00_4196); } 
BgL_offsetz00_2529 = 
(BgL_auxz00_4195-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 128 */
long BgL_modz00_2530;
{ /* Reduce/cond.scm 128 */
long BgL_auxz00_4200;
{ /* Reduce/cond.scm 128 */
int BgL_auxz00_4201;
BgL_auxz00_4201 = 
(int)(((long)8)); 
BgL_auxz00_4200 = 
(long)(BgL_auxz00_4201); } 
BgL_modz00_2530 = 
(BgL_offsetz00_2529/BgL_auxz00_4200); } 
{ /* Reduce/cond.scm 128 */
long BgL_restz00_2532;
{ /* Reduce/cond.scm 128 */
long BgL_auxz00_4205;
{ /* Reduce/cond.scm 128 */
int BgL_auxz00_4206;
BgL_auxz00_4206 = 
(int)(((long)8)); 
BgL_auxz00_4205 = 
(long)(BgL_auxz00_4206); } 
BgL_restz00_2532 = 
(BgL_offsetz00_2529%BgL_auxz00_4205); } 
{ /* Reduce/cond.scm 128 */

{ /* Reduce/cond.scm 128 */
obj_t BgL_bucketz00_2534;
{ /* Reduce/cond.scm 128 */
int BgL_kz00_2544;
BgL_kz00_2544 = 
(int)(BgL_modz00_2530); 
BgL_bucketz00_2534 = 
VECTOR_REF(BgL_arg1221z00_2525,BgL_kz00_2544); } 
{ /* Reduce/cond.scm 128 */
int BgL_kz00_2546;
BgL_kz00_2546 = 
(int)(BgL_restz00_2532); 
BgL_method2697z00_2522 = 
VECTOR_REF(BgL_bucketz00_2534,BgL_kz00_2546); } } } } } } } } 
{ /* Reduce/cond.scm 128 */
obj_t BgL_auxz00_4214;
BgL_auxz00_4214 = 
PROCEDURE_ENTRY(BgL_method2697z00_2522)(BgL_method2697z00_2522, 
(obj_t)(BgL_arg2828z00_1722), BEOA); 
BgL_res2915z00_2547 = 
(BgL_nodez00_bglt)(BgL_auxz00_4214); } } 
BgL_arg2827z00_1721 = BgL_res2915z00_2547; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1717))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2827z00_1721), BUNSPEC); } 
{ /* Reduce/cond.scm 129 */
BgL_nodez00_bglt BgL_arg2829z00_1723;
{ /* Reduce/cond.scm 129 */
BgL_nodez00_bglt BgL_res2918z00_2577;
{ /* Reduce/cond.scm 129 */
BgL_nodez00_bglt BgL_nodez00_2551;
{ /* Reduce/cond.scm 129 */
BgL_varz00_bglt BgL_auxz00_4220;
BgL_auxz00_4220 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1717))->BgL_varz00); 
BgL_nodez00_2551 = 
(BgL_nodez00_bglt)(BgL_auxz00_4220); } 
{ /* Reduce/cond.scm 129 */
obj_t BgL_method2697z00_2552;
{ /* Reduce/cond.scm 129 */
long BgL_objzd2classzd2numz00_2554;
{ /* Reduce/cond.scm 129 */
BgL_objectz00_bglt BgL_auxz00_4223;
BgL_auxz00_4223 = 
(BgL_objectz00_bglt)(BgL_nodez00_2551); 
BgL_objzd2classzd2numz00_2554 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4223); } 
{ /* Reduce/cond.scm 129 */
obj_t BgL_arg1221z00_2555;
{ /* Reduce/cond.scm 129 */
int BgL_auxz00_4226;
BgL_auxz00_4226 = 
(int)(((long)1)); 
BgL_arg1221z00_2555 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4226); } 
{ /* Reduce/cond.scm 129 */
long BgL_offsetz00_2559;
{ /* Reduce/cond.scm 129 */
long BgL_auxz00_4229;
{ /* Reduce/cond.scm 129 */
int BgL_auxz00_4230;
BgL_auxz00_4230 = 
(int)(BgL_objzd2classzd2numz00_2554); 
BgL_auxz00_4229 = 
(long)(BgL_auxz00_4230); } 
BgL_offsetz00_2559 = 
(BgL_auxz00_4229-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 129 */
long BgL_modz00_2560;
{ /* Reduce/cond.scm 129 */
long BgL_auxz00_4234;
{ /* Reduce/cond.scm 129 */
int BgL_auxz00_4235;
BgL_auxz00_4235 = 
(int)(((long)8)); 
BgL_auxz00_4234 = 
(long)(BgL_auxz00_4235); } 
BgL_modz00_2560 = 
(BgL_offsetz00_2559/BgL_auxz00_4234); } 
{ /* Reduce/cond.scm 129 */
long BgL_restz00_2562;
{ /* Reduce/cond.scm 129 */
long BgL_auxz00_4239;
{ /* Reduce/cond.scm 129 */
int BgL_auxz00_4240;
BgL_auxz00_4240 = 
(int)(((long)8)); 
BgL_auxz00_4239 = 
(long)(BgL_auxz00_4240); } 
BgL_restz00_2562 = 
(BgL_offsetz00_2559%BgL_auxz00_4239); } 
{ /* Reduce/cond.scm 129 */

{ /* Reduce/cond.scm 129 */
obj_t BgL_bucketz00_2564;
{ /* Reduce/cond.scm 129 */
int BgL_kz00_2574;
BgL_kz00_2574 = 
(int)(BgL_modz00_2560); 
BgL_bucketz00_2564 = 
VECTOR_REF(BgL_arg1221z00_2555,BgL_kz00_2574); } 
{ /* Reduce/cond.scm 129 */
int BgL_kz00_2576;
BgL_kz00_2576 = 
(int)(BgL_restz00_2562); 
BgL_method2697z00_2552 = 
VECTOR_REF(BgL_bucketz00_2564,BgL_kz00_2576); } } } } } } } } 
{ /* Reduce/cond.scm 129 */
obj_t BgL_auxz00_4248;
BgL_auxz00_4248 = 
PROCEDURE_ENTRY(BgL_method2697z00_2552)(BgL_method2697z00_2552, 
(obj_t)(BgL_nodez00_2551), BEOA); 
BgL_res2918z00_2577 = 
(BgL_nodez00_bglt)(BgL_auxz00_4248); } } } 
BgL_arg2829z00_1723 = BgL_res2918z00_2577; } 
{ /* Reduce/cond.scm 129 */
BgL_varz00_bglt BgL_val2271z00_2579;
BgL_val2271z00_2579 = 
(BgL_varz00_bglt)(BgL_arg2829z00_1723); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1717))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2271z00_2579), BUNSPEC); } } 
BgL_auxz00_4187 = BgL_nodez00_1717; 
return 
(obj_t)(BgL_auxz00_4187);} } } 
}



/* node-cond!-cast2717 */
obj_t BGl_nodezd2condz12zd2cast2717z12zzreduce_condz00(obj_t BgL_envz00_3276, obj_t BgL_nodez00_3277)
{ AN_OBJECT;
{ /* Reduce/cond.scm 118 */
{ 
BgL_castz00_bglt BgL_nodez00_1710;
{ /* Reduce/cond.scm 119 */
BgL_castz00_bglt BgL_auxz00_4257;
BgL_nodez00_1710 = 
(BgL_castz00_bglt)(BgL_nodez00_3277); 
{ /* Reduce/cond.scm 119 */
BgL_nodez00_bglt BgL_arg2825z00_2491;
BgL_arg2825z00_2491 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1710))->BgL_argz00); 
{ /* Reduce/cond.scm 119 */
BgL_nodez00_bglt BgL_res2912z00_2519;
{ /* Reduce/cond.scm 119 */
obj_t BgL_method2697z00_2494;
{ /* Reduce/cond.scm 119 */
long BgL_objzd2classzd2numz00_2496;
{ /* Reduce/cond.scm 119 */
BgL_objectz00_bglt BgL_auxz00_4259;
BgL_auxz00_4259 = 
(BgL_objectz00_bglt)(BgL_arg2825z00_2491); 
BgL_objzd2classzd2numz00_2496 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4259); } 
{ /* Reduce/cond.scm 119 */
obj_t BgL_arg1221z00_2497;
{ /* Reduce/cond.scm 119 */
int BgL_auxz00_4262;
BgL_auxz00_4262 = 
(int)(((long)1)); 
BgL_arg1221z00_2497 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4262); } 
{ /* Reduce/cond.scm 119 */
long BgL_offsetz00_2501;
{ /* Reduce/cond.scm 119 */
long BgL_auxz00_4265;
{ /* Reduce/cond.scm 119 */
int BgL_auxz00_4266;
BgL_auxz00_4266 = 
(int)(BgL_objzd2classzd2numz00_2496); 
BgL_auxz00_4265 = 
(long)(BgL_auxz00_4266); } 
BgL_offsetz00_2501 = 
(BgL_auxz00_4265-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 119 */
long BgL_modz00_2502;
{ /* Reduce/cond.scm 119 */
long BgL_auxz00_4270;
{ /* Reduce/cond.scm 119 */
int BgL_auxz00_4271;
BgL_auxz00_4271 = 
(int)(((long)8)); 
BgL_auxz00_4270 = 
(long)(BgL_auxz00_4271); } 
BgL_modz00_2502 = 
(BgL_offsetz00_2501/BgL_auxz00_4270); } 
{ /* Reduce/cond.scm 119 */
long BgL_restz00_2504;
{ /* Reduce/cond.scm 119 */
long BgL_auxz00_4275;
{ /* Reduce/cond.scm 119 */
int BgL_auxz00_4276;
BgL_auxz00_4276 = 
(int)(((long)8)); 
BgL_auxz00_4275 = 
(long)(BgL_auxz00_4276); } 
BgL_restz00_2504 = 
(BgL_offsetz00_2501%BgL_auxz00_4275); } 
{ /* Reduce/cond.scm 119 */

{ /* Reduce/cond.scm 119 */
obj_t BgL_bucketz00_2506;
{ /* Reduce/cond.scm 119 */
int BgL_kz00_2516;
BgL_kz00_2516 = 
(int)(BgL_modz00_2502); 
BgL_bucketz00_2506 = 
VECTOR_REF(BgL_arg1221z00_2497,BgL_kz00_2516); } 
{ /* Reduce/cond.scm 119 */
int BgL_kz00_2518;
BgL_kz00_2518 = 
(int)(BgL_restz00_2504); 
BgL_method2697z00_2494 = 
VECTOR_REF(BgL_bucketz00_2506,BgL_kz00_2518); } } } } } } } } 
{ /* Reduce/cond.scm 119 */
obj_t BgL_auxz00_4284;
BgL_auxz00_4284 = 
PROCEDURE_ENTRY(BgL_method2697z00_2494)(BgL_method2697z00_2494, 
(obj_t)(BgL_arg2825z00_2491), BEOA); 
BgL_res2912z00_2519 = 
(BgL_nodez00_bglt)(BgL_auxz00_4284); } } BgL_res2912z00_2519; } } 
BgL_auxz00_4257 = BgL_nodez00_1710; 
return 
(obj_t)(BgL_auxz00_4257);} } } 
}



/* node-cond!-extern2715 */
obj_t BGl_nodezd2condz12zd2extern2715z12zzreduce_condz00(obj_t BgL_envz00_3278, obj_t BgL_nodez00_3279)
{ AN_OBJECT;
{ /* Reduce/cond.scm 110 */
{ 
BgL_externz00_bglt BgL_nodez00_1703;
{ /* Reduce/cond.scm 111 */
BgL_externz00_bglt BgL_auxz00_4291;
BgL_nodez00_1703 = 
(BgL_externz00_bglt)(BgL_nodez00_3279); 
BGl_nodezd2condza2z12z62zzreduce_condz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1703))->BgL_exprza2za2)); 
BgL_auxz00_4291 = BgL_nodez00_1703; 
return 
(obj_t)(BgL_auxz00_4291);} } } 
}



/* node-cond!-funcall2713 */
obj_t BGl_nodezd2condz12zd2funcall2713z12zzreduce_condz00(obj_t BgL_envz00_3280, obj_t BgL_nodez00_3281)
{ AN_OBJECT;
{ /* Reduce/cond.scm 101 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1694;
{ /* Reduce/cond.scm 102 */
BgL_funcallz00_bglt BgL_auxz00_4296;
BgL_nodez00_1694 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3281); 
{ /* Reduce/cond.scm 103 */
BgL_nodez00_bglt BgL_arg2819z00_1698;
{ /* Reduce/cond.scm 103 */
BgL_nodez00_bglt BgL_arg2820z00_1699;
BgL_arg2820z00_1699 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1694))->BgL_funz00); 
{ /* Reduce/cond.scm 103 */
BgL_nodez00_bglt BgL_res2909z00_2483;
{ /* Reduce/cond.scm 103 */
obj_t BgL_method2697z00_2458;
{ /* Reduce/cond.scm 103 */
long BgL_objzd2classzd2numz00_2460;
{ /* Reduce/cond.scm 103 */
BgL_objectz00_bglt BgL_auxz00_4298;
BgL_auxz00_4298 = 
(BgL_objectz00_bglt)(BgL_arg2820z00_1699); 
BgL_objzd2classzd2numz00_2460 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4298); } 
{ /* Reduce/cond.scm 103 */
obj_t BgL_arg1221z00_2461;
{ /* Reduce/cond.scm 103 */
int BgL_auxz00_4301;
BgL_auxz00_4301 = 
(int)(((long)1)); 
BgL_arg1221z00_2461 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4301); } 
{ /* Reduce/cond.scm 103 */
long BgL_offsetz00_2465;
{ /* Reduce/cond.scm 103 */
long BgL_auxz00_4304;
{ /* Reduce/cond.scm 103 */
int BgL_auxz00_4305;
BgL_auxz00_4305 = 
(int)(BgL_objzd2classzd2numz00_2460); 
BgL_auxz00_4304 = 
(long)(BgL_auxz00_4305); } 
BgL_offsetz00_2465 = 
(BgL_auxz00_4304-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 103 */
long BgL_modz00_2466;
{ /* Reduce/cond.scm 103 */
long BgL_auxz00_4309;
{ /* Reduce/cond.scm 103 */
int BgL_auxz00_4310;
BgL_auxz00_4310 = 
(int)(((long)8)); 
BgL_auxz00_4309 = 
(long)(BgL_auxz00_4310); } 
BgL_modz00_2466 = 
(BgL_offsetz00_2465/BgL_auxz00_4309); } 
{ /* Reduce/cond.scm 103 */
long BgL_restz00_2468;
{ /* Reduce/cond.scm 103 */
long BgL_auxz00_4314;
{ /* Reduce/cond.scm 103 */
int BgL_auxz00_4315;
BgL_auxz00_4315 = 
(int)(((long)8)); 
BgL_auxz00_4314 = 
(long)(BgL_auxz00_4315); } 
BgL_restz00_2468 = 
(BgL_offsetz00_2465%BgL_auxz00_4314); } 
{ /* Reduce/cond.scm 103 */

{ /* Reduce/cond.scm 103 */
obj_t BgL_bucketz00_2470;
{ /* Reduce/cond.scm 103 */
int BgL_kz00_2480;
BgL_kz00_2480 = 
(int)(BgL_modz00_2466); 
BgL_bucketz00_2470 = 
VECTOR_REF(BgL_arg1221z00_2461,BgL_kz00_2480); } 
{ /* Reduce/cond.scm 103 */
int BgL_kz00_2482;
BgL_kz00_2482 = 
(int)(BgL_restz00_2468); 
BgL_method2697z00_2458 = 
VECTOR_REF(BgL_bucketz00_2470,BgL_kz00_2482); } } } } } } } } 
{ /* Reduce/cond.scm 103 */
obj_t BgL_auxz00_4323;
BgL_auxz00_4323 = 
PROCEDURE_ENTRY(BgL_method2697z00_2458)(BgL_method2697z00_2458, 
(obj_t)(BgL_arg2820z00_1699), BEOA); 
BgL_res2909z00_2483 = 
(BgL_nodez00_bglt)(BgL_auxz00_4323); } } 
BgL_arg2819z00_1698 = BgL_res2909z00_2483; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1694))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2819z00_1698), BUNSPEC); } 
BGl_nodezd2condza2z12z62zzreduce_condz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1694))->BgL_argsz00)); 
BgL_auxz00_4296 = BgL_nodez00_1694; 
return 
(obj_t)(BgL_auxz00_4296);} } } 
}



/* node-cond!-app-ly2711 */
obj_t BGl_nodezd2condz12zd2appzd2ly2711zc0zzreduce_condz00(obj_t BgL_envz00_3282, obj_t BgL_nodez00_3283)
{ AN_OBJECT;
{ /* Reduce/cond.scm 92 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1684;
{ /* Reduce/cond.scm 93 */
BgL_appzd2lyzd2_bglt BgL_auxz00_4333;
BgL_nodez00_1684 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3283); 
{ /* Reduce/cond.scm 94 */
BgL_nodez00_bglt BgL_arg2814z00_1688;
{ /* Reduce/cond.scm 94 */
BgL_nodez00_bglt BgL_arg2815z00_1689;
BgL_arg2815z00_1689 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1684))->BgL_funz00); 
{ /* Reduce/cond.scm 94 */
BgL_nodez00_bglt BgL_res2903z00_2423;
{ /* Reduce/cond.scm 94 */
obj_t BgL_method2697z00_2398;
{ /* Reduce/cond.scm 94 */
long BgL_objzd2classzd2numz00_2400;
{ /* Reduce/cond.scm 94 */
BgL_objectz00_bglt BgL_auxz00_4335;
BgL_auxz00_4335 = 
(BgL_objectz00_bglt)(BgL_arg2815z00_1689); 
BgL_objzd2classzd2numz00_2400 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4335); } 
{ /* Reduce/cond.scm 94 */
obj_t BgL_arg1221z00_2401;
{ /* Reduce/cond.scm 94 */
int BgL_auxz00_4338;
BgL_auxz00_4338 = 
(int)(((long)1)); 
BgL_arg1221z00_2401 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4338); } 
{ /* Reduce/cond.scm 94 */
long BgL_offsetz00_2405;
{ /* Reduce/cond.scm 94 */
long BgL_auxz00_4341;
{ /* Reduce/cond.scm 94 */
int BgL_auxz00_4342;
BgL_auxz00_4342 = 
(int)(BgL_objzd2classzd2numz00_2400); 
BgL_auxz00_4341 = 
(long)(BgL_auxz00_4342); } 
BgL_offsetz00_2405 = 
(BgL_auxz00_4341-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 94 */
long BgL_modz00_2406;
{ /* Reduce/cond.scm 94 */
long BgL_auxz00_4346;
{ /* Reduce/cond.scm 94 */
int BgL_auxz00_4347;
BgL_auxz00_4347 = 
(int)(((long)8)); 
BgL_auxz00_4346 = 
(long)(BgL_auxz00_4347); } 
BgL_modz00_2406 = 
(BgL_offsetz00_2405/BgL_auxz00_4346); } 
{ /* Reduce/cond.scm 94 */
long BgL_restz00_2408;
{ /* Reduce/cond.scm 94 */
long BgL_auxz00_4351;
{ /* Reduce/cond.scm 94 */
int BgL_auxz00_4352;
BgL_auxz00_4352 = 
(int)(((long)8)); 
BgL_auxz00_4351 = 
(long)(BgL_auxz00_4352); } 
BgL_restz00_2408 = 
(BgL_offsetz00_2405%BgL_auxz00_4351); } 
{ /* Reduce/cond.scm 94 */

{ /* Reduce/cond.scm 94 */
obj_t BgL_bucketz00_2410;
{ /* Reduce/cond.scm 94 */
int BgL_kz00_2420;
BgL_kz00_2420 = 
(int)(BgL_modz00_2406); 
BgL_bucketz00_2410 = 
VECTOR_REF(BgL_arg1221z00_2401,BgL_kz00_2420); } 
{ /* Reduce/cond.scm 94 */
int BgL_kz00_2422;
BgL_kz00_2422 = 
(int)(BgL_restz00_2408); 
BgL_method2697z00_2398 = 
VECTOR_REF(BgL_bucketz00_2410,BgL_kz00_2422); } } } } } } } } 
{ /* Reduce/cond.scm 94 */
obj_t BgL_auxz00_4360;
BgL_auxz00_4360 = 
PROCEDURE_ENTRY(BgL_method2697z00_2398)(BgL_method2697z00_2398, 
(obj_t)(BgL_arg2815z00_1689), BEOA); 
BgL_res2903z00_2423 = 
(BgL_nodez00_bglt)(BgL_auxz00_4360); } } 
BgL_arg2814z00_1688 = BgL_res2903z00_2423; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1684))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2814z00_1688), BUNSPEC); } 
{ /* Reduce/cond.scm 95 */
BgL_nodez00_bglt BgL_arg2816z00_1690;
{ /* Reduce/cond.scm 95 */
BgL_nodez00_bglt BgL_arg2817z00_1691;
BgL_arg2817z00_1691 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1684))->BgL_argz00); 
{ /* Reduce/cond.scm 95 */
BgL_nodez00_bglt BgL_res2906z00_2453;
{ /* Reduce/cond.scm 95 */
obj_t BgL_method2697z00_2428;
{ /* Reduce/cond.scm 95 */
long BgL_objzd2classzd2numz00_2430;
{ /* Reduce/cond.scm 95 */
BgL_objectz00_bglt BgL_auxz00_4367;
BgL_auxz00_4367 = 
(BgL_objectz00_bglt)(BgL_arg2817z00_1691); 
BgL_objzd2classzd2numz00_2430 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4367); } 
{ /* Reduce/cond.scm 95 */
obj_t BgL_arg1221z00_2431;
{ /* Reduce/cond.scm 95 */
int BgL_auxz00_4370;
BgL_auxz00_4370 = 
(int)(((long)1)); 
BgL_arg1221z00_2431 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4370); } 
{ /* Reduce/cond.scm 95 */
long BgL_offsetz00_2435;
{ /* Reduce/cond.scm 95 */
long BgL_auxz00_4373;
{ /* Reduce/cond.scm 95 */
int BgL_auxz00_4374;
BgL_auxz00_4374 = 
(int)(BgL_objzd2classzd2numz00_2430); 
BgL_auxz00_4373 = 
(long)(BgL_auxz00_4374); } 
BgL_offsetz00_2435 = 
(BgL_auxz00_4373-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 95 */
long BgL_modz00_2436;
{ /* Reduce/cond.scm 95 */
long BgL_auxz00_4378;
{ /* Reduce/cond.scm 95 */
int BgL_auxz00_4379;
BgL_auxz00_4379 = 
(int)(((long)8)); 
BgL_auxz00_4378 = 
(long)(BgL_auxz00_4379); } 
BgL_modz00_2436 = 
(BgL_offsetz00_2435/BgL_auxz00_4378); } 
{ /* Reduce/cond.scm 95 */
long BgL_restz00_2438;
{ /* Reduce/cond.scm 95 */
long BgL_auxz00_4383;
{ /* Reduce/cond.scm 95 */
int BgL_auxz00_4384;
BgL_auxz00_4384 = 
(int)(((long)8)); 
BgL_auxz00_4383 = 
(long)(BgL_auxz00_4384); } 
BgL_restz00_2438 = 
(BgL_offsetz00_2435%BgL_auxz00_4383); } 
{ /* Reduce/cond.scm 95 */

{ /* Reduce/cond.scm 95 */
obj_t BgL_bucketz00_2440;
{ /* Reduce/cond.scm 95 */
int BgL_kz00_2450;
BgL_kz00_2450 = 
(int)(BgL_modz00_2436); 
BgL_bucketz00_2440 = 
VECTOR_REF(BgL_arg1221z00_2431,BgL_kz00_2450); } 
{ /* Reduce/cond.scm 95 */
int BgL_kz00_2452;
BgL_kz00_2452 = 
(int)(BgL_restz00_2438); 
BgL_method2697z00_2428 = 
VECTOR_REF(BgL_bucketz00_2440,BgL_kz00_2452); } } } } } } } } 
{ /* Reduce/cond.scm 95 */
obj_t BgL_auxz00_4392;
BgL_auxz00_4392 = 
PROCEDURE_ENTRY(BgL_method2697z00_2428)(BgL_method2697z00_2428, 
(obj_t)(BgL_arg2817z00_1691), BEOA); 
BgL_res2906z00_2453 = 
(BgL_nodez00_bglt)(BgL_auxz00_4392); } } 
BgL_arg2816z00_1690 = BgL_res2906z00_2453; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1684))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2816z00_1690), BUNSPEC); } 
BgL_auxz00_4333 = BgL_nodez00_1684; 
return 
(obj_t)(BgL_auxz00_4333);} } } 
}



/* node-cond!-app2709 */
obj_t BGl_nodezd2condz12zd2app2709z12zzreduce_condz00(obj_t BgL_envz00_3284, obj_t BgL_nodez00_3285)
{ AN_OBJECT;
{ /* Reduce/cond.scm 84 */
{ 
BgL_appz00_bglt BgL_nodez00_1677;
{ /* Reduce/cond.scm 85 */
BgL_appz00_bglt BgL_auxz00_4400;
BgL_nodez00_1677 = 
(BgL_appz00_bglt)(BgL_nodez00_3285); 
BGl_nodezd2condza2z12z62zzreduce_condz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1677))->BgL_argsz00)); 
BgL_auxz00_4400 = BgL_nodez00_1677; 
return 
(obj_t)(BgL_auxz00_4400);} } } 
}



/* node-cond!-sequence2707 */
obj_t BGl_nodezd2condz12zd2sequence2707z12zzreduce_condz00(obj_t BgL_envz00_3286, obj_t BgL_nodez00_3287)
{ AN_OBJECT;
{ /* Reduce/cond.scm 76 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1670;
{ /* Reduce/cond.scm 77 */
BgL_sequencez00_bglt BgL_auxz00_4405;
BgL_nodez00_1670 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3287); 
BGl_nodezd2condza2z12z62zzreduce_condz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1670))->BgL_nodesz00)); 
BgL_auxz00_4405 = BgL_nodez00_1670; 
return 
(obj_t)(BgL_auxz00_4405);} } } 
}



/* node-cond!-closure2705 */
obj_t BGl_nodezd2condz12zd2closure2705z12zzreduce_condz00(obj_t BgL_envz00_3288, obj_t BgL_nodez00_3289)
{ AN_OBJECT;
{ /* Reduce/cond.scm 70 */
{ 
BgL_closurez00_bglt BgL_nodez00_1665;
{ /* Reduce/cond.scm 70 */
BgL_closurez00_bglt BgL_auxz00_4410;
BgL_nodez00_1665 = 
(BgL_closurez00_bglt)(BgL_nodez00_3289); 
BgL_auxz00_4410 = BgL_nodez00_1665; 
return 
(obj_t)(BgL_auxz00_4410);} } } 
}



/* node-cond!-var2703 */
obj_t BGl_nodezd2condz12zd2var2703z12zzreduce_condz00(obj_t BgL_envz00_3290, obj_t BgL_nodez00_3291)
{ AN_OBJECT;
{ /* Reduce/cond.scm 64 */
{ 
BgL_varz00_bglt BgL_nodez00_1660;
{ /* Reduce/cond.scm 64 */
BgL_varz00_bglt BgL_auxz00_4413;
BgL_nodez00_1660 = 
(BgL_varz00_bglt)(BgL_nodez00_3291); 
BgL_auxz00_4413 = BgL_nodez00_1660; 
return 
(obj_t)(BgL_auxz00_4413);} } } 
}



/* node-cond!-kwote2701 */
obj_t BGl_nodezd2condz12zd2kwote2701z12zzreduce_condz00(obj_t BgL_envz00_3292, obj_t BgL_nodez00_3293)
{ AN_OBJECT;
{ /* Reduce/cond.scm 58 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1655;
{ /* Reduce/cond.scm 58 */
BgL_kwotez00_bglt BgL_auxz00_4416;
BgL_nodez00_1655 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3293); 
BgL_auxz00_4416 = BgL_nodez00_1655; 
return 
(obj_t)(BgL_auxz00_4416);} } } 
}



/* node-cond!-atom2699 */
obj_t BGl_nodezd2condz12zd2atom2699z12zzreduce_condz00(obj_t BgL_envz00_3294, obj_t BgL_nodez00_3295)
{ AN_OBJECT;
{ /* Reduce/cond.scm 52 */
{ 
BgL_atomz00_bglt BgL_nodez00_1650;
{ /* Reduce/cond.scm 52 */
BgL_atomz00_bglt BgL_auxz00_4419;
BgL_nodez00_1650 = 
(BgL_atomz00_bglt)(BgL_nodez00_3295); 
BgL_auxz00_4419 = BgL_nodez00_1650; 
return 
(obj_t)(BgL_auxz00_4419);} } } 
}



/* node-cond! */
BgL_nodez00_bglt BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Reduce/cond.scm 47 */
{ /* Reduce/cond.scm 47 */
obj_t BgL_method2697z00_3201;
{ /* Reduce/cond.scm 47 */
long BgL_objzd2classzd2numz00_3203;
{ /* Reduce/cond.scm 47 */
BgL_objectz00_bglt BgL_auxz00_4422;
BgL_auxz00_4422 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_3203 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4422); } 
{ /* Reduce/cond.scm 47 */
obj_t BgL_arg1221z00_3204;
{ /* Reduce/cond.scm 47 */
int BgL_auxz00_4425;
BgL_auxz00_4425 = 
(int)(((long)1)); 
BgL_arg1221z00_3204 = 
PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BgL_auxz00_4425); } 
{ /* Reduce/cond.scm 47 */
long BgL_offsetz00_3208;
{ /* Reduce/cond.scm 47 */
long BgL_auxz00_4428;
{ /* Reduce/cond.scm 47 */
int BgL_auxz00_4429;
BgL_auxz00_4429 = 
(int)(BgL_objzd2classzd2numz00_3203); 
BgL_auxz00_4428 = 
(long)(BgL_auxz00_4429); } 
BgL_offsetz00_3208 = 
(BgL_auxz00_4428-OBJECT_TYPE); } 
{ /* Reduce/cond.scm 47 */
long BgL_modz00_3209;
{ /* Reduce/cond.scm 47 */
long BgL_auxz00_4433;
{ /* Reduce/cond.scm 47 */
int BgL_auxz00_4434;
BgL_auxz00_4434 = 
(int)(((long)8)); 
BgL_auxz00_4433 = 
(long)(BgL_auxz00_4434); } 
BgL_modz00_3209 = 
(BgL_offsetz00_3208/BgL_auxz00_4433); } 
{ /* Reduce/cond.scm 47 */
long BgL_restz00_3211;
{ /* Reduce/cond.scm 47 */
long BgL_auxz00_4438;
{ /* Reduce/cond.scm 47 */
int BgL_auxz00_4439;
BgL_auxz00_4439 = 
(int)(((long)8)); 
BgL_auxz00_4438 = 
(long)(BgL_auxz00_4439); } 
BgL_restz00_3211 = 
(BgL_offsetz00_3208%BgL_auxz00_4438); } 
{ /* Reduce/cond.scm 47 */

{ /* Reduce/cond.scm 47 */
obj_t BgL_bucketz00_3213;
{ /* Reduce/cond.scm 47 */
int BgL_kz00_3223;
BgL_kz00_3223 = 
(int)(BgL_modz00_3209); 
BgL_bucketz00_3213 = 
VECTOR_REF(BgL_arg1221z00_3204,BgL_kz00_3223); } 
{ /* Reduce/cond.scm 47 */
int BgL_kz00_3225;
BgL_kz00_3225 = 
(int)(BgL_restz00_3211); 
BgL_method2697z00_3201 = 
VECTOR_REF(BgL_bucketz00_3213,BgL_kz00_3225); } } } } } } } } 
{ /* Reduce/cond.scm 47 */
obj_t BgL_auxz00_4447;
BgL_auxz00_4447 = 
PROCEDURE_ENTRY(BgL_method2697z00_3201)(BgL_method2697z00_3201, 
(obj_t)(BgL_nodez00_2), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4447);} } } 
}



/* _node-cond! */
obj_t BGl__nodezd2condz12zc0zzreduce_condz00(obj_t BgL_envz00_3231, obj_t BgL_nodez00_3232)
{ AN_OBJECT;
{ /* Reduce/cond.scm 47 */
{ /* Reduce/cond.scm 47 */
BgL_nodez00_bglt BgL_auxz00_4452;
BgL_auxz00_4452 = 
BGl_nodezd2condz12zc0zzreduce_condz00(
(BgL_nodez00_bglt)(BgL_nodez00_3232)); 
return 
(obj_t)(BgL_auxz00_4452);} } 
}



/* node-cond!-default2696 */
BgL_nodez00_bglt BGl_nodezd2condz12zd2default2696z12zzreduce_condz00(BgL_nodez00_bglt BgL_nodez00_3)
{ AN_OBJECT;
{ /* Reduce/cond.scm 15 */
{ 
obj_t BgL_auxz00_4458;obj_t BgL_auxz00_4456;
BgL_auxz00_4458 = 
(obj_t)(BgL_nodez00_3); 
BgL_auxz00_4456 = 
CNST_TABLE_REF(((long)1)); 
FAILURE(BgL_auxz00_4456,BGl_string3004z00zzreduce_condz00,BgL_auxz00_4458);} } 
}



/* _node-cond!-default2696 */
obj_t BGl__nodezd2condz12zd2default2696z12zzreduce_condz00(obj_t BgL_envz00_3296, obj_t BgL_nodez00_3297)
{ AN_OBJECT;
{ /* Reduce/cond.scm 15 */
{ /* Reduce/cond.scm 15 */
BgL_nodez00_bglt BgL_auxz00_4461;
BgL_auxz00_4461 = 
BGl_nodezd2condz12zd2default2696z12zzreduce_condz00(
(BgL_nodez00_bglt)(BgL_nodez00_3297)); 
return 
(obj_t)(BgL_auxz00_4461);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00()
{ AN_OBJECT;
{ /* Reduce/cond.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "reduce_cond"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "reduce_cond"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "reduce_cond"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "reduce_cond"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "reduce_cond"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "reduce_cond"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "reduce_cond");} 
}

