/*===========================================================================*/
/*   (Reduce/copy.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzreduce_copyz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_nodezd2copyz12zd2fail2720z12zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2select2723z12zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2makezd2box2734zc0zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_kwotez00zzast_nodez00;
static BgL_nodez00_bglt BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt);
static obj_t BGl_nodezd2copyz12zd2sequence2706z12zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzreduce_copyz00();
static obj_t BGl_nodezd2copyz12zd2atom2698z12zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_nodezd2copyz12zd2boxzd2setz122736zd2zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2appzd2ly2708zc0zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2jumpzd2exzd2it2732z12zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nodezd2copyz12zd2funcall2710z12zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2var2702z12zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzreduce_copyz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_nodezd2copyz12zd2setq2716z12zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2letzd2fun2725zc0zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2setzd2exzd2it2730z12zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2closure2704z12zzreduce_copyz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_nodezd2copyz12zd2default2695z12zzreduce_copyz00(BgL_nodez00_bglt);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl__nodezd2copyz12zd2default2695z12zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2letzd2var2727zc0zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2extern2712z12zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd2copyz12zd2kwote2700z12zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl__reducezd2copyz12zc0zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t, BgL_nodez00_bglt);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_nodezd2copyz12zd2cast2714z12zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2conditional2718z12zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t);
static obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzreduce_copyz00 = BUNSPEC;
static obj_t BGl__nodezd2copyz12zc0zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_nodezd2copyz12zd2app2740z12zzreduce_copyz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
static long BGl_za2copyzd2removedza2zd2zzreduce_copyz00;
static obj_t BGl_nodezd2copyz12zd2boxzd2ref2738zc0zzreduce_copyz00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 3 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc3004z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2atom2698za712za7za7reduce_copyza7003031za7, BGl_nodezd2copyz12zd2atom2698z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3005z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2kwote2700za712za7za7reduce_copyza7003032za7, BGl_nodezd2copyz12zd2kwote2700z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3006z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2var2702za712za7za7reduce_copyza7003033za7, BGl_nodezd2copyz12zd2var2702z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3007z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2closure2704za712za7za7reduce_copyza7003034za7, BGl_nodezd2copyz12zd2closure2704z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3008z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2sequence2706za712za7za7reduce_copyza7003035za7, BGl_nodezd2copyz12zd2sequence2706z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3010z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2funcall2710za712za7za7reduce_copyza7003036za7, BGl_nodezd2copyz12zd2funcall2710z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3009z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2appza7d2ly2708za7c0za7za7reduce_copyza7003037z00, BGl_nodezd2copyz12zd2appzd2ly2708zc0zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3011z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2extern2712za712za7za7reduce_copyza7003038za7, BGl_nodezd2copyz12zd2extern2712z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3012z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2cast2714za712za7za7reduce_copyza7003039za7, BGl_nodezd2copyz12zd2cast2714z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3013z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2setq2716za712za7za7reduce_copyza7003040za7, BGl_nodezd2copyz12zd2setq2716z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3014z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2conditional2718za712za7za7reduce_copyza7003041za7, BGl_nodezd2copyz12zd2conditional2718z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3015z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2fail2720za712za7za7reduce_copyza7003042za7, BGl_nodezd2copyz12zd2fail2720z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3016z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2select2723za712za7za7reduce_copyza7003043za7, BGl_nodezd2copyz12zd2select2723z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3017z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2letza7d2fun2725za7c0za7za7reduce_copyza7003044z00, BGl_nodezd2copyz12zd2letzd2fun2725zc0zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3018z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2letza7d2var2727za7c0za7za7reduce_copyza7003045z00, BGl_nodezd2copyz12zd2letzd2var2727zc0zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3020z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2jumpza7d2exza7d2it2732za712za7za7reduce_copyza7003046za7, BGl_nodezd2copyz12zd2jumpzd2exzd2it2732z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3019z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2setza7d2exza7d2it2730za712za7za7reduce_copyza7003047za7, BGl_nodezd2copyz12zd2setzd2exzd2it2730z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3021z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2makeza7d2box2734za7c0za7za7reduce_copyza7003048z00, BGl_nodezd2copyz12zd2makezd2box2734zc0zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3022z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2boxza7d2setza7122736za7d2za7za7reduce_copyza7003049za7, BGl_nodezd2copyz12zd2boxzd2setz122736zd2zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3023z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2boxza7d2ref2738za7c0za7za7reduce_copyza7003050z00, BGl_nodezd2copyz12zd2boxzd2ref2738zc0zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3024z00zzreduce_copyz00, BgL_bgl_nodeza7d2copyza712za7d2app2740za712za7za7reduce_copyza7003051za7, BGl_nodezd2copyz12zd2app2740z12zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2copyz12zd2default2695zd2envzc0zzreduce_copyz00, BgL_bgl__nodeza7d2copyza712za7d2default2695za712za7za7reduce_copyza7003052za7, BGl__nodezd2copyz12zd2default2695z12zzreduce_copyz00, 0L, 1 );
DEFINE_STRING( BGl_string3026z00zzreduce_copyz00, BgL_bgl_string3026za700za7za7reduce_copyza7003053z00, "node-copy!-default2695 read done ", 33 );
DEFINE_STRING( BGl_string3025z00zzreduce_copyz00, BgL_bgl_string3025za700za7za7reduce_copyza7003054z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3003z00zzreduce_copyz00, BgL_bgl_string3003za700za7za7reduce_copyza7003055z00, "(removed : ", 11 );
DEFINE_STRING( BGl_string3002z00zzreduce_copyz00, BgL_bgl_string3002za700za7za7reduce_copyza7003056z00, "      copy propagation       ", 29 );
DEFINE_EXPORT_PROCEDURE( BGl_reducezd2copyz12zd2envz12zzreduce_copyz00, BgL_bgl__reduceza7d2copyza712za7c0za7za7reduce_copyza7003057z00, BGl__reducezd2copyz12zc0zzreduce_copyz00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_bgl__nodeza7d2copyza712za7c0za7za7reduce_copyza7003058z00, BGl__nodezd2copyz12zc0zzreduce_copyz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long BgL_checksumz00_3391, char * BgL_fromz00_3392)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzreduce_copyz00))
{ 
BGl_requirezd2initializa7ationz75zzreduce_copyz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzreduce_copyz00(); 
BGl_cnstzd2initzd2zzreduce_copyz00(); 
BGl_importedzd2moduleszd2initz00zzreduce_copyz00(); 
BGl_methodzd2initzd2zzreduce_copyz00(); 
BGl_toplevelzd2initzd2zzreduce_copyz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00()
{ AN_OBJECT;
{ /* Reduce/copy.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "reduce_copy"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzreduce_copyz00()
{ AN_OBJECT;
{ /* Reduce/copy.scm 15 */
{ /* Reduce/copy.scm 15 */
obj_t BgL_cportz00_3384;
BgL_cportz00_3384 = 
open_input_string(BGl_string3026z00zzreduce_copyz00); 
{ 
long BgL_iz00_3385;
BgL_iz00_3385 = ((long)2); 
BgL_loopz00_3386:
if(
(BgL_iz00_3385==((long)-1)))
{ /* Reduce/copy.scm 15 */
return BUNSPEC;}  else 
{ /* Reduce/copy.scm 15 */
{ /* Reduce/copy.scm 15 */
obj_t BgL_arg3028z00_3388;
{ /* Reduce/copy.scm 15 */
obj_t BgL_list3029z00_3389;
BgL_list3029z00_3389 = 
MAKE_PAIR(BgL_cportz00_3384, BNIL); 
BgL_arg3028z00_3388 = 
BGl_readz00zz__readerz00(BgL_list3029z00_3389); } 
{ /* Reduce/copy.scm 15 */
int BgL_auxz00_3408;
BgL_auxz00_3408 = 
(int)(BgL_iz00_3385); 
CNST_TABLE_SET(BgL_auxz00_3408, BgL_arg3028z00_3388); } } 
{ 
long BgL_iz00_3411;
{ /* Reduce/copy.scm 15 */
int BgL_auxz00_3412;
{ /* Reduce/copy.scm 15 */
long BgL_auxz00_3413;
BgL_auxz00_3413 = 
(BgL_iz00_3385-((long)1)); 
BgL_auxz00_3412 = 
(int)(BgL_auxz00_3413); } 
BgL_iz00_3411 = 
(long)(BgL_auxz00_3412); } 
BgL_iz00_3385 = BgL_iz00_3411; 
goto BgL_loopz00_3386;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzreduce_copyz00()
{ AN_OBJECT;
{ /* Reduce/copy.scm 15 */
BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long)0); 
return BUNSPEC;} 
}



/* reduce-copy! */
obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Reduce/copy.scm 34 */
{ /* Reduce/copy.scm 35 */
obj_t BgL_list2741z00_1245;
BgL_list2741z00_1245 = 
MAKE_PAIR(BGl_string3002z00zzreduce_copyz00, BNIL); 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2741z00_1245); } 
BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long)0); 
{ 
obj_t BgL_l2654z00_1246;
BgL_l2654z00_1246 = BgL_globalsz00_1; 
BgL_lname2655z00_1247:
if(
PAIRP(BgL_l2654z00_1246))
{ /* Reduce/copy.scm 37 */
{ /* Reduce/copy.scm 38 */
BgL_valuez00_bglt BgL_funz00_1250;
{ /* Reduce/copy.scm 38 */
BgL_globalz00_bglt BgL_obj1155z00_1874;
{ /* Reduce/copy.scm 38 */
obj_t BgL_auxz00_3422;
BgL_auxz00_3422 = 
CAR(BgL_l2654z00_1246); 
BgL_obj1155z00_1874 = 
(BgL_globalz00_bglt)(BgL_auxz00_3422); } 
BgL_funz00_1250 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1874))->BgL_valuez00); } 
{ /* Reduce/copy.scm 39 */

{ /* Reduce/copy.scm 40 */
BgL_nodez00_bglt BgL_arg2743z00_1252;
{ /* Reduce/copy.scm 40 */
BgL_nodez00_bglt BgL_res2912z00_1902;
{ /* Reduce/copy.scm 40 */
BgL_nodez00_bglt BgL_nodez00_1876;
{ /* Reduce/copy.scm 40 */
obj_t BgL_auxz00_3426;
{ /* Reduce/copy.scm 39 */
BgL_sfunz00_bglt BgL_obj1372z00_1875;
BgL_obj1372z00_1875 = 
(BgL_sfunz00_bglt)(BgL_funz00_1250); 
BgL_auxz00_3426 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_1875))->BgL_bodyz00); } 
BgL_nodez00_1876 = 
(BgL_nodez00_bglt)(BgL_auxz00_3426); } 
{ /* Reduce/copy.scm 40 */
obj_t BgL_method2696z00_1877;
{ /* Reduce/copy.scm 40 */
long BgL_objzd2classzd2numz00_1879;
{ /* Reduce/copy.scm 40 */
BgL_objectz00_bglt BgL_auxz00_3430;
BgL_auxz00_3430 = 
(BgL_objectz00_bglt)(BgL_nodez00_1876); 
BgL_objzd2classzd2numz00_1879 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3430); } 
{ /* Reduce/copy.scm 40 */
obj_t BgL_arg1221z00_1880;
{ /* Reduce/copy.scm 40 */
int BgL_auxz00_3433;
BgL_auxz00_3433 = 
(int)(((long)1)); 
BgL_arg1221z00_1880 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3433); } 
{ /* Reduce/copy.scm 40 */
long BgL_offsetz00_1884;
{ /* Reduce/copy.scm 40 */
long BgL_auxz00_3436;
{ /* Reduce/copy.scm 40 */
int BgL_auxz00_3437;
BgL_auxz00_3437 = 
(int)(BgL_objzd2classzd2numz00_1879); 
BgL_auxz00_3436 = 
(long)(BgL_auxz00_3437); } 
BgL_offsetz00_1884 = 
(BgL_auxz00_3436-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 40 */
long BgL_modz00_1885;
{ /* Reduce/copy.scm 40 */
long BgL_auxz00_3441;
{ /* Reduce/copy.scm 40 */
int BgL_auxz00_3442;
BgL_auxz00_3442 = 
(int)(((long)8)); 
BgL_auxz00_3441 = 
(long)(BgL_auxz00_3442); } 
BgL_modz00_1885 = 
(BgL_offsetz00_1884/BgL_auxz00_3441); } 
{ /* Reduce/copy.scm 40 */
long BgL_restz00_1887;
{ /* Reduce/copy.scm 40 */
long BgL_auxz00_3446;
{ /* Reduce/copy.scm 40 */
int BgL_auxz00_3447;
BgL_auxz00_3447 = 
(int)(((long)8)); 
BgL_auxz00_3446 = 
(long)(BgL_auxz00_3447); } 
BgL_restz00_1887 = 
(BgL_offsetz00_1884%BgL_auxz00_3446); } 
{ /* Reduce/copy.scm 40 */

{ /* Reduce/copy.scm 40 */
obj_t BgL_bucketz00_1889;
{ /* Reduce/copy.scm 40 */
int BgL_kz00_1899;
BgL_kz00_1899 = 
(int)(BgL_modz00_1885); 
BgL_bucketz00_1889 = 
VECTOR_REF(BgL_arg1221z00_1880,BgL_kz00_1899); } 
{ /* Reduce/copy.scm 40 */
int BgL_kz00_1901;
BgL_kz00_1901 = 
(int)(BgL_restz00_1887); 
BgL_method2696z00_1877 = 
VECTOR_REF(BgL_bucketz00_1889,BgL_kz00_1901); } } } } } } } } 
{ /* Reduce/copy.scm 40 */
obj_t BgL_auxz00_3455;
BgL_auxz00_3455 = 
PROCEDURE_ENTRY(BgL_method2696z00_1877)(BgL_method2696z00_1877, 
(obj_t)(BgL_nodez00_1876), BEOA); 
BgL_res2912z00_1902 = 
(BgL_nodez00_bglt)(BgL_auxz00_3455); } } } 
BgL_arg2743z00_1252 = BgL_res2912z00_1902; } 
{ /* Reduce/copy.scm 40 */
BgL_sfunz00_bglt BgL_obj1374z00_1903;obj_t BgL_val1373z00_1904;
BgL_obj1374z00_1903 = 
(BgL_sfunz00_bglt)(BgL_funz00_1250); 
BgL_val1373z00_1904 = 
(obj_t)(BgL_arg2743z00_1252); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_1903))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_1904), BUNSPEC); } } BUNSPEC; } } 
{ 
obj_t BgL_l2654z00_3463;
BgL_l2654z00_3463 = 
CDR(BgL_l2654z00_1246); 
BgL_l2654z00_1246 = BgL_l2654z00_3463; 
goto BgL_lname2655z00_1247;} }  else 
{ /* Reduce/copy.scm 37 */((bool_t)1); } } 
{ /* Reduce/copy.scm 43 */
obj_t BgL_list2745z00_1254;
{ /* Reduce/copy.scm 43 */
obj_t BgL_arg2747z00_1256;
{ /* Reduce/copy.scm 43 */
obj_t BgL_arg2748z00_1257;
{ /* Reduce/copy.scm 43 */
obj_t BgL_arg2749z00_1258;
{ /* Reduce/copy.scm 43 */
obj_t BgL_auxz00_3465;
BgL_auxz00_3465 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2749z00_1258 = 
MAKE_PAIR(BgL_auxz00_3465, BNIL); } 
{ /* Reduce/copy.scm 43 */
obj_t BgL_auxz00_3468;
BgL_auxz00_3468 = 
BCHAR(((unsigned char)')')); 
BgL_arg2748z00_1257 = 
MAKE_PAIR(BgL_auxz00_3468, BgL_arg2749z00_1258); } } 
{ /* Reduce/copy.scm 43 */
obj_t BgL_auxz00_3471;
BgL_auxz00_3471 = 
BINT(BGl_za2copyzd2removedza2zd2zzreduce_copyz00); 
BgL_arg2747z00_1256 = 
MAKE_PAIR(BgL_auxz00_3471, BgL_arg2748z00_1257); } } 
BgL_list2745z00_1254 = 
MAKE_PAIR(BGl_string3003z00zzreduce_copyz00, BgL_arg2747z00_1256); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2745z00_1254); } 
return BgL_globalsz00_1;} 
}



/* _reduce-copy! */
obj_t BGl__reducezd2copyz12zc0zzreduce_copyz00(obj_t BgL_envz00_3315, obj_t BgL_globalsz00_3316)
{ AN_OBJECT;
{ /* Reduce/copy.scm 34 */
return 
BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_3316);} 
}



/* node-copy*! */
obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t BgL_nodeza2za2_25)
{ AN_OBJECT;
{ /* Reduce/copy.scm 272 */
{ 
obj_t BgL_nodeza2za2_1259;
BgL_nodeza2za2_1259 = BgL_nodeza2za2_25; 
BgL_loopz00_1260:
if(
NULLP(BgL_nodeza2za2_1259))
{ /* Reduce/copy.scm 274 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Reduce/copy.scm 274 */
{ /* Reduce/copy.scm 277 */
BgL_nodez00_bglt BgL_arg2751z00_1262;
{ /* Reduce/copy.scm 277 */
BgL_nodez00_bglt BgL_res2915z00_1934;
{ /* Reduce/copy.scm 277 */
BgL_nodez00_bglt BgL_nodez00_1908;
{ /* Reduce/copy.scm 277 */
obj_t BgL_auxz00_3481;
BgL_auxz00_3481 = 
CAR(BgL_nodeza2za2_1259); 
BgL_nodez00_1908 = 
(BgL_nodez00_bglt)(BgL_auxz00_3481); } 
{ /* Reduce/copy.scm 277 */
obj_t BgL_method2696z00_1909;
{ /* Reduce/copy.scm 277 */
long BgL_objzd2classzd2numz00_1911;
{ /* Reduce/copy.scm 277 */
BgL_objectz00_bglt BgL_auxz00_3484;
BgL_auxz00_3484 = 
(BgL_objectz00_bglt)(BgL_nodez00_1908); 
BgL_objzd2classzd2numz00_1911 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3484); } 
{ /* Reduce/copy.scm 277 */
obj_t BgL_arg1221z00_1912;
{ /* Reduce/copy.scm 277 */
int BgL_auxz00_3487;
BgL_auxz00_3487 = 
(int)(((long)1)); 
BgL_arg1221z00_1912 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3487); } 
{ /* Reduce/copy.scm 277 */
long BgL_offsetz00_1916;
{ /* Reduce/copy.scm 277 */
long BgL_auxz00_3490;
{ /* Reduce/copy.scm 277 */
int BgL_auxz00_3491;
BgL_auxz00_3491 = 
(int)(BgL_objzd2classzd2numz00_1911); 
BgL_auxz00_3490 = 
(long)(BgL_auxz00_3491); } 
BgL_offsetz00_1916 = 
(BgL_auxz00_3490-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 277 */
long BgL_modz00_1917;
{ /* Reduce/copy.scm 277 */
long BgL_auxz00_3495;
{ /* Reduce/copy.scm 277 */
int BgL_auxz00_3496;
BgL_auxz00_3496 = 
(int)(((long)8)); 
BgL_auxz00_3495 = 
(long)(BgL_auxz00_3496); } 
BgL_modz00_1917 = 
(BgL_offsetz00_1916/BgL_auxz00_3495); } 
{ /* Reduce/copy.scm 277 */
long BgL_restz00_1919;
{ /* Reduce/copy.scm 277 */
long BgL_auxz00_3500;
{ /* Reduce/copy.scm 277 */
int BgL_auxz00_3501;
BgL_auxz00_3501 = 
(int)(((long)8)); 
BgL_auxz00_3500 = 
(long)(BgL_auxz00_3501); } 
BgL_restz00_1919 = 
(BgL_offsetz00_1916%BgL_auxz00_3500); } 
{ /* Reduce/copy.scm 277 */

{ /* Reduce/copy.scm 277 */
obj_t BgL_bucketz00_1921;
{ /* Reduce/copy.scm 277 */
int BgL_kz00_1931;
BgL_kz00_1931 = 
(int)(BgL_modz00_1917); 
BgL_bucketz00_1921 = 
VECTOR_REF(BgL_arg1221z00_1912,BgL_kz00_1931); } 
{ /* Reduce/copy.scm 277 */
int BgL_kz00_1933;
BgL_kz00_1933 = 
(int)(BgL_restz00_1919); 
BgL_method2696z00_1909 = 
VECTOR_REF(BgL_bucketz00_1921,BgL_kz00_1933); } } } } } } } } 
{ /* Reduce/copy.scm 277 */
obj_t BgL_auxz00_3509;
BgL_auxz00_3509 = 
PROCEDURE_ENTRY(BgL_method2696z00_1909)(BgL_method2696z00_1909, 
(obj_t)(BgL_nodez00_1908), BEOA); 
BgL_res2915z00_1934 = 
(BgL_nodez00_bglt)(BgL_auxz00_3509); } } } 
BgL_arg2751z00_1262 = BgL_res2915z00_1934; } 
{ /* Reduce/copy.scm 277 */
obj_t BgL_auxz00_3514;
BgL_auxz00_3514 = 
(obj_t)(BgL_arg2751z00_1262); 
SET_CAR(BgL_nodeza2za2_1259, BgL_auxz00_3514); } } 
{ 
obj_t BgL_nodeza2za2_3517;
BgL_nodeza2za2_3517 = 
CDR(BgL_nodeza2za2_1259); 
BgL_nodeza2za2_1259 = BgL_nodeza2za2_3517; 
goto BgL_loopz00_1260;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzreduce_copyz00()
{ AN_OBJECT;
{ /* Reduce/copy.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_nodezd2copyz12zd2default2695zd2envzc0zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_atomz00zzast_nodez00, BGl_proc3004z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_kwotez00zzast_nodez00, BGl_proc3005z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_varz00zzast_nodez00, BGl_proc3006z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_closurez00zzast_nodez00, BGl_proc3007z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_sequencez00zzast_nodez00, BGl_proc3008z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3009z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_funcallz00zzast_nodez00, BGl_proc3010z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_externz00zzast_nodez00, BGl_proc3011z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_castz00zzast_nodez00, BGl_proc3012z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_setqz00zzast_nodez00, BGl_proc3013z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_conditionalz00zzast_nodez00, BGl_proc3014z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_failz00zzast_nodez00, BGl_proc3015z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_selectz00zzast_nodez00, BGl_proc3016z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3017z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3018z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3019z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3020z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3021z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3022z00zzreduce_copyz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3023z00zzreduce_copyz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_appz00zzast_nodez00, BGl_proc3024z00zzreduce_copyz00);} 
}



/* node-copy!-app2740 */
obj_t BGl_nodezd2copyz12zd2app2740z12zzreduce_copyz00(obj_t BgL_envz00_3340, obj_t BgL_nodez00_3341)
{ AN_OBJECT;
{ /* Reduce/copy.scm 264 */
{ 
BgL_appz00_bglt BgL_nodez00_1864;
{ /* Reduce/copy.scm 265 */
BgL_appz00_bglt BgL_auxz00_3541;
BgL_nodez00_1864 = 
(BgL_appz00_bglt)(BgL_nodez00_3341); 
BGl_nodezd2copyza2z12z62zzreduce_copyz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1864))->BgL_argsz00)); 
BgL_auxz00_3541 = BgL_nodez00_1864; 
return 
(obj_t)(BgL_auxz00_3541);} } } 
}



/* node-copy!-box-ref2738 */
obj_t BGl_nodezd2copyz12zd2boxzd2ref2738zc0zzreduce_copyz00(obj_t BgL_envz00_3342, obj_t BgL_nodez00_3343)
{ AN_OBJECT;
{ /* Reduce/copy.scm 256 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1856;
{ /* Reduce/copy.scm 257 */
BgL_boxzd2refzd2_bglt BgL_auxz00_3546;
BgL_nodez00_1856 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3343); 
{ /* Reduce/copy.scm 258 */
BgL_nodez00_bglt BgL_arg2905z00_1860;
{ /* Reduce/copy.scm 258 */
BgL_nodez00_bglt BgL_res2999z00_3281;
{ /* Reduce/copy.scm 258 */
BgL_nodez00_bglt BgL_nodez00_3255;
{ /* Reduce/copy.scm 258 */
BgL_varz00_bglt BgL_auxz00_3547;
BgL_auxz00_3547 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1856))->BgL_varz00); 
BgL_nodez00_3255 = 
(BgL_nodez00_bglt)(BgL_auxz00_3547); } 
{ /* Reduce/copy.scm 258 */
obj_t BgL_method2696z00_3256;
{ /* Reduce/copy.scm 258 */
long BgL_objzd2classzd2numz00_3258;
{ /* Reduce/copy.scm 258 */
BgL_objectz00_bglt BgL_auxz00_3550;
BgL_auxz00_3550 = 
(BgL_objectz00_bglt)(BgL_nodez00_3255); 
BgL_objzd2classzd2numz00_3258 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3550); } 
{ /* Reduce/copy.scm 258 */
obj_t BgL_arg1221z00_3259;
{ /* Reduce/copy.scm 258 */
int BgL_auxz00_3553;
BgL_auxz00_3553 = 
(int)(((long)1)); 
BgL_arg1221z00_3259 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3553); } 
{ /* Reduce/copy.scm 258 */
long BgL_offsetz00_3263;
{ /* Reduce/copy.scm 258 */
long BgL_auxz00_3556;
{ /* Reduce/copy.scm 258 */
int BgL_auxz00_3557;
BgL_auxz00_3557 = 
(int)(BgL_objzd2classzd2numz00_3258); 
BgL_auxz00_3556 = 
(long)(BgL_auxz00_3557); } 
BgL_offsetz00_3263 = 
(BgL_auxz00_3556-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 258 */
long BgL_modz00_3264;
{ /* Reduce/copy.scm 258 */
long BgL_auxz00_3561;
{ /* Reduce/copy.scm 258 */
int BgL_auxz00_3562;
BgL_auxz00_3562 = 
(int)(((long)8)); 
BgL_auxz00_3561 = 
(long)(BgL_auxz00_3562); } 
BgL_modz00_3264 = 
(BgL_offsetz00_3263/BgL_auxz00_3561); } 
{ /* Reduce/copy.scm 258 */
long BgL_restz00_3266;
{ /* Reduce/copy.scm 258 */
long BgL_auxz00_3566;
{ /* Reduce/copy.scm 258 */
int BgL_auxz00_3567;
BgL_auxz00_3567 = 
(int)(((long)8)); 
BgL_auxz00_3566 = 
(long)(BgL_auxz00_3567); } 
BgL_restz00_3266 = 
(BgL_offsetz00_3263%BgL_auxz00_3566); } 
{ /* Reduce/copy.scm 258 */

{ /* Reduce/copy.scm 258 */
obj_t BgL_bucketz00_3268;
{ /* Reduce/copy.scm 258 */
int BgL_kz00_3278;
BgL_kz00_3278 = 
(int)(BgL_modz00_3264); 
BgL_bucketz00_3268 = 
VECTOR_REF(BgL_arg1221z00_3259,BgL_kz00_3278); } 
{ /* Reduce/copy.scm 258 */
int BgL_kz00_3280;
BgL_kz00_3280 = 
(int)(BgL_restz00_3266); 
BgL_method2696z00_3256 = 
VECTOR_REF(BgL_bucketz00_3268,BgL_kz00_3280); } } } } } } } } 
{ /* Reduce/copy.scm 258 */
obj_t BgL_auxz00_3575;
BgL_auxz00_3575 = 
PROCEDURE_ENTRY(BgL_method2696z00_3256)(BgL_method2696z00_3256, 
(obj_t)(BgL_nodez00_3255), BEOA); 
BgL_res2999z00_3281 = 
(BgL_nodez00_bglt)(BgL_auxz00_3575); } } } 
BgL_arg2905z00_1860 = BgL_res2999z00_3281; } 
{ /* Reduce/copy.scm 258 */
BgL_varz00_bglt BgL_val2603z00_3283;
BgL_val2603z00_3283 = 
(BgL_varz00_bglt)(BgL_arg2905z00_1860); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_1856))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2603z00_3283), BUNSPEC); } } 
BgL_auxz00_3546 = BgL_nodez00_1856; 
return 
(obj_t)(BgL_auxz00_3546);} } } 
}



/* node-copy!-box-set!2736 */
obj_t BGl_nodezd2copyz12zd2boxzd2setz122736zd2zzreduce_copyz00(obj_t BgL_envz00_3344, obj_t BgL_nodez00_3345)
{ AN_OBJECT;
{ /* Reduce/copy.scm 247 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1846;
{ /* Reduce/copy.scm 248 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_3584;
BgL_nodez00_1846 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3345); 
{ /* Reduce/copy.scm 249 */
BgL_nodez00_bglt BgL_arg2900z00_1850;
{ /* Reduce/copy.scm 249 */
BgL_nodez00_bglt BgL_res2993z00_3221;
{ /* Reduce/copy.scm 249 */
BgL_nodez00_bglt BgL_nodez00_3195;
{ /* Reduce/copy.scm 249 */
BgL_varz00_bglt BgL_auxz00_3585;
BgL_auxz00_3585 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1846))->BgL_varz00); 
BgL_nodez00_3195 = 
(BgL_nodez00_bglt)(BgL_auxz00_3585); } 
{ /* Reduce/copy.scm 249 */
obj_t BgL_method2696z00_3196;
{ /* Reduce/copy.scm 249 */
long BgL_objzd2classzd2numz00_3198;
{ /* Reduce/copy.scm 249 */
BgL_objectz00_bglt BgL_auxz00_3588;
BgL_auxz00_3588 = 
(BgL_objectz00_bglt)(BgL_nodez00_3195); 
BgL_objzd2classzd2numz00_3198 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3588); } 
{ /* Reduce/copy.scm 249 */
obj_t BgL_arg1221z00_3199;
{ /* Reduce/copy.scm 249 */
int BgL_auxz00_3591;
BgL_auxz00_3591 = 
(int)(((long)1)); 
BgL_arg1221z00_3199 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3591); } 
{ /* Reduce/copy.scm 249 */
long BgL_offsetz00_3203;
{ /* Reduce/copy.scm 249 */
long BgL_auxz00_3594;
{ /* Reduce/copy.scm 249 */
int BgL_auxz00_3595;
BgL_auxz00_3595 = 
(int)(BgL_objzd2classzd2numz00_3198); 
BgL_auxz00_3594 = 
(long)(BgL_auxz00_3595); } 
BgL_offsetz00_3203 = 
(BgL_auxz00_3594-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 249 */
long BgL_modz00_3204;
{ /* Reduce/copy.scm 249 */
long BgL_auxz00_3599;
{ /* Reduce/copy.scm 249 */
int BgL_auxz00_3600;
BgL_auxz00_3600 = 
(int)(((long)8)); 
BgL_auxz00_3599 = 
(long)(BgL_auxz00_3600); } 
BgL_modz00_3204 = 
(BgL_offsetz00_3203/BgL_auxz00_3599); } 
{ /* Reduce/copy.scm 249 */
long BgL_restz00_3206;
{ /* Reduce/copy.scm 249 */
long BgL_auxz00_3604;
{ /* Reduce/copy.scm 249 */
int BgL_auxz00_3605;
BgL_auxz00_3605 = 
(int)(((long)8)); 
BgL_auxz00_3604 = 
(long)(BgL_auxz00_3605); } 
BgL_restz00_3206 = 
(BgL_offsetz00_3203%BgL_auxz00_3604); } 
{ /* Reduce/copy.scm 249 */

{ /* Reduce/copy.scm 249 */
obj_t BgL_bucketz00_3208;
{ /* Reduce/copy.scm 249 */
int BgL_kz00_3218;
BgL_kz00_3218 = 
(int)(BgL_modz00_3204); 
BgL_bucketz00_3208 = 
VECTOR_REF(BgL_arg1221z00_3199,BgL_kz00_3218); } 
{ /* Reduce/copy.scm 249 */
int BgL_kz00_3220;
BgL_kz00_3220 = 
(int)(BgL_restz00_3206); 
BgL_method2696z00_3196 = 
VECTOR_REF(BgL_bucketz00_3208,BgL_kz00_3220); } } } } } } } } 
{ /* Reduce/copy.scm 249 */
obj_t BgL_auxz00_3613;
BgL_auxz00_3613 = 
PROCEDURE_ENTRY(BgL_method2696z00_3196)(BgL_method2696z00_3196, 
(obj_t)(BgL_nodez00_3195), BEOA); 
BgL_res2993z00_3221 = 
(BgL_nodez00_bglt)(BgL_auxz00_3613); } } } 
BgL_arg2900z00_1850 = BgL_res2993z00_3221; } 
{ /* Reduce/copy.scm 249 */
BgL_varz00_bglt BgL_val2631z00_3223;
BgL_val2631z00_3223 = 
(BgL_varz00_bglt)(BgL_arg2900z00_1850); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1846))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2631z00_3223), BUNSPEC); } } 
{ /* Reduce/copy.scm 250 */
BgL_nodez00_bglt BgL_arg2902z00_1852;
{ /* Reduce/copy.scm 250 */
BgL_nodez00_bglt BgL_arg2903z00_1853;
BgL_arg2903z00_1853 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1846))->BgL_valuez00); 
{ /* Reduce/copy.scm 250 */
BgL_nodez00_bglt BgL_res2996z00_3251;
{ /* Reduce/copy.scm 250 */
obj_t BgL_method2696z00_3226;
{ /* Reduce/copy.scm 250 */
long BgL_objzd2classzd2numz00_3228;
{ /* Reduce/copy.scm 250 */
BgL_objectz00_bglt BgL_auxz00_3621;
BgL_auxz00_3621 = 
(BgL_objectz00_bglt)(BgL_arg2903z00_1853); 
BgL_objzd2classzd2numz00_3228 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3621); } 
{ /* Reduce/copy.scm 250 */
obj_t BgL_arg1221z00_3229;
{ /* Reduce/copy.scm 250 */
int BgL_auxz00_3624;
BgL_auxz00_3624 = 
(int)(((long)1)); 
BgL_arg1221z00_3229 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3624); } 
{ /* Reduce/copy.scm 250 */
long BgL_offsetz00_3233;
{ /* Reduce/copy.scm 250 */
long BgL_auxz00_3627;
{ /* Reduce/copy.scm 250 */
int BgL_auxz00_3628;
BgL_auxz00_3628 = 
(int)(BgL_objzd2classzd2numz00_3228); 
BgL_auxz00_3627 = 
(long)(BgL_auxz00_3628); } 
BgL_offsetz00_3233 = 
(BgL_auxz00_3627-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 250 */
long BgL_modz00_3234;
{ /* Reduce/copy.scm 250 */
long BgL_auxz00_3632;
{ /* Reduce/copy.scm 250 */
int BgL_auxz00_3633;
BgL_auxz00_3633 = 
(int)(((long)8)); 
BgL_auxz00_3632 = 
(long)(BgL_auxz00_3633); } 
BgL_modz00_3234 = 
(BgL_offsetz00_3233/BgL_auxz00_3632); } 
{ /* Reduce/copy.scm 250 */
long BgL_restz00_3236;
{ /* Reduce/copy.scm 250 */
long BgL_auxz00_3637;
{ /* Reduce/copy.scm 250 */
int BgL_auxz00_3638;
BgL_auxz00_3638 = 
(int)(((long)8)); 
BgL_auxz00_3637 = 
(long)(BgL_auxz00_3638); } 
BgL_restz00_3236 = 
(BgL_offsetz00_3233%BgL_auxz00_3637); } 
{ /* Reduce/copy.scm 250 */

{ /* Reduce/copy.scm 250 */
obj_t BgL_bucketz00_3238;
{ /* Reduce/copy.scm 250 */
int BgL_kz00_3248;
BgL_kz00_3248 = 
(int)(BgL_modz00_3234); 
BgL_bucketz00_3238 = 
VECTOR_REF(BgL_arg1221z00_3229,BgL_kz00_3248); } 
{ /* Reduce/copy.scm 250 */
int BgL_kz00_3250;
BgL_kz00_3250 = 
(int)(BgL_restz00_3236); 
BgL_method2696z00_3226 = 
VECTOR_REF(BgL_bucketz00_3238,BgL_kz00_3250); } } } } } } } } 
{ /* Reduce/copy.scm 250 */
obj_t BgL_auxz00_3646;
BgL_auxz00_3646 = 
PROCEDURE_ENTRY(BgL_method2696z00_3226)(BgL_method2696z00_3226, 
(obj_t)(BgL_arg2903z00_1853), BEOA); 
BgL_res2996z00_3251 = 
(BgL_nodez00_bglt)(BgL_auxz00_3646); } } 
BgL_arg2902z00_1852 = BgL_res2996z00_3251; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1846))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2902z00_1852), BUNSPEC); } 
BgL_auxz00_3584 = BgL_nodez00_1846; 
return 
(obj_t)(BgL_auxz00_3584);} } } 
}



/* node-copy!-make-box2734 */
obj_t BGl_nodezd2copyz12zd2makezd2box2734zc0zzreduce_copyz00(obj_t BgL_envz00_3346, obj_t BgL_nodez00_3347)
{ AN_OBJECT;
{ /* Reduce/copy.scm 239 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1838;
{ /* Reduce/copy.scm 240 */
BgL_makezd2boxzd2_bglt BgL_auxz00_3654;
BgL_nodez00_1838 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3347); 
{ /* Reduce/copy.scm 241 */
BgL_nodez00_bglt BgL_arg2897z00_1842;
{ /* Reduce/copy.scm 241 */
BgL_nodez00_bglt BgL_arg2898z00_1843;
BgL_arg2898z00_1843 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1838))->BgL_valuez00); 
{ /* Reduce/copy.scm 241 */
BgL_nodez00_bglt BgL_res2990z00_3191;
{ /* Reduce/copy.scm 241 */
obj_t BgL_method2696z00_3166;
{ /* Reduce/copy.scm 241 */
long BgL_objzd2classzd2numz00_3168;
{ /* Reduce/copy.scm 241 */
BgL_objectz00_bglt BgL_auxz00_3656;
BgL_auxz00_3656 = 
(BgL_objectz00_bglt)(BgL_arg2898z00_1843); 
BgL_objzd2classzd2numz00_3168 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3656); } 
{ /* Reduce/copy.scm 241 */
obj_t BgL_arg1221z00_3169;
{ /* Reduce/copy.scm 241 */
int BgL_auxz00_3659;
BgL_auxz00_3659 = 
(int)(((long)1)); 
BgL_arg1221z00_3169 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3659); } 
{ /* Reduce/copy.scm 241 */
long BgL_offsetz00_3173;
{ /* Reduce/copy.scm 241 */
long BgL_auxz00_3662;
{ /* Reduce/copy.scm 241 */
int BgL_auxz00_3663;
BgL_auxz00_3663 = 
(int)(BgL_objzd2classzd2numz00_3168); 
BgL_auxz00_3662 = 
(long)(BgL_auxz00_3663); } 
BgL_offsetz00_3173 = 
(BgL_auxz00_3662-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 241 */
long BgL_modz00_3174;
{ /* Reduce/copy.scm 241 */
long BgL_auxz00_3667;
{ /* Reduce/copy.scm 241 */
int BgL_auxz00_3668;
BgL_auxz00_3668 = 
(int)(((long)8)); 
BgL_auxz00_3667 = 
(long)(BgL_auxz00_3668); } 
BgL_modz00_3174 = 
(BgL_offsetz00_3173/BgL_auxz00_3667); } 
{ /* Reduce/copy.scm 241 */
long BgL_restz00_3176;
{ /* Reduce/copy.scm 241 */
long BgL_auxz00_3672;
{ /* Reduce/copy.scm 241 */
int BgL_auxz00_3673;
BgL_auxz00_3673 = 
(int)(((long)8)); 
BgL_auxz00_3672 = 
(long)(BgL_auxz00_3673); } 
BgL_restz00_3176 = 
(BgL_offsetz00_3173%BgL_auxz00_3672); } 
{ /* Reduce/copy.scm 241 */

{ /* Reduce/copy.scm 241 */
obj_t BgL_bucketz00_3178;
{ /* Reduce/copy.scm 241 */
int BgL_kz00_3188;
BgL_kz00_3188 = 
(int)(BgL_modz00_3174); 
BgL_bucketz00_3178 = 
VECTOR_REF(BgL_arg1221z00_3169,BgL_kz00_3188); } 
{ /* Reduce/copy.scm 241 */
int BgL_kz00_3190;
BgL_kz00_3190 = 
(int)(BgL_restz00_3176); 
BgL_method2696z00_3166 = 
VECTOR_REF(BgL_bucketz00_3178,BgL_kz00_3190); } } } } } } } } 
{ /* Reduce/copy.scm 241 */
obj_t BgL_auxz00_3681;
BgL_auxz00_3681 = 
PROCEDURE_ENTRY(BgL_method2696z00_3166)(BgL_method2696z00_3166, 
(obj_t)(BgL_arg2898z00_1843), BEOA); 
BgL_res2990z00_3191 = 
(BgL_nodez00_bglt)(BgL_auxz00_3681); } } 
BgL_arg2897z00_1842 = BgL_res2990z00_3191; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1838))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2897z00_1842), BUNSPEC); } 
BgL_auxz00_3654 = BgL_nodez00_1838; 
return 
(obj_t)(BgL_auxz00_3654);} } } 
}



/* node-copy!-jump-ex-it2732 */
obj_t BGl_nodezd2copyz12zd2jumpzd2exzd2it2732z12zzreduce_copyz00(obj_t BgL_envz00_3348, obj_t BgL_nodez00_3349)
{ AN_OBJECT;
{ /* Reduce/copy.scm 230 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1828;
{ /* Reduce/copy.scm 231 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3689;
BgL_nodez00_1828 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3349); 
{ /* Reduce/copy.scm 232 */
BgL_nodez00_bglt BgL_arg2892z00_1832;
{ /* Reduce/copy.scm 232 */
BgL_nodez00_bglt BgL_arg2893z00_1833;
BgL_arg2893z00_1833 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1828))->BgL_exitz00); 
{ /* Reduce/copy.scm 232 */
BgL_nodez00_bglt BgL_res2984z00_3131;
{ /* Reduce/copy.scm 232 */
obj_t BgL_method2696z00_3106;
{ /* Reduce/copy.scm 232 */
long BgL_objzd2classzd2numz00_3108;
{ /* Reduce/copy.scm 232 */
BgL_objectz00_bglt BgL_auxz00_3691;
BgL_auxz00_3691 = 
(BgL_objectz00_bglt)(BgL_arg2893z00_1833); 
BgL_objzd2classzd2numz00_3108 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3691); } 
{ /* Reduce/copy.scm 232 */
obj_t BgL_arg1221z00_3109;
{ /* Reduce/copy.scm 232 */
int BgL_auxz00_3694;
BgL_auxz00_3694 = 
(int)(((long)1)); 
BgL_arg1221z00_3109 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3694); } 
{ /* Reduce/copy.scm 232 */
long BgL_offsetz00_3113;
{ /* Reduce/copy.scm 232 */
long BgL_auxz00_3697;
{ /* Reduce/copy.scm 232 */
int BgL_auxz00_3698;
BgL_auxz00_3698 = 
(int)(BgL_objzd2classzd2numz00_3108); 
BgL_auxz00_3697 = 
(long)(BgL_auxz00_3698); } 
BgL_offsetz00_3113 = 
(BgL_auxz00_3697-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 232 */
long BgL_modz00_3114;
{ /* Reduce/copy.scm 232 */
long BgL_auxz00_3702;
{ /* Reduce/copy.scm 232 */
int BgL_auxz00_3703;
BgL_auxz00_3703 = 
(int)(((long)8)); 
BgL_auxz00_3702 = 
(long)(BgL_auxz00_3703); } 
BgL_modz00_3114 = 
(BgL_offsetz00_3113/BgL_auxz00_3702); } 
{ /* Reduce/copy.scm 232 */
long BgL_restz00_3116;
{ /* Reduce/copy.scm 232 */
long BgL_auxz00_3707;
{ /* Reduce/copy.scm 232 */
int BgL_auxz00_3708;
BgL_auxz00_3708 = 
(int)(((long)8)); 
BgL_auxz00_3707 = 
(long)(BgL_auxz00_3708); } 
BgL_restz00_3116 = 
(BgL_offsetz00_3113%BgL_auxz00_3707); } 
{ /* Reduce/copy.scm 232 */

{ /* Reduce/copy.scm 232 */
obj_t BgL_bucketz00_3118;
{ /* Reduce/copy.scm 232 */
int BgL_kz00_3128;
BgL_kz00_3128 = 
(int)(BgL_modz00_3114); 
BgL_bucketz00_3118 = 
VECTOR_REF(BgL_arg1221z00_3109,BgL_kz00_3128); } 
{ /* Reduce/copy.scm 232 */
int BgL_kz00_3130;
BgL_kz00_3130 = 
(int)(BgL_restz00_3116); 
BgL_method2696z00_3106 = 
VECTOR_REF(BgL_bucketz00_3118,BgL_kz00_3130); } } } } } } } } 
{ /* Reduce/copy.scm 232 */
obj_t BgL_auxz00_3716;
BgL_auxz00_3716 = 
PROCEDURE_ENTRY(BgL_method2696z00_3106)(BgL_method2696z00_3106, 
(obj_t)(BgL_arg2893z00_1833), BEOA); 
BgL_res2984z00_3131 = 
(BgL_nodez00_bglt)(BgL_auxz00_3716); } } 
BgL_arg2892z00_1832 = BgL_res2984z00_3131; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1828))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg2892z00_1832), BUNSPEC); } 
{ /* Reduce/copy.scm 233 */
BgL_nodez00_bglt BgL_arg2894z00_1834;
{ /* Reduce/copy.scm 233 */
BgL_nodez00_bglt BgL_arg2895z00_1835;
BgL_arg2895z00_1835 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1828))->BgL_valuez00); 
{ /* Reduce/copy.scm 233 */
BgL_nodez00_bglt BgL_res2987z00_3161;
{ /* Reduce/copy.scm 233 */
obj_t BgL_method2696z00_3136;
{ /* Reduce/copy.scm 233 */
long BgL_objzd2classzd2numz00_3138;
{ /* Reduce/copy.scm 233 */
BgL_objectz00_bglt BgL_auxz00_3723;
BgL_auxz00_3723 = 
(BgL_objectz00_bglt)(BgL_arg2895z00_1835); 
BgL_objzd2classzd2numz00_3138 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3723); } 
{ /* Reduce/copy.scm 233 */
obj_t BgL_arg1221z00_3139;
{ /* Reduce/copy.scm 233 */
int BgL_auxz00_3726;
BgL_auxz00_3726 = 
(int)(((long)1)); 
BgL_arg1221z00_3139 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3726); } 
{ /* Reduce/copy.scm 233 */
long BgL_offsetz00_3143;
{ /* Reduce/copy.scm 233 */
long BgL_auxz00_3729;
{ /* Reduce/copy.scm 233 */
int BgL_auxz00_3730;
BgL_auxz00_3730 = 
(int)(BgL_objzd2classzd2numz00_3138); 
BgL_auxz00_3729 = 
(long)(BgL_auxz00_3730); } 
BgL_offsetz00_3143 = 
(BgL_auxz00_3729-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 233 */
long BgL_modz00_3144;
{ /* Reduce/copy.scm 233 */
long BgL_auxz00_3734;
{ /* Reduce/copy.scm 233 */
int BgL_auxz00_3735;
BgL_auxz00_3735 = 
(int)(((long)8)); 
BgL_auxz00_3734 = 
(long)(BgL_auxz00_3735); } 
BgL_modz00_3144 = 
(BgL_offsetz00_3143/BgL_auxz00_3734); } 
{ /* Reduce/copy.scm 233 */
long BgL_restz00_3146;
{ /* Reduce/copy.scm 233 */
long BgL_auxz00_3739;
{ /* Reduce/copy.scm 233 */
int BgL_auxz00_3740;
BgL_auxz00_3740 = 
(int)(((long)8)); 
BgL_auxz00_3739 = 
(long)(BgL_auxz00_3740); } 
BgL_restz00_3146 = 
(BgL_offsetz00_3143%BgL_auxz00_3739); } 
{ /* Reduce/copy.scm 233 */

{ /* Reduce/copy.scm 233 */
obj_t BgL_bucketz00_3148;
{ /* Reduce/copy.scm 233 */
int BgL_kz00_3158;
BgL_kz00_3158 = 
(int)(BgL_modz00_3144); 
BgL_bucketz00_3148 = 
VECTOR_REF(BgL_arg1221z00_3139,BgL_kz00_3158); } 
{ /* Reduce/copy.scm 233 */
int BgL_kz00_3160;
BgL_kz00_3160 = 
(int)(BgL_restz00_3146); 
BgL_method2696z00_3136 = 
VECTOR_REF(BgL_bucketz00_3148,BgL_kz00_3160); } } } } } } } } 
{ /* Reduce/copy.scm 233 */
obj_t BgL_auxz00_3748;
BgL_auxz00_3748 = 
PROCEDURE_ENTRY(BgL_method2696z00_3136)(BgL_method2696z00_3136, 
(obj_t)(BgL_arg2895z00_1835), BEOA); 
BgL_res2987z00_3161 = 
(BgL_nodez00_bglt)(BgL_auxz00_3748); } } 
BgL_arg2894z00_1834 = BgL_res2987z00_3161; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1828))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2894z00_1834), BUNSPEC); } 
BgL_auxz00_3689 = BgL_nodez00_1828; 
return 
(obj_t)(BgL_auxz00_3689);} } } 
}



/* node-copy!-set-ex-it2730 */
obj_t BGl_nodezd2copyz12zd2setzd2exzd2it2730z12zzreduce_copyz00(obj_t BgL_envz00_3350, obj_t BgL_nodez00_3351)
{ AN_OBJECT;
{ /* Reduce/copy.scm 221 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1818;
{ /* Reduce/copy.scm 222 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_3756;
BgL_nodez00_1818 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3351); 
{ /* Reduce/copy.scm 223 */
BgL_nodez00_bglt BgL_arg2887z00_1822;
{ /* Reduce/copy.scm 223 */
BgL_nodez00_bglt BgL_arg2888z00_1823;
BgL_arg2888z00_1823 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1818))->BgL_bodyz00); 
{ /* Reduce/copy.scm 223 */
BgL_nodez00_bglt BgL_res2978z00_3071;
{ /* Reduce/copy.scm 223 */
obj_t BgL_method2696z00_3046;
{ /* Reduce/copy.scm 223 */
long BgL_objzd2classzd2numz00_3048;
{ /* Reduce/copy.scm 223 */
BgL_objectz00_bglt BgL_auxz00_3758;
BgL_auxz00_3758 = 
(BgL_objectz00_bglt)(BgL_arg2888z00_1823); 
BgL_objzd2classzd2numz00_3048 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3758); } 
{ /* Reduce/copy.scm 223 */
obj_t BgL_arg1221z00_3049;
{ /* Reduce/copy.scm 223 */
int BgL_auxz00_3761;
BgL_auxz00_3761 = 
(int)(((long)1)); 
BgL_arg1221z00_3049 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3761); } 
{ /* Reduce/copy.scm 223 */
long BgL_offsetz00_3053;
{ /* Reduce/copy.scm 223 */
long BgL_auxz00_3764;
{ /* Reduce/copy.scm 223 */
int BgL_auxz00_3765;
BgL_auxz00_3765 = 
(int)(BgL_objzd2classzd2numz00_3048); 
BgL_auxz00_3764 = 
(long)(BgL_auxz00_3765); } 
BgL_offsetz00_3053 = 
(BgL_auxz00_3764-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 223 */
long BgL_modz00_3054;
{ /* Reduce/copy.scm 223 */
long BgL_auxz00_3769;
{ /* Reduce/copy.scm 223 */
int BgL_auxz00_3770;
BgL_auxz00_3770 = 
(int)(((long)8)); 
BgL_auxz00_3769 = 
(long)(BgL_auxz00_3770); } 
BgL_modz00_3054 = 
(BgL_offsetz00_3053/BgL_auxz00_3769); } 
{ /* Reduce/copy.scm 223 */
long BgL_restz00_3056;
{ /* Reduce/copy.scm 223 */
long BgL_auxz00_3774;
{ /* Reduce/copy.scm 223 */
int BgL_auxz00_3775;
BgL_auxz00_3775 = 
(int)(((long)8)); 
BgL_auxz00_3774 = 
(long)(BgL_auxz00_3775); } 
BgL_restz00_3056 = 
(BgL_offsetz00_3053%BgL_auxz00_3774); } 
{ /* Reduce/copy.scm 223 */

{ /* Reduce/copy.scm 223 */
obj_t BgL_bucketz00_3058;
{ /* Reduce/copy.scm 223 */
int BgL_kz00_3068;
BgL_kz00_3068 = 
(int)(BgL_modz00_3054); 
BgL_bucketz00_3058 = 
VECTOR_REF(BgL_arg1221z00_3049,BgL_kz00_3068); } 
{ /* Reduce/copy.scm 223 */
int BgL_kz00_3070;
BgL_kz00_3070 = 
(int)(BgL_restz00_3056); 
BgL_method2696z00_3046 = 
VECTOR_REF(BgL_bucketz00_3058,BgL_kz00_3070); } } } } } } } } 
{ /* Reduce/copy.scm 223 */
obj_t BgL_auxz00_3783;
BgL_auxz00_3783 = 
PROCEDURE_ENTRY(BgL_method2696z00_3046)(BgL_method2696z00_3046, 
(obj_t)(BgL_arg2888z00_1823), BEOA); 
BgL_res2978z00_3071 = 
(BgL_nodez00_bglt)(BgL_auxz00_3783); } } 
BgL_arg2887z00_1822 = BgL_res2978z00_3071; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1818))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2887z00_1822), BUNSPEC); } 
{ /* Reduce/copy.scm 224 */
BgL_nodez00_bglt BgL_arg2889z00_1824;
{ /* Reduce/copy.scm 224 */
BgL_nodez00_bglt BgL_res2981z00_3101;
{ /* Reduce/copy.scm 224 */
BgL_nodez00_bglt BgL_nodez00_3075;
{ /* Reduce/copy.scm 224 */
BgL_varz00_bglt BgL_auxz00_3789;
BgL_auxz00_3789 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1818))->BgL_varz00); 
BgL_nodez00_3075 = 
(BgL_nodez00_bglt)(BgL_auxz00_3789); } 
{ /* Reduce/copy.scm 224 */
obj_t BgL_method2696z00_3076;
{ /* Reduce/copy.scm 224 */
long BgL_objzd2classzd2numz00_3078;
{ /* Reduce/copy.scm 224 */
BgL_objectz00_bglt BgL_auxz00_3792;
BgL_auxz00_3792 = 
(BgL_objectz00_bglt)(BgL_nodez00_3075); 
BgL_objzd2classzd2numz00_3078 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3792); } 
{ /* Reduce/copy.scm 224 */
obj_t BgL_arg1221z00_3079;
{ /* Reduce/copy.scm 224 */
int BgL_auxz00_3795;
BgL_auxz00_3795 = 
(int)(((long)1)); 
BgL_arg1221z00_3079 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3795); } 
{ /* Reduce/copy.scm 224 */
long BgL_offsetz00_3083;
{ /* Reduce/copy.scm 224 */
long BgL_auxz00_3798;
{ /* Reduce/copy.scm 224 */
int BgL_auxz00_3799;
BgL_auxz00_3799 = 
(int)(BgL_objzd2classzd2numz00_3078); 
BgL_auxz00_3798 = 
(long)(BgL_auxz00_3799); } 
BgL_offsetz00_3083 = 
(BgL_auxz00_3798-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 224 */
long BgL_modz00_3084;
{ /* Reduce/copy.scm 224 */
long BgL_auxz00_3803;
{ /* Reduce/copy.scm 224 */
int BgL_auxz00_3804;
BgL_auxz00_3804 = 
(int)(((long)8)); 
BgL_auxz00_3803 = 
(long)(BgL_auxz00_3804); } 
BgL_modz00_3084 = 
(BgL_offsetz00_3083/BgL_auxz00_3803); } 
{ /* Reduce/copy.scm 224 */
long BgL_restz00_3086;
{ /* Reduce/copy.scm 224 */
long BgL_auxz00_3808;
{ /* Reduce/copy.scm 224 */
int BgL_auxz00_3809;
BgL_auxz00_3809 = 
(int)(((long)8)); 
BgL_auxz00_3808 = 
(long)(BgL_auxz00_3809); } 
BgL_restz00_3086 = 
(BgL_offsetz00_3083%BgL_auxz00_3808); } 
{ /* Reduce/copy.scm 224 */

{ /* Reduce/copy.scm 224 */
obj_t BgL_bucketz00_3088;
{ /* Reduce/copy.scm 224 */
int BgL_kz00_3098;
BgL_kz00_3098 = 
(int)(BgL_modz00_3084); 
BgL_bucketz00_3088 = 
VECTOR_REF(BgL_arg1221z00_3079,BgL_kz00_3098); } 
{ /* Reduce/copy.scm 224 */
int BgL_kz00_3100;
BgL_kz00_3100 = 
(int)(BgL_restz00_3086); 
BgL_method2696z00_3076 = 
VECTOR_REF(BgL_bucketz00_3088,BgL_kz00_3100); } } } } } } } } 
{ /* Reduce/copy.scm 224 */
obj_t BgL_auxz00_3817;
BgL_auxz00_3817 = 
PROCEDURE_ENTRY(BgL_method2696z00_3076)(BgL_method2696z00_3076, 
(obj_t)(BgL_nodez00_3075), BEOA); 
BgL_res2981z00_3101 = 
(BgL_nodez00_bglt)(BgL_auxz00_3817); } } } 
BgL_arg2889z00_1824 = BgL_res2981z00_3101; } 
{ /* Reduce/copy.scm 224 */
BgL_varz00_bglt BgL_val2507z00_3103;
BgL_val2507z00_3103 = 
(BgL_varz00_bglt)(BgL_arg2889z00_1824); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1818))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2507z00_3103), BUNSPEC); } } 
BgL_auxz00_3756 = BgL_nodez00_1818; 
return 
(obj_t)(BgL_auxz00_3756);} } } 
}



/* node-copy!-let-var2727 */
obj_t BGl_nodezd2copyz12zd2letzd2var2727zc0zzreduce_copyz00(obj_t BgL_envz00_3352, obj_t BgL_nodez00_3353)
{ AN_OBJECT;
{ /* Reduce/copy.scm 182 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1785;
BgL_nodez00_1785 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3353); 
{ 
obj_t BgL_obindingsz00_1789;obj_t BgL_nbindingsz00_1790;
BgL_obindingsz00_1789 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1785))->BgL_bindingsz00); 
BgL_nbindingsz00_1790 = BNIL; 
BgL_loopz00_1791:
if(
NULLP(BgL_obindingsz00_1789))
{ /* Reduce/copy.scm 187 */
bool_t BgL_testz00_3828;
if(
NULLP(BgL_nbindingsz00_1790))
{ /* Reduce/copy.scm 187 */
BgL_testz00_3828 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1785))->BgL_removablezf3zf3)
; }  else 
{ /* Reduce/copy.scm 187 */
BgL_testz00_3828 = ((bool_t)0)
; } 
if(BgL_testz00_3828)
{ /* Reduce/copy.scm 188 */
BgL_nodez00_bglt BgL_arg2870z00_1796;
BgL_arg2870z00_1796 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1785))->BgL_bodyz00); 
{ /* Reduce/copy.scm 188 */
BgL_nodez00_bglt BgL_res2969z00_2968;
{ /* Reduce/copy.scm 188 */
obj_t BgL_method2696z00_2943;
{ /* Reduce/copy.scm 188 */
long BgL_objzd2classzd2numz00_2945;
{ /* Reduce/copy.scm 188 */
BgL_objectz00_bglt BgL_auxz00_3833;
BgL_auxz00_3833 = 
(BgL_objectz00_bglt)(BgL_arg2870z00_1796); 
BgL_objzd2classzd2numz00_2945 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3833); } 
{ /* Reduce/copy.scm 188 */
obj_t BgL_arg1221z00_2946;
{ /* Reduce/copy.scm 188 */
int BgL_auxz00_3836;
BgL_auxz00_3836 = 
(int)(((long)1)); 
BgL_arg1221z00_2946 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3836); } 
{ /* Reduce/copy.scm 188 */
long BgL_offsetz00_2950;
{ /* Reduce/copy.scm 188 */
long BgL_auxz00_3839;
{ /* Reduce/copy.scm 188 */
int BgL_auxz00_3840;
BgL_auxz00_3840 = 
(int)(BgL_objzd2classzd2numz00_2945); 
BgL_auxz00_3839 = 
(long)(BgL_auxz00_3840); } 
BgL_offsetz00_2950 = 
(BgL_auxz00_3839-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 188 */
long BgL_modz00_2951;
{ /* Reduce/copy.scm 188 */
long BgL_auxz00_3844;
{ /* Reduce/copy.scm 188 */
int BgL_auxz00_3845;
BgL_auxz00_3845 = 
(int)(((long)8)); 
BgL_auxz00_3844 = 
(long)(BgL_auxz00_3845); } 
BgL_modz00_2951 = 
(BgL_offsetz00_2950/BgL_auxz00_3844); } 
{ /* Reduce/copy.scm 188 */
long BgL_restz00_2953;
{ /* Reduce/copy.scm 188 */
long BgL_auxz00_3849;
{ /* Reduce/copy.scm 188 */
int BgL_auxz00_3850;
BgL_auxz00_3850 = 
(int)(((long)8)); 
BgL_auxz00_3849 = 
(long)(BgL_auxz00_3850); } 
BgL_restz00_2953 = 
(BgL_offsetz00_2950%BgL_auxz00_3849); } 
{ /* Reduce/copy.scm 188 */

{ /* Reduce/copy.scm 188 */
obj_t BgL_bucketz00_2955;
{ /* Reduce/copy.scm 188 */
int BgL_kz00_2965;
BgL_kz00_2965 = 
(int)(BgL_modz00_2951); 
BgL_bucketz00_2955 = 
VECTOR_REF(BgL_arg1221z00_2946,BgL_kz00_2965); } 
{ /* Reduce/copy.scm 188 */
int BgL_kz00_2967;
BgL_kz00_2967 = 
(int)(BgL_restz00_2953); 
BgL_method2696z00_2943 = 
VECTOR_REF(BgL_bucketz00_2955,BgL_kz00_2967); } } } } } } } } 
{ /* Reduce/copy.scm 188 */
obj_t BgL_auxz00_3858;
BgL_auxz00_3858 = 
PROCEDURE_ENTRY(BgL_method2696z00_2943)(BgL_method2696z00_2943, 
(obj_t)(BgL_arg2870z00_1796), BEOA); 
BgL_res2969z00_2968 = 
(BgL_nodez00_bglt)(BgL_auxz00_3858); } } 
return 
(obj_t)(BgL_res2969z00_2968);} }  else 
{ /* Reduce/copy.scm 187 */
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1785))->BgL_bindingsz00) = ((obj_t)BgL_nbindingsz00_1790), BUNSPEC); 
{ /* Reduce/copy.scm 191 */
BgL_nodez00_bglt BgL_arg2871z00_1797;
{ /* Reduce/copy.scm 191 */
BgL_nodez00_bglt BgL_arg2872z00_1798;
BgL_arg2872z00_1798 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1785))->BgL_bodyz00); 
{ /* Reduce/copy.scm 191 */
BgL_nodez00_bglt BgL_res2972z00_2998;
{ /* Reduce/copy.scm 191 */
obj_t BgL_method2696z00_2973;
{ /* Reduce/copy.scm 191 */
long BgL_objzd2classzd2numz00_2975;
{ /* Reduce/copy.scm 191 */
BgL_objectz00_bglt BgL_auxz00_3866;
BgL_auxz00_3866 = 
(BgL_objectz00_bglt)(BgL_arg2872z00_1798); 
BgL_objzd2classzd2numz00_2975 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3866); } 
{ /* Reduce/copy.scm 191 */
obj_t BgL_arg1221z00_2976;
{ /* Reduce/copy.scm 191 */
int BgL_auxz00_3869;
BgL_auxz00_3869 = 
(int)(((long)1)); 
BgL_arg1221z00_2976 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3869); } 
{ /* Reduce/copy.scm 191 */
long BgL_offsetz00_2980;
{ /* Reduce/copy.scm 191 */
long BgL_auxz00_3872;
{ /* Reduce/copy.scm 191 */
int BgL_auxz00_3873;
BgL_auxz00_3873 = 
(int)(BgL_objzd2classzd2numz00_2975); 
BgL_auxz00_3872 = 
(long)(BgL_auxz00_3873); } 
BgL_offsetz00_2980 = 
(BgL_auxz00_3872-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 191 */
long BgL_modz00_2981;
{ /* Reduce/copy.scm 191 */
long BgL_auxz00_3877;
{ /* Reduce/copy.scm 191 */
int BgL_auxz00_3878;
BgL_auxz00_3878 = 
(int)(((long)8)); 
BgL_auxz00_3877 = 
(long)(BgL_auxz00_3878); } 
BgL_modz00_2981 = 
(BgL_offsetz00_2980/BgL_auxz00_3877); } 
{ /* Reduce/copy.scm 191 */
long BgL_restz00_2983;
{ /* Reduce/copy.scm 191 */
long BgL_auxz00_3882;
{ /* Reduce/copy.scm 191 */
int BgL_auxz00_3883;
BgL_auxz00_3883 = 
(int)(((long)8)); 
BgL_auxz00_3882 = 
(long)(BgL_auxz00_3883); } 
BgL_restz00_2983 = 
(BgL_offsetz00_2980%BgL_auxz00_3882); } 
{ /* Reduce/copy.scm 191 */

{ /* Reduce/copy.scm 191 */
obj_t BgL_bucketz00_2985;
{ /* Reduce/copy.scm 191 */
int BgL_kz00_2995;
BgL_kz00_2995 = 
(int)(BgL_modz00_2981); 
BgL_bucketz00_2985 = 
VECTOR_REF(BgL_arg1221z00_2976,BgL_kz00_2995); } 
{ /* Reduce/copy.scm 191 */
int BgL_kz00_2997;
BgL_kz00_2997 = 
(int)(BgL_restz00_2983); 
BgL_method2696z00_2973 = 
VECTOR_REF(BgL_bucketz00_2985,BgL_kz00_2997); } } } } } } } } 
{ /* Reduce/copy.scm 191 */
obj_t BgL_auxz00_3891;
BgL_auxz00_3891 = 
PROCEDURE_ENTRY(BgL_method2696z00_2973)(BgL_method2696z00_2973, 
(obj_t)(BgL_arg2872z00_1798), BEOA); 
BgL_res2972z00_2998 = 
(BgL_nodez00_bglt)(BgL_auxz00_3891); } } 
BgL_arg2871z00_1797 = BgL_res2972z00_2998; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1785))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2871z00_1797), BUNSPEC); } 
return 
(obj_t)(BgL_nodez00_1785);} }  else 
{ /* Reduce/copy.scm 193 */
obj_t BgL_bindingz00_1800;
BgL_bindingz00_1800 = 
CAR(BgL_obindingsz00_1789); 
{ /* Reduce/copy.scm 193 */
obj_t BgL_varz00_1801;
BgL_varz00_1801 = 
CAR(BgL_bindingz00_1800); 
{ /* Reduce/copy.scm 194 */
BgL_nodez00_bglt BgL_valz00_1802;
{ /* Reduce/copy.scm 195 */
BgL_nodez00_bglt BgL_res2975z00_3030;
{ /* Reduce/copy.scm 195 */
BgL_nodez00_bglt BgL_nodez00_3004;
{ /* Reduce/copy.scm 195 */
obj_t BgL_auxz00_3900;
BgL_auxz00_3900 = 
CDR(BgL_bindingz00_1800); 
BgL_nodez00_3004 = 
(BgL_nodez00_bglt)(BgL_auxz00_3900); } 
{ /* Reduce/copy.scm 195 */
obj_t BgL_method2696z00_3005;
{ /* Reduce/copy.scm 195 */
long BgL_objzd2classzd2numz00_3007;
{ /* Reduce/copy.scm 195 */
BgL_objectz00_bglt BgL_auxz00_3903;
BgL_auxz00_3903 = 
(BgL_objectz00_bglt)(BgL_nodez00_3004); 
BgL_objzd2classzd2numz00_3007 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3903); } 
{ /* Reduce/copy.scm 195 */
obj_t BgL_arg1221z00_3008;
{ /* Reduce/copy.scm 195 */
int BgL_auxz00_3906;
BgL_auxz00_3906 = 
(int)(((long)1)); 
BgL_arg1221z00_3008 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3906); } 
{ /* Reduce/copy.scm 195 */
long BgL_offsetz00_3012;
{ /* Reduce/copy.scm 195 */
long BgL_auxz00_3909;
{ /* Reduce/copy.scm 195 */
int BgL_auxz00_3910;
BgL_auxz00_3910 = 
(int)(BgL_objzd2classzd2numz00_3007); 
BgL_auxz00_3909 = 
(long)(BgL_auxz00_3910); } 
BgL_offsetz00_3012 = 
(BgL_auxz00_3909-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 195 */
long BgL_modz00_3013;
{ /* Reduce/copy.scm 195 */
long BgL_auxz00_3914;
{ /* Reduce/copy.scm 195 */
int BgL_auxz00_3915;
BgL_auxz00_3915 = 
(int)(((long)8)); 
BgL_auxz00_3914 = 
(long)(BgL_auxz00_3915); } 
BgL_modz00_3013 = 
(BgL_offsetz00_3012/BgL_auxz00_3914); } 
{ /* Reduce/copy.scm 195 */
long BgL_restz00_3015;
{ /* Reduce/copy.scm 195 */
long BgL_auxz00_3919;
{ /* Reduce/copy.scm 195 */
int BgL_auxz00_3920;
BgL_auxz00_3920 = 
(int)(((long)8)); 
BgL_auxz00_3919 = 
(long)(BgL_auxz00_3920); } 
BgL_restz00_3015 = 
(BgL_offsetz00_3012%BgL_auxz00_3919); } 
{ /* Reduce/copy.scm 195 */

{ /* Reduce/copy.scm 195 */
obj_t BgL_bucketz00_3017;
{ /* Reduce/copy.scm 195 */
int BgL_kz00_3027;
BgL_kz00_3027 = 
(int)(BgL_modz00_3013); 
BgL_bucketz00_3017 = 
VECTOR_REF(BgL_arg1221z00_3008,BgL_kz00_3027); } 
{ /* Reduce/copy.scm 195 */
int BgL_kz00_3029;
BgL_kz00_3029 = 
(int)(BgL_restz00_3015); 
BgL_method2696z00_3005 = 
VECTOR_REF(BgL_bucketz00_3017,BgL_kz00_3029); } } } } } } } } 
{ /* Reduce/copy.scm 195 */
obj_t BgL_auxz00_3928;
BgL_auxz00_3928 = 
PROCEDURE_ENTRY(BgL_method2696z00_3005)(BgL_method2696z00_3005, 
(obj_t)(BgL_nodez00_3004), BEOA); 
BgL_res2975z00_3030 = 
(BgL_nodez00_bglt)(BgL_auxz00_3928); } } } 
BgL_valz00_1802 = BgL_res2975z00_3030; } 
{ /* Reduce/copy.scm 195 */

{ /* Reduce/copy.scm 196 */
obj_t BgL_auxz00_3933;
BgL_auxz00_3933 = 
(obj_t)(BgL_valz00_1802); 
SET_CDR(BgL_bindingz00_1800, BgL_auxz00_3933); } 
{ /* Reduce/copy.scm 205 */
bool_t BgL_test2874z00_1803;
{ /* Reduce/copy.scm 205 */
bool_t BgL_test2878z00_1807;
{ /* Reduce/copy.scm 205 */
bool_t BgL_test2881z00_1810;
BgL_test2881z00_1810 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_1802), BGl_atomz00zzast_nodez00); 
if(BgL_test2881z00_1810)
{ /* Reduce/copy.scm 205 */
BgL_test2878z00_1807 = ((bool_t)1); }  else 
{ /* Reduce/copy.scm 206 */
bool_t BgL__andtest_2682z00_1811;
BgL__andtest_2682z00_1811 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_1802), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2682z00_1811)
{ /* Reduce/copy.scm 207 */
obj_t BgL_auxz00_3946;obj_t BgL_auxz00_3942;
BgL_auxz00_3946 = 
CNST_TABLE_REF(((long)1)); 
{ /* Reduce/copy.scm 207 */
BgL_variablez00_bglt BgL_arg2884z00_1814;
{ /* Reduce/copy.scm 207 */
BgL_varz00_bglt BgL_obj1619z00_3035;
BgL_obj1619z00_3035 = 
(BgL_varz00_bglt)(BgL_valz00_1802); 
BgL_arg2884z00_1814 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_3035))->BgL_variablez00); } 
BgL_auxz00_3942 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2884z00_1814))->BgL_accessz00); } 
BgL_test2878z00_1807 = 
(BgL_auxz00_3942==BgL_auxz00_3946); }  else 
{ /* Reduce/copy.scm 206 */
BgL_test2878z00_1807 = ((bool_t)0); } } } 
if(BgL_test2878z00_1807)
{ /* Reduce/copy.scm 209 */
obj_t BgL_auxz00_3953;obj_t BgL_auxz00_3950;
BgL_auxz00_3953 = 
CNST_TABLE_REF(((long)1)); 
{ /* Reduce/copy.scm 209 */
BgL_variablez00_bglt BgL_obj1106z00_3037;
BgL_obj1106z00_3037 = 
(BgL_variablez00_bglt)(BgL_varz00_1801); 
BgL_auxz00_3950 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1106z00_3037))->BgL_accessz00); } 
BgL_test2874z00_1803 = 
(BgL_auxz00_3950==BgL_auxz00_3953); }  else 
{ /* Reduce/copy.scm 205 */
BgL_test2874z00_1803 = ((bool_t)0); } } 
if(BgL_test2874z00_1803)
{ /* Reduce/copy.scm 205 */
{ /* Reduce/copy.scm 213 */
long BgL_za71za7_3038;
BgL_za71za7_3038 = BGl_za2copyzd2removedza2zd2zzreduce_copyz00; 
BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = 
(BgL_za71za7_3038+((long)1)); } 
{ /* Reduce/copy.scm 214 */
BgL_variablez00_bglt BgL_obj1111z00_3040;obj_t BgL_val1110z00_3041;
BgL_obj1111z00_3040 = 
(BgL_variablez00_bglt)(BgL_varz00_1801); 
BgL_val1110z00_3041 = 
(obj_t)(BgL_valz00_1802); 
((((BgL_variablez00_bglt)CREF(BgL_obj1111z00_3040))->BgL_fastzd2alphazd2) = ((obj_t)BgL_val1110z00_3041), BUNSPEC); } 
{ 
obj_t BgL_obindingsz00_3961;
BgL_obindingsz00_3961 = 
CDR(BgL_obindingsz00_1789); 
BgL_obindingsz00_1789 = BgL_obindingsz00_3961; 
goto BgL_loopz00_1791;} }  else 
{ /* Reduce/copy.scm 216 */
obj_t BgL_arg2876z00_1805;obj_t BgL_arg2877z00_1806;
BgL_arg2876z00_1805 = 
CDR(BgL_obindingsz00_1789); 
BgL_arg2877z00_1806 = 
MAKE_PAIR(BgL_bindingz00_1800, BgL_nbindingsz00_1790); 
{ 
obj_t BgL_nbindingsz00_3966;obj_t BgL_obindingsz00_3965;
BgL_obindingsz00_3965 = BgL_arg2876z00_1805; 
BgL_nbindingsz00_3966 = BgL_arg2877z00_1806; 
BgL_nbindingsz00_1790 = BgL_nbindingsz00_3966; 
BgL_obindingsz00_1789 = BgL_obindingsz00_3965; 
goto BgL_loopz00_1791;} } } } } } } } } } 
}



/* node-copy!-let-fun2725 */
obj_t BGl_nodezd2copyz12zd2letzd2fun2725zc0zzreduce_copyz00(obj_t BgL_envz00_3354, obj_t BgL_nodez00_3355)
{ AN_OBJECT;
{ /* Reduce/copy.scm 170 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1768;
{ /* Reduce/copy.scm 171 */
BgL_letzd2funzd2_bglt BgL_auxz00_3969;
BgL_nodez00_1768 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3355); 
{ 
obj_t BgL_l2678z00_1772;
BgL_l2678z00_1772 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1768))->BgL_localsz00); 
BgL_lname2679z00_1773:
if(
PAIRP(BgL_l2678z00_1772))
{ /* Reduce/copy.scm 172 */
{ /* Reduce/copy.scm 173 */
BgL_valuez00_bglt BgL_funz00_1777;
{ /* Reduce/copy.scm 173 */
BgL_localz00_bglt BgL_obj1255z00_2875;
{ /* Reduce/copy.scm 173 */
obj_t BgL_auxz00_3972;
BgL_auxz00_3972 = 
CAR(BgL_l2678z00_1772); 
BgL_obj1255z00_2875 = 
(BgL_localz00_bglt)(BgL_auxz00_3972); } 
BgL_funz00_1777 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_2875))->BgL_valuez00); } 
{ /* Reduce/copy.scm 174 */
BgL_nodez00_bglt BgL_arg2860z00_1778;
{ /* Reduce/copy.scm 174 */
BgL_nodez00_bglt BgL_res2963z00_2903;
{ /* Reduce/copy.scm 174 */
BgL_nodez00_bglt BgL_nodez00_2877;
{ /* Reduce/copy.scm 174 */
obj_t BgL_auxz00_3976;
{ /* Reduce/copy.scm 174 */
BgL_sfunz00_bglt BgL_obj1372z00_2876;
BgL_obj1372z00_2876 = 
(BgL_sfunz00_bglt)(BgL_funz00_1777); 
BgL_auxz00_3976 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2876))->BgL_bodyz00); } 
BgL_nodez00_2877 = 
(BgL_nodez00_bglt)(BgL_auxz00_3976); } 
{ /* Reduce/copy.scm 174 */
obj_t BgL_method2696z00_2878;
{ /* Reduce/copy.scm 174 */
long BgL_objzd2classzd2numz00_2880;
{ /* Reduce/copy.scm 174 */
BgL_objectz00_bglt BgL_auxz00_3980;
BgL_auxz00_3980 = 
(BgL_objectz00_bglt)(BgL_nodez00_2877); 
BgL_objzd2classzd2numz00_2880 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3980); } 
{ /* Reduce/copy.scm 174 */
obj_t BgL_arg1221z00_2881;
{ /* Reduce/copy.scm 174 */
int BgL_auxz00_3983;
BgL_auxz00_3983 = 
(int)(((long)1)); 
BgL_arg1221z00_2881 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_3983); } 
{ /* Reduce/copy.scm 174 */
long BgL_offsetz00_2885;
{ /* Reduce/copy.scm 174 */
long BgL_auxz00_3986;
{ /* Reduce/copy.scm 174 */
int BgL_auxz00_3987;
BgL_auxz00_3987 = 
(int)(BgL_objzd2classzd2numz00_2880); 
BgL_auxz00_3986 = 
(long)(BgL_auxz00_3987); } 
BgL_offsetz00_2885 = 
(BgL_auxz00_3986-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 174 */
long BgL_modz00_2886;
{ /* Reduce/copy.scm 174 */
long BgL_auxz00_3991;
{ /* Reduce/copy.scm 174 */
int BgL_auxz00_3992;
BgL_auxz00_3992 = 
(int)(((long)8)); 
BgL_auxz00_3991 = 
(long)(BgL_auxz00_3992); } 
BgL_modz00_2886 = 
(BgL_offsetz00_2885/BgL_auxz00_3991); } 
{ /* Reduce/copy.scm 174 */
long BgL_restz00_2888;
{ /* Reduce/copy.scm 174 */
long BgL_auxz00_3996;
{ /* Reduce/copy.scm 174 */
int BgL_auxz00_3997;
BgL_auxz00_3997 = 
(int)(((long)8)); 
BgL_auxz00_3996 = 
(long)(BgL_auxz00_3997); } 
BgL_restz00_2888 = 
(BgL_offsetz00_2885%BgL_auxz00_3996); } 
{ /* Reduce/copy.scm 174 */

{ /* Reduce/copy.scm 174 */
obj_t BgL_bucketz00_2890;
{ /* Reduce/copy.scm 174 */
int BgL_kz00_2900;
BgL_kz00_2900 = 
(int)(BgL_modz00_2886); 
BgL_bucketz00_2890 = 
VECTOR_REF(BgL_arg1221z00_2881,BgL_kz00_2900); } 
{ /* Reduce/copy.scm 174 */
int BgL_kz00_2902;
BgL_kz00_2902 = 
(int)(BgL_restz00_2888); 
BgL_method2696z00_2878 = 
VECTOR_REF(BgL_bucketz00_2890,BgL_kz00_2902); } } } } } } } } 
{ /* Reduce/copy.scm 174 */
obj_t BgL_auxz00_4005;
BgL_auxz00_4005 = 
PROCEDURE_ENTRY(BgL_method2696z00_2878)(BgL_method2696z00_2878, 
(obj_t)(BgL_nodez00_2877), BEOA); 
BgL_res2963z00_2903 = 
(BgL_nodez00_bglt)(BgL_auxz00_4005); } } } 
BgL_arg2860z00_1778 = BgL_res2963z00_2903; } 
{ /* Reduce/copy.scm 174 */
BgL_sfunz00_bglt BgL_obj1374z00_2904;obj_t BgL_val1373z00_2905;
BgL_obj1374z00_2904 = 
(BgL_sfunz00_bglt)(BgL_funz00_1777); 
BgL_val1373z00_2905 = 
(obj_t)(BgL_arg2860z00_1778); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2904))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2905), BUNSPEC); } } } 
{ 
obj_t BgL_l2678z00_4013;
BgL_l2678z00_4013 = 
CDR(BgL_l2678z00_1772); 
BgL_l2678z00_1772 = BgL_l2678z00_4013; 
goto BgL_lname2679z00_1773;} }  else 
{ /* Reduce/copy.scm 172 */((bool_t)1); } } 
{ /* Reduce/copy.scm 176 */
BgL_nodez00_bglt BgL_arg2863z00_1781;
{ /* Reduce/copy.scm 176 */
BgL_nodez00_bglt BgL_arg2864z00_1782;
BgL_arg2864z00_1782 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1768))->BgL_bodyz00); 
{ /* Reduce/copy.scm 176 */
BgL_nodez00_bglt BgL_res2966z00_2934;
{ /* Reduce/copy.scm 176 */
obj_t BgL_method2696z00_2909;
{ /* Reduce/copy.scm 176 */
long BgL_objzd2classzd2numz00_2911;
{ /* Reduce/copy.scm 176 */
BgL_objectz00_bglt BgL_auxz00_4017;
BgL_auxz00_4017 = 
(BgL_objectz00_bglt)(BgL_arg2864z00_1782); 
BgL_objzd2classzd2numz00_2911 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4017); } 
{ /* Reduce/copy.scm 176 */
obj_t BgL_arg1221z00_2912;
{ /* Reduce/copy.scm 176 */
int BgL_auxz00_4020;
BgL_auxz00_4020 = 
(int)(((long)1)); 
BgL_arg1221z00_2912 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4020); } 
{ /* Reduce/copy.scm 176 */
long BgL_offsetz00_2916;
{ /* Reduce/copy.scm 176 */
long BgL_auxz00_4023;
{ /* Reduce/copy.scm 176 */
int BgL_auxz00_4024;
BgL_auxz00_4024 = 
(int)(BgL_objzd2classzd2numz00_2911); 
BgL_auxz00_4023 = 
(long)(BgL_auxz00_4024); } 
BgL_offsetz00_2916 = 
(BgL_auxz00_4023-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 176 */
long BgL_modz00_2917;
{ /* Reduce/copy.scm 176 */
long BgL_auxz00_4028;
{ /* Reduce/copy.scm 176 */
int BgL_auxz00_4029;
BgL_auxz00_4029 = 
(int)(((long)8)); 
BgL_auxz00_4028 = 
(long)(BgL_auxz00_4029); } 
BgL_modz00_2917 = 
(BgL_offsetz00_2916/BgL_auxz00_4028); } 
{ /* Reduce/copy.scm 176 */
long BgL_restz00_2919;
{ /* Reduce/copy.scm 176 */
long BgL_auxz00_4033;
{ /* Reduce/copy.scm 176 */
int BgL_auxz00_4034;
BgL_auxz00_4034 = 
(int)(((long)8)); 
BgL_auxz00_4033 = 
(long)(BgL_auxz00_4034); } 
BgL_restz00_2919 = 
(BgL_offsetz00_2916%BgL_auxz00_4033); } 
{ /* Reduce/copy.scm 176 */

{ /* Reduce/copy.scm 176 */
obj_t BgL_bucketz00_2921;
{ /* Reduce/copy.scm 176 */
int BgL_kz00_2931;
BgL_kz00_2931 = 
(int)(BgL_modz00_2917); 
BgL_bucketz00_2921 = 
VECTOR_REF(BgL_arg1221z00_2912,BgL_kz00_2931); } 
{ /* Reduce/copy.scm 176 */
int BgL_kz00_2933;
BgL_kz00_2933 = 
(int)(BgL_restz00_2919); 
BgL_method2696z00_2909 = 
VECTOR_REF(BgL_bucketz00_2921,BgL_kz00_2933); } } } } } } } } 
{ /* Reduce/copy.scm 176 */
obj_t BgL_auxz00_4042;
BgL_auxz00_4042 = 
PROCEDURE_ENTRY(BgL_method2696z00_2909)(BgL_method2696z00_2909, 
(obj_t)(BgL_arg2864z00_1782), BEOA); 
BgL_res2966z00_2934 = 
(BgL_nodez00_bglt)(BgL_auxz00_4042); } } 
BgL_arg2863z00_1781 = BgL_res2966z00_2934; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1768))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2863z00_1781), BUNSPEC); } 
BgL_auxz00_3969 = BgL_nodez00_1768; 
return 
(obj_t)(BgL_auxz00_3969);} } } 
}



/* node-copy!-select2723 */
obj_t BGl_nodezd2copyz12zd2select2723z12zzreduce_copyz00(obj_t BgL_envz00_3356, obj_t BgL_nodez00_3357)
{ AN_OBJECT;
{ /* Reduce/copy.scm 159 */
{ 
BgL_selectz00_bglt BgL_nodez00_1752;
{ /* Reduce/copy.scm 160 */
BgL_selectz00_bglt BgL_auxz00_4050;
BgL_nodez00_1752 = 
(BgL_selectz00_bglt)(BgL_nodez00_3357); 
{ /* Reduce/copy.scm 161 */
BgL_nodez00_bglt BgL_arg2850z00_1756;
{ /* Reduce/copy.scm 161 */
BgL_nodez00_bglt BgL_arg2851z00_1757;
BgL_arg2851z00_1757 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1752))->BgL_testz00); 
{ /* Reduce/copy.scm 161 */
BgL_nodez00_bglt BgL_res2957z00_2835;
{ /* Reduce/copy.scm 161 */
obj_t BgL_method2696z00_2810;
{ /* Reduce/copy.scm 161 */
long BgL_objzd2classzd2numz00_2812;
{ /* Reduce/copy.scm 161 */
BgL_objectz00_bglt BgL_auxz00_4052;
BgL_auxz00_4052 = 
(BgL_objectz00_bglt)(BgL_arg2851z00_1757); 
BgL_objzd2classzd2numz00_2812 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4052); } 
{ /* Reduce/copy.scm 161 */
obj_t BgL_arg1221z00_2813;
{ /* Reduce/copy.scm 161 */
int BgL_auxz00_4055;
BgL_auxz00_4055 = 
(int)(((long)1)); 
BgL_arg1221z00_2813 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4055); } 
{ /* Reduce/copy.scm 161 */
long BgL_offsetz00_2817;
{ /* Reduce/copy.scm 161 */
long BgL_auxz00_4058;
{ /* Reduce/copy.scm 161 */
int BgL_auxz00_4059;
BgL_auxz00_4059 = 
(int)(BgL_objzd2classzd2numz00_2812); 
BgL_auxz00_4058 = 
(long)(BgL_auxz00_4059); } 
BgL_offsetz00_2817 = 
(BgL_auxz00_4058-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 161 */
long BgL_modz00_2818;
{ /* Reduce/copy.scm 161 */
long BgL_auxz00_4063;
{ /* Reduce/copy.scm 161 */
int BgL_auxz00_4064;
BgL_auxz00_4064 = 
(int)(((long)8)); 
BgL_auxz00_4063 = 
(long)(BgL_auxz00_4064); } 
BgL_modz00_2818 = 
(BgL_offsetz00_2817/BgL_auxz00_4063); } 
{ /* Reduce/copy.scm 161 */
long BgL_restz00_2820;
{ /* Reduce/copy.scm 161 */
long BgL_auxz00_4068;
{ /* Reduce/copy.scm 161 */
int BgL_auxz00_4069;
BgL_auxz00_4069 = 
(int)(((long)8)); 
BgL_auxz00_4068 = 
(long)(BgL_auxz00_4069); } 
BgL_restz00_2820 = 
(BgL_offsetz00_2817%BgL_auxz00_4068); } 
{ /* Reduce/copy.scm 161 */

{ /* Reduce/copy.scm 161 */
obj_t BgL_bucketz00_2822;
{ /* Reduce/copy.scm 161 */
int BgL_kz00_2832;
BgL_kz00_2832 = 
(int)(BgL_modz00_2818); 
BgL_bucketz00_2822 = 
VECTOR_REF(BgL_arg1221z00_2813,BgL_kz00_2832); } 
{ /* Reduce/copy.scm 161 */
int BgL_kz00_2834;
BgL_kz00_2834 = 
(int)(BgL_restz00_2820); 
BgL_method2696z00_2810 = 
VECTOR_REF(BgL_bucketz00_2822,BgL_kz00_2834); } } } } } } } } 
{ /* Reduce/copy.scm 161 */
obj_t BgL_auxz00_4077;
BgL_auxz00_4077 = 
PROCEDURE_ENTRY(BgL_method2696z00_2810)(BgL_method2696z00_2810, 
(obj_t)(BgL_arg2851z00_1757), BEOA); 
BgL_res2957z00_2835 = 
(BgL_nodez00_bglt)(BgL_auxz00_4077); } } 
BgL_arg2850z00_1756 = BgL_res2957z00_2835; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1752))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2850z00_1756), BUNSPEC); } 
{ 
obj_t BgL_l2674z00_1758;
BgL_l2674z00_1758 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1752))->BgL_clausesz00); 
BgL_lname2675z00_1759:
if(
PAIRP(BgL_l2674z00_1758))
{ /* Reduce/copy.scm 162 */
{ /* Reduce/copy.scm 163 */
obj_t BgL_clausez00_1762;
BgL_clausez00_1762 = 
CAR(BgL_l2674z00_1758); 
{ /* Reduce/copy.scm 163 */
BgL_nodez00_bglt BgL_arg2854z00_1763;
{ /* Reduce/copy.scm 163 */
BgL_nodez00_bglt BgL_res2960z00_2868;
{ /* Reduce/copy.scm 163 */
BgL_nodez00_bglt BgL_nodez00_2842;
{ /* Reduce/copy.scm 163 */
obj_t BgL_auxz00_4086;
BgL_auxz00_4086 = 
CDR(BgL_clausez00_1762); 
BgL_nodez00_2842 = 
(BgL_nodez00_bglt)(BgL_auxz00_4086); } 
{ /* Reduce/copy.scm 163 */
obj_t BgL_method2696z00_2843;
{ /* Reduce/copy.scm 163 */
long BgL_objzd2classzd2numz00_2845;
{ /* Reduce/copy.scm 163 */
BgL_objectz00_bglt BgL_auxz00_4089;
BgL_auxz00_4089 = 
(BgL_objectz00_bglt)(BgL_nodez00_2842); 
BgL_objzd2classzd2numz00_2845 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4089); } 
{ /* Reduce/copy.scm 163 */
obj_t BgL_arg1221z00_2846;
{ /* Reduce/copy.scm 163 */
int BgL_auxz00_4092;
BgL_auxz00_4092 = 
(int)(((long)1)); 
BgL_arg1221z00_2846 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4092); } 
{ /* Reduce/copy.scm 163 */
long BgL_offsetz00_2850;
{ /* Reduce/copy.scm 163 */
long BgL_auxz00_4095;
{ /* Reduce/copy.scm 163 */
int BgL_auxz00_4096;
BgL_auxz00_4096 = 
(int)(BgL_objzd2classzd2numz00_2845); 
BgL_auxz00_4095 = 
(long)(BgL_auxz00_4096); } 
BgL_offsetz00_2850 = 
(BgL_auxz00_4095-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 163 */
long BgL_modz00_2851;
{ /* Reduce/copy.scm 163 */
long BgL_auxz00_4100;
{ /* Reduce/copy.scm 163 */
int BgL_auxz00_4101;
BgL_auxz00_4101 = 
(int)(((long)8)); 
BgL_auxz00_4100 = 
(long)(BgL_auxz00_4101); } 
BgL_modz00_2851 = 
(BgL_offsetz00_2850/BgL_auxz00_4100); } 
{ /* Reduce/copy.scm 163 */
long BgL_restz00_2853;
{ /* Reduce/copy.scm 163 */
long BgL_auxz00_4105;
{ /* Reduce/copy.scm 163 */
int BgL_auxz00_4106;
BgL_auxz00_4106 = 
(int)(((long)8)); 
BgL_auxz00_4105 = 
(long)(BgL_auxz00_4106); } 
BgL_restz00_2853 = 
(BgL_offsetz00_2850%BgL_auxz00_4105); } 
{ /* Reduce/copy.scm 163 */

{ /* Reduce/copy.scm 163 */
obj_t BgL_bucketz00_2855;
{ /* Reduce/copy.scm 163 */
int BgL_kz00_2865;
BgL_kz00_2865 = 
(int)(BgL_modz00_2851); 
BgL_bucketz00_2855 = 
VECTOR_REF(BgL_arg1221z00_2846,BgL_kz00_2865); } 
{ /* Reduce/copy.scm 163 */
int BgL_kz00_2867;
BgL_kz00_2867 = 
(int)(BgL_restz00_2853); 
BgL_method2696z00_2843 = 
VECTOR_REF(BgL_bucketz00_2855,BgL_kz00_2867); } } } } } } } } 
{ /* Reduce/copy.scm 163 */
obj_t BgL_auxz00_4114;
BgL_auxz00_4114 = 
PROCEDURE_ENTRY(BgL_method2696z00_2843)(BgL_method2696z00_2843, 
(obj_t)(BgL_nodez00_2842), BEOA); 
BgL_res2960z00_2868 = 
(BgL_nodez00_bglt)(BgL_auxz00_4114); } } } 
BgL_arg2854z00_1763 = BgL_res2960z00_2868; } 
{ /* Reduce/copy.scm 163 */
obj_t BgL_auxz00_4119;
BgL_auxz00_4119 = 
(obj_t)(BgL_arg2854z00_1763); 
SET_CDR(BgL_clausez00_1762, BgL_auxz00_4119); } } } 
{ 
obj_t BgL_l2674z00_4122;
BgL_l2674z00_4122 = 
CDR(BgL_l2674z00_1758); 
BgL_l2674z00_1758 = BgL_l2674z00_4122; 
goto BgL_lname2675z00_1759;} }  else 
{ /* Reduce/copy.scm 162 */((bool_t)1); } } 
BgL_auxz00_4050 = BgL_nodez00_1752; 
return 
(obj_t)(BgL_auxz00_4050);} } } 
}



/* node-copy!-fail2720 */
obj_t BGl_nodezd2copyz12zd2fail2720z12zzreduce_copyz00(obj_t BgL_envz00_3358, obj_t BgL_nodez00_3359)
{ AN_OBJECT;
{ /* Reduce/copy.scm 149 */
{ 
BgL_failz00_bglt BgL_nodez00_1740;
{ /* Reduce/copy.scm 150 */
BgL_failz00_bglt BgL_auxz00_4127;
BgL_nodez00_1740 = 
(BgL_failz00_bglt)(BgL_nodez00_3359); 
{ /* Reduce/copy.scm 151 */
BgL_nodez00_bglt BgL_arg2843z00_1744;
{ /* Reduce/copy.scm 151 */
BgL_nodez00_bglt BgL_arg2844z00_1745;
BgL_arg2844z00_1745 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1740))->BgL_procz00); 
{ /* Reduce/copy.scm 151 */
BgL_nodez00_bglt BgL_res2948z00_2745;
{ /* Reduce/copy.scm 151 */
obj_t BgL_method2696z00_2720;
{ /* Reduce/copy.scm 151 */
long BgL_objzd2classzd2numz00_2722;
{ /* Reduce/copy.scm 151 */
BgL_objectz00_bglt BgL_auxz00_4129;
BgL_auxz00_4129 = 
(BgL_objectz00_bglt)(BgL_arg2844z00_1745); 
BgL_objzd2classzd2numz00_2722 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4129); } 
{ /* Reduce/copy.scm 151 */
obj_t BgL_arg1221z00_2723;
{ /* Reduce/copy.scm 151 */
int BgL_auxz00_4132;
BgL_auxz00_4132 = 
(int)(((long)1)); 
BgL_arg1221z00_2723 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4132); } 
{ /* Reduce/copy.scm 151 */
long BgL_offsetz00_2727;
{ /* Reduce/copy.scm 151 */
long BgL_auxz00_4135;
{ /* Reduce/copy.scm 151 */
int BgL_auxz00_4136;
BgL_auxz00_4136 = 
(int)(BgL_objzd2classzd2numz00_2722); 
BgL_auxz00_4135 = 
(long)(BgL_auxz00_4136); } 
BgL_offsetz00_2727 = 
(BgL_auxz00_4135-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 151 */
long BgL_modz00_2728;
{ /* Reduce/copy.scm 151 */
long BgL_auxz00_4140;
{ /* Reduce/copy.scm 151 */
int BgL_auxz00_4141;
BgL_auxz00_4141 = 
(int)(((long)8)); 
BgL_auxz00_4140 = 
(long)(BgL_auxz00_4141); } 
BgL_modz00_2728 = 
(BgL_offsetz00_2727/BgL_auxz00_4140); } 
{ /* Reduce/copy.scm 151 */
long BgL_restz00_2730;
{ /* Reduce/copy.scm 151 */
long BgL_auxz00_4145;
{ /* Reduce/copy.scm 151 */
int BgL_auxz00_4146;
BgL_auxz00_4146 = 
(int)(((long)8)); 
BgL_auxz00_4145 = 
(long)(BgL_auxz00_4146); } 
BgL_restz00_2730 = 
(BgL_offsetz00_2727%BgL_auxz00_4145); } 
{ /* Reduce/copy.scm 151 */

{ /* Reduce/copy.scm 151 */
obj_t BgL_bucketz00_2732;
{ /* Reduce/copy.scm 151 */
int BgL_kz00_2742;
BgL_kz00_2742 = 
(int)(BgL_modz00_2728); 
BgL_bucketz00_2732 = 
VECTOR_REF(BgL_arg1221z00_2723,BgL_kz00_2742); } 
{ /* Reduce/copy.scm 151 */
int BgL_kz00_2744;
BgL_kz00_2744 = 
(int)(BgL_restz00_2730); 
BgL_method2696z00_2720 = 
VECTOR_REF(BgL_bucketz00_2732,BgL_kz00_2744); } } } } } } } } 
{ /* Reduce/copy.scm 151 */
obj_t BgL_auxz00_4154;
BgL_auxz00_4154 = 
PROCEDURE_ENTRY(BgL_method2696z00_2720)(BgL_method2696z00_2720, 
(obj_t)(BgL_arg2844z00_1745), BEOA); 
BgL_res2948z00_2745 = 
(BgL_nodez00_bglt)(BgL_auxz00_4154); } } 
BgL_arg2843z00_1744 = BgL_res2948z00_2745; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1740))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg2843z00_1744), BUNSPEC); } 
{ /* Reduce/copy.scm 152 */
BgL_nodez00_bglt BgL_arg2845z00_1746;
{ /* Reduce/copy.scm 152 */
BgL_nodez00_bglt BgL_arg2846z00_1747;
BgL_arg2846z00_1747 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1740))->BgL_msgz00); 
{ /* Reduce/copy.scm 152 */
BgL_nodez00_bglt BgL_res2951z00_2775;
{ /* Reduce/copy.scm 152 */
obj_t BgL_method2696z00_2750;
{ /* Reduce/copy.scm 152 */
long BgL_objzd2classzd2numz00_2752;
{ /* Reduce/copy.scm 152 */
BgL_objectz00_bglt BgL_auxz00_4161;
BgL_auxz00_4161 = 
(BgL_objectz00_bglt)(BgL_arg2846z00_1747); 
BgL_objzd2classzd2numz00_2752 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4161); } 
{ /* Reduce/copy.scm 152 */
obj_t BgL_arg1221z00_2753;
{ /* Reduce/copy.scm 152 */
int BgL_auxz00_4164;
BgL_auxz00_4164 = 
(int)(((long)1)); 
BgL_arg1221z00_2753 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4164); } 
{ /* Reduce/copy.scm 152 */
long BgL_offsetz00_2757;
{ /* Reduce/copy.scm 152 */
long BgL_auxz00_4167;
{ /* Reduce/copy.scm 152 */
int BgL_auxz00_4168;
BgL_auxz00_4168 = 
(int)(BgL_objzd2classzd2numz00_2752); 
BgL_auxz00_4167 = 
(long)(BgL_auxz00_4168); } 
BgL_offsetz00_2757 = 
(BgL_auxz00_4167-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 152 */
long BgL_modz00_2758;
{ /* Reduce/copy.scm 152 */
long BgL_auxz00_4172;
{ /* Reduce/copy.scm 152 */
int BgL_auxz00_4173;
BgL_auxz00_4173 = 
(int)(((long)8)); 
BgL_auxz00_4172 = 
(long)(BgL_auxz00_4173); } 
BgL_modz00_2758 = 
(BgL_offsetz00_2757/BgL_auxz00_4172); } 
{ /* Reduce/copy.scm 152 */
long BgL_restz00_2760;
{ /* Reduce/copy.scm 152 */
long BgL_auxz00_4177;
{ /* Reduce/copy.scm 152 */
int BgL_auxz00_4178;
BgL_auxz00_4178 = 
(int)(((long)8)); 
BgL_auxz00_4177 = 
(long)(BgL_auxz00_4178); } 
BgL_restz00_2760 = 
(BgL_offsetz00_2757%BgL_auxz00_4177); } 
{ /* Reduce/copy.scm 152 */

{ /* Reduce/copy.scm 152 */
obj_t BgL_bucketz00_2762;
{ /* Reduce/copy.scm 152 */
int BgL_kz00_2772;
BgL_kz00_2772 = 
(int)(BgL_modz00_2758); 
BgL_bucketz00_2762 = 
VECTOR_REF(BgL_arg1221z00_2753,BgL_kz00_2772); } 
{ /* Reduce/copy.scm 152 */
int BgL_kz00_2774;
BgL_kz00_2774 = 
(int)(BgL_restz00_2760); 
BgL_method2696z00_2750 = 
VECTOR_REF(BgL_bucketz00_2762,BgL_kz00_2774); } } } } } } } } 
{ /* Reduce/copy.scm 152 */
obj_t BgL_auxz00_4186;
BgL_auxz00_4186 = 
PROCEDURE_ENTRY(BgL_method2696z00_2750)(BgL_method2696z00_2750, 
(obj_t)(BgL_arg2846z00_1747), BEOA); 
BgL_res2951z00_2775 = 
(BgL_nodez00_bglt)(BgL_auxz00_4186); } } 
BgL_arg2845z00_1746 = BgL_res2951z00_2775; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1740))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg2845z00_1746), BUNSPEC); } 
{ /* Reduce/copy.scm 153 */
BgL_nodez00_bglt BgL_arg2847z00_1748;
{ /* Reduce/copy.scm 153 */
BgL_nodez00_bglt BgL_arg2848z00_1749;
BgL_arg2848z00_1749 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1740))->BgL_objz00); 
{ /* Reduce/copy.scm 153 */
BgL_nodez00_bglt BgL_res2954z00_2805;
{ /* Reduce/copy.scm 153 */
obj_t BgL_method2696z00_2780;
{ /* Reduce/copy.scm 153 */
long BgL_objzd2classzd2numz00_2782;
{ /* Reduce/copy.scm 153 */
BgL_objectz00_bglt BgL_auxz00_4193;
BgL_auxz00_4193 = 
(BgL_objectz00_bglt)(BgL_arg2848z00_1749); 
BgL_objzd2classzd2numz00_2782 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4193); } 
{ /* Reduce/copy.scm 153 */
obj_t BgL_arg1221z00_2783;
{ /* Reduce/copy.scm 153 */
int BgL_auxz00_4196;
BgL_auxz00_4196 = 
(int)(((long)1)); 
BgL_arg1221z00_2783 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4196); } 
{ /* Reduce/copy.scm 153 */
long BgL_offsetz00_2787;
{ /* Reduce/copy.scm 153 */
long BgL_auxz00_4199;
{ /* Reduce/copy.scm 153 */
int BgL_auxz00_4200;
BgL_auxz00_4200 = 
(int)(BgL_objzd2classzd2numz00_2782); 
BgL_auxz00_4199 = 
(long)(BgL_auxz00_4200); } 
BgL_offsetz00_2787 = 
(BgL_auxz00_4199-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 153 */
long BgL_modz00_2788;
{ /* Reduce/copy.scm 153 */
long BgL_auxz00_4204;
{ /* Reduce/copy.scm 153 */
int BgL_auxz00_4205;
BgL_auxz00_4205 = 
(int)(((long)8)); 
BgL_auxz00_4204 = 
(long)(BgL_auxz00_4205); } 
BgL_modz00_2788 = 
(BgL_offsetz00_2787/BgL_auxz00_4204); } 
{ /* Reduce/copy.scm 153 */
long BgL_restz00_2790;
{ /* Reduce/copy.scm 153 */
long BgL_auxz00_4209;
{ /* Reduce/copy.scm 153 */
int BgL_auxz00_4210;
BgL_auxz00_4210 = 
(int)(((long)8)); 
BgL_auxz00_4209 = 
(long)(BgL_auxz00_4210); } 
BgL_restz00_2790 = 
(BgL_offsetz00_2787%BgL_auxz00_4209); } 
{ /* Reduce/copy.scm 153 */

{ /* Reduce/copy.scm 153 */
obj_t BgL_bucketz00_2792;
{ /* Reduce/copy.scm 153 */
int BgL_kz00_2802;
BgL_kz00_2802 = 
(int)(BgL_modz00_2788); 
BgL_bucketz00_2792 = 
VECTOR_REF(BgL_arg1221z00_2783,BgL_kz00_2802); } 
{ /* Reduce/copy.scm 153 */
int BgL_kz00_2804;
BgL_kz00_2804 = 
(int)(BgL_restz00_2790); 
BgL_method2696z00_2780 = 
VECTOR_REF(BgL_bucketz00_2792,BgL_kz00_2804); } } } } } } } } 
{ /* Reduce/copy.scm 153 */
obj_t BgL_auxz00_4218;
BgL_auxz00_4218 = 
PROCEDURE_ENTRY(BgL_method2696z00_2780)(BgL_method2696z00_2780, 
(obj_t)(BgL_arg2848z00_1749), BEOA); 
BgL_res2954z00_2805 = 
(BgL_nodez00_bglt)(BgL_auxz00_4218); } } 
BgL_arg2847z00_1748 = BgL_res2954z00_2805; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1740))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg2847z00_1748), BUNSPEC); } 
BgL_auxz00_4127 = BgL_nodez00_1740; 
return 
(obj_t)(BgL_auxz00_4127);} } } 
}



/* node-copy!-conditional2718 */
obj_t BGl_nodezd2copyz12zd2conditional2718z12zzreduce_copyz00(obj_t BgL_envz00_3360, obj_t BgL_nodez00_3361)
{ AN_OBJECT;
{ /* Reduce/copy.scm 139 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1728;
{ /* Reduce/copy.scm 140 */
BgL_conditionalz00_bglt BgL_auxz00_4226;
BgL_nodez00_1728 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3361); 
{ /* Reduce/copy.scm 141 */
BgL_nodez00_bglt BgL_arg2836z00_1732;
{ /* Reduce/copy.scm 141 */
BgL_nodez00_bglt BgL_arg2837z00_1733;
BgL_arg2837z00_1733 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1728))->BgL_testz00); 
{ /* Reduce/copy.scm 141 */
BgL_nodez00_bglt BgL_res2939z00_2655;
{ /* Reduce/copy.scm 141 */
obj_t BgL_method2696z00_2630;
{ /* Reduce/copy.scm 141 */
long BgL_objzd2classzd2numz00_2632;
{ /* Reduce/copy.scm 141 */
BgL_objectz00_bglt BgL_auxz00_4228;
BgL_auxz00_4228 = 
(BgL_objectz00_bglt)(BgL_arg2837z00_1733); 
BgL_objzd2classzd2numz00_2632 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4228); } 
{ /* Reduce/copy.scm 141 */
obj_t BgL_arg1221z00_2633;
{ /* Reduce/copy.scm 141 */
int BgL_auxz00_4231;
BgL_auxz00_4231 = 
(int)(((long)1)); 
BgL_arg1221z00_2633 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4231); } 
{ /* Reduce/copy.scm 141 */
long BgL_offsetz00_2637;
{ /* Reduce/copy.scm 141 */
long BgL_auxz00_4234;
{ /* Reduce/copy.scm 141 */
int BgL_auxz00_4235;
BgL_auxz00_4235 = 
(int)(BgL_objzd2classzd2numz00_2632); 
BgL_auxz00_4234 = 
(long)(BgL_auxz00_4235); } 
BgL_offsetz00_2637 = 
(BgL_auxz00_4234-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 141 */
long BgL_modz00_2638;
{ /* Reduce/copy.scm 141 */
long BgL_auxz00_4239;
{ /* Reduce/copy.scm 141 */
int BgL_auxz00_4240;
BgL_auxz00_4240 = 
(int)(((long)8)); 
BgL_auxz00_4239 = 
(long)(BgL_auxz00_4240); } 
BgL_modz00_2638 = 
(BgL_offsetz00_2637/BgL_auxz00_4239); } 
{ /* Reduce/copy.scm 141 */
long BgL_restz00_2640;
{ /* Reduce/copy.scm 141 */
long BgL_auxz00_4244;
{ /* Reduce/copy.scm 141 */
int BgL_auxz00_4245;
BgL_auxz00_4245 = 
(int)(((long)8)); 
BgL_auxz00_4244 = 
(long)(BgL_auxz00_4245); } 
BgL_restz00_2640 = 
(BgL_offsetz00_2637%BgL_auxz00_4244); } 
{ /* Reduce/copy.scm 141 */

{ /* Reduce/copy.scm 141 */
obj_t BgL_bucketz00_2642;
{ /* Reduce/copy.scm 141 */
int BgL_kz00_2652;
BgL_kz00_2652 = 
(int)(BgL_modz00_2638); 
BgL_bucketz00_2642 = 
VECTOR_REF(BgL_arg1221z00_2633,BgL_kz00_2652); } 
{ /* Reduce/copy.scm 141 */
int BgL_kz00_2654;
BgL_kz00_2654 = 
(int)(BgL_restz00_2640); 
BgL_method2696z00_2630 = 
VECTOR_REF(BgL_bucketz00_2642,BgL_kz00_2654); } } } } } } } } 
{ /* Reduce/copy.scm 141 */
obj_t BgL_auxz00_4253;
BgL_auxz00_4253 = 
PROCEDURE_ENTRY(BgL_method2696z00_2630)(BgL_method2696z00_2630, 
(obj_t)(BgL_arg2837z00_1733), BEOA); 
BgL_res2939z00_2655 = 
(BgL_nodez00_bglt)(BgL_auxz00_4253); } } 
BgL_arg2836z00_1732 = BgL_res2939z00_2655; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1728))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg2836z00_1732), BUNSPEC); } 
{ /* Reduce/copy.scm 142 */
BgL_nodez00_bglt BgL_arg2838z00_1734;
{ /* Reduce/copy.scm 142 */
BgL_nodez00_bglt BgL_arg2839z00_1735;
BgL_arg2839z00_1735 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1728))->BgL_truez00); 
{ /* Reduce/copy.scm 142 */
BgL_nodez00_bglt BgL_res2942z00_2685;
{ /* Reduce/copy.scm 142 */
obj_t BgL_method2696z00_2660;
{ /* Reduce/copy.scm 142 */
long BgL_objzd2classzd2numz00_2662;
{ /* Reduce/copy.scm 142 */
BgL_objectz00_bglt BgL_auxz00_4260;
BgL_auxz00_4260 = 
(BgL_objectz00_bglt)(BgL_arg2839z00_1735); 
BgL_objzd2classzd2numz00_2662 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4260); } 
{ /* Reduce/copy.scm 142 */
obj_t BgL_arg1221z00_2663;
{ /* Reduce/copy.scm 142 */
int BgL_auxz00_4263;
BgL_auxz00_4263 = 
(int)(((long)1)); 
BgL_arg1221z00_2663 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4263); } 
{ /* Reduce/copy.scm 142 */
long BgL_offsetz00_2667;
{ /* Reduce/copy.scm 142 */
long BgL_auxz00_4266;
{ /* Reduce/copy.scm 142 */
int BgL_auxz00_4267;
BgL_auxz00_4267 = 
(int)(BgL_objzd2classzd2numz00_2662); 
BgL_auxz00_4266 = 
(long)(BgL_auxz00_4267); } 
BgL_offsetz00_2667 = 
(BgL_auxz00_4266-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 142 */
long BgL_modz00_2668;
{ /* Reduce/copy.scm 142 */
long BgL_auxz00_4271;
{ /* Reduce/copy.scm 142 */
int BgL_auxz00_4272;
BgL_auxz00_4272 = 
(int)(((long)8)); 
BgL_auxz00_4271 = 
(long)(BgL_auxz00_4272); } 
BgL_modz00_2668 = 
(BgL_offsetz00_2667/BgL_auxz00_4271); } 
{ /* Reduce/copy.scm 142 */
long BgL_restz00_2670;
{ /* Reduce/copy.scm 142 */
long BgL_auxz00_4276;
{ /* Reduce/copy.scm 142 */
int BgL_auxz00_4277;
BgL_auxz00_4277 = 
(int)(((long)8)); 
BgL_auxz00_4276 = 
(long)(BgL_auxz00_4277); } 
BgL_restz00_2670 = 
(BgL_offsetz00_2667%BgL_auxz00_4276); } 
{ /* Reduce/copy.scm 142 */

{ /* Reduce/copy.scm 142 */
obj_t BgL_bucketz00_2672;
{ /* Reduce/copy.scm 142 */
int BgL_kz00_2682;
BgL_kz00_2682 = 
(int)(BgL_modz00_2668); 
BgL_bucketz00_2672 = 
VECTOR_REF(BgL_arg1221z00_2663,BgL_kz00_2682); } 
{ /* Reduce/copy.scm 142 */
int BgL_kz00_2684;
BgL_kz00_2684 = 
(int)(BgL_restz00_2670); 
BgL_method2696z00_2660 = 
VECTOR_REF(BgL_bucketz00_2672,BgL_kz00_2684); } } } } } } } } 
{ /* Reduce/copy.scm 142 */
obj_t BgL_auxz00_4285;
BgL_auxz00_4285 = 
PROCEDURE_ENTRY(BgL_method2696z00_2660)(BgL_method2696z00_2660, 
(obj_t)(BgL_arg2839z00_1735), BEOA); 
BgL_res2942z00_2685 = 
(BgL_nodez00_bglt)(BgL_auxz00_4285); } } 
BgL_arg2838z00_1734 = BgL_res2942z00_2685; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1728))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg2838z00_1734), BUNSPEC); } 
{ /* Reduce/copy.scm 143 */
BgL_nodez00_bglt BgL_arg2840z00_1736;
{ /* Reduce/copy.scm 143 */
BgL_nodez00_bglt BgL_arg2841z00_1737;
BgL_arg2841z00_1737 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1728))->BgL_falsez00); 
{ /* Reduce/copy.scm 143 */
BgL_nodez00_bglt BgL_res2945z00_2715;
{ /* Reduce/copy.scm 143 */
obj_t BgL_method2696z00_2690;
{ /* Reduce/copy.scm 143 */
long BgL_objzd2classzd2numz00_2692;
{ /* Reduce/copy.scm 143 */
BgL_objectz00_bglt BgL_auxz00_4292;
BgL_auxz00_4292 = 
(BgL_objectz00_bglt)(BgL_arg2841z00_1737); 
BgL_objzd2classzd2numz00_2692 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4292); } 
{ /* Reduce/copy.scm 143 */
obj_t BgL_arg1221z00_2693;
{ /* Reduce/copy.scm 143 */
int BgL_auxz00_4295;
BgL_auxz00_4295 = 
(int)(((long)1)); 
BgL_arg1221z00_2693 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4295); } 
{ /* Reduce/copy.scm 143 */
long BgL_offsetz00_2697;
{ /* Reduce/copy.scm 143 */
long BgL_auxz00_4298;
{ /* Reduce/copy.scm 143 */
int BgL_auxz00_4299;
BgL_auxz00_4299 = 
(int)(BgL_objzd2classzd2numz00_2692); 
BgL_auxz00_4298 = 
(long)(BgL_auxz00_4299); } 
BgL_offsetz00_2697 = 
(BgL_auxz00_4298-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 143 */
long BgL_modz00_2698;
{ /* Reduce/copy.scm 143 */
long BgL_auxz00_4303;
{ /* Reduce/copy.scm 143 */
int BgL_auxz00_4304;
BgL_auxz00_4304 = 
(int)(((long)8)); 
BgL_auxz00_4303 = 
(long)(BgL_auxz00_4304); } 
BgL_modz00_2698 = 
(BgL_offsetz00_2697/BgL_auxz00_4303); } 
{ /* Reduce/copy.scm 143 */
long BgL_restz00_2700;
{ /* Reduce/copy.scm 143 */
long BgL_auxz00_4308;
{ /* Reduce/copy.scm 143 */
int BgL_auxz00_4309;
BgL_auxz00_4309 = 
(int)(((long)8)); 
BgL_auxz00_4308 = 
(long)(BgL_auxz00_4309); } 
BgL_restz00_2700 = 
(BgL_offsetz00_2697%BgL_auxz00_4308); } 
{ /* Reduce/copy.scm 143 */

{ /* Reduce/copy.scm 143 */
obj_t BgL_bucketz00_2702;
{ /* Reduce/copy.scm 143 */
int BgL_kz00_2712;
BgL_kz00_2712 = 
(int)(BgL_modz00_2698); 
BgL_bucketz00_2702 = 
VECTOR_REF(BgL_arg1221z00_2693,BgL_kz00_2712); } 
{ /* Reduce/copy.scm 143 */
int BgL_kz00_2714;
BgL_kz00_2714 = 
(int)(BgL_restz00_2700); 
BgL_method2696z00_2690 = 
VECTOR_REF(BgL_bucketz00_2702,BgL_kz00_2714); } } } } } } } } 
{ /* Reduce/copy.scm 143 */
obj_t BgL_auxz00_4317;
BgL_auxz00_4317 = 
PROCEDURE_ENTRY(BgL_method2696z00_2690)(BgL_method2696z00_2690, 
(obj_t)(BgL_arg2841z00_1737), BEOA); 
BgL_res2945z00_2715 = 
(BgL_nodez00_bglt)(BgL_auxz00_4317); } } 
BgL_arg2840z00_1736 = BgL_res2945z00_2715; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1728))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg2840z00_1736), BUNSPEC); } 
BgL_auxz00_4226 = BgL_nodez00_1728; 
return 
(obj_t)(BgL_auxz00_4226);} } } 
}



/* node-copy!-setq2716 */
obj_t BGl_nodezd2copyz12zd2setq2716z12zzreduce_copyz00(obj_t BgL_envz00_3362, obj_t BgL_nodez00_3363)
{ AN_OBJECT;
{ /* Reduce/copy.scm 130 */
{ 
BgL_setqz00_bglt BgL_nodez00_1718;
{ /* Reduce/copy.scm 131 */
BgL_setqz00_bglt BgL_auxz00_4325;
BgL_nodez00_1718 = 
(BgL_setqz00_bglt)(BgL_nodez00_3363); 
{ /* Reduce/copy.scm 132 */
BgL_nodez00_bglt BgL_arg2831z00_1722;
{ /* Reduce/copy.scm 132 */
BgL_nodez00_bglt BgL_arg2832z00_1723;
BgL_arg2832z00_1723 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1718))->BgL_valuez00); 
{ /* Reduce/copy.scm 132 */
BgL_nodez00_bglt BgL_res2933z00_2595;
{ /* Reduce/copy.scm 132 */
obj_t BgL_method2696z00_2570;
{ /* Reduce/copy.scm 132 */
long BgL_objzd2classzd2numz00_2572;
{ /* Reduce/copy.scm 132 */
BgL_objectz00_bglt BgL_auxz00_4327;
BgL_auxz00_4327 = 
(BgL_objectz00_bglt)(BgL_arg2832z00_1723); 
BgL_objzd2classzd2numz00_2572 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4327); } 
{ /* Reduce/copy.scm 132 */
obj_t BgL_arg1221z00_2573;
{ /* Reduce/copy.scm 132 */
int BgL_auxz00_4330;
BgL_auxz00_4330 = 
(int)(((long)1)); 
BgL_arg1221z00_2573 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4330); } 
{ /* Reduce/copy.scm 132 */
long BgL_offsetz00_2577;
{ /* Reduce/copy.scm 132 */
long BgL_auxz00_4333;
{ /* Reduce/copy.scm 132 */
int BgL_auxz00_4334;
BgL_auxz00_4334 = 
(int)(BgL_objzd2classzd2numz00_2572); 
BgL_auxz00_4333 = 
(long)(BgL_auxz00_4334); } 
BgL_offsetz00_2577 = 
(BgL_auxz00_4333-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 132 */
long BgL_modz00_2578;
{ /* Reduce/copy.scm 132 */
long BgL_auxz00_4338;
{ /* Reduce/copy.scm 132 */
int BgL_auxz00_4339;
BgL_auxz00_4339 = 
(int)(((long)8)); 
BgL_auxz00_4338 = 
(long)(BgL_auxz00_4339); } 
BgL_modz00_2578 = 
(BgL_offsetz00_2577/BgL_auxz00_4338); } 
{ /* Reduce/copy.scm 132 */
long BgL_restz00_2580;
{ /* Reduce/copy.scm 132 */
long BgL_auxz00_4343;
{ /* Reduce/copy.scm 132 */
int BgL_auxz00_4344;
BgL_auxz00_4344 = 
(int)(((long)8)); 
BgL_auxz00_4343 = 
(long)(BgL_auxz00_4344); } 
BgL_restz00_2580 = 
(BgL_offsetz00_2577%BgL_auxz00_4343); } 
{ /* Reduce/copy.scm 132 */

{ /* Reduce/copy.scm 132 */
obj_t BgL_bucketz00_2582;
{ /* Reduce/copy.scm 132 */
int BgL_kz00_2592;
BgL_kz00_2592 = 
(int)(BgL_modz00_2578); 
BgL_bucketz00_2582 = 
VECTOR_REF(BgL_arg1221z00_2573,BgL_kz00_2592); } 
{ /* Reduce/copy.scm 132 */
int BgL_kz00_2594;
BgL_kz00_2594 = 
(int)(BgL_restz00_2580); 
BgL_method2696z00_2570 = 
VECTOR_REF(BgL_bucketz00_2582,BgL_kz00_2594); } } } } } } } } 
{ /* Reduce/copy.scm 132 */
obj_t BgL_auxz00_4352;
BgL_auxz00_4352 = 
PROCEDURE_ENTRY(BgL_method2696z00_2570)(BgL_method2696z00_2570, 
(obj_t)(BgL_arg2832z00_1723), BEOA); 
BgL_res2933z00_2595 = 
(BgL_nodez00_bglt)(BgL_auxz00_4352); } } 
BgL_arg2831z00_1722 = BgL_res2933z00_2595; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1718))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg2831z00_1722), BUNSPEC); } 
{ /* Reduce/copy.scm 133 */
BgL_nodez00_bglt BgL_arg2833z00_1724;
{ /* Reduce/copy.scm 133 */
BgL_nodez00_bglt BgL_res2936z00_2625;
{ /* Reduce/copy.scm 133 */
BgL_nodez00_bglt BgL_nodez00_2599;
{ /* Reduce/copy.scm 133 */
BgL_varz00_bglt BgL_auxz00_4358;
BgL_auxz00_4358 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1718))->BgL_varz00); 
BgL_nodez00_2599 = 
(BgL_nodez00_bglt)(BgL_auxz00_4358); } 
{ /* Reduce/copy.scm 133 */
obj_t BgL_method2696z00_2600;
{ /* Reduce/copy.scm 133 */
long BgL_objzd2classzd2numz00_2602;
{ /* Reduce/copy.scm 133 */
BgL_objectz00_bglt BgL_auxz00_4361;
BgL_auxz00_4361 = 
(BgL_objectz00_bglt)(BgL_nodez00_2599); 
BgL_objzd2classzd2numz00_2602 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4361); } 
{ /* Reduce/copy.scm 133 */
obj_t BgL_arg1221z00_2603;
{ /* Reduce/copy.scm 133 */
int BgL_auxz00_4364;
BgL_auxz00_4364 = 
(int)(((long)1)); 
BgL_arg1221z00_2603 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4364); } 
{ /* Reduce/copy.scm 133 */
long BgL_offsetz00_2607;
{ /* Reduce/copy.scm 133 */
long BgL_auxz00_4367;
{ /* Reduce/copy.scm 133 */
int BgL_auxz00_4368;
BgL_auxz00_4368 = 
(int)(BgL_objzd2classzd2numz00_2602); 
BgL_auxz00_4367 = 
(long)(BgL_auxz00_4368); } 
BgL_offsetz00_2607 = 
(BgL_auxz00_4367-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 133 */
long BgL_modz00_2608;
{ /* Reduce/copy.scm 133 */
long BgL_auxz00_4372;
{ /* Reduce/copy.scm 133 */
int BgL_auxz00_4373;
BgL_auxz00_4373 = 
(int)(((long)8)); 
BgL_auxz00_4372 = 
(long)(BgL_auxz00_4373); } 
BgL_modz00_2608 = 
(BgL_offsetz00_2607/BgL_auxz00_4372); } 
{ /* Reduce/copy.scm 133 */
long BgL_restz00_2610;
{ /* Reduce/copy.scm 133 */
long BgL_auxz00_4377;
{ /* Reduce/copy.scm 133 */
int BgL_auxz00_4378;
BgL_auxz00_4378 = 
(int)(((long)8)); 
BgL_auxz00_4377 = 
(long)(BgL_auxz00_4378); } 
BgL_restz00_2610 = 
(BgL_offsetz00_2607%BgL_auxz00_4377); } 
{ /* Reduce/copy.scm 133 */

{ /* Reduce/copy.scm 133 */
obj_t BgL_bucketz00_2612;
{ /* Reduce/copy.scm 133 */
int BgL_kz00_2622;
BgL_kz00_2622 = 
(int)(BgL_modz00_2608); 
BgL_bucketz00_2612 = 
VECTOR_REF(BgL_arg1221z00_2603,BgL_kz00_2622); } 
{ /* Reduce/copy.scm 133 */
int BgL_kz00_2624;
BgL_kz00_2624 = 
(int)(BgL_restz00_2610); 
BgL_method2696z00_2600 = 
VECTOR_REF(BgL_bucketz00_2612,BgL_kz00_2624); } } } } } } } } 
{ /* Reduce/copy.scm 133 */
obj_t BgL_auxz00_4386;
BgL_auxz00_4386 = 
PROCEDURE_ENTRY(BgL_method2696z00_2600)(BgL_method2696z00_2600, 
(obj_t)(BgL_nodez00_2599), BEOA); 
BgL_res2936z00_2625 = 
(BgL_nodez00_bglt)(BgL_auxz00_4386); } } } 
BgL_arg2833z00_1724 = BgL_res2936z00_2625; } 
{ /* Reduce/copy.scm 133 */
BgL_varz00_bglt BgL_val2271z00_2627;
BgL_val2271z00_2627 = 
(BgL_varz00_bglt)(BgL_arg2833z00_1724); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1718))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2271z00_2627), BUNSPEC); } } 
BgL_auxz00_4325 = BgL_nodez00_1718; 
return 
(obj_t)(BgL_auxz00_4325);} } } 
}



/* node-copy!-cast2714 */
obj_t BGl_nodezd2copyz12zd2cast2714z12zzreduce_copyz00(obj_t BgL_envz00_3364, obj_t BgL_nodez00_3365)
{ AN_OBJECT;
{ /* Reduce/copy.scm 122 */
{ 
BgL_castz00_bglt BgL_nodez00_1710;
{ /* Reduce/copy.scm 123 */
BgL_castz00_bglt BgL_auxz00_4395;
BgL_nodez00_1710 = 
(BgL_castz00_bglt)(BgL_nodez00_3365); 
{ /* Reduce/copy.scm 124 */
BgL_nodez00_bglt BgL_arg2828z00_1714;
{ /* Reduce/copy.scm 124 */
BgL_nodez00_bglt BgL_arg2829z00_1715;
BgL_arg2829z00_1715 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1710))->BgL_argz00); 
{ /* Reduce/copy.scm 124 */
BgL_nodez00_bglt BgL_res2930z00_2565;
{ /* Reduce/copy.scm 124 */
obj_t BgL_method2696z00_2540;
{ /* Reduce/copy.scm 124 */
long BgL_objzd2classzd2numz00_2542;
{ /* Reduce/copy.scm 124 */
BgL_objectz00_bglt BgL_auxz00_4397;
BgL_auxz00_4397 = 
(BgL_objectz00_bglt)(BgL_arg2829z00_1715); 
BgL_objzd2classzd2numz00_2542 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4397); } 
{ /* Reduce/copy.scm 124 */
obj_t BgL_arg1221z00_2543;
{ /* Reduce/copy.scm 124 */
int BgL_auxz00_4400;
BgL_auxz00_4400 = 
(int)(((long)1)); 
BgL_arg1221z00_2543 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4400); } 
{ /* Reduce/copy.scm 124 */
long BgL_offsetz00_2547;
{ /* Reduce/copy.scm 124 */
long BgL_auxz00_4403;
{ /* Reduce/copy.scm 124 */
int BgL_auxz00_4404;
BgL_auxz00_4404 = 
(int)(BgL_objzd2classzd2numz00_2542); 
BgL_auxz00_4403 = 
(long)(BgL_auxz00_4404); } 
BgL_offsetz00_2547 = 
(BgL_auxz00_4403-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 124 */
long BgL_modz00_2548;
{ /* Reduce/copy.scm 124 */
long BgL_auxz00_4408;
{ /* Reduce/copy.scm 124 */
int BgL_auxz00_4409;
BgL_auxz00_4409 = 
(int)(((long)8)); 
BgL_auxz00_4408 = 
(long)(BgL_auxz00_4409); } 
BgL_modz00_2548 = 
(BgL_offsetz00_2547/BgL_auxz00_4408); } 
{ /* Reduce/copy.scm 124 */
long BgL_restz00_2550;
{ /* Reduce/copy.scm 124 */
long BgL_auxz00_4413;
{ /* Reduce/copy.scm 124 */
int BgL_auxz00_4414;
BgL_auxz00_4414 = 
(int)(((long)8)); 
BgL_auxz00_4413 = 
(long)(BgL_auxz00_4414); } 
BgL_restz00_2550 = 
(BgL_offsetz00_2547%BgL_auxz00_4413); } 
{ /* Reduce/copy.scm 124 */

{ /* Reduce/copy.scm 124 */
obj_t BgL_bucketz00_2552;
{ /* Reduce/copy.scm 124 */
int BgL_kz00_2562;
BgL_kz00_2562 = 
(int)(BgL_modz00_2548); 
BgL_bucketz00_2552 = 
VECTOR_REF(BgL_arg1221z00_2543,BgL_kz00_2562); } 
{ /* Reduce/copy.scm 124 */
int BgL_kz00_2564;
BgL_kz00_2564 = 
(int)(BgL_restz00_2550); 
BgL_method2696z00_2540 = 
VECTOR_REF(BgL_bucketz00_2552,BgL_kz00_2564); } } } } } } } } 
{ /* Reduce/copy.scm 124 */
obj_t BgL_auxz00_4422;
BgL_auxz00_4422 = 
PROCEDURE_ENTRY(BgL_method2696z00_2540)(BgL_method2696z00_2540, 
(obj_t)(BgL_arg2829z00_1715), BEOA); 
BgL_res2930z00_2565 = 
(BgL_nodez00_bglt)(BgL_auxz00_4422); } } 
BgL_arg2828z00_1714 = BgL_res2930z00_2565; } } 
((((BgL_castz00_bglt)CREF(BgL_nodez00_1710))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2828z00_1714), BUNSPEC); } 
BgL_auxz00_4395 = BgL_nodez00_1710; 
return 
(obj_t)(BgL_auxz00_4395);} } } 
}



/* node-copy!-extern2712 */
obj_t BGl_nodezd2copyz12zd2extern2712z12zzreduce_copyz00(obj_t BgL_envz00_3366, obj_t BgL_nodez00_3367)
{ AN_OBJECT;
{ /* Reduce/copy.scm 114 */
{ 
BgL_externz00_bglt BgL_nodez00_1703;
{ /* Reduce/copy.scm 115 */
BgL_externz00_bglt BgL_auxz00_4430;
BgL_nodez00_1703 = 
(BgL_externz00_bglt)(BgL_nodez00_3367); 
BGl_nodezd2copyza2z12z62zzreduce_copyz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1703))->BgL_exprza2za2)); 
BgL_auxz00_4430 = BgL_nodez00_1703; 
return 
(obj_t)(BgL_auxz00_4430);} } } 
}



/* node-copy!-funcall2710 */
obj_t BGl_nodezd2copyz12zd2funcall2710z12zzreduce_copyz00(obj_t BgL_envz00_3368, obj_t BgL_nodez00_3369)
{ AN_OBJECT;
{ /* Reduce/copy.scm 105 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1694;
{ /* Reduce/copy.scm 106 */
BgL_funcallz00_bglt BgL_auxz00_4435;
BgL_nodez00_1694 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3369); 
{ /* Reduce/copy.scm 107 */
BgL_nodez00_bglt BgL_arg2822z00_1698;
{ /* Reduce/copy.scm 107 */
BgL_nodez00_bglt BgL_arg2823z00_1699;
BgL_arg2823z00_1699 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1694))->BgL_funz00); 
{ /* Reduce/copy.scm 107 */
BgL_nodez00_bglt BgL_res2927z00_2531;
{ /* Reduce/copy.scm 107 */
obj_t BgL_method2696z00_2506;
{ /* Reduce/copy.scm 107 */
long BgL_objzd2classzd2numz00_2508;
{ /* Reduce/copy.scm 107 */
BgL_objectz00_bglt BgL_auxz00_4437;
BgL_auxz00_4437 = 
(BgL_objectz00_bglt)(BgL_arg2823z00_1699); 
BgL_objzd2classzd2numz00_2508 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4437); } 
{ /* Reduce/copy.scm 107 */
obj_t BgL_arg1221z00_2509;
{ /* Reduce/copy.scm 107 */
int BgL_auxz00_4440;
BgL_auxz00_4440 = 
(int)(((long)1)); 
BgL_arg1221z00_2509 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4440); } 
{ /* Reduce/copy.scm 107 */
long BgL_offsetz00_2513;
{ /* Reduce/copy.scm 107 */
long BgL_auxz00_4443;
{ /* Reduce/copy.scm 107 */
int BgL_auxz00_4444;
BgL_auxz00_4444 = 
(int)(BgL_objzd2classzd2numz00_2508); 
BgL_auxz00_4443 = 
(long)(BgL_auxz00_4444); } 
BgL_offsetz00_2513 = 
(BgL_auxz00_4443-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 107 */
long BgL_modz00_2514;
{ /* Reduce/copy.scm 107 */
long BgL_auxz00_4448;
{ /* Reduce/copy.scm 107 */
int BgL_auxz00_4449;
BgL_auxz00_4449 = 
(int)(((long)8)); 
BgL_auxz00_4448 = 
(long)(BgL_auxz00_4449); } 
BgL_modz00_2514 = 
(BgL_offsetz00_2513/BgL_auxz00_4448); } 
{ /* Reduce/copy.scm 107 */
long BgL_restz00_2516;
{ /* Reduce/copy.scm 107 */
long BgL_auxz00_4453;
{ /* Reduce/copy.scm 107 */
int BgL_auxz00_4454;
BgL_auxz00_4454 = 
(int)(((long)8)); 
BgL_auxz00_4453 = 
(long)(BgL_auxz00_4454); } 
BgL_restz00_2516 = 
(BgL_offsetz00_2513%BgL_auxz00_4453); } 
{ /* Reduce/copy.scm 107 */

{ /* Reduce/copy.scm 107 */
obj_t BgL_bucketz00_2518;
{ /* Reduce/copy.scm 107 */
int BgL_kz00_2528;
BgL_kz00_2528 = 
(int)(BgL_modz00_2514); 
BgL_bucketz00_2518 = 
VECTOR_REF(BgL_arg1221z00_2509,BgL_kz00_2528); } 
{ /* Reduce/copy.scm 107 */
int BgL_kz00_2530;
BgL_kz00_2530 = 
(int)(BgL_restz00_2516); 
BgL_method2696z00_2506 = 
VECTOR_REF(BgL_bucketz00_2518,BgL_kz00_2530); } } } } } } } } 
{ /* Reduce/copy.scm 107 */
obj_t BgL_auxz00_4462;
BgL_auxz00_4462 = 
PROCEDURE_ENTRY(BgL_method2696z00_2506)(BgL_method2696z00_2506, 
(obj_t)(BgL_arg2823z00_1699), BEOA); 
BgL_res2927z00_2531 = 
(BgL_nodez00_bglt)(BgL_auxz00_4462); } } 
BgL_arg2822z00_1698 = BgL_res2927z00_2531; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1694))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2822z00_1698), BUNSPEC); } 
BGl_nodezd2copyza2z12z62zzreduce_copyz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1694))->BgL_argsz00)); 
BgL_auxz00_4435 = BgL_nodez00_1694; 
return 
(obj_t)(BgL_auxz00_4435);} } } 
}



/* node-copy!-app-ly2708 */
obj_t BGl_nodezd2copyz12zd2appzd2ly2708zc0zzreduce_copyz00(obj_t BgL_envz00_3370, obj_t BgL_nodez00_3371)
{ AN_OBJECT;
{ /* Reduce/copy.scm 96 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1684;
{ /* Reduce/copy.scm 97 */
BgL_appzd2lyzd2_bglt BgL_auxz00_4472;
BgL_nodez00_1684 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3371); 
{ /* Reduce/copy.scm 98 */
BgL_nodez00_bglt BgL_arg2817z00_1688;
{ /* Reduce/copy.scm 98 */
BgL_nodez00_bglt BgL_arg2818z00_1689;
BgL_arg2818z00_1689 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1684))->BgL_funz00); 
{ /* Reduce/copy.scm 98 */
BgL_nodez00_bglt BgL_res2921z00_2471;
{ /* Reduce/copy.scm 98 */
obj_t BgL_method2696z00_2446;
{ /* Reduce/copy.scm 98 */
long BgL_objzd2classzd2numz00_2448;
{ /* Reduce/copy.scm 98 */
BgL_objectz00_bglt BgL_auxz00_4474;
BgL_auxz00_4474 = 
(BgL_objectz00_bglt)(BgL_arg2818z00_1689); 
BgL_objzd2classzd2numz00_2448 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4474); } 
{ /* Reduce/copy.scm 98 */
obj_t BgL_arg1221z00_2449;
{ /* Reduce/copy.scm 98 */
int BgL_auxz00_4477;
BgL_auxz00_4477 = 
(int)(((long)1)); 
BgL_arg1221z00_2449 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4477); } 
{ /* Reduce/copy.scm 98 */
long BgL_offsetz00_2453;
{ /* Reduce/copy.scm 98 */
long BgL_auxz00_4480;
{ /* Reduce/copy.scm 98 */
int BgL_auxz00_4481;
BgL_auxz00_4481 = 
(int)(BgL_objzd2classzd2numz00_2448); 
BgL_auxz00_4480 = 
(long)(BgL_auxz00_4481); } 
BgL_offsetz00_2453 = 
(BgL_auxz00_4480-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 98 */
long BgL_modz00_2454;
{ /* Reduce/copy.scm 98 */
long BgL_auxz00_4485;
{ /* Reduce/copy.scm 98 */
int BgL_auxz00_4486;
BgL_auxz00_4486 = 
(int)(((long)8)); 
BgL_auxz00_4485 = 
(long)(BgL_auxz00_4486); } 
BgL_modz00_2454 = 
(BgL_offsetz00_2453/BgL_auxz00_4485); } 
{ /* Reduce/copy.scm 98 */
long BgL_restz00_2456;
{ /* Reduce/copy.scm 98 */
long BgL_auxz00_4490;
{ /* Reduce/copy.scm 98 */
int BgL_auxz00_4491;
BgL_auxz00_4491 = 
(int)(((long)8)); 
BgL_auxz00_4490 = 
(long)(BgL_auxz00_4491); } 
BgL_restz00_2456 = 
(BgL_offsetz00_2453%BgL_auxz00_4490); } 
{ /* Reduce/copy.scm 98 */

{ /* Reduce/copy.scm 98 */
obj_t BgL_bucketz00_2458;
{ /* Reduce/copy.scm 98 */
int BgL_kz00_2468;
BgL_kz00_2468 = 
(int)(BgL_modz00_2454); 
BgL_bucketz00_2458 = 
VECTOR_REF(BgL_arg1221z00_2449,BgL_kz00_2468); } 
{ /* Reduce/copy.scm 98 */
int BgL_kz00_2470;
BgL_kz00_2470 = 
(int)(BgL_restz00_2456); 
BgL_method2696z00_2446 = 
VECTOR_REF(BgL_bucketz00_2458,BgL_kz00_2470); } } } } } } } } 
{ /* Reduce/copy.scm 98 */
obj_t BgL_auxz00_4499;
BgL_auxz00_4499 = 
PROCEDURE_ENTRY(BgL_method2696z00_2446)(BgL_method2696z00_2446, 
(obj_t)(BgL_arg2818z00_1689), BEOA); 
BgL_res2921z00_2471 = 
(BgL_nodez00_bglt)(BgL_auxz00_4499); } } 
BgL_arg2817z00_1688 = BgL_res2921z00_2471; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1684))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2817z00_1688), BUNSPEC); } 
{ /* Reduce/copy.scm 99 */
BgL_nodez00_bglt BgL_arg2819z00_1690;
{ /* Reduce/copy.scm 99 */
BgL_nodez00_bglt BgL_arg2820z00_1691;
BgL_arg2820z00_1691 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1684))->BgL_argz00); 
{ /* Reduce/copy.scm 99 */
BgL_nodez00_bglt BgL_res2924z00_2501;
{ /* Reduce/copy.scm 99 */
obj_t BgL_method2696z00_2476;
{ /* Reduce/copy.scm 99 */
long BgL_objzd2classzd2numz00_2478;
{ /* Reduce/copy.scm 99 */
BgL_objectz00_bglt BgL_auxz00_4506;
BgL_auxz00_4506 = 
(BgL_objectz00_bglt)(BgL_arg2820z00_1691); 
BgL_objzd2classzd2numz00_2478 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4506); } 
{ /* Reduce/copy.scm 99 */
obj_t BgL_arg1221z00_2479;
{ /* Reduce/copy.scm 99 */
int BgL_auxz00_4509;
BgL_auxz00_4509 = 
(int)(((long)1)); 
BgL_arg1221z00_2479 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4509); } 
{ /* Reduce/copy.scm 99 */
long BgL_offsetz00_2483;
{ /* Reduce/copy.scm 99 */
long BgL_auxz00_4512;
{ /* Reduce/copy.scm 99 */
int BgL_auxz00_4513;
BgL_auxz00_4513 = 
(int)(BgL_objzd2classzd2numz00_2478); 
BgL_auxz00_4512 = 
(long)(BgL_auxz00_4513); } 
BgL_offsetz00_2483 = 
(BgL_auxz00_4512-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 99 */
long BgL_modz00_2484;
{ /* Reduce/copy.scm 99 */
long BgL_auxz00_4517;
{ /* Reduce/copy.scm 99 */
int BgL_auxz00_4518;
BgL_auxz00_4518 = 
(int)(((long)8)); 
BgL_auxz00_4517 = 
(long)(BgL_auxz00_4518); } 
BgL_modz00_2484 = 
(BgL_offsetz00_2483/BgL_auxz00_4517); } 
{ /* Reduce/copy.scm 99 */
long BgL_restz00_2486;
{ /* Reduce/copy.scm 99 */
long BgL_auxz00_4522;
{ /* Reduce/copy.scm 99 */
int BgL_auxz00_4523;
BgL_auxz00_4523 = 
(int)(((long)8)); 
BgL_auxz00_4522 = 
(long)(BgL_auxz00_4523); } 
BgL_restz00_2486 = 
(BgL_offsetz00_2483%BgL_auxz00_4522); } 
{ /* Reduce/copy.scm 99 */

{ /* Reduce/copy.scm 99 */
obj_t BgL_bucketz00_2488;
{ /* Reduce/copy.scm 99 */
int BgL_kz00_2498;
BgL_kz00_2498 = 
(int)(BgL_modz00_2484); 
BgL_bucketz00_2488 = 
VECTOR_REF(BgL_arg1221z00_2479,BgL_kz00_2498); } 
{ /* Reduce/copy.scm 99 */
int BgL_kz00_2500;
BgL_kz00_2500 = 
(int)(BgL_restz00_2486); 
BgL_method2696z00_2476 = 
VECTOR_REF(BgL_bucketz00_2488,BgL_kz00_2500); } } } } } } } } 
{ /* Reduce/copy.scm 99 */
obj_t BgL_auxz00_4531;
BgL_auxz00_4531 = 
PROCEDURE_ENTRY(BgL_method2696z00_2476)(BgL_method2696z00_2476, 
(obj_t)(BgL_arg2820z00_1691), BEOA); 
BgL_res2924z00_2501 = 
(BgL_nodez00_bglt)(BgL_auxz00_4531); } } 
BgL_arg2819z00_1690 = BgL_res2924z00_2501; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1684))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2819z00_1690), BUNSPEC); } 
BgL_auxz00_4472 = BgL_nodez00_1684; 
return 
(obj_t)(BgL_auxz00_4472);} } } 
}



/* node-copy!-sequence2706 */
obj_t BGl_nodezd2copyz12zd2sequence2706z12zzreduce_copyz00(obj_t BgL_envz00_3372, obj_t BgL_nodez00_3373)
{ AN_OBJECT;
{ /* Reduce/copy.scm 88 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1677;
{ /* Reduce/copy.scm 89 */
BgL_sequencez00_bglt BgL_auxz00_4539;
BgL_nodez00_1677 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3373); 
BGl_nodezd2copyza2z12z62zzreduce_copyz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1677))->BgL_nodesz00)); 
BgL_auxz00_4539 = BgL_nodez00_1677; 
return 
(obj_t)(BgL_auxz00_4539);} } } 
}



/* node-copy!-closure2704 */
obj_t BGl_nodezd2copyz12zd2closure2704z12zzreduce_copyz00(obj_t BgL_envz00_3374, obj_t BgL_nodez00_3375)
{ AN_OBJECT;
{ /* Reduce/copy.scm 82 */
{ 
BgL_closurez00_bglt BgL_nodez00_1672;
{ /* Reduce/copy.scm 82 */
BgL_closurez00_bglt BgL_auxz00_4544;
BgL_nodez00_1672 = 
(BgL_closurez00_bglt)(BgL_nodez00_3375); 
BgL_auxz00_4544 = BgL_nodez00_1672; 
return 
(obj_t)(BgL_auxz00_4544);} } } 
}



/* node-copy!-var2702 */
obj_t BGl_nodezd2copyz12zd2var2702z12zzreduce_copyz00(obj_t BgL_envz00_3376, obj_t BgL_nodez00_3377)
{ AN_OBJECT;
{ /* Reduce/copy.scm 72 */
{ 
BgL_varz00_bglt BgL_nodez00_1660;
BgL_nodez00_1660 = 
(BgL_varz00_bglt)(BgL_nodez00_3377); 
{ /* Reduce/copy.scm 73 */
BgL_variablez00_bglt BgL_vz00_1663;
BgL_vz00_1663 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1660))->BgL_variablez00); 
{ /* Reduce/copy.scm 74 */
obj_t BgL_falphaz00_1664;
BgL_falphaz00_1664 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1663))->BgL_fastzd2alphazd2); 
if(
(BgL_falphaz00_1664==BUNSPEC))
{ /* Reduce/copy.scm 75 */
return 
(obj_t)(BgL_nodez00_1660);}  else 
{ /* Reduce/copy.scm 76 */
obj_t BgL_arg2811z00_1668;BgL_nodez00_bglt BgL_arg2812z00_1669;
{ /* Reduce/copy.scm 76 */
BgL_nodez00_bglt BgL_obj1549z00_2413;
BgL_obj1549z00_2413 = 
(BgL_nodez00_bglt)(BgL_nodez00_1660); 
BgL_arg2811z00_1668 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2413))->BgL_locz00); } 
{ /* Reduce/copy.scm 76 */
BgL_nodez00_bglt BgL_res2918z00_2440;
{ /* Reduce/copy.scm 76 */
BgL_nodez00_bglt BgL_nodez00_2414;
BgL_nodez00_2414 = 
(BgL_nodez00_bglt)(BgL_falphaz00_1664); 
{ /* Reduce/copy.scm 76 */
obj_t BgL_method2696z00_2415;
{ /* Reduce/copy.scm 76 */
long BgL_objzd2classzd2numz00_2417;
{ /* Reduce/copy.scm 76 */
BgL_objectz00_bglt BgL_auxz00_4555;
BgL_auxz00_4555 = 
(BgL_objectz00_bglt)(BgL_nodez00_2414); 
BgL_objzd2classzd2numz00_2417 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4555); } 
{ /* Reduce/copy.scm 76 */
obj_t BgL_arg1221z00_2418;
{ /* Reduce/copy.scm 76 */
int BgL_auxz00_4558;
BgL_auxz00_4558 = 
(int)(((long)1)); 
BgL_arg1221z00_2418 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4558); } 
{ /* Reduce/copy.scm 76 */
long BgL_offsetz00_2422;
{ /* Reduce/copy.scm 76 */
long BgL_auxz00_4561;
{ /* Reduce/copy.scm 76 */
int BgL_auxz00_4562;
BgL_auxz00_4562 = 
(int)(BgL_objzd2classzd2numz00_2417); 
BgL_auxz00_4561 = 
(long)(BgL_auxz00_4562); } 
BgL_offsetz00_2422 = 
(BgL_auxz00_4561-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 76 */
long BgL_modz00_2423;
{ /* Reduce/copy.scm 76 */
long BgL_auxz00_4566;
{ /* Reduce/copy.scm 76 */
int BgL_auxz00_4567;
BgL_auxz00_4567 = 
(int)(((long)8)); 
BgL_auxz00_4566 = 
(long)(BgL_auxz00_4567); } 
BgL_modz00_2423 = 
(BgL_offsetz00_2422/BgL_auxz00_4566); } 
{ /* Reduce/copy.scm 76 */
long BgL_restz00_2425;
{ /* Reduce/copy.scm 76 */
long BgL_auxz00_4571;
{ /* Reduce/copy.scm 76 */
int BgL_auxz00_4572;
BgL_auxz00_4572 = 
(int)(((long)8)); 
BgL_auxz00_4571 = 
(long)(BgL_auxz00_4572); } 
BgL_restz00_2425 = 
(BgL_offsetz00_2422%BgL_auxz00_4571); } 
{ /* Reduce/copy.scm 76 */

{ /* Reduce/copy.scm 76 */
obj_t BgL_bucketz00_2427;
{ /* Reduce/copy.scm 76 */
int BgL_kz00_2437;
BgL_kz00_2437 = 
(int)(BgL_modz00_2423); 
BgL_bucketz00_2427 = 
VECTOR_REF(BgL_arg1221z00_2418,BgL_kz00_2437); } 
{ /* Reduce/copy.scm 76 */
int BgL_kz00_2439;
BgL_kz00_2439 = 
(int)(BgL_restz00_2425); 
BgL_method2696z00_2415 = 
VECTOR_REF(BgL_bucketz00_2427,BgL_kz00_2439); } } } } } } } } 
{ /* Reduce/copy.scm 76 */
obj_t BgL_auxz00_4580;
BgL_auxz00_4580 = 
PROCEDURE_ENTRY(BgL_method2696z00_2415)(BgL_method2696z00_2415, 
(obj_t)(BgL_nodez00_2414), BEOA); 
BgL_res2918z00_2440 = 
(BgL_nodez00_bglt)(BgL_auxz00_4580); } } } 
BgL_arg2812z00_1669 = BgL_res2918z00_2440; } 
{ /* Reduce/copy.scm 76 */
BgL_nodez00_bglt BgL_auxz00_4585;
BgL_auxz00_4585 = 
BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BgL_arg2811z00_1668, BgL_arg2812z00_1669); 
return 
(obj_t)(BgL_auxz00_4585);} } } } } } 
}



/* node-copy!-kwote2700 */
obj_t BGl_nodezd2copyz12zd2kwote2700z12zzreduce_copyz00(obj_t BgL_envz00_3378, obj_t BgL_nodez00_3379)
{ AN_OBJECT;
{ /* Reduce/copy.scm 66 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1655;
{ /* Reduce/copy.scm 66 */
BgL_kwotez00_bglt BgL_auxz00_4589;
BgL_nodez00_1655 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3379); 
BgL_auxz00_4589 = BgL_nodez00_1655; 
return 
(obj_t)(BgL_auxz00_4589);} } } 
}



/* node-copy!-atom2698 */
obj_t BGl_nodezd2copyz12zd2atom2698z12zzreduce_copyz00(obj_t BgL_envz00_3380, obj_t BgL_nodez00_3381)
{ AN_OBJECT;
{ /* Reduce/copy.scm 60 */
{ 
BgL_atomz00_bglt BgL_nodez00_1650;
{ /* Reduce/copy.scm 60 */
BgL_atomz00_bglt BgL_auxz00_4592;
BgL_nodez00_1650 = 
(BgL_atomz00_bglt)(BgL_nodez00_3381); 
BgL_auxz00_4592 = BgL_nodez00_1650; 
return 
(obj_t)(BgL_auxz00_4592);} } } 
}



/* node-copy! */
BgL_nodez00_bglt BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Reduce/copy.scm 55 */
{ /* Reduce/copy.scm 55 */
obj_t BgL_method2696z00_3287;
{ /* Reduce/copy.scm 55 */
long BgL_objzd2classzd2numz00_3289;
{ /* Reduce/copy.scm 55 */
BgL_objectz00_bglt BgL_auxz00_4595;
BgL_auxz00_4595 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_3289 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4595); } 
{ /* Reduce/copy.scm 55 */
obj_t BgL_arg1221z00_3290;
{ /* Reduce/copy.scm 55 */
int BgL_auxz00_4598;
BgL_auxz00_4598 = 
(int)(((long)1)); 
BgL_arg1221z00_3290 = 
PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BgL_auxz00_4598); } 
{ /* Reduce/copy.scm 55 */
long BgL_offsetz00_3294;
{ /* Reduce/copy.scm 55 */
long BgL_auxz00_4601;
{ /* Reduce/copy.scm 55 */
int BgL_auxz00_4602;
BgL_auxz00_4602 = 
(int)(BgL_objzd2classzd2numz00_3289); 
BgL_auxz00_4601 = 
(long)(BgL_auxz00_4602); } 
BgL_offsetz00_3294 = 
(BgL_auxz00_4601-OBJECT_TYPE); } 
{ /* Reduce/copy.scm 55 */
long BgL_modz00_3295;
{ /* Reduce/copy.scm 55 */
long BgL_auxz00_4606;
{ /* Reduce/copy.scm 55 */
int BgL_auxz00_4607;
BgL_auxz00_4607 = 
(int)(((long)8)); 
BgL_auxz00_4606 = 
(long)(BgL_auxz00_4607); } 
BgL_modz00_3295 = 
(BgL_offsetz00_3294/BgL_auxz00_4606); } 
{ /* Reduce/copy.scm 55 */
long BgL_restz00_3297;
{ /* Reduce/copy.scm 55 */
long BgL_auxz00_4611;
{ /* Reduce/copy.scm 55 */
int BgL_auxz00_4612;
BgL_auxz00_4612 = 
(int)(((long)8)); 
BgL_auxz00_4611 = 
(long)(BgL_auxz00_4612); } 
BgL_restz00_3297 = 
(BgL_offsetz00_3294%BgL_auxz00_4611); } 
{ /* Reduce/copy.scm 55 */

{ /* Reduce/copy.scm 55 */
obj_t BgL_bucketz00_3299;
{ /* Reduce/copy.scm 55 */
int BgL_kz00_3309;
BgL_kz00_3309 = 
(int)(BgL_modz00_3295); 
BgL_bucketz00_3299 = 
VECTOR_REF(BgL_arg1221z00_3290,BgL_kz00_3309); } 
{ /* Reduce/copy.scm 55 */
int BgL_kz00_3311;
BgL_kz00_3311 = 
(int)(BgL_restz00_3297); 
BgL_method2696z00_3287 = 
VECTOR_REF(BgL_bucketz00_3299,BgL_kz00_3311); } } } } } } } } 
{ /* Reduce/copy.scm 55 */
obj_t BgL_auxz00_4620;
BgL_auxz00_4620 = 
PROCEDURE_ENTRY(BgL_method2696z00_3287)(BgL_method2696z00_3287, 
(obj_t)(BgL_nodez00_2), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4620);} } } 
}



/* _node-copy! */
obj_t BGl__nodezd2copyz12zc0zzreduce_copyz00(obj_t BgL_envz00_3317, obj_t BgL_nodez00_3318)
{ AN_OBJECT;
{ /* Reduce/copy.scm 55 */
{ /* Reduce/copy.scm 55 */
BgL_nodez00_bglt BgL_auxz00_4625;
BgL_auxz00_4625 = 
BGl_nodezd2copyz12zc0zzreduce_copyz00(
(BgL_nodez00_bglt)(BgL_nodez00_3318)); 
return 
(obj_t)(BgL_auxz00_4625);} } 
}



/* node-copy!-default2695 */
BgL_nodez00_bglt BGl_nodezd2copyz12zd2default2695z12zzreduce_copyz00(BgL_nodez00_bglt BgL_nodez00_3)
{ AN_OBJECT;
{ /* Reduce/copy.scm 15 */
{ 
obj_t BgL_auxz00_4631;obj_t BgL_auxz00_4629;
BgL_auxz00_4631 = 
(obj_t)(BgL_nodez00_3); 
BgL_auxz00_4629 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_4629,BGl_string3025z00zzreduce_copyz00,BgL_auxz00_4631);} } 
}



/* _node-copy!-default2695 */
obj_t BGl__nodezd2copyz12zd2default2695z12zzreduce_copyz00(obj_t BgL_envz00_3382, obj_t BgL_nodez00_3383)
{ AN_OBJECT;
{ /* Reduce/copy.scm 15 */
{ /* Reduce/copy.scm 15 */
BgL_nodez00_bglt BgL_auxz00_4634;
BgL_auxz00_4634 = 
BGl_nodezd2copyz12zd2default2695z12zzreduce_copyz00(
(BgL_nodez00_bglt)(BgL_nodez00_3383)); 
return 
(obj_t)(BgL_auxz00_4634);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00()
{ AN_OBJECT;
{ /* Reduce/copy.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "reduce_copy"); 
BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long)21983), "reduce_copy"); 
return 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)42798), "reduce_copy");} 
}

