/*===========================================================================*/
/*   (Reduce/cse.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_nodezd2csez12zd2conditional2774z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzreduce_csez00();
static obj_t BGl_nodezd2csez12zd2letzd2fun2780zc0zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2fail2776z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__nodezd2csez12zc0zzreduce_csez00(obj_t, obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__reducezd2csez12zc0zzreduce_csez00(obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2letzd2var2794zc0zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2sequence2762z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2default2751z12zzreduce_csez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2extern2768z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2var2758z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzreduce_csez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static long BGl_za2csezd2removedza2zd2zzreduce_csez00;
static obj_t BGl_nodezd2csez12zd2jumpzd2exzd2it2784z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00();
extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2cast2770z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl__nodezd2csez12zd2default2751z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2setzd2exzd2it2782z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t);
extern obj_t BGl_variablez00zzast_varz00;
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzreduce_csez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
static obj_t BGl_nodezd2csez12zd2boxzd2ref2790zc0zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2select2778z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2kwote2756z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2setq2772z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2boxzd2setz122788zd2zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_nodezd2csez12zd2makezd2box2786zc0zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2app2792z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_za2res1za2z00zz__r5_control_features_6_4z00;
static obj_t BGl_nodezd2csez12zd2atom2754z12zzreduce_csez00(obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00;
static obj_t BGl_nodezd2csez12zd2appzd2ly2764zc0zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzreduce_csez00 = BUNSPEC;
static obj_t BGl_nodezd2csez12zd2funcall2766z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2csez12zd2closure2760z12zzreduce_csez00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00();
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 3 ] ;

DEFINE_EXPORT_GENERIC( BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_bgl__nodeza7d2cseza712za7c0za7za7reduce_cseza7003048z00, BGl__nodezd2csez12zc0zzreduce_csez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_reducezd2csez12zd2envz12zzreduce_csez00, BgL_bgl__reduceza7d2cseza712za7c0za7za7reduce_cseza7003049z00, BGl__reducezd2csez12zc0zzreduce_csez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3021z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2atom2754za712za7za7reduce_cseza7003050za7, BGl_nodezd2csez12zd2atom2754z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3022z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2kwote2756za712za7za7reduce_cseza7003051za7, BGl_nodezd2csez12zd2kwote2756z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3023z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2var2758za712za7za7reduce_cseza7003052za7, BGl_nodezd2csez12zd2var2758z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3024z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2closure2760za712za7za7reduce_cseza7003053za7, BGl_nodezd2csez12zd2closure2760z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3025z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2sequence2762za712za7za7reduce_cseza7003054za7, BGl_nodezd2csez12zd2sequence2762z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3026z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2appza7d2ly2764za7c0za7za7reduce_cseza7003055z00, BGl_nodezd2csez12zd2appzd2ly2764zc0zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3027z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2funcall2766za712za7za7reduce_cseza7003056za7, BGl_nodezd2csez12zd2funcall2766z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3028z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2extern2768za712za7za7reduce_cseza7003057za7, BGl_nodezd2csez12zd2extern2768z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3030z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2setq2772za712za7za7reduce_cseza7003058za7, BGl_nodezd2csez12zd2setq2772z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3029z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2cast2770za712za7za7reduce_cseza7003059za7, BGl_nodezd2csez12zd2cast2770z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3031z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2conditional2774za712za7za7reduce_cseza7003060za7, BGl_nodezd2csez12zd2conditional2774z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3032z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2fail2776za712za7za7reduce_cseza7003061za7, BGl_nodezd2csez12zd2fail2776z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3033z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2select2778za712za7za7reduce_cseza7003062za7, BGl_nodezd2csez12zd2select2778z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3034z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2letza7d2fun2780za7c0za7za7reduce_cseza7003063z00, BGl_nodezd2csez12zd2letzd2fun2780zc0zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3035z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2setza7d2exza7d2it2782za712za7za7reduce_cseza7003064za7, BGl_nodezd2csez12zd2setzd2exzd2it2782z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3036z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2jumpza7d2exza7d2it2784za712za7za7reduce_cseza7003065za7, BGl_nodezd2csez12zd2jumpzd2exzd2it2784z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3037z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2makeza7d2box2786za7c0za7za7reduce_cseza7003066z00, BGl_nodezd2csez12zd2makezd2box2786zc0zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3038z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2boxza7d2setza7122788za7d2za7za7reduce_cseza7003067za7, BGl_nodezd2csez12zd2boxzd2setz122788zd2zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3040z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2app2792za712za7za7reduce_cseza7003068za7, BGl_nodezd2csez12zd2app2792z12zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3039z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2boxza7d2ref2790za7c0za7za7reduce_cseza7003069z00, BGl_nodezd2csez12zd2boxzd2ref2790zc0zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3041z00zzreduce_csez00, BgL_bgl_nodeza7d2cseza712za7d2letza7d2var2794za7c0za7za7reduce_cseza7003070z00, BGl_nodezd2csez12zd2letzd2var2794zc0zzreduce_csez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd2csez12zd2default2751zd2envzc0zzreduce_csez00, BgL_bgl__nodeza7d2cseza712za7d2default2751za712za7za7reduce_cseza7003071za7, BGl__nodezd2csez12zd2default2751z12zzreduce_csez00, 0L, 2 );
DEFINE_STRING( BGl_string3043z00zzreduce_csez00, BgL_bgl_string3043za700za7za7reduce_cseza7003072z00, "node-cse!-default2751 call read ", 32 );
DEFINE_STRING( BGl_string3042z00zzreduce_csez00, BgL_bgl_string3042za700za7za7reduce_cseza7003073z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string3020z00zzreduce_csez00, BgL_bgl_string3020za700za7za7reduce_cseza7003074z00, "(removed : ", 11 );
DEFINE_STRING( BGl_string3019z00zzreduce_csez00, BgL_bgl_string3019za700za7za7reduce_cseza7003075z00, "      cse                    ", 29 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long BgL_checksumz00_3525, char * BgL_fromz00_3526)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzreduce_csez00))
{ 
BGl_requirezd2initializa7ationz75zzreduce_csez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzreduce_csez00(); 
BGl_cnstzd2initzd2zzreduce_csez00(); 
BGl_importedzd2moduleszd2initz00zzreduce_csez00(); 
BGl_methodzd2initzd2zzreduce_csez00(); 
BGl_toplevelzd2initzd2zzreduce_csez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "reduce_cse"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
{ /* Reduce/cse.scm 15 */
obj_t BgL_cportz00_3518;
BgL_cportz00_3518 = 
open_input_string(BGl_string3043z00zzreduce_csez00); 
{ 
long BgL_iz00_3519;
BgL_iz00_3519 = ((long)2); 
BgL_loopz00_3520:
if(
(BgL_iz00_3519==((long)-1)))
{ /* Reduce/cse.scm 15 */
return BUNSPEC;}  else 
{ /* Reduce/cse.scm 15 */
{ /* Reduce/cse.scm 15 */
obj_t BgL_arg3045z00_3522;
{ /* Reduce/cse.scm 15 */
obj_t BgL_list3046z00_3523;
BgL_list3046z00_3523 = 
MAKE_PAIR(BgL_cportz00_3518, BNIL); 
BgL_arg3045z00_3522 = 
BGl_readz00zz__readerz00(BgL_list3046z00_3523); } 
{ /* Reduce/cse.scm 15 */
int BgL_auxz00_3544;
BgL_auxz00_3544 = 
(int)(BgL_iz00_3519); 
CNST_TABLE_SET(BgL_auxz00_3544, BgL_arg3045z00_3522); } } 
{ 
long BgL_iz00_3547;
{ /* Reduce/cse.scm 15 */
int BgL_auxz00_3548;
{ /* Reduce/cse.scm 15 */
long BgL_auxz00_3549;
BgL_auxz00_3549 = 
(BgL_iz00_3519-((long)1)); 
BgL_auxz00_3548 = 
(int)(BgL_auxz00_3549); } 
BgL_iz00_3547 = 
(long)(BgL_auxz00_3548); } 
BgL_iz00_3519 = BgL_iz00_3547; 
goto BgL_loopz00_3520;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long)0); 
return BUNSPEC;} 
}



/* reduce-cse! */
obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Reduce/cse.scm 35 */
{ /* Reduce/cse.scm 36 */
obj_t BgL_list2795z00_1281;
BgL_list2795z00_1281 = 
MAKE_PAIR(BGl_string3019z00zzreduce_csez00, BNIL); 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2795z00_1281); } 
BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long)0); 
{ 
obj_t BgL_l2654z00_1282;
BgL_l2654z00_1282 = BgL_globalsz00_1; 
BgL_lname2655z00_1283:
if(
PAIRP(BgL_l2654z00_1282))
{ /* Reduce/cse.scm 38 */
{ /* Reduce/cse.scm 39 */
BgL_valuez00_bglt BgL_funz00_1286;
{ /* Reduce/cse.scm 39 */
BgL_globalz00_bglt BgL_obj1155z00_2056;
{ /* Reduce/cse.scm 39 */
obj_t BgL_auxz00_3558;
BgL_auxz00_3558 = 
CAR(BgL_l2654z00_1282); 
BgL_obj1155z00_2056 = 
(BgL_globalz00_bglt)(BgL_auxz00_3558); } 
BgL_funz00_1286 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2056))->BgL_valuez00); } 
{ /* Reduce/cse.scm 40 */

{ /* Reduce/cse.scm 41 */
obj_t BgL_arg2797z00_1288;
{ /* Reduce/cse.scm 41 */
obj_t BgL__z00_1289;
{ /* Reduce/cse.scm 42 */
BgL_nodez00_bglt BgL_nodez00_2058;
{ /* Reduce/cse.scm 42 */
obj_t BgL_auxz00_3562;
{ /* Reduce/cse.scm 40 */
BgL_sfunz00_bglt BgL_obj1372z00_2057;
BgL_obj1372z00_2057 = 
(BgL_sfunz00_bglt)(BgL_funz00_1286); 
BgL_auxz00_3562 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2057))->BgL_bodyz00); } 
BgL_nodez00_2058 = 
(BgL_nodez00_bglt)(BgL_auxz00_3562); } 
{ /* Reduce/cse.scm 42 */
obj_t BgL_method2752z00_2060;
{ /* Reduce/cse.scm 42 */
long BgL_objzd2classzd2numz00_2062;
{ /* Reduce/cse.scm 42 */
BgL_objectz00_bglt BgL_auxz00_3566;
BgL_auxz00_3566 = 
(BgL_objectz00_bglt)(BgL_nodez00_2058); 
BgL_objzd2classzd2numz00_2062 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3566); } 
{ /* Reduce/cse.scm 42 */
obj_t BgL_arg1221z00_2063;
{ /* Reduce/cse.scm 42 */
int BgL_auxz00_3569;
BgL_auxz00_3569 = 
(int)(((long)1)); 
BgL_arg1221z00_2063 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3569); } 
{ /* Reduce/cse.scm 42 */
long BgL_offsetz00_2067;
{ /* Reduce/cse.scm 42 */
long BgL_auxz00_3572;
{ /* Reduce/cse.scm 42 */
int BgL_auxz00_3573;
BgL_auxz00_3573 = 
(int)(BgL_objzd2classzd2numz00_2062); 
BgL_auxz00_3572 = 
(long)(BgL_auxz00_3573); } 
BgL_offsetz00_2067 = 
(BgL_auxz00_3572-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 42 */
long BgL_modz00_2068;
{ /* Reduce/cse.scm 42 */
long BgL_auxz00_3577;
{ /* Reduce/cse.scm 42 */
int BgL_auxz00_3578;
BgL_auxz00_3578 = 
(int)(((long)8)); 
BgL_auxz00_3577 = 
(long)(BgL_auxz00_3578); } 
BgL_modz00_2068 = 
(BgL_offsetz00_2067/BgL_auxz00_3577); } 
{ /* Reduce/cse.scm 42 */
long BgL_restz00_2070;
{ /* Reduce/cse.scm 42 */
long BgL_auxz00_3582;
{ /* Reduce/cse.scm 42 */
int BgL_auxz00_3583;
BgL_auxz00_3583 = 
(int)(((long)8)); 
BgL_auxz00_3582 = 
(long)(BgL_auxz00_3583); } 
BgL_restz00_2070 = 
(BgL_offsetz00_2067%BgL_auxz00_3582); } 
{ /* Reduce/cse.scm 42 */

{ /* Reduce/cse.scm 42 */
obj_t BgL_bucketz00_2072;
{ /* Reduce/cse.scm 42 */
int BgL_kz00_2082;
BgL_kz00_2082 = 
(int)(BgL_modz00_2068); 
BgL_bucketz00_2072 = 
VECTOR_REF(BgL_arg1221z00_2063,BgL_kz00_2082); } 
{ /* Reduce/cse.scm 42 */
int BgL_kz00_2084;
BgL_kz00_2084 = 
(int)(BgL_restz00_2070); 
BgL_method2752z00_2060 = 
VECTOR_REF(BgL_bucketz00_2072,BgL_kz00_2084); } } } } } } } } 
BgL__z00_1289 = 
PROCEDURE_ENTRY(BgL_method2752z00_2060)(BgL_method2752z00_2060, 
(obj_t)(BgL_nodez00_2058), BNIL, BEOA); } } 
{ /* Reduce/cse.scm 41 */
obj_t BgL_nodez00_1290;
BgL_nodez00_1290 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
BgL_arg2797z00_1288 = BgL_nodez00_1290; } } 
{ /* Reduce/cse.scm 41 */
BgL_sfunz00_bglt BgL_obj1374z00_2085;
BgL_obj1374z00_2085 = 
(BgL_sfunz00_bglt)(BgL_funz00_1286); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2085))->BgL_bodyz00) = ((obj_t)BgL_arg2797z00_1288), BUNSPEC); } } BUNSPEC; } } 
{ 
obj_t BgL_l2654z00_3596;
BgL_l2654z00_3596 = 
CDR(BgL_l2654z00_1282); 
BgL_l2654z00_1282 = BgL_l2654z00_3596; 
goto BgL_lname2655z00_1283;} }  else 
{ /* Reduce/cse.scm 38 */((bool_t)1); } } 
{ /* Reduce/cse.scm 46 */
obj_t BgL_list2800z00_1292;
{ /* Reduce/cse.scm 46 */
obj_t BgL_arg2802z00_1294;
{ /* Reduce/cse.scm 46 */
obj_t BgL_arg2805z00_1295;
{ /* Reduce/cse.scm 46 */
obj_t BgL_arg2806z00_1296;
{ /* Reduce/cse.scm 46 */
obj_t BgL_auxz00_3598;
BgL_auxz00_3598 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2806z00_1296 = 
MAKE_PAIR(BgL_auxz00_3598, BNIL); } 
{ /* Reduce/cse.scm 46 */
obj_t BgL_auxz00_3601;
BgL_auxz00_3601 = 
BCHAR(((unsigned char)')')); 
BgL_arg2805z00_1295 = 
MAKE_PAIR(BgL_auxz00_3601, BgL_arg2806z00_1296); } } 
{ /* Reduce/cse.scm 46 */
obj_t BgL_auxz00_3604;
BgL_auxz00_3604 = 
BINT(BGl_za2csezd2removedza2zd2zzreduce_csez00); 
BgL_arg2802z00_1294 = 
MAKE_PAIR(BgL_auxz00_3604, BgL_arg2805z00_1295); } } 
BgL_list2800z00_1292 = 
MAKE_PAIR(BGl_string3020z00zzreduce_csez00, BgL_arg2802z00_1294); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2800z00_1292); } 
return BgL_globalsz00_1;} 
}



/* _reduce-cse! */
obj_t BGl__reducezd2csez12zc0zzreduce_csez00(obj_t BgL_envz00_3425, obj_t BgL_globalsz00_3426)
{ AN_OBJECT;
{ /* Reduce/cse.scm 35 */
return 
BGl_reducezd2csez12zc0zzreduce_csez00(BgL_globalsz00_3426);} 
}



/* node-cse*! */
obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t BgL_nodeza2za2_48, obj_t BgL_stackz00_49)
{ AN_OBJECT;
{ /* Reduce/cse.scm 348 */
{ 
obj_t BgL_nodeza2za2_1297;bool_t BgL_resetz00_1298;obj_t BgL_stackz00_1299;
BgL_nodeza2za2_1297 = BgL_nodeza2za2_48; 
BgL_resetz00_1298 = ((bool_t)0); 
BgL_stackz00_1299 = BgL_stackz00_49; 
BgL_loopz00_1300:
if(
NULLP(BgL_nodeza2za2_1297))
{ /* Reduce/cse.scm 353 */
return 
BBOOL(BgL_resetz00_1298);}  else 
{ /* Reduce/cse.scm 355 */
bool_t BgL_testz00_3614;
{ /* Reduce/cse.scm 355 */
obj_t BgL_auxz00_3615;
BgL_auxz00_3615 = 
CDR(BgL_nodeza2za2_1297); 
BgL_testz00_3614 = 
NULLP(BgL_auxz00_3615); } 
if(BgL_testz00_3614)
{ /* Reduce/cse.scm 355 */
{ /* Reduce/cse.scm 356 */
obj_t BgL_resetz72z72_1303;
{ /* Reduce/cse.scm 357 */
BgL_nodez00_bglt BgL_nodez00_2092;
{ /* Reduce/cse.scm 357 */
obj_t BgL_auxz00_3618;
BgL_auxz00_3618 = 
CAR(BgL_nodeza2za2_1297); 
BgL_nodez00_2092 = 
(BgL_nodez00_bglt)(BgL_auxz00_3618); } 
{ /* Reduce/cse.scm 357 */
obj_t BgL_method2752z00_2094;
{ /* Reduce/cse.scm 357 */
long BgL_objzd2classzd2numz00_2096;
{ /* Reduce/cse.scm 357 */
BgL_objectz00_bglt BgL_auxz00_3621;
BgL_auxz00_3621 = 
(BgL_objectz00_bglt)(BgL_nodez00_2092); 
BgL_objzd2classzd2numz00_2096 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3621); } 
{ /* Reduce/cse.scm 357 */
obj_t BgL_arg1221z00_2097;
{ /* Reduce/cse.scm 357 */
int BgL_auxz00_3624;
BgL_auxz00_3624 = 
(int)(((long)1)); 
BgL_arg1221z00_2097 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3624); } 
{ /* Reduce/cse.scm 357 */
long BgL_offsetz00_2101;
{ /* Reduce/cse.scm 357 */
long BgL_auxz00_3627;
{ /* Reduce/cse.scm 357 */
int BgL_auxz00_3628;
BgL_auxz00_3628 = 
(int)(BgL_objzd2classzd2numz00_2096); 
BgL_auxz00_3627 = 
(long)(BgL_auxz00_3628); } 
BgL_offsetz00_2101 = 
(BgL_auxz00_3627-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 357 */
long BgL_modz00_2102;
{ /* Reduce/cse.scm 357 */
long BgL_auxz00_3632;
{ /* Reduce/cse.scm 357 */
int BgL_auxz00_3633;
BgL_auxz00_3633 = 
(int)(((long)8)); 
BgL_auxz00_3632 = 
(long)(BgL_auxz00_3633); } 
BgL_modz00_2102 = 
(BgL_offsetz00_2101/BgL_auxz00_3632); } 
{ /* Reduce/cse.scm 357 */
long BgL_restz00_2104;
{ /* Reduce/cse.scm 357 */
long BgL_auxz00_3637;
{ /* Reduce/cse.scm 357 */
int BgL_auxz00_3638;
BgL_auxz00_3638 = 
(int)(((long)8)); 
BgL_auxz00_3637 = 
(long)(BgL_auxz00_3638); } 
BgL_restz00_2104 = 
(BgL_offsetz00_2101%BgL_auxz00_3637); } 
{ /* Reduce/cse.scm 357 */

{ /* Reduce/cse.scm 357 */
obj_t BgL_bucketz00_2106;
{ /* Reduce/cse.scm 357 */
int BgL_kz00_2116;
BgL_kz00_2116 = 
(int)(BgL_modz00_2102); 
BgL_bucketz00_2106 = 
VECTOR_REF(BgL_arg1221z00_2097,BgL_kz00_2116); } 
{ /* Reduce/cse.scm 357 */
int BgL_kz00_2118;
BgL_kz00_2118 = 
(int)(BgL_restz00_2104); 
BgL_method2752z00_2094 = 
VECTOR_REF(BgL_bucketz00_2106,BgL_kz00_2118); } } } } } } } } 
BgL_resetz72z72_1303 = 
PROCEDURE_ENTRY(BgL_method2752z00_2094)(BgL_method2752z00_2094, 
(obj_t)(BgL_nodez00_2092), BgL_stackz00_1299, BEOA); } } 
{ /* Reduce/cse.scm 358 */
obj_t BgL_nodez00_1304;
BgL_nodez00_1304 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
SET_CAR(BgL_nodeza2za2_1297, BgL_nodez00_1304); 
if(BgL_resetz00_1298)
{ /* Reduce/cse.scm 359 */
return 
BBOOL(BgL_resetz00_1298);}  else 
{ /* Reduce/cse.scm 359 */
return BgL_resetz72z72_1303;} } } }  else 
{ /* Reduce/cse.scm 355 */
{ /* Reduce/cse.scm 361 */
obj_t BgL_resetz72z72_1307;
{ /* Reduce/cse.scm 362 */
BgL_nodez00_bglt BgL_nodez00_2122;
{ /* Reduce/cse.scm 362 */
obj_t BgL_auxz00_3652;
BgL_auxz00_3652 = 
CAR(BgL_nodeza2za2_1297); 
BgL_nodez00_2122 = 
(BgL_nodez00_bglt)(BgL_auxz00_3652); } 
{ /* Reduce/cse.scm 362 */
obj_t BgL_method2752z00_2124;
{ /* Reduce/cse.scm 362 */
long BgL_objzd2classzd2numz00_2126;
{ /* Reduce/cse.scm 362 */
BgL_objectz00_bglt BgL_auxz00_3655;
BgL_auxz00_3655 = 
(BgL_objectz00_bglt)(BgL_nodez00_2122); 
BgL_objzd2classzd2numz00_2126 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3655); } 
{ /* Reduce/cse.scm 362 */
obj_t BgL_arg1221z00_2127;
{ /* Reduce/cse.scm 362 */
int BgL_auxz00_3658;
BgL_auxz00_3658 = 
(int)(((long)1)); 
BgL_arg1221z00_2127 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3658); } 
{ /* Reduce/cse.scm 362 */
long BgL_offsetz00_2131;
{ /* Reduce/cse.scm 362 */
long BgL_auxz00_3661;
{ /* Reduce/cse.scm 362 */
int BgL_auxz00_3662;
BgL_auxz00_3662 = 
(int)(BgL_objzd2classzd2numz00_2126); 
BgL_auxz00_3661 = 
(long)(BgL_auxz00_3662); } 
BgL_offsetz00_2131 = 
(BgL_auxz00_3661-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 362 */
long BgL_modz00_2132;
{ /* Reduce/cse.scm 362 */
long BgL_auxz00_3666;
{ /* Reduce/cse.scm 362 */
int BgL_auxz00_3667;
BgL_auxz00_3667 = 
(int)(((long)8)); 
BgL_auxz00_3666 = 
(long)(BgL_auxz00_3667); } 
BgL_modz00_2132 = 
(BgL_offsetz00_2131/BgL_auxz00_3666); } 
{ /* Reduce/cse.scm 362 */
long BgL_restz00_2134;
{ /* Reduce/cse.scm 362 */
long BgL_auxz00_3671;
{ /* Reduce/cse.scm 362 */
int BgL_auxz00_3672;
BgL_auxz00_3672 = 
(int)(((long)8)); 
BgL_auxz00_3671 = 
(long)(BgL_auxz00_3672); } 
BgL_restz00_2134 = 
(BgL_offsetz00_2131%BgL_auxz00_3671); } 
{ /* Reduce/cse.scm 362 */

{ /* Reduce/cse.scm 362 */
obj_t BgL_bucketz00_2136;
{ /* Reduce/cse.scm 362 */
int BgL_kz00_2146;
BgL_kz00_2146 = 
(int)(BgL_modz00_2132); 
BgL_bucketz00_2136 = 
VECTOR_REF(BgL_arg1221z00_2127,BgL_kz00_2146); } 
{ /* Reduce/cse.scm 362 */
int BgL_kz00_2148;
BgL_kz00_2148 = 
(int)(BgL_restz00_2134); 
BgL_method2752z00_2124 = 
VECTOR_REF(BgL_bucketz00_2136,BgL_kz00_2148); } } } } } } } } 
BgL_resetz72z72_1307 = 
PROCEDURE_ENTRY(BgL_method2752z00_2124)(BgL_method2752z00_2124, 
(obj_t)(BgL_nodez00_2122), BgL_stackz00_1299, BEOA); } } 
{ /* Reduce/cse.scm 363 */
obj_t BgL_nodez00_1308;
BgL_nodez00_1308 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
SET_CAR(BgL_nodeza2za2_1297, BgL_nodez00_1308); 
{ /* Reduce/cse.scm 364 */
bool_t BgL_testz00_3684;
if(BgL_resetz00_1298)
{ /* Reduce/cse.scm 364 */
BgL_testz00_3684 = ((bool_t)1)
; }  else 
{ /* Reduce/cse.scm 364 */
BgL_testz00_3684 = 
CBOOL(BgL_resetz72z72_1307)
; } 
if(BgL_testz00_3684)
{ 
obj_t BgL_stackz00_3690;bool_t BgL_resetz00_3689;obj_t BgL_nodeza2za2_3687;
BgL_nodeza2za2_3687 = 
CDR(BgL_nodeza2za2_1297); 
BgL_resetz00_3689 = ((bool_t)1); 
BgL_stackz00_3690 = BNIL; 
BgL_stackz00_1299 = BgL_stackz00_3690; 
BgL_resetz00_1298 = BgL_resetz00_3689; 
BgL_nodeza2za2_1297 = BgL_nodeza2za2_3687; 
goto BgL_loopz00_1300;}  else 
{ 
bool_t BgL_resetz00_3693;obj_t BgL_nodeza2za2_3691;
BgL_nodeza2za2_3691 = 
CDR(BgL_nodeza2za2_1297); 
BgL_resetz00_3693 = ((bool_t)0); 
BgL_resetz00_1298 = BgL_resetz00_3693; 
BgL_nodeza2za2_1297 = BgL_nodeza2za2_3691; 
goto BgL_loopz00_1300;} } } } } } } } 
}



/* find-stack */
obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_60, obj_t BgL_stackz00_61)
{ AN_OBJECT;
{ /* Reduce/cse.scm 380 */
{ 
obj_t BgL_stackz00_1325;
BgL_stackz00_1325 = BgL_stackz00_61; 
BgL_loopz00_1326:
if(
NULLP(BgL_stackz00_1325))
{ /* Reduce/cse.scm 384 */
return BFALSE;}  else 
{ /* Reduce/cse.scm 386 */
bool_t BgL_test2826z00_1328;
{ /* Reduce/cse.scm 386 */
BgL_nodez00_bglt BgL_auxz00_3696;
{ /* Reduce/cse.scm 386 */
obj_t BgL_auxz00_3697;
{ /* Reduce/cse.scm 386 */
int BgL_auxz00_3700;obj_t BgL_auxz00_3698;
BgL_auxz00_3700 = 
(int)(((long)0)); 
BgL_auxz00_3698 = 
CAR(BgL_stackz00_1325); 
BgL_auxz00_3697 = 
STRUCT_REF(BgL_auxz00_3698, BgL_auxz00_3700); } 
BgL_auxz00_3696 = 
(BgL_nodez00_bglt)(BgL_auxz00_3697); } 
BgL_test2826z00_1328 = 
BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_60, BgL_auxz00_3696, BNIL); } 
if(BgL_test2826z00_1328)
{ /* Reduce/cse.scm 386 */
{ /* Reduce/cse.scm 387 */
int BgL_auxz00_3708;obj_t BgL_auxz00_3706;
BgL_auxz00_3708 = 
(int)(((long)1)); 
BgL_auxz00_3706 = 
CAR(BgL_stackz00_1325); 
return 
STRUCT_REF(BgL_auxz00_3706, BgL_auxz00_3708);} }  else 
{ /* Reduce/cse.scm 386 */
{ 
obj_t BgL_stackz00_3711;
BgL_stackz00_3711 = 
CDR(BgL_stackz00_1325); 
BgL_stackz00_1325 = BgL_stackz00_3711; 
goto BgL_loopz00_1326;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_nodezd2csez12zd2default2751zd2envzc0zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_atomz00zzast_nodez00, BGl_proc3021z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_kwotez00zzast_nodez00, BGl_proc3022z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_varz00zzast_nodez00, BGl_proc3023z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_closurez00zzast_nodez00, BGl_proc3024z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_sequencez00zzast_nodez00, BGl_proc3025z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3026z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_funcallz00zzast_nodez00, BGl_proc3027z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_externz00zzast_nodez00, BGl_proc3028z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_castz00zzast_nodez00, BGl_proc3029z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_setqz00zzast_nodez00, BGl_proc3030z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_conditionalz00zzast_nodez00, BGl_proc3031z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_failz00zzast_nodez00, BGl_proc3032z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_selectz00zzast_nodez00, BGl_proc3033z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3034z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3035z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3036z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3037z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3038z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3039z00zzreduce_csez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_appz00zzast_nodez00, BGl_proc3040z00zzreduce_csez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3041z00zzreduce_csez00);} 
}



/* node-cse!-let-var2794 */
obj_t BGl_nodezd2csez12zd2letzd2var2794zc0zzreduce_csez00(obj_t BgL_envz00_3451, obj_t BgL_nodez00_3452, obj_t BgL_stackz00_3453)
{ AN_OBJECT;
{ /* Reduce/cse.scm 293 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2001;obj_t BgL_stackz00_2002;
BgL_nodez00_2001 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3452); 
BgL_stackz00_2002 = BgL_stackz00_3453; 
{ 
obj_t BgL_bindingsz00_2006;bool_t BgL_resetz00_2007;obj_t BgL_extendz00_2008;
BgL_bindingsz00_2006 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_bindingsz00); 
BgL_resetz00_2007 = ((bool_t)0); 
BgL_extendz00_2008 = BNIL; 
BgL_loopz00_2009:
if(
NULLP(BgL_bindingsz00_2006))
{ /* Reduce/cse.scm 299 */
obj_t BgL_stackz72z72_2013;
if(BgL_resetz00_2007)
{ /* Reduce/cse.scm 299 */
BgL_stackz72z72_2013 = BNIL; }  else 
{ /* Reduce/cse.scm 299 */
BgL_stackz72z72_2013 = 
bgl_append2(BgL_extendz00_2008, BgL_stackz00_2002); } 
{ /* Reduce/cse.scm 300 */
obj_t BgL_resetz72z72_2014;
{ /* Reduce/cse.scm 301 */
BgL_nodez00_bglt BgL_arg2945z00_2031;
BgL_arg2945z00_2031 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_bodyz00); 
{ /* Reduce/cse.scm 301 */
obj_t BgL_method2752z00_3294;
{ /* Reduce/cse.scm 301 */
long BgL_objzd2classzd2numz00_3296;
{ /* Reduce/cse.scm 301 */
BgL_objectz00_bglt BgL_auxz00_3740;
BgL_auxz00_3740 = 
(BgL_objectz00_bglt)(BgL_arg2945z00_2031); 
BgL_objzd2classzd2numz00_3296 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3740); } 
{ /* Reduce/cse.scm 301 */
obj_t BgL_arg1221z00_3297;
{ /* Reduce/cse.scm 301 */
int BgL_auxz00_3743;
BgL_auxz00_3743 = 
(int)(((long)1)); 
BgL_arg1221z00_3297 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3743); } 
{ /* Reduce/cse.scm 301 */
long BgL_offsetz00_3301;
{ /* Reduce/cse.scm 301 */
long BgL_auxz00_3746;
{ /* Reduce/cse.scm 301 */
int BgL_auxz00_3747;
BgL_auxz00_3747 = 
(int)(BgL_objzd2classzd2numz00_3296); 
BgL_auxz00_3746 = 
(long)(BgL_auxz00_3747); } 
BgL_offsetz00_3301 = 
(BgL_auxz00_3746-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 301 */
long BgL_modz00_3302;
{ /* Reduce/cse.scm 301 */
long BgL_auxz00_3751;
{ /* Reduce/cse.scm 301 */
int BgL_auxz00_3752;
BgL_auxz00_3752 = 
(int)(((long)8)); 
BgL_auxz00_3751 = 
(long)(BgL_auxz00_3752); } 
BgL_modz00_3302 = 
(BgL_offsetz00_3301/BgL_auxz00_3751); } 
{ /* Reduce/cse.scm 301 */
long BgL_restz00_3304;
{ /* Reduce/cse.scm 301 */
long BgL_auxz00_3756;
{ /* Reduce/cse.scm 301 */
int BgL_auxz00_3757;
BgL_auxz00_3757 = 
(int)(((long)8)); 
BgL_auxz00_3756 = 
(long)(BgL_auxz00_3757); } 
BgL_restz00_3304 = 
(BgL_offsetz00_3301%BgL_auxz00_3756); } 
{ /* Reduce/cse.scm 301 */

{ /* Reduce/cse.scm 301 */
obj_t BgL_bucketz00_3306;
{ /* Reduce/cse.scm 301 */
int BgL_kz00_3316;
BgL_kz00_3316 = 
(int)(BgL_modz00_3302); 
BgL_bucketz00_3306 = 
VECTOR_REF(BgL_arg1221z00_3297,BgL_kz00_3316); } 
{ /* Reduce/cse.scm 301 */
int BgL_kz00_3318;
BgL_kz00_3318 = 
(int)(BgL_restz00_3304); 
BgL_method2752z00_3294 = 
VECTOR_REF(BgL_bucketz00_3306,BgL_kz00_3318); } } } } } } } } 
BgL_resetz72z72_2014 = 
PROCEDURE_ENTRY(BgL_method2752z00_3294)(BgL_method2752z00_3294, 
(obj_t)(BgL_arg2945z00_2031), BgL_stackz72z72_2013, BEOA); } } 
{ /* Reduce/cse.scm 302 */
obj_t BgL_nbodyz00_2015;
BgL_nbodyz00_2015 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 302 */
BgL_nodez00_bglt BgL_val2470z00_3320;
BgL_val2470z00_3320 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_2015); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2470z00_3320), BUNSPEC); } 
{ /* Reduce/cse.scm 304 */
bool_t BgL_testz00_3770;
if(BgL_resetz00_2007)
{ /* Reduce/cse.scm 304 */
BgL_testz00_3770 = ((bool_t)1)
; }  else 
{ /* Reduce/cse.scm 304 */
BgL_testz00_3770 = 
CBOOL(BgL_resetz72z72_2014)
; } 
if(BgL_testz00_3770)
{ /* Reduce/cse.scm 304 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_2001); 
return BTRUE;}  else 
{ /* Reduce/cse.scm 306 */
bool_t BgL_test2940z00_2019;
BgL_test2940z00_2019 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_2001)); 
if(BgL_test2940z00_2019)
{ /* Reduce/cse.scm 306 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_2001); 
return BFALSE;}  else 
{ /* Reduce/cse.scm 306 */
{ /* Reduce/cse.scm 309 */
obj_t BgL_previousz00_2022;
BgL_previousz00_2022 = 
BGl_findzd2stackzd2zzreduce_csez00(
(BgL_nodez00_bglt)(BgL_nodez00_2001), BgL_stackz00_2002); 
{ /* Reduce/cse.scm 311 */
bool_t BgL_test2941z00_2023;
BgL_test2941z00_2023 = 
BGl_iszd2azf3z21zz__objectz00(BgL_previousz00_2022, BGl_variablez00zzast_varz00); 
if(BgL_test2941z00_2023)
{ /* Reduce/cse.scm 311 */
{ /* Reduce/cse.scm 312 */
long BgL_za72za7_3323;
BgL_za72za7_3323 = BGl_za2csezd2removedza2zd2zzreduce_csez00; 
BGl_za2csezd2removedza2zd2zzreduce_csez00 = 
(((long)1)+BgL_za72za7_3323); } 
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_val1_2746z00_2025;
{ /* Reduce/cse.scm 316 */
obj_t BgL_arg2942z00_2026;BgL_typez00_bglt BgL_arg2943z00_2027;
BgL_arg2942z00_2026 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_locz00); 
BgL_arg2943z00_2027 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2001))->BgL_typez00); 
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_res3014z00_3344;
{ /* Reduce/cse.scm 315 */
BgL_variablez00_bglt BgL_variable1632z00_3328;
{ /* Reduce/cse.scm 318 */
obj_t BgL_auxz00_3787;
BgL_auxz00_3787 = BgL_previousz00_2022; 
BgL_variable1632z00_3328 = 
(BgL_variablez00_bglt)(BgL_auxz00_3787); } 
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_new1633z00_3329;
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_res3012z00_3335;
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_new1635z00_3330;
BgL_new1635z00_3330 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Reduce/cse.scm 315 */
long BgL_arg2861z00_3331;
BgL_arg2861z00_3331 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Reduce/cse.scm 315 */
BgL_objectz00_bglt BgL_auxz00_3791;
BgL_auxz00_3791 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3330); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3791, BgL_arg2861z00_3331); } } 
{ /* Reduce/cse.scm 315 */
BgL_objectz00_bglt BgL_auxz00_3794;
BgL_auxz00_3794 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3330); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3794, BFALSE); } 
{ /* Reduce/cse.scm 315 */
obj_t BgL_auxz00_3797;
BgL_auxz00_3797 = 
(obj_t)(BgL_new1635z00_3330); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3797); } BUNSPEC; 
BgL_res3012z00_3335 = BgL_new1635z00_3330; } 
BgL_new1633z00_3329 = BgL_res3012z00_3335; } 
{ /* Reduce/cse.scm 315 */
BgL_varz00_bglt BgL_res3013z00_3343;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3329))->BgL_locz00) = ((obj_t)BgL_arg2942z00_2026), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3329))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2943z00_2027), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3329))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_3328), BUNSPEC); 
BgL_res3013z00_3343 = BgL_new1633z00_3329; BgL_res3013z00_3343; } 
BgL_res3014z00_3344 = BgL_new1633z00_3329; } } 
BgL_val1_2746z00_2025 = BgL_res3014z00_3344; } } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_val1_2746z00_2025); 
return BgL_stackz72z72_2013;} }  else 
{ /* Reduce/cse.scm 311 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_2001); 
return BFALSE;} } } } } } } } }  else 
{ /* Reduce/cse.scm 321 */
obj_t BgL_bindingz00_2032;
BgL_bindingz00_2032 = 
CAR(BgL_bindingsz00_2006); 
{ /* Reduce/cse.scm 322 */
obj_t BgL_varz00_2033;obj_t BgL_valz00_2034;
BgL_varz00_2033 = 
CAR(BgL_bindingz00_2032); 
BgL_valz00_2034 = 
CDR(BgL_bindingz00_2032); 
{ /* Reduce/cse.scm 324 */
obj_t BgL_resetz72z72_2035;
{ /* Reduce/cse.scm 325 */
BgL_nodez00_bglt BgL_nodez00_3348;
BgL_nodez00_3348 = 
(BgL_nodez00_bglt)(BgL_valz00_2034); 
{ /* Reduce/cse.scm 325 */
obj_t BgL_method2752z00_3350;
{ /* Reduce/cse.scm 325 */
long BgL_objzd2classzd2numz00_3352;
{ /* Reduce/cse.scm 325 */
BgL_objectz00_bglt BgL_auxz00_3811;
BgL_auxz00_3811 = 
(BgL_objectz00_bglt)(BgL_nodez00_3348); 
BgL_objzd2classzd2numz00_3352 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3811); } 
{ /* Reduce/cse.scm 325 */
obj_t BgL_arg1221z00_3353;
{ /* Reduce/cse.scm 325 */
int BgL_auxz00_3814;
BgL_auxz00_3814 = 
(int)(((long)1)); 
BgL_arg1221z00_3353 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3814); } 
{ /* Reduce/cse.scm 325 */
long BgL_offsetz00_3357;
{ /* Reduce/cse.scm 325 */
long BgL_auxz00_3817;
{ /* Reduce/cse.scm 325 */
int BgL_auxz00_3818;
BgL_auxz00_3818 = 
(int)(BgL_objzd2classzd2numz00_3352); 
BgL_auxz00_3817 = 
(long)(BgL_auxz00_3818); } 
BgL_offsetz00_3357 = 
(BgL_auxz00_3817-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 325 */
long BgL_modz00_3358;
{ /* Reduce/cse.scm 325 */
long BgL_auxz00_3822;
{ /* Reduce/cse.scm 325 */
int BgL_auxz00_3823;
BgL_auxz00_3823 = 
(int)(((long)8)); 
BgL_auxz00_3822 = 
(long)(BgL_auxz00_3823); } 
BgL_modz00_3358 = 
(BgL_offsetz00_3357/BgL_auxz00_3822); } 
{ /* Reduce/cse.scm 325 */
long BgL_restz00_3360;
{ /* Reduce/cse.scm 325 */
long BgL_auxz00_3827;
{ /* Reduce/cse.scm 325 */
int BgL_auxz00_3828;
BgL_auxz00_3828 = 
(int)(((long)8)); 
BgL_auxz00_3827 = 
(long)(BgL_auxz00_3828); } 
BgL_restz00_3360 = 
(BgL_offsetz00_3357%BgL_auxz00_3827); } 
{ /* Reduce/cse.scm 325 */

{ /* Reduce/cse.scm 325 */
obj_t BgL_bucketz00_3362;
{ /* Reduce/cse.scm 325 */
int BgL_kz00_3372;
BgL_kz00_3372 = 
(int)(BgL_modz00_3358); 
BgL_bucketz00_3362 = 
VECTOR_REF(BgL_arg1221z00_3353,BgL_kz00_3372); } 
{ /* Reduce/cse.scm 325 */
int BgL_kz00_3374;
BgL_kz00_3374 = 
(int)(BgL_restz00_3360); 
BgL_method2752z00_3350 = 
VECTOR_REF(BgL_bucketz00_3362,BgL_kz00_3374); } } } } } } } } 
BgL_resetz72z72_2035 = 
PROCEDURE_ENTRY(BgL_method2752z00_3350)(BgL_method2752z00_3350, 
(obj_t)(BgL_nodez00_3348), BgL_stackz00_2002, BEOA); } } 
{ /* Reduce/cse.scm 326 */
obj_t BgL_nvalz00_2036;
BgL_nvalz00_2036 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
SET_CDR(BgL_bindingz00_2032, BgL_nvalz00_2036); 
{ /* Reduce/cse.scm 328 */
bool_t BgL_testz00_3840;
if(BgL_resetz00_2007)
{ /* Reduce/cse.scm 328 */
BgL_testz00_3840 = ((bool_t)1)
; }  else 
{ /* Reduce/cse.scm 328 */
BgL_testz00_3840 = 
CBOOL(BgL_resetz72z72_2035)
; } 
if(BgL_testz00_3840)
{ /* Reduce/cse.scm 328 */
{ 
obj_t BgL_extendz00_3846;bool_t BgL_resetz00_3845;obj_t BgL_bindingsz00_3843;
BgL_bindingsz00_3843 = 
CDR(BgL_bindingsz00_2006); 
BgL_resetz00_3845 = ((bool_t)1); 
BgL_extendz00_3846 = BNIL; 
BgL_extendz00_2008 = BgL_extendz00_3846; 
BgL_resetz00_2007 = BgL_resetz00_3845; 
BgL_bindingsz00_2006 = BgL_bindingsz00_3843; 
goto BgL_loopz00_2009;} }  else 
{ /* Reduce/cse.scm 332 */
bool_t BgL_testz00_3847;
{ /* Reduce/cse.scm 332 */
obj_t BgL_auxz00_3851;obj_t BgL_auxz00_3848;
BgL_auxz00_3851 = 
CNST_TABLE_REF(((long)0)); 
{ /* Reduce/cse.scm 332 */
BgL_localz00_bglt BgL_obj1258z00_3378;
BgL_obj1258z00_3378 = 
(BgL_localz00_bglt)(BgL_varz00_2033); 
BgL_auxz00_3848 = 
(((BgL_localz00_bglt)CREF(BgL_obj1258z00_3378))->BgL_accessz00); } 
BgL_testz00_3847 = 
(BgL_auxz00_3848==BgL_auxz00_3851); } 
if(BgL_testz00_3847)
{ /* Reduce/cse.scm 336 */
bool_t BgL_test2950z00_2041;
{ /* Reduce/cse.scm 336 */
bool_t BgL_test2955z00_2046;
BgL_test2955z00_2046 = 
BGl_iszd2azf3z21zz__objectz00(BgL_valz00_2034, BGl_appz00zzast_nodez00); 
if(BgL_test2955z00_2046)
{ /* Reduce/cse.scm 336 */
BgL_test2950z00_2041 = ((bool_t)1); }  else 
{ /* Reduce/cse.scm 336 */
BgL_test2950z00_2041 = 
BGl_iszd2azf3z21zz__objectz00(BgL_valz00_2034, BGl_letzd2varzd2zzast_nodez00); } } 
if(BgL_test2950z00_2041)
{ /* Reduce/cse.scm 336 */
{ /* Reduce/cse.scm 337 */
obj_t BgL_arg2951z00_2042;obj_t BgL_arg2952z00_2043;
BgL_arg2951z00_2042 = 
CDR(BgL_bindingsz00_2006); 
{ /* Reduce/cse.scm 339 */
obj_t BgL_arg2953z00_2044;
{ /* Reduce/cse.scm 339 */
obj_t BgL_newz00_3384;
{ /* Reduce/cse.scm 339 */
int BgL_auxz00_3861;obj_t BgL_auxz00_3859;
BgL_auxz00_3861 = 
(int)(((long)2)); 
BgL_auxz00_3859 = 
CNST_TABLE_REF(((long)1)); 
BgL_newz00_3384 = 
create_struct(BgL_auxz00_3859, BgL_auxz00_3861); } 
{ /* Reduce/cse.scm 339 */
int BgL_auxz00_3864;
BgL_auxz00_3864 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_3384, BgL_auxz00_3864, BgL_varz00_2033); } 
{ /* Reduce/cse.scm 339 */
int BgL_auxz00_3867;
BgL_auxz00_3867 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_3384, BgL_auxz00_3867, BgL_valz00_2034); } 
BgL_arg2953z00_2044 = BgL_newz00_3384; } 
BgL_arg2952z00_2043 = 
MAKE_PAIR(BgL_arg2953z00_2044, BgL_extendz00_2008); } 
{ 
obj_t BgL_extendz00_3873;bool_t BgL_resetz00_3872;obj_t BgL_bindingsz00_3871;
BgL_bindingsz00_3871 = BgL_arg2951z00_2042; 
BgL_resetz00_3872 = ((bool_t)0); 
BgL_extendz00_3873 = BgL_arg2952z00_2043; 
BgL_extendz00_2008 = BgL_extendz00_3873; 
BgL_resetz00_2007 = BgL_resetz00_3872; 
BgL_bindingsz00_2006 = BgL_bindingsz00_3871; 
goto BgL_loopz00_2009;} } }  else 
{ /* Reduce/cse.scm 336 */
{ 
bool_t BgL_resetz00_3876;obj_t BgL_bindingsz00_3874;
BgL_bindingsz00_3874 = 
CDR(BgL_bindingsz00_2006); 
BgL_resetz00_3876 = ((bool_t)0); 
BgL_resetz00_2007 = BgL_resetz00_3876; 
BgL_bindingsz00_2006 = BgL_bindingsz00_3874; 
goto BgL_loopz00_2009;} } }  else 
{ /* Reduce/cse.scm 332 */
{ 
bool_t BgL_resetz00_3879;obj_t BgL_bindingsz00_3877;
BgL_bindingsz00_3877 = 
CDR(BgL_bindingsz00_2006); 
BgL_resetz00_3879 = ((bool_t)0); 
BgL_resetz00_2007 = BgL_resetz00_3879; 
BgL_bindingsz00_2006 = BgL_bindingsz00_3877; 
goto BgL_loopz00_2009;} } } } } } } } } } } 
}



/* node-cse!-app2792 */
obj_t BGl_nodezd2csez12zd2app2792z12zzreduce_csez00(obj_t BgL_envz00_3454, obj_t BgL_nodez00_3455, obj_t BgL_stackz00_3456)
{ AN_OBJECT;
{ /* Reduce/cse.scm 267 */
{ 
BgL_appz00_bglt BgL_nodez00_1980;obj_t BgL_stackz00_1981;
BgL_nodez00_1980 = 
(BgL_appz00_bglt)(BgL_nodez00_3455); 
BgL_stackz00_1981 = BgL_stackz00_3456; 
{ /* Reduce/cse.scm 269 */
obj_t BgL_resetz00_1985;
BgL_resetz00_1985 = 
BGl_nodezd2cseza2z12z62zzreduce_csez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1980))->BgL_argsz00), BgL_stackz00_1981); 
{ /* Reduce/cse.scm 270 */
bool_t BgL_test2929z00_1986;
if(
CBOOL(BgL_resetz00_1985))
{ /* Reduce/cse.scm 270 */
BgL_test2929z00_1986 = ((bool_t)1); }  else 
{ /* Reduce/cse.scm 270 */
BgL_test2929z00_1986 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_1980)); } 
if(BgL_test2929z00_1986)
{ /* Reduce/cse.scm 270 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1980); 
return BTRUE;}  else 
{ /* Reduce/cse.scm 275 */
obj_t BgL_previousz00_1989;
BgL_previousz00_1989 = 
BGl_findzd2stackzd2zzreduce_csez00(
(BgL_nodez00_bglt)(BgL_nodez00_1980), BgL_stackz00_1981); 
{ /* Reduce/cse.scm 277 */
bool_t BgL_test2930z00_1990;
BgL_test2930z00_1990 = 
BGl_iszd2azf3z21zz__objectz00(BgL_previousz00_1989, BGl_variablez00zzast_varz00); 
if(BgL_test2930z00_1990)
{ /* Reduce/cse.scm 277 */
{ /* Reduce/cse.scm 278 */
long BgL_za72za7_3267;
BgL_za72za7_3267 = BGl_za2csezd2removedza2zd2zzreduce_csez00; 
BGl_za2csezd2removedza2zd2zzreduce_csez00 = 
(((long)1)+BgL_za72za7_3267); } 
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_val1_2735z00_1992;
{ /* Reduce/cse.scm 281 */
obj_t BgL_arg2931z00_1993;BgL_typez00_bglt BgL_arg2932z00_1994;
BgL_arg2931z00_1993 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1980))->BgL_locz00); 
BgL_arg2932z00_1994 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1980))->BgL_typez00); 
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_res3009z00_3288;
{ /* Reduce/cse.scm 280 */
BgL_variablez00_bglt BgL_variable1632z00_3272;
{ /* Reduce/cse.scm 283 */
obj_t BgL_auxz00_3898;
BgL_auxz00_3898 = BgL_previousz00_1989; 
BgL_variable1632z00_3272 = 
(BgL_variablez00_bglt)(BgL_auxz00_3898); } 
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_new1633z00_3273;
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_res3007z00_3279;
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_new1635z00_3274;
BgL_new1635z00_3274 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Reduce/cse.scm 280 */
long BgL_arg2861z00_3275;
BgL_arg2861z00_3275 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Reduce/cse.scm 280 */
BgL_objectz00_bglt BgL_auxz00_3902;
BgL_auxz00_3902 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3274); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3902, BgL_arg2861z00_3275); } } 
{ /* Reduce/cse.scm 280 */
BgL_objectz00_bglt BgL_auxz00_3905;
BgL_auxz00_3905 = 
(BgL_objectz00_bglt)(BgL_new1635z00_3274); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3905, BFALSE); } 
{ /* Reduce/cse.scm 280 */
obj_t BgL_auxz00_3908;
BgL_auxz00_3908 = 
(obj_t)(BgL_new1635z00_3274); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3908); } BUNSPEC; 
BgL_res3007z00_3279 = BgL_new1635z00_3274; } 
BgL_new1633z00_3273 = BgL_res3007z00_3279; } 
{ /* Reduce/cse.scm 280 */
BgL_varz00_bglt BgL_res3008z00_3287;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3273))->BgL_locz00) = ((obj_t)BgL_arg2931z00_1993), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3273))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2932z00_1994), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_3273))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_3272), BUNSPEC); 
BgL_res3008z00_3287 = BgL_new1633z00_3273; BgL_res3008z00_3287; } 
BgL_res3009z00_3288 = BgL_new1633z00_3273; } } 
BgL_val1_2735z00_1992 = BgL_res3009z00_3288; } } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_val1_2735z00_1992); 
return BgL_stackz00_1981;} }  else 
{ /* Reduce/cse.scm 277 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1980); 
return BFALSE;} } } } } } } 
}



/* node-cse!-box-ref2790 */
obj_t BGl_nodezd2csez12zd2boxzd2ref2790zc0zzreduce_csez00(obj_t BgL_envz00_3457, obj_t BgL_nodez00_3458, obj_t BgL_stackz00_3459)
{ AN_OBJECT;
{ /* Reduce/cse.scm 261 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1972;obj_t BgL_stackz00_1973;
{ /* Reduce/cse.scm 262 */
bool_t BgL_auxz00_3919;
BgL_nodez00_1972 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3458); 
BgL_stackz00_1973 = BgL_stackz00_3459; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1972); 
BgL_auxz00_3919 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_3919);} } } 
}



/* node-cse!-box-set!2788 */
obj_t BGl_nodezd2csez12zd2boxzd2setz122788zd2zzreduce_csez00(obj_t BgL_envz00_3460, obj_t BgL_nodez00_3461, obj_t BgL_stackz00_3462)
{ AN_OBJECT;
{ /* Reduce/cse.scm 251 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1960;obj_t BgL_stackz00_1961;
BgL_nodez00_1960 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3461); 
BgL_stackz00_1961 = BgL_stackz00_3462; 
{ /* Reduce/cse.scm 253 */
obj_t BgL_resetz00_1965;
{ /* Reduce/cse.scm 254 */
BgL_nodez00_bglt BgL_arg2926z00_1969;
BgL_arg2926z00_1969 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1960))->BgL_valuez00); 
{ /* Reduce/cse.scm 254 */
obj_t BgL_method2752z00_3235;
{ /* Reduce/cse.scm 254 */
long BgL_objzd2classzd2numz00_3237;
{ /* Reduce/cse.scm 254 */
BgL_objectz00_bglt BgL_auxz00_3925;
BgL_auxz00_3925 = 
(BgL_objectz00_bglt)(BgL_arg2926z00_1969); 
BgL_objzd2classzd2numz00_3237 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3925); } 
{ /* Reduce/cse.scm 254 */
obj_t BgL_arg1221z00_3238;
{ /* Reduce/cse.scm 254 */
int BgL_auxz00_3928;
BgL_auxz00_3928 = 
(int)(((long)1)); 
BgL_arg1221z00_3238 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3928); } 
{ /* Reduce/cse.scm 254 */
long BgL_offsetz00_3242;
{ /* Reduce/cse.scm 254 */
long BgL_auxz00_3931;
{ /* Reduce/cse.scm 254 */
int BgL_auxz00_3932;
BgL_auxz00_3932 = 
(int)(BgL_objzd2classzd2numz00_3237); 
BgL_auxz00_3931 = 
(long)(BgL_auxz00_3932); } 
BgL_offsetz00_3242 = 
(BgL_auxz00_3931-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 254 */
long BgL_modz00_3243;
{ /* Reduce/cse.scm 254 */
long BgL_auxz00_3936;
{ /* Reduce/cse.scm 254 */
int BgL_auxz00_3937;
BgL_auxz00_3937 = 
(int)(((long)8)); 
BgL_auxz00_3936 = 
(long)(BgL_auxz00_3937); } 
BgL_modz00_3243 = 
(BgL_offsetz00_3242/BgL_auxz00_3936); } 
{ /* Reduce/cse.scm 254 */
long BgL_restz00_3245;
{ /* Reduce/cse.scm 254 */
long BgL_auxz00_3941;
{ /* Reduce/cse.scm 254 */
int BgL_auxz00_3942;
BgL_auxz00_3942 = 
(int)(((long)8)); 
BgL_auxz00_3941 = 
(long)(BgL_auxz00_3942); } 
BgL_restz00_3245 = 
(BgL_offsetz00_3242%BgL_auxz00_3941); } 
{ /* Reduce/cse.scm 254 */

{ /* Reduce/cse.scm 254 */
obj_t BgL_bucketz00_3247;
{ /* Reduce/cse.scm 254 */
int BgL_kz00_3257;
BgL_kz00_3257 = 
(int)(BgL_modz00_3243); 
BgL_bucketz00_3247 = 
VECTOR_REF(BgL_arg1221z00_3238,BgL_kz00_3257); } 
{ /* Reduce/cse.scm 254 */
int BgL_kz00_3259;
BgL_kz00_3259 = 
(int)(BgL_restz00_3245); 
BgL_method2752z00_3235 = 
VECTOR_REF(BgL_bucketz00_3247,BgL_kz00_3259); } } } } } } } } 
BgL_resetz00_1965 = 
PROCEDURE_ENTRY(BgL_method2752z00_3235)(BgL_method2752z00_3235, 
(obj_t)(BgL_arg2926z00_1969), BgL_stackz00_1961, BEOA); } } 
{ /* Reduce/cse.scm 255 */
obj_t BgL_nvaluez00_1966;
BgL_nvaluez00_1966 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 255 */
BgL_nodez00_bglt BgL_val2634z00_3261;
BgL_val2634z00_3261 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1966); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1960))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2634z00_3261), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1960); 
return BgL_resetz00_1965;} } } } 
}



/* node-cse!-make-box2786 */
obj_t BGl_nodezd2csez12zd2makezd2box2786zc0zzreduce_csez00(obj_t BgL_envz00_3463, obj_t BgL_nodez00_3464, obj_t BgL_stackz00_3465)
{ AN_OBJECT;
{ /* Reduce/cse.scm 241 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1948;obj_t BgL_stackz00_1949;
BgL_nodez00_1948 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3464); 
BgL_stackz00_1949 = BgL_stackz00_3465; 
{ /* Reduce/cse.scm 243 */
obj_t BgL_resetz00_1953;
{ /* Reduce/cse.scm 244 */
BgL_nodez00_bglt BgL_arg2924z00_1957;
BgL_arg2924z00_1957 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1948))->BgL_valuez00); 
{ /* Reduce/cse.scm 244 */
obj_t BgL_method2752z00_3205;
{ /* Reduce/cse.scm 244 */
long BgL_objzd2classzd2numz00_3207;
{ /* Reduce/cse.scm 244 */
BgL_objectz00_bglt BgL_auxz00_3959;
BgL_auxz00_3959 = 
(BgL_objectz00_bglt)(BgL_arg2924z00_1957); 
BgL_objzd2classzd2numz00_3207 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3959); } 
{ /* Reduce/cse.scm 244 */
obj_t BgL_arg1221z00_3208;
{ /* Reduce/cse.scm 244 */
int BgL_auxz00_3962;
BgL_auxz00_3962 = 
(int)(((long)1)); 
BgL_arg1221z00_3208 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3962); } 
{ /* Reduce/cse.scm 244 */
long BgL_offsetz00_3212;
{ /* Reduce/cse.scm 244 */
long BgL_auxz00_3965;
{ /* Reduce/cse.scm 244 */
int BgL_auxz00_3966;
BgL_auxz00_3966 = 
(int)(BgL_objzd2classzd2numz00_3207); 
BgL_auxz00_3965 = 
(long)(BgL_auxz00_3966); } 
BgL_offsetz00_3212 = 
(BgL_auxz00_3965-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 244 */
long BgL_modz00_3213;
{ /* Reduce/cse.scm 244 */
long BgL_auxz00_3970;
{ /* Reduce/cse.scm 244 */
int BgL_auxz00_3971;
BgL_auxz00_3971 = 
(int)(((long)8)); 
BgL_auxz00_3970 = 
(long)(BgL_auxz00_3971); } 
BgL_modz00_3213 = 
(BgL_offsetz00_3212/BgL_auxz00_3970); } 
{ /* Reduce/cse.scm 244 */
long BgL_restz00_3215;
{ /* Reduce/cse.scm 244 */
long BgL_auxz00_3975;
{ /* Reduce/cse.scm 244 */
int BgL_auxz00_3976;
BgL_auxz00_3976 = 
(int)(((long)8)); 
BgL_auxz00_3975 = 
(long)(BgL_auxz00_3976); } 
BgL_restz00_3215 = 
(BgL_offsetz00_3212%BgL_auxz00_3975); } 
{ /* Reduce/cse.scm 244 */

{ /* Reduce/cse.scm 244 */
obj_t BgL_bucketz00_3217;
{ /* Reduce/cse.scm 244 */
int BgL_kz00_3227;
BgL_kz00_3227 = 
(int)(BgL_modz00_3213); 
BgL_bucketz00_3217 = 
VECTOR_REF(BgL_arg1221z00_3208,BgL_kz00_3227); } 
{ /* Reduce/cse.scm 244 */
int BgL_kz00_3229;
BgL_kz00_3229 = 
(int)(BgL_restz00_3215); 
BgL_method2752z00_3205 = 
VECTOR_REF(BgL_bucketz00_3217,BgL_kz00_3229); } } } } } } } } 
BgL_resetz00_1953 = 
PROCEDURE_ENTRY(BgL_method2752z00_3205)(BgL_method2752z00_3205, 
(obj_t)(BgL_arg2924z00_1957), BgL_stackz00_1949, BEOA); } } 
{ /* Reduce/cse.scm 245 */
obj_t BgL_nvaluez00_1954;
BgL_nvaluez00_1954 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 245 */
BgL_nodez00_bglt BgL_val2569z00_3231;
BgL_val2569z00_3231 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1954); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1948))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2569z00_3231), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1948); 
return BgL_resetz00_1953;} } } } 
}



/* node-cse!-jump-ex-it2784 */
obj_t BGl_nodezd2csez12zd2jumpzd2exzd2it2784z12zzreduce_csez00(obj_t BgL_envz00_3466, obj_t BgL_nodez00_3467, obj_t BgL_stackz00_3468)
{ AN_OBJECT;
{ /* Reduce/cse.scm 227 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1931;obj_t BgL_stackz00_1932;
BgL_nodez00_1931 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3467); 
BgL_stackz00_1932 = BgL_stackz00_3468; 
{ /* Reduce/cse.scm 229 */
obj_t BgL_resetz00_1936;
{ /* Reduce/cse.scm 230 */
BgL_nodez00_bglt BgL_arg2922z00_1945;
BgL_arg2922z00_1945 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1931))->BgL_exitz00); 
{ /* Reduce/cse.scm 230 */
obj_t BgL_method2752z00_3145;
{ /* Reduce/cse.scm 230 */
long BgL_objzd2classzd2numz00_3147;
{ /* Reduce/cse.scm 230 */
BgL_objectz00_bglt BgL_auxz00_3993;
BgL_auxz00_3993 = 
(BgL_objectz00_bglt)(BgL_arg2922z00_1945); 
BgL_objzd2classzd2numz00_3147 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3993); } 
{ /* Reduce/cse.scm 230 */
obj_t BgL_arg1221z00_3148;
{ /* Reduce/cse.scm 230 */
int BgL_auxz00_3996;
BgL_auxz00_3996 = 
(int)(((long)1)); 
BgL_arg1221z00_3148 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_3996); } 
{ /* Reduce/cse.scm 230 */
long BgL_offsetz00_3152;
{ /* Reduce/cse.scm 230 */
long BgL_auxz00_3999;
{ /* Reduce/cse.scm 230 */
int BgL_auxz00_4000;
BgL_auxz00_4000 = 
(int)(BgL_objzd2classzd2numz00_3147); 
BgL_auxz00_3999 = 
(long)(BgL_auxz00_4000); } 
BgL_offsetz00_3152 = 
(BgL_auxz00_3999-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 230 */
long BgL_modz00_3153;
{ /* Reduce/cse.scm 230 */
long BgL_auxz00_4004;
{ /* Reduce/cse.scm 230 */
int BgL_auxz00_4005;
BgL_auxz00_4005 = 
(int)(((long)8)); 
BgL_auxz00_4004 = 
(long)(BgL_auxz00_4005); } 
BgL_modz00_3153 = 
(BgL_offsetz00_3152/BgL_auxz00_4004); } 
{ /* Reduce/cse.scm 230 */
long BgL_restz00_3155;
{ /* Reduce/cse.scm 230 */
long BgL_auxz00_4009;
{ /* Reduce/cse.scm 230 */
int BgL_auxz00_4010;
BgL_auxz00_4010 = 
(int)(((long)8)); 
BgL_auxz00_4009 = 
(long)(BgL_auxz00_4010); } 
BgL_restz00_3155 = 
(BgL_offsetz00_3152%BgL_auxz00_4009); } 
{ /* Reduce/cse.scm 230 */

{ /* Reduce/cse.scm 230 */
obj_t BgL_bucketz00_3157;
{ /* Reduce/cse.scm 230 */
int BgL_kz00_3167;
BgL_kz00_3167 = 
(int)(BgL_modz00_3153); 
BgL_bucketz00_3157 = 
VECTOR_REF(BgL_arg1221z00_3148,BgL_kz00_3167); } 
{ /* Reduce/cse.scm 230 */
int BgL_kz00_3169;
BgL_kz00_3169 = 
(int)(BgL_restz00_3155); 
BgL_method2752z00_3145 = 
VECTOR_REF(BgL_bucketz00_3157,BgL_kz00_3169); } } } } } } } } 
BgL_resetz00_1936 = 
PROCEDURE_ENTRY(BgL_method2752z00_3145)(BgL_method2752z00_3145, 
(obj_t)(BgL_arg2922z00_1945), BgL_stackz00_1932, BEOA); } } 
{ /* Reduce/cse.scm 231 */
obj_t BgL_nexitz00_1937;
BgL_nexitz00_1937 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 231 */
BgL_nodez00_bglt BgL_val2535z00_3171;
BgL_val2535z00_3171 = 
(BgL_nodez00_bglt)(BgL_nexitz00_1937); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1931))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_val2535z00_3171), BUNSPEC); } 
{ /* Reduce/cse.scm 232 */
obj_t BgL_stackz72z72_1938;
if(
CBOOL(BgL_resetz00_1936))
{ /* Reduce/cse.scm 232 */
BgL_stackz72z72_1938 = BNIL; }  else 
{ /* Reduce/cse.scm 232 */
BgL_stackz72z72_1938 = BgL_stackz00_1932; } 
{ /* Reduce/cse.scm 233 */
obj_t BgL_resetz72z72_1939;
{ /* Reduce/cse.scm 234 */
BgL_nodez00_bglt BgL_arg2921z00_1944;
BgL_arg2921z00_1944 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1931))->BgL_valuez00); 
{ /* Reduce/cse.scm 234 */
obj_t BgL_method2752z00_3175;
{ /* Reduce/cse.scm 234 */
long BgL_objzd2classzd2numz00_3177;
{ /* Reduce/cse.scm 234 */
BgL_objectz00_bglt BgL_auxz00_4026;
BgL_auxz00_4026 = 
(BgL_objectz00_bglt)(BgL_arg2921z00_1944); 
BgL_objzd2classzd2numz00_3177 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4026); } 
{ /* Reduce/cse.scm 234 */
obj_t BgL_arg1221z00_3178;
{ /* Reduce/cse.scm 234 */
int BgL_auxz00_4029;
BgL_auxz00_4029 = 
(int)(((long)1)); 
BgL_arg1221z00_3178 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4029); } 
{ /* Reduce/cse.scm 234 */
long BgL_offsetz00_3182;
{ /* Reduce/cse.scm 234 */
long BgL_auxz00_4032;
{ /* Reduce/cse.scm 234 */
int BgL_auxz00_4033;
BgL_auxz00_4033 = 
(int)(BgL_objzd2classzd2numz00_3177); 
BgL_auxz00_4032 = 
(long)(BgL_auxz00_4033); } 
BgL_offsetz00_3182 = 
(BgL_auxz00_4032-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 234 */
long BgL_modz00_3183;
{ /* Reduce/cse.scm 234 */
long BgL_auxz00_4037;
{ /* Reduce/cse.scm 234 */
int BgL_auxz00_4038;
BgL_auxz00_4038 = 
(int)(((long)8)); 
BgL_auxz00_4037 = 
(long)(BgL_auxz00_4038); } 
BgL_modz00_3183 = 
(BgL_offsetz00_3182/BgL_auxz00_4037); } 
{ /* Reduce/cse.scm 234 */
long BgL_restz00_3185;
{ /* Reduce/cse.scm 234 */
long BgL_auxz00_4042;
{ /* Reduce/cse.scm 234 */
int BgL_auxz00_4043;
BgL_auxz00_4043 = 
(int)(((long)8)); 
BgL_auxz00_4042 = 
(long)(BgL_auxz00_4043); } 
BgL_restz00_3185 = 
(BgL_offsetz00_3182%BgL_auxz00_4042); } 
{ /* Reduce/cse.scm 234 */

{ /* Reduce/cse.scm 234 */
obj_t BgL_bucketz00_3187;
{ /* Reduce/cse.scm 234 */
int BgL_kz00_3197;
BgL_kz00_3197 = 
(int)(BgL_modz00_3183); 
BgL_bucketz00_3187 = 
VECTOR_REF(BgL_arg1221z00_3178,BgL_kz00_3197); } 
{ /* Reduce/cse.scm 234 */
int BgL_kz00_3199;
BgL_kz00_3199 = 
(int)(BgL_restz00_3185); 
BgL_method2752z00_3175 = 
VECTOR_REF(BgL_bucketz00_3187,BgL_kz00_3199); } } } } } } } } 
BgL_resetz72z72_1939 = 
PROCEDURE_ENTRY(BgL_method2752z00_3175)(BgL_method2752z00_3175, 
(obj_t)(BgL_arg2921z00_1944), BgL_stackz72z72_1938, BEOA); } } 
{ /* Reduce/cse.scm 235 */
obj_t BgL_nvaluez00_1940;
BgL_nvaluez00_1940 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 235 */
BgL_nodez00_bglt BgL_val2538z00_3201;
BgL_val2538z00_3201 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1940); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1931))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2538z00_3201), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1931); 
if(
CBOOL(BgL_resetz00_1936))
{ /* Reduce/cse.scm 236 */
return BgL_resetz00_1936;}  else 
{ /* Reduce/cse.scm 236 */
return BgL_resetz72z72_1939;} } } } } } } } 
}



/* node-cse!-set-ex-it2782 */
obj_t BGl_nodezd2csez12zd2setzd2exzd2it2782z12zzreduce_csez00(obj_t BgL_envz00_3469, obj_t BgL_nodez00_3470, obj_t BgL_stackz00_3471)
{ AN_OBJECT;
{ /* Reduce/cse.scm 217 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1918;obj_t BgL_stackz00_1919;
BgL_nodez00_1918 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3470); 
BgL_stackz00_1919 = BgL_stackz00_3471; 
{ /* Reduce/cse.scm 219 */
obj_t BgL_resetz00_1923;
{ /* Reduce/cse.scm 220 */
BgL_nodez00_bglt BgL_arg2918z00_1927;
BgL_arg2918z00_1927 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1918))->BgL_bodyz00); 
{ /* Reduce/cse.scm 220 */
obj_t BgL_method2752z00_3115;
{ /* Reduce/cse.scm 220 */
long BgL_objzd2classzd2numz00_3117;
{ /* Reduce/cse.scm 220 */
BgL_objectz00_bglt BgL_auxz00_4062;
BgL_auxz00_4062 = 
(BgL_objectz00_bglt)(BgL_arg2918z00_1927); 
BgL_objzd2classzd2numz00_3117 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4062); } 
{ /* Reduce/cse.scm 220 */
obj_t BgL_arg1221z00_3118;
{ /* Reduce/cse.scm 220 */
int BgL_auxz00_4065;
BgL_auxz00_4065 = 
(int)(((long)1)); 
BgL_arg1221z00_3118 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4065); } 
{ /* Reduce/cse.scm 220 */
long BgL_offsetz00_3122;
{ /* Reduce/cse.scm 220 */
long BgL_auxz00_4068;
{ /* Reduce/cse.scm 220 */
int BgL_auxz00_4069;
BgL_auxz00_4069 = 
(int)(BgL_objzd2classzd2numz00_3117); 
BgL_auxz00_4068 = 
(long)(BgL_auxz00_4069); } 
BgL_offsetz00_3122 = 
(BgL_auxz00_4068-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 220 */
long BgL_modz00_3123;
{ /* Reduce/cse.scm 220 */
long BgL_auxz00_4073;
{ /* Reduce/cse.scm 220 */
int BgL_auxz00_4074;
BgL_auxz00_4074 = 
(int)(((long)8)); 
BgL_auxz00_4073 = 
(long)(BgL_auxz00_4074); } 
BgL_modz00_3123 = 
(BgL_offsetz00_3122/BgL_auxz00_4073); } 
{ /* Reduce/cse.scm 220 */
long BgL_restz00_3125;
{ /* Reduce/cse.scm 220 */
long BgL_auxz00_4078;
{ /* Reduce/cse.scm 220 */
int BgL_auxz00_4079;
BgL_auxz00_4079 = 
(int)(((long)8)); 
BgL_auxz00_4078 = 
(long)(BgL_auxz00_4079); } 
BgL_restz00_3125 = 
(BgL_offsetz00_3122%BgL_auxz00_4078); } 
{ /* Reduce/cse.scm 220 */

{ /* Reduce/cse.scm 220 */
obj_t BgL_bucketz00_3127;
{ /* Reduce/cse.scm 220 */
int BgL_kz00_3137;
BgL_kz00_3137 = 
(int)(BgL_modz00_3123); 
BgL_bucketz00_3127 = 
VECTOR_REF(BgL_arg1221z00_3118,BgL_kz00_3137); } 
{ /* Reduce/cse.scm 220 */
int BgL_kz00_3139;
BgL_kz00_3139 = 
(int)(BgL_restz00_3125); 
BgL_method2752z00_3115 = 
VECTOR_REF(BgL_bucketz00_3127,BgL_kz00_3139); } } } } } } } } 
BgL_resetz00_1923 = 
PROCEDURE_ENTRY(BgL_method2752z00_3115)(BgL_method2752z00_3115, 
(obj_t)(BgL_arg2918z00_1927), BNIL, BEOA); } } 
{ /* Reduce/cse.scm 221 */
obj_t BgL_nbodyz00_1924;
BgL_nbodyz00_1924 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 221 */
BgL_nodez00_bglt BgL_val2510z00_3141;
BgL_val2510z00_3141 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1924); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1918))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2510z00_3141), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1918); 
return BgL_resetz00_1923;} } } } 
}



/* node-cse!-let-fun2780 */
obj_t BGl_nodezd2csez12zd2letzd2fun2780zc0zzreduce_csez00(obj_t BgL_envz00_3472, obj_t BgL_nodez00_3473, obj_t BgL_stackz00_3474)
{ AN_OBJECT;
{ /* Reduce/cse.scm 198 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1892;obj_t BgL_stackz00_1893;
BgL_nodez00_1892 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3473); 
BgL_stackz00_1893 = BgL_stackz00_3474; 
{ /* Reduce/cse.scm 200 */
obj_t BgL_resetz00_1897;
{ /* Reduce/cse.scm 201 */
BgL_nodez00_bglt BgL_arg2916z00_1915;
BgL_arg2916z00_1915 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1892))->BgL_bodyz00); 
{ /* Reduce/cse.scm 201 */
obj_t BgL_method2752z00_3050;
{ /* Reduce/cse.scm 201 */
long BgL_objzd2classzd2numz00_3052;
{ /* Reduce/cse.scm 201 */
BgL_objectz00_bglt BgL_auxz00_4096;
BgL_auxz00_4096 = 
(BgL_objectz00_bglt)(BgL_arg2916z00_1915); 
BgL_objzd2classzd2numz00_3052 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4096); } 
{ /* Reduce/cse.scm 201 */
obj_t BgL_arg1221z00_3053;
{ /* Reduce/cse.scm 201 */
int BgL_auxz00_4099;
BgL_auxz00_4099 = 
(int)(((long)1)); 
BgL_arg1221z00_3053 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4099); } 
{ /* Reduce/cse.scm 201 */
long BgL_offsetz00_3057;
{ /* Reduce/cse.scm 201 */
long BgL_auxz00_4102;
{ /* Reduce/cse.scm 201 */
int BgL_auxz00_4103;
BgL_auxz00_4103 = 
(int)(BgL_objzd2classzd2numz00_3052); 
BgL_auxz00_4102 = 
(long)(BgL_auxz00_4103); } 
BgL_offsetz00_3057 = 
(BgL_auxz00_4102-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 201 */
long BgL_modz00_3058;
{ /* Reduce/cse.scm 201 */
long BgL_auxz00_4107;
{ /* Reduce/cse.scm 201 */
int BgL_auxz00_4108;
BgL_auxz00_4108 = 
(int)(((long)8)); 
BgL_auxz00_4107 = 
(long)(BgL_auxz00_4108); } 
BgL_modz00_3058 = 
(BgL_offsetz00_3057/BgL_auxz00_4107); } 
{ /* Reduce/cse.scm 201 */
long BgL_restz00_3060;
{ /* Reduce/cse.scm 201 */
long BgL_auxz00_4112;
{ /* Reduce/cse.scm 201 */
int BgL_auxz00_4113;
BgL_auxz00_4113 = 
(int)(((long)8)); 
BgL_auxz00_4112 = 
(long)(BgL_auxz00_4113); } 
BgL_restz00_3060 = 
(BgL_offsetz00_3057%BgL_auxz00_4112); } 
{ /* Reduce/cse.scm 201 */

{ /* Reduce/cse.scm 201 */
obj_t BgL_bucketz00_3062;
{ /* Reduce/cse.scm 201 */
int BgL_kz00_3072;
BgL_kz00_3072 = 
(int)(BgL_modz00_3058); 
BgL_bucketz00_3062 = 
VECTOR_REF(BgL_arg1221z00_3053,BgL_kz00_3072); } 
{ /* Reduce/cse.scm 201 */
int BgL_kz00_3074;
BgL_kz00_3074 = 
(int)(BgL_restz00_3060); 
BgL_method2752z00_3050 = 
VECTOR_REF(BgL_bucketz00_3062,BgL_kz00_3074); } } } } } } } } 
BgL_resetz00_1897 = 
PROCEDURE_ENTRY(BgL_method2752z00_3050)(BgL_method2752z00_3050, 
(obj_t)(BgL_arg2916z00_1915), BgL_stackz00_1893, BEOA); } } 
{ /* Reduce/cse.scm 202 */
obj_t BgL_nbodyz00_1898;
BgL_nbodyz00_1898 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 202 */
BgL_nodez00_bglt BgL_val2430z00_3076;
BgL_val2430z00_3076 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1898); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1892))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2430z00_3076), BUNSPEC); } 
{ 
obj_t BgL_localsz00_1899;obj_t BgL_resetz00_1900;
BgL_localsz00_1899 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1892))->BgL_localsz00); 
BgL_resetz00_1900 = BgL_resetz00_1897; 
BgL_loopz00_1901:
if(
NULLP(BgL_localsz00_1899))
{ /* Reduce/cse.scm 205 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1892); 
return BgL_resetz00_1900;}  else 
{ /* Reduce/cse.scm 207 */
BgL_valuez00_bglt BgL_sfunz00_1907;
{ /* Reduce/cse.scm 208 */
BgL_localz00_bglt BgL_obj1255z00_3080;
{ /* Reduce/cse.scm 208 */
obj_t BgL_auxz00_4130;
BgL_auxz00_4130 = 
CAR(BgL_localsz00_1899); 
BgL_obj1255z00_3080 = 
(BgL_localz00_bglt)(BgL_auxz00_4130); } 
BgL_sfunz00_1907 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3080))->BgL_valuez00); } 
{ /* Reduce/cse.scm 208 */

{ /* Reduce/cse.scm 209 */
obj_t BgL_resetz72z72_1908;
{ /* Reduce/cse.scm 210 */
BgL_nodez00_bglt BgL_nodez00_3082;
{ /* Reduce/cse.scm 210 */
obj_t BgL_auxz00_4134;
{ /* Reduce/cse.scm 210 */
BgL_sfunz00_bglt BgL_obj1372z00_3081;
BgL_obj1372z00_3081 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1907); 
BgL_auxz00_4134 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3081))->BgL_bodyz00); } 
BgL_nodez00_3082 = 
(BgL_nodez00_bglt)(BgL_auxz00_4134); } 
{ /* Reduce/cse.scm 210 */
obj_t BgL_method2752z00_3084;
{ /* Reduce/cse.scm 210 */
long BgL_objzd2classzd2numz00_3086;
{ /* Reduce/cse.scm 210 */
BgL_objectz00_bglt BgL_auxz00_4138;
BgL_auxz00_4138 = 
(BgL_objectz00_bglt)(BgL_nodez00_3082); 
BgL_objzd2classzd2numz00_3086 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4138); } 
{ /* Reduce/cse.scm 210 */
obj_t BgL_arg1221z00_3087;
{ /* Reduce/cse.scm 210 */
int BgL_auxz00_4141;
BgL_auxz00_4141 = 
(int)(((long)1)); 
BgL_arg1221z00_3087 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4141); } 
{ /* Reduce/cse.scm 210 */
long BgL_offsetz00_3091;
{ /* Reduce/cse.scm 210 */
long BgL_auxz00_4144;
{ /* Reduce/cse.scm 210 */
int BgL_auxz00_4145;
BgL_auxz00_4145 = 
(int)(BgL_objzd2classzd2numz00_3086); 
BgL_auxz00_4144 = 
(long)(BgL_auxz00_4145); } 
BgL_offsetz00_3091 = 
(BgL_auxz00_4144-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 210 */
long BgL_modz00_3092;
{ /* Reduce/cse.scm 210 */
long BgL_auxz00_4149;
{ /* Reduce/cse.scm 210 */
int BgL_auxz00_4150;
BgL_auxz00_4150 = 
(int)(((long)8)); 
BgL_auxz00_4149 = 
(long)(BgL_auxz00_4150); } 
BgL_modz00_3092 = 
(BgL_offsetz00_3091/BgL_auxz00_4149); } 
{ /* Reduce/cse.scm 210 */
long BgL_restz00_3094;
{ /* Reduce/cse.scm 210 */
long BgL_auxz00_4154;
{ /* Reduce/cse.scm 210 */
int BgL_auxz00_4155;
BgL_auxz00_4155 = 
(int)(((long)8)); 
BgL_auxz00_4154 = 
(long)(BgL_auxz00_4155); } 
BgL_restz00_3094 = 
(BgL_offsetz00_3091%BgL_auxz00_4154); } 
{ /* Reduce/cse.scm 210 */

{ /* Reduce/cse.scm 210 */
obj_t BgL_bucketz00_3096;
{ /* Reduce/cse.scm 210 */
int BgL_kz00_3106;
BgL_kz00_3106 = 
(int)(BgL_modz00_3092); 
BgL_bucketz00_3096 = 
VECTOR_REF(BgL_arg1221z00_3087,BgL_kz00_3106); } 
{ /* Reduce/cse.scm 210 */
int BgL_kz00_3108;
BgL_kz00_3108 = 
(int)(BgL_restz00_3094); 
BgL_method2752z00_3084 = 
VECTOR_REF(BgL_bucketz00_3096,BgL_kz00_3108); } } } } } } } } 
BgL_resetz72z72_1908 = 
PROCEDURE_ENTRY(BgL_method2752z00_3084)(BgL_method2752z00_3084, 
(obj_t)(BgL_nodez00_3082), BNIL, BEOA); } } 
{ /* Reduce/cse.scm 211 */
obj_t BgL_nbodyz00_1909;
BgL_nbodyz00_1909 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 211 */
BgL_sfunz00_bglt BgL_obj1374z00_3109;
BgL_obj1374z00_3109 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1907); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_3109))->BgL_bodyz00) = ((obj_t)BgL_nbodyz00_1909), BUNSPEC); } 
{ 
obj_t BgL_resetz00_4170;obj_t BgL_localsz00_4168;
BgL_localsz00_4168 = 
CDR(BgL_localsz00_1899); 
if(
CBOOL(BgL_resetz00_1900))
{ /* Reduce/cse.scm 212 */
BgL_resetz00_4170 = BgL_resetz00_1900; }  else 
{ /* Reduce/cse.scm 212 */
BgL_resetz00_4170 = BgL_resetz72z72_1908; } 
BgL_resetz00_1900 = BgL_resetz00_4170; 
BgL_localsz00_1899 = BgL_localsz00_4168; 
goto BgL_loopz00_1901;} } } } } } } } } } 
}



/* node-cse!-select2778 */
obj_t BGl_nodezd2csez12zd2select2778z12zzreduce_csez00(obj_t BgL_envz00_3475, obj_t BgL_nodez00_3476, obj_t BgL_stackz00_3477)
{ AN_OBJECT;
{ /* Reduce/cse.scm 179 */
{ 
BgL_selectz00_bglt BgL_nodez00_1867;obj_t BgL_stackz00_1868;
BgL_nodez00_1867 = 
(BgL_selectz00_bglt)(BgL_nodez00_3476); 
BgL_stackz00_1868 = BgL_stackz00_3477; 
{ /* Reduce/cse.scm 181 */
obj_t BgL_resetz00_1872;
{ /* Reduce/cse.scm 182 */
BgL_nodez00_bglt BgL_arg2908z00_1889;
BgL_arg2908z00_1889 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1867))->BgL_testz00); 
{ /* Reduce/cse.scm 182 */
obj_t BgL_method2752z00_2986;
{ /* Reduce/cse.scm 182 */
long BgL_objzd2classzd2numz00_2988;
{ /* Reduce/cse.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4176;
BgL_auxz00_4176 = 
(BgL_objectz00_bglt)(BgL_arg2908z00_1889); 
BgL_objzd2classzd2numz00_2988 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4176); } 
{ /* Reduce/cse.scm 182 */
obj_t BgL_arg1221z00_2989;
{ /* Reduce/cse.scm 182 */
int BgL_auxz00_4179;
BgL_auxz00_4179 = 
(int)(((long)1)); 
BgL_arg1221z00_2989 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4179); } 
{ /* Reduce/cse.scm 182 */
long BgL_offsetz00_2993;
{ /* Reduce/cse.scm 182 */
long BgL_auxz00_4182;
{ /* Reduce/cse.scm 182 */
int BgL_auxz00_4183;
BgL_auxz00_4183 = 
(int)(BgL_objzd2classzd2numz00_2988); 
BgL_auxz00_4182 = 
(long)(BgL_auxz00_4183); } 
BgL_offsetz00_2993 = 
(BgL_auxz00_4182-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 182 */
long BgL_modz00_2994;
{ /* Reduce/cse.scm 182 */
long BgL_auxz00_4187;
{ /* Reduce/cse.scm 182 */
int BgL_auxz00_4188;
BgL_auxz00_4188 = 
(int)(((long)8)); 
BgL_auxz00_4187 = 
(long)(BgL_auxz00_4188); } 
BgL_modz00_2994 = 
(BgL_offsetz00_2993/BgL_auxz00_4187); } 
{ /* Reduce/cse.scm 182 */
long BgL_restz00_2996;
{ /* Reduce/cse.scm 182 */
long BgL_auxz00_4192;
{ /* Reduce/cse.scm 182 */
int BgL_auxz00_4193;
BgL_auxz00_4193 = 
(int)(((long)8)); 
BgL_auxz00_4192 = 
(long)(BgL_auxz00_4193); } 
BgL_restz00_2996 = 
(BgL_offsetz00_2993%BgL_auxz00_4192); } 
{ /* Reduce/cse.scm 182 */

{ /* Reduce/cse.scm 182 */
obj_t BgL_bucketz00_2998;
{ /* Reduce/cse.scm 182 */
int BgL_kz00_3008;
BgL_kz00_3008 = 
(int)(BgL_modz00_2994); 
BgL_bucketz00_2998 = 
VECTOR_REF(BgL_arg1221z00_2989,BgL_kz00_3008); } 
{ /* Reduce/cse.scm 182 */
int BgL_kz00_3010;
BgL_kz00_3010 = 
(int)(BgL_restz00_2996); 
BgL_method2752z00_2986 = 
VECTOR_REF(BgL_bucketz00_2998,BgL_kz00_3010); } } } } } } } } 
BgL_resetz00_1872 = 
PROCEDURE_ENTRY(BgL_method2752z00_2986)(BgL_method2752z00_2986, 
(obj_t)(BgL_arg2908z00_1889), BgL_stackz00_1868, BEOA); } } 
{ /* Reduce/cse.scm 183 */
obj_t BgL_ntestz00_1873;
BgL_ntestz00_1873 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 183 */
BgL_nodez00_bglt BgL_val2385z00_3012;
BgL_val2385z00_3012 = 
(BgL_nodez00_bglt)(BgL_ntestz00_1873); 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1867))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2385z00_3012), BUNSPEC); } 
{ 
obj_t BgL_clausesz00_1875;obj_t BgL_resetz00_1876;
BgL_clausesz00_1875 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1867))->BgL_clausesz00); 
BgL_resetz00_1876 = BgL_resetz00_1872; 
BgL_loopz00_1877:
if(
NULLP(BgL_clausesz00_1875))
{ /* Reduce/cse.scm 187 */
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1867); 
return BgL_resetz00_1876;}  else 
{ /* Reduce/cse.scm 189 */
obj_t BgL_clausez00_1882;
BgL_clausez00_1882 = 
CAR(BgL_clausesz00_1875); 
{ /* Reduce/cse.scm 190 */
obj_t BgL_resetz72z72_1883;
{ /* Reduce/cse.scm 191 */
BgL_nodez00_bglt BgL_nodez00_3017;
{ /* Reduce/cse.scm 191 */
obj_t BgL_auxz00_4211;
BgL_auxz00_4211 = 
CDR(BgL_clausez00_1882); 
BgL_nodez00_3017 = 
(BgL_nodez00_bglt)(BgL_auxz00_4211); } 
{ /* Reduce/cse.scm 191 */
obj_t BgL_method2752z00_3019;
{ /* Reduce/cse.scm 191 */
long BgL_objzd2classzd2numz00_3021;
{ /* Reduce/cse.scm 191 */
BgL_objectz00_bglt BgL_auxz00_4214;
BgL_auxz00_4214 = 
(BgL_objectz00_bglt)(BgL_nodez00_3017); 
BgL_objzd2classzd2numz00_3021 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4214); } 
{ /* Reduce/cse.scm 191 */
obj_t BgL_arg1221z00_3022;
{ /* Reduce/cse.scm 191 */
int BgL_auxz00_4217;
BgL_auxz00_4217 = 
(int)(((long)1)); 
BgL_arg1221z00_3022 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4217); } 
{ /* Reduce/cse.scm 191 */
long BgL_offsetz00_3026;
{ /* Reduce/cse.scm 191 */
long BgL_auxz00_4220;
{ /* Reduce/cse.scm 191 */
int BgL_auxz00_4221;
BgL_auxz00_4221 = 
(int)(BgL_objzd2classzd2numz00_3021); 
BgL_auxz00_4220 = 
(long)(BgL_auxz00_4221); } 
BgL_offsetz00_3026 = 
(BgL_auxz00_4220-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 191 */
long BgL_modz00_3027;
{ /* Reduce/cse.scm 191 */
long BgL_auxz00_4225;
{ /* Reduce/cse.scm 191 */
int BgL_auxz00_4226;
BgL_auxz00_4226 = 
(int)(((long)8)); 
BgL_auxz00_4225 = 
(long)(BgL_auxz00_4226); } 
BgL_modz00_3027 = 
(BgL_offsetz00_3026/BgL_auxz00_4225); } 
{ /* Reduce/cse.scm 191 */
long BgL_restz00_3029;
{ /* Reduce/cse.scm 191 */
long BgL_auxz00_4230;
{ /* Reduce/cse.scm 191 */
int BgL_auxz00_4231;
BgL_auxz00_4231 = 
(int)(((long)8)); 
BgL_auxz00_4230 = 
(long)(BgL_auxz00_4231); } 
BgL_restz00_3029 = 
(BgL_offsetz00_3026%BgL_auxz00_4230); } 
{ /* Reduce/cse.scm 191 */

{ /* Reduce/cse.scm 191 */
obj_t BgL_bucketz00_3031;
{ /* Reduce/cse.scm 191 */
int BgL_kz00_3041;
BgL_kz00_3041 = 
(int)(BgL_modz00_3027); 
BgL_bucketz00_3031 = 
VECTOR_REF(BgL_arg1221z00_3022,BgL_kz00_3041); } 
{ /* Reduce/cse.scm 191 */
int BgL_kz00_3043;
BgL_kz00_3043 = 
(int)(BgL_restz00_3029); 
BgL_method2752z00_3019 = 
VECTOR_REF(BgL_bucketz00_3031,BgL_kz00_3043); } } } } } } } } 
BgL_resetz72z72_1883 = 
PROCEDURE_ENTRY(BgL_method2752z00_3019)(BgL_method2752z00_3019, 
(obj_t)(BgL_nodez00_3017), BgL_stackz00_1868, BEOA); } } 
{ /* Reduce/cse.scm 192 */
obj_t BgL_nclausez00_1884;
BgL_nclausez00_1884 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
SET_CDR(BgL_clausez00_1882, BgL_nclausez00_1884); 
{ 
obj_t BgL_resetz00_4245;obj_t BgL_clausesz00_4243;
BgL_clausesz00_4243 = 
CDR(BgL_clausesz00_1875); 
if(
CBOOL(BgL_resetz00_1876))
{ /* Reduce/cse.scm 193 */
BgL_resetz00_4245 = BgL_resetz00_1876; }  else 
{ /* Reduce/cse.scm 193 */
BgL_resetz00_4245 = BgL_resetz72z72_1883; } 
BgL_resetz00_1876 = BgL_resetz00_4245; 
BgL_clausesz00_1875 = BgL_clausesz00_4243; 
goto BgL_loopz00_1877;} } } } } } } } } 
}



/* node-cse!-fail2776 */
obj_t BGl_nodezd2csez12zd2fail2776z12zzreduce_csez00(obj_t BgL_envz00_3478, obj_t BgL_nodez00_3479, obj_t BgL_stackz00_3480)
{ AN_OBJECT;
{ /* Reduce/cse.scm 161 */
{ 
BgL_failz00_bglt BgL_nodez00_1845;obj_t BgL_stackz00_1846;
BgL_nodez00_1845 = 
(BgL_failz00_bglt)(BgL_nodez00_3479); 
BgL_stackz00_1846 = BgL_stackz00_3480; 
{ /* Reduce/cse.scm 163 */
obj_t BgL_resetz00_1850;
{ /* Reduce/cse.scm 164 */
BgL_nodez00_bglt BgL_arg2901z00_1864;
BgL_arg2901z00_1864 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_procz00); 
{ /* Reduce/cse.scm 164 */
obj_t BgL_method2752z00_2896;
{ /* Reduce/cse.scm 164 */
long BgL_objzd2classzd2numz00_2898;
{ /* Reduce/cse.scm 164 */
BgL_objectz00_bglt BgL_auxz00_4251;
BgL_auxz00_4251 = 
(BgL_objectz00_bglt)(BgL_arg2901z00_1864); 
BgL_objzd2classzd2numz00_2898 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4251); } 
{ /* Reduce/cse.scm 164 */
obj_t BgL_arg1221z00_2899;
{ /* Reduce/cse.scm 164 */
int BgL_auxz00_4254;
BgL_auxz00_4254 = 
(int)(((long)1)); 
BgL_arg1221z00_2899 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4254); } 
{ /* Reduce/cse.scm 164 */
long BgL_offsetz00_2903;
{ /* Reduce/cse.scm 164 */
long BgL_auxz00_4257;
{ /* Reduce/cse.scm 164 */
int BgL_auxz00_4258;
BgL_auxz00_4258 = 
(int)(BgL_objzd2classzd2numz00_2898); 
BgL_auxz00_4257 = 
(long)(BgL_auxz00_4258); } 
BgL_offsetz00_2903 = 
(BgL_auxz00_4257-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 164 */
long BgL_modz00_2904;
{ /* Reduce/cse.scm 164 */
long BgL_auxz00_4262;
{ /* Reduce/cse.scm 164 */
int BgL_auxz00_4263;
BgL_auxz00_4263 = 
(int)(((long)8)); 
BgL_auxz00_4262 = 
(long)(BgL_auxz00_4263); } 
BgL_modz00_2904 = 
(BgL_offsetz00_2903/BgL_auxz00_4262); } 
{ /* Reduce/cse.scm 164 */
long BgL_restz00_2906;
{ /* Reduce/cse.scm 164 */
long BgL_auxz00_4267;
{ /* Reduce/cse.scm 164 */
int BgL_auxz00_4268;
BgL_auxz00_4268 = 
(int)(((long)8)); 
BgL_auxz00_4267 = 
(long)(BgL_auxz00_4268); } 
BgL_restz00_2906 = 
(BgL_offsetz00_2903%BgL_auxz00_4267); } 
{ /* Reduce/cse.scm 164 */

{ /* Reduce/cse.scm 164 */
obj_t BgL_bucketz00_2908;
{ /* Reduce/cse.scm 164 */
int BgL_kz00_2918;
BgL_kz00_2918 = 
(int)(BgL_modz00_2904); 
BgL_bucketz00_2908 = 
VECTOR_REF(BgL_arg1221z00_2899,BgL_kz00_2918); } 
{ /* Reduce/cse.scm 164 */
int BgL_kz00_2920;
BgL_kz00_2920 = 
(int)(BgL_restz00_2906); 
BgL_method2752z00_2896 = 
VECTOR_REF(BgL_bucketz00_2908,BgL_kz00_2920); } } } } } } } } 
BgL_resetz00_1850 = 
PROCEDURE_ENTRY(BgL_method2752z00_2896)(BgL_method2752z00_2896, 
(obj_t)(BgL_arg2901z00_1864), BgL_stackz00_1846, BEOA); } } 
{ /* Reduce/cse.scm 165 */
obj_t BgL_nprocz00_1851;
BgL_nprocz00_1851 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 165 */
BgL_nodez00_bglt BgL_val2345z00_2922;
BgL_val2345z00_2922 = 
(BgL_nodez00_bglt)(BgL_nprocz00_1851); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_val2345z00_2922), BUNSPEC); } 
{ /* Reduce/cse.scm 166 */
obj_t BgL_stackz72z72_1852;
if(
CBOOL(BgL_resetz00_1850))
{ /* Reduce/cse.scm 166 */
BgL_stackz72z72_1852 = BNIL; }  else 
{ /* Reduce/cse.scm 166 */
BgL_stackz72z72_1852 = BgL_stackz00_1846; } 
{ /* Reduce/cse.scm 167 */
obj_t BgL_resetz72z72_1853;
{ /* Reduce/cse.scm 168 */
BgL_nodez00_bglt BgL_arg2900z00_1863;
BgL_arg2900z00_1863 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_msgz00); 
{ /* Reduce/cse.scm 168 */
obj_t BgL_method2752z00_2926;
{ /* Reduce/cse.scm 168 */
long BgL_objzd2classzd2numz00_2928;
{ /* Reduce/cse.scm 168 */
BgL_objectz00_bglt BgL_auxz00_4284;
BgL_auxz00_4284 = 
(BgL_objectz00_bglt)(BgL_arg2900z00_1863); 
BgL_objzd2classzd2numz00_2928 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4284); } 
{ /* Reduce/cse.scm 168 */
obj_t BgL_arg1221z00_2929;
{ /* Reduce/cse.scm 168 */
int BgL_auxz00_4287;
BgL_auxz00_4287 = 
(int)(((long)1)); 
BgL_arg1221z00_2929 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4287); } 
{ /* Reduce/cse.scm 168 */
long BgL_offsetz00_2933;
{ /* Reduce/cse.scm 168 */
long BgL_auxz00_4290;
{ /* Reduce/cse.scm 168 */
int BgL_auxz00_4291;
BgL_auxz00_4291 = 
(int)(BgL_objzd2classzd2numz00_2928); 
BgL_auxz00_4290 = 
(long)(BgL_auxz00_4291); } 
BgL_offsetz00_2933 = 
(BgL_auxz00_4290-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 168 */
long BgL_modz00_2934;
{ /* Reduce/cse.scm 168 */
long BgL_auxz00_4295;
{ /* Reduce/cse.scm 168 */
int BgL_auxz00_4296;
BgL_auxz00_4296 = 
(int)(((long)8)); 
BgL_auxz00_4295 = 
(long)(BgL_auxz00_4296); } 
BgL_modz00_2934 = 
(BgL_offsetz00_2933/BgL_auxz00_4295); } 
{ /* Reduce/cse.scm 168 */
long BgL_restz00_2936;
{ /* Reduce/cse.scm 168 */
long BgL_auxz00_4300;
{ /* Reduce/cse.scm 168 */
int BgL_auxz00_4301;
BgL_auxz00_4301 = 
(int)(((long)8)); 
BgL_auxz00_4300 = 
(long)(BgL_auxz00_4301); } 
BgL_restz00_2936 = 
(BgL_offsetz00_2933%BgL_auxz00_4300); } 
{ /* Reduce/cse.scm 168 */

{ /* Reduce/cse.scm 168 */
obj_t BgL_bucketz00_2938;
{ /* Reduce/cse.scm 168 */
int BgL_kz00_2948;
BgL_kz00_2948 = 
(int)(BgL_modz00_2934); 
BgL_bucketz00_2938 = 
VECTOR_REF(BgL_arg1221z00_2929,BgL_kz00_2948); } 
{ /* Reduce/cse.scm 168 */
int BgL_kz00_2950;
BgL_kz00_2950 = 
(int)(BgL_restz00_2936); 
BgL_method2752z00_2926 = 
VECTOR_REF(BgL_bucketz00_2938,BgL_kz00_2950); } } } } } } } } 
BgL_resetz72z72_1853 = 
PROCEDURE_ENTRY(BgL_method2752z00_2926)(BgL_method2752z00_2926, 
(obj_t)(BgL_arg2900z00_1863), BgL_stackz72z72_1852, BEOA); } } 
{ /* Reduce/cse.scm 169 */
obj_t BgL_nmsgz00_1854;
BgL_nmsgz00_1854 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 169 */
BgL_nodez00_bglt BgL_val2348z00_2952;
BgL_val2348z00_2952 = 
(BgL_nodez00_bglt)(BgL_nmsgz00_1854); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_val2348z00_2952), BUNSPEC); } 
{ /* Reduce/cse.scm 170 */
obj_t BgL_stackz72z72z00_1855;
if(
CBOOL(BgL_resetz72z72_1853))
{ /* Reduce/cse.scm 170 */
BgL_stackz72z72z00_1855 = BNIL; }  else 
{ /* Reduce/cse.scm 170 */
BgL_stackz72z72z00_1855 = BgL_stackz72z72_1852; } 
{ /* Reduce/cse.scm 171 */
obj_t BgL_resetz72z72z00_1856;
{ /* Reduce/cse.scm 172 */
BgL_nodez00_bglt BgL_arg2899z00_1862;
BgL_arg2899z00_1862 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_objz00); 
{ /* Reduce/cse.scm 172 */
obj_t BgL_method2752z00_2956;
{ /* Reduce/cse.scm 172 */
long BgL_objzd2classzd2numz00_2958;
{ /* Reduce/cse.scm 172 */
BgL_objectz00_bglt BgL_auxz00_4317;
BgL_auxz00_4317 = 
(BgL_objectz00_bglt)(BgL_arg2899z00_1862); 
BgL_objzd2classzd2numz00_2958 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4317); } 
{ /* Reduce/cse.scm 172 */
obj_t BgL_arg1221z00_2959;
{ /* Reduce/cse.scm 172 */
int BgL_auxz00_4320;
BgL_auxz00_4320 = 
(int)(((long)1)); 
BgL_arg1221z00_2959 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4320); } 
{ /* Reduce/cse.scm 172 */
long BgL_offsetz00_2963;
{ /* Reduce/cse.scm 172 */
long BgL_auxz00_4323;
{ /* Reduce/cse.scm 172 */
int BgL_auxz00_4324;
BgL_auxz00_4324 = 
(int)(BgL_objzd2classzd2numz00_2958); 
BgL_auxz00_4323 = 
(long)(BgL_auxz00_4324); } 
BgL_offsetz00_2963 = 
(BgL_auxz00_4323-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 172 */
long BgL_modz00_2964;
{ /* Reduce/cse.scm 172 */
long BgL_auxz00_4328;
{ /* Reduce/cse.scm 172 */
int BgL_auxz00_4329;
BgL_auxz00_4329 = 
(int)(((long)8)); 
BgL_auxz00_4328 = 
(long)(BgL_auxz00_4329); } 
BgL_modz00_2964 = 
(BgL_offsetz00_2963/BgL_auxz00_4328); } 
{ /* Reduce/cse.scm 172 */
long BgL_restz00_2966;
{ /* Reduce/cse.scm 172 */
long BgL_auxz00_4333;
{ /* Reduce/cse.scm 172 */
int BgL_auxz00_4334;
BgL_auxz00_4334 = 
(int)(((long)8)); 
BgL_auxz00_4333 = 
(long)(BgL_auxz00_4334); } 
BgL_restz00_2966 = 
(BgL_offsetz00_2963%BgL_auxz00_4333); } 
{ /* Reduce/cse.scm 172 */

{ /* Reduce/cse.scm 172 */
obj_t BgL_bucketz00_2968;
{ /* Reduce/cse.scm 172 */
int BgL_kz00_2978;
BgL_kz00_2978 = 
(int)(BgL_modz00_2964); 
BgL_bucketz00_2968 = 
VECTOR_REF(BgL_arg1221z00_2959,BgL_kz00_2978); } 
{ /* Reduce/cse.scm 172 */
int BgL_kz00_2980;
BgL_kz00_2980 = 
(int)(BgL_restz00_2966); 
BgL_method2752z00_2956 = 
VECTOR_REF(BgL_bucketz00_2968,BgL_kz00_2980); } } } } } } } } 
BgL_resetz72z72z00_1856 = 
PROCEDURE_ENTRY(BgL_method2752z00_2956)(BgL_method2752z00_2956, 
(obj_t)(BgL_arg2899z00_1862), BgL_stackz72z72z00_1855, BEOA); } } 
{ /* Reduce/cse.scm 173 */
obj_t BgL_nobjz00_1857;
BgL_nobjz00_1857 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 173 */
BgL_nodez00_bglt BgL_val2351z00_2982;
BgL_val2351z00_2982 = 
(BgL_nodez00_bglt)(BgL_nobjz00_1857); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1845))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_val2351z00_2982), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1845); 
if(
CBOOL(BgL_resetz00_1850))
{ /* Reduce/cse.scm 174 */
return BgL_resetz00_1850;}  else 
{ /* Reduce/cse.scm 174 */
if(
CBOOL(BgL_resetz72z72_1853))
{ /* Reduce/cse.scm 174 */
return BgL_resetz72z72_1853;}  else 
{ /* Reduce/cse.scm 174 */
return BgL_resetz72z72z00_1856;} } } } } } } } } } } } 
}



/* node-cse!-conditional2774 */
obj_t BGl_nodezd2csez12zd2conditional2774z12zzreduce_csez00(obj_t BgL_envz00_3481, obj_t BgL_nodez00_3482, obj_t BgL_stackz00_3483)
{ AN_OBJECT;
{ /* Reduce/cse.scm 144 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1824;obj_t BgL_stackz00_1825;
BgL_nodez00_1824 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3482); 
BgL_stackz00_1825 = BgL_stackz00_3483; 
{ /* Reduce/cse.scm 146 */
obj_t BgL_resetz00_1829;
{ /* Reduce/cse.scm 147 */
BgL_nodez00_bglt BgL_arg2897z00_1842;
BgL_arg2897z00_1842 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_testz00); 
{ /* Reduce/cse.scm 147 */
obj_t BgL_method2752z00_2806;
{ /* Reduce/cse.scm 147 */
long BgL_objzd2classzd2numz00_2808;
{ /* Reduce/cse.scm 147 */
BgL_objectz00_bglt BgL_auxz00_4355;
BgL_auxz00_4355 = 
(BgL_objectz00_bglt)(BgL_arg2897z00_1842); 
BgL_objzd2classzd2numz00_2808 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4355); } 
{ /* Reduce/cse.scm 147 */
obj_t BgL_arg1221z00_2809;
{ /* Reduce/cse.scm 147 */
int BgL_auxz00_4358;
BgL_auxz00_4358 = 
(int)(((long)1)); 
BgL_arg1221z00_2809 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4358); } 
{ /* Reduce/cse.scm 147 */
long BgL_offsetz00_2813;
{ /* Reduce/cse.scm 147 */
long BgL_auxz00_4361;
{ /* Reduce/cse.scm 147 */
int BgL_auxz00_4362;
BgL_auxz00_4362 = 
(int)(BgL_objzd2classzd2numz00_2808); 
BgL_auxz00_4361 = 
(long)(BgL_auxz00_4362); } 
BgL_offsetz00_2813 = 
(BgL_auxz00_4361-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 147 */
long BgL_modz00_2814;
{ /* Reduce/cse.scm 147 */
long BgL_auxz00_4366;
{ /* Reduce/cse.scm 147 */
int BgL_auxz00_4367;
BgL_auxz00_4367 = 
(int)(((long)8)); 
BgL_auxz00_4366 = 
(long)(BgL_auxz00_4367); } 
BgL_modz00_2814 = 
(BgL_offsetz00_2813/BgL_auxz00_4366); } 
{ /* Reduce/cse.scm 147 */
long BgL_restz00_2816;
{ /* Reduce/cse.scm 147 */
long BgL_auxz00_4371;
{ /* Reduce/cse.scm 147 */
int BgL_auxz00_4372;
BgL_auxz00_4372 = 
(int)(((long)8)); 
BgL_auxz00_4371 = 
(long)(BgL_auxz00_4372); } 
BgL_restz00_2816 = 
(BgL_offsetz00_2813%BgL_auxz00_4371); } 
{ /* Reduce/cse.scm 147 */

{ /* Reduce/cse.scm 147 */
obj_t BgL_bucketz00_2818;
{ /* Reduce/cse.scm 147 */
int BgL_kz00_2828;
BgL_kz00_2828 = 
(int)(BgL_modz00_2814); 
BgL_bucketz00_2818 = 
VECTOR_REF(BgL_arg1221z00_2809,BgL_kz00_2828); } 
{ /* Reduce/cse.scm 147 */
int BgL_kz00_2830;
BgL_kz00_2830 = 
(int)(BgL_restz00_2816); 
BgL_method2752z00_2806 = 
VECTOR_REF(BgL_bucketz00_2818,BgL_kz00_2830); } } } } } } } } 
BgL_resetz00_1829 = 
PROCEDURE_ENTRY(BgL_method2752z00_2806)(BgL_method2752z00_2806, 
(obj_t)(BgL_arg2897z00_1842), BgL_stackz00_1825, BEOA); } } 
{ /* Reduce/cse.scm 148 */
obj_t BgL_ntestz00_1830;
BgL_ntestz00_1830 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 148 */
BgL_nodez00_bglt BgL_val2305z00_2832;
BgL_val2305z00_2832 = 
(BgL_nodez00_bglt)(BgL_ntestz00_1830); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2305z00_2832), BUNSPEC); } 
{ /* Reduce/cse.scm 149 */
obj_t BgL_stackz72z72_1831;
if(
CBOOL(BgL_resetz00_1829))
{ /* Reduce/cse.scm 149 */
BgL_stackz72z72_1831 = BNIL; }  else 
{ /* Reduce/cse.scm 149 */
BgL_stackz72z72_1831 = BgL_stackz00_1825; } 
{ /* Reduce/cse.scm 150 */
obj_t BgL_resetz72z72_1832;
{ /* Reduce/cse.scm 151 */
BgL_nodez00_bglt BgL_arg2896z00_1841;
BgL_arg2896z00_1841 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_truez00); 
{ /* Reduce/cse.scm 151 */
obj_t BgL_method2752z00_2836;
{ /* Reduce/cse.scm 151 */
long BgL_objzd2classzd2numz00_2838;
{ /* Reduce/cse.scm 151 */
BgL_objectz00_bglt BgL_auxz00_4388;
BgL_auxz00_4388 = 
(BgL_objectz00_bglt)(BgL_arg2896z00_1841); 
BgL_objzd2classzd2numz00_2838 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4388); } 
{ /* Reduce/cse.scm 151 */
obj_t BgL_arg1221z00_2839;
{ /* Reduce/cse.scm 151 */
int BgL_auxz00_4391;
BgL_auxz00_4391 = 
(int)(((long)1)); 
BgL_arg1221z00_2839 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4391); } 
{ /* Reduce/cse.scm 151 */
long BgL_offsetz00_2843;
{ /* Reduce/cse.scm 151 */
long BgL_auxz00_4394;
{ /* Reduce/cse.scm 151 */
int BgL_auxz00_4395;
BgL_auxz00_4395 = 
(int)(BgL_objzd2classzd2numz00_2838); 
BgL_auxz00_4394 = 
(long)(BgL_auxz00_4395); } 
BgL_offsetz00_2843 = 
(BgL_auxz00_4394-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 151 */
long BgL_modz00_2844;
{ /* Reduce/cse.scm 151 */
long BgL_auxz00_4399;
{ /* Reduce/cse.scm 151 */
int BgL_auxz00_4400;
BgL_auxz00_4400 = 
(int)(((long)8)); 
BgL_auxz00_4399 = 
(long)(BgL_auxz00_4400); } 
BgL_modz00_2844 = 
(BgL_offsetz00_2843/BgL_auxz00_4399); } 
{ /* Reduce/cse.scm 151 */
long BgL_restz00_2846;
{ /* Reduce/cse.scm 151 */
long BgL_auxz00_4404;
{ /* Reduce/cse.scm 151 */
int BgL_auxz00_4405;
BgL_auxz00_4405 = 
(int)(((long)8)); 
BgL_auxz00_4404 = 
(long)(BgL_auxz00_4405); } 
BgL_restz00_2846 = 
(BgL_offsetz00_2843%BgL_auxz00_4404); } 
{ /* Reduce/cse.scm 151 */

{ /* Reduce/cse.scm 151 */
obj_t BgL_bucketz00_2848;
{ /* Reduce/cse.scm 151 */
int BgL_kz00_2858;
BgL_kz00_2858 = 
(int)(BgL_modz00_2844); 
BgL_bucketz00_2848 = 
VECTOR_REF(BgL_arg1221z00_2839,BgL_kz00_2858); } 
{ /* Reduce/cse.scm 151 */
int BgL_kz00_2860;
BgL_kz00_2860 = 
(int)(BgL_restz00_2846); 
BgL_method2752z00_2836 = 
VECTOR_REF(BgL_bucketz00_2848,BgL_kz00_2860); } } } } } } } } 
BgL_resetz72z72_1832 = 
PROCEDURE_ENTRY(BgL_method2752z00_2836)(BgL_method2752z00_2836, 
(obj_t)(BgL_arg2896z00_1841), BgL_stackz72z72_1831, BEOA); } } 
{ /* Reduce/cse.scm 152 */
obj_t BgL_ntruez00_1833;
BgL_ntruez00_1833 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 152 */
BgL_nodez00_bglt BgL_val2308z00_2862;
BgL_val2308z00_2862 = 
(BgL_nodez00_bglt)(BgL_ntruez00_1833); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2308z00_2862), BUNSPEC); } 
{ /* Reduce/cse.scm 153 */
obj_t BgL_resetz72z72z00_1834;
{ /* Reduce/cse.scm 154 */
BgL_nodez00_bglt BgL_arg2895z00_1840;
BgL_arg2895z00_1840 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_falsez00); 
{ /* Reduce/cse.scm 154 */
obj_t BgL_method2752z00_2866;
{ /* Reduce/cse.scm 154 */
long BgL_objzd2classzd2numz00_2868;
{ /* Reduce/cse.scm 154 */
BgL_objectz00_bglt BgL_auxz00_4419;
BgL_auxz00_4419 = 
(BgL_objectz00_bglt)(BgL_arg2895z00_1840); 
BgL_objzd2classzd2numz00_2868 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4419); } 
{ /* Reduce/cse.scm 154 */
obj_t BgL_arg1221z00_2869;
{ /* Reduce/cse.scm 154 */
int BgL_auxz00_4422;
BgL_auxz00_4422 = 
(int)(((long)1)); 
BgL_arg1221z00_2869 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4422); } 
{ /* Reduce/cse.scm 154 */
long BgL_offsetz00_2873;
{ /* Reduce/cse.scm 154 */
long BgL_auxz00_4425;
{ /* Reduce/cse.scm 154 */
int BgL_auxz00_4426;
BgL_auxz00_4426 = 
(int)(BgL_objzd2classzd2numz00_2868); 
BgL_auxz00_4425 = 
(long)(BgL_auxz00_4426); } 
BgL_offsetz00_2873 = 
(BgL_auxz00_4425-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 154 */
long BgL_modz00_2874;
{ /* Reduce/cse.scm 154 */
long BgL_auxz00_4430;
{ /* Reduce/cse.scm 154 */
int BgL_auxz00_4431;
BgL_auxz00_4431 = 
(int)(((long)8)); 
BgL_auxz00_4430 = 
(long)(BgL_auxz00_4431); } 
BgL_modz00_2874 = 
(BgL_offsetz00_2873/BgL_auxz00_4430); } 
{ /* Reduce/cse.scm 154 */
long BgL_restz00_2876;
{ /* Reduce/cse.scm 154 */
long BgL_auxz00_4435;
{ /* Reduce/cse.scm 154 */
int BgL_auxz00_4436;
BgL_auxz00_4436 = 
(int)(((long)8)); 
BgL_auxz00_4435 = 
(long)(BgL_auxz00_4436); } 
BgL_restz00_2876 = 
(BgL_offsetz00_2873%BgL_auxz00_4435); } 
{ /* Reduce/cse.scm 154 */

{ /* Reduce/cse.scm 154 */
obj_t BgL_bucketz00_2878;
{ /* Reduce/cse.scm 154 */
int BgL_kz00_2888;
BgL_kz00_2888 = 
(int)(BgL_modz00_2874); 
BgL_bucketz00_2878 = 
VECTOR_REF(BgL_arg1221z00_2869,BgL_kz00_2888); } 
{ /* Reduce/cse.scm 154 */
int BgL_kz00_2890;
BgL_kz00_2890 = 
(int)(BgL_restz00_2876); 
BgL_method2752z00_2866 = 
VECTOR_REF(BgL_bucketz00_2878,BgL_kz00_2890); } } } } } } } } 
BgL_resetz72z72z00_1834 = 
PROCEDURE_ENTRY(BgL_method2752z00_2866)(BgL_method2752z00_2866, 
(obj_t)(BgL_arg2895z00_1840), BgL_stackz72z72_1831, BEOA); } } 
{ /* Reduce/cse.scm 155 */
obj_t BgL_nfalsez00_1835;
BgL_nfalsez00_1835 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 155 */
BgL_nodez00_bglt BgL_val2311z00_2892;
BgL_val2311z00_2892 = 
(BgL_nodez00_bglt)(BgL_nfalsez00_1835); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1824))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_val2311z00_2892), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1824); 
if(
CBOOL(BgL_resetz00_1829))
{ /* Reduce/cse.scm 156 */
return BgL_resetz00_1829;}  else 
{ /* Reduce/cse.scm 156 */
if(
CBOOL(BgL_resetz72z72_1832))
{ /* Reduce/cse.scm 156 */
return BgL_resetz72z72_1832;}  else 
{ /* Reduce/cse.scm 156 */
return BgL_resetz72z72z00_1834;} } } } } } } } } } } 
}



/* node-cse!-setq2772 */
obj_t BGl_nodezd2csez12zd2setq2772z12zzreduce_csez00(obj_t BgL_envz00_3484, obj_t BgL_nodez00_3485, obj_t BgL_stackz00_3486)
{ AN_OBJECT;
{ /* Reduce/cse.scm 134 */
{ 
BgL_setqz00_bglt BgL_nodez00_1812;obj_t BgL_stackz00_1813;
BgL_nodez00_1812 = 
(BgL_setqz00_bglt)(BgL_nodez00_3485); 
BgL_stackz00_1813 = BgL_stackz00_3486; 
{ /* Reduce/cse.scm 136 */
obj_t BgL_resetz00_1817;
{ /* Reduce/cse.scm 137 */
BgL_nodez00_bglt BgL_arg2893z00_1821;
BgL_arg2893z00_1821 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1812))->BgL_valuez00); 
{ /* Reduce/cse.scm 137 */
obj_t BgL_method2752z00_2776;
{ /* Reduce/cse.scm 137 */
long BgL_objzd2classzd2numz00_2778;
{ /* Reduce/cse.scm 137 */
BgL_objectz00_bglt BgL_auxz00_4457;
BgL_auxz00_4457 = 
(BgL_objectz00_bglt)(BgL_arg2893z00_1821); 
BgL_objzd2classzd2numz00_2778 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4457); } 
{ /* Reduce/cse.scm 137 */
obj_t BgL_arg1221z00_2779;
{ /* Reduce/cse.scm 137 */
int BgL_auxz00_4460;
BgL_auxz00_4460 = 
(int)(((long)1)); 
BgL_arg1221z00_2779 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4460); } 
{ /* Reduce/cse.scm 137 */
long BgL_offsetz00_2783;
{ /* Reduce/cse.scm 137 */
long BgL_auxz00_4463;
{ /* Reduce/cse.scm 137 */
int BgL_auxz00_4464;
BgL_auxz00_4464 = 
(int)(BgL_objzd2classzd2numz00_2778); 
BgL_auxz00_4463 = 
(long)(BgL_auxz00_4464); } 
BgL_offsetz00_2783 = 
(BgL_auxz00_4463-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 137 */
long BgL_modz00_2784;
{ /* Reduce/cse.scm 137 */
long BgL_auxz00_4468;
{ /* Reduce/cse.scm 137 */
int BgL_auxz00_4469;
BgL_auxz00_4469 = 
(int)(((long)8)); 
BgL_auxz00_4468 = 
(long)(BgL_auxz00_4469); } 
BgL_modz00_2784 = 
(BgL_offsetz00_2783/BgL_auxz00_4468); } 
{ /* Reduce/cse.scm 137 */
long BgL_restz00_2786;
{ /* Reduce/cse.scm 137 */
long BgL_auxz00_4473;
{ /* Reduce/cse.scm 137 */
int BgL_auxz00_4474;
BgL_auxz00_4474 = 
(int)(((long)8)); 
BgL_auxz00_4473 = 
(long)(BgL_auxz00_4474); } 
BgL_restz00_2786 = 
(BgL_offsetz00_2783%BgL_auxz00_4473); } 
{ /* Reduce/cse.scm 137 */

{ /* Reduce/cse.scm 137 */
obj_t BgL_bucketz00_2788;
{ /* Reduce/cse.scm 137 */
int BgL_kz00_2798;
BgL_kz00_2798 = 
(int)(BgL_modz00_2784); 
BgL_bucketz00_2788 = 
VECTOR_REF(BgL_arg1221z00_2779,BgL_kz00_2798); } 
{ /* Reduce/cse.scm 137 */
int BgL_kz00_2800;
BgL_kz00_2800 = 
(int)(BgL_restz00_2786); 
BgL_method2752z00_2776 = 
VECTOR_REF(BgL_bucketz00_2788,BgL_kz00_2800); } } } } } } } } 
BgL_resetz00_1817 = 
PROCEDURE_ENTRY(BgL_method2752z00_2776)(BgL_method2752z00_2776, 
(obj_t)(BgL_arg2893z00_1821), BgL_stackz00_1813, BEOA); } } 
{ /* Reduce/cse.scm 138 */
obj_t BgL_nvaluez00_1818;
BgL_nvaluez00_1818 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 138 */
BgL_nodez00_bglt BgL_val2274z00_2802;
BgL_val2274z00_2802 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1818); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1812))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2274z00_2802), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1812); 
return BgL_resetz00_1817;} } } } 
}



/* node-cse!-cast2770 */
obj_t BGl_nodezd2csez12zd2cast2770z12zzreduce_csez00(obj_t BgL_envz00_3487, obj_t BgL_nodez00_3488, obj_t BgL_stackz00_3489)
{ AN_OBJECT;
{ /* Reduce/cse.scm 124 */
{ 
BgL_castz00_bglt BgL_nodez00_1800;obj_t BgL_stackz00_1801;
BgL_nodez00_1800 = 
(BgL_castz00_bglt)(BgL_nodez00_3488); 
BgL_stackz00_1801 = BgL_stackz00_3489; 
{ /* Reduce/cse.scm 126 */
obj_t BgL_resetz00_1805;
{ /* Reduce/cse.scm 127 */
BgL_nodez00_bglt BgL_arg2891z00_1809;
BgL_arg2891z00_1809 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1800))->BgL_argz00); 
{ /* Reduce/cse.scm 127 */
obj_t BgL_method2752z00_2746;
{ /* Reduce/cse.scm 127 */
long BgL_objzd2classzd2numz00_2748;
{ /* Reduce/cse.scm 127 */
BgL_objectz00_bglt BgL_auxz00_4491;
BgL_auxz00_4491 = 
(BgL_objectz00_bglt)(BgL_arg2891z00_1809); 
BgL_objzd2classzd2numz00_2748 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4491); } 
{ /* Reduce/cse.scm 127 */
obj_t BgL_arg1221z00_2749;
{ /* Reduce/cse.scm 127 */
int BgL_auxz00_4494;
BgL_auxz00_4494 = 
(int)(((long)1)); 
BgL_arg1221z00_2749 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4494); } 
{ /* Reduce/cse.scm 127 */
long BgL_offsetz00_2753;
{ /* Reduce/cse.scm 127 */
long BgL_auxz00_4497;
{ /* Reduce/cse.scm 127 */
int BgL_auxz00_4498;
BgL_auxz00_4498 = 
(int)(BgL_objzd2classzd2numz00_2748); 
BgL_auxz00_4497 = 
(long)(BgL_auxz00_4498); } 
BgL_offsetz00_2753 = 
(BgL_auxz00_4497-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 127 */
long BgL_modz00_2754;
{ /* Reduce/cse.scm 127 */
long BgL_auxz00_4502;
{ /* Reduce/cse.scm 127 */
int BgL_auxz00_4503;
BgL_auxz00_4503 = 
(int)(((long)8)); 
BgL_auxz00_4502 = 
(long)(BgL_auxz00_4503); } 
BgL_modz00_2754 = 
(BgL_offsetz00_2753/BgL_auxz00_4502); } 
{ /* Reduce/cse.scm 127 */
long BgL_restz00_2756;
{ /* Reduce/cse.scm 127 */
long BgL_auxz00_4507;
{ /* Reduce/cse.scm 127 */
int BgL_auxz00_4508;
BgL_auxz00_4508 = 
(int)(((long)8)); 
BgL_auxz00_4507 = 
(long)(BgL_auxz00_4508); } 
BgL_restz00_2756 = 
(BgL_offsetz00_2753%BgL_auxz00_4507); } 
{ /* Reduce/cse.scm 127 */

{ /* Reduce/cse.scm 127 */
obj_t BgL_bucketz00_2758;
{ /* Reduce/cse.scm 127 */
int BgL_kz00_2768;
BgL_kz00_2768 = 
(int)(BgL_modz00_2754); 
BgL_bucketz00_2758 = 
VECTOR_REF(BgL_arg1221z00_2749,BgL_kz00_2768); } 
{ /* Reduce/cse.scm 127 */
int BgL_kz00_2770;
BgL_kz00_2770 = 
(int)(BgL_restz00_2756); 
BgL_method2752z00_2746 = 
VECTOR_REF(BgL_bucketz00_2758,BgL_kz00_2770); } } } } } } } } 
BgL_resetz00_1805 = 
PROCEDURE_ENTRY(BgL_method2752z00_2746)(BgL_method2752z00_2746, 
(obj_t)(BgL_arg2891z00_1809), BgL_stackz00_1801, BEOA); } } 
{ /* Reduce/cse.scm 128 */
obj_t BgL_nargz00_1806;
BgL_nargz00_1806 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 128 */
BgL_nodez00_bglt BgL_val2249z00_2772;
BgL_val2249z00_2772 = 
(BgL_nodez00_bglt)(BgL_nargz00_1806); 
((((BgL_castz00_bglt)CREF(BgL_nodez00_1800))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val2249z00_2772), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1800); 
return BgL_resetz00_1805;} } } } 
}



/* node-cse!-extern2768 */
obj_t BGl_nodezd2csez12zd2extern2768z12zzreduce_csez00(obj_t BgL_envz00_3490, obj_t BgL_nodez00_3491, obj_t BgL_stackz00_3492)
{ AN_OBJECT;
{ /* Reduce/cse.scm 116 */
{ 
BgL_externz00_bglt BgL_nodez00_1789;obj_t BgL_stackz00_1790;
BgL_nodez00_1789 = 
(BgL_externz00_bglt)(BgL_nodez00_3491); 
BgL_stackz00_1790 = BgL_stackz00_3492; 
{ /* Reduce/cse.scm 118 */
obj_t BgL_resetz72z72_1794;
BgL_resetz72z72_1794 = 
BGl_nodezd2cseza2z12z62zzreduce_csez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1789))->BgL_exprza2za2), BgL_stackz00_1790); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1789); 
return BgL_resetz72z72_1794;} } } 
}



/* node-cse!-funcall2766 */
obj_t BGl_nodezd2csez12zd2funcall2766z12zzreduce_csez00(obj_t BgL_envz00_3493, obj_t BgL_nodez00_3494, obj_t BgL_stackz00_3495)
{ AN_OBJECT;
{ /* Reduce/cse.scm 108 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1778;obj_t BgL_stackz00_1779;
BgL_nodez00_1778 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3494); 
BgL_stackz00_1779 = BgL_stackz00_3495; 
{ /* Reduce/cse.scm 110 */
obj_t BgL_resetz72z72_1783;
BgL_resetz72z72_1783 = 
BGl_nodezd2cseza2z12z62zzreduce_csez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1778))->BgL_argsz00), BgL_stackz00_1779); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1778); 
return BgL_resetz72z72_1783;} } } 
}



/* node-cse!-app-ly2764 */
obj_t BGl_nodezd2csez12zd2appzd2ly2764zc0zzreduce_csez00(obj_t BgL_envz00_3496, obj_t BgL_nodez00_3497, obj_t BgL_stackz00_3498)
{ AN_OBJECT;
{ /* Reduce/cse.scm 95 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1761;obj_t BgL_stackz00_1762;
BgL_nodez00_1761 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3497); 
BgL_stackz00_1762 = BgL_stackz00_3498; 
{ /* Reduce/cse.scm 97 */
obj_t BgL_resetz00_1766;
{ /* Reduce/cse.scm 98 */
BgL_nodez00_bglt BgL_arg2885z00_1775;
BgL_arg2885z00_1775 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1761))->BgL_funz00); 
{ /* Reduce/cse.scm 98 */
obj_t BgL_method2752z00_2684;
{ /* Reduce/cse.scm 98 */
long BgL_objzd2classzd2numz00_2686;
{ /* Reduce/cse.scm 98 */
BgL_objectz00_bglt BgL_auxz00_4535;
BgL_auxz00_4535 = 
(BgL_objectz00_bglt)(BgL_arg2885z00_1775); 
BgL_objzd2classzd2numz00_2686 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4535); } 
{ /* Reduce/cse.scm 98 */
obj_t BgL_arg1221z00_2687;
{ /* Reduce/cse.scm 98 */
int BgL_auxz00_4538;
BgL_auxz00_4538 = 
(int)(((long)1)); 
BgL_arg1221z00_2687 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4538); } 
{ /* Reduce/cse.scm 98 */
long BgL_offsetz00_2691;
{ /* Reduce/cse.scm 98 */
long BgL_auxz00_4541;
{ /* Reduce/cse.scm 98 */
int BgL_auxz00_4542;
BgL_auxz00_4542 = 
(int)(BgL_objzd2classzd2numz00_2686); 
BgL_auxz00_4541 = 
(long)(BgL_auxz00_4542); } 
BgL_offsetz00_2691 = 
(BgL_auxz00_4541-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 98 */
long BgL_modz00_2692;
{ /* Reduce/cse.scm 98 */
long BgL_auxz00_4546;
{ /* Reduce/cse.scm 98 */
int BgL_auxz00_4547;
BgL_auxz00_4547 = 
(int)(((long)8)); 
BgL_auxz00_4546 = 
(long)(BgL_auxz00_4547); } 
BgL_modz00_2692 = 
(BgL_offsetz00_2691/BgL_auxz00_4546); } 
{ /* Reduce/cse.scm 98 */
long BgL_restz00_2694;
{ /* Reduce/cse.scm 98 */
long BgL_auxz00_4551;
{ /* Reduce/cse.scm 98 */
int BgL_auxz00_4552;
BgL_auxz00_4552 = 
(int)(((long)8)); 
BgL_auxz00_4551 = 
(long)(BgL_auxz00_4552); } 
BgL_restz00_2694 = 
(BgL_offsetz00_2691%BgL_auxz00_4551); } 
{ /* Reduce/cse.scm 98 */

{ /* Reduce/cse.scm 98 */
obj_t BgL_bucketz00_2696;
{ /* Reduce/cse.scm 98 */
int BgL_kz00_2706;
BgL_kz00_2706 = 
(int)(BgL_modz00_2692); 
BgL_bucketz00_2696 = 
VECTOR_REF(BgL_arg1221z00_2687,BgL_kz00_2706); } 
{ /* Reduce/cse.scm 98 */
int BgL_kz00_2708;
BgL_kz00_2708 = 
(int)(BgL_restz00_2694); 
BgL_method2752z00_2684 = 
VECTOR_REF(BgL_bucketz00_2696,BgL_kz00_2708); } } } } } } } } 
BgL_resetz00_1766 = 
PROCEDURE_ENTRY(BgL_method2752z00_2684)(BgL_method2752z00_2684, 
(obj_t)(BgL_arg2885z00_1775), BgL_stackz00_1762, BEOA); } } 
{ /* Reduce/cse.scm 99 */
obj_t BgL_nfunz00_1767;
BgL_nfunz00_1767 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 99 */
BgL_nodez00_bglt BgL_val1758z00_2710;
BgL_val1758z00_2710 = 
(BgL_nodez00_bglt)(BgL_nfunz00_1767); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1761))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1758z00_2710), BUNSPEC); } 
{ /* Reduce/cse.scm 100 */
obj_t BgL_resetz72z72_1768;
{ /* Reduce/cse.scm 101 */
BgL_nodez00_bglt BgL_arg2883z00_1773;obj_t BgL_arg2884z00_1774;
BgL_arg2883z00_1773 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1761))->BgL_argz00); 
if(
CBOOL(BgL_resetz00_1766))
{ /* Reduce/cse.scm 101 */
BgL_arg2884z00_1774 = BNIL; }  else 
{ /* Reduce/cse.scm 101 */
BgL_arg2884z00_1774 = BgL_stackz00_1762; } 
{ /* Reduce/cse.scm 101 */
obj_t BgL_method2752z00_2714;
{ /* Reduce/cse.scm 101 */
long BgL_objzd2classzd2numz00_2716;
{ /* Reduce/cse.scm 101 */
BgL_objectz00_bglt BgL_auxz00_4568;
BgL_auxz00_4568 = 
(BgL_objectz00_bglt)(BgL_arg2883z00_1773); 
BgL_objzd2classzd2numz00_2716 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4568); } 
{ /* Reduce/cse.scm 101 */
obj_t BgL_arg1221z00_2717;
{ /* Reduce/cse.scm 101 */
int BgL_auxz00_4571;
BgL_auxz00_4571 = 
(int)(((long)1)); 
BgL_arg1221z00_2717 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4571); } 
{ /* Reduce/cse.scm 101 */
long BgL_offsetz00_2721;
{ /* Reduce/cse.scm 101 */
long BgL_auxz00_4574;
{ /* Reduce/cse.scm 101 */
int BgL_auxz00_4575;
BgL_auxz00_4575 = 
(int)(BgL_objzd2classzd2numz00_2716); 
BgL_auxz00_4574 = 
(long)(BgL_auxz00_4575); } 
BgL_offsetz00_2721 = 
(BgL_auxz00_4574-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 101 */
long BgL_modz00_2722;
{ /* Reduce/cse.scm 101 */
long BgL_auxz00_4579;
{ /* Reduce/cse.scm 101 */
int BgL_auxz00_4580;
BgL_auxz00_4580 = 
(int)(((long)8)); 
BgL_auxz00_4579 = 
(long)(BgL_auxz00_4580); } 
BgL_modz00_2722 = 
(BgL_offsetz00_2721/BgL_auxz00_4579); } 
{ /* Reduce/cse.scm 101 */
long BgL_restz00_2724;
{ /* Reduce/cse.scm 101 */
long BgL_auxz00_4584;
{ /* Reduce/cse.scm 101 */
int BgL_auxz00_4585;
BgL_auxz00_4585 = 
(int)(((long)8)); 
BgL_auxz00_4584 = 
(long)(BgL_auxz00_4585); } 
BgL_restz00_2724 = 
(BgL_offsetz00_2721%BgL_auxz00_4584); } 
{ /* Reduce/cse.scm 101 */

{ /* Reduce/cse.scm 101 */
obj_t BgL_bucketz00_2726;
{ /* Reduce/cse.scm 101 */
int BgL_kz00_2736;
BgL_kz00_2736 = 
(int)(BgL_modz00_2722); 
BgL_bucketz00_2726 = 
VECTOR_REF(BgL_arg1221z00_2717,BgL_kz00_2736); } 
{ /* Reduce/cse.scm 101 */
int BgL_kz00_2738;
BgL_kz00_2738 = 
(int)(BgL_restz00_2724); 
BgL_method2752z00_2714 = 
VECTOR_REF(BgL_bucketz00_2726,BgL_kz00_2738); } } } } } } } } 
BgL_resetz72z72_1768 = 
PROCEDURE_ENTRY(BgL_method2752z00_2714)(BgL_method2752z00_2714, 
(obj_t)(BgL_arg2883z00_1773), BgL_arg2884z00_1774, BEOA); } } 
{ /* Reduce/cse.scm 102 */
obj_t BgL_nargz00_1769;
BgL_nargz00_1769 = BGl_za2res1za2z00zz__r5_control_features_6_4z00; 
{ /* Reduce/cse.scm 102 */
BgL_nodez00_bglt BgL_val1761z00_2740;
BgL_val1761z00_2740 = 
(BgL_nodez00_bglt)(BgL_nargz00_1769); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1761))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val1761z00_2740), BUNSPEC); } 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1761); 
if(
CBOOL(BgL_resetz00_1766))
{ /* Reduce/cse.scm 103 */
return BgL_resetz00_1766;}  else 
{ /* Reduce/cse.scm 103 */
return BgL_resetz72z72_1768;} } } } } } } 
}



/* node-cse!-sequence2762 */
obj_t BGl_nodezd2csez12zd2sequence2762z12zzreduce_csez00(obj_t BgL_envz00_3499, obj_t BgL_nodez00_3500, obj_t BgL_stackz00_3501)
{ AN_OBJECT;
{ /* Reduce/cse.scm 88 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1751;obj_t BgL_stackz00_1752;
BgL_nodez00_1751 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3500); 
BgL_stackz00_1752 = BgL_stackz00_3501; 
{ /* Reduce/cse.scm 90 */
obj_t BgL_val0_2666z00_1756;
BgL_val0_2666z00_1756 = 
BGl_nodezd2cseza2z12z62zzreduce_csez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1751))->BgL_nodesz00), BgL_stackz00_1752); 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1751); 
return BgL_val0_2666z00_1756;} } } 
}



/* node-cse!-closure2760 */
obj_t BGl_nodezd2csez12zd2closure2760z12zzreduce_csez00(obj_t BgL_envz00_3502, obj_t BgL_nodez00_3503, obj_t BgL_stackz00_3504)
{ AN_OBJECT;
{ /* Reduce/cse.scm 82 */
{ 
BgL_closurez00_bglt BgL_nodez00_1743;obj_t BgL_stackz00_1744;
{ /* Reduce/cse.scm 83 */
bool_t BgL_auxz00_4608;
BgL_nodez00_1743 = 
(BgL_closurez00_bglt)(BgL_nodez00_3503); 
BgL_stackz00_1744 = BgL_stackz00_3504; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1743); 
BgL_auxz00_4608 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4608);} } } 
}



/* node-cse!-var2758 */
obj_t BGl_nodezd2csez12zd2var2758z12zzreduce_csez00(obj_t BgL_envz00_3505, obj_t BgL_nodez00_3506, obj_t BgL_stackz00_3507)
{ AN_OBJECT;
{ /* Reduce/cse.scm 76 */
{ 
BgL_varz00_bglt BgL_nodez00_1735;obj_t BgL_stackz00_1736;
{ /* Reduce/cse.scm 77 */
bool_t BgL_auxz00_4613;
BgL_nodez00_1735 = 
(BgL_varz00_bglt)(BgL_nodez00_3506); 
BgL_stackz00_1736 = BgL_stackz00_3507; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1735); 
BgL_auxz00_4613 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4613);} } } 
}



/* node-cse!-kwote2756 */
obj_t BGl_nodezd2csez12zd2kwote2756z12zzreduce_csez00(obj_t BgL_envz00_3508, obj_t BgL_nodez00_3509, obj_t BgL_stackz00_3510)
{ AN_OBJECT;
{ /* Reduce/cse.scm 70 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1727;obj_t BgL_stackz00_1728;
{ /* Reduce/cse.scm 71 */
bool_t BgL_auxz00_4618;
BgL_nodez00_1727 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3509); 
BgL_stackz00_1728 = BgL_stackz00_3510; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1727); 
BgL_auxz00_4618 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4618);} } } 
}



/* node-cse!-atom2754 */
obj_t BGl_nodezd2csez12zd2atom2754z12zzreduce_csez00(obj_t BgL_envz00_3511, obj_t BgL_nodez00_3512, obj_t BgL_stackz00_3513)
{ AN_OBJECT;
{ /* Reduce/cse.scm 64 */
{ 
BgL_atomz00_bglt BgL_nodez00_1719;obj_t BgL_stackz00_1720;
{ /* Reduce/cse.scm 65 */
bool_t BgL_auxz00_4623;
BgL_nodez00_1719 = 
(BgL_atomz00_bglt)(BgL_nodez00_3512); 
BgL_stackz00_1720 = BgL_stackz00_3513; 
BGl_za2reszd2numberza2zd2zz__r5_control_features_6_4z00 = 
BINT(((long)2)); 
BGl_za2res1za2z00zz__r5_control_features_6_4z00 = 
(obj_t)(BgL_nodez00_1719); 
BgL_auxz00_4623 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4623);} } } 
}



/* node-cse! */
obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_2, obj_t BgL_stackz00_3)
{ AN_OBJECT;
{ /* Reduce/cse.scm 59 */
{ /* Reduce/cse.scm 59 */
obj_t BgL_method2752z00_3397;
{ /* Reduce/cse.scm 59 */
long BgL_objzd2classzd2numz00_3399;
{ /* Reduce/cse.scm 59 */
BgL_objectz00_bglt BgL_auxz00_4628;
BgL_auxz00_4628 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_3399 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4628); } 
{ /* Reduce/cse.scm 59 */
obj_t BgL_arg1221z00_3400;
{ /* Reduce/cse.scm 59 */
int BgL_auxz00_4631;
BgL_auxz00_4631 = 
(int)(((long)1)); 
BgL_arg1221z00_3400 = 
PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BgL_auxz00_4631); } 
{ /* Reduce/cse.scm 59 */
long BgL_offsetz00_3404;
{ /* Reduce/cse.scm 59 */
long BgL_auxz00_4634;
{ /* Reduce/cse.scm 59 */
int BgL_auxz00_4635;
BgL_auxz00_4635 = 
(int)(BgL_objzd2classzd2numz00_3399); 
BgL_auxz00_4634 = 
(long)(BgL_auxz00_4635); } 
BgL_offsetz00_3404 = 
(BgL_auxz00_4634-OBJECT_TYPE); } 
{ /* Reduce/cse.scm 59 */
long BgL_modz00_3405;
{ /* Reduce/cse.scm 59 */
long BgL_auxz00_4639;
{ /* Reduce/cse.scm 59 */
int BgL_auxz00_4640;
BgL_auxz00_4640 = 
(int)(((long)8)); 
BgL_auxz00_4639 = 
(long)(BgL_auxz00_4640); } 
BgL_modz00_3405 = 
(BgL_offsetz00_3404/BgL_auxz00_4639); } 
{ /* Reduce/cse.scm 59 */
long BgL_restz00_3407;
{ /* Reduce/cse.scm 59 */
long BgL_auxz00_4644;
{ /* Reduce/cse.scm 59 */
int BgL_auxz00_4645;
BgL_auxz00_4645 = 
(int)(((long)8)); 
BgL_auxz00_4644 = 
(long)(BgL_auxz00_4645); } 
BgL_restz00_3407 = 
(BgL_offsetz00_3404%BgL_auxz00_4644); } 
{ /* Reduce/cse.scm 59 */

{ /* Reduce/cse.scm 59 */
obj_t BgL_bucketz00_3409;
{ /* Reduce/cse.scm 59 */
int BgL_kz00_3419;
BgL_kz00_3419 = 
(int)(BgL_modz00_3405); 
BgL_bucketz00_3409 = 
VECTOR_REF(BgL_arg1221z00_3400,BgL_kz00_3419); } 
{ /* Reduce/cse.scm 59 */
int BgL_kz00_3421;
BgL_kz00_3421 = 
(int)(BgL_restz00_3407); 
BgL_method2752z00_3397 = 
VECTOR_REF(BgL_bucketz00_3409,BgL_kz00_3421); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2752z00_3397)(BgL_method2752z00_3397, 
(obj_t)(BgL_nodez00_2), BgL_stackz00_3, BEOA);} } 
}



/* _node-cse! */
obj_t BGl__nodezd2csez12zc0zzreduce_csez00(obj_t BgL_envz00_3427, obj_t BgL_nodez00_3428, obj_t BgL_stackz00_3429)
{ AN_OBJECT;
{ /* Reduce/cse.scm 59 */
return 
BGl_nodezd2csez12zc0zzreduce_csez00(
(BgL_nodez00_bglt)(BgL_nodez00_3428), BgL_stackz00_3429);} 
}



/* node-cse!-default2751 */
obj_t BGl_nodezd2csez12zd2default2751z12zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_4, obj_t BgL_stackz00_5)
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
{ 
obj_t BgL_auxz00_4660;obj_t BgL_auxz00_4658;
BgL_auxz00_4660 = 
(obj_t)(BgL_nodez00_4); 
BgL_auxz00_4658 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_4658,BGl_string3042z00zzreduce_csez00,BgL_auxz00_4660);} } 
}



/* _node-cse!-default2751 */
obj_t BGl__nodezd2csez12zd2default2751z12zzreduce_csez00(obj_t BgL_envz00_3514, obj_t BgL_nodez00_3515, obj_t BgL_stackz00_3516)
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
return 
BGl_nodezd2csez12zd2default2751z12zzreduce_csez00(
(BgL_nodez00_bglt)(BgL_nodez00_3515), BgL_stackz00_3516);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00()
{ AN_OBJECT;
{ /* Reduce/cse.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "reduce_cse"); 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)42798), "reduce_cse"); 
return 
BGl_modulezd2initializa7ationz75zzreduce_samez00(((long)52415), "reduce_cse");} 
}

