/*===========================================================================*/
/*   (Reduce/same.scm)                                                       */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_samezd2nodezf3zd2funcall2715zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzreduce_samez00();
static obj_t BGl_samezd2nodezf3zd2letzd2var2736z21zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_samezd2nodezf3zd2valloc2727zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_samezd2nodezf3zd2conditional2732zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_pragmaz00zzast_nodez00;
extern obj_t BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_samezd2nodezf3zd2pragma2721zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_samezd2nodezf3zd2app2717zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_samezd2nodezf3zd2cast2730zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_samezd2nodezf3zd2default2702zf3zzreduce_samez00(BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
static obj_t BGl__samezd2nodezf3zd2default2702zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_samezd2nodezf3zd2appzd2ly2713z21zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzreduce_samez00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00();
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzreduce_samez00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
static obj_t BGl_samezd2nodezf3zd2fail2734zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
extern bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
static obj_t BGl_samezd2nodezf3zd2setfield2725zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_samezd2nodezf3zd2getfield2723zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_samezd2nodezf3zd2sequence2711zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__samezd2nodezf3z21zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_samezd2nodezf3zd2var2709zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_samezd2nodezf3zd2extern2719zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_samezd2nodezf3zd2kwote2707zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt, BgL_variablez00_bglt, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_samezd2nodezf3zd2atom2705zf3zzreduce_samez00(obj_t, obj_t, obj_t, obj_t);
extern bool_t bigloo_strcmp(obj_t, obj_t);
extern obj_t BGl_setfieldz00zzast_nodez00;
extern bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_requirezd2initializa7ationz75zzreduce_samez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 1 ] ;

DEFINE_EXPORT_GENERIC( BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_bgl__sameza7d2nodeza7f3za721za7za7reduce_sameza7003010z00, BGl__samezd2nodezf3z21zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3000z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2valloc2727za7f3za7za7reduce_sameza7003011za7, BGl_samezd2nodezf3zd2valloc2727zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3001z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2cast2730za7f3za7za7reduce_sameza7003012za7, BGl_samezd2nodezf3zd2cast2730zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3002z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2conditional2732za7f3za7za7reduce_sameza7003013za7, BGl_samezd2nodezf3zd2conditional2732zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3003z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2fail2734za7f3za7za7reduce_sameza7003014za7, BGl_samezd2nodezf3zd2fail2734zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc3004z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2letza7d2var2736za721za7za7reduce_sameza7003015z00, BGl_samezd2nodezf3zd2letzd2var2736z21zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2990z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2kwote2707za7f3za7za7reduce_sameza7003016za7, BGl_samezd2nodezf3zd2kwote2707zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2989z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2atom2705za7f3za7za7reduce_sameza7003017za7, BGl_samezd2nodezf3zd2atom2705zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2991z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2var2709za7f3za7za7reduce_sameza7003018za7, BGl_samezd2nodezf3zd2var2709zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2992z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2sequence2711za7f3za7za7reduce_sameza7003019za7, BGl_samezd2nodezf3zd2sequence2711zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2993z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2appza7d2ly2713za721za7za7reduce_sameza7003020z00, BGl_samezd2nodezf3zd2appzd2ly2713z21zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2994z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2funcall2715za7f3za7za7reduce_sameza7003021za7, BGl_samezd2nodezf3zd2funcall2715zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2995z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2app2717za7f3za7za7reduce_sameza7003022za7, BGl_samezd2nodezf3zd2app2717zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2996z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2extern2719za7f3za7za7reduce_sameza7003023za7, BGl_samezd2nodezf3zd2extern2719zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2997z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2pragma2721za7f3za7za7reduce_sameza7003024za7, BGl_samezd2nodezf3zd2pragma2721zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2998z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2getfield2723za7f3za7za7reduce_sameza7003025za7, BGl_samezd2nodezf3zd2getfield2723zf3zzreduce_samez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2999z00zzreduce_samez00, BgL_bgl_sameza7d2nodeza7f3za7d2setfield2725za7f3za7za7reduce_sameza7003026za7, BGl_samezd2nodezf3zd2setfield2725zf3zzreduce_samez00, 0L, 3 );
DEFINE_STRING( BGl_string3005z00zzreduce_samez00, BgL_bgl_string3005za700za7za7reduce_sameza7003027z00, "read ", 5 );
DEFINE_STATIC_PROCEDURE( BGl_samezd2nodezf3zd2default2702zd2envz21zzreduce_samez00, BgL_bgl__sameza7d2nodeza7f3za7d2default2702za7f3za7za7reduce_sameza7003028za7, BGl__samezd2nodezf3zd2default2702zf3zzreduce_samez00, 0L, 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long BgL_checksumz00_3178, char * BgL_fromz00_3179)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzreduce_samez00))
{ 
BGl_requirezd2initializa7ationz75zzreduce_samez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzreduce_samez00(); 
BGl_cnstzd2initzd2zzreduce_samez00(); 
BGl_importedzd2moduleszd2initz00zzreduce_samez00(); 
BGl_methodzd2initzd2zzreduce_samez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00()
{ AN_OBJECT;
{ /* Reduce/same.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "reduce_same"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "reduce_same"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "reduce_same"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "reduce_same"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "reduce_same"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzreduce_samez00()
{ AN_OBJECT;
{ /* Reduce/same.scm 15 */
{ /* Reduce/same.scm 15 */
obj_t BgL_cportz00_3171;
BgL_cportz00_3171 = 
open_input_string(BGl_string3005z00zzreduce_samez00); 
{ 
long BgL_iz00_3172;
BgL_iz00_3172 = ((long)0); 
BgL_loopz00_3173:
if(
(BgL_iz00_3172==((long)-1)))
{ /* Reduce/same.scm 15 */
return BUNSPEC;}  else 
{ /* Reduce/same.scm 15 */
{ /* Reduce/same.scm 15 */
obj_t BgL_arg3007z00_3175;
{ /* Reduce/same.scm 15 */
obj_t BgL_list3008z00_3176;
BgL_list3008z00_3176 = 
MAKE_PAIR(BgL_cportz00_3171, BNIL); 
BgL_arg3007z00_3175 = 
BGl_readz00zz__readerz00(BgL_list3008z00_3176); } 
{ /* Reduce/same.scm 15 */
int BgL_auxz00_3197;
BgL_auxz00_3197 = 
(int)(BgL_iz00_3172); 
CNST_TABLE_SET(BgL_auxz00_3197, BgL_arg3007z00_3175); } } 
{ 
long BgL_iz00_3200;
{ /* Reduce/same.scm 15 */
int BgL_auxz00_3201;
{ /* Reduce/same.scm 15 */
long BgL_auxz00_3202;
BgL_auxz00_3202 = 
(BgL_iz00_3172-((long)1)); 
BgL_auxz00_3201 = 
(int)(BgL_auxz00_3202); } 
BgL_iz00_3200 = 
(long)(BgL_auxz00_3201); } 
BgL_iz00_3172 = BgL_iz00_3200; 
goto BgL_loopz00_3173;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzreduce_samez00()
{ AN_OBJECT;
{ /* Reduce/same.scm 15 */
return BUNSPEC;} 
}



/* same-node*? */
bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t BgL_node1z00_55, obj_t BgL_node2z00_56, obj_t BgL_aliasz00_57)
{ AN_OBJECT;
{ /* Reduce/same.scm 214 */
BGl_samezd2nodeza2zf3z83zzreduce_samez00:
if(
NULLP(BgL_node1z00_55))
{ /* Reduce/same.scm 216 */
return 
NULLP(BgL_node2z00_56);}  else 
{ /* Reduce/same.scm 216 */
if(
NULLP(BgL_node2z00_56))
{ /* Reduce/same.scm 218 */
return ((bool_t)0);}  else 
{ /* Reduce/same.scm 220 */
bool_t BgL_test2739z00_1282;
{ /* Reduce/same.scm 220 */
bool_t BgL_res2941z00_2002;
{ /* Reduce/same.scm 220 */
BgL_nodez00_bglt BgL_node1z00_1974;BgL_nodez00_bglt BgL_node2z00_1975;
{ /* Reduce/same.scm 220 */
obj_t BgL_auxz00_3211;
BgL_auxz00_3211 = 
CAR(BgL_node1z00_55); 
BgL_node1z00_1974 = 
(BgL_nodez00_bglt)(BgL_auxz00_3211); } 
{ /* Reduce/same.scm 220 */
obj_t BgL_auxz00_3214;
BgL_auxz00_3214 = 
CAR(BgL_node2z00_56); 
BgL_node2z00_1975 = 
(BgL_nodez00_bglt)(BgL_auxz00_3214); } 
{ /* Reduce/same.scm 220 */
obj_t BgL_method2703z00_1977;
{ /* Reduce/same.scm 220 */
long BgL_objzd2classzd2numz00_1979;
{ /* Reduce/same.scm 220 */
BgL_objectz00_bglt BgL_auxz00_3217;
BgL_auxz00_3217 = 
(BgL_objectz00_bglt)(BgL_node1z00_1974); 
BgL_objzd2classzd2numz00_1979 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3217); } 
{ /* Reduce/same.scm 220 */
obj_t BgL_arg1221z00_1980;
{ /* Reduce/same.scm 220 */
int BgL_auxz00_3220;
BgL_auxz00_3220 = 
(int)(((long)1)); 
BgL_arg1221z00_1980 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3220); } 
{ /* Reduce/same.scm 220 */
long BgL_offsetz00_1984;
{ /* Reduce/same.scm 220 */
long BgL_auxz00_3223;
{ /* Reduce/same.scm 220 */
int BgL_auxz00_3224;
BgL_auxz00_3224 = 
(int)(BgL_objzd2classzd2numz00_1979); 
BgL_auxz00_3223 = 
(long)(BgL_auxz00_3224); } 
BgL_offsetz00_1984 = 
(BgL_auxz00_3223-OBJECT_TYPE); } 
{ /* Reduce/same.scm 220 */
long BgL_modz00_1985;
{ /* Reduce/same.scm 220 */
long BgL_auxz00_3228;
{ /* Reduce/same.scm 220 */
int BgL_auxz00_3229;
BgL_auxz00_3229 = 
(int)(((long)8)); 
BgL_auxz00_3228 = 
(long)(BgL_auxz00_3229); } 
BgL_modz00_1985 = 
(BgL_offsetz00_1984/BgL_auxz00_3228); } 
{ /* Reduce/same.scm 220 */
long BgL_restz00_1987;
{ /* Reduce/same.scm 220 */
long BgL_auxz00_3233;
{ /* Reduce/same.scm 220 */
int BgL_auxz00_3234;
BgL_auxz00_3234 = 
(int)(((long)8)); 
BgL_auxz00_3233 = 
(long)(BgL_auxz00_3234); } 
BgL_restz00_1987 = 
(BgL_offsetz00_1984%BgL_auxz00_3233); } 
{ /* Reduce/same.scm 220 */

{ /* Reduce/same.scm 220 */
obj_t BgL_bucketz00_1989;
{ /* Reduce/same.scm 220 */
int BgL_kz00_1999;
BgL_kz00_1999 = 
(int)(BgL_modz00_1985); 
BgL_bucketz00_1989 = 
VECTOR_REF(BgL_arg1221z00_1980,BgL_kz00_1999); } 
{ /* Reduce/same.scm 220 */
int BgL_kz00_2001;
BgL_kz00_2001 = 
(int)(BgL_restz00_1987); 
BgL_method2703z00_1977 = 
VECTOR_REF(BgL_bucketz00_1989,BgL_kz00_2001); } } } } } } } } 
{ /* Reduce/same.scm 220 */
obj_t BgL_auxz00_3242;
BgL_auxz00_3242 = 
PROCEDURE_ENTRY(BgL_method2703z00_1977)(BgL_method2703z00_1977, 
(obj_t)(BgL_node1z00_1974), 
(obj_t)(BgL_node2z00_1975), BgL_aliasz00_57, BEOA); 
BgL_res2941z00_2002 = 
CBOOL(BgL_auxz00_3242); } } } 
BgL_test2739z00_1282 = BgL_res2941z00_2002; } 
if(BgL_test2739z00_1282)
{ /* Reduce/same.scm 220 */
{ 
obj_t BgL_node2z00_3251;obj_t BgL_node1z00_3249;
BgL_node1z00_3249 = 
CDR(BgL_node1z00_55); 
BgL_node2z00_3251 = 
CDR(BgL_node2z00_56); 
BgL_node2z00_56 = BgL_node2z00_3251; 
BgL_node1z00_55 = BgL_node1z00_3249; 
goto BGl_samezd2nodeza2zf3z83zzreduce_samez00;} }  else 
{ /* Reduce/same.scm 220 */
return ((bool_t)0);} } } } 
}



/* aliased? */
bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt BgL_var1z00_58, BgL_variablez00_bglt BgL_var2z00_59, obj_t BgL_aliasz00_60)
{ AN_OBJECT;
{ /* Reduce/same.scm 228 */
{ 
obj_t BgL_aliasz00_1287;
BgL_aliasz00_1287 = BgL_aliasz00_60; 
BgL_loopz00_1288:
if(
NULLP(BgL_aliasz00_1287))
{ /* Reduce/same.scm 231 */
return ((bool_t)0);}  else 
{ /* Reduce/same.scm 233 */
bool_t BgL_testz00_3255;
{ /* Reduce/same.scm 233 */
obj_t BgL_auxz00_3260;obj_t BgL_auxz00_3256;
BgL_auxz00_3260 = 
(obj_t)(BgL_var1z00_58); 
{ /* Reduce/same.scm 233 */
obj_t BgL_auxz00_3257;
BgL_auxz00_3257 = 
CAR(BgL_aliasz00_1287); 
BgL_auxz00_3256 = 
CAR(BgL_auxz00_3257); } 
BgL_testz00_3255 = 
(BgL_auxz00_3256==BgL_auxz00_3260); } 
if(BgL_testz00_3255)
{ /* Reduce/same.scm 233 */
{ /* Reduce/same.scm 234 */
bool_t BgL_testz00_3263;
{ /* Reduce/same.scm 234 */
obj_t BgL_auxz00_3268;obj_t BgL_auxz00_3264;
BgL_auxz00_3268 = 
(obj_t)(BgL_var2z00_59); 
{ /* Reduce/same.scm 234 */
obj_t BgL_auxz00_3265;
BgL_auxz00_3265 = 
CAR(BgL_aliasz00_1287); 
BgL_auxz00_3264 = 
CDR(BgL_auxz00_3265); } 
BgL_testz00_3263 = 
(BgL_auxz00_3264==BgL_auxz00_3268); } 
if(BgL_testz00_3263)
{ /* Reduce/same.scm 234 */
return ((bool_t)1);}  else 
{ 
obj_t BgL_aliasz00_3271;
BgL_aliasz00_3271 = 
CDR(BgL_aliasz00_1287); 
BgL_aliasz00_1287 = BgL_aliasz00_3271; 
goto BgL_loopz00_1288;} } }  else 
{ /* Reduce/same.scm 237 */
bool_t BgL_testz00_3273;
{ /* Reduce/same.scm 237 */
obj_t BgL_auxz00_3278;obj_t BgL_auxz00_3274;
BgL_auxz00_3278 = 
(obj_t)(BgL_var2z00_59); 
{ /* Reduce/same.scm 237 */
obj_t BgL_auxz00_3275;
BgL_auxz00_3275 = 
CAR(BgL_aliasz00_1287); 
BgL_auxz00_3274 = 
CAR(BgL_auxz00_3275); } 
BgL_testz00_3273 = 
(BgL_auxz00_3274==BgL_auxz00_3278); } 
if(BgL_testz00_3273)
{ /* Reduce/same.scm 237 */
{ /* Reduce/same.scm 238 */
bool_t BgL_testz00_3281;
{ /* Reduce/same.scm 238 */
obj_t BgL_auxz00_3286;obj_t BgL_auxz00_3282;
BgL_auxz00_3286 = 
(obj_t)(BgL_var1z00_58); 
{ /* Reduce/same.scm 238 */
obj_t BgL_auxz00_3283;
BgL_auxz00_3283 = 
CAR(BgL_aliasz00_1287); 
BgL_auxz00_3282 = 
CDR(BgL_auxz00_3283); } 
BgL_testz00_3281 = 
(BgL_auxz00_3282==BgL_auxz00_3286); } 
if(BgL_testz00_3281)
{ /* Reduce/same.scm 238 */
return ((bool_t)1);}  else 
{ 
obj_t BgL_aliasz00_3289;
BgL_aliasz00_3289 = 
CDR(BgL_aliasz00_1287); 
BgL_aliasz00_1287 = BgL_aliasz00_3289; 
goto BgL_loopz00_1288;} } }  else 
{ /* Reduce/same.scm 237 */
{ 
obj_t BgL_aliasz00_3291;
BgL_aliasz00_3291 = 
CDR(BgL_aliasz00_1287); 
BgL_aliasz00_1287 = BgL_aliasz00_3291; 
goto BgL_loopz00_1288;} } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzreduce_samez00()
{ AN_OBJECT;
{ /* Reduce/same.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_samezd2nodezf3zd2default2702zd2envz21zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_atomz00zzast_nodez00, BGl_proc2989z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_kwotez00zzast_nodez00, BGl_proc2990z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_varz00zzast_nodez00, BGl_proc2991z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_sequencez00zzast_nodez00, BGl_proc2992z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc2993z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_funcallz00zzast_nodez00, BGl_proc2994z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_appz00zzast_nodez00, BGl_proc2995z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_externz00zzast_nodez00, BGl_proc2996z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_pragmaz00zzast_nodez00, BGl_proc2997z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_getfieldz00zzast_nodez00, BGl_proc2998z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_setfieldz00zzast_nodez00, BGl_proc2999z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_vallocz00zzast_nodez00, BGl_proc3000z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_castz00zzast_nodez00, BGl_proc3001z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_conditionalz00zzast_nodez00, BGl_proc3002z00zzreduce_samez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_failz00zzast_nodez00, BGl_proc3003z00zzreduce_samez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3004z00zzreduce_samez00);} 
}



/* same-node?-let-var2736 */
obj_t BGl_samezd2nodezf3zd2letzd2var2736z21zzreduce_samez00(obj_t BgL_envz00_3103, obj_t BgL_nodez00_3104, obj_t BgL_node2z00_3105, obj_t BgL_aliasz00_3106)
{ AN_OBJECT;
{ /* Reduce/same.scm 180 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1906;BgL_nodez00_bglt BgL_node2z00_1907;obj_t BgL_aliasz00_1908;
{ /* ./Tools/trace.sch 42 */
bool_t BgL_auxz00_3310;
BgL_nodez00_1906 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3104); 
BgL_node2z00_1907 = 
(BgL_nodez00_bglt)(BgL_node2z00_3105); 
BgL_aliasz00_1908 = BgL_aliasz00_3106; 
{ /* Reduce/same.scm 185 */
bool_t BgL__andtest_2692z00_1911;
BgL__andtest_2692z00_1911 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1907), BGl_letzd2varzd2zzast_nodez00); 
if(BgL__andtest_2692z00_1911)
{ /* Reduce/same.scm 186 */
bool_t BgL_testz00_3314;
{ /* Reduce/same.scm 186 */
obj_t BgL_auxz00_3320;obj_t BgL_auxz00_3315;
{ /* Reduce/same.scm 186 */
BgL_typez00_bglt BgL_auxz00_3321;
BgL_auxz00_3321 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1907))->BgL_typez00); 
BgL_auxz00_3320 = 
(obj_t)(BgL_auxz00_3321); } 
{ /* Reduce/same.scm 186 */
BgL_typez00_bglt BgL_auxz00_3316;
{ /* Reduce/same.scm 186 */
BgL_nodez00_bglt BgL_obj1550z00_2962;
BgL_obj1550z00_2962 = 
(BgL_nodez00_bglt)(BgL_nodez00_1906); 
BgL_auxz00_3316 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2962))->BgL_typez00); } 
BgL_auxz00_3315 = 
(obj_t)(BgL_auxz00_3316); } 
BgL_testz00_3314 = 
(BgL_auxz00_3315==BgL_auxz00_3320); } 
if(BgL_testz00_3314)
{ /* Reduce/same.scm 187 */
bool_t BgL_testz00_3325;
{ /* Reduce/same.scm 187 */
long BgL_auxz00_3326;
{ /* Reduce/same.scm 188 */
obj_t BgL_auxz00_3329;
{ /* Reduce/same.scm 188 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_2965;
BgL_obj2466z00_2965 = 
(BgL_letzd2varzd2_bglt)(BgL_node2z00_1907); 
BgL_auxz00_3329 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_2965))->BgL_bindingsz00); } 
BgL_auxz00_3326 = 
bgl_list_length(BgL_auxz00_3329); } 
BgL_testz00_3325 = 
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(
bgl_list_length(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1906))->BgL_bindingsz00)), BgL_auxz00_3326); } 
if(BgL_testz00_3325)
{ /* Reduce/same.scm 189 */
obj_t BgL_newzd2aliaszd2_1914;
{ /* Reduce/same.scm 189 */
obj_t BgL_arg2923z00_1941;
{ /* Reduce/same.scm 189 */
obj_t BgL_ll2695z00_1942;obj_t BgL_ll2696z00_1943;
BgL_ll2695z00_1942 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1906))->BgL_bindingsz00); 
{ /* Reduce/same.scm 192 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_2967;
BgL_obj2466z00_2967 = 
(BgL_letzd2varzd2_bglt)(BgL_node2z00_1907); 
BgL_ll2696z00_1943 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_2967))->BgL_bindingsz00); } 
if(
NULLP(BgL_ll2695z00_1942))
{ /* Reduce/same.scm 189 */
BgL_arg2923z00_1941 = BNIL; }  else 
{ /* Reduce/same.scm 189 */
obj_t BgL_head2697z00_1945;
BgL_head2697z00_1945 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll2695z00_1946;obj_t BgL_ll2696z00_1947;obj_t BgL_tail2698z00_1948;
BgL_ll2695z00_1946 = BgL_ll2695z00_1942; 
BgL_ll2696z00_1947 = BgL_ll2696z00_1943; 
BgL_tail2698z00_1948 = BgL_head2697z00_1945; 
BgL_lname2700z00_1949:
if(
NULLP(BgL_ll2695z00_1946))
{ /* Reduce/same.scm 189 */
BgL_arg2923z00_1941 = 
CDR(BgL_head2697z00_1945); }  else 
{ /* Reduce/same.scm 190 */
obj_t BgL_newtail2699z00_1951;
{ /* Reduce/same.scm 190 */
obj_t BgL_arg2928z00_1954;
{ /* Reduce/same.scm 190 */
obj_t BgL_auxz00_3347;obj_t BgL_auxz00_3343;
{ /* Reduce/same.scm 190 */
obj_t BgL_auxz00_3348;
BgL_auxz00_3348 = 
CAR(BgL_ll2696z00_1947); 
BgL_auxz00_3347 = 
CAR(BgL_auxz00_3348); } 
{ /* Reduce/same.scm 190 */
obj_t BgL_auxz00_3344;
BgL_auxz00_3344 = 
CAR(BgL_ll2695z00_1946); 
BgL_auxz00_3343 = 
CAR(BgL_auxz00_3344); } 
BgL_arg2928z00_1954 = 
MAKE_PAIR(BgL_auxz00_3343, BgL_auxz00_3347); } 
BgL_newtail2699z00_1951 = 
MAKE_PAIR(BgL_arg2928z00_1954, BNIL); } 
SET_CDR(BgL_tail2698z00_1948, BgL_newtail2699z00_1951); 
{ 
obj_t BgL_tail2698z00_3358;obj_t BgL_ll2696z00_3356;obj_t BgL_ll2695z00_3354;
BgL_ll2695z00_3354 = 
CDR(BgL_ll2695z00_1946); 
BgL_ll2696z00_3356 = 
CDR(BgL_ll2696z00_1947); 
BgL_tail2698z00_3358 = BgL_newtail2699z00_1951; 
BgL_tail2698z00_1948 = BgL_tail2698z00_3358; 
BgL_ll2696z00_1947 = BgL_ll2696z00_3356; 
BgL_ll2695z00_1946 = BgL_ll2695z00_3354; 
goto BgL_lname2700z00_1949;} } } } } 
BgL_newzd2aliaszd2_1914 = 
BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg2923z00_1941, BgL_aliasz00_1908); } 
{ /* Reduce/same.scm 194 */
bool_t BgL__andtest_2701z00_1915;
{ /* Reduce/same.scm 194 */
BgL_nodez00_bglt BgL_arg2921z00_1939;BgL_nodez00_bglt BgL_arg2922z00_1940;
BgL_arg2921z00_1939 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1906))->BgL_bodyz00); 
{ /* Reduce/same.scm 194 */
BgL_letzd2varzd2_bglt BgL_obj2469z00_2984;
BgL_obj2469z00_2984 = 
(BgL_letzd2varzd2_bglt)(BgL_node2z00_1907); 
BgL_arg2922z00_1940 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2469z00_2984))->BgL_bodyz00); } 
{ /* Reduce/same.scm 194 */
bool_t BgL_res2983z00_3013;
{ /* Reduce/same.scm 194 */
obj_t BgL_method2703z00_2988;
{ /* Reduce/same.scm 194 */
long BgL_objzd2classzd2numz00_2990;
{ /* Reduce/same.scm 194 */
BgL_objectz00_bglt BgL_auxz00_3363;
BgL_auxz00_3363 = 
(BgL_objectz00_bglt)(BgL_arg2921z00_1939); 
BgL_objzd2classzd2numz00_2990 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3363); } 
{ /* Reduce/same.scm 194 */
obj_t BgL_arg1221z00_2991;
{ /* Reduce/same.scm 194 */
int BgL_auxz00_3366;
BgL_auxz00_3366 = 
(int)(((long)1)); 
BgL_arg1221z00_2991 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3366); } 
{ /* Reduce/same.scm 194 */
long BgL_offsetz00_2995;
{ /* Reduce/same.scm 194 */
long BgL_auxz00_3369;
{ /* Reduce/same.scm 194 */
int BgL_auxz00_3370;
BgL_auxz00_3370 = 
(int)(BgL_objzd2classzd2numz00_2990); 
BgL_auxz00_3369 = 
(long)(BgL_auxz00_3370); } 
BgL_offsetz00_2995 = 
(BgL_auxz00_3369-OBJECT_TYPE); } 
{ /* Reduce/same.scm 194 */
long BgL_modz00_2996;
{ /* Reduce/same.scm 194 */
long BgL_auxz00_3374;
{ /* Reduce/same.scm 194 */
int BgL_auxz00_3375;
BgL_auxz00_3375 = 
(int)(((long)8)); 
BgL_auxz00_3374 = 
(long)(BgL_auxz00_3375); } 
BgL_modz00_2996 = 
(BgL_offsetz00_2995/BgL_auxz00_3374); } 
{ /* Reduce/same.scm 194 */
long BgL_restz00_2998;
{ /* Reduce/same.scm 194 */
long BgL_auxz00_3379;
{ /* Reduce/same.scm 194 */
int BgL_auxz00_3380;
BgL_auxz00_3380 = 
(int)(((long)8)); 
BgL_auxz00_3379 = 
(long)(BgL_auxz00_3380); } 
BgL_restz00_2998 = 
(BgL_offsetz00_2995%BgL_auxz00_3379); } 
{ /* Reduce/same.scm 194 */

{ /* Reduce/same.scm 194 */
obj_t BgL_bucketz00_3000;
{ /* Reduce/same.scm 194 */
int BgL_kz00_3010;
BgL_kz00_3010 = 
(int)(BgL_modz00_2996); 
BgL_bucketz00_3000 = 
VECTOR_REF(BgL_arg1221z00_2991,BgL_kz00_3010); } 
{ /* Reduce/same.scm 194 */
int BgL_kz00_3012;
BgL_kz00_3012 = 
(int)(BgL_restz00_2998); 
BgL_method2703z00_2988 = 
VECTOR_REF(BgL_bucketz00_3000,BgL_kz00_3012); } } } } } } } } 
{ /* Reduce/same.scm 194 */
obj_t BgL_auxz00_3388;
BgL_auxz00_3388 = 
PROCEDURE_ENTRY(BgL_method2703z00_2988)(BgL_method2703z00_2988, 
(obj_t)(BgL_arg2921z00_1939), 
(obj_t)(BgL_arg2922z00_1940), BgL_newzd2aliaszd2_1914, BEOA); 
BgL_res2983z00_3013 = 
CBOOL(BgL_auxz00_3388); } } 
BgL__andtest_2701z00_1915 = BgL_res2983z00_3013; } } 
if(BgL__andtest_2701z00_1915)
{ 
obj_t BgL_bindings1z00_1916;obj_t BgL_bindings2z00_1917;
BgL_bindings1z00_1916 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1906))->BgL_bindingsz00); 
{ /* Reduce/same.scm 196 */
BgL_letzd2varzd2_bglt BgL_obj2466z00_3015;
BgL_obj2466z00_3015 = 
(BgL_letzd2varzd2_bglt)(BgL_node2z00_1907); 
BgL_bindings2z00_1917 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2466z00_3015))->BgL_bindingsz00); } 
BgL_loopz00_1918:
if(
NULLP(BgL_bindings1z00_1916))
{ /* Reduce/same.scm 198 */
BgL_auxz00_3310 = ((bool_t)1); }  else 
{ /* Reduce/same.scm 200 */
bool_t BgL_testz00_3397;
{ /* Reduce/same.scm 201 */
bool_t BgL_testz00_3398;
{ /* Reduce/same.scm 201 */
obj_t BgL_auxz00_3406;obj_t BgL_auxz00_3399;
BgL_auxz00_3406 = 
CNST_TABLE_REF(((long)0)); 
{ /* Reduce/same.scm 201 */
BgL_localz00_bglt BgL_obj1258z00_3019;
{ /* Reduce/same.scm 201 */
obj_t BgL_auxz00_3400;
{ /* Reduce/same.scm 201 */
obj_t BgL_auxz00_3401;
BgL_auxz00_3401 = 
CAR(BgL_bindings1z00_1916); 
BgL_auxz00_3400 = 
CAR(BgL_auxz00_3401); } 
BgL_obj1258z00_3019 = 
(BgL_localz00_bglt)(BgL_auxz00_3400); } 
BgL_auxz00_3399 = 
(((BgL_localz00_bglt)CREF(BgL_obj1258z00_3019))->BgL_accessz00); } 
BgL_testz00_3398 = 
(BgL_auxz00_3399==BgL_auxz00_3406); } 
if(BgL_testz00_3398)
{ /* Reduce/same.scm 202 */
obj_t BgL_auxz00_3416;obj_t BgL_auxz00_3409;
BgL_auxz00_3416 = 
CNST_TABLE_REF(((long)0)); 
{ /* Reduce/same.scm 202 */
BgL_localz00_bglt BgL_obj1258z00_3022;
{ /* Reduce/same.scm 202 */
obj_t BgL_auxz00_3410;
{ /* Reduce/same.scm 202 */
obj_t BgL_auxz00_3411;
BgL_auxz00_3411 = 
CAR(BgL_bindings2z00_1917); 
BgL_auxz00_3410 = 
CAR(BgL_auxz00_3411); } 
BgL_obj1258z00_3022 = 
(BgL_localz00_bglt)(BgL_auxz00_3410); } 
BgL_auxz00_3409 = 
(((BgL_localz00_bglt)CREF(BgL_obj1258z00_3022))->BgL_accessz00); } 
BgL_testz00_3397 = 
(BgL_auxz00_3409==BgL_auxz00_3416); }  else 
{ /* Reduce/same.scm 201 */
BgL_testz00_3397 = ((bool_t)0)
; } } 
if(BgL_testz00_3397)
{ /* Reduce/same.scm 204 */
bool_t BgL_test2905z00_1923;
{ /* Reduce/same.scm 204 */
bool_t BgL_res2986z00_3055;
{ /* Reduce/same.scm 204 */
BgL_nodez00_bglt BgL_node1z00_3027;BgL_nodez00_bglt BgL_node2z00_3028;
{ /* Reduce/same.scm 204 */
obj_t BgL_auxz00_3419;
{ /* Reduce/same.scm 204 */
obj_t BgL_auxz00_3420;
BgL_auxz00_3420 = 
CAR(BgL_bindings1z00_1916); 
BgL_auxz00_3419 = 
CDR(BgL_auxz00_3420); } 
BgL_node1z00_3027 = 
(BgL_nodez00_bglt)(BgL_auxz00_3419); } 
{ /* Reduce/same.scm 205 */
obj_t BgL_auxz00_3424;
{ /* Reduce/same.scm 205 */
obj_t BgL_auxz00_3425;
BgL_auxz00_3425 = 
CAR(BgL_bindings2z00_1917); 
BgL_auxz00_3424 = 
CDR(BgL_auxz00_3425); } 
BgL_node2z00_3028 = 
(BgL_nodez00_bglt)(BgL_auxz00_3424); } 
{ /* Reduce/same.scm 204 */
obj_t BgL_method2703z00_3030;
{ /* Reduce/same.scm 204 */
long BgL_objzd2classzd2numz00_3032;
{ /* Reduce/same.scm 204 */
BgL_objectz00_bglt BgL_auxz00_3429;
BgL_auxz00_3429 = 
(BgL_objectz00_bglt)(BgL_node1z00_3027); 
BgL_objzd2classzd2numz00_3032 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3429); } 
{ /* Reduce/same.scm 204 */
obj_t BgL_arg1221z00_3033;
{ /* Reduce/same.scm 204 */
int BgL_auxz00_3432;
BgL_auxz00_3432 = 
(int)(((long)1)); 
BgL_arg1221z00_3033 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3432); } 
{ /* Reduce/same.scm 204 */
long BgL_offsetz00_3037;
{ /* Reduce/same.scm 204 */
long BgL_auxz00_3435;
{ /* Reduce/same.scm 204 */
int BgL_auxz00_3436;
BgL_auxz00_3436 = 
(int)(BgL_objzd2classzd2numz00_3032); 
BgL_auxz00_3435 = 
(long)(BgL_auxz00_3436); } 
BgL_offsetz00_3037 = 
(BgL_auxz00_3435-OBJECT_TYPE); } 
{ /* Reduce/same.scm 204 */
long BgL_modz00_3038;
{ /* Reduce/same.scm 204 */
long BgL_auxz00_3440;
{ /* Reduce/same.scm 204 */
int BgL_auxz00_3441;
BgL_auxz00_3441 = 
(int)(((long)8)); 
BgL_auxz00_3440 = 
(long)(BgL_auxz00_3441); } 
BgL_modz00_3038 = 
(BgL_offsetz00_3037/BgL_auxz00_3440); } 
{ /* Reduce/same.scm 204 */
long BgL_restz00_3040;
{ /* Reduce/same.scm 204 */
long BgL_auxz00_3445;
{ /* Reduce/same.scm 204 */
int BgL_auxz00_3446;
BgL_auxz00_3446 = 
(int)(((long)8)); 
BgL_auxz00_3445 = 
(long)(BgL_auxz00_3446); } 
BgL_restz00_3040 = 
(BgL_offsetz00_3037%BgL_auxz00_3445); } 
{ /* Reduce/same.scm 204 */

{ /* Reduce/same.scm 204 */
obj_t BgL_bucketz00_3042;
{ /* Reduce/same.scm 204 */
int BgL_kz00_3052;
BgL_kz00_3052 = 
(int)(BgL_modz00_3038); 
BgL_bucketz00_3042 = 
VECTOR_REF(BgL_arg1221z00_3033,BgL_kz00_3052); } 
{ /* Reduce/same.scm 204 */
int BgL_kz00_3054;
BgL_kz00_3054 = 
(int)(BgL_restz00_3040); 
BgL_method2703z00_3030 = 
VECTOR_REF(BgL_bucketz00_3042,BgL_kz00_3054); } } } } } } } } 
{ /* Reduce/same.scm 204 */
obj_t BgL_auxz00_3454;
BgL_auxz00_3454 = 
PROCEDURE_ENTRY(BgL_method2703z00_3030)(BgL_method2703z00_3030, 
(obj_t)(BgL_node1z00_3027), 
(obj_t)(BgL_node2z00_3028), BgL_aliasz00_1908, BEOA); 
BgL_res2986z00_3055 = 
CBOOL(BgL_auxz00_3454); } } } 
BgL_test2905z00_1923 = BgL_res2986z00_3055; } 
if(BgL_test2905z00_1923)
{ /* Reduce/same.scm 204 */
{ 
obj_t BgL_bindings2z00_3463;obj_t BgL_bindings1z00_3461;
BgL_bindings1z00_3461 = 
CDR(BgL_bindings1z00_1916); 
BgL_bindings2z00_3463 = 
CDR(BgL_bindings2z00_1917); 
BgL_bindings2z00_1917 = BgL_bindings2z00_3463; 
BgL_bindings1z00_1916 = BgL_bindings1z00_3461; 
goto BgL_loopz00_1918;} }  else 
{ /* Reduce/same.scm 204 */
BgL_auxz00_3310 = ((bool_t)0); } }  else 
{ /* Reduce/same.scm 200 */
BgL_auxz00_3310 = ((bool_t)0); } } }  else 
{ /* Reduce/same.scm 194 */
BgL_auxz00_3310 = ((bool_t)0)
; } } }  else 
{ /* Reduce/same.scm 187 */
BgL_auxz00_3310 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 186 */
BgL_auxz00_3310 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 185 */
BgL_auxz00_3310 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3310);} } } 
}



/* same-node?-fail2734 */
obj_t BGl_samezd2nodezf3zd2fail2734zf3zzreduce_samez00(obj_t BgL_envz00_3107, obj_t BgL_nodez00_3108, obj_t BgL_node2z00_3109, obj_t BgL_aliasz00_3110)
{ AN_OBJECT;
{ /* Reduce/same.scm 167 */
{ 
BgL_failz00_bglt BgL_nodez00_1887;BgL_nodez00_bglt BgL_node2z00_1888;obj_t BgL_aliasz00_1889;
{ /* ./Tools/trace.sch 42 */
bool_t BgL_auxz00_3471;
BgL_nodez00_1887 = 
(BgL_failz00_bglt)(BgL_nodez00_3108); 
BgL_node2z00_1888 = 
(BgL_nodez00_bglt)(BgL_node2z00_3109); 
BgL_aliasz00_1889 = BgL_aliasz00_3110; 
{ /* Reduce/same.scm 171 */
bool_t BgL__andtest_2688z00_1892;
BgL__andtest_2688z00_1892 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1888), BGl_failz00zzast_nodez00); 
if(BgL__andtest_2688z00_1892)
{ /* Reduce/same.scm 172 */
bool_t BgL_testz00_3475;
{ /* Reduce/same.scm 172 */
obj_t BgL_auxz00_3481;obj_t BgL_auxz00_3476;
{ /* Reduce/same.scm 172 */
BgL_typez00_bglt BgL_auxz00_3482;
BgL_auxz00_3482 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1888))->BgL_typez00); 
BgL_auxz00_3481 = 
(obj_t)(BgL_auxz00_3482); } 
{ /* Reduce/same.scm 172 */
BgL_typez00_bglt BgL_auxz00_3477;
{ /* Reduce/same.scm 172 */
BgL_nodez00_bglt BgL_obj1550z00_2866;
BgL_obj1550z00_2866 = 
(BgL_nodez00_bglt)(BgL_nodez00_1887); 
BgL_auxz00_3477 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2866))->BgL_typez00); } 
BgL_auxz00_3476 = 
(obj_t)(BgL_auxz00_3477); } 
BgL_testz00_3475 = 
(BgL_auxz00_3476==BgL_auxz00_3481); } 
if(BgL_testz00_3475)
{ /* Reduce/same.scm 173 */
bool_t BgL__andtest_2690z00_1894;
{ /* Reduce/same.scm 173 */
BgL_nodez00_bglt BgL_arg2896z00_1900;BgL_nodez00_bglt BgL_arg2897z00_1901;
BgL_arg2896z00_1900 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1887))->BgL_msgz00); 
{ /* Reduce/same.scm 173 */
BgL_failz00_bglt BgL_obj2347z00_2869;
BgL_obj2347z00_2869 = 
(BgL_failz00_bglt)(BgL_node2z00_1888); 
BgL_arg2897z00_1901 = 
(((BgL_failz00_bglt)CREF(BgL_obj2347z00_2869))->BgL_msgz00); } 
{ /* Reduce/same.scm 173 */
bool_t BgL_res2974z00_2898;
{ /* Reduce/same.scm 173 */
obj_t BgL_method2703z00_2873;
{ /* Reduce/same.scm 173 */
long BgL_objzd2classzd2numz00_2875;
{ /* Reduce/same.scm 173 */
BgL_objectz00_bglt BgL_auxz00_3489;
BgL_auxz00_3489 = 
(BgL_objectz00_bglt)(BgL_arg2896z00_1900); 
BgL_objzd2classzd2numz00_2875 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3489); } 
{ /* Reduce/same.scm 173 */
obj_t BgL_arg1221z00_2876;
{ /* Reduce/same.scm 173 */
int BgL_auxz00_3492;
BgL_auxz00_3492 = 
(int)(((long)1)); 
BgL_arg1221z00_2876 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3492); } 
{ /* Reduce/same.scm 173 */
long BgL_offsetz00_2880;
{ /* Reduce/same.scm 173 */
long BgL_auxz00_3495;
{ /* Reduce/same.scm 173 */
int BgL_auxz00_3496;
BgL_auxz00_3496 = 
(int)(BgL_objzd2classzd2numz00_2875); 
BgL_auxz00_3495 = 
(long)(BgL_auxz00_3496); } 
BgL_offsetz00_2880 = 
(BgL_auxz00_3495-OBJECT_TYPE); } 
{ /* Reduce/same.scm 173 */
long BgL_modz00_2881;
{ /* Reduce/same.scm 173 */
long BgL_auxz00_3500;
{ /* Reduce/same.scm 173 */
int BgL_auxz00_3501;
BgL_auxz00_3501 = 
(int)(((long)8)); 
BgL_auxz00_3500 = 
(long)(BgL_auxz00_3501); } 
BgL_modz00_2881 = 
(BgL_offsetz00_2880/BgL_auxz00_3500); } 
{ /* Reduce/same.scm 173 */
long BgL_restz00_2883;
{ /* Reduce/same.scm 173 */
long BgL_auxz00_3505;
{ /* Reduce/same.scm 173 */
int BgL_auxz00_3506;
BgL_auxz00_3506 = 
(int)(((long)8)); 
BgL_auxz00_3505 = 
(long)(BgL_auxz00_3506); } 
BgL_restz00_2883 = 
(BgL_offsetz00_2880%BgL_auxz00_3505); } 
{ /* Reduce/same.scm 173 */

{ /* Reduce/same.scm 173 */
obj_t BgL_bucketz00_2885;
{ /* Reduce/same.scm 173 */
int BgL_kz00_2895;
BgL_kz00_2895 = 
(int)(BgL_modz00_2881); 
BgL_bucketz00_2885 = 
VECTOR_REF(BgL_arg1221z00_2876,BgL_kz00_2895); } 
{ /* Reduce/same.scm 173 */
int BgL_kz00_2897;
BgL_kz00_2897 = 
(int)(BgL_restz00_2883); 
BgL_method2703z00_2873 = 
VECTOR_REF(BgL_bucketz00_2885,BgL_kz00_2897); } } } } } } } } 
{ /* Reduce/same.scm 173 */
obj_t BgL_auxz00_3514;
BgL_auxz00_3514 = 
PROCEDURE_ENTRY(BgL_method2703z00_2873)(BgL_method2703z00_2873, 
(obj_t)(BgL_arg2896z00_1900), 
(obj_t)(BgL_arg2897z00_1901), BgL_aliasz00_1889, BEOA); 
BgL_res2974z00_2898 = 
CBOOL(BgL_auxz00_3514); } } 
BgL__andtest_2690z00_1894 = BgL_res2974z00_2898; } } 
if(BgL__andtest_2690z00_1894)
{ /* Reduce/same.scm 174 */
bool_t BgL__andtest_2691z00_1895;
{ /* Reduce/same.scm 174 */
BgL_nodez00_bglt BgL_arg2894z00_1898;BgL_nodez00_bglt BgL_arg2895z00_1899;
BgL_arg2894z00_1898 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1887))->BgL_procz00); 
{ /* Reduce/same.scm 174 */
BgL_failz00_bglt BgL_obj2344z00_2900;
BgL_obj2344z00_2900 = 
(BgL_failz00_bglt)(BgL_node2z00_1888); 
BgL_arg2895z00_1899 = 
(((BgL_failz00_bglt)CREF(BgL_obj2344z00_2900))->BgL_procz00); } 
{ /* Reduce/same.scm 174 */
bool_t BgL_res2977z00_2929;
{ /* Reduce/same.scm 174 */
obj_t BgL_method2703z00_2904;
{ /* Reduce/same.scm 174 */
long BgL_objzd2classzd2numz00_2906;
{ /* Reduce/same.scm 174 */
BgL_objectz00_bglt BgL_auxz00_3524;
BgL_auxz00_3524 = 
(BgL_objectz00_bglt)(BgL_arg2894z00_1898); 
BgL_objzd2classzd2numz00_2906 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3524); } 
{ /* Reduce/same.scm 174 */
obj_t BgL_arg1221z00_2907;
{ /* Reduce/same.scm 174 */
int BgL_auxz00_3527;
BgL_auxz00_3527 = 
(int)(((long)1)); 
BgL_arg1221z00_2907 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3527); } 
{ /* Reduce/same.scm 174 */
long BgL_offsetz00_2911;
{ /* Reduce/same.scm 174 */
long BgL_auxz00_3530;
{ /* Reduce/same.scm 174 */
int BgL_auxz00_3531;
BgL_auxz00_3531 = 
(int)(BgL_objzd2classzd2numz00_2906); 
BgL_auxz00_3530 = 
(long)(BgL_auxz00_3531); } 
BgL_offsetz00_2911 = 
(BgL_auxz00_3530-OBJECT_TYPE); } 
{ /* Reduce/same.scm 174 */
long BgL_modz00_2912;
{ /* Reduce/same.scm 174 */
long BgL_auxz00_3535;
{ /* Reduce/same.scm 174 */
int BgL_auxz00_3536;
BgL_auxz00_3536 = 
(int)(((long)8)); 
BgL_auxz00_3535 = 
(long)(BgL_auxz00_3536); } 
BgL_modz00_2912 = 
(BgL_offsetz00_2911/BgL_auxz00_3535); } 
{ /* Reduce/same.scm 174 */
long BgL_restz00_2914;
{ /* Reduce/same.scm 174 */
long BgL_auxz00_3540;
{ /* Reduce/same.scm 174 */
int BgL_auxz00_3541;
BgL_auxz00_3541 = 
(int)(((long)8)); 
BgL_auxz00_3540 = 
(long)(BgL_auxz00_3541); } 
BgL_restz00_2914 = 
(BgL_offsetz00_2911%BgL_auxz00_3540); } 
{ /* Reduce/same.scm 174 */

{ /* Reduce/same.scm 174 */
obj_t BgL_bucketz00_2916;
{ /* Reduce/same.scm 174 */
int BgL_kz00_2926;
BgL_kz00_2926 = 
(int)(BgL_modz00_2912); 
BgL_bucketz00_2916 = 
VECTOR_REF(BgL_arg1221z00_2907,BgL_kz00_2926); } 
{ /* Reduce/same.scm 174 */
int BgL_kz00_2928;
BgL_kz00_2928 = 
(int)(BgL_restz00_2914); 
BgL_method2703z00_2904 = 
VECTOR_REF(BgL_bucketz00_2916,BgL_kz00_2928); } } } } } } } } 
{ /* Reduce/same.scm 174 */
obj_t BgL_auxz00_3549;
BgL_auxz00_3549 = 
PROCEDURE_ENTRY(BgL_method2703z00_2904)(BgL_method2703z00_2904, 
(obj_t)(BgL_arg2894z00_1898), 
(obj_t)(BgL_arg2895z00_1899), BgL_aliasz00_1889, BEOA); 
BgL_res2977z00_2929 = 
CBOOL(BgL_auxz00_3549); } } 
BgL__andtest_2691z00_1895 = BgL_res2977z00_2929; } } 
if(BgL__andtest_2691z00_1895)
{ /* Reduce/same.scm 175 */
BgL_nodez00_bglt BgL_arg2892z00_1896;BgL_nodez00_bglt BgL_arg2893z00_1897;
BgL_arg2892z00_1896 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1887))->BgL_objz00); 
{ /* Reduce/same.scm 175 */
BgL_failz00_bglt BgL_obj2350z00_2931;
BgL_obj2350z00_2931 = 
(BgL_failz00_bglt)(BgL_node2z00_1888); 
BgL_arg2893z00_1897 = 
(((BgL_failz00_bglt)CREF(BgL_obj2350z00_2931))->BgL_objz00); } 
{ /* Reduce/same.scm 175 */
bool_t BgL_res2980z00_2960;
{ /* Reduce/same.scm 175 */
obj_t BgL_method2703z00_2935;
{ /* Reduce/same.scm 175 */
long BgL_objzd2classzd2numz00_2937;
{ /* Reduce/same.scm 175 */
BgL_objectz00_bglt BgL_auxz00_3559;
BgL_auxz00_3559 = 
(BgL_objectz00_bglt)(BgL_arg2892z00_1896); 
BgL_objzd2classzd2numz00_2937 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3559); } 
{ /* Reduce/same.scm 175 */
obj_t BgL_arg1221z00_2938;
{ /* Reduce/same.scm 175 */
int BgL_auxz00_3562;
BgL_auxz00_3562 = 
(int)(((long)1)); 
BgL_arg1221z00_2938 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3562); } 
{ /* Reduce/same.scm 175 */
long BgL_offsetz00_2942;
{ /* Reduce/same.scm 175 */
long BgL_auxz00_3565;
{ /* Reduce/same.scm 175 */
int BgL_auxz00_3566;
BgL_auxz00_3566 = 
(int)(BgL_objzd2classzd2numz00_2937); 
BgL_auxz00_3565 = 
(long)(BgL_auxz00_3566); } 
BgL_offsetz00_2942 = 
(BgL_auxz00_3565-OBJECT_TYPE); } 
{ /* Reduce/same.scm 175 */
long BgL_modz00_2943;
{ /* Reduce/same.scm 175 */
long BgL_auxz00_3570;
{ /* Reduce/same.scm 175 */
int BgL_auxz00_3571;
BgL_auxz00_3571 = 
(int)(((long)8)); 
BgL_auxz00_3570 = 
(long)(BgL_auxz00_3571); } 
BgL_modz00_2943 = 
(BgL_offsetz00_2942/BgL_auxz00_3570); } 
{ /* Reduce/same.scm 175 */
long BgL_restz00_2945;
{ /* Reduce/same.scm 175 */
long BgL_auxz00_3575;
{ /* Reduce/same.scm 175 */
int BgL_auxz00_3576;
BgL_auxz00_3576 = 
(int)(((long)8)); 
BgL_auxz00_3575 = 
(long)(BgL_auxz00_3576); } 
BgL_restz00_2945 = 
(BgL_offsetz00_2942%BgL_auxz00_3575); } 
{ /* Reduce/same.scm 175 */

{ /* Reduce/same.scm 175 */
obj_t BgL_bucketz00_2947;
{ /* Reduce/same.scm 175 */
int BgL_kz00_2957;
BgL_kz00_2957 = 
(int)(BgL_modz00_2943); 
BgL_bucketz00_2947 = 
VECTOR_REF(BgL_arg1221z00_2938,BgL_kz00_2957); } 
{ /* Reduce/same.scm 175 */
int BgL_kz00_2959;
BgL_kz00_2959 = 
(int)(BgL_restz00_2945); 
BgL_method2703z00_2935 = 
VECTOR_REF(BgL_bucketz00_2947,BgL_kz00_2959); } } } } } } } } 
{ /* Reduce/same.scm 175 */
obj_t BgL_auxz00_3584;
BgL_auxz00_3584 = 
PROCEDURE_ENTRY(BgL_method2703z00_2935)(BgL_method2703z00_2935, 
(obj_t)(BgL_arg2892z00_1896), 
(obj_t)(BgL_arg2893z00_1897), BgL_aliasz00_1889, BEOA); 
BgL_res2980z00_2960 = 
CBOOL(BgL_auxz00_3584); } } 
BgL_auxz00_3471 = BgL_res2980z00_2960; } }  else 
{ /* Reduce/same.scm 174 */
BgL_auxz00_3471 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 173 */
BgL_auxz00_3471 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 172 */
BgL_auxz00_3471 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 171 */
BgL_auxz00_3471 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3471);} } } 
}



/* same-node?-conditional2732 */
obj_t BGl_samezd2nodezf3zd2conditional2732zf3zzreduce_samez00(obj_t BgL_envz00_3111, obj_t BgL_nodez00_3112, obj_t BgL_node2z00_3113, obj_t BgL_aliasz00_3114)
{ AN_OBJECT;
{ /* Reduce/same.scm 154 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1868;BgL_nodez00_bglt BgL_node2z00_1869;obj_t BgL_aliasz00_1870;
{ /* ./Tools/trace.sch 42 */
bool_t BgL_auxz00_3593;
BgL_nodez00_1868 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3112); 
BgL_node2z00_1869 = 
(BgL_nodez00_bglt)(BgL_node2z00_3113); 
BgL_aliasz00_1870 = BgL_aliasz00_3114; 
{ /* Reduce/same.scm 158 */
bool_t BgL__andtest_2684z00_1873;
BgL__andtest_2684z00_1873 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1869), BGl_conditionalz00zzast_nodez00); 
if(BgL__andtest_2684z00_1873)
{ /* Reduce/same.scm 159 */
bool_t BgL_testz00_3597;
{ /* Reduce/same.scm 159 */
obj_t BgL_auxz00_3603;obj_t BgL_auxz00_3598;
{ /* Reduce/same.scm 159 */
BgL_typez00_bglt BgL_auxz00_3604;
BgL_auxz00_3604 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1869))->BgL_typez00); 
BgL_auxz00_3603 = 
(obj_t)(BgL_auxz00_3604); } 
{ /* Reduce/same.scm 159 */
BgL_typez00_bglt BgL_auxz00_3599;
{ /* Reduce/same.scm 159 */
BgL_nodez00_bglt BgL_obj1550z00_2770;
BgL_obj1550z00_2770 = 
(BgL_nodez00_bglt)(BgL_nodez00_1868); 
BgL_auxz00_3599 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2770))->BgL_typez00); } 
BgL_auxz00_3598 = 
(obj_t)(BgL_auxz00_3599); } 
BgL_testz00_3597 = 
(BgL_auxz00_3598==BgL_auxz00_3603); } 
if(BgL_testz00_3597)
{ /* Reduce/same.scm 160 */
bool_t BgL__andtest_2686z00_1875;
{ /* Reduce/same.scm 160 */
BgL_nodez00_bglt BgL_arg2887z00_1881;BgL_nodez00_bglt BgL_arg2888z00_1882;
BgL_arg2887z00_1881 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1868))->BgL_falsez00); 
{ /* Reduce/same.scm 160 */
BgL_conditionalz00_bglt BgL_obj2310z00_2773;
BgL_obj2310z00_2773 = 
(BgL_conditionalz00_bglt)(BgL_node2z00_1869); 
BgL_arg2888z00_1882 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2310z00_2773))->BgL_falsez00); } 
{ /* Reduce/same.scm 160 */
bool_t BgL_res2965z00_2802;
{ /* Reduce/same.scm 160 */
obj_t BgL_method2703z00_2777;
{ /* Reduce/same.scm 160 */
long BgL_objzd2classzd2numz00_2779;
{ /* Reduce/same.scm 160 */
BgL_objectz00_bglt BgL_auxz00_3611;
BgL_auxz00_3611 = 
(BgL_objectz00_bglt)(BgL_arg2887z00_1881); 
BgL_objzd2classzd2numz00_2779 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3611); } 
{ /* Reduce/same.scm 160 */
obj_t BgL_arg1221z00_2780;
{ /* Reduce/same.scm 160 */
int BgL_auxz00_3614;
BgL_auxz00_3614 = 
(int)(((long)1)); 
BgL_arg1221z00_2780 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3614); } 
{ /* Reduce/same.scm 160 */
long BgL_offsetz00_2784;
{ /* Reduce/same.scm 160 */
long BgL_auxz00_3617;
{ /* Reduce/same.scm 160 */
int BgL_auxz00_3618;
BgL_auxz00_3618 = 
(int)(BgL_objzd2classzd2numz00_2779); 
BgL_auxz00_3617 = 
(long)(BgL_auxz00_3618); } 
BgL_offsetz00_2784 = 
(BgL_auxz00_3617-OBJECT_TYPE); } 
{ /* Reduce/same.scm 160 */
long BgL_modz00_2785;
{ /* Reduce/same.scm 160 */
long BgL_auxz00_3622;
{ /* Reduce/same.scm 160 */
int BgL_auxz00_3623;
BgL_auxz00_3623 = 
(int)(((long)8)); 
BgL_auxz00_3622 = 
(long)(BgL_auxz00_3623); } 
BgL_modz00_2785 = 
(BgL_offsetz00_2784/BgL_auxz00_3622); } 
{ /* Reduce/same.scm 160 */
long BgL_restz00_2787;
{ /* Reduce/same.scm 160 */
long BgL_auxz00_3627;
{ /* Reduce/same.scm 160 */
int BgL_auxz00_3628;
BgL_auxz00_3628 = 
(int)(((long)8)); 
BgL_auxz00_3627 = 
(long)(BgL_auxz00_3628); } 
BgL_restz00_2787 = 
(BgL_offsetz00_2784%BgL_auxz00_3627); } 
{ /* Reduce/same.scm 160 */

{ /* Reduce/same.scm 160 */
obj_t BgL_bucketz00_2789;
{ /* Reduce/same.scm 160 */
int BgL_kz00_2799;
BgL_kz00_2799 = 
(int)(BgL_modz00_2785); 
BgL_bucketz00_2789 = 
VECTOR_REF(BgL_arg1221z00_2780,BgL_kz00_2799); } 
{ /* Reduce/same.scm 160 */
int BgL_kz00_2801;
BgL_kz00_2801 = 
(int)(BgL_restz00_2787); 
BgL_method2703z00_2777 = 
VECTOR_REF(BgL_bucketz00_2789,BgL_kz00_2801); } } } } } } } } 
{ /* Reduce/same.scm 160 */
obj_t BgL_auxz00_3636;
BgL_auxz00_3636 = 
PROCEDURE_ENTRY(BgL_method2703z00_2777)(BgL_method2703z00_2777, 
(obj_t)(BgL_arg2887z00_1881), 
(obj_t)(BgL_arg2888z00_1882), BgL_aliasz00_1870, BEOA); 
BgL_res2965z00_2802 = 
CBOOL(BgL_auxz00_3636); } } 
BgL__andtest_2686z00_1875 = BgL_res2965z00_2802; } } 
if(BgL__andtest_2686z00_1875)
{ /* Reduce/same.scm 161 */
bool_t BgL__andtest_2687z00_1876;
{ /* Reduce/same.scm 161 */
BgL_nodez00_bglt BgL_arg2885z00_1879;BgL_nodez00_bglt BgL_arg2886z00_1880;
BgL_arg2885z00_1879 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1868))->BgL_truez00); 
{ /* Reduce/same.scm 161 */
BgL_conditionalz00_bglt BgL_obj2307z00_2804;
BgL_obj2307z00_2804 = 
(BgL_conditionalz00_bglt)(BgL_node2z00_1869); 
BgL_arg2886z00_1880 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2307z00_2804))->BgL_truez00); } 
{ /* Reduce/same.scm 161 */
bool_t BgL_res2968z00_2833;
{ /* Reduce/same.scm 161 */
obj_t BgL_method2703z00_2808;
{ /* Reduce/same.scm 161 */
long BgL_objzd2classzd2numz00_2810;
{ /* Reduce/same.scm 161 */
BgL_objectz00_bglt BgL_auxz00_3646;
BgL_auxz00_3646 = 
(BgL_objectz00_bglt)(BgL_arg2885z00_1879); 
BgL_objzd2classzd2numz00_2810 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3646); } 
{ /* Reduce/same.scm 161 */
obj_t BgL_arg1221z00_2811;
{ /* Reduce/same.scm 161 */
int BgL_auxz00_3649;
BgL_auxz00_3649 = 
(int)(((long)1)); 
BgL_arg1221z00_2811 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3649); } 
{ /* Reduce/same.scm 161 */
long BgL_offsetz00_2815;
{ /* Reduce/same.scm 161 */
long BgL_auxz00_3652;
{ /* Reduce/same.scm 161 */
int BgL_auxz00_3653;
BgL_auxz00_3653 = 
(int)(BgL_objzd2classzd2numz00_2810); 
BgL_auxz00_3652 = 
(long)(BgL_auxz00_3653); } 
BgL_offsetz00_2815 = 
(BgL_auxz00_3652-OBJECT_TYPE); } 
{ /* Reduce/same.scm 161 */
long BgL_modz00_2816;
{ /* Reduce/same.scm 161 */
long BgL_auxz00_3657;
{ /* Reduce/same.scm 161 */
int BgL_auxz00_3658;
BgL_auxz00_3658 = 
(int)(((long)8)); 
BgL_auxz00_3657 = 
(long)(BgL_auxz00_3658); } 
BgL_modz00_2816 = 
(BgL_offsetz00_2815/BgL_auxz00_3657); } 
{ /* Reduce/same.scm 161 */
long BgL_restz00_2818;
{ /* Reduce/same.scm 161 */
long BgL_auxz00_3662;
{ /* Reduce/same.scm 161 */
int BgL_auxz00_3663;
BgL_auxz00_3663 = 
(int)(((long)8)); 
BgL_auxz00_3662 = 
(long)(BgL_auxz00_3663); } 
BgL_restz00_2818 = 
(BgL_offsetz00_2815%BgL_auxz00_3662); } 
{ /* Reduce/same.scm 161 */

{ /* Reduce/same.scm 161 */
obj_t BgL_bucketz00_2820;
{ /* Reduce/same.scm 161 */
int BgL_kz00_2830;
BgL_kz00_2830 = 
(int)(BgL_modz00_2816); 
BgL_bucketz00_2820 = 
VECTOR_REF(BgL_arg1221z00_2811,BgL_kz00_2830); } 
{ /* Reduce/same.scm 161 */
int BgL_kz00_2832;
BgL_kz00_2832 = 
(int)(BgL_restz00_2818); 
BgL_method2703z00_2808 = 
VECTOR_REF(BgL_bucketz00_2820,BgL_kz00_2832); } } } } } } } } 
{ /* Reduce/same.scm 161 */
obj_t BgL_auxz00_3671;
BgL_auxz00_3671 = 
PROCEDURE_ENTRY(BgL_method2703z00_2808)(BgL_method2703z00_2808, 
(obj_t)(BgL_arg2885z00_1879), 
(obj_t)(BgL_arg2886z00_1880), BgL_aliasz00_1870, BEOA); 
BgL_res2968z00_2833 = 
CBOOL(BgL_auxz00_3671); } } 
BgL__andtest_2687z00_1876 = BgL_res2968z00_2833; } } 
if(BgL__andtest_2687z00_1876)
{ /* Reduce/same.scm 162 */
BgL_nodez00_bglt BgL_arg2883z00_1877;BgL_nodez00_bglt BgL_arg2884z00_1878;
BgL_arg2883z00_1877 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1868))->BgL_testz00); 
{ /* Reduce/same.scm 162 */
BgL_conditionalz00_bglt BgL_obj2304z00_2835;
BgL_obj2304z00_2835 = 
(BgL_conditionalz00_bglt)(BgL_node2z00_1869); 
BgL_arg2884z00_1878 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2304z00_2835))->BgL_testz00); } 
{ /* Reduce/same.scm 162 */
bool_t BgL_res2971z00_2864;
{ /* Reduce/same.scm 162 */
obj_t BgL_method2703z00_2839;
{ /* Reduce/same.scm 162 */
long BgL_objzd2classzd2numz00_2841;
{ /* Reduce/same.scm 162 */
BgL_objectz00_bglt BgL_auxz00_3681;
BgL_auxz00_3681 = 
(BgL_objectz00_bglt)(BgL_arg2883z00_1877); 
BgL_objzd2classzd2numz00_2841 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3681); } 
{ /* Reduce/same.scm 162 */
obj_t BgL_arg1221z00_2842;
{ /* Reduce/same.scm 162 */
int BgL_auxz00_3684;
BgL_auxz00_3684 = 
(int)(((long)1)); 
BgL_arg1221z00_2842 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3684); } 
{ /* Reduce/same.scm 162 */
long BgL_offsetz00_2846;
{ /* Reduce/same.scm 162 */
long BgL_auxz00_3687;
{ /* Reduce/same.scm 162 */
int BgL_auxz00_3688;
BgL_auxz00_3688 = 
(int)(BgL_objzd2classzd2numz00_2841); 
BgL_auxz00_3687 = 
(long)(BgL_auxz00_3688); } 
BgL_offsetz00_2846 = 
(BgL_auxz00_3687-OBJECT_TYPE); } 
{ /* Reduce/same.scm 162 */
long BgL_modz00_2847;
{ /* Reduce/same.scm 162 */
long BgL_auxz00_3692;
{ /* Reduce/same.scm 162 */
int BgL_auxz00_3693;
BgL_auxz00_3693 = 
(int)(((long)8)); 
BgL_auxz00_3692 = 
(long)(BgL_auxz00_3693); } 
BgL_modz00_2847 = 
(BgL_offsetz00_2846/BgL_auxz00_3692); } 
{ /* Reduce/same.scm 162 */
long BgL_restz00_2849;
{ /* Reduce/same.scm 162 */
long BgL_auxz00_3697;
{ /* Reduce/same.scm 162 */
int BgL_auxz00_3698;
BgL_auxz00_3698 = 
(int)(((long)8)); 
BgL_auxz00_3697 = 
(long)(BgL_auxz00_3698); } 
BgL_restz00_2849 = 
(BgL_offsetz00_2846%BgL_auxz00_3697); } 
{ /* Reduce/same.scm 162 */

{ /* Reduce/same.scm 162 */
obj_t BgL_bucketz00_2851;
{ /* Reduce/same.scm 162 */
int BgL_kz00_2861;
BgL_kz00_2861 = 
(int)(BgL_modz00_2847); 
BgL_bucketz00_2851 = 
VECTOR_REF(BgL_arg1221z00_2842,BgL_kz00_2861); } 
{ /* Reduce/same.scm 162 */
int BgL_kz00_2863;
BgL_kz00_2863 = 
(int)(BgL_restz00_2849); 
BgL_method2703z00_2839 = 
VECTOR_REF(BgL_bucketz00_2851,BgL_kz00_2863); } } } } } } } } 
{ /* Reduce/same.scm 162 */
obj_t BgL_auxz00_3706;
BgL_auxz00_3706 = 
PROCEDURE_ENTRY(BgL_method2703z00_2839)(BgL_method2703z00_2839, 
(obj_t)(BgL_arg2883z00_1877), 
(obj_t)(BgL_arg2884z00_1878), BgL_aliasz00_1870, BEOA); 
BgL_res2971z00_2864 = 
CBOOL(BgL_auxz00_3706); } } 
BgL_auxz00_3593 = BgL_res2971z00_2864; } }  else 
{ /* Reduce/same.scm 161 */
BgL_auxz00_3593 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 160 */
BgL_auxz00_3593 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 159 */
BgL_auxz00_3593 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 158 */
BgL_auxz00_3593 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3593);} } } 
}



/* same-node?-cast2730 */
obj_t BGl_samezd2nodezf3zd2cast2730zf3zzreduce_samez00(obj_t BgL_envz00_3115, obj_t BgL_nodez00_3116, obj_t BgL_node2z00_3117, obj_t BgL_aliasz00_3118)
{ AN_OBJECT;
{ /* Reduce/same.scm 146 */
{ 
BgL_castz00_bglt BgL_nodez00_1855;BgL_nodez00_bglt BgL_node2z00_1856;obj_t BgL_aliasz00_1857;
{ /* Reduce/same.scm 147 */
bool_t BgL_auxz00_3715;
BgL_nodez00_1855 = 
(BgL_castz00_bglt)(BgL_nodez00_3116); 
BgL_node2z00_1856 = 
(BgL_nodez00_bglt)(BgL_node2z00_3117); 
BgL_aliasz00_1857 = BgL_aliasz00_3118; 
{ /* Reduce/same.scm 147 */
bool_t BgL__andtest_2682z00_1860;
BgL__andtest_2682z00_1860 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1856), BGl_castz00zzast_nodez00); 
if(BgL__andtest_2682z00_1860)
{ /* Reduce/same.scm 148 */
bool_t BgL_testz00_3719;
{ /* Reduce/same.scm 148 */
obj_t BgL_auxz00_3725;obj_t BgL_auxz00_3720;
{ /* Reduce/same.scm 148 */
BgL_typez00_bglt BgL_auxz00_3726;
BgL_auxz00_3726 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1856))->BgL_typez00); 
BgL_auxz00_3725 = 
(obj_t)(BgL_auxz00_3726); } 
{ /* Reduce/same.scm 148 */
BgL_typez00_bglt BgL_auxz00_3721;
{ /* Reduce/same.scm 148 */
BgL_nodez00_bglt BgL_obj1550z00_2736;
BgL_obj1550z00_2736 = 
(BgL_nodez00_bglt)(BgL_nodez00_1855); 
BgL_auxz00_3721 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2736))->BgL_typez00); } 
BgL_auxz00_3720 = 
(obj_t)(BgL_auxz00_3721); } 
BgL_testz00_3719 = 
(BgL_auxz00_3720==BgL_auxz00_3725); } 
if(BgL_testz00_3719)
{ /* Reduce/same.scm 149 */
BgL_nodez00_bglt BgL_arg2878z00_1862;BgL_nodez00_bglt BgL_arg2879z00_1863;
BgL_arg2878z00_1862 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1855))->BgL_argz00); 
{ /* Reduce/same.scm 149 */
BgL_castz00_bglt BgL_obj2248z00_2739;
BgL_obj2248z00_2739 = 
(BgL_castz00_bglt)(BgL_node2z00_1856); 
BgL_arg2879z00_1863 = 
(((BgL_castz00_bglt)CREF(BgL_obj2248z00_2739))->BgL_argz00); } 
{ /* Reduce/same.scm 149 */
bool_t BgL_res2962z00_2768;
{ /* Reduce/same.scm 149 */
obj_t BgL_method2703z00_2743;
{ /* Reduce/same.scm 149 */
long BgL_objzd2classzd2numz00_2745;
{ /* Reduce/same.scm 149 */
BgL_objectz00_bglt BgL_auxz00_3733;
BgL_auxz00_3733 = 
(BgL_objectz00_bglt)(BgL_arg2878z00_1862); 
BgL_objzd2classzd2numz00_2745 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3733); } 
{ /* Reduce/same.scm 149 */
obj_t BgL_arg1221z00_2746;
{ /* Reduce/same.scm 149 */
int BgL_auxz00_3736;
BgL_auxz00_3736 = 
(int)(((long)1)); 
BgL_arg1221z00_2746 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3736); } 
{ /* Reduce/same.scm 149 */
long BgL_offsetz00_2750;
{ /* Reduce/same.scm 149 */
long BgL_auxz00_3739;
{ /* Reduce/same.scm 149 */
int BgL_auxz00_3740;
BgL_auxz00_3740 = 
(int)(BgL_objzd2classzd2numz00_2745); 
BgL_auxz00_3739 = 
(long)(BgL_auxz00_3740); } 
BgL_offsetz00_2750 = 
(BgL_auxz00_3739-OBJECT_TYPE); } 
{ /* Reduce/same.scm 149 */
long BgL_modz00_2751;
{ /* Reduce/same.scm 149 */
long BgL_auxz00_3744;
{ /* Reduce/same.scm 149 */
int BgL_auxz00_3745;
BgL_auxz00_3745 = 
(int)(((long)8)); 
BgL_auxz00_3744 = 
(long)(BgL_auxz00_3745); } 
BgL_modz00_2751 = 
(BgL_offsetz00_2750/BgL_auxz00_3744); } 
{ /* Reduce/same.scm 149 */
long BgL_restz00_2753;
{ /* Reduce/same.scm 149 */
long BgL_auxz00_3749;
{ /* Reduce/same.scm 149 */
int BgL_auxz00_3750;
BgL_auxz00_3750 = 
(int)(((long)8)); 
BgL_auxz00_3749 = 
(long)(BgL_auxz00_3750); } 
BgL_restz00_2753 = 
(BgL_offsetz00_2750%BgL_auxz00_3749); } 
{ /* Reduce/same.scm 149 */

{ /* Reduce/same.scm 149 */
obj_t BgL_bucketz00_2755;
{ /* Reduce/same.scm 149 */
int BgL_kz00_2765;
BgL_kz00_2765 = 
(int)(BgL_modz00_2751); 
BgL_bucketz00_2755 = 
VECTOR_REF(BgL_arg1221z00_2746,BgL_kz00_2765); } 
{ /* Reduce/same.scm 149 */
int BgL_kz00_2767;
BgL_kz00_2767 = 
(int)(BgL_restz00_2753); 
BgL_method2703z00_2743 = 
VECTOR_REF(BgL_bucketz00_2755,BgL_kz00_2767); } } } } } } } } 
{ /* Reduce/same.scm 149 */
obj_t BgL_auxz00_3758;
BgL_auxz00_3758 = 
PROCEDURE_ENTRY(BgL_method2703z00_2743)(BgL_method2703z00_2743, 
(obj_t)(BgL_arg2878z00_1862), 
(obj_t)(BgL_arg2879z00_1863), BgL_aliasz00_1857, BEOA); 
BgL_res2962z00_2768 = 
CBOOL(BgL_auxz00_3758); } } 
BgL_auxz00_3715 = BgL_res2962z00_2768; } }  else 
{ /* Reduce/same.scm 148 */
BgL_auxz00_3715 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 147 */
BgL_auxz00_3715 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3715);} } } 
}



/* same-node?-valloc2727 */
obj_t BGl_samezd2nodezf3zd2valloc2727zf3zzreduce_samez00(obj_t BgL_envz00_3119, obj_t BgL_nodez00_3120, obj_t BgL_node2z00_3121, obj_t BgL_aliasz00_3122)
{ AN_OBJECT;
{ /* Reduce/same.scm 140 */
{ 
BgL_vallocz00_bglt BgL_nodez00_1848;BgL_nodez00_bglt BgL_node2z00_1849;obj_t BgL_aliasz00_1850;
{ /* Reduce/same.scm 140 */
bool_t BgL_auxz00_3767;
BgL_nodez00_1848 = 
(BgL_vallocz00_bglt)(BgL_nodez00_3120); 
BgL_node2z00_1849 = 
(BgL_nodez00_bglt)(BgL_node2z00_3121); 
BgL_aliasz00_1850 = BgL_aliasz00_3122; 
BgL_auxz00_3767 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_3767);} } } 
}



/* same-node?-setfield2725 */
obj_t BGl_samezd2nodezf3zd2setfield2725zf3zzreduce_samez00(obj_t BgL_envz00_3123, obj_t BgL_nodez00_3124, obj_t BgL_node2z00_3125, obj_t BgL_aliasz00_3126)
{ AN_OBJECT;
{ /* Reduce/same.scm 132 */
{ 
BgL_setfieldz00_bglt BgL_nodez00_1837;BgL_nodez00_bglt BgL_node2z00_1838;obj_t BgL_aliasz00_1839;
BgL_nodez00_1837 = 
(BgL_setfieldz00_bglt)(BgL_nodez00_3124); 
BgL_node2z00_1838 = 
(BgL_nodez00_bglt)(BgL_node2z00_3125); 
BgL_aliasz00_1839 = BgL_aliasz00_3126; 
{ 

{ /* Reduce/same.scm 133 */
bool_t BgL__andtest_2680z00_1842;
BgL__andtest_2680z00_1842 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1838), BGl_setfieldz00zzast_nodez00); 
if(BgL__andtest_2680z00_1842)
{ /* Reduce/same.scm 134 */
bool_t BgL__andtest_2681z00_1843;
{ /* Reduce/same.scm 134 */
obj_t BgL_auxz00_3776;obj_t BgL_auxz00_3774;
{ /* Reduce/same.scm 134 */
BgL_setfieldz00_bglt BgL_obj1947z00_2702;
BgL_obj1947z00_2702 = 
(BgL_setfieldz00_bglt)(BgL_node2z00_1838); 
BgL_auxz00_3776 = 
(((BgL_setfieldz00_bglt)CREF(BgL_obj1947z00_2702))->BgL_fnamez00); } 
BgL_auxz00_3774 = 
(((BgL_setfieldz00_bglt)CREF(BgL_nodez00_1837))->BgL_fnamez00); 
BgL__andtest_2681z00_1843 = 
bigloo_strcmp(BgL_auxz00_3774, BgL_auxz00_3776); } 
if(BgL__andtest_2681z00_1843)
{ /* Reduce/same.scm 134 */
{ /* Reduce/same.scm 132 */
obj_t BgL_nextzd2method2724zd2_1846;
BgL_nextzd2method2724zd2_1846 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1837), BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_setfieldz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2724zd2_1846))
{ /* Reduce/same.scm 132 */
return 
PROCEDURE_ENTRY(BgL_nextzd2method2724zd2_1846)(BgL_nextzd2method2724zd2_1846, 
(obj_t)(BgL_nodez00_1837), 
(obj_t)(BgL_node2z00_1838), BgL_aliasz00_1839, BEOA);}  else 
{ /* Reduce/same.scm 132 */
{ /* Reduce/same.scm 132 */
bool_t BgL_res2959z00_2734;
{ /* Reduce/same.scm 132 */
BgL_nodez00_bglt BgL_node1z00_2706;
BgL_node1z00_2706 = 
(BgL_nodez00_bglt)(BgL_nodez00_1837); 
{ /* Reduce/same.scm 132 */
obj_t BgL_method2703z00_2709;
{ /* Reduce/same.scm 132 */
long BgL_objzd2classzd2numz00_2711;
{ /* Reduce/same.scm 132 */
BgL_objectz00_bglt BgL_auxz00_3790;
BgL_auxz00_3790 = 
(BgL_objectz00_bglt)(BgL_node1z00_2706); 
BgL_objzd2classzd2numz00_2711 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3790); } 
{ /* Reduce/same.scm 132 */
obj_t BgL_arg1221z00_2712;
{ /* Reduce/same.scm 132 */
int BgL_auxz00_3793;
BgL_auxz00_3793 = 
(int)(((long)1)); 
BgL_arg1221z00_2712 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3793); } 
{ /* Reduce/same.scm 132 */
long BgL_offsetz00_2716;
{ /* Reduce/same.scm 132 */
long BgL_auxz00_3796;
{ /* Reduce/same.scm 132 */
int BgL_auxz00_3797;
BgL_auxz00_3797 = 
(int)(BgL_objzd2classzd2numz00_2711); 
BgL_auxz00_3796 = 
(long)(BgL_auxz00_3797); } 
BgL_offsetz00_2716 = 
(BgL_auxz00_3796-OBJECT_TYPE); } 
{ /* Reduce/same.scm 132 */
long BgL_modz00_2717;
{ /* Reduce/same.scm 132 */
long BgL_auxz00_3801;
{ /* Reduce/same.scm 132 */
int BgL_auxz00_3802;
BgL_auxz00_3802 = 
(int)(((long)8)); 
BgL_auxz00_3801 = 
(long)(BgL_auxz00_3802); } 
BgL_modz00_2717 = 
(BgL_offsetz00_2716/BgL_auxz00_3801); } 
{ /* Reduce/same.scm 132 */
long BgL_restz00_2719;
{ /* Reduce/same.scm 132 */
long BgL_auxz00_3806;
{ /* Reduce/same.scm 132 */
int BgL_auxz00_3807;
BgL_auxz00_3807 = 
(int)(((long)8)); 
BgL_auxz00_3806 = 
(long)(BgL_auxz00_3807); } 
BgL_restz00_2719 = 
(BgL_offsetz00_2716%BgL_auxz00_3806); } 
{ /* Reduce/same.scm 132 */

{ /* Reduce/same.scm 132 */
obj_t BgL_bucketz00_2721;
{ /* Reduce/same.scm 132 */
int BgL_kz00_2731;
BgL_kz00_2731 = 
(int)(BgL_modz00_2717); 
BgL_bucketz00_2721 = 
VECTOR_REF(BgL_arg1221z00_2712,BgL_kz00_2731); } 
{ /* Reduce/same.scm 132 */
int BgL_kz00_2733;
BgL_kz00_2733 = 
(int)(BgL_restz00_2719); 
BgL_method2703z00_2709 = 
VECTOR_REF(BgL_bucketz00_2721,BgL_kz00_2733); } } } } } } } } 
{ /* Reduce/same.scm 132 */
obj_t BgL_auxz00_3815;
BgL_auxz00_3815 = 
PROCEDURE_ENTRY(BgL_method2703z00_2709)(BgL_method2703z00_2709, 
(obj_t)(BgL_node1z00_2706), 
(obj_t)(BgL_node2z00_1838), BgL_aliasz00_1839, BEOA); 
BgL_res2959z00_2734 = 
CBOOL(BgL_auxz00_3815); } } } 
return 
BBOOL(BgL_res2959z00_2734);} } } }  else 
{ /* Reduce/same.scm 134 */
return BFALSE;} }  else 
{ /* Reduce/same.scm 133 */
return BFALSE;} } } } } 
}



/* same-node?-getfield2723 */
obj_t BGl_samezd2nodezf3zd2getfield2723zf3zzreduce_samez00(obj_t BgL_envz00_3127, obj_t BgL_nodez00_3128, obj_t BgL_node2z00_3129, obj_t BgL_aliasz00_3130)
{ AN_OBJECT;
{ /* Reduce/same.scm 124 */
{ 
BgL_getfieldz00_bglt BgL_nodez00_1826;BgL_nodez00_bglt BgL_node2z00_1827;obj_t BgL_aliasz00_1828;
BgL_nodez00_1826 = 
(BgL_getfieldz00_bglt)(BgL_nodez00_3128); 
BgL_node2z00_1827 = 
(BgL_nodez00_bglt)(BgL_node2z00_3129); 
BgL_aliasz00_1828 = BgL_aliasz00_3130; 
{ 

{ /* Reduce/same.scm 125 */
bool_t BgL__andtest_2678z00_1831;
BgL__andtest_2678z00_1831 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1827), BGl_getfieldz00zzast_nodez00); 
if(BgL__andtest_2678z00_1831)
{ /* Reduce/same.scm 126 */
bool_t BgL__andtest_2679z00_1832;
{ /* Reduce/same.scm 126 */
obj_t BgL_auxz00_3829;obj_t BgL_auxz00_3827;
{ /* Reduce/same.scm 126 */
BgL_getfieldz00_bglt BgL_obj1901z00_2667;
BgL_obj1901z00_2667 = 
(BgL_getfieldz00_bglt)(BgL_node2z00_1827); 
BgL_auxz00_3829 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj1901z00_2667))->BgL_fnamez00); } 
BgL_auxz00_3827 = 
(((BgL_getfieldz00_bglt)CREF(BgL_nodez00_1826))->BgL_fnamez00); 
BgL__andtest_2679z00_1832 = 
bigloo_strcmp(BgL_auxz00_3827, BgL_auxz00_3829); } 
if(BgL__andtest_2679z00_1832)
{ /* Reduce/same.scm 126 */
{ /* Reduce/same.scm 124 */
obj_t BgL_nextzd2method2722zd2_1835;
BgL_nextzd2method2722zd2_1835 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1826), BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_getfieldz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2722zd2_1835))
{ /* Reduce/same.scm 124 */
return 
PROCEDURE_ENTRY(BgL_nextzd2method2722zd2_1835)(BgL_nextzd2method2722zd2_1835, 
(obj_t)(BgL_nodez00_1826), 
(obj_t)(BgL_node2z00_1827), BgL_aliasz00_1828, BEOA);}  else 
{ /* Reduce/same.scm 124 */
{ /* Reduce/same.scm 124 */
bool_t BgL_res2956z00_2699;
{ /* Reduce/same.scm 124 */
BgL_nodez00_bglt BgL_node1z00_2671;
BgL_node1z00_2671 = 
(BgL_nodez00_bglt)(BgL_nodez00_1826); 
{ /* Reduce/same.scm 124 */
obj_t BgL_method2703z00_2674;
{ /* Reduce/same.scm 124 */
long BgL_objzd2classzd2numz00_2676;
{ /* Reduce/same.scm 124 */
BgL_objectz00_bglt BgL_auxz00_3843;
BgL_auxz00_3843 = 
(BgL_objectz00_bglt)(BgL_node1z00_2671); 
BgL_objzd2classzd2numz00_2676 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3843); } 
{ /* Reduce/same.scm 124 */
obj_t BgL_arg1221z00_2677;
{ /* Reduce/same.scm 124 */
int BgL_auxz00_3846;
BgL_auxz00_3846 = 
(int)(((long)1)); 
BgL_arg1221z00_2677 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3846); } 
{ /* Reduce/same.scm 124 */
long BgL_offsetz00_2681;
{ /* Reduce/same.scm 124 */
long BgL_auxz00_3849;
{ /* Reduce/same.scm 124 */
int BgL_auxz00_3850;
BgL_auxz00_3850 = 
(int)(BgL_objzd2classzd2numz00_2676); 
BgL_auxz00_3849 = 
(long)(BgL_auxz00_3850); } 
BgL_offsetz00_2681 = 
(BgL_auxz00_3849-OBJECT_TYPE); } 
{ /* Reduce/same.scm 124 */
long BgL_modz00_2682;
{ /* Reduce/same.scm 124 */
long BgL_auxz00_3854;
{ /* Reduce/same.scm 124 */
int BgL_auxz00_3855;
BgL_auxz00_3855 = 
(int)(((long)8)); 
BgL_auxz00_3854 = 
(long)(BgL_auxz00_3855); } 
BgL_modz00_2682 = 
(BgL_offsetz00_2681/BgL_auxz00_3854); } 
{ /* Reduce/same.scm 124 */
long BgL_restz00_2684;
{ /* Reduce/same.scm 124 */
long BgL_auxz00_3859;
{ /* Reduce/same.scm 124 */
int BgL_auxz00_3860;
BgL_auxz00_3860 = 
(int)(((long)8)); 
BgL_auxz00_3859 = 
(long)(BgL_auxz00_3860); } 
BgL_restz00_2684 = 
(BgL_offsetz00_2681%BgL_auxz00_3859); } 
{ /* Reduce/same.scm 124 */

{ /* Reduce/same.scm 124 */
obj_t BgL_bucketz00_2686;
{ /* Reduce/same.scm 124 */
int BgL_kz00_2696;
BgL_kz00_2696 = 
(int)(BgL_modz00_2682); 
BgL_bucketz00_2686 = 
VECTOR_REF(BgL_arg1221z00_2677,BgL_kz00_2696); } 
{ /* Reduce/same.scm 124 */
int BgL_kz00_2698;
BgL_kz00_2698 = 
(int)(BgL_restz00_2684); 
BgL_method2703z00_2674 = 
VECTOR_REF(BgL_bucketz00_2686,BgL_kz00_2698); } } } } } } } } 
{ /* Reduce/same.scm 124 */
obj_t BgL_auxz00_3868;
BgL_auxz00_3868 = 
PROCEDURE_ENTRY(BgL_method2703z00_2674)(BgL_method2703z00_2674, 
(obj_t)(BgL_node1z00_2671), 
(obj_t)(BgL_node2z00_1827), BgL_aliasz00_1828, BEOA); 
BgL_res2956z00_2699 = 
CBOOL(BgL_auxz00_3868); } } } 
return 
BBOOL(BgL_res2956z00_2699);} } } }  else 
{ /* Reduce/same.scm 126 */
return BFALSE;} }  else 
{ /* Reduce/same.scm 125 */
return BFALSE;} } } } } 
}



/* same-node?-pragma2721 */
obj_t BGl_samezd2nodezf3zd2pragma2721zf3zzreduce_samez00(obj_t BgL_envz00_3131, obj_t BgL_nodez00_3132, obj_t BgL_node2z00_3133, obj_t BgL_aliasz00_3134)
{ AN_OBJECT;
{ /* Reduce/same.scm 115 */
{ 
BgL_pragmaz00_bglt BgL_nodez00_1810;BgL_nodez00_bglt BgL_node2z00_1811;obj_t BgL_aliasz00_1812;
{ /* Reduce/same.scm 116 */
bool_t BgL_auxz00_3877;
BgL_nodez00_1810 = 
(BgL_pragmaz00_bglt)(BgL_nodez00_3132); 
BgL_node2z00_1811 = 
(BgL_nodez00_bglt)(BgL_node2z00_3133); 
BgL_aliasz00_1812 = BgL_aliasz00_3134; 
{ /* Reduce/same.scm 116 */
bool_t BgL__andtest_2675z00_1815;
BgL__andtest_2675z00_1815 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1811), BGl_pragmaz00zzast_nodez00); 
if(BgL__andtest_2675z00_1815)
{ /* Reduce/same.scm 117 */
bool_t BgL_testz00_3881;
{ /* Reduce/same.scm 117 */
obj_t BgL_auxz00_3887;obj_t BgL_auxz00_3882;
{ /* Reduce/same.scm 117 */
BgL_typez00_bglt BgL_auxz00_3888;
BgL_auxz00_3888 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1811))->BgL_typez00); 
BgL_auxz00_3887 = 
(obj_t)(BgL_auxz00_3888); } 
{ /* Reduce/same.scm 117 */
BgL_typez00_bglt BgL_auxz00_3883;
{ /* Reduce/same.scm 117 */
BgL_nodez00_bglt BgL_obj1550z00_2657;
BgL_obj1550z00_2657 = 
(BgL_nodez00_bglt)(BgL_nodez00_1810); 
BgL_auxz00_3883 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2657))->BgL_typez00); } 
BgL_auxz00_3882 = 
(obj_t)(BgL_auxz00_3883); } 
BgL_testz00_3881 = 
(BgL_auxz00_3882==BgL_auxz00_3887); } 
if(BgL_testz00_3881)
{ /* Reduce/same.scm 118 */
bool_t BgL__andtest_2677z00_1817;
{ /* Reduce/same.scm 118 */
obj_t BgL_auxz00_3894;obj_t BgL_auxz00_3892;
{ /* Reduce/same.scm 118 */
BgL_pragmaz00_bglt BgL_obj1863z00_2660;
BgL_obj1863z00_2660 = 
(BgL_pragmaz00_bglt)(BgL_node2z00_1811); 
BgL_auxz00_3894 = 
(((BgL_pragmaz00_bglt)CREF(BgL_obj1863z00_2660))->BgL_formatz00); } 
BgL_auxz00_3892 = 
(((BgL_pragmaz00_bglt)CREF(BgL_nodez00_1810))->BgL_formatz00); 
BgL__andtest_2677z00_1817 = 
bigloo_strcmp(BgL_auxz00_3892, BgL_auxz00_3894); } 
if(BgL__andtest_2677z00_1817)
{ /* Reduce/same.scm 119 */
obj_t BgL_auxz00_3899;
{ /* Reduce/same.scm 119 */
BgL_pragmaz00_bglt BgL_obj1860z00_2664;
BgL_obj1860z00_2664 = 
(BgL_pragmaz00_bglt)(BgL_node2z00_1811); 
BgL_auxz00_3899 = 
(((BgL_pragmaz00_bglt)CREF(BgL_obj1860z00_2664))->BgL_exprza2za2); } 
BgL_auxz00_3877 = 
BGl_samezd2nodeza2zf3z83zzreduce_samez00(
(((BgL_pragmaz00_bglt)CREF(BgL_nodez00_1810))->BgL_exprza2za2), BgL_auxz00_3899, BgL_aliasz00_1812); }  else 
{ /* Reduce/same.scm 118 */
BgL_auxz00_3877 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 117 */
BgL_auxz00_3877 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 116 */
BgL_auxz00_3877 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3877);} } } 
}



/* same-node?-extern2719 */
obj_t BGl_samezd2nodezf3zd2extern2719zf3zzreduce_samez00(obj_t BgL_envz00_3135, obj_t BgL_nodez00_3136, obj_t BgL_node2z00_3137, obj_t BgL_aliasz00_3138)
{ AN_OBJECT;
{ /* Reduce/same.scm 104 */
{ 
BgL_externz00_bglt BgL_nodez00_1797;BgL_nodez00_bglt BgL_node2z00_1798;obj_t BgL_aliasz00_1799;
{ /* ./Tools/trace.sch 42 */
bool_t BgL_auxz00_3907;
BgL_nodez00_1797 = 
(BgL_externz00_bglt)(BgL_nodez00_3136); 
BgL_node2z00_1798 = 
(BgL_nodez00_bglt)(BgL_node2z00_3137); 
BgL_aliasz00_1799 = BgL_aliasz00_3138; 
{ /* Reduce/same.scm 108 */
bool_t BgL__andtest_2673z00_1802;
BgL__andtest_2673z00_1802 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1798), BGl_externz00zzast_nodez00); 
if(BgL__andtest_2673z00_1802)
{ /* Reduce/same.scm 109 */
bool_t BgL_testz00_3911;
{ /* Reduce/same.scm 109 */
obj_t BgL_auxz00_3917;obj_t BgL_auxz00_3912;
{ /* Reduce/same.scm 109 */
BgL_typez00_bglt BgL_auxz00_3918;
BgL_auxz00_3918 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1798))->BgL_typez00); 
BgL_auxz00_3917 = 
(obj_t)(BgL_auxz00_3918); } 
{ /* Reduce/same.scm 109 */
BgL_typez00_bglt BgL_auxz00_3913;
{ /* Reduce/same.scm 109 */
BgL_nodez00_bglt BgL_obj1550z00_2652;
BgL_obj1550z00_2652 = 
(BgL_nodez00_bglt)(BgL_nodez00_1797); 
BgL_auxz00_3913 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2652))->BgL_typez00); } 
BgL_auxz00_3912 = 
(obj_t)(BgL_auxz00_3913); } 
BgL_testz00_3911 = 
(BgL_auxz00_3912==BgL_auxz00_3917); } 
if(BgL_testz00_3911)
{ /* Reduce/same.scm 110 */
obj_t BgL_auxz00_3922;
{ /* Reduce/same.scm 110 */
BgL_externz00_bglt BgL_obj1825z00_2655;
BgL_obj1825z00_2655 = 
(BgL_externz00_bglt)(BgL_node2z00_1798); 
BgL_auxz00_3922 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_2655))->BgL_exprza2za2); } 
BgL_auxz00_3907 = 
BGl_samezd2nodeza2zf3z83zzreduce_samez00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1797))->BgL_exprza2za2), BgL_auxz00_3922, BgL_aliasz00_1799); }  else 
{ /* Reduce/same.scm 109 */
BgL_auxz00_3907 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 108 */
BgL_auxz00_3907 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3907);} } } 
}



/* same-node?-app2717 */
obj_t BGl_samezd2nodezf3zd2app2717zf3zzreduce_samez00(obj_t BgL_envz00_3139, obj_t BgL_nodez00_3140, obj_t BgL_node2z00_3141, obj_t BgL_aliasz00_3142)
{ AN_OBJECT;
{ /* Reduce/same.scm 95 */
{ 
BgL_appz00_bglt BgL_nodez00_1781;BgL_nodez00_bglt BgL_node2z00_1782;obj_t BgL_aliasz00_1783;
{ /* Reduce/same.scm 96 */
bool_t BgL_auxz00_3930;
BgL_nodez00_1781 = 
(BgL_appz00_bglt)(BgL_nodez00_3140); 
BgL_node2z00_1782 = 
(BgL_nodez00_bglt)(BgL_node2z00_3141); 
BgL_aliasz00_1783 = BgL_aliasz00_3142; 
{ /* Reduce/same.scm 96 */
bool_t BgL__andtest_2670z00_1786;
BgL__andtest_2670z00_1786 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1782), BGl_appz00zzast_nodez00); 
if(BgL__andtest_2670z00_1786)
{ /* Reduce/same.scm 97 */
bool_t BgL_testz00_3934;
{ /* Reduce/same.scm 97 */
obj_t BgL_auxz00_3940;obj_t BgL_auxz00_3935;
{ /* Reduce/same.scm 97 */
BgL_typez00_bglt BgL_auxz00_3941;
BgL_auxz00_3941 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1782))->BgL_typez00); 
BgL_auxz00_3940 = 
(obj_t)(BgL_auxz00_3941); } 
{ /* Reduce/same.scm 97 */
BgL_typez00_bglt BgL_auxz00_3936;
{ /* Reduce/same.scm 97 */
BgL_nodez00_bglt BgL_obj1550z00_2616;
BgL_obj1550z00_2616 = 
(BgL_nodez00_bglt)(BgL_nodez00_1781); 
BgL_auxz00_3936 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2616))->BgL_typez00); } 
BgL_auxz00_3935 = 
(obj_t)(BgL_auxz00_3936); } 
BgL_testz00_3934 = 
(BgL_auxz00_3935==BgL_auxz00_3940); } 
if(BgL_testz00_3934)
{ /* Reduce/same.scm 98 */
bool_t BgL__andtest_2672z00_1788;
{ /* Reduce/same.scm 98 */
bool_t BgL_res2953z00_2648;
{ /* Reduce/same.scm 98 */
BgL_nodez00_bglt BgL_node1z00_2620;BgL_nodez00_bglt BgL_node2z00_2621;
{ /* Reduce/same.scm 98 */
BgL_varz00_bglt BgL_auxz00_3945;
BgL_auxz00_3945 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1781))->BgL_funz00); 
BgL_node1z00_2620 = 
(BgL_nodez00_bglt)(BgL_auxz00_3945); } 
{ /* Reduce/same.scm 98 */
BgL_varz00_bglt BgL_auxz00_3948;
{ /* Reduce/same.scm 98 */
BgL_appz00_bglt BgL_obj1722z00_2619;
BgL_obj1722z00_2619 = 
(BgL_appz00_bglt)(BgL_node2z00_1782); 
BgL_auxz00_3948 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_2619))->BgL_funz00); } 
BgL_node2z00_2621 = 
(BgL_nodez00_bglt)(BgL_auxz00_3948); } 
{ /* Reduce/same.scm 98 */
obj_t BgL_method2703z00_2623;
{ /* Reduce/same.scm 98 */
long BgL_objzd2classzd2numz00_2625;
{ /* Reduce/same.scm 98 */
BgL_objectz00_bglt BgL_auxz00_3952;
BgL_auxz00_3952 = 
(BgL_objectz00_bglt)(BgL_node1z00_2620); 
BgL_objzd2classzd2numz00_2625 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3952); } 
{ /* Reduce/same.scm 98 */
obj_t BgL_arg1221z00_2626;
{ /* Reduce/same.scm 98 */
int BgL_auxz00_3955;
BgL_auxz00_3955 = 
(int)(((long)1)); 
BgL_arg1221z00_2626 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_3955); } 
{ /* Reduce/same.scm 98 */
long BgL_offsetz00_2630;
{ /* Reduce/same.scm 98 */
long BgL_auxz00_3958;
{ /* Reduce/same.scm 98 */
int BgL_auxz00_3959;
BgL_auxz00_3959 = 
(int)(BgL_objzd2classzd2numz00_2625); 
BgL_auxz00_3958 = 
(long)(BgL_auxz00_3959); } 
BgL_offsetz00_2630 = 
(BgL_auxz00_3958-OBJECT_TYPE); } 
{ /* Reduce/same.scm 98 */
long BgL_modz00_2631;
{ /* Reduce/same.scm 98 */
long BgL_auxz00_3963;
{ /* Reduce/same.scm 98 */
int BgL_auxz00_3964;
BgL_auxz00_3964 = 
(int)(((long)8)); 
BgL_auxz00_3963 = 
(long)(BgL_auxz00_3964); } 
BgL_modz00_2631 = 
(BgL_offsetz00_2630/BgL_auxz00_3963); } 
{ /* Reduce/same.scm 98 */
long BgL_restz00_2633;
{ /* Reduce/same.scm 98 */
long BgL_auxz00_3968;
{ /* Reduce/same.scm 98 */
int BgL_auxz00_3969;
BgL_auxz00_3969 = 
(int)(((long)8)); 
BgL_auxz00_3968 = 
(long)(BgL_auxz00_3969); } 
BgL_restz00_2633 = 
(BgL_offsetz00_2630%BgL_auxz00_3968); } 
{ /* Reduce/same.scm 98 */

{ /* Reduce/same.scm 98 */
obj_t BgL_bucketz00_2635;
{ /* Reduce/same.scm 98 */
int BgL_kz00_2645;
BgL_kz00_2645 = 
(int)(BgL_modz00_2631); 
BgL_bucketz00_2635 = 
VECTOR_REF(BgL_arg1221z00_2626,BgL_kz00_2645); } 
{ /* Reduce/same.scm 98 */
int BgL_kz00_2647;
BgL_kz00_2647 = 
(int)(BgL_restz00_2633); 
BgL_method2703z00_2623 = 
VECTOR_REF(BgL_bucketz00_2635,BgL_kz00_2647); } } } } } } } } 
{ /* Reduce/same.scm 98 */
obj_t BgL_auxz00_3977;
BgL_auxz00_3977 = 
PROCEDURE_ENTRY(BgL_method2703z00_2623)(BgL_method2703z00_2623, 
(obj_t)(BgL_node1z00_2620), 
(obj_t)(BgL_node2z00_2621), BgL_aliasz00_1783, BEOA); 
BgL_res2953z00_2648 = 
CBOOL(BgL_auxz00_3977); } } } 
BgL__andtest_2672z00_1788 = BgL_res2953z00_2648; } 
if(BgL__andtest_2672z00_1788)
{ /* Reduce/same.scm 99 */
obj_t BgL_auxz00_3984;
{ /* Reduce/same.scm 99 */
BgL_appz00_bglt BgL_obj1725z00_2650;
BgL_obj1725z00_2650 = 
(BgL_appz00_bglt)(BgL_node2z00_1782); 
BgL_auxz00_3984 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2650))->BgL_argsz00); } 
BgL_auxz00_3930 = 
BGl_samezd2nodeza2zf3z83zzreduce_samez00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1781))->BgL_argsz00), BgL_auxz00_3984, BgL_aliasz00_1783); }  else 
{ /* Reduce/same.scm 98 */
BgL_auxz00_3930 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 97 */
BgL_auxz00_3930 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 96 */
BgL_auxz00_3930 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3930);} } } 
}



/* same-node?-funcall2715 */
obj_t BGl_samezd2nodezf3zd2funcall2715zf3zzreduce_samez00(obj_t BgL_envz00_3143, obj_t BgL_nodez00_3144, obj_t BgL_node2z00_3145, obj_t BgL_aliasz00_3146)
{ AN_OBJECT;
{ /* Reduce/same.scm 86 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1765;BgL_nodez00_bglt BgL_node2z00_1766;obj_t BgL_aliasz00_1767;
{ /* Reduce/same.scm 87 */
bool_t BgL_auxz00_3992;
BgL_nodez00_1765 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3144); 
BgL_node2z00_1766 = 
(BgL_nodez00_bglt)(BgL_node2z00_3145); 
BgL_aliasz00_1767 = BgL_aliasz00_3146; 
{ /* Reduce/same.scm 87 */
bool_t BgL__andtest_2667z00_1770;
BgL__andtest_2667z00_1770 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1766), BGl_funcallz00zzast_nodez00); 
if(BgL__andtest_2667z00_1770)
{ /* Reduce/same.scm 88 */
bool_t BgL_testz00_3996;
{ /* Reduce/same.scm 88 */
obj_t BgL_auxz00_4002;obj_t BgL_auxz00_3997;
{ /* Reduce/same.scm 88 */
BgL_typez00_bglt BgL_auxz00_4003;
BgL_auxz00_4003 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1766))->BgL_typez00); 
BgL_auxz00_4002 = 
(obj_t)(BgL_auxz00_4003); } 
{ /* Reduce/same.scm 88 */
BgL_typez00_bglt BgL_auxz00_3998;
{ /* Reduce/same.scm 88 */
BgL_nodez00_bglt BgL_obj1550z00_2580;
BgL_obj1550z00_2580 = 
(BgL_nodez00_bglt)(BgL_nodez00_1765); 
BgL_auxz00_3998 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2580))->BgL_typez00); } 
BgL_auxz00_3997 = 
(obj_t)(BgL_auxz00_3998); } 
BgL_testz00_3996 = 
(BgL_auxz00_3997==BgL_auxz00_4002); } 
if(BgL_testz00_3996)
{ /* Reduce/same.scm 89 */
bool_t BgL__andtest_2669z00_1772;
{ /* Reduce/same.scm 89 */
BgL_nodez00_bglt BgL_arg2846z00_1775;BgL_nodez00_bglt BgL_arg2847z00_1776;
BgL_arg2846z00_1775 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1765))->BgL_funz00); 
{ /* Reduce/same.scm 89 */
BgL_funcallz00_bglt BgL_obj1785z00_2583;
BgL_obj1785z00_2583 = 
(BgL_funcallz00_bglt)(BgL_node2z00_1766); 
BgL_arg2847z00_1776 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj1785z00_2583))->BgL_funz00); } 
{ /* Reduce/same.scm 89 */
bool_t BgL_res2950z00_2612;
{ /* Reduce/same.scm 89 */
obj_t BgL_method2703z00_2587;
{ /* Reduce/same.scm 89 */
long BgL_objzd2classzd2numz00_2589;
{ /* Reduce/same.scm 89 */
BgL_objectz00_bglt BgL_auxz00_4010;
BgL_auxz00_4010 = 
(BgL_objectz00_bglt)(BgL_arg2846z00_1775); 
BgL_objzd2classzd2numz00_2589 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4010); } 
{ /* Reduce/same.scm 89 */
obj_t BgL_arg1221z00_2590;
{ /* Reduce/same.scm 89 */
int BgL_auxz00_4013;
BgL_auxz00_4013 = 
(int)(((long)1)); 
BgL_arg1221z00_2590 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_4013); } 
{ /* Reduce/same.scm 89 */
long BgL_offsetz00_2594;
{ /* Reduce/same.scm 89 */
long BgL_auxz00_4016;
{ /* Reduce/same.scm 89 */
int BgL_auxz00_4017;
BgL_auxz00_4017 = 
(int)(BgL_objzd2classzd2numz00_2589); 
BgL_auxz00_4016 = 
(long)(BgL_auxz00_4017); } 
BgL_offsetz00_2594 = 
(BgL_auxz00_4016-OBJECT_TYPE); } 
{ /* Reduce/same.scm 89 */
long BgL_modz00_2595;
{ /* Reduce/same.scm 89 */
long BgL_auxz00_4021;
{ /* Reduce/same.scm 89 */
int BgL_auxz00_4022;
BgL_auxz00_4022 = 
(int)(((long)8)); 
BgL_auxz00_4021 = 
(long)(BgL_auxz00_4022); } 
BgL_modz00_2595 = 
(BgL_offsetz00_2594/BgL_auxz00_4021); } 
{ /* Reduce/same.scm 89 */
long BgL_restz00_2597;
{ /* Reduce/same.scm 89 */
long BgL_auxz00_4026;
{ /* Reduce/same.scm 89 */
int BgL_auxz00_4027;
BgL_auxz00_4027 = 
(int)(((long)8)); 
BgL_auxz00_4026 = 
(long)(BgL_auxz00_4027); } 
BgL_restz00_2597 = 
(BgL_offsetz00_2594%BgL_auxz00_4026); } 
{ /* Reduce/same.scm 89 */

{ /* Reduce/same.scm 89 */
obj_t BgL_bucketz00_2599;
{ /* Reduce/same.scm 89 */
int BgL_kz00_2609;
BgL_kz00_2609 = 
(int)(BgL_modz00_2595); 
BgL_bucketz00_2599 = 
VECTOR_REF(BgL_arg1221z00_2590,BgL_kz00_2609); } 
{ /* Reduce/same.scm 89 */
int BgL_kz00_2611;
BgL_kz00_2611 = 
(int)(BgL_restz00_2597); 
BgL_method2703z00_2587 = 
VECTOR_REF(BgL_bucketz00_2599,BgL_kz00_2611); } } } } } } } } 
{ /* Reduce/same.scm 89 */
obj_t BgL_auxz00_4035;
BgL_auxz00_4035 = 
PROCEDURE_ENTRY(BgL_method2703z00_2587)(BgL_method2703z00_2587, 
(obj_t)(BgL_arg2846z00_1775), 
(obj_t)(BgL_arg2847z00_1776), BgL_aliasz00_1767, BEOA); 
BgL_res2950z00_2612 = 
CBOOL(BgL_auxz00_4035); } } 
BgL__andtest_2669z00_1772 = BgL_res2950z00_2612; } } 
if(BgL__andtest_2669z00_1772)
{ /* Reduce/same.scm 90 */
obj_t BgL_auxz00_4042;
{ /* Reduce/same.scm 90 */
BgL_funcallz00_bglt BgL_obj1788z00_2614;
BgL_obj1788z00_2614 = 
(BgL_funcallz00_bglt)(BgL_node2z00_1766); 
BgL_auxz00_4042 = 
(((BgL_funcallz00_bglt)CREF(BgL_obj1788z00_2614))->BgL_argsz00); } 
BgL_auxz00_3992 = 
BGl_samezd2nodeza2zf3z83zzreduce_samez00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1765))->BgL_argsz00), BgL_auxz00_4042, BgL_aliasz00_1767); }  else 
{ /* Reduce/same.scm 89 */
BgL_auxz00_3992 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 88 */
BgL_auxz00_3992 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 87 */
BgL_auxz00_3992 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3992);} } } 
}



/* same-node?-app-ly2713 */
obj_t BGl_samezd2nodezf3zd2appzd2ly2713z21zzreduce_samez00(obj_t BgL_envz00_3147, obj_t BgL_nodez00_3148, obj_t BgL_node2z00_3149, obj_t BgL_aliasz00_3150)
{ AN_OBJECT;
{ /* Reduce/same.scm 77 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1749;BgL_nodez00_bglt BgL_node2z00_1750;obj_t BgL_aliasz00_1751;
{ /* Reduce/same.scm 78 */
bool_t BgL_auxz00_4050;
BgL_nodez00_1749 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3148); 
BgL_node2z00_1750 = 
(BgL_nodez00_bglt)(BgL_node2z00_3149); 
BgL_aliasz00_1751 = BgL_aliasz00_3150; 
{ /* Reduce/same.scm 78 */
bool_t BgL__andtest_2664z00_1754;
BgL__andtest_2664z00_1754 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1750), BGl_appzd2lyzd2zzast_nodez00); 
if(BgL__andtest_2664z00_1754)
{ /* Reduce/same.scm 79 */
bool_t BgL_testz00_4054;
{ /* Reduce/same.scm 79 */
obj_t BgL_auxz00_4060;obj_t BgL_auxz00_4055;
{ /* Reduce/same.scm 79 */
BgL_typez00_bglt BgL_auxz00_4061;
BgL_auxz00_4061 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1750))->BgL_typez00); 
BgL_auxz00_4060 = 
(obj_t)(BgL_auxz00_4061); } 
{ /* Reduce/same.scm 79 */
BgL_typez00_bglt BgL_auxz00_4056;
{ /* Reduce/same.scm 79 */
BgL_nodez00_bglt BgL_obj1550z00_2515;
BgL_obj1550z00_2515 = 
(BgL_nodez00_bglt)(BgL_nodez00_1749); 
BgL_auxz00_4056 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2515))->BgL_typez00); } 
BgL_auxz00_4055 = 
(obj_t)(BgL_auxz00_4056); } 
BgL_testz00_4054 = 
(BgL_auxz00_4055==BgL_auxz00_4060); } 
if(BgL_testz00_4054)
{ /* Reduce/same.scm 80 */
bool_t BgL__andtest_2666z00_1756;
{ /* Reduce/same.scm 80 */
BgL_nodez00_bglt BgL_arg2839z00_1759;BgL_nodez00_bglt BgL_arg2840z00_1760;
BgL_arg2839z00_1759 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1749))->BgL_funz00); 
{ /* Reduce/same.scm 80 */
BgL_appzd2lyzd2_bglt BgL_obj1757z00_2518;
BgL_obj1757z00_2518 = 
(BgL_appzd2lyzd2_bglt)(BgL_node2z00_1750); 
BgL_arg2840z00_1760 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1757z00_2518))->BgL_funz00); } 
{ /* Reduce/same.scm 80 */
bool_t BgL_res2944z00_2547;
{ /* Reduce/same.scm 80 */
obj_t BgL_method2703z00_2522;
{ /* Reduce/same.scm 80 */
long BgL_objzd2classzd2numz00_2524;
{ /* Reduce/same.scm 80 */
BgL_objectz00_bglt BgL_auxz00_4068;
BgL_auxz00_4068 = 
(BgL_objectz00_bglt)(BgL_arg2839z00_1759); 
BgL_objzd2classzd2numz00_2524 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4068); } 
{ /* Reduce/same.scm 80 */
obj_t BgL_arg1221z00_2525;
{ /* Reduce/same.scm 80 */
int BgL_auxz00_4071;
BgL_auxz00_4071 = 
(int)(((long)1)); 
BgL_arg1221z00_2525 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_4071); } 
{ /* Reduce/same.scm 80 */
long BgL_offsetz00_2529;
{ /* Reduce/same.scm 80 */
long BgL_auxz00_4074;
{ /* Reduce/same.scm 80 */
int BgL_auxz00_4075;
BgL_auxz00_4075 = 
(int)(BgL_objzd2classzd2numz00_2524); 
BgL_auxz00_4074 = 
(long)(BgL_auxz00_4075); } 
BgL_offsetz00_2529 = 
(BgL_auxz00_4074-OBJECT_TYPE); } 
{ /* Reduce/same.scm 80 */
long BgL_modz00_2530;
{ /* Reduce/same.scm 80 */
long BgL_auxz00_4079;
{ /* Reduce/same.scm 80 */
int BgL_auxz00_4080;
BgL_auxz00_4080 = 
(int)(((long)8)); 
BgL_auxz00_4079 = 
(long)(BgL_auxz00_4080); } 
BgL_modz00_2530 = 
(BgL_offsetz00_2529/BgL_auxz00_4079); } 
{ /* Reduce/same.scm 80 */
long BgL_restz00_2532;
{ /* Reduce/same.scm 80 */
long BgL_auxz00_4084;
{ /* Reduce/same.scm 80 */
int BgL_auxz00_4085;
BgL_auxz00_4085 = 
(int)(((long)8)); 
BgL_auxz00_4084 = 
(long)(BgL_auxz00_4085); } 
BgL_restz00_2532 = 
(BgL_offsetz00_2529%BgL_auxz00_4084); } 
{ /* Reduce/same.scm 80 */

{ /* Reduce/same.scm 80 */
obj_t BgL_bucketz00_2534;
{ /* Reduce/same.scm 80 */
int BgL_kz00_2544;
BgL_kz00_2544 = 
(int)(BgL_modz00_2530); 
BgL_bucketz00_2534 = 
VECTOR_REF(BgL_arg1221z00_2525,BgL_kz00_2544); } 
{ /* Reduce/same.scm 80 */
int BgL_kz00_2546;
BgL_kz00_2546 = 
(int)(BgL_restz00_2532); 
BgL_method2703z00_2522 = 
VECTOR_REF(BgL_bucketz00_2534,BgL_kz00_2546); } } } } } } } } 
{ /* Reduce/same.scm 80 */
obj_t BgL_auxz00_4093;
BgL_auxz00_4093 = 
PROCEDURE_ENTRY(BgL_method2703z00_2522)(BgL_method2703z00_2522, 
(obj_t)(BgL_arg2839z00_1759), 
(obj_t)(BgL_arg2840z00_1760), BgL_aliasz00_1751, BEOA); 
BgL_res2944z00_2547 = 
CBOOL(BgL_auxz00_4093); } } 
BgL__andtest_2666z00_1756 = BgL_res2944z00_2547; } } 
if(BgL__andtest_2666z00_1756)
{ /* Reduce/same.scm 81 */
BgL_nodez00_bglt BgL_arg2837z00_1757;BgL_nodez00_bglt BgL_arg2838z00_1758;
BgL_arg2837z00_1757 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1749))->BgL_argz00); 
{ /* Reduce/same.scm 81 */
BgL_appzd2lyzd2_bglt BgL_obj1760z00_2549;
BgL_obj1760z00_2549 = 
(BgL_appzd2lyzd2_bglt)(BgL_node2z00_1750); 
BgL_arg2838z00_1758 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_obj1760z00_2549))->BgL_argz00); } 
{ /* Reduce/same.scm 81 */
bool_t BgL_res2947z00_2578;
{ /* Reduce/same.scm 81 */
obj_t BgL_method2703z00_2553;
{ /* Reduce/same.scm 81 */
long BgL_objzd2classzd2numz00_2555;
{ /* Reduce/same.scm 81 */
BgL_objectz00_bglt BgL_auxz00_4103;
BgL_auxz00_4103 = 
(BgL_objectz00_bglt)(BgL_arg2837z00_1757); 
BgL_objzd2classzd2numz00_2555 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4103); } 
{ /* Reduce/same.scm 81 */
obj_t BgL_arg1221z00_2556;
{ /* Reduce/same.scm 81 */
int BgL_auxz00_4106;
BgL_auxz00_4106 = 
(int)(((long)1)); 
BgL_arg1221z00_2556 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_4106); } 
{ /* Reduce/same.scm 81 */
long BgL_offsetz00_2560;
{ /* Reduce/same.scm 81 */
long BgL_auxz00_4109;
{ /* Reduce/same.scm 81 */
int BgL_auxz00_4110;
BgL_auxz00_4110 = 
(int)(BgL_objzd2classzd2numz00_2555); 
BgL_auxz00_4109 = 
(long)(BgL_auxz00_4110); } 
BgL_offsetz00_2560 = 
(BgL_auxz00_4109-OBJECT_TYPE); } 
{ /* Reduce/same.scm 81 */
long BgL_modz00_2561;
{ /* Reduce/same.scm 81 */
long BgL_auxz00_4114;
{ /* Reduce/same.scm 81 */
int BgL_auxz00_4115;
BgL_auxz00_4115 = 
(int)(((long)8)); 
BgL_auxz00_4114 = 
(long)(BgL_auxz00_4115); } 
BgL_modz00_2561 = 
(BgL_offsetz00_2560/BgL_auxz00_4114); } 
{ /* Reduce/same.scm 81 */
long BgL_restz00_2563;
{ /* Reduce/same.scm 81 */
long BgL_auxz00_4119;
{ /* Reduce/same.scm 81 */
int BgL_auxz00_4120;
BgL_auxz00_4120 = 
(int)(((long)8)); 
BgL_auxz00_4119 = 
(long)(BgL_auxz00_4120); } 
BgL_restz00_2563 = 
(BgL_offsetz00_2560%BgL_auxz00_4119); } 
{ /* Reduce/same.scm 81 */

{ /* Reduce/same.scm 81 */
obj_t BgL_bucketz00_2565;
{ /* Reduce/same.scm 81 */
int BgL_kz00_2575;
BgL_kz00_2575 = 
(int)(BgL_modz00_2561); 
BgL_bucketz00_2565 = 
VECTOR_REF(BgL_arg1221z00_2556,BgL_kz00_2575); } 
{ /* Reduce/same.scm 81 */
int BgL_kz00_2577;
BgL_kz00_2577 = 
(int)(BgL_restz00_2563); 
BgL_method2703z00_2553 = 
VECTOR_REF(BgL_bucketz00_2565,BgL_kz00_2577); } } } } } } } } 
{ /* Reduce/same.scm 81 */
obj_t BgL_auxz00_4128;
BgL_auxz00_4128 = 
PROCEDURE_ENTRY(BgL_method2703z00_2553)(BgL_method2703z00_2553, 
(obj_t)(BgL_arg2837z00_1757), 
(obj_t)(BgL_arg2838z00_1758), BgL_aliasz00_1751, BEOA); 
BgL_res2947z00_2578 = 
CBOOL(BgL_auxz00_4128); } } 
BgL_auxz00_4050 = BgL_res2947z00_2578; } }  else 
{ /* Reduce/same.scm 80 */
BgL_auxz00_4050 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 79 */
BgL_auxz00_4050 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 78 */
BgL_auxz00_4050 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_4050);} } } 
}



/* same-node?-sequence2711 */
obj_t BGl_samezd2nodezf3zd2sequence2711zf3zzreduce_samez00(obj_t BgL_envz00_3151, obj_t BgL_nodez00_3152, obj_t BgL_node2z00_3153, obj_t BgL_aliasz00_3154)
{ AN_OBJECT;
{ /* Reduce/same.scm 67 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1736;BgL_nodez00_bglt BgL_node2z00_1737;obj_t BgL_aliasz00_1738;
{ /* Reduce/same.scm 68 */
bool_t BgL_auxz00_4137;
BgL_nodez00_1736 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3152); 
BgL_node2z00_1737 = 
(BgL_nodez00_bglt)(BgL_node2z00_3153); 
BgL_aliasz00_1738 = BgL_aliasz00_3154; 
{ /* Reduce/same.scm 68 */
bool_t BgL__andtest_2662z00_1741;
BgL__andtest_2662z00_1741 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1737), BGl_sequencez00zzast_nodez00); 
if(BgL__andtest_2662z00_1741)
{ /* Reduce/same.scm 69 */
bool_t BgL_testz00_4141;
{ /* Reduce/same.scm 69 */
obj_t BgL_auxz00_4147;obj_t BgL_auxz00_4142;
{ /* Reduce/same.scm 69 */
BgL_typez00_bglt BgL_auxz00_4148;
BgL_auxz00_4148 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1737))->BgL_typez00); 
BgL_auxz00_4147 = 
(obj_t)(BgL_auxz00_4148); } 
{ /* Reduce/same.scm 69 */
BgL_typez00_bglt BgL_auxz00_4143;
{ /* Reduce/same.scm 69 */
BgL_nodez00_bglt BgL_obj1550z00_2510;
BgL_obj1550z00_2510 = 
(BgL_nodez00_bglt)(BgL_nodez00_1736); 
BgL_auxz00_4143 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2510))->BgL_typez00); } 
BgL_auxz00_4142 = 
(obj_t)(BgL_auxz00_4143); } 
BgL_testz00_4141 = 
(BgL_auxz00_4142==BgL_auxz00_4147); } 
if(BgL_testz00_4141)
{ /* Reduce/same.scm 70 */
obj_t BgL_auxz00_4152;
{ /* Reduce/same.scm 71 */
BgL_sequencez00_bglt BgL_obj1690z00_2513;
BgL_obj1690z00_2513 = 
(BgL_sequencez00_bglt)(BgL_node2z00_1737); 
BgL_auxz00_4152 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1690z00_2513))->BgL_nodesz00); } 
BgL_auxz00_4137 = 
BGl_samezd2nodeza2zf3z83zzreduce_samez00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1736))->BgL_nodesz00), BgL_auxz00_4152, BgL_aliasz00_1738); }  else 
{ /* Reduce/same.scm 69 */
BgL_auxz00_4137 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 68 */
BgL_auxz00_4137 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_4137);} } } 
}



/* same-node?-var2709 */
obj_t BGl_samezd2nodezf3zd2var2709zf3zzreduce_samez00(obj_t BgL_envz00_3155, obj_t BgL_nodez00_3156, obj_t BgL_node2z00_3157, obj_t BgL_aliasz00_3158)
{ AN_OBJECT;
{ /* Reduce/same.scm 54 */
{ 
BgL_varz00_bglt BgL_nodez00_1716;BgL_nodez00_bglt BgL_node2z00_1717;obj_t BgL_aliasz00_1718;
{ /* ./Tools/trace.sch 42 */
bool_t BgL_auxz00_4160;
BgL_nodez00_1716 = 
(BgL_varz00_bglt)(BgL_nodez00_3156); 
BgL_node2z00_1717 = 
(BgL_nodez00_bglt)(BgL_node2z00_3157); 
BgL_aliasz00_1718 = BgL_aliasz00_3158; 
{ /* Reduce/same.scm 58 */
bool_t BgL__andtest_2658z00_1721;
BgL__andtest_2658z00_1721 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1717), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2658z00_1721)
{ /* Reduce/same.scm 59 */
bool_t BgL_testz00_4164;
{ /* Reduce/same.scm 59 */
obj_t BgL_auxz00_4168;obj_t BgL_auxz00_4165;
BgL_auxz00_4168 = 
CNST_TABLE_REF(((long)0)); 
{ /* Reduce/same.scm 59 */
BgL_variablez00_bglt BgL_arg2830z00_1733;
BgL_arg2830z00_1733 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1716))->BgL_variablez00); 
BgL_auxz00_4165 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2830z00_1733))->BgL_accessz00); } 
BgL_testz00_4164 = 
(BgL_auxz00_4165==BgL_auxz00_4168); } 
if(BgL_testz00_4164)
{ /* Reduce/same.scm 60 */
bool_t BgL_testz00_4171;
{ /* Reduce/same.scm 60 */
obj_t BgL_auxz00_4177;obj_t BgL_auxz00_4172;
{ /* Reduce/same.scm 60 */
BgL_typez00_bglt BgL_auxz00_4178;
BgL_auxz00_4178 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1717))->BgL_typez00); 
BgL_auxz00_4177 = 
(obj_t)(BgL_auxz00_4178); } 
{ /* Reduce/same.scm 60 */
BgL_typez00_bglt BgL_auxz00_4173;
{ /* Reduce/same.scm 60 */
BgL_nodez00_bglt BgL_obj1550z00_2503;
BgL_obj1550z00_2503 = 
(BgL_nodez00_bglt)(BgL_nodez00_1716); 
BgL_auxz00_4173 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2503))->BgL_typez00); } 
BgL_auxz00_4172 = 
(obj_t)(BgL_auxz00_4173); } 
BgL_testz00_4171 = 
(BgL_auxz00_4172==BgL_auxz00_4177); } 
if(BgL_testz00_4171)
{ /* Reduce/same.scm 61 */
bool_t BgL__ortest_2661z00_1724;
{ /* Reduce/same.scm 61 */
obj_t BgL_auxz00_4186;obj_t BgL_auxz00_4182;
{ /* Reduce/same.scm 61 */
BgL_variablez00_bglt BgL_auxz00_4187;
{ /* Reduce/same.scm 61 */
BgL_varz00_bglt BgL_obj1619z00_2506;
BgL_obj1619z00_2506 = 
(BgL_varz00_bglt)(BgL_node2z00_1717); 
BgL_auxz00_4187 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2506))->BgL_variablez00); } 
BgL_auxz00_4186 = 
(obj_t)(BgL_auxz00_4187); } 
{ /* Reduce/same.scm 61 */
BgL_variablez00_bglt BgL_auxz00_4183;
BgL_auxz00_4183 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1716))->BgL_variablez00); 
BgL_auxz00_4182 = 
(obj_t)(BgL_auxz00_4183); } 
BgL__ortest_2661z00_1724 = 
(BgL_auxz00_4182==BgL_auxz00_4186); } 
if(BgL__ortest_2661z00_1724)
{ /* Reduce/same.scm 61 */
BgL_auxz00_4160 = BgL__ortest_2661z00_1724
; }  else 
{ /* Reduce/same.scm 62 */
BgL_variablez00_bglt BgL_auxz00_4193;
{ /* Reduce/same.scm 62 */
BgL_varz00_bglt BgL_obj1619z00_2508;
BgL_obj1619z00_2508 = 
(BgL_varz00_bglt)(BgL_node2z00_1717); 
BgL_auxz00_4193 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2508))->BgL_variablez00); } 
BgL_auxz00_4160 = 
BGl_aliasedzf3zf3zzreduce_samez00(
(((BgL_varz00_bglt)CREF(BgL_nodez00_1716))->BgL_variablez00), BgL_auxz00_4193, BgL_aliasz00_1718); } }  else 
{ /* Reduce/same.scm 60 */
BgL_auxz00_4160 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 59 */
BgL_auxz00_4160 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 58 */
BgL_auxz00_4160 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_4160);} } } 
}



/* same-node?-kwote2707 */
obj_t BGl_samezd2nodezf3zd2kwote2707zf3zzreduce_samez00(obj_t BgL_envz00_3159, obj_t BgL_nodez00_3160, obj_t BgL_node2z00_3161, obj_t BgL_aliasz00_3162)
{ AN_OBJECT;
{ /* Reduce/same.scm 43 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1703;BgL_nodez00_bglt BgL_node2z00_1704;obj_t BgL_aliasz00_1705;
{ /* ./Tools/trace.sch 42 */
bool_t BgL_auxz00_4201;
BgL_nodez00_1703 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3160); 
BgL_node2z00_1704 = 
(BgL_nodez00_bglt)(BgL_node2z00_3161); 
BgL_aliasz00_1705 = BgL_aliasz00_3162; 
{ /* Reduce/same.scm 47 */
bool_t BgL__andtest_2656z00_1708;
BgL__andtest_2656z00_1708 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1704), BGl_kwotez00zzast_nodez00); 
if(BgL__andtest_2656z00_1708)
{ /* Reduce/same.scm 48 */
bool_t BgL_testz00_4205;
{ /* Reduce/same.scm 48 */
obj_t BgL_auxz00_4211;obj_t BgL_auxz00_4206;
{ /* Reduce/same.scm 48 */
BgL_typez00_bglt BgL_auxz00_4212;
BgL_auxz00_4212 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1704))->BgL_typez00); 
BgL_auxz00_4211 = 
(obj_t)(BgL_auxz00_4212); } 
{ /* Reduce/same.scm 48 */
BgL_typez00_bglt BgL_auxz00_4207;
{ /* Reduce/same.scm 48 */
BgL_nodez00_bglt BgL_obj1550z00_2496;
BgL_obj1550z00_2496 = 
(BgL_nodez00_bglt)(BgL_nodez00_1703); 
BgL_auxz00_4207 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2496))->BgL_typez00); } 
BgL_auxz00_4206 = 
(obj_t)(BgL_auxz00_4207); } 
BgL_testz00_4205 = 
(BgL_auxz00_4206==BgL_auxz00_4211); } 
if(BgL_testz00_4205)
{ /* Reduce/same.scm 49 */
obj_t BgL_auxz00_4216;
{ /* Reduce/same.scm 49 */
BgL_kwotez00_bglt BgL_obj1664z00_2499;
BgL_obj1664z00_2499 = 
(BgL_kwotez00_bglt)(BgL_node2z00_1704); 
BgL_auxz00_4216 = 
(((BgL_kwotez00_bglt)CREF(BgL_obj1664z00_2499))->BgL_valuez00); } 
BgL_auxz00_4201 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
(((BgL_kwotez00_bglt)CREF(BgL_nodez00_1703))->BgL_valuez00), BgL_auxz00_4216); }  else 
{ /* Reduce/same.scm 48 */
BgL_auxz00_4201 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 47 */
BgL_auxz00_4201 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_4201);} } } 
}



/* same-node?-atom2705 */
obj_t BGl_samezd2nodezf3zd2atom2705zf3zzreduce_samez00(obj_t BgL_envz00_3163, obj_t BgL_nodez00_3164, obj_t BgL_node2z00_3165, obj_t BgL_aliasz00_3166)
{ AN_OBJECT;
{ /* Reduce/same.scm 32 */
{ 
BgL_atomz00_bglt BgL_nodez00_1690;BgL_nodez00_bglt BgL_node2z00_1691;obj_t BgL_aliasz00_1692;
{ /* ./Tools/trace.sch 42 */
bool_t BgL_auxz00_4224;
BgL_nodez00_1690 = 
(BgL_atomz00_bglt)(BgL_nodez00_3164); 
BgL_node2z00_1691 = 
(BgL_nodez00_bglt)(BgL_node2z00_3165); 
BgL_aliasz00_1692 = BgL_aliasz00_3166; 
{ /* Reduce/same.scm 36 */
bool_t BgL__andtest_2654z00_1695;
BgL__andtest_2654z00_1695 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_node2z00_1691), BGl_atomz00zzast_nodez00); 
if(BgL__andtest_2654z00_1695)
{ /* Reduce/same.scm 37 */
bool_t BgL_testz00_4228;
{ /* Reduce/same.scm 37 */
obj_t BgL_auxz00_4234;obj_t BgL_auxz00_4229;
{ /* Reduce/same.scm 37 */
BgL_typez00_bglt BgL_auxz00_4235;
BgL_auxz00_4235 = 
(((BgL_nodez00_bglt)CREF(BgL_node2z00_1691))->BgL_typez00); 
BgL_auxz00_4234 = 
(obj_t)(BgL_auxz00_4235); } 
{ /* Reduce/same.scm 37 */
BgL_typez00_bglt BgL_auxz00_4230;
{ /* Reduce/same.scm 37 */
BgL_nodez00_bglt BgL_obj1550z00_2491;
BgL_obj1550z00_2491 = 
(BgL_nodez00_bglt)(BgL_nodez00_1690); 
BgL_auxz00_4230 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2491))->BgL_typez00); } 
BgL_auxz00_4229 = 
(obj_t)(BgL_auxz00_4230); } 
BgL_testz00_4228 = 
(BgL_auxz00_4229==BgL_auxz00_4234); } 
if(BgL_testz00_4228)
{ /* Reduce/same.scm 38 */
obj_t BgL_auxz00_4239;
{ /* Reduce/same.scm 38 */
BgL_atomz00_bglt BgL_obj1597z00_2494;
BgL_obj1597z00_2494 = 
(BgL_atomz00_bglt)(BgL_node2z00_1691); 
BgL_auxz00_4239 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1597z00_2494))->BgL_valuez00); } 
BgL_auxz00_4224 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
(((BgL_atomz00_bglt)CREF(BgL_nodez00_1690))->BgL_valuez00), BgL_auxz00_4239); }  else 
{ /* Reduce/same.scm 37 */
BgL_auxz00_4224 = ((bool_t)0)
; } }  else 
{ /* Reduce/same.scm 36 */
BgL_auxz00_4224 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_4224);} } } 
}



/* same-node? */
bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt BgL_node1z00_1, BgL_nodez00_bglt BgL_node2z00_2, obj_t BgL_aliasz00_3)
{ AN_OBJECT;
{ /* Reduce/same.scm 26 */
{ /* Reduce/same.scm 26 */
obj_t BgL_method2703z00_3058;
{ /* Reduce/same.scm 26 */
long BgL_objzd2classzd2numz00_3060;
{ /* Reduce/same.scm 26 */
BgL_objectz00_bglt BgL_auxz00_4247;
BgL_auxz00_4247 = 
(BgL_objectz00_bglt)(BgL_node1z00_1); 
BgL_objzd2classzd2numz00_3060 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4247); } 
{ /* Reduce/same.scm 26 */
obj_t BgL_arg1221z00_3061;
{ /* Reduce/same.scm 26 */
int BgL_auxz00_4250;
BgL_auxz00_4250 = 
(int)(((long)1)); 
BgL_arg1221z00_3061 = 
PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BgL_auxz00_4250); } 
{ /* Reduce/same.scm 26 */
long BgL_offsetz00_3065;
{ /* Reduce/same.scm 26 */
long BgL_auxz00_4253;
{ /* Reduce/same.scm 26 */
int BgL_auxz00_4254;
BgL_auxz00_4254 = 
(int)(BgL_objzd2classzd2numz00_3060); 
BgL_auxz00_4253 = 
(long)(BgL_auxz00_4254); } 
BgL_offsetz00_3065 = 
(BgL_auxz00_4253-OBJECT_TYPE); } 
{ /* Reduce/same.scm 26 */
long BgL_modz00_3066;
{ /* Reduce/same.scm 26 */
long BgL_auxz00_4258;
{ /* Reduce/same.scm 26 */
int BgL_auxz00_4259;
BgL_auxz00_4259 = 
(int)(((long)8)); 
BgL_auxz00_4258 = 
(long)(BgL_auxz00_4259); } 
BgL_modz00_3066 = 
(BgL_offsetz00_3065/BgL_auxz00_4258); } 
{ /* Reduce/same.scm 26 */
long BgL_restz00_3068;
{ /* Reduce/same.scm 26 */
long BgL_auxz00_4263;
{ /* Reduce/same.scm 26 */
int BgL_auxz00_4264;
BgL_auxz00_4264 = 
(int)(((long)8)); 
BgL_auxz00_4263 = 
(long)(BgL_auxz00_4264); } 
BgL_restz00_3068 = 
(BgL_offsetz00_3065%BgL_auxz00_4263); } 
{ /* Reduce/same.scm 26 */

{ /* Reduce/same.scm 26 */
obj_t BgL_bucketz00_3070;
{ /* Reduce/same.scm 26 */
int BgL_kz00_3080;
BgL_kz00_3080 = 
(int)(BgL_modz00_3066); 
BgL_bucketz00_3070 = 
VECTOR_REF(BgL_arg1221z00_3061,BgL_kz00_3080); } 
{ /* Reduce/same.scm 26 */
int BgL_kz00_3082;
BgL_kz00_3082 = 
(int)(BgL_restz00_3068); 
BgL_method2703z00_3058 = 
VECTOR_REF(BgL_bucketz00_3070,BgL_kz00_3082); } } } } } } } } 
{ /* Reduce/same.scm 26 */
obj_t BgL_auxz00_4272;
BgL_auxz00_4272 = 
PROCEDURE_ENTRY(BgL_method2703z00_3058)(BgL_method2703z00_3058, 
(obj_t)(BgL_node1z00_1), 
(obj_t)(BgL_node2z00_2), BgL_aliasz00_3, BEOA); 
return 
CBOOL(BgL_auxz00_4272);} } } 
}



/* _same-node? */
obj_t BGl__samezd2nodezf3z21zzreduce_samez00(obj_t BgL_envz00_3083, obj_t BgL_node1z00_3084, obj_t BgL_node2z00_3085, obj_t BgL_aliasz00_3086)
{ AN_OBJECT;
{ /* Reduce/same.scm 26 */
{ /* Reduce/same.scm 26 */
bool_t BgL_auxz00_4278;
BgL_auxz00_4278 = 
BGl_samezd2nodezf3z21zzreduce_samez00(
(BgL_nodez00_bglt)(BgL_node1z00_3084), 
(BgL_nodez00_bglt)(BgL_node2z00_3085), BgL_aliasz00_3086); 
return 
BBOOL(BgL_auxz00_4278);} } 
}



/* same-node?-default2702 */
bool_t BGl_samezd2nodezf3zd2default2702zf3zzreduce_samez00(BgL_nodez00_bglt BgL_node1z00_4, BgL_nodez00_bglt BgL_node2z00_5, obj_t BgL_aliasz00_6)
{ AN_OBJECT;
{ /* Reduce/same.scm 15 */
return ((bool_t)0);} 
}



/* _same-node?-default2702 */
obj_t BGl__samezd2nodezf3zd2default2702zf3zzreduce_samez00(obj_t BgL_envz00_3167, obj_t BgL_node1z00_3168, obj_t BgL_node2z00_3169, obj_t BgL_aliasz00_3170)
{ AN_OBJECT;
{ /* Reduce/same.scm 15 */
{ /* Reduce/same.scm 15 */
bool_t BgL_auxz00_4283;
BgL_auxz00_4283 = 
BGl_samezd2nodezf3zd2default2702zf3zzreduce_samez00(
(BgL_nodez00_bglt)(BgL_node1z00_3168), 
(BgL_nodez00_bglt)(BgL_node2z00_3169), BgL_aliasz00_3170); 
return 
BBOOL(BgL_auxz00_4283);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00()
{ AN_OBJECT;
{ /* Reduce/same.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "reduce_same"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "reduce_same"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "reduce_same"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "reduce_same"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "reduce_same");} 
}

