/*===========================================================================*/
/*   (Reduce/sbeta.scm)                                                      */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zzreduce_betaz00();
static obj_t BGl_nodezd2betaz12zd2boxzd2setz122756zd2zzreduce_betaz00(obj_t, obj_t);
static obj_t BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = BUNSPEC;
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_nodezd2betaz12zd2sequence2734z12zzreduce_betaz00(obj_t, obj_t);
static obj_t BGl_nodezd2betaza2z12z62zzreduce_betaz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32948ze3z83zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_zc3anonymousza32957ze3z83zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static bool_t BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_variablez00_bglt, obj_t);
extern obj_t BGl_za2blongza2z00zztype_cachez00;
extern obj_t BGl_globalz00zzast_varz00;
extern BgL_typez00_bglt BGl_typeofz00zzcoerce_typeofz00(BgL_nodez00_bglt);
static obj_t BGl_nodezd2betaz12zd2cast2740z12zzreduce_betaz00(obj_t, obj_t);
static obj_t BGl__dangerouszd2bindingzf3z21zzreduce_betaz00(obj_t, obj_t);
static bool_t BGl_argumentzf3zf3zzreduce_betaz00(BgL_variablez00_bglt, obj_t);
static obj_t BGl_predicatezf3zf3zzreduce_betaz00(BgL_appz00_bglt);
static bool_t BGl_everyzf3zf3zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl__reducezd2betaz12zc0zzreduce_betaz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_nodezd2betaz12zd2default2728z12zzreduce_betaz00(BgL_nodez00_bglt);
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzreduce_betaz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static bool_t BGl_dangerouszd2bindingzf3z21zzreduce_betaz00(obj_t);
extern obj_t BGl_za2bintza2z00zztype_cachez00;
extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzreduce_betaz00();
static obj_t BGl_zc3anonymousza32983ze3z83zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nodezd2betaz12zd2select2746z12zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_reducezd2betaz12zc0zzreduce_betaz00(obj_t);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd2betaz12zd2makezd2box2754zc0zzreduce_betaz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_findzd2actualzd2expressionz00zzreduce_betaz00(BgL_nodez00_bglt);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_makezd2argszd2listz00zzreduce_betaz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzreduce_betaz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_nodezd2betaz12zd2jumpzd2exzd2it2752z12zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_betaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
static obj_t BGl_nodezd2betaz12zd2app2758z12zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
extern obj_t BGl_za2brealza2z00zztype_cachez00;
extern obj_t BGl_za2longza2z00zztype_cachez00;
extern obj_t BGl_za2intza2z00zztype_cachez00;
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__dangerouszf3zf3zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl__nodezd2betaz12zd2default2728z12zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd2betaz12zd2setzd2exzd2it2750z12zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static long BGl_za2removedza2z00zzreduce_betaz00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_simplezf3zf3zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_nodez00_bglt);
static bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_nodezd2betaz12zd2appzd2ly2736zc0zzreduce_betaz00(obj_t, obj_t);
static obj_t BGl_nodezd2betaz12zd2letzd2fun2748zc0zzreduce_betaz00(obj_t, obj_t);
static bool_t BGl_anyzf3zf3zzreduce_betaz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzreduce_betaz00 = BUNSPEC;
static obj_t BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(BgL_appz00_bglt);
static obj_t BGl_za2predicatesza2z00zzreduce_betaz00 = BUNSPEC;
static obj_t BGl_nodezd2betaz12zd2funcall2738z12zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_za2realza2z00zztype_cachez00;
static obj_t BGl_nodezd2betaz12zd2letzd2var2732zc0zzreduce_betaz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_betaz00();
static obj_t BGl_nodezd2betaz12zd2setq2742z12zzreduce_betaz00(obj_t, obj_t);
static bool_t BGl_dangerouszf3zf3zzreduce_betaz00(obj_t);
static obj_t BGl_nodezd2betaz12zd2conditional2744z12zzreduce_betaz00(obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl__sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t, obj_t);
static obj_t BGl__nodezd2betaz123129zc0zzreduce_betaz00(obj_t, obj_t);
static obj_t __cnst[ 4 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_reducezd2betaz12zd2envz12zzreduce_betaz00, BgL_bgl__reduceza7d2betaza712za7c0za7za7reduce_betaza7003156z00, BGl__reducezd2betaz12zc0zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_dangerouszf3zd2envz21zzreduce_betaz00, BgL_bgl__dangerousza7f3za7f3za7za7reduce_betaza7003157za7, BGl__dangerouszf3zf3zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_bgl__nodeza7d2betaza7123129za7c0za7za7reduce_betaza7003158z00, BGl__nodezd2betaz123129zc0zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3135z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2letza7d2var2732za7c0za7za7reduce_betaza7003159z00, BGl_nodezd2betaz12zd2letzd2var2732zc0zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3136z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2sequence2734za712za7za7reduce_betaza7003160za7, BGl_nodezd2betaz12zd2sequence2734z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3137z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2appza7d2ly2736za7c0za7za7reduce_betaza7003161z00, BGl_nodezd2betaz12zd2appzd2ly2736zc0zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3138z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2funcall2738za712za7za7reduce_betaza7003162za7, BGl_nodezd2betaz12zd2funcall2738z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3140z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2setq2742za712za7za7reduce_betaza7003163za7, BGl_nodezd2betaz12zd2setq2742z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3139z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2cast2740za712za7za7reduce_betaza7003164za7, BGl_nodezd2betaz12zd2cast2740z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3141z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2conditional2744za712za7za7reduce_betaza7003165za7, BGl_nodezd2betaz12zd2conditional2744z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3142z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2select2746za712za7za7reduce_betaza7003166za7, BGl_nodezd2betaz12zd2select2746z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3143z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2letza7d2fun2748za7c0za7za7reduce_betaza7003167z00, BGl_nodezd2betaz12zd2letzd2fun2748zc0zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3144z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2setza7d2exza7d2it2750za712za7za7reduce_betaza7003168za7, BGl_nodezd2betaz12zd2setzd2exzd2it2750z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3145z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2jumpza7d2exza7d2it2752za712za7za7reduce_betaza7003169za7, BGl_nodezd2betaz12zd2jumpzd2exzd2it2752z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3146z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2makeza7d2box2754za7c0za7za7reduce_betaza7003170z00, BGl_nodezd2betaz12zd2makezd2box2754zc0zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3147z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2boxza7d2setza7122756za7d2za7za7reduce_betaza7003171za7, BGl_nodezd2betaz12zd2boxzd2setz122756zd2zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3148z00zzreduce_betaz00, BgL_bgl_nodeza7d2betaza712za7d2app2758za712za7za7reduce_betaza7003172za7, BGl_nodezd2betaz12zd2app2758z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3150z00zzreduce_betaz00, BgL_bgl_za7c3anonymousza7a32983za7e3za783za7za7reduce_betaza7003173za7, BGl_zc3anonymousza32983ze3z83zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3149z00zzreduce_betaz00, BgL_bgl_simpleza7f3za7f3za7za7reduce_betaza7003174za7, BGl_simplezf3zf3zzreduce_betaz00, 0L, 1 );
DEFINE_STRING( BGl_string3151z00zzreduce_betaz00, BgL_bgl_string3151za700za7za7reduce_betaza7003175z00, "nesting c-flonum? c-fixnum? foreign ", 36 );
DEFINE_STRING( BGl_string3134z00zzreduce_betaz00, BgL_bgl_string3134za700za7za7reduce_betaza7003176z00, "Illegal predicate", 17 );
DEFINE_STRING( BGl_string3133z00zzreduce_betaz00, BgL_bgl_string3133za700za7za7reduce_betaza7003177z00, "node-beta-predicate!", 20 );
DEFINE_STRING( BGl_string3132z00zzreduce_betaz00, BgL_bgl_string3132za700za7za7reduce_betaza7003178z00, "(removed : ", 11 );
DEFINE_STRING( BGl_string3131z00zzreduce_betaz00, BgL_bgl_string3131za700za7za7reduce_betaza7003179z00, "      Simple beta reduction  ", 29 );
extern obj_t BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00;
DEFINE_STATIC_PROCEDURE( BGl_nodezd2betaz12zd2default2728zd2envzc0zzreduce_betaz00, BgL_bgl__nodeza7d2betaza712za7d2default2728za712za7za7reduce_betaza7003180za7, BGl__nodezd2betaz12zd2default2728z12zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_dangerouszd2bindingzf3zd2envzf3zzreduce_betaz00, BgL_bgl__dangerousza7d2bindingza7f3za721za7za7reduce_betaza7003181z00, BGl__dangerouszd2bindingzf3z21zzreduce_betaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sidezd2effectzd2safezf3zd2envz21zzreduce_betaz00, BgL_bgl__sideza7d2effectza7d2safeza7f3za7f3za7za7reduce_betaza7003182za7, BGl__sidezd2effectzd2safezf3zf3zzreduce_betaz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzreduce_betaz00(long BgL_checksumz00_3531, char * BgL_fromz00_3532)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzreduce_betaz00))
{ 
BGl_requirezd2initializa7ationz75zzreduce_betaz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzreduce_betaz00(); 
BGl_cnstzd2initzd2zzreduce_betaz00(); 
BGl_importedzd2moduleszd2initz00zzreduce_betaz00(); 
BGl_methodzd2initzd2zzreduce_betaz00(); 
BGl_toplevelzd2initzd2zzreduce_betaz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzreduce_betaz00()
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 25 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "reduce_beta"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzreduce_betaz00()
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 25 */
{ /* Reduce/sbeta.scm 25 */
obj_t BgL_cportz00_3524;
BgL_cportz00_3524 = 
open_input_string(BGl_string3151z00zzreduce_betaz00); 
{ 
long BgL_iz00_3525;
BgL_iz00_3525 = ((long)3); 
BgL_loopz00_3526:
if(
(BgL_iz00_3525==((long)-1)))
{ /* Reduce/sbeta.scm 25 */
return BUNSPEC;}  else 
{ /* Reduce/sbeta.scm 25 */
{ /* Reduce/sbeta.scm 25 */
obj_t BgL_arg3153z00_3528;
{ /* Reduce/sbeta.scm 25 */
obj_t BgL_list3154z00_3529;
BgL_list3154z00_3529 = 
MAKE_PAIR(BgL_cportz00_3524, BNIL); 
BgL_arg3153z00_3528 = 
BGl_readz00zz__readerz00(BgL_list3154z00_3529); } 
{ /* Reduce/sbeta.scm 25 */
int BgL_auxz00_3549;
BgL_auxz00_3549 = 
(int)(BgL_iz00_3525); 
CNST_TABLE_SET(BgL_auxz00_3549, BgL_arg3153z00_3528); } } 
{ 
long BgL_iz00_3552;
{ /* Reduce/sbeta.scm 25 */
int BgL_auxz00_3553;
{ /* Reduce/sbeta.scm 25 */
long BgL_auxz00_3554;
BgL_auxz00_3554 = 
(BgL_iz00_3525-((long)1)); 
BgL_auxz00_3553 = 
(int)(BgL_auxz00_3554); } 
BgL_iz00_3552 = 
(long)(BgL_auxz00_3553); } 
BgL_iz00_3525 = BgL_iz00_3552; 
goto BgL_loopz00_3526;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzreduce_betaz00()
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 25 */
BGl_za2removedza2z00zzreduce_betaz00 = ((long)0); 
BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = BUNSPEC; 
BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = BUNSPEC; 
BGl_za2predicatesza2z00zzreduce_betaz00 = BNIL; 
return BUNSPEC;} 
}



/* reduce-beta! */
obj_t BGl_reducezd2betaz12zc0zzreduce_betaz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 46 */
{ /* Reduce/sbeta.scm 47 */
obj_t BgL_list2759z00_1256;
BgL_list2759z00_1256 = 
MAKE_PAIR(BGl_string3131z00zzreduce_betaz00, BNIL); 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2759z00_1256); } 
BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_1); 
BGl_za2removedza2z00zzreduce_betaz00 = ((long)0); 
{ /* Reduce/sbeta.scm 54 */
obj_t BgL_list2760z00_1257;
{ /* Reduce/sbeta.scm 54 */
obj_t BgL_auxz00_3562;
BgL_auxz00_3562 = 
CNST_TABLE_REF(((long)0)); 
BgL_list2760z00_1257 = 
MAKE_PAIR(BgL_auxz00_3562, BNIL); } 
BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = 
BGl_findzd2globalzd2zzast_envz00(
CNST_TABLE_REF(((long)1)), BgL_list2760z00_1257); } 
{ /* Reduce/sbeta.scm 55 */
obj_t BgL_list2761z00_1258;
{ /* Reduce/sbeta.scm 55 */
obj_t BgL_auxz00_3567;
BgL_auxz00_3567 = 
CNST_TABLE_REF(((long)0)); 
BgL_list2761z00_1258 = 
MAKE_PAIR(BgL_auxz00_3567, BNIL); } 
BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = 
BGl_findzd2globalzd2zzast_envz00(
CNST_TABLE_REF(((long)2)), BgL_list2761z00_1258); } 
{ /* Reduce/sbeta.scm 56 */
obj_t BgL_list2762z00_1259;
{ /* Reduce/sbeta.scm 56 */
obj_t BgL_arg2763z00_1260;
BgL_arg2763z00_1260 = 
MAKE_PAIR(BGl_za2czd2flonumzf3za2z21zzreduce_betaz00, BNIL); 
BgL_list2762z00_1259 = 
MAKE_PAIR(BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00, BgL_arg2763z00_1260); } 
BGl_za2predicatesza2z00zzreduce_betaz00 = BgL_list2762z00_1259; } 
{ 
obj_t BgL_l2654z00_1261;
BgL_l2654z00_1261 = BgL_globalsz00_1; 
BgL_lname2655z00_1262:
if(
PAIRP(BgL_l2654z00_1261))
{ /* Reduce/sbeta.scm 58 */
{ /* Reduce/sbeta.scm 59 */
BgL_valuez00_bglt BgL_funz00_1265;
{ /* Reduce/sbeta.scm 59 */
BgL_globalz00_bglt BgL_obj1155z00_2035;
{ /* Reduce/sbeta.scm 59 */
obj_t BgL_auxz00_3576;
BgL_auxz00_3576 = 
CAR(BgL_l2654z00_1261); 
BgL_obj1155z00_2035 = 
(BgL_globalz00_bglt)(BgL_auxz00_3576); } 
BgL_funz00_1265 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2035))->BgL_valuez00); } 
{ /* Reduce/sbeta.scm 60 */

{ /* Reduce/sbeta.scm 61 */
BgL_nodez00_bglt BgL_arg2765z00_1267;
{ /* Reduce/sbeta.scm 61 */
BgL_nodez00_bglt BgL_res3054z00_2063;
{ /* Reduce/sbeta.scm 61 */
BgL_nodez00_bglt BgL_nodez00_2037;
{ /* Reduce/sbeta.scm 61 */
obj_t BgL_auxz00_3580;
{ /* Reduce/sbeta.scm 60 */
BgL_sfunz00_bglt BgL_obj1372z00_2036;
BgL_obj1372z00_2036 = 
(BgL_sfunz00_bglt)(BgL_funz00_1265); 
BgL_auxz00_3580 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2036))->BgL_bodyz00); } 
BgL_nodez00_2037 = 
(BgL_nodez00_bglt)(BgL_auxz00_3580); } 
{ /* Reduce/sbeta.scm 61 */
obj_t BgL_method2729z00_2038;
{ /* Reduce/sbeta.scm 61 */
long BgL_objzd2classzd2numz00_2040;
{ /* Reduce/sbeta.scm 61 */
BgL_objectz00_bglt BgL_auxz00_3584;
BgL_auxz00_3584 = 
(BgL_objectz00_bglt)(BgL_nodez00_2037); 
BgL_objzd2classzd2numz00_2040 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3584); } 
{ /* Reduce/sbeta.scm 61 */
obj_t BgL_arg1221z00_2041;
{ /* Reduce/sbeta.scm 61 */
int BgL_auxz00_3587;
BgL_auxz00_3587 = 
(int)(((long)1)); 
BgL_arg1221z00_2041 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_3587); } 
{ /* Reduce/sbeta.scm 61 */
long BgL_offsetz00_2045;
{ /* Reduce/sbeta.scm 61 */
long BgL_auxz00_3590;
{ /* Reduce/sbeta.scm 61 */
int BgL_auxz00_3591;
BgL_auxz00_3591 = 
(int)(BgL_objzd2classzd2numz00_2040); 
BgL_auxz00_3590 = 
(long)(BgL_auxz00_3591); } 
BgL_offsetz00_2045 = 
(BgL_auxz00_3590-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 61 */
long BgL_modz00_2046;
{ /* Reduce/sbeta.scm 61 */
long BgL_auxz00_3595;
{ /* Reduce/sbeta.scm 61 */
int BgL_auxz00_3596;
BgL_auxz00_3596 = 
(int)(((long)8)); 
BgL_auxz00_3595 = 
(long)(BgL_auxz00_3596); } 
BgL_modz00_2046 = 
(BgL_offsetz00_2045/BgL_auxz00_3595); } 
{ /* Reduce/sbeta.scm 61 */
long BgL_restz00_2048;
{ /* Reduce/sbeta.scm 61 */
long BgL_auxz00_3600;
{ /* Reduce/sbeta.scm 61 */
int BgL_auxz00_3601;
BgL_auxz00_3601 = 
(int)(((long)8)); 
BgL_auxz00_3600 = 
(long)(BgL_auxz00_3601); } 
BgL_restz00_2048 = 
(BgL_offsetz00_2045%BgL_auxz00_3600); } 
{ /* Reduce/sbeta.scm 61 */

{ /* Reduce/sbeta.scm 61 */
obj_t BgL_bucketz00_2050;
{ /* Reduce/sbeta.scm 61 */
int BgL_kz00_2060;
BgL_kz00_2060 = 
(int)(BgL_modz00_2046); 
BgL_bucketz00_2050 = 
VECTOR_REF(BgL_arg1221z00_2041,BgL_kz00_2060); } 
{ /* Reduce/sbeta.scm 61 */
int BgL_kz00_2062;
BgL_kz00_2062 = 
(int)(BgL_restz00_2048); 
BgL_method2729z00_2038 = 
VECTOR_REF(BgL_bucketz00_2050,BgL_kz00_2062); } } } } } } } } 
{ /* Reduce/sbeta.scm 61 */
obj_t BgL_auxz00_3609;
BgL_auxz00_3609 = 
PROCEDURE_ENTRY(BgL_method2729z00_2038)(BgL_method2729z00_2038, 
(obj_t)(BgL_nodez00_2037), BEOA); 
BgL_res3054z00_2063 = 
(BgL_nodez00_bglt)(BgL_auxz00_3609); } } } 
BgL_arg2765z00_1267 = BgL_res3054z00_2063; } 
{ /* Reduce/sbeta.scm 61 */
BgL_sfunz00_bglt BgL_obj1374z00_2064;obj_t BgL_val1373z00_2065;
BgL_obj1374z00_2064 = 
(BgL_sfunz00_bglt)(BgL_funz00_1265); 
BgL_val1373z00_2065 = 
(obj_t)(BgL_arg2765z00_1267); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2064))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2065), BUNSPEC); } } BUNSPEC; } } 
{ 
obj_t BgL_l2654z00_3617;
BgL_l2654z00_3617 = 
CDR(BgL_l2654z00_1261); 
BgL_l2654z00_1261 = BgL_l2654z00_3617; 
goto BgL_lname2655z00_1262;} }  else 
{ /* Reduce/sbeta.scm 58 */((bool_t)1); } } 
BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00 = BUNSPEC; 
BGl_za2czd2flonumzf3za2z21zzreduce_betaz00 = BUNSPEC; 
BGl_za2predicatesza2z00zzreduce_betaz00 = BNIL; 
{ /* Reduce/sbeta.scm 69 */
obj_t BgL_list2767z00_1269;
{ /* Reduce/sbeta.scm 69 */
obj_t BgL_arg2770z00_1271;
{ /* Reduce/sbeta.scm 69 */
obj_t BgL_arg2771z00_1272;
{ /* Reduce/sbeta.scm 69 */
obj_t BgL_arg2772z00_1273;
{ /* Reduce/sbeta.scm 69 */
obj_t BgL_auxz00_3619;
BgL_auxz00_3619 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2772z00_1273 = 
MAKE_PAIR(BgL_auxz00_3619, BNIL); } 
{ /* Reduce/sbeta.scm 69 */
obj_t BgL_auxz00_3622;
BgL_auxz00_3622 = 
BCHAR(((unsigned char)')')); 
BgL_arg2771z00_1272 = 
MAKE_PAIR(BgL_auxz00_3622, BgL_arg2772z00_1273); } } 
{ /* Reduce/sbeta.scm 69 */
obj_t BgL_auxz00_3625;
BgL_auxz00_3625 = 
BINT(BGl_za2removedza2z00zzreduce_betaz00); 
BgL_arg2770z00_1271 = 
MAKE_PAIR(BgL_auxz00_3625, BgL_arg2771z00_1272); } } 
BgL_list2767z00_1269 = 
MAKE_PAIR(BGl_string3132z00zzreduce_betaz00, BgL_arg2770z00_1271); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2767z00_1269); } 
return BgL_globalsz00_1;} 
}



/* _reduce-beta! */
obj_t BGl__reducezd2betaz12zc0zzreduce_betaz00(obj_t BgL_envz00_3454, obj_t BgL_globalsz00_3455)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 46 */
return 
BGl_reducezd2betaz12zc0zzreduce_betaz00(BgL_globalsz00_3455);} 
}



/* any? */
bool_t BGl_anyzf3zf3zzreduce_betaz00(obj_t BgL_predz00_4, obj_t BgL_listz00_5)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 93 */
BGl_anyzf3zf3zzreduce_betaz00:
if(
NULLP(BgL_listz00_5))
{ /* Reduce/sbeta.scm 95 */
return ((bool_t)0);}  else 
{ /* Reduce/sbeta.scm 97 */
bool_t BgL_test2774z00_1275;
{ /* Reduce/sbeta.scm 97 */
obj_t BgL_auxz00_3634;
BgL_auxz00_3634 = 
PROCEDURE_ENTRY(BgL_predz00_4)(BgL_predz00_4, 
CAR(BgL_listz00_5), BEOA); 
BgL_test2774z00_1275 = 
CBOOL(BgL_auxz00_3634); } 
if(BgL_test2774z00_1275)
{ /* Reduce/sbeta.scm 97 */
return ((bool_t)1);}  else 
{ /* Reduce/sbeta.scm 97 */
{ 
obj_t BgL_listz00_3640;
BgL_listz00_3640 = 
CDR(BgL_listz00_5); 
BgL_listz00_5 = BgL_listz00_3640; 
goto BGl_anyzf3zf3zzreduce_betaz00;} } } } 
}



/* every? */
bool_t BGl_everyzf3zf3zzreduce_betaz00(obj_t BgL_predz00_6, obj_t BgL_listz00_7)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 105 */
BGl_everyzf3zf3zzreduce_betaz00:
if(
NULLP(BgL_listz00_7))
{ /* Reduce/sbeta.scm 107 */
return ((bool_t)1);}  else 
{ /* Reduce/sbeta.scm 109 */
bool_t BgL_test2779z00_1279;
{ /* Reduce/sbeta.scm 109 */
obj_t BgL_auxz00_3644;
BgL_auxz00_3644 = 
PROCEDURE_ENTRY(BgL_predz00_6)(BgL_predz00_6, 
CAR(BgL_listz00_7), BEOA); 
BgL_test2779z00_1279 = 
CBOOL(BgL_auxz00_3644); } 
if(BgL_test2779z00_1279)
{ /* Reduce/sbeta.scm 109 */
{ 
obj_t BgL_listz00_3650;
BgL_listz00_3650 = 
CDR(BgL_listz00_7); 
BgL_listz00_7 = BgL_listz00_3650; 
goto BGl_everyzf3zf3zzreduce_betaz00;} }  else 
{ /* Reduce/sbeta.scm 109 */
return ((bool_t)0);} } } 
}



/* find-actual-expression */
BgL_nodez00_bglt BGl_findzd2actualzd2expressionz00zzreduce_betaz00(BgL_nodez00_bglt BgL_bodyz00_8)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 117 */
BGl_findzd2actualzd2expressionz00zzreduce_betaz00:
{ /* Reduce/sbeta.scm 118 */
bool_t BgL_test2783z00_1282;
BgL_test2783z00_1282 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_bodyz00_8), BGl_sequencez00zzast_nodez00); 
if(BgL_test2783z00_1282)
{ /* Reduce/sbeta.scm 120 */
bool_t BgL_testz00_3655;
{ /* Reduce/sbeta.scm 120 */
bool_t BgL_testz00_3656;
{ /* Reduce/sbeta.scm 120 */
obj_t BgL_auxz00_3657;
{ /* Reduce/sbeta.scm 120 */
BgL_sequencez00_bglt BgL_obj1690z00_2074;
BgL_obj1690z00_2074 = 
(BgL_sequencez00_bglt)(BgL_bodyz00_8); 
BgL_auxz00_3657 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1690z00_2074))->BgL_nodesz00); } 
BgL_testz00_3656 = 
PAIRP(BgL_auxz00_3657); } 
if(BgL_testz00_3656)
{ /* Reduce/sbeta.scm 120 */
obj_t BgL_auxz00_3661;
{ /* Reduce/sbeta.scm 120 */
obj_t BgL_auxz00_3662;
{ /* Reduce/sbeta.scm 120 */
BgL_sequencez00_bglt BgL_obj1690z00_2076;
BgL_obj1690z00_2076 = 
(BgL_sequencez00_bglt)(BgL_bodyz00_8); 
BgL_auxz00_3662 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1690z00_2076))->BgL_nodesz00); } 
BgL_auxz00_3661 = 
CDR(BgL_auxz00_3662); } 
BgL_testz00_3655 = 
NULLP(BgL_auxz00_3661); }  else 
{ /* Reduce/sbeta.scm 120 */
BgL_testz00_3655 = ((bool_t)0)
; } } 
if(BgL_testz00_3655)
{ 
BgL_nodez00_bglt BgL_bodyz00_3667;
{ /* Reduce/sbeta.scm 121 */
obj_t BgL_auxz00_3668;
{ /* Reduce/sbeta.scm 121 */
obj_t BgL_auxz00_3669;
{ /* Reduce/sbeta.scm 121 */
BgL_sequencez00_bglt BgL_obj1690z00_2079;
BgL_obj1690z00_2079 = 
(BgL_sequencez00_bglt)(BgL_bodyz00_8); 
BgL_auxz00_3669 = 
(((BgL_sequencez00_bglt)CREF(BgL_obj1690z00_2079))->BgL_nodesz00); } 
BgL_auxz00_3668 = 
CAR(BgL_auxz00_3669); } 
BgL_bodyz00_3667 = 
(BgL_nodez00_bglt)(BgL_auxz00_3668); } 
BgL_bodyz00_8 = BgL_bodyz00_3667; 
goto BGl_findzd2actualzd2expressionz00zzreduce_betaz00;}  else 
{ /* Reduce/sbeta.scm 120 */
return BgL_bodyz00_8;} }  else 
{ /* Reduce/sbeta.scm 118 */
return BgL_bodyz00_8;} } } 
}



/* is-argument? */
bool_t BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_variablez00_bglt BgL_varz00_9, obj_t BgL_bodyz00_10)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 128 */
{ /* Reduce/sbeta.scm 130 */
bool_t BgL_test2791z00_1291;
{ /* Reduce/sbeta.scm 130 */
bool_t BgL_res3055z00_2087;
{ /* Reduce/sbeta.scm 130 */
BgL_nodez00_bglt BgL_nodez00_2082;
BgL_nodez00_2082 = 
(BgL_nodez00_bglt)(BgL_bodyz00_10); 
{ /* Reduce/sbeta.scm 130 */
bool_t BgL__andtest_2669z00_2083;
BgL__andtest_2669z00_2083 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_nodez00_2082), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2669z00_2083)
{ /* Reduce/sbeta.scm 130 */
obj_t BgL_auxz00_3683;obj_t BgL_auxz00_3678;
BgL_auxz00_3683 = 
(obj_t)(BgL_varz00_9); 
{ /* Reduce/sbeta.scm 130 */
BgL_variablez00_bglt BgL_auxz00_3679;
{ /* Reduce/sbeta.scm 130 */
BgL_varz00_bglt BgL_obj1619z00_2086;
BgL_obj1619z00_2086 = 
(BgL_varz00_bglt)(BgL_nodez00_2082); 
BgL_auxz00_3679 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2086))->BgL_variablez00); } 
BgL_auxz00_3678 = 
(obj_t)(BgL_auxz00_3679); } 
BgL_res3055z00_2087 = 
(BgL_auxz00_3678==BgL_auxz00_3683); }  else 
{ /* Reduce/sbeta.scm 130 */
BgL_res3055z00_2087 = ((bool_t)0); } } } 
BgL_test2791z00_1291 = BgL_res3055z00_2087; } 
if(BgL_test2791z00_1291)
{ /* Reduce/sbeta.scm 130 */
return ((bool_t)1);}  else 
{ /* Reduce/sbeta.scm 132 */
bool_t BgL_test2792z00_1292;
BgL_test2792z00_1292 = 
BGl_iszd2azf3z21zz__objectz00(BgL_bodyz00_10, BGl_castz00zzast_nodez00); 
if(BgL_test2792z00_1292)
{ /* Reduce/sbeta.scm 132 */
{ /* Reduce/sbeta.scm 134 */
BgL_nodez00_bglt BgL_arg2793z00_1294;
{ /* Reduce/sbeta.scm 134 */
BgL_castz00_bglt BgL_obj2248z00_2089;
BgL_obj2248z00_2089 = 
(BgL_castz00_bglt)(BgL_bodyz00_10); 
BgL_arg2793z00_1294 = 
(((BgL_castz00_bglt)CREF(BgL_obj2248z00_2089))->BgL_argz00); } 
{ /* Reduce/sbeta.scm 134 */
bool_t BgL_res3056z00_2096;
{ /* Reduce/sbeta.scm 134 */
bool_t BgL__andtest_2669z00_2092;
BgL__andtest_2669z00_2092 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_arg2793z00_1294), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2669z00_2092)
{ /* Reduce/sbeta.scm 134 */
obj_t BgL_auxz00_3699;obj_t BgL_auxz00_3694;
BgL_auxz00_3699 = 
(obj_t)(BgL_varz00_9); 
{ /* Reduce/sbeta.scm 134 */
BgL_variablez00_bglt BgL_auxz00_3695;
{ /* Reduce/sbeta.scm 134 */
BgL_varz00_bglt BgL_obj1619z00_2095;
BgL_obj1619z00_2095 = 
(BgL_varz00_bglt)(BgL_arg2793z00_1294); 
BgL_auxz00_3695 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2095))->BgL_variablez00); } 
BgL_auxz00_3694 = 
(obj_t)(BgL_auxz00_3695); } 
BgL_res3056z00_2096 = 
(BgL_auxz00_3694==BgL_auxz00_3699); }  else 
{ /* Reduce/sbeta.scm 134 */
BgL_res3056z00_2096 = ((bool_t)0); } } 
return BgL_res3056z00_2096;} } }  else 
{ /* Reduce/sbeta.scm 132 */
return ((bool_t)0);} } } } 
}



/* argument? */
bool_t BGl_argumentzf3zf3zzreduce_betaz00(BgL_variablez00_bglt BgL_varz00_11, obj_t BgL_argsz00_12)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 141 */
{ 
obj_t BgL_argsz00_1295;
BgL_argsz00_1295 = BgL_argsz00_12; 
BgL_loopz00_1296:
if(
NULLP(BgL_argsz00_1295))
{ /* Reduce/sbeta.scm 144 */
return ((bool_t)0);}  else 
{ /* Reduce/sbeta.scm 144 */
if(
BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_varz00_11, 
CAR(BgL_argsz00_1295)))
{ /* Reduce/sbeta.scm 146 */
return ((bool_t)1);}  else 
{ /* Reduce/sbeta.scm 146 */
{ 
obj_t BgL_argsz00_3707;
BgL_argsz00_3707 = 
CDR(BgL_argsz00_1295); 
BgL_argsz00_1295 = BgL_argsz00_3707; 
goto BgL_loopz00_1296;} } } } } 
}



/* make-args-list */
obj_t BGl_makezd2argszd2listz00zzreduce_betaz00(obj_t BgL_bindingsz00_13, obj_t BgL_argsz00_14)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 154 */
if(
NULLP(BgL_argsz00_14))
{ /* Reduce/sbeta.scm 155 */
return BNIL;}  else 
{ /* Reduce/sbeta.scm 155 */
obj_t BgL_head2662z00_1303;
BgL_head2662z00_1303 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2660z00_1304;obj_t BgL_tail2663z00_1305;
BgL_l2660z00_1304 = BgL_argsz00_14; 
BgL_tail2663z00_1305 = BgL_head2662z00_1303; 
BgL_lname2661z00_1306:
if(
NULLP(BgL_l2660z00_1304))
{ /* Reduce/sbeta.scm 155 */
return 
CDR(BgL_head2662z00_1303);}  else 
{ /* Reduce/sbeta.scm 156 */
obj_t BgL_newtail2664z00_1308;
{ /* Reduce/sbeta.scm 155 */
obj_t BgL_auxz00_3715;
{ /* Reduce/sbeta.scm 156 */
obj_t BgL_az00_1312;
BgL_az00_1312 = 
CAR(BgL_l2660z00_1304); 
{ 
obj_t BgL_bindingsz00_1313;
BgL_bindingsz00_1313 = BgL_bindingsz00_13; 
BgL_loopz00_1314:
if(
NULLP(BgL_bindingsz00_1313))
{ /* Reduce/sbeta.scm 158 */
BgL_auxz00_3715 = BgL_az00_1312; }  else 
{ /* Reduce/sbeta.scm 160 */
bool_t BgL_testz00_3719;
{ /* Reduce/sbeta.scm 160 */
BgL_variablez00_bglt BgL_auxz00_3720;
{ /* Reduce/sbeta.scm 160 */
obj_t BgL_auxz00_3721;
{ /* Reduce/sbeta.scm 160 */
obj_t BgL_auxz00_3722;
BgL_auxz00_3722 = 
CAR(BgL_bindingsz00_1313); 
BgL_auxz00_3721 = 
CAR(BgL_auxz00_3722); } 
BgL_auxz00_3720 = 
(BgL_variablez00_bglt)(BgL_auxz00_3721); } 
BgL_testz00_3719 = 
BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_auxz00_3720, BgL_az00_1312); } 
if(BgL_testz00_3719)
{ /* Reduce/sbeta.scm 160 */
{ /* Reduce/sbeta.scm 161 */
obj_t BgL_auxz00_3727;
BgL_auxz00_3727 = 
CAR(BgL_bindingsz00_1313); 
BgL_auxz00_3715 = 
CDR(BgL_auxz00_3727); } }  else 
{ /* Reduce/sbeta.scm 160 */
{ 
obj_t BgL_bindingsz00_3730;
BgL_bindingsz00_3730 = 
CDR(BgL_bindingsz00_1313); 
BgL_bindingsz00_1313 = BgL_bindingsz00_3730; 
goto BgL_loopz00_1314;} } } } } 
BgL_newtail2664z00_1308 = 
MAKE_PAIR(BgL_auxz00_3715, BNIL); } 
SET_CDR(BgL_tail2663z00_1305, BgL_newtail2664z00_1308); 
{ 
obj_t BgL_tail2663z00_3736;obj_t BgL_l2660z00_3734;
BgL_l2660z00_3734 = 
CDR(BgL_l2660z00_1304); 
BgL_tail2663z00_3736 = BgL_newtail2664z00_1308; 
BgL_tail2663z00_1305 = BgL_tail2663z00_3736; 
BgL_l2660z00_1304 = BgL_l2660z00_3734; 
goto BgL_lname2661z00_1306;} } } } } 
}



/* dangerous? */
bool_t BGl_dangerouszf3zf3zzreduce_betaz00(obj_t BgL_exprz00_15)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 169 */
{ /* Reduce/sbeta.scm 170 */
BgL_nodez00_bglt BgL_exprz00_1319;
BgL_exprz00_1319 = 
BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
(BgL_nodez00_bglt)(BgL_exprz00_15)); 
{ /* Reduce/sbeta.scm 172 */
bool_t BgL_test2807z00_1320;
{ /* Reduce/sbeta.scm 172 */
bool_t BgL_test2822z00_1338;
BgL_test2822z00_1338 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1319), BGl_varz00zzast_nodez00); 
if(BgL_test2822z00_1338)
{ /* Reduce/sbeta.scm 172 */
BgL_test2807z00_1320 = ((bool_t)1); }  else 
{ /* Reduce/sbeta.scm 172 */
bool_t BgL_test2823z00_1339;
BgL_test2823z00_1339 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1319), BGl_atomz00zzast_nodez00); 
if(BgL_test2823z00_1339)
{ /* Reduce/sbeta.scm 172 */
BgL_test2807z00_1320 = ((bool_t)1); }  else 
{ /* Reduce/sbeta.scm 172 */
BgL_test2807z00_1320 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1319), BGl_kwotez00zzast_nodez00); } } } 
if(BgL_test2807z00_1320)
{ /* Reduce/sbeta.scm 172 */
return ((bool_t)0);}  else 
{ /* Reduce/sbeta.scm 174 */
bool_t BgL_test2808z00_1321;
BgL_test2808z00_1321 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1319), BGl_vrefz00zzast_nodez00); 
if(BgL_test2808z00_1321)
{ /* Reduce/sbeta.scm 174 */
{ /* Reduce/sbeta.scm 175 */
obj_t BgL_auxz00_3751;
{ /* Reduce/sbeta.scm 175 */
BgL_vrefz00_bglt BgL_obj2070z00_2125;
BgL_obj2070z00_2125 = 
(BgL_vrefz00_bglt)(BgL_exprz00_1319); 
BgL_auxz00_3751 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2070z00_2125))->BgL_exprza2za2); } 
return 
BGl_anyzf3zf3zzreduce_betaz00(BGl_dangerouszf3zd2envz21zzreduce_betaz00, BgL_auxz00_3751);} }  else 
{ /* Reduce/sbeta.scm 176 */
bool_t BgL_test2810z00_1323;
BgL_test2810z00_1323 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1319), BGl_getfieldz00zzast_nodez00); 
if(BgL_test2810z00_1323)
{ /* Reduce/sbeta.scm 176 */
{ /* Reduce/sbeta.scm 177 */
obj_t BgL_auxz00_3758;
{ /* Reduce/sbeta.scm 177 */
BgL_getfieldz00_bglt BgL_obj1898z00_2127;
BgL_obj1898z00_2127 = 
(BgL_getfieldz00_bglt)(BgL_exprz00_1319); 
BgL_auxz00_3758 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj1898z00_2127))->BgL_exprza2za2); } 
return 
BGl_anyzf3zf3zzreduce_betaz00(BGl_dangerouszf3zd2envz21zzreduce_betaz00, BgL_auxz00_3758);} }  else 
{ /* Reduce/sbeta.scm 178 */
bool_t BgL_test2812z00_1325;
BgL_test2812z00_1325 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1319), BGl_appz00zzast_nodez00); 
if(BgL_test2812z00_1325)
{ /* Reduce/sbeta.scm 178 */
{ /* Reduce/sbeta.scm 182 */
BgL_variablez00_bglt BgL_varz00_1327;
{ /* Reduce/sbeta.scm 182 */
BgL_varz00_bglt BgL_arg2821z00_1337;
{ /* Reduce/sbeta.scm 182 */
BgL_appz00_bglt BgL_obj1722z00_2129;
BgL_obj1722z00_2129 = 
(BgL_appz00_bglt)(BgL_exprz00_1319); 
BgL_arg2821z00_1337 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_2129))->BgL_funz00); } 
BgL_varz00_1327 = 
(((BgL_varz00_bglt)CREF(BgL_arg2821z00_1337))->BgL_variablez00); } 
{ /* Reduce/sbeta.scm 182 */
BgL_valuez00_bglt BgL_valz00_1328;
BgL_valz00_1328 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1327))->BgL_valuez00); 
{ /* Reduce/sbeta.scm 183 */

{ /* Reduce/sbeta.scm 184 */
bool_t BgL_test2813z00_1329;
{ /* Reduce/sbeta.scm 184 */
bool_t BgL_test2815z00_1331;
BgL_test2815z00_1331 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_1327), BGl_globalz00zzast_varz00); 
if(BgL_test2815z00_1331)
{ /* Reduce/sbeta.scm 185 */
bool_t BgL_test2816z00_1332;
BgL_test2816z00_1332 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valz00_1328), BGl_cfunz00zzast_varz00); 
if(BgL_test2816z00_1332)
{ /* Reduce/sbeta.scm 186 */
bool_t BgL_testz00_3775;
{ /* Reduce/sbeta.scm 186 */
BgL_cfunz00_bglt BgL_obj1444z00_2134;
BgL_obj1444z00_2134 = 
(BgL_cfunz00_bglt)(BgL_valz00_1328); 
BgL_testz00_3775 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_2134))->BgL_macrozf3zf3); } 
if(BgL_testz00_3775)
{ /* Reduce/sbeta.scm 187 */
bool_t BgL_testz00_3778;
{ /* Reduce/sbeta.scm 187 */
obj_t BgL_auxz00_3779;
{ /* Reduce/sbeta.scm 187 */
obj_t BgL_auxz00_3780;
{ /* Reduce/sbeta.scm 187 */
BgL_globalz00_bglt BgL_obj1185z00_2135;
BgL_obj1185z00_2135 = 
(BgL_globalz00_bglt)(BgL_varz00_1327); 
BgL_auxz00_3780 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1185z00_2135))->BgL_pragmaz00); } 
BgL_auxz00_3779 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)3)), BgL_auxz00_3780); } 
BgL_testz00_3778 = 
CBOOL(BgL_auxz00_3779); } 
if(BgL_testz00_3778)
{ /* Reduce/sbeta.scm 187 */
BgL_test2813z00_1329 = ((bool_t)0); }  else 
{ /* Reduce/sbeta.scm 187 */
BgL_test2813z00_1329 = ((bool_t)1); } }  else 
{ /* Reduce/sbeta.scm 186 */
BgL_test2813z00_1329 = ((bool_t)0); } }  else 
{ /* Reduce/sbeta.scm 185 */
BgL_test2813z00_1329 = ((bool_t)0); } }  else 
{ /* Reduce/sbeta.scm 184 */
BgL_test2813z00_1329 = ((bool_t)0); } } 
if(BgL_test2813z00_1329)
{ /* Reduce/sbeta.scm 184 */
return ((bool_t)1);}  else 
{ /* Reduce/sbeta.scm 189 */
obj_t BgL_auxz00_3787;
{ /* Reduce/sbeta.scm 189 */
BgL_appz00_bglt BgL_obj1725z00_2136;
BgL_obj1725z00_2136 = 
(BgL_appz00_bglt)(BgL_exprz00_1319); 
BgL_auxz00_3787 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2136))->BgL_argsz00); } 
return 
BGl_anyzf3zf3zzreduce_betaz00(BGl_dangerouszf3zd2envz21zzreduce_betaz00, BgL_auxz00_3787);} } } } } }  else 
{ /* Reduce/sbeta.scm 178 */
return ((bool_t)1);} } } } } } } 
}



/* _dangerous? */
obj_t BGl__dangerouszf3zf3zzreduce_betaz00(obj_t BgL_envz00_3458, obj_t BgL_exprz00_3459)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 169 */
{ /* Reduce/sbeta.scm 169 */
bool_t BgL_auxz00_3791;
BgL_auxz00_3791 = 
BGl_dangerouszf3zf3zzreduce_betaz00(BgL_exprz00_3459); 
return 
BBOOL(BgL_auxz00_3791);} } 
}



/* side-effect-safe? */
bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t BgL_exprz00_16)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 200 */
{ /* Reduce/sbeta.scm 201 */
BgL_nodez00_bglt BgL_exprz00_1340;
BgL_exprz00_1340 = 
BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
(BgL_nodez00_bglt)(BgL_exprz00_16)); 
{ /* Reduce/sbeta.scm 203 */
bool_t BgL_test2824z00_1341;
{ /* Reduce/sbeta.scm 203 */
bool_t BgL_test2835z00_1353;
BgL_test2835z00_1353 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1340), BGl_varz00zzast_nodez00); 
if(BgL_test2835z00_1353)
{ /* Reduce/sbeta.scm 203 */
BgL_test2824z00_1341 = ((bool_t)1); }  else 
{ /* Reduce/sbeta.scm 203 */
bool_t BgL_test2836z00_1354;
BgL_test2836z00_1354 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1340), BGl_atomz00zzast_nodez00); 
if(BgL_test2836z00_1354)
{ /* Reduce/sbeta.scm 203 */
BgL_test2824z00_1341 = ((bool_t)1); }  else 
{ /* Reduce/sbeta.scm 203 */
BgL_test2824z00_1341 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1340), BGl_kwotez00zzast_nodez00); } } } 
if(BgL_test2824z00_1341)
{ /* Reduce/sbeta.scm 203 */
return ((bool_t)1);}  else 
{ /* Reduce/sbeta.scm 205 */
bool_t BgL_test2825z00_1342;
BgL_test2825z00_1342 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1340), BGl_vrefz00zzast_nodez00); 
if(BgL_test2825z00_1342)
{ /* Reduce/sbeta.scm 205 */
{ /* Reduce/sbeta.scm 206 */
obj_t BgL_auxz00_3808;
{ /* Reduce/sbeta.scm 206 */
BgL_vrefz00_bglt BgL_obj2070z00_2141;
BgL_obj2070z00_2141 = 
(BgL_vrefz00_bglt)(BgL_exprz00_1340); 
BgL_auxz00_3808 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2070z00_2141))->BgL_exprza2za2); } 
return 
BGl_everyzf3zf3zzreduce_betaz00(BGl_sidezd2effectzd2safezf3zd2envz21zzreduce_betaz00, BgL_auxz00_3808);} }  else 
{ /* Reduce/sbeta.scm 207 */
bool_t BgL_test2827z00_1344;
BgL_test2827z00_1344 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1340), BGl_getfieldz00zzast_nodez00); 
if(BgL_test2827z00_1344)
{ /* Reduce/sbeta.scm 207 */
{ /* Reduce/sbeta.scm 208 */
obj_t BgL_auxz00_3815;
{ /* Reduce/sbeta.scm 208 */
BgL_getfieldz00_bglt BgL_obj1898z00_2143;
BgL_obj1898z00_2143 = 
(BgL_getfieldz00_bglt)(BgL_exprz00_1340); 
BgL_auxz00_3815 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj1898z00_2143))->BgL_exprza2za2); } 
return 
BGl_everyzf3zf3zzreduce_betaz00(BGl_sidezd2effectzd2safezf3zd2envz21zzreduce_betaz00, BgL_auxz00_3815);} }  else 
{ /* Reduce/sbeta.scm 209 */
bool_t BgL_test2829z00_1346;
BgL_test2829z00_1346 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_exprz00_1340), BGl_appz00zzast_nodez00); 
if(BgL_test2829z00_1346)
{ /* Reduce/sbeta.scm 209 */
{ /* Reduce/sbeta.scm 213 */
bool_t BgL_testz00_3822;
{ /* Reduce/sbeta.scm 213 */
BgL_funz00_bglt BgL_obj1311z00_2148;
{ /* Reduce/sbeta.scm 213 */
BgL_valuez00_bglt BgL_auxz00_3823;
{ /* Reduce/sbeta.scm 213 */
BgL_variablez00_bglt BgL_arg2833z00_1351;
{ /* Reduce/sbeta.scm 213 */
BgL_varz00_bglt BgL_arg2834z00_1352;
{ /* Reduce/sbeta.scm 213 */
BgL_appz00_bglt BgL_obj1722z00_2145;
BgL_obj1722z00_2145 = 
(BgL_appz00_bglt)(BgL_exprz00_1340); 
BgL_arg2834z00_1352 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_2145))->BgL_funz00); } 
BgL_arg2833z00_1351 = 
(((BgL_varz00_bglt)CREF(BgL_arg2834z00_1352))->BgL_variablez00); } 
BgL_auxz00_3823 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2833z00_1351))->BgL_valuez00); } 
BgL_obj1311z00_2148 = 
(BgL_funz00_bglt)(BgL_auxz00_3823); } 
{ /* Reduce/sbeta.scm 213 */
obj_t BgL_auxz00_3829;
BgL_auxz00_3829 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_2148))->BgL_sidezd2effectzf3z21); 
BgL_testz00_3822 = 
CBOOL(BgL_auxz00_3829); } } 
if(BgL_testz00_3822)
{ /* Reduce/sbeta.scm 213 */
return ((bool_t)0);}  else 
{ /* Reduce/sbeta.scm 214 */
obj_t BgL_auxz00_3832;
{ /* Reduce/sbeta.scm 214 */
BgL_appz00_bglt BgL_obj1725z00_2149;
BgL_obj1725z00_2149 = 
(BgL_appz00_bglt)(BgL_exprz00_1340); 
BgL_auxz00_3832 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2149))->BgL_argsz00); } 
return 
BGl_everyzf3zf3zzreduce_betaz00(BGl_sidezd2effectzd2safezf3zd2envz21zzreduce_betaz00, BgL_auxz00_3832);} } }  else 
{ /* Reduce/sbeta.scm 209 */
return ((bool_t)0);} } } } } } } 
}



/* _side-effect-safe? */
obj_t BGl__sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t BgL_envz00_3460, obj_t BgL_exprz00_3461)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 200 */
{ /* Reduce/sbeta.scm 200 */
bool_t BgL_auxz00_3836;
BgL_auxz00_3836 = 
BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(BgL_exprz00_3461); 
return 
BBOOL(BgL_auxz00_3836);} } 
}



/* dangerous-binding? */
bool_t BGl_dangerouszd2bindingzf3z21zzreduce_betaz00(obj_t BgL_bindingz00_17)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 220 */
return 
BGl_dangerouszf3zf3zzreduce_betaz00(
CDR(BgL_bindingz00_17));} 
}



/* _dangerous-binding? */
obj_t BGl__dangerouszd2bindingzf3z21zzreduce_betaz00(obj_t BgL_envz00_3462, obj_t BgL_bindingz00_3463)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 220 */
{ /* Reduce/sbeta.scm 220 */
bool_t BgL_auxz00_3841;
BgL_auxz00_3841 = 
BGl_dangerouszd2bindingzf3z21zzreduce_betaz00(BgL_bindingz00_3463); 
return 
BBOOL(BgL_auxz00_3841);} } 
}



/* predicate? */
obj_t BGl_predicatezf3zf3zzreduce_betaz00(BgL_appz00_bglt BgL_nodez00_34)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 449 */
{ /* Reduce/sbeta.scm 451 */
bool_t BgL_testz00_3844;
{ /* Reduce/sbeta.scm 451 */
obj_t BgL_auxz00_3845;
BgL_auxz00_3845 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_34))->BgL_argsz00); 
BgL_testz00_3844 = 
PAIRP(BgL_auxz00_3845); } 
if(BgL_testz00_3844)
{ /* Reduce/sbeta.scm 452 */
bool_t BgL_testz00_3848;
{ /* Reduce/sbeta.scm 452 */
obj_t BgL_auxz00_3849;
{ /* Reduce/sbeta.scm 452 */
obj_t BgL_auxz00_3850;
BgL_auxz00_3850 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_34))->BgL_argsz00); 
BgL_auxz00_3849 = 
CDR(BgL_auxz00_3850); } 
BgL_testz00_3848 = 
NULLP(BgL_auxz00_3849); } 
if(BgL_testz00_3848)
{ /* Reduce/sbeta.scm 453 */
bool_t BgL__andtest_2718z00_1361;
{ /* Reduce/sbeta.scm 453 */
bool_t BgL__ortest_2719z00_1364;
{ /* Reduce/sbeta.scm 453 */
bool_t BgL_test2843z00_1367;
{ /* Reduce/sbeta.scm 453 */
BgL_nodez00_bglt BgL_auxz00_3854;
{ /* Reduce/sbeta.scm 453 */
obj_t BgL_auxz00_3855;
{ /* Reduce/sbeta.scm 453 */
obj_t BgL_auxz00_3856;
BgL_auxz00_3856 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_34))->BgL_argsz00); 
BgL_auxz00_3855 = 
CAR(BgL_auxz00_3856); } 
BgL_auxz00_3854 = 
(BgL_nodez00_bglt)(BgL_auxz00_3855); } 
BgL_test2843z00_1367 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_auxz00_3854); } 
if(BgL_test2843z00_1367)
{ /* Reduce/sbeta.scm 453 */
BgL__ortest_2719z00_1364 = ((bool_t)0); }  else 
{ /* Reduce/sbeta.scm 453 */
BgL__ortest_2719z00_1364 = ((bool_t)1); } } 
if(BgL__ortest_2719z00_1364)
{ /* Reduce/sbeta.scm 453 */
BgL__andtest_2718z00_1361 = BgL__ortest_2719z00_1364; }  else 
{ /* Reduce/sbeta.scm 454 */
obj_t BgL_auxz00_3863;
{ /* Reduce/sbeta.scm 454 */
obj_t BgL_auxz00_3864;
BgL_auxz00_3864 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_34))->BgL_argsz00); 
BgL_auxz00_3863 = 
CAR(BgL_auxz00_3864); } 
BgL__andtest_2718z00_1361 = 
BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(BgL_auxz00_3863); } } 
if(BgL__andtest_2718z00_1361)
{ /* Reduce/sbeta.scm 455 */
obj_t BgL_auxz00_3869;
{ /* Reduce/sbeta.scm 455 */
BgL_variablez00_bglt BgL_auxz00_3870;
{ /* Reduce/sbeta.scm 455 */
BgL_varz00_bglt BgL_arg2840z00_1363;
BgL_arg2840z00_1363 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_34))->BgL_funz00); 
BgL_auxz00_3870 = 
(((BgL_varz00_bglt)CREF(BgL_arg2840z00_1363))->BgL_variablez00); } 
BgL_auxz00_3869 = 
(obj_t)(BgL_auxz00_3870); } 
return 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3869, BGl_za2predicatesza2z00zzreduce_betaz00);}  else 
{ /* Reduce/sbeta.scm 453 */
return BFALSE;} }  else 
{ /* Reduce/sbeta.scm 452 */
return BFALSE;} }  else 
{ /* Reduce/sbeta.scm 451 */
return BFALSE;} } } 
}



/* node-beta-predicate! */
obj_t BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(BgL_appz00_bglt BgL_nodez00_35)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 460 */
{ /* Reduce/sbeta.scm 462 */
BgL_variablez00_bglt BgL_vfunz00_1374;BgL_typez00_bglt BgL_atypez00_1375;
{ /* Reduce/sbeta.scm 462 */
BgL_varz00_bglt BgL_arg2861z00_1392;
BgL_arg2861z00_1392 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_funz00); 
BgL_vfunz00_1374 = 
(((BgL_varz00_bglt)CREF(BgL_arg2861z00_1392))->BgL_variablez00); } 
{ /* Reduce/sbeta.scm 463 */
BgL_nodez00_bglt BgL_auxz00_3877;
{ /* Reduce/sbeta.scm 463 */
obj_t BgL_auxz00_3878;
{ /* Reduce/sbeta.scm 463 */
obj_t BgL_auxz00_3879;
BgL_auxz00_3879 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_argsz00); 
BgL_auxz00_3878 = 
CAR(BgL_auxz00_3879); } 
BgL_auxz00_3877 = 
(BgL_nodez00_bglt)(BgL_auxz00_3878); } 
BgL_atypez00_1375 = 
BGl_typeofz00zzcoerce_typeofz00(BgL_auxz00_3877); } 
{ /* Reduce/sbeta.scm 465 */
bool_t BgL_test2849z00_1376;
{ /* Reduce/sbeta.scm 465 */
obj_t BgL_auxz00_3884;
BgL_auxz00_3884 = 
(obj_t)(BgL_atypez00_1375); 
BgL_test2849z00_1376 = 
(BgL_auxz00_3884==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test2849z00_1376)
{ /* Reduce/sbeta.scm 465 */
return 
(obj_t)(BgL_nodez00_35);}  else 
{ /* Reduce/sbeta.scm 467 */
bool_t BgL_test2850z00_1377;
{ /* Reduce/sbeta.scm 467 */
obj_t BgL_auxz00_3889;
BgL_auxz00_3889 = 
(obj_t)(BgL_vfunz00_1374); 
BgL_test2850z00_1377 = 
(BgL_auxz00_3889==BGl_za2czd2fixnumzf3za2z21zzreduce_betaz00); } 
if(BgL_test2850z00_1377)
{ /* Reduce/sbeta.scm 467 */
{ /* Reduce/sbeta.scm 468 */
long BgL_za71za7_2171;
BgL_za71za7_2171 = BGl_za2removedza2z00zzreduce_betaz00; 
BGl_za2removedza2z00zzreduce_betaz00 = 
(BgL_za71za7_2171+((long)1)); } 
{ /* Reduce/sbeta.scm 471 */
obj_t BgL_arg2851z00_1378;BgL_typez00_bglt BgL_arg2852z00_1379;bool_t BgL_arg2853z00_1380;
BgL_arg2851z00_1378 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_locz00); 
BgL_arg2852z00_1379 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_typez00); 
{ /* Reduce/sbeta.scm 472 */
bool_t BgL__ortest_2723z00_1381;
{ /* Reduce/sbeta.scm 472 */
obj_t BgL_auxz00_3896;
BgL_auxz00_3896 = 
(obj_t)(BgL_atypez00_1375); 
BgL__ortest_2723z00_1381 = 
(BgL_auxz00_3896==BGl_za2bintza2z00zztype_cachez00); } 
if(BgL__ortest_2723z00_1381)
{ /* Reduce/sbeta.scm 472 */
BgL_arg2853z00_1380 = BgL__ortest_2723z00_1381; }  else 
{ /* Reduce/sbeta.scm 473 */
bool_t BgL__ortest_2724z00_1382;
{ /* Reduce/sbeta.scm 473 */
obj_t BgL_auxz00_3900;
BgL_auxz00_3900 = 
(obj_t)(BgL_atypez00_1375); 
BgL__ortest_2724z00_1382 = 
(BgL_auxz00_3900==BGl_za2intza2z00zztype_cachez00); } 
if(BgL__ortest_2724z00_1382)
{ /* Reduce/sbeta.scm 473 */
BgL_arg2853z00_1380 = BgL__ortest_2724z00_1382; }  else 
{ /* Reduce/sbeta.scm 474 */
bool_t BgL__ortest_2725z00_1383;
{ /* Reduce/sbeta.scm 474 */
obj_t BgL_auxz00_3904;
BgL_auxz00_3904 = 
(obj_t)(BgL_atypez00_1375); 
BgL__ortest_2725z00_1383 = 
(BgL_auxz00_3904==BGl_za2longza2z00zztype_cachez00); } 
if(BgL__ortest_2725z00_1383)
{ /* Reduce/sbeta.scm 474 */
BgL_arg2853z00_1380 = BgL__ortest_2725z00_1383; }  else 
{ /* Reduce/sbeta.scm 475 */
obj_t BgL_auxz00_3908;
BgL_auxz00_3908 = 
(obj_t)(BgL_atypez00_1375); 
BgL_arg2853z00_1380 = 
(BgL_auxz00_3908==BGl_za2blongza2z00zztype_cachez00); } } } } 
{ /* Reduce/sbeta.scm 469 */
BgL_atomz00_bglt BgL_res3059z00_2193;
{ /* Reduce/sbeta.scm 469 */
obj_t BgL_value1610z00_2177;
BgL_value1610z00_2177 = 
BBOOL(BgL_arg2853z00_1380); 
{ /* Reduce/sbeta.scm 469 */
BgL_atomz00_bglt BgL_new1611z00_2178;
{ /* Reduce/sbeta.scm 469 */
BgL_atomz00_bglt BgL_res3057z00_2184;
{ /* Reduce/sbeta.scm 469 */
BgL_atomz00_bglt BgL_new1613z00_2179;
BgL_new1613z00_2179 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Reduce/sbeta.scm 469 */
long BgL_arg2897z00_2180;
BgL_arg2897z00_2180 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Reduce/sbeta.scm 469 */
BgL_objectz00_bglt BgL_auxz00_3914;
BgL_auxz00_3914 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2179); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3914, BgL_arg2897z00_2180); } } 
{ /* Reduce/sbeta.scm 469 */
BgL_objectz00_bglt BgL_auxz00_3917;
BgL_auxz00_3917 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2179); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3917, BFALSE); } 
{ /* Reduce/sbeta.scm 469 */
obj_t BgL_auxz00_3920;
BgL_auxz00_3920 = 
(obj_t)(BgL_new1613z00_2179); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3920); } BUNSPEC; 
BgL_res3057z00_2184 = BgL_new1613z00_2179; } 
BgL_new1611z00_2178 = BgL_res3057z00_2184; } 
{ /* Reduce/sbeta.scm 469 */
BgL_atomz00_bglt BgL_res3058z00_2192;
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2178))->BgL_locz00) = ((obj_t)BgL_arg2851z00_1378), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2178))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2852z00_1379), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2178))->BgL_valuez00) = ((obj_t)BgL_value1610z00_2177), BUNSPEC); 
BgL_res3058z00_2192 = BgL_new1611z00_2178; BgL_res3058z00_2192; } 
BgL_res3059z00_2193 = BgL_new1611z00_2178; } } 
return 
(obj_t)(BgL_res3059z00_2193);} } }  else 
{ /* Reduce/sbeta.scm 476 */
bool_t BgL_test2854z00_1384;
{ /* Reduce/sbeta.scm 476 */
obj_t BgL_auxz00_3927;
BgL_auxz00_3927 = 
(obj_t)(BgL_vfunz00_1374); 
BgL_test2854z00_1384 = 
(BgL_auxz00_3927==BGl_za2czd2flonumzf3za2z21zzreduce_betaz00); } 
if(BgL_test2854z00_1384)
{ /* Reduce/sbeta.scm 476 */
{ /* Reduce/sbeta.scm 477 */
long BgL_za71za7_2194;
BgL_za71za7_2194 = BGl_za2removedza2z00zzreduce_betaz00; 
BGl_za2removedza2z00zzreduce_betaz00 = 
(BgL_za71za7_2194+((long)1)); } 
{ /* Reduce/sbeta.scm 480 */
obj_t BgL_arg2855z00_1385;BgL_typez00_bglt BgL_arg2856z00_1386;bool_t BgL_arg2857z00_1387;
BgL_arg2855z00_1385 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_locz00); 
BgL_arg2856z00_1386 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_35))->BgL_typez00); 
{ /* Reduce/sbeta.scm 481 */
bool_t BgL__ortest_2727z00_1388;
{ /* Reduce/sbeta.scm 481 */
obj_t BgL_auxz00_3934;
BgL_auxz00_3934 = 
(obj_t)(BgL_atypez00_1375); 
BgL__ortest_2727z00_1388 = 
(BgL_auxz00_3934==BGl_za2realza2z00zztype_cachez00); } 
if(BgL__ortest_2727z00_1388)
{ /* Reduce/sbeta.scm 481 */
BgL_arg2857z00_1387 = BgL__ortest_2727z00_1388; }  else 
{ /* Reduce/sbeta.scm 482 */
obj_t BgL_auxz00_3938;
BgL_auxz00_3938 = 
(obj_t)(BgL_atypez00_1375); 
BgL_arg2857z00_1387 = 
(BgL_auxz00_3938==BGl_za2brealza2z00zztype_cachez00); } } 
{ /* Reduce/sbeta.scm 478 */
BgL_atomz00_bglt BgL_res3062z00_2216;
{ /* Reduce/sbeta.scm 478 */
obj_t BgL_value1610z00_2200;
BgL_value1610z00_2200 = 
BBOOL(BgL_arg2857z00_1387); 
{ /* Reduce/sbeta.scm 478 */
BgL_atomz00_bglt BgL_new1611z00_2201;
{ /* Reduce/sbeta.scm 478 */
BgL_atomz00_bglt BgL_res3060z00_2207;
{ /* Reduce/sbeta.scm 478 */
BgL_atomz00_bglt BgL_new1613z00_2202;
BgL_new1613z00_2202 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* Reduce/sbeta.scm 478 */
long BgL_arg2897z00_2203;
BgL_arg2897z00_2203 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* Reduce/sbeta.scm 478 */
BgL_objectz00_bglt BgL_auxz00_3944;
BgL_auxz00_3944 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2202); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3944, BgL_arg2897z00_2203); } } 
{ /* Reduce/sbeta.scm 478 */
BgL_objectz00_bglt BgL_auxz00_3947;
BgL_auxz00_3947 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2202); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3947, BFALSE); } 
{ /* Reduce/sbeta.scm 478 */
obj_t BgL_auxz00_3950;
BgL_auxz00_3950 = 
(obj_t)(BgL_new1613z00_2202); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3950); } BUNSPEC; 
BgL_res3060z00_2207 = BgL_new1613z00_2202; } 
BgL_new1611z00_2201 = BgL_res3060z00_2207; } 
{ /* Reduce/sbeta.scm 478 */
BgL_atomz00_bglt BgL_res3061z00_2215;
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2201))->BgL_locz00) = ((obj_t)BgL_arg2855z00_1385), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2201))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2856z00_1386), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2201))->BgL_valuez00) = ((obj_t)BgL_value1610z00_2200), BUNSPEC); 
BgL_res3061z00_2215 = BgL_new1611z00_2201; BgL_res3061z00_2215; } 
BgL_res3062z00_2216 = BgL_new1611z00_2201; } } 
return 
(obj_t)(BgL_res3062z00_2216);} } }  else 
{ /* Reduce/sbeta.scm 476 */
{ /* Reduce/sbeta.scm 484 */
obj_t BgL_arg2860z00_1391;
BgL_arg2860z00_1391 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_35)); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3133z00zzreduce_betaz00, BGl_string3134z00zzreduce_betaz00, BgL_arg2860z00_1391);} } } } } } } 
}



/* node-beta*! */
obj_t BGl_nodezd2betaza2z12z62zzreduce_betaz00(obj_t BgL_nodesz00_36)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 491 */
{ 
obj_t BgL_nodesz00_1395;
BgL_nodesz00_1395 = BgL_nodesz00_36; 
BgL_loopz00_1396:
if(
NULLP(BgL_nodesz00_1395))
{ /* Reduce/sbeta.scm 493 */
return BUNSPEC;}  else 
{ /* Reduce/sbeta.scm 493 */
{ /* Reduce/sbeta.scm 496 */
BgL_nodez00_bglt BgL_arg2865z00_1398;
{ /* Reduce/sbeta.scm 496 */
BgL_nodez00_bglt BgL_res3065z00_2245;
{ /* Reduce/sbeta.scm 496 */
BgL_nodez00_bglt BgL_nodez00_2219;
{ /* Reduce/sbeta.scm 496 */
obj_t BgL_auxz00_3962;
BgL_auxz00_3962 = 
CAR(BgL_nodesz00_1395); 
BgL_nodez00_2219 = 
(BgL_nodez00_bglt)(BgL_auxz00_3962); } 
{ /* Reduce/sbeta.scm 496 */
obj_t BgL_method2729z00_2220;
{ /* Reduce/sbeta.scm 496 */
long BgL_objzd2classzd2numz00_2222;
{ /* Reduce/sbeta.scm 496 */
BgL_objectz00_bglt BgL_auxz00_3965;
BgL_auxz00_3965 = 
(BgL_objectz00_bglt)(BgL_nodez00_2219); 
BgL_objzd2classzd2numz00_2222 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3965); } 
{ /* Reduce/sbeta.scm 496 */
obj_t BgL_arg1221z00_2223;
{ /* Reduce/sbeta.scm 496 */
int BgL_auxz00_3968;
BgL_auxz00_3968 = 
(int)(((long)1)); 
BgL_arg1221z00_2223 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_3968); } 
{ /* Reduce/sbeta.scm 496 */
long BgL_offsetz00_2227;
{ /* Reduce/sbeta.scm 496 */
long BgL_auxz00_3971;
{ /* Reduce/sbeta.scm 496 */
int BgL_auxz00_3972;
BgL_auxz00_3972 = 
(int)(BgL_objzd2classzd2numz00_2222); 
BgL_auxz00_3971 = 
(long)(BgL_auxz00_3972); } 
BgL_offsetz00_2227 = 
(BgL_auxz00_3971-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 496 */
long BgL_modz00_2228;
{ /* Reduce/sbeta.scm 496 */
long BgL_auxz00_3976;
{ /* Reduce/sbeta.scm 496 */
int BgL_auxz00_3977;
BgL_auxz00_3977 = 
(int)(((long)8)); 
BgL_auxz00_3976 = 
(long)(BgL_auxz00_3977); } 
BgL_modz00_2228 = 
(BgL_offsetz00_2227/BgL_auxz00_3976); } 
{ /* Reduce/sbeta.scm 496 */
long BgL_restz00_2230;
{ /* Reduce/sbeta.scm 496 */
long BgL_auxz00_3981;
{ /* Reduce/sbeta.scm 496 */
int BgL_auxz00_3982;
BgL_auxz00_3982 = 
(int)(((long)8)); 
BgL_auxz00_3981 = 
(long)(BgL_auxz00_3982); } 
BgL_restz00_2230 = 
(BgL_offsetz00_2227%BgL_auxz00_3981); } 
{ /* Reduce/sbeta.scm 496 */

{ /* Reduce/sbeta.scm 496 */
obj_t BgL_bucketz00_2232;
{ /* Reduce/sbeta.scm 496 */
int BgL_kz00_2242;
BgL_kz00_2242 = 
(int)(BgL_modz00_2228); 
BgL_bucketz00_2232 = 
VECTOR_REF(BgL_arg1221z00_2223,BgL_kz00_2242); } 
{ /* Reduce/sbeta.scm 496 */
int BgL_kz00_2244;
BgL_kz00_2244 = 
(int)(BgL_restz00_2230); 
BgL_method2729z00_2220 = 
VECTOR_REF(BgL_bucketz00_2232,BgL_kz00_2244); } } } } } } } } 
{ /* Reduce/sbeta.scm 496 */
obj_t BgL_auxz00_3990;
BgL_auxz00_3990 = 
PROCEDURE_ENTRY(BgL_method2729z00_2220)(BgL_method2729z00_2220, 
(obj_t)(BgL_nodez00_2219), BEOA); 
BgL_res3065z00_2245 = 
(BgL_nodez00_bglt)(BgL_auxz00_3990); } } } 
BgL_arg2865z00_1398 = BgL_res3065z00_2245; } 
{ /* Reduce/sbeta.scm 496 */
obj_t BgL_auxz00_3995;
BgL_auxz00_3995 = 
(obj_t)(BgL_arg2865z00_1398); 
SET_CAR(BgL_nodesz00_1395, BgL_auxz00_3995); } } 
{ 
obj_t BgL_nodesz00_3998;
BgL_nodesz00_3998 = 
CDR(BgL_nodesz00_1395); 
BgL_nodesz00_1395 = BgL_nodesz00_3998; 
goto BgL_loopz00_1396;} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzreduce_betaz00()
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 25 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_nodezd2betaz12zd2default2728zd2envzc0zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3135z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_sequencez00zzast_nodez00, BGl_proc3136z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3137z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_funcallz00zzast_nodez00, BGl_proc3138z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_castz00zzast_nodez00, BGl_proc3139z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_setqz00zzast_nodez00, BGl_proc3140z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_conditionalz00zzast_nodez00, BGl_proc3141z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_selectz00zzast_nodez00, BGl_proc3142z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3143z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3144z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3145z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3146z00zzreduce_betaz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3147z00zzreduce_betaz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_appz00zzast_nodez00, BGl_proc3148z00zzreduce_betaz00);} 
}



/* node-beta!-app2758 */
obj_t BGl_nodezd2betaz12zd2app2758z12zzreduce_betaz00(obj_t BgL_envz00_3484, obj_t BgL_nodez00_3485)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 439 */
{ 
BgL_appz00_bglt BgL_nodez00_2022;
BgL_nodez00_2022 = 
(BgL_appz00_bglt)(BgL_nodez00_3485); 
BGl_nodezd2betaza2z12z62zzreduce_betaz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_2022))->BgL_argsz00)); 
{ /* Reduce/sbeta.scm 442 */
bool_t BgL_test3049z00_2027;
{ /* Reduce/sbeta.scm 442 */
obj_t BgL_auxz00_4017;
BgL_auxz00_4017 = 
BGl_predicatezf3zf3zzreduce_betaz00(BgL_nodez00_2022); 
BgL_test3049z00_2027 = 
CBOOL(BgL_auxz00_4017); } 
if(BgL_test3049z00_2027)
{ /* Reduce/sbeta.scm 442 */
return 
BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(BgL_nodez00_2022);}  else 
{ /* Reduce/sbeta.scm 442 */
return 
(obj_t)(BgL_nodez00_2022);} } } } 
}



/* node-beta!-box-set!2756 */
obj_t BGl_nodezd2betaz12zd2boxzd2setz122756zd2zzreduce_betaz00(obj_t BgL_envz00_3486, obj_t BgL_nodez00_3487)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 431 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2014;
{ /* Reduce/sbeta.scm 432 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4024;
BgL_nodez00_2014 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3487); 
{ /* Reduce/sbeta.scm 433 */
BgL_nodez00_bglt BgL_arg3045z00_2018;
{ /* Reduce/sbeta.scm 433 */
BgL_nodez00_bglt BgL_arg3046z00_2019;
BgL_arg3046z00_2019 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2014))->BgL_valuez00); 
{ /* Reduce/sbeta.scm 433 */
BgL_nodez00_bglt BgL_res3126z00_3425;
{ /* Reduce/sbeta.scm 433 */
obj_t BgL_method2729z00_3400;
{ /* Reduce/sbeta.scm 433 */
long BgL_objzd2classzd2numz00_3402;
{ /* Reduce/sbeta.scm 433 */
BgL_objectz00_bglt BgL_auxz00_4026;
BgL_auxz00_4026 = 
(BgL_objectz00_bglt)(BgL_arg3046z00_2019); 
BgL_objzd2classzd2numz00_3402 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4026); } 
{ /* Reduce/sbeta.scm 433 */
obj_t BgL_arg1221z00_3403;
{ /* Reduce/sbeta.scm 433 */
int BgL_auxz00_4029;
BgL_auxz00_4029 = 
(int)(((long)1)); 
BgL_arg1221z00_3403 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4029); } 
{ /* Reduce/sbeta.scm 433 */
long BgL_offsetz00_3407;
{ /* Reduce/sbeta.scm 433 */
long BgL_auxz00_4032;
{ /* Reduce/sbeta.scm 433 */
int BgL_auxz00_4033;
BgL_auxz00_4033 = 
(int)(BgL_objzd2classzd2numz00_3402); 
BgL_auxz00_4032 = 
(long)(BgL_auxz00_4033); } 
BgL_offsetz00_3407 = 
(BgL_auxz00_4032-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 433 */
long BgL_modz00_3408;
{ /* Reduce/sbeta.scm 433 */
long BgL_auxz00_4037;
{ /* Reduce/sbeta.scm 433 */
int BgL_auxz00_4038;
BgL_auxz00_4038 = 
(int)(((long)8)); 
BgL_auxz00_4037 = 
(long)(BgL_auxz00_4038); } 
BgL_modz00_3408 = 
(BgL_offsetz00_3407/BgL_auxz00_4037); } 
{ /* Reduce/sbeta.scm 433 */
long BgL_restz00_3410;
{ /* Reduce/sbeta.scm 433 */
long BgL_auxz00_4042;
{ /* Reduce/sbeta.scm 433 */
int BgL_auxz00_4043;
BgL_auxz00_4043 = 
(int)(((long)8)); 
BgL_auxz00_4042 = 
(long)(BgL_auxz00_4043); } 
BgL_restz00_3410 = 
(BgL_offsetz00_3407%BgL_auxz00_4042); } 
{ /* Reduce/sbeta.scm 433 */

{ /* Reduce/sbeta.scm 433 */
obj_t BgL_bucketz00_3412;
{ /* Reduce/sbeta.scm 433 */
int BgL_kz00_3422;
BgL_kz00_3422 = 
(int)(BgL_modz00_3408); 
BgL_bucketz00_3412 = 
VECTOR_REF(BgL_arg1221z00_3403,BgL_kz00_3422); } 
{ /* Reduce/sbeta.scm 433 */
int BgL_kz00_3424;
BgL_kz00_3424 = 
(int)(BgL_restz00_3410); 
BgL_method2729z00_3400 = 
VECTOR_REF(BgL_bucketz00_3412,BgL_kz00_3424); } } } } } } } } 
{ /* Reduce/sbeta.scm 433 */
obj_t BgL_auxz00_4051;
BgL_auxz00_4051 = 
PROCEDURE_ENTRY(BgL_method2729z00_3400)(BgL_method2729z00_3400, 
(obj_t)(BgL_arg3046z00_2019), BEOA); 
BgL_res3126z00_3425 = 
(BgL_nodez00_bglt)(BgL_auxz00_4051); } } 
BgL_arg3045z00_2018 = BgL_res3126z00_3425; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2014))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3045z00_2018), BUNSPEC); } 
BgL_auxz00_4024 = BgL_nodez00_2014; 
return 
(obj_t)(BgL_auxz00_4024);} } } 
}



/* node-beta!-make-box2754 */
obj_t BGl_nodezd2betaz12zd2makezd2box2754zc0zzreduce_betaz00(obj_t BgL_envz00_3488, obj_t BgL_nodez00_3489)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 423 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2006;
{ /* Reduce/sbeta.scm 424 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4059;
BgL_nodez00_2006 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3489); 
{ /* Reduce/sbeta.scm 425 */
BgL_nodez00_bglt BgL_arg3042z00_2010;
{ /* Reduce/sbeta.scm 425 */
BgL_nodez00_bglt BgL_arg3043z00_2011;
BgL_arg3043z00_2011 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2006))->BgL_valuez00); 
{ /* Reduce/sbeta.scm 425 */
BgL_nodez00_bglt BgL_res3123z00_3395;
{ /* Reduce/sbeta.scm 425 */
obj_t BgL_method2729z00_3370;
{ /* Reduce/sbeta.scm 425 */
long BgL_objzd2classzd2numz00_3372;
{ /* Reduce/sbeta.scm 425 */
BgL_objectz00_bglt BgL_auxz00_4061;
BgL_auxz00_4061 = 
(BgL_objectz00_bglt)(BgL_arg3043z00_2011); 
BgL_objzd2classzd2numz00_3372 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4061); } 
{ /* Reduce/sbeta.scm 425 */
obj_t BgL_arg1221z00_3373;
{ /* Reduce/sbeta.scm 425 */
int BgL_auxz00_4064;
BgL_auxz00_4064 = 
(int)(((long)1)); 
BgL_arg1221z00_3373 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4064); } 
{ /* Reduce/sbeta.scm 425 */
long BgL_offsetz00_3377;
{ /* Reduce/sbeta.scm 425 */
long BgL_auxz00_4067;
{ /* Reduce/sbeta.scm 425 */
int BgL_auxz00_4068;
BgL_auxz00_4068 = 
(int)(BgL_objzd2classzd2numz00_3372); 
BgL_auxz00_4067 = 
(long)(BgL_auxz00_4068); } 
BgL_offsetz00_3377 = 
(BgL_auxz00_4067-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 425 */
long BgL_modz00_3378;
{ /* Reduce/sbeta.scm 425 */
long BgL_auxz00_4072;
{ /* Reduce/sbeta.scm 425 */
int BgL_auxz00_4073;
BgL_auxz00_4073 = 
(int)(((long)8)); 
BgL_auxz00_4072 = 
(long)(BgL_auxz00_4073); } 
BgL_modz00_3378 = 
(BgL_offsetz00_3377/BgL_auxz00_4072); } 
{ /* Reduce/sbeta.scm 425 */
long BgL_restz00_3380;
{ /* Reduce/sbeta.scm 425 */
long BgL_auxz00_4077;
{ /* Reduce/sbeta.scm 425 */
int BgL_auxz00_4078;
BgL_auxz00_4078 = 
(int)(((long)8)); 
BgL_auxz00_4077 = 
(long)(BgL_auxz00_4078); } 
BgL_restz00_3380 = 
(BgL_offsetz00_3377%BgL_auxz00_4077); } 
{ /* Reduce/sbeta.scm 425 */

{ /* Reduce/sbeta.scm 425 */
obj_t BgL_bucketz00_3382;
{ /* Reduce/sbeta.scm 425 */
int BgL_kz00_3392;
BgL_kz00_3392 = 
(int)(BgL_modz00_3378); 
BgL_bucketz00_3382 = 
VECTOR_REF(BgL_arg1221z00_3373,BgL_kz00_3392); } 
{ /* Reduce/sbeta.scm 425 */
int BgL_kz00_3394;
BgL_kz00_3394 = 
(int)(BgL_restz00_3380); 
BgL_method2729z00_3370 = 
VECTOR_REF(BgL_bucketz00_3382,BgL_kz00_3394); } } } } } } } } 
{ /* Reduce/sbeta.scm 425 */
obj_t BgL_auxz00_4086;
BgL_auxz00_4086 = 
PROCEDURE_ENTRY(BgL_method2729z00_3370)(BgL_method2729z00_3370, 
(obj_t)(BgL_arg3043z00_2011), BEOA); 
BgL_res3123z00_3395 = 
(BgL_nodez00_bglt)(BgL_auxz00_4086); } } 
BgL_arg3042z00_2010 = BgL_res3123z00_3395; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2006))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3042z00_2010), BUNSPEC); } 
BgL_auxz00_4059 = BgL_nodez00_2006; 
return 
(obj_t)(BgL_auxz00_4059);} } } 
}



/* node-beta!-jump-ex-it2752 */
obj_t BGl_nodezd2betaz12zd2jumpzd2exzd2it2752z12zzreduce_betaz00(obj_t BgL_envz00_3490, obj_t BgL_nodez00_3491)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 414 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1996;
{ /* Reduce/sbeta.scm 415 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4094;
BgL_nodez00_1996 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3491); 
{ /* Reduce/sbeta.scm 416 */
BgL_nodez00_bglt BgL_arg3037z00_2000;
{ /* Reduce/sbeta.scm 416 */
BgL_nodez00_bglt BgL_arg3038z00_2001;
BgL_arg3038z00_2001 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1996))->BgL_exitz00); 
{ /* Reduce/sbeta.scm 416 */
BgL_nodez00_bglt BgL_res3117z00_3335;
{ /* Reduce/sbeta.scm 416 */
obj_t BgL_method2729z00_3310;
{ /* Reduce/sbeta.scm 416 */
long BgL_objzd2classzd2numz00_3312;
{ /* Reduce/sbeta.scm 416 */
BgL_objectz00_bglt BgL_auxz00_4096;
BgL_auxz00_4096 = 
(BgL_objectz00_bglt)(BgL_arg3038z00_2001); 
BgL_objzd2classzd2numz00_3312 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4096); } 
{ /* Reduce/sbeta.scm 416 */
obj_t BgL_arg1221z00_3313;
{ /* Reduce/sbeta.scm 416 */
int BgL_auxz00_4099;
BgL_auxz00_4099 = 
(int)(((long)1)); 
BgL_arg1221z00_3313 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4099); } 
{ /* Reduce/sbeta.scm 416 */
long BgL_offsetz00_3317;
{ /* Reduce/sbeta.scm 416 */
long BgL_auxz00_4102;
{ /* Reduce/sbeta.scm 416 */
int BgL_auxz00_4103;
BgL_auxz00_4103 = 
(int)(BgL_objzd2classzd2numz00_3312); 
BgL_auxz00_4102 = 
(long)(BgL_auxz00_4103); } 
BgL_offsetz00_3317 = 
(BgL_auxz00_4102-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 416 */
long BgL_modz00_3318;
{ /* Reduce/sbeta.scm 416 */
long BgL_auxz00_4107;
{ /* Reduce/sbeta.scm 416 */
int BgL_auxz00_4108;
BgL_auxz00_4108 = 
(int)(((long)8)); 
BgL_auxz00_4107 = 
(long)(BgL_auxz00_4108); } 
BgL_modz00_3318 = 
(BgL_offsetz00_3317/BgL_auxz00_4107); } 
{ /* Reduce/sbeta.scm 416 */
long BgL_restz00_3320;
{ /* Reduce/sbeta.scm 416 */
long BgL_auxz00_4112;
{ /* Reduce/sbeta.scm 416 */
int BgL_auxz00_4113;
BgL_auxz00_4113 = 
(int)(((long)8)); 
BgL_auxz00_4112 = 
(long)(BgL_auxz00_4113); } 
BgL_restz00_3320 = 
(BgL_offsetz00_3317%BgL_auxz00_4112); } 
{ /* Reduce/sbeta.scm 416 */

{ /* Reduce/sbeta.scm 416 */
obj_t BgL_bucketz00_3322;
{ /* Reduce/sbeta.scm 416 */
int BgL_kz00_3332;
BgL_kz00_3332 = 
(int)(BgL_modz00_3318); 
BgL_bucketz00_3322 = 
VECTOR_REF(BgL_arg1221z00_3313,BgL_kz00_3332); } 
{ /* Reduce/sbeta.scm 416 */
int BgL_kz00_3334;
BgL_kz00_3334 = 
(int)(BgL_restz00_3320); 
BgL_method2729z00_3310 = 
VECTOR_REF(BgL_bucketz00_3322,BgL_kz00_3334); } } } } } } } } 
{ /* Reduce/sbeta.scm 416 */
obj_t BgL_auxz00_4121;
BgL_auxz00_4121 = 
PROCEDURE_ENTRY(BgL_method2729z00_3310)(BgL_method2729z00_3310, 
(obj_t)(BgL_arg3038z00_2001), BEOA); 
BgL_res3117z00_3335 = 
(BgL_nodez00_bglt)(BgL_auxz00_4121); } } 
BgL_arg3037z00_2000 = BgL_res3117z00_3335; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1996))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg3037z00_2000), BUNSPEC); } 
{ /* Reduce/sbeta.scm 417 */
BgL_nodez00_bglt BgL_arg3039z00_2002;
{ /* Reduce/sbeta.scm 417 */
BgL_nodez00_bglt BgL_arg3040z00_2003;
BgL_arg3040z00_2003 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1996))->BgL_valuez00); 
{ /* Reduce/sbeta.scm 417 */
BgL_nodez00_bglt BgL_res3120z00_3365;
{ /* Reduce/sbeta.scm 417 */
obj_t BgL_method2729z00_3340;
{ /* Reduce/sbeta.scm 417 */
long BgL_objzd2classzd2numz00_3342;
{ /* Reduce/sbeta.scm 417 */
BgL_objectz00_bglt BgL_auxz00_4128;
BgL_auxz00_4128 = 
(BgL_objectz00_bglt)(BgL_arg3040z00_2003); 
BgL_objzd2classzd2numz00_3342 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4128); } 
{ /* Reduce/sbeta.scm 417 */
obj_t BgL_arg1221z00_3343;
{ /* Reduce/sbeta.scm 417 */
int BgL_auxz00_4131;
BgL_auxz00_4131 = 
(int)(((long)1)); 
BgL_arg1221z00_3343 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4131); } 
{ /* Reduce/sbeta.scm 417 */
long BgL_offsetz00_3347;
{ /* Reduce/sbeta.scm 417 */
long BgL_auxz00_4134;
{ /* Reduce/sbeta.scm 417 */
int BgL_auxz00_4135;
BgL_auxz00_4135 = 
(int)(BgL_objzd2classzd2numz00_3342); 
BgL_auxz00_4134 = 
(long)(BgL_auxz00_4135); } 
BgL_offsetz00_3347 = 
(BgL_auxz00_4134-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 417 */
long BgL_modz00_3348;
{ /* Reduce/sbeta.scm 417 */
long BgL_auxz00_4139;
{ /* Reduce/sbeta.scm 417 */
int BgL_auxz00_4140;
BgL_auxz00_4140 = 
(int)(((long)8)); 
BgL_auxz00_4139 = 
(long)(BgL_auxz00_4140); } 
BgL_modz00_3348 = 
(BgL_offsetz00_3347/BgL_auxz00_4139); } 
{ /* Reduce/sbeta.scm 417 */
long BgL_restz00_3350;
{ /* Reduce/sbeta.scm 417 */
long BgL_auxz00_4144;
{ /* Reduce/sbeta.scm 417 */
int BgL_auxz00_4145;
BgL_auxz00_4145 = 
(int)(((long)8)); 
BgL_auxz00_4144 = 
(long)(BgL_auxz00_4145); } 
BgL_restz00_3350 = 
(BgL_offsetz00_3347%BgL_auxz00_4144); } 
{ /* Reduce/sbeta.scm 417 */

{ /* Reduce/sbeta.scm 417 */
obj_t BgL_bucketz00_3352;
{ /* Reduce/sbeta.scm 417 */
int BgL_kz00_3362;
BgL_kz00_3362 = 
(int)(BgL_modz00_3348); 
BgL_bucketz00_3352 = 
VECTOR_REF(BgL_arg1221z00_3343,BgL_kz00_3362); } 
{ /* Reduce/sbeta.scm 417 */
int BgL_kz00_3364;
BgL_kz00_3364 = 
(int)(BgL_restz00_3350); 
BgL_method2729z00_3340 = 
VECTOR_REF(BgL_bucketz00_3352,BgL_kz00_3364); } } } } } } } } 
{ /* Reduce/sbeta.scm 417 */
obj_t BgL_auxz00_4153;
BgL_auxz00_4153 = 
PROCEDURE_ENTRY(BgL_method2729z00_3340)(BgL_method2729z00_3340, 
(obj_t)(BgL_arg3040z00_2003), BEOA); 
BgL_res3120z00_3365 = 
(BgL_nodez00_bglt)(BgL_auxz00_4153); } } 
BgL_arg3039z00_2002 = BgL_res3120z00_3365; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1996))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3039z00_2002), BUNSPEC); } 
BgL_auxz00_4094 = BgL_nodez00_1996; 
return 
(obj_t)(BgL_auxz00_4094);} } } 
}



/* node-beta!-set-ex-it2750 */
obj_t BGl_nodezd2betaz12zd2setzd2exzd2it2750z12zzreduce_betaz00(obj_t BgL_envz00_3492, obj_t BgL_nodez00_3493)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 406 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1988;
{ /* Reduce/sbeta.scm 407 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_4161;
BgL_nodez00_1988 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3493); 
{ /* Reduce/sbeta.scm 408 */
BgL_nodez00_bglt BgL_arg3034z00_1992;
{ /* Reduce/sbeta.scm 408 */
BgL_nodez00_bglt BgL_arg3035z00_1993;
BgL_arg3035z00_1993 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1988))->BgL_bodyz00); 
{ /* Reduce/sbeta.scm 408 */
BgL_nodez00_bglt BgL_res3114z00_3305;
{ /* Reduce/sbeta.scm 408 */
obj_t BgL_method2729z00_3280;
{ /* Reduce/sbeta.scm 408 */
long BgL_objzd2classzd2numz00_3282;
{ /* Reduce/sbeta.scm 408 */
BgL_objectz00_bglt BgL_auxz00_4163;
BgL_auxz00_4163 = 
(BgL_objectz00_bglt)(BgL_arg3035z00_1993); 
BgL_objzd2classzd2numz00_3282 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4163); } 
{ /* Reduce/sbeta.scm 408 */
obj_t BgL_arg1221z00_3283;
{ /* Reduce/sbeta.scm 408 */
int BgL_auxz00_4166;
BgL_auxz00_4166 = 
(int)(((long)1)); 
BgL_arg1221z00_3283 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4166); } 
{ /* Reduce/sbeta.scm 408 */
long BgL_offsetz00_3287;
{ /* Reduce/sbeta.scm 408 */
long BgL_auxz00_4169;
{ /* Reduce/sbeta.scm 408 */
int BgL_auxz00_4170;
BgL_auxz00_4170 = 
(int)(BgL_objzd2classzd2numz00_3282); 
BgL_auxz00_4169 = 
(long)(BgL_auxz00_4170); } 
BgL_offsetz00_3287 = 
(BgL_auxz00_4169-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 408 */
long BgL_modz00_3288;
{ /* Reduce/sbeta.scm 408 */
long BgL_auxz00_4174;
{ /* Reduce/sbeta.scm 408 */
int BgL_auxz00_4175;
BgL_auxz00_4175 = 
(int)(((long)8)); 
BgL_auxz00_4174 = 
(long)(BgL_auxz00_4175); } 
BgL_modz00_3288 = 
(BgL_offsetz00_3287/BgL_auxz00_4174); } 
{ /* Reduce/sbeta.scm 408 */
long BgL_restz00_3290;
{ /* Reduce/sbeta.scm 408 */
long BgL_auxz00_4179;
{ /* Reduce/sbeta.scm 408 */
int BgL_auxz00_4180;
BgL_auxz00_4180 = 
(int)(((long)8)); 
BgL_auxz00_4179 = 
(long)(BgL_auxz00_4180); } 
BgL_restz00_3290 = 
(BgL_offsetz00_3287%BgL_auxz00_4179); } 
{ /* Reduce/sbeta.scm 408 */

{ /* Reduce/sbeta.scm 408 */
obj_t BgL_bucketz00_3292;
{ /* Reduce/sbeta.scm 408 */
int BgL_kz00_3302;
BgL_kz00_3302 = 
(int)(BgL_modz00_3288); 
BgL_bucketz00_3292 = 
VECTOR_REF(BgL_arg1221z00_3283,BgL_kz00_3302); } 
{ /* Reduce/sbeta.scm 408 */
int BgL_kz00_3304;
BgL_kz00_3304 = 
(int)(BgL_restz00_3290); 
BgL_method2729z00_3280 = 
VECTOR_REF(BgL_bucketz00_3292,BgL_kz00_3304); } } } } } } } } 
{ /* Reduce/sbeta.scm 408 */
obj_t BgL_auxz00_4188;
BgL_auxz00_4188 = 
PROCEDURE_ENTRY(BgL_method2729z00_3280)(BgL_method2729z00_3280, 
(obj_t)(BgL_arg3035z00_1993), BEOA); 
BgL_res3114z00_3305 = 
(BgL_nodez00_bglt)(BgL_auxz00_4188); } } 
BgL_arg3034z00_1992 = BgL_res3114z00_3305; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1988))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3034z00_1992), BUNSPEC); } 
BgL_auxz00_4161 = BgL_nodez00_1988; 
return 
(obj_t)(BgL_auxz00_4161);} } } 
}



/* node-beta!-let-fun2748 */
obj_t BGl_nodezd2betaz12zd2letzd2fun2748zc0zzreduce_betaz00(obj_t BgL_envz00_3494, obj_t BgL_nodez00_3495)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 392 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1971;
{ /* Reduce/sbeta.scm 393 */
BgL_letzd2funzd2_bglt BgL_auxz00_4196;
BgL_nodez00_1971 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3495); 
{ /* Reduce/sbeta.scm 394 */
BgL_nodez00_bglt BgL_arg3026z00_1975;
{ /* Reduce/sbeta.scm 394 */
BgL_nodez00_bglt BgL_arg3027z00_1976;
BgL_arg3027z00_1976 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1971))->BgL_bodyz00); 
{ /* Reduce/sbeta.scm 394 */
BgL_nodez00_bglt BgL_res3108z00_3240;
{ /* Reduce/sbeta.scm 394 */
obj_t BgL_method2729z00_3215;
{ /* Reduce/sbeta.scm 394 */
long BgL_objzd2classzd2numz00_3217;
{ /* Reduce/sbeta.scm 394 */
BgL_objectz00_bglt BgL_auxz00_4198;
BgL_auxz00_4198 = 
(BgL_objectz00_bglt)(BgL_arg3027z00_1976); 
BgL_objzd2classzd2numz00_3217 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4198); } 
{ /* Reduce/sbeta.scm 394 */
obj_t BgL_arg1221z00_3218;
{ /* Reduce/sbeta.scm 394 */
int BgL_auxz00_4201;
BgL_auxz00_4201 = 
(int)(((long)1)); 
BgL_arg1221z00_3218 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4201); } 
{ /* Reduce/sbeta.scm 394 */
long BgL_offsetz00_3222;
{ /* Reduce/sbeta.scm 394 */
long BgL_auxz00_4204;
{ /* Reduce/sbeta.scm 394 */
int BgL_auxz00_4205;
BgL_auxz00_4205 = 
(int)(BgL_objzd2classzd2numz00_3217); 
BgL_auxz00_4204 = 
(long)(BgL_auxz00_4205); } 
BgL_offsetz00_3222 = 
(BgL_auxz00_4204-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 394 */
long BgL_modz00_3223;
{ /* Reduce/sbeta.scm 394 */
long BgL_auxz00_4209;
{ /* Reduce/sbeta.scm 394 */
int BgL_auxz00_4210;
BgL_auxz00_4210 = 
(int)(((long)8)); 
BgL_auxz00_4209 = 
(long)(BgL_auxz00_4210); } 
BgL_modz00_3223 = 
(BgL_offsetz00_3222/BgL_auxz00_4209); } 
{ /* Reduce/sbeta.scm 394 */
long BgL_restz00_3225;
{ /* Reduce/sbeta.scm 394 */
long BgL_auxz00_4214;
{ /* Reduce/sbeta.scm 394 */
int BgL_auxz00_4215;
BgL_auxz00_4215 = 
(int)(((long)8)); 
BgL_auxz00_4214 = 
(long)(BgL_auxz00_4215); } 
BgL_restz00_3225 = 
(BgL_offsetz00_3222%BgL_auxz00_4214); } 
{ /* Reduce/sbeta.scm 394 */

{ /* Reduce/sbeta.scm 394 */
obj_t BgL_bucketz00_3227;
{ /* Reduce/sbeta.scm 394 */
int BgL_kz00_3237;
BgL_kz00_3237 = 
(int)(BgL_modz00_3223); 
BgL_bucketz00_3227 = 
VECTOR_REF(BgL_arg1221z00_3218,BgL_kz00_3237); } 
{ /* Reduce/sbeta.scm 394 */
int BgL_kz00_3239;
BgL_kz00_3239 = 
(int)(BgL_restz00_3225); 
BgL_method2729z00_3215 = 
VECTOR_REF(BgL_bucketz00_3227,BgL_kz00_3239); } } } } } } } } 
{ /* Reduce/sbeta.scm 394 */
obj_t BgL_auxz00_4223;
BgL_auxz00_4223 = 
PROCEDURE_ENTRY(BgL_method2729z00_3215)(BgL_method2729z00_3215, 
(obj_t)(BgL_arg3027z00_1976), BEOA); 
BgL_res3108z00_3240 = 
(BgL_nodez00_bglt)(BgL_auxz00_4223); } } 
BgL_arg3026z00_1975 = BgL_res3108z00_3240; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1971))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3026z00_1975), BUNSPEC); } 
{ 
obj_t BgL_localsz00_1977;
BgL_localsz00_1977 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1971))->BgL_localsz00); 
BgL_loopz00_1978:
if(
NULLP(BgL_localsz00_1977))
{ /* Reduce/sbeta.scm 396 */
BgL_auxz00_4196 = BgL_nodez00_1971
; }  else 
{ /* Reduce/sbeta.scm 398 */
BgL_valuez00_bglt BgL_sfunz00_1982;
{ /* Reduce/sbeta.scm 399 */
BgL_localz00_bglt BgL_obj1255z00_3246;
{ /* Reduce/sbeta.scm 399 */
obj_t BgL_auxz00_4231;
BgL_auxz00_4231 = 
CAR(BgL_localsz00_1977); 
BgL_obj1255z00_3246 = 
(BgL_localz00_bglt)(BgL_auxz00_4231); } 
BgL_sfunz00_1982 = 
(((BgL_localz00_bglt)CREF(BgL_obj1255z00_3246))->BgL_valuez00); } 
{ /* Reduce/sbeta.scm 399 */

{ /* Reduce/sbeta.scm 400 */
BgL_nodez00_bglt BgL_arg3030z00_1983;
{ /* Reduce/sbeta.scm 400 */
BgL_nodez00_bglt BgL_res3111z00_3274;
{ /* Reduce/sbeta.scm 400 */
BgL_nodez00_bglt BgL_nodez00_3248;
{ /* Reduce/sbeta.scm 400 */
obj_t BgL_auxz00_4235;
{ /* Reduce/sbeta.scm 400 */
BgL_sfunz00_bglt BgL_obj1372z00_3247;
BgL_obj1372z00_3247 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1982); 
BgL_auxz00_4235 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3247))->BgL_bodyz00); } 
BgL_nodez00_3248 = 
(BgL_nodez00_bglt)(BgL_auxz00_4235); } 
{ /* Reduce/sbeta.scm 400 */
obj_t BgL_method2729z00_3249;
{ /* Reduce/sbeta.scm 400 */
long BgL_objzd2classzd2numz00_3251;
{ /* Reduce/sbeta.scm 400 */
BgL_objectz00_bglt BgL_auxz00_4239;
BgL_auxz00_4239 = 
(BgL_objectz00_bglt)(BgL_nodez00_3248); 
BgL_objzd2classzd2numz00_3251 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4239); } 
{ /* Reduce/sbeta.scm 400 */
obj_t BgL_arg1221z00_3252;
{ /* Reduce/sbeta.scm 400 */
int BgL_auxz00_4242;
BgL_auxz00_4242 = 
(int)(((long)1)); 
BgL_arg1221z00_3252 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4242); } 
{ /* Reduce/sbeta.scm 400 */
long BgL_offsetz00_3256;
{ /* Reduce/sbeta.scm 400 */
long BgL_auxz00_4245;
{ /* Reduce/sbeta.scm 400 */
int BgL_auxz00_4246;
BgL_auxz00_4246 = 
(int)(BgL_objzd2classzd2numz00_3251); 
BgL_auxz00_4245 = 
(long)(BgL_auxz00_4246); } 
BgL_offsetz00_3256 = 
(BgL_auxz00_4245-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 400 */
long BgL_modz00_3257;
{ /* Reduce/sbeta.scm 400 */
long BgL_auxz00_4250;
{ /* Reduce/sbeta.scm 400 */
int BgL_auxz00_4251;
BgL_auxz00_4251 = 
(int)(((long)8)); 
BgL_auxz00_4250 = 
(long)(BgL_auxz00_4251); } 
BgL_modz00_3257 = 
(BgL_offsetz00_3256/BgL_auxz00_4250); } 
{ /* Reduce/sbeta.scm 400 */
long BgL_restz00_3259;
{ /* Reduce/sbeta.scm 400 */
long BgL_auxz00_4255;
{ /* Reduce/sbeta.scm 400 */
int BgL_auxz00_4256;
BgL_auxz00_4256 = 
(int)(((long)8)); 
BgL_auxz00_4255 = 
(long)(BgL_auxz00_4256); } 
BgL_restz00_3259 = 
(BgL_offsetz00_3256%BgL_auxz00_4255); } 
{ /* Reduce/sbeta.scm 400 */

{ /* Reduce/sbeta.scm 400 */
obj_t BgL_bucketz00_3261;
{ /* Reduce/sbeta.scm 400 */
int BgL_kz00_3271;
BgL_kz00_3271 = 
(int)(BgL_modz00_3257); 
BgL_bucketz00_3261 = 
VECTOR_REF(BgL_arg1221z00_3252,BgL_kz00_3271); } 
{ /* Reduce/sbeta.scm 400 */
int BgL_kz00_3273;
BgL_kz00_3273 = 
(int)(BgL_restz00_3259); 
BgL_method2729z00_3249 = 
VECTOR_REF(BgL_bucketz00_3261,BgL_kz00_3273); } } } } } } } } 
{ /* Reduce/sbeta.scm 400 */
obj_t BgL_auxz00_4264;
BgL_auxz00_4264 = 
PROCEDURE_ENTRY(BgL_method2729z00_3249)(BgL_method2729z00_3249, 
(obj_t)(BgL_nodez00_3248), BEOA); 
BgL_res3111z00_3274 = 
(BgL_nodez00_bglt)(BgL_auxz00_4264); } } } 
BgL_arg3030z00_1983 = BgL_res3111z00_3274; } 
{ /* Reduce/sbeta.scm 400 */
BgL_sfunz00_bglt BgL_obj1374z00_3275;obj_t BgL_val1373z00_3276;
BgL_obj1374z00_3275 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1982); 
BgL_val1373z00_3276 = 
(obj_t)(BgL_arg3030z00_1983); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_3275))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_3276), BUNSPEC); } } 
{ 
obj_t BgL_localsz00_4272;
BgL_localsz00_4272 = 
CDR(BgL_localsz00_1977); 
BgL_localsz00_1977 = BgL_localsz00_4272; 
goto BgL_loopz00_1978;} } } } 
return 
(obj_t)(BgL_auxz00_4196);} } } 
}



/* node-beta!-select2746 */
obj_t BGl_nodezd2betaz12zd2select2746z12zzreduce_betaz00(obj_t BgL_envz00_3496, obj_t BgL_nodez00_3497)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 379 */
{ 
BgL_selectz00_bglt BgL_nodez00_1955;
{ /* Reduce/sbeta.scm 380 */
BgL_selectz00_bglt BgL_auxz00_4277;
BgL_nodez00_1955 = 
(BgL_selectz00_bglt)(BgL_nodez00_3497); 
{ /* Reduce/sbeta.scm 381 */
BgL_nodez00_bglt BgL_arg3018z00_1959;
{ /* Reduce/sbeta.scm 381 */
BgL_nodez00_bglt BgL_arg3019z00_1960;
BgL_arg3019z00_1960 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1955))->BgL_testz00); 
{ /* Reduce/sbeta.scm 381 */
BgL_nodez00_bglt BgL_res3102z00_3176;
{ /* Reduce/sbeta.scm 381 */
obj_t BgL_method2729z00_3151;
{ /* Reduce/sbeta.scm 381 */
long BgL_objzd2classzd2numz00_3153;
{ /* Reduce/sbeta.scm 381 */
BgL_objectz00_bglt BgL_auxz00_4279;
BgL_auxz00_4279 = 
(BgL_objectz00_bglt)(BgL_arg3019z00_1960); 
BgL_objzd2classzd2numz00_3153 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4279); } 
{ /* Reduce/sbeta.scm 381 */
obj_t BgL_arg1221z00_3154;
{ /* Reduce/sbeta.scm 381 */
int BgL_auxz00_4282;
BgL_auxz00_4282 = 
(int)(((long)1)); 
BgL_arg1221z00_3154 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4282); } 
{ /* Reduce/sbeta.scm 381 */
long BgL_offsetz00_3158;
{ /* Reduce/sbeta.scm 381 */
long BgL_auxz00_4285;
{ /* Reduce/sbeta.scm 381 */
int BgL_auxz00_4286;
BgL_auxz00_4286 = 
(int)(BgL_objzd2classzd2numz00_3153); 
BgL_auxz00_4285 = 
(long)(BgL_auxz00_4286); } 
BgL_offsetz00_3158 = 
(BgL_auxz00_4285-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 381 */
long BgL_modz00_3159;
{ /* Reduce/sbeta.scm 381 */
long BgL_auxz00_4290;
{ /* Reduce/sbeta.scm 381 */
int BgL_auxz00_4291;
BgL_auxz00_4291 = 
(int)(((long)8)); 
BgL_auxz00_4290 = 
(long)(BgL_auxz00_4291); } 
BgL_modz00_3159 = 
(BgL_offsetz00_3158/BgL_auxz00_4290); } 
{ /* Reduce/sbeta.scm 381 */
long BgL_restz00_3161;
{ /* Reduce/sbeta.scm 381 */
long BgL_auxz00_4295;
{ /* Reduce/sbeta.scm 381 */
int BgL_auxz00_4296;
BgL_auxz00_4296 = 
(int)(((long)8)); 
BgL_auxz00_4295 = 
(long)(BgL_auxz00_4296); } 
BgL_restz00_3161 = 
(BgL_offsetz00_3158%BgL_auxz00_4295); } 
{ /* Reduce/sbeta.scm 381 */

{ /* Reduce/sbeta.scm 381 */
obj_t BgL_bucketz00_3163;
{ /* Reduce/sbeta.scm 381 */
int BgL_kz00_3173;
BgL_kz00_3173 = 
(int)(BgL_modz00_3159); 
BgL_bucketz00_3163 = 
VECTOR_REF(BgL_arg1221z00_3154,BgL_kz00_3173); } 
{ /* Reduce/sbeta.scm 381 */
int BgL_kz00_3175;
BgL_kz00_3175 = 
(int)(BgL_restz00_3161); 
BgL_method2729z00_3151 = 
VECTOR_REF(BgL_bucketz00_3163,BgL_kz00_3175); } } } } } } } } 
{ /* Reduce/sbeta.scm 381 */
obj_t BgL_auxz00_4304;
BgL_auxz00_4304 = 
PROCEDURE_ENTRY(BgL_method2729z00_3151)(BgL_method2729z00_3151, 
(obj_t)(BgL_arg3019z00_1960), BEOA); 
BgL_res3102z00_3176 = 
(BgL_nodez00_bglt)(BgL_auxz00_4304); } } 
BgL_arg3018z00_1959 = BgL_res3102z00_3176; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1955))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3018z00_1959), BUNSPEC); } 
{ 
obj_t BgL_clausesz00_1961;
BgL_clausesz00_1961 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1955))->BgL_clausesz00); 
BgL_loopz00_1962:
if(
NULLP(BgL_clausesz00_1961))
{ /* Reduce/sbeta.scm 383 */
BgL_auxz00_4277 = BgL_nodez00_1955
; }  else 
{ /* Reduce/sbeta.scm 385 */
obj_t BgL_clausez00_1965;
BgL_clausez00_1965 = 
CAR(BgL_clausesz00_1961); 
{ /* Reduce/sbeta.scm 386 */
BgL_nodez00_bglt BgL_arg3022z00_1966;
{ /* Reduce/sbeta.scm 386 */
BgL_nodez00_bglt BgL_res3105z00_3209;
{ /* Reduce/sbeta.scm 386 */
BgL_nodez00_bglt BgL_nodez00_3183;
{ /* Reduce/sbeta.scm 386 */
obj_t BgL_auxz00_4313;
BgL_auxz00_4313 = 
CDR(BgL_clausez00_1965); 
BgL_nodez00_3183 = 
(BgL_nodez00_bglt)(BgL_auxz00_4313); } 
{ /* Reduce/sbeta.scm 386 */
obj_t BgL_method2729z00_3184;
{ /* Reduce/sbeta.scm 386 */
long BgL_objzd2classzd2numz00_3186;
{ /* Reduce/sbeta.scm 386 */
BgL_objectz00_bglt BgL_auxz00_4316;
BgL_auxz00_4316 = 
(BgL_objectz00_bglt)(BgL_nodez00_3183); 
BgL_objzd2classzd2numz00_3186 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4316); } 
{ /* Reduce/sbeta.scm 386 */
obj_t BgL_arg1221z00_3187;
{ /* Reduce/sbeta.scm 386 */
int BgL_auxz00_4319;
BgL_auxz00_4319 = 
(int)(((long)1)); 
BgL_arg1221z00_3187 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4319); } 
{ /* Reduce/sbeta.scm 386 */
long BgL_offsetz00_3191;
{ /* Reduce/sbeta.scm 386 */
long BgL_auxz00_4322;
{ /* Reduce/sbeta.scm 386 */
int BgL_auxz00_4323;
BgL_auxz00_4323 = 
(int)(BgL_objzd2classzd2numz00_3186); 
BgL_auxz00_4322 = 
(long)(BgL_auxz00_4323); } 
BgL_offsetz00_3191 = 
(BgL_auxz00_4322-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 386 */
long BgL_modz00_3192;
{ /* Reduce/sbeta.scm 386 */
long BgL_auxz00_4327;
{ /* Reduce/sbeta.scm 386 */
int BgL_auxz00_4328;
BgL_auxz00_4328 = 
(int)(((long)8)); 
BgL_auxz00_4327 = 
(long)(BgL_auxz00_4328); } 
BgL_modz00_3192 = 
(BgL_offsetz00_3191/BgL_auxz00_4327); } 
{ /* Reduce/sbeta.scm 386 */
long BgL_restz00_3194;
{ /* Reduce/sbeta.scm 386 */
long BgL_auxz00_4332;
{ /* Reduce/sbeta.scm 386 */
int BgL_auxz00_4333;
BgL_auxz00_4333 = 
(int)(((long)8)); 
BgL_auxz00_4332 = 
(long)(BgL_auxz00_4333); } 
BgL_restz00_3194 = 
(BgL_offsetz00_3191%BgL_auxz00_4332); } 
{ /* Reduce/sbeta.scm 386 */

{ /* Reduce/sbeta.scm 386 */
obj_t BgL_bucketz00_3196;
{ /* Reduce/sbeta.scm 386 */
int BgL_kz00_3206;
BgL_kz00_3206 = 
(int)(BgL_modz00_3192); 
BgL_bucketz00_3196 = 
VECTOR_REF(BgL_arg1221z00_3187,BgL_kz00_3206); } 
{ /* Reduce/sbeta.scm 386 */
int BgL_kz00_3208;
BgL_kz00_3208 = 
(int)(BgL_restz00_3194); 
BgL_method2729z00_3184 = 
VECTOR_REF(BgL_bucketz00_3196,BgL_kz00_3208); } } } } } } } } 
{ /* Reduce/sbeta.scm 386 */
obj_t BgL_auxz00_4341;
BgL_auxz00_4341 = 
PROCEDURE_ENTRY(BgL_method2729z00_3184)(BgL_method2729z00_3184, 
(obj_t)(BgL_nodez00_3183), BEOA); 
BgL_res3105z00_3209 = 
(BgL_nodez00_bglt)(BgL_auxz00_4341); } } } 
BgL_arg3022z00_1966 = BgL_res3105z00_3209; } 
{ /* Reduce/sbeta.scm 386 */
obj_t BgL_auxz00_4346;
BgL_auxz00_4346 = 
(obj_t)(BgL_arg3022z00_1966); 
SET_CDR(BgL_clausez00_1965, BgL_auxz00_4346); } } 
{ 
obj_t BgL_clausesz00_4349;
BgL_clausesz00_4349 = 
CDR(BgL_clausesz00_1961); 
BgL_clausesz00_1961 = BgL_clausesz00_4349; 
goto BgL_loopz00_1962;} } } 
return 
(obj_t)(BgL_auxz00_4277);} } } 
}



/* node-beta!-conditional2744 */
obj_t BGl_nodezd2betaz12zd2conditional2744z12zzreduce_betaz00(obj_t BgL_envz00_3498, obj_t BgL_nodez00_3499)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 369 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1943;
{ /* Reduce/sbeta.scm 370 */
BgL_conditionalz00_bglt BgL_auxz00_4354;
BgL_nodez00_1943 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3499); 
{ /* Reduce/sbeta.scm 371 */
BgL_nodez00_bglt BgL_arg3011z00_1947;
{ /* Reduce/sbeta.scm 371 */
BgL_nodez00_bglt BgL_arg3012z00_1948;
BgL_arg3012z00_1948 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1943))->BgL_testz00); 
{ /* Reduce/sbeta.scm 371 */
BgL_nodez00_bglt BgL_res3093z00_3086;
{ /* Reduce/sbeta.scm 371 */
obj_t BgL_method2729z00_3061;
{ /* Reduce/sbeta.scm 371 */
long BgL_objzd2classzd2numz00_3063;
{ /* Reduce/sbeta.scm 371 */
BgL_objectz00_bglt BgL_auxz00_4356;
BgL_auxz00_4356 = 
(BgL_objectz00_bglt)(BgL_arg3012z00_1948); 
BgL_objzd2classzd2numz00_3063 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4356); } 
{ /* Reduce/sbeta.scm 371 */
obj_t BgL_arg1221z00_3064;
{ /* Reduce/sbeta.scm 371 */
int BgL_auxz00_4359;
BgL_auxz00_4359 = 
(int)(((long)1)); 
BgL_arg1221z00_3064 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4359); } 
{ /* Reduce/sbeta.scm 371 */
long BgL_offsetz00_3068;
{ /* Reduce/sbeta.scm 371 */
long BgL_auxz00_4362;
{ /* Reduce/sbeta.scm 371 */
int BgL_auxz00_4363;
BgL_auxz00_4363 = 
(int)(BgL_objzd2classzd2numz00_3063); 
BgL_auxz00_4362 = 
(long)(BgL_auxz00_4363); } 
BgL_offsetz00_3068 = 
(BgL_auxz00_4362-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 371 */
long BgL_modz00_3069;
{ /* Reduce/sbeta.scm 371 */
long BgL_auxz00_4367;
{ /* Reduce/sbeta.scm 371 */
int BgL_auxz00_4368;
BgL_auxz00_4368 = 
(int)(((long)8)); 
BgL_auxz00_4367 = 
(long)(BgL_auxz00_4368); } 
BgL_modz00_3069 = 
(BgL_offsetz00_3068/BgL_auxz00_4367); } 
{ /* Reduce/sbeta.scm 371 */
long BgL_restz00_3071;
{ /* Reduce/sbeta.scm 371 */
long BgL_auxz00_4372;
{ /* Reduce/sbeta.scm 371 */
int BgL_auxz00_4373;
BgL_auxz00_4373 = 
(int)(((long)8)); 
BgL_auxz00_4372 = 
(long)(BgL_auxz00_4373); } 
BgL_restz00_3071 = 
(BgL_offsetz00_3068%BgL_auxz00_4372); } 
{ /* Reduce/sbeta.scm 371 */

{ /* Reduce/sbeta.scm 371 */
obj_t BgL_bucketz00_3073;
{ /* Reduce/sbeta.scm 371 */
int BgL_kz00_3083;
BgL_kz00_3083 = 
(int)(BgL_modz00_3069); 
BgL_bucketz00_3073 = 
VECTOR_REF(BgL_arg1221z00_3064,BgL_kz00_3083); } 
{ /* Reduce/sbeta.scm 371 */
int BgL_kz00_3085;
BgL_kz00_3085 = 
(int)(BgL_restz00_3071); 
BgL_method2729z00_3061 = 
VECTOR_REF(BgL_bucketz00_3073,BgL_kz00_3085); } } } } } } } } 
{ /* Reduce/sbeta.scm 371 */
obj_t BgL_auxz00_4381;
BgL_auxz00_4381 = 
PROCEDURE_ENTRY(BgL_method2729z00_3061)(BgL_method2729z00_3061, 
(obj_t)(BgL_arg3012z00_1948), BEOA); 
BgL_res3093z00_3086 = 
(BgL_nodez00_bglt)(BgL_auxz00_4381); } } 
BgL_arg3011z00_1947 = BgL_res3093z00_3086; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1943))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3011z00_1947), BUNSPEC); } 
{ /* Reduce/sbeta.scm 372 */
BgL_nodez00_bglt BgL_arg3013z00_1949;
{ /* Reduce/sbeta.scm 372 */
BgL_nodez00_bglt BgL_arg3014z00_1950;
BgL_arg3014z00_1950 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1943))->BgL_truez00); 
{ /* Reduce/sbeta.scm 372 */
BgL_nodez00_bglt BgL_res3096z00_3116;
{ /* Reduce/sbeta.scm 372 */
obj_t BgL_method2729z00_3091;
{ /* Reduce/sbeta.scm 372 */
long BgL_objzd2classzd2numz00_3093;
{ /* Reduce/sbeta.scm 372 */
BgL_objectz00_bglt BgL_auxz00_4388;
BgL_auxz00_4388 = 
(BgL_objectz00_bglt)(BgL_arg3014z00_1950); 
BgL_objzd2classzd2numz00_3093 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4388); } 
{ /* Reduce/sbeta.scm 372 */
obj_t BgL_arg1221z00_3094;
{ /* Reduce/sbeta.scm 372 */
int BgL_auxz00_4391;
BgL_auxz00_4391 = 
(int)(((long)1)); 
BgL_arg1221z00_3094 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4391); } 
{ /* Reduce/sbeta.scm 372 */
long BgL_offsetz00_3098;
{ /* Reduce/sbeta.scm 372 */
long BgL_auxz00_4394;
{ /* Reduce/sbeta.scm 372 */
int BgL_auxz00_4395;
BgL_auxz00_4395 = 
(int)(BgL_objzd2classzd2numz00_3093); 
BgL_auxz00_4394 = 
(long)(BgL_auxz00_4395); } 
BgL_offsetz00_3098 = 
(BgL_auxz00_4394-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 372 */
long BgL_modz00_3099;
{ /* Reduce/sbeta.scm 372 */
long BgL_auxz00_4399;
{ /* Reduce/sbeta.scm 372 */
int BgL_auxz00_4400;
BgL_auxz00_4400 = 
(int)(((long)8)); 
BgL_auxz00_4399 = 
(long)(BgL_auxz00_4400); } 
BgL_modz00_3099 = 
(BgL_offsetz00_3098/BgL_auxz00_4399); } 
{ /* Reduce/sbeta.scm 372 */
long BgL_restz00_3101;
{ /* Reduce/sbeta.scm 372 */
long BgL_auxz00_4404;
{ /* Reduce/sbeta.scm 372 */
int BgL_auxz00_4405;
BgL_auxz00_4405 = 
(int)(((long)8)); 
BgL_auxz00_4404 = 
(long)(BgL_auxz00_4405); } 
BgL_restz00_3101 = 
(BgL_offsetz00_3098%BgL_auxz00_4404); } 
{ /* Reduce/sbeta.scm 372 */

{ /* Reduce/sbeta.scm 372 */
obj_t BgL_bucketz00_3103;
{ /* Reduce/sbeta.scm 372 */
int BgL_kz00_3113;
BgL_kz00_3113 = 
(int)(BgL_modz00_3099); 
BgL_bucketz00_3103 = 
VECTOR_REF(BgL_arg1221z00_3094,BgL_kz00_3113); } 
{ /* Reduce/sbeta.scm 372 */
int BgL_kz00_3115;
BgL_kz00_3115 = 
(int)(BgL_restz00_3101); 
BgL_method2729z00_3091 = 
VECTOR_REF(BgL_bucketz00_3103,BgL_kz00_3115); } } } } } } } } 
{ /* Reduce/sbeta.scm 372 */
obj_t BgL_auxz00_4413;
BgL_auxz00_4413 = 
PROCEDURE_ENTRY(BgL_method2729z00_3091)(BgL_method2729z00_3091, 
(obj_t)(BgL_arg3014z00_1950), BEOA); 
BgL_res3096z00_3116 = 
(BgL_nodez00_bglt)(BgL_auxz00_4413); } } 
BgL_arg3013z00_1949 = BgL_res3096z00_3116; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1943))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg3013z00_1949), BUNSPEC); } 
{ /* Reduce/sbeta.scm 373 */
BgL_nodez00_bglt BgL_arg3015z00_1951;
{ /* Reduce/sbeta.scm 373 */
BgL_nodez00_bglt BgL_arg3016z00_1952;
BgL_arg3016z00_1952 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1943))->BgL_falsez00); 
{ /* Reduce/sbeta.scm 373 */
BgL_nodez00_bglt BgL_res3099z00_3146;
{ /* Reduce/sbeta.scm 373 */
obj_t BgL_method2729z00_3121;
{ /* Reduce/sbeta.scm 373 */
long BgL_objzd2classzd2numz00_3123;
{ /* Reduce/sbeta.scm 373 */
BgL_objectz00_bglt BgL_auxz00_4420;
BgL_auxz00_4420 = 
(BgL_objectz00_bglt)(BgL_arg3016z00_1952); 
BgL_objzd2classzd2numz00_3123 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4420); } 
{ /* Reduce/sbeta.scm 373 */
obj_t BgL_arg1221z00_3124;
{ /* Reduce/sbeta.scm 373 */
int BgL_auxz00_4423;
BgL_auxz00_4423 = 
(int)(((long)1)); 
BgL_arg1221z00_3124 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4423); } 
{ /* Reduce/sbeta.scm 373 */
long BgL_offsetz00_3128;
{ /* Reduce/sbeta.scm 373 */
long BgL_auxz00_4426;
{ /* Reduce/sbeta.scm 373 */
int BgL_auxz00_4427;
BgL_auxz00_4427 = 
(int)(BgL_objzd2classzd2numz00_3123); 
BgL_auxz00_4426 = 
(long)(BgL_auxz00_4427); } 
BgL_offsetz00_3128 = 
(BgL_auxz00_4426-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 373 */
long BgL_modz00_3129;
{ /* Reduce/sbeta.scm 373 */
long BgL_auxz00_4431;
{ /* Reduce/sbeta.scm 373 */
int BgL_auxz00_4432;
BgL_auxz00_4432 = 
(int)(((long)8)); 
BgL_auxz00_4431 = 
(long)(BgL_auxz00_4432); } 
BgL_modz00_3129 = 
(BgL_offsetz00_3128/BgL_auxz00_4431); } 
{ /* Reduce/sbeta.scm 373 */
long BgL_restz00_3131;
{ /* Reduce/sbeta.scm 373 */
long BgL_auxz00_4436;
{ /* Reduce/sbeta.scm 373 */
int BgL_auxz00_4437;
BgL_auxz00_4437 = 
(int)(((long)8)); 
BgL_auxz00_4436 = 
(long)(BgL_auxz00_4437); } 
BgL_restz00_3131 = 
(BgL_offsetz00_3128%BgL_auxz00_4436); } 
{ /* Reduce/sbeta.scm 373 */

{ /* Reduce/sbeta.scm 373 */
obj_t BgL_bucketz00_3133;
{ /* Reduce/sbeta.scm 373 */
int BgL_kz00_3143;
BgL_kz00_3143 = 
(int)(BgL_modz00_3129); 
BgL_bucketz00_3133 = 
VECTOR_REF(BgL_arg1221z00_3124,BgL_kz00_3143); } 
{ /* Reduce/sbeta.scm 373 */
int BgL_kz00_3145;
BgL_kz00_3145 = 
(int)(BgL_restz00_3131); 
BgL_method2729z00_3121 = 
VECTOR_REF(BgL_bucketz00_3133,BgL_kz00_3145); } } } } } } } } 
{ /* Reduce/sbeta.scm 373 */
obj_t BgL_auxz00_4445;
BgL_auxz00_4445 = 
PROCEDURE_ENTRY(BgL_method2729z00_3121)(BgL_method2729z00_3121, 
(obj_t)(BgL_arg3016z00_1952), BEOA); 
BgL_res3099z00_3146 = 
(BgL_nodez00_bglt)(BgL_auxz00_4445); } } 
BgL_arg3015z00_1951 = BgL_res3099z00_3146; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1943))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3015z00_1951), BUNSPEC); } 
BgL_auxz00_4354 = BgL_nodez00_1943; 
return 
(obj_t)(BgL_auxz00_4354);} } } 
}



/* node-beta!-setq2742 */
obj_t BGl_nodezd2betaz12zd2setq2742z12zzreduce_betaz00(obj_t BgL_envz00_3500, obj_t BgL_nodez00_3501)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 361 */
{ 
BgL_setqz00_bglt BgL_nodez00_1935;
{ /* Reduce/sbeta.scm 362 */
BgL_setqz00_bglt BgL_auxz00_4453;
BgL_nodez00_1935 = 
(BgL_setqz00_bglt)(BgL_nodez00_3501); 
{ /* Reduce/sbeta.scm 363 */
BgL_nodez00_bglt BgL_arg3008z00_1939;
{ /* Reduce/sbeta.scm 363 */
BgL_nodez00_bglt BgL_arg3009z00_1940;
BgL_arg3009z00_1940 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1935))->BgL_valuez00); 
{ /* Reduce/sbeta.scm 363 */
BgL_nodez00_bglt BgL_res3090z00_3056;
{ /* Reduce/sbeta.scm 363 */
obj_t BgL_method2729z00_3031;
{ /* Reduce/sbeta.scm 363 */
long BgL_objzd2classzd2numz00_3033;
{ /* Reduce/sbeta.scm 363 */
BgL_objectz00_bglt BgL_auxz00_4455;
BgL_auxz00_4455 = 
(BgL_objectz00_bglt)(BgL_arg3009z00_1940); 
BgL_objzd2classzd2numz00_3033 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4455); } 
{ /* Reduce/sbeta.scm 363 */
obj_t BgL_arg1221z00_3034;
{ /* Reduce/sbeta.scm 363 */
int BgL_auxz00_4458;
BgL_auxz00_4458 = 
(int)(((long)1)); 
BgL_arg1221z00_3034 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4458); } 
{ /* Reduce/sbeta.scm 363 */
long BgL_offsetz00_3038;
{ /* Reduce/sbeta.scm 363 */
long BgL_auxz00_4461;
{ /* Reduce/sbeta.scm 363 */
int BgL_auxz00_4462;
BgL_auxz00_4462 = 
(int)(BgL_objzd2classzd2numz00_3033); 
BgL_auxz00_4461 = 
(long)(BgL_auxz00_4462); } 
BgL_offsetz00_3038 = 
(BgL_auxz00_4461-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 363 */
long BgL_modz00_3039;
{ /* Reduce/sbeta.scm 363 */
long BgL_auxz00_4466;
{ /* Reduce/sbeta.scm 363 */
int BgL_auxz00_4467;
BgL_auxz00_4467 = 
(int)(((long)8)); 
BgL_auxz00_4466 = 
(long)(BgL_auxz00_4467); } 
BgL_modz00_3039 = 
(BgL_offsetz00_3038/BgL_auxz00_4466); } 
{ /* Reduce/sbeta.scm 363 */
long BgL_restz00_3041;
{ /* Reduce/sbeta.scm 363 */
long BgL_auxz00_4471;
{ /* Reduce/sbeta.scm 363 */
int BgL_auxz00_4472;
BgL_auxz00_4472 = 
(int)(((long)8)); 
BgL_auxz00_4471 = 
(long)(BgL_auxz00_4472); } 
BgL_restz00_3041 = 
(BgL_offsetz00_3038%BgL_auxz00_4471); } 
{ /* Reduce/sbeta.scm 363 */

{ /* Reduce/sbeta.scm 363 */
obj_t BgL_bucketz00_3043;
{ /* Reduce/sbeta.scm 363 */
int BgL_kz00_3053;
BgL_kz00_3053 = 
(int)(BgL_modz00_3039); 
BgL_bucketz00_3043 = 
VECTOR_REF(BgL_arg1221z00_3034,BgL_kz00_3053); } 
{ /* Reduce/sbeta.scm 363 */
int BgL_kz00_3055;
BgL_kz00_3055 = 
(int)(BgL_restz00_3041); 
BgL_method2729z00_3031 = 
VECTOR_REF(BgL_bucketz00_3043,BgL_kz00_3055); } } } } } } } } 
{ /* Reduce/sbeta.scm 363 */
obj_t BgL_auxz00_4480;
BgL_auxz00_4480 = 
PROCEDURE_ENTRY(BgL_method2729z00_3031)(BgL_method2729z00_3031, 
(obj_t)(BgL_arg3009z00_1940), BEOA); 
BgL_res3090z00_3056 = 
(BgL_nodez00_bglt)(BgL_auxz00_4480); } } 
BgL_arg3008z00_1939 = BgL_res3090z00_3056; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1935))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3008z00_1939), BUNSPEC); } 
BgL_auxz00_4453 = BgL_nodez00_1935; 
return 
(obj_t)(BgL_auxz00_4453);} } } 
}



/* node-beta!-cast2740 */
obj_t BGl_nodezd2betaz12zd2cast2740z12zzreduce_betaz00(obj_t BgL_envz00_3502, obj_t BgL_nodez00_3503)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 353 */
{ 
BgL_castz00_bglt BgL_nodez00_1927;
{ /* Reduce/sbeta.scm 354 */
BgL_castz00_bglt BgL_auxz00_4488;
BgL_nodez00_1927 = 
(BgL_castz00_bglt)(BgL_nodez00_3503); 
{ /* Reduce/sbeta.scm 355 */
BgL_nodez00_bglt BgL_arg3005z00_1931;
{ /* Reduce/sbeta.scm 355 */
BgL_nodez00_bglt BgL_arg3006z00_1932;
BgL_arg3006z00_1932 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1927))->BgL_argz00); 
{ /* Reduce/sbeta.scm 355 */
BgL_nodez00_bglt BgL_res3087z00_3026;
{ /* Reduce/sbeta.scm 355 */
obj_t BgL_method2729z00_3001;
{ /* Reduce/sbeta.scm 355 */
long BgL_objzd2classzd2numz00_3003;
{ /* Reduce/sbeta.scm 355 */
BgL_objectz00_bglt BgL_auxz00_4490;
BgL_auxz00_4490 = 
(BgL_objectz00_bglt)(BgL_arg3006z00_1932); 
BgL_objzd2classzd2numz00_3003 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4490); } 
{ /* Reduce/sbeta.scm 355 */
obj_t BgL_arg1221z00_3004;
{ /* Reduce/sbeta.scm 355 */
int BgL_auxz00_4493;
BgL_auxz00_4493 = 
(int)(((long)1)); 
BgL_arg1221z00_3004 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4493); } 
{ /* Reduce/sbeta.scm 355 */
long BgL_offsetz00_3008;
{ /* Reduce/sbeta.scm 355 */
long BgL_auxz00_4496;
{ /* Reduce/sbeta.scm 355 */
int BgL_auxz00_4497;
BgL_auxz00_4497 = 
(int)(BgL_objzd2classzd2numz00_3003); 
BgL_auxz00_4496 = 
(long)(BgL_auxz00_4497); } 
BgL_offsetz00_3008 = 
(BgL_auxz00_4496-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 355 */
long BgL_modz00_3009;
{ /* Reduce/sbeta.scm 355 */
long BgL_auxz00_4501;
{ /* Reduce/sbeta.scm 355 */
int BgL_auxz00_4502;
BgL_auxz00_4502 = 
(int)(((long)8)); 
BgL_auxz00_4501 = 
(long)(BgL_auxz00_4502); } 
BgL_modz00_3009 = 
(BgL_offsetz00_3008/BgL_auxz00_4501); } 
{ /* Reduce/sbeta.scm 355 */
long BgL_restz00_3011;
{ /* Reduce/sbeta.scm 355 */
long BgL_auxz00_4506;
{ /* Reduce/sbeta.scm 355 */
int BgL_auxz00_4507;
BgL_auxz00_4507 = 
(int)(((long)8)); 
BgL_auxz00_4506 = 
(long)(BgL_auxz00_4507); } 
BgL_restz00_3011 = 
(BgL_offsetz00_3008%BgL_auxz00_4506); } 
{ /* Reduce/sbeta.scm 355 */

{ /* Reduce/sbeta.scm 355 */
obj_t BgL_bucketz00_3013;
{ /* Reduce/sbeta.scm 355 */
int BgL_kz00_3023;
BgL_kz00_3023 = 
(int)(BgL_modz00_3009); 
BgL_bucketz00_3013 = 
VECTOR_REF(BgL_arg1221z00_3004,BgL_kz00_3023); } 
{ /* Reduce/sbeta.scm 355 */
int BgL_kz00_3025;
BgL_kz00_3025 = 
(int)(BgL_restz00_3011); 
BgL_method2729z00_3001 = 
VECTOR_REF(BgL_bucketz00_3013,BgL_kz00_3025); } } } } } } } } 
{ /* Reduce/sbeta.scm 355 */
obj_t BgL_auxz00_4515;
BgL_auxz00_4515 = 
PROCEDURE_ENTRY(BgL_method2729z00_3001)(BgL_method2729z00_3001, 
(obj_t)(BgL_arg3006z00_1932), BEOA); 
BgL_res3087z00_3026 = 
(BgL_nodez00_bglt)(BgL_auxz00_4515); } } 
BgL_arg3005z00_1931 = BgL_res3087z00_3026; } } 
((((BgL_castz00_bglt)CREF(BgL_nodez00_1927))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3005z00_1931), BUNSPEC); } 
BgL_auxz00_4488 = BgL_nodez00_1927; 
return 
(obj_t)(BgL_auxz00_4488);} } } 
}



/* node-beta!-funcall2738 */
obj_t BGl_nodezd2betaz12zd2funcall2738z12zzreduce_betaz00(obj_t BgL_envz00_3504, obj_t BgL_nodez00_3505)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 345 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1920;
{ /* Reduce/sbeta.scm 346 */
BgL_funcallz00_bglt BgL_auxz00_4523;
BgL_nodez00_1920 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3505); 
BGl_nodezd2betaza2z12z62zzreduce_betaz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1920))->BgL_argsz00)); 
BgL_auxz00_4523 = BgL_nodez00_1920; 
return 
(obj_t)(BgL_auxz00_4523);} } } 
}



/* node-beta!-app-ly2736 */
obj_t BGl_nodezd2betaz12zd2appzd2ly2736zc0zzreduce_betaz00(obj_t BgL_envz00_3506, obj_t BgL_nodez00_3507)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 336 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1910;
{ /* Reduce/sbeta.scm 337 */
BgL_appzd2lyzd2_bglt BgL_auxz00_4528;
BgL_nodez00_1910 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3507); 
{ /* Reduce/sbeta.scm 338 */
BgL_nodez00_bglt BgL_arg2998z00_1914;
{ /* Reduce/sbeta.scm 338 */
BgL_nodez00_bglt BgL_arg2999z00_1915;
BgL_arg2999z00_1915 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1910))->BgL_funz00); 
{ /* Reduce/sbeta.scm 338 */
BgL_nodez00_bglt BgL_res3081z00_2963;
{ /* Reduce/sbeta.scm 338 */
obj_t BgL_method2729z00_2938;
{ /* Reduce/sbeta.scm 338 */
long BgL_objzd2classzd2numz00_2940;
{ /* Reduce/sbeta.scm 338 */
BgL_objectz00_bglt BgL_auxz00_4530;
BgL_auxz00_4530 = 
(BgL_objectz00_bglt)(BgL_arg2999z00_1915); 
BgL_objzd2classzd2numz00_2940 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4530); } 
{ /* Reduce/sbeta.scm 338 */
obj_t BgL_arg1221z00_2941;
{ /* Reduce/sbeta.scm 338 */
int BgL_auxz00_4533;
BgL_auxz00_4533 = 
(int)(((long)1)); 
BgL_arg1221z00_2941 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4533); } 
{ /* Reduce/sbeta.scm 338 */
long BgL_offsetz00_2945;
{ /* Reduce/sbeta.scm 338 */
long BgL_auxz00_4536;
{ /* Reduce/sbeta.scm 338 */
int BgL_auxz00_4537;
BgL_auxz00_4537 = 
(int)(BgL_objzd2classzd2numz00_2940); 
BgL_auxz00_4536 = 
(long)(BgL_auxz00_4537); } 
BgL_offsetz00_2945 = 
(BgL_auxz00_4536-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 338 */
long BgL_modz00_2946;
{ /* Reduce/sbeta.scm 338 */
long BgL_auxz00_4541;
{ /* Reduce/sbeta.scm 338 */
int BgL_auxz00_4542;
BgL_auxz00_4542 = 
(int)(((long)8)); 
BgL_auxz00_4541 = 
(long)(BgL_auxz00_4542); } 
BgL_modz00_2946 = 
(BgL_offsetz00_2945/BgL_auxz00_4541); } 
{ /* Reduce/sbeta.scm 338 */
long BgL_restz00_2948;
{ /* Reduce/sbeta.scm 338 */
long BgL_auxz00_4546;
{ /* Reduce/sbeta.scm 338 */
int BgL_auxz00_4547;
BgL_auxz00_4547 = 
(int)(((long)8)); 
BgL_auxz00_4546 = 
(long)(BgL_auxz00_4547); } 
BgL_restz00_2948 = 
(BgL_offsetz00_2945%BgL_auxz00_4546); } 
{ /* Reduce/sbeta.scm 338 */

{ /* Reduce/sbeta.scm 338 */
obj_t BgL_bucketz00_2950;
{ /* Reduce/sbeta.scm 338 */
int BgL_kz00_2960;
BgL_kz00_2960 = 
(int)(BgL_modz00_2946); 
BgL_bucketz00_2950 = 
VECTOR_REF(BgL_arg1221z00_2941,BgL_kz00_2960); } 
{ /* Reduce/sbeta.scm 338 */
int BgL_kz00_2962;
BgL_kz00_2962 = 
(int)(BgL_restz00_2948); 
BgL_method2729z00_2938 = 
VECTOR_REF(BgL_bucketz00_2950,BgL_kz00_2962); } } } } } } } } 
{ /* Reduce/sbeta.scm 338 */
obj_t BgL_auxz00_4555;
BgL_auxz00_4555 = 
PROCEDURE_ENTRY(BgL_method2729z00_2938)(BgL_method2729z00_2938, 
(obj_t)(BgL_arg2999z00_1915), BEOA); 
BgL_res3081z00_2963 = 
(BgL_nodez00_bglt)(BgL_auxz00_4555); } } 
BgL_arg2998z00_1914 = BgL_res3081z00_2963; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1910))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg2998z00_1914), BUNSPEC); } 
{ /* Reduce/sbeta.scm 339 */
BgL_nodez00_bglt BgL_arg3000z00_1916;
{ /* Reduce/sbeta.scm 339 */
BgL_nodez00_bglt BgL_arg3001z00_1917;
BgL_arg3001z00_1917 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1910))->BgL_argz00); 
{ /* Reduce/sbeta.scm 339 */
BgL_nodez00_bglt BgL_res3084z00_2993;
{ /* Reduce/sbeta.scm 339 */
obj_t BgL_method2729z00_2968;
{ /* Reduce/sbeta.scm 339 */
long BgL_objzd2classzd2numz00_2970;
{ /* Reduce/sbeta.scm 339 */
BgL_objectz00_bglt BgL_auxz00_4562;
BgL_auxz00_4562 = 
(BgL_objectz00_bglt)(BgL_arg3001z00_1917); 
BgL_objzd2classzd2numz00_2970 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4562); } 
{ /* Reduce/sbeta.scm 339 */
obj_t BgL_arg1221z00_2971;
{ /* Reduce/sbeta.scm 339 */
int BgL_auxz00_4565;
BgL_auxz00_4565 = 
(int)(((long)1)); 
BgL_arg1221z00_2971 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4565); } 
{ /* Reduce/sbeta.scm 339 */
long BgL_offsetz00_2975;
{ /* Reduce/sbeta.scm 339 */
long BgL_auxz00_4568;
{ /* Reduce/sbeta.scm 339 */
int BgL_auxz00_4569;
BgL_auxz00_4569 = 
(int)(BgL_objzd2classzd2numz00_2970); 
BgL_auxz00_4568 = 
(long)(BgL_auxz00_4569); } 
BgL_offsetz00_2975 = 
(BgL_auxz00_4568-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 339 */
long BgL_modz00_2976;
{ /* Reduce/sbeta.scm 339 */
long BgL_auxz00_4573;
{ /* Reduce/sbeta.scm 339 */
int BgL_auxz00_4574;
BgL_auxz00_4574 = 
(int)(((long)8)); 
BgL_auxz00_4573 = 
(long)(BgL_auxz00_4574); } 
BgL_modz00_2976 = 
(BgL_offsetz00_2975/BgL_auxz00_4573); } 
{ /* Reduce/sbeta.scm 339 */
long BgL_restz00_2978;
{ /* Reduce/sbeta.scm 339 */
long BgL_auxz00_4578;
{ /* Reduce/sbeta.scm 339 */
int BgL_auxz00_4579;
BgL_auxz00_4579 = 
(int)(((long)8)); 
BgL_auxz00_4578 = 
(long)(BgL_auxz00_4579); } 
BgL_restz00_2978 = 
(BgL_offsetz00_2975%BgL_auxz00_4578); } 
{ /* Reduce/sbeta.scm 339 */

{ /* Reduce/sbeta.scm 339 */
obj_t BgL_bucketz00_2980;
{ /* Reduce/sbeta.scm 339 */
int BgL_kz00_2990;
BgL_kz00_2990 = 
(int)(BgL_modz00_2976); 
BgL_bucketz00_2980 = 
VECTOR_REF(BgL_arg1221z00_2971,BgL_kz00_2990); } 
{ /* Reduce/sbeta.scm 339 */
int BgL_kz00_2992;
BgL_kz00_2992 = 
(int)(BgL_restz00_2978); 
BgL_method2729z00_2968 = 
VECTOR_REF(BgL_bucketz00_2980,BgL_kz00_2992); } } } } } } } } 
{ /* Reduce/sbeta.scm 339 */
obj_t BgL_auxz00_4587;
BgL_auxz00_4587 = 
PROCEDURE_ENTRY(BgL_method2729z00_2968)(BgL_method2729z00_2968, 
(obj_t)(BgL_arg3001z00_1917), BEOA); 
BgL_res3084z00_2993 = 
(BgL_nodez00_bglt)(BgL_auxz00_4587); } } 
BgL_arg3000z00_1916 = BgL_res3084z00_2993; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1910))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3000z00_1916), BUNSPEC); } 
BgL_auxz00_4528 = BgL_nodez00_1910; 
return 
(obj_t)(BgL_auxz00_4528);} } } 
}



/* node-beta!-sequence2734 */
obj_t BGl_nodezd2betaz12zd2sequence2734z12zzreduce_betaz00(obj_t BgL_envz00_3508, obj_t BgL_nodez00_3509)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 328 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1903;
{ /* Reduce/sbeta.scm 329 */
BgL_sequencez00_bglt BgL_auxz00_4595;
BgL_nodez00_1903 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3509); 
BGl_nodezd2betaza2z12z62zzreduce_betaz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1903))->BgL_nodesz00)); 
BgL_auxz00_4595 = BgL_nodez00_1903; 
return 
(obj_t)(BgL_auxz00_4595);} } } 
}



/* node-beta!-let-var2732 */
obj_t BGl_nodezd2betaz12zd2letzd2var2732zc0zzreduce_betaz00(obj_t BgL_envz00_3510, obj_t BgL_nodez00_3511)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 244 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1786;
BgL_nodez00_1786 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3511); 
{ /* Reduce/sbeta.scm 252 */
BgL_nodez00_bglt BgL_abodyz00_1791;
BgL_abodyz00_1791 = 
BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bodyz00)); 
{ /* Reduce/sbeta.scm 254 */
BgL_nodez00_bglt BgL_arg2912z00_1792;
{ /* Reduce/sbeta.scm 254 */
BgL_nodez00_bglt BgL_res3070z00_2764;
{ /* Reduce/sbeta.scm 254 */
obj_t BgL_method2729z00_2739;
{ /* Reduce/sbeta.scm 254 */
long BgL_objzd2classzd2numz00_2741;
{ /* Reduce/sbeta.scm 254 */
BgL_objectz00_bglt BgL_auxz00_4602;
BgL_auxz00_4602 = 
(BgL_objectz00_bglt)(BgL_abodyz00_1791); 
BgL_objzd2classzd2numz00_2741 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4602); } 
{ /* Reduce/sbeta.scm 254 */
obj_t BgL_arg1221z00_2742;
{ /* Reduce/sbeta.scm 254 */
int BgL_auxz00_4605;
BgL_auxz00_4605 = 
(int)(((long)1)); 
BgL_arg1221z00_2742 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4605); } 
{ /* Reduce/sbeta.scm 254 */
long BgL_offsetz00_2746;
{ /* Reduce/sbeta.scm 254 */
long BgL_auxz00_4608;
{ /* Reduce/sbeta.scm 254 */
int BgL_auxz00_4609;
BgL_auxz00_4609 = 
(int)(BgL_objzd2classzd2numz00_2741); 
BgL_auxz00_4608 = 
(long)(BgL_auxz00_4609); } 
BgL_offsetz00_2746 = 
(BgL_auxz00_4608-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 254 */
long BgL_modz00_2747;
{ /* Reduce/sbeta.scm 254 */
long BgL_auxz00_4613;
{ /* Reduce/sbeta.scm 254 */
int BgL_auxz00_4614;
BgL_auxz00_4614 = 
(int)(((long)8)); 
BgL_auxz00_4613 = 
(long)(BgL_auxz00_4614); } 
BgL_modz00_2747 = 
(BgL_offsetz00_2746/BgL_auxz00_4613); } 
{ /* Reduce/sbeta.scm 254 */
long BgL_restz00_2749;
{ /* Reduce/sbeta.scm 254 */
long BgL_auxz00_4618;
{ /* Reduce/sbeta.scm 254 */
int BgL_auxz00_4619;
BgL_auxz00_4619 = 
(int)(((long)8)); 
BgL_auxz00_4618 = 
(long)(BgL_auxz00_4619); } 
BgL_restz00_2749 = 
(BgL_offsetz00_2746%BgL_auxz00_4618); } 
{ /* Reduce/sbeta.scm 254 */

{ /* Reduce/sbeta.scm 254 */
obj_t BgL_bucketz00_2751;
{ /* Reduce/sbeta.scm 254 */
int BgL_kz00_2761;
BgL_kz00_2761 = 
(int)(BgL_modz00_2747); 
BgL_bucketz00_2751 = 
VECTOR_REF(BgL_arg1221z00_2742,BgL_kz00_2761); } 
{ /* Reduce/sbeta.scm 254 */
int BgL_kz00_2763;
BgL_kz00_2763 = 
(int)(BgL_restz00_2749); 
BgL_method2729z00_2739 = 
VECTOR_REF(BgL_bucketz00_2751,BgL_kz00_2763); } } } } } } } } 
{ /* Reduce/sbeta.scm 254 */
obj_t BgL_auxz00_4627;
BgL_auxz00_4627 = 
PROCEDURE_ENTRY(BgL_method2729z00_2739)(BgL_method2729z00_2739, 
(obj_t)(BgL_abodyz00_1791), BEOA); 
BgL_res3070z00_2764 = 
(BgL_nodez00_bglt)(BgL_auxz00_4627); } } 
BgL_arg2912z00_1792 = BgL_res3070z00_2764; } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2912z00_1792), BUNSPEC); } 
{ 
obj_t BgL_l2680z00_1793;
BgL_l2680z00_1793 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
BgL_lname2681z00_1794:
if(
PAIRP(BgL_l2680z00_1793))
{ /* Reduce/sbeta.scm 256 */
{ /* Reduce/sbeta.scm 257 */
obj_t BgL_bindingz00_1797;
BgL_bindingz00_1797 = 
CAR(BgL_l2680z00_1793); 
{ /* Reduce/sbeta.scm 257 */
BgL_nodez00_bglt BgL_arg2915z00_1798;
{ /* Reduce/sbeta.scm 257 */
BgL_nodez00_bglt BgL_res3073z00_2797;
{ /* Reduce/sbeta.scm 257 */
BgL_nodez00_bglt BgL_nodez00_2771;
{ /* Reduce/sbeta.scm 257 */
obj_t BgL_auxz00_4636;
BgL_auxz00_4636 = 
CDR(BgL_bindingz00_1797); 
BgL_nodez00_2771 = 
(BgL_nodez00_bglt)(BgL_auxz00_4636); } 
{ /* Reduce/sbeta.scm 257 */
obj_t BgL_method2729z00_2772;
{ /* Reduce/sbeta.scm 257 */
long BgL_objzd2classzd2numz00_2774;
{ /* Reduce/sbeta.scm 257 */
BgL_objectz00_bglt BgL_auxz00_4639;
BgL_auxz00_4639 = 
(BgL_objectz00_bglt)(BgL_nodez00_2771); 
BgL_objzd2classzd2numz00_2774 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4639); } 
{ /* Reduce/sbeta.scm 257 */
obj_t BgL_arg1221z00_2775;
{ /* Reduce/sbeta.scm 257 */
int BgL_auxz00_4642;
BgL_auxz00_4642 = 
(int)(((long)1)); 
BgL_arg1221z00_2775 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4642); } 
{ /* Reduce/sbeta.scm 257 */
long BgL_offsetz00_2779;
{ /* Reduce/sbeta.scm 257 */
long BgL_auxz00_4645;
{ /* Reduce/sbeta.scm 257 */
int BgL_auxz00_4646;
BgL_auxz00_4646 = 
(int)(BgL_objzd2classzd2numz00_2774); 
BgL_auxz00_4645 = 
(long)(BgL_auxz00_4646); } 
BgL_offsetz00_2779 = 
(BgL_auxz00_4645-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 257 */
long BgL_modz00_2780;
{ /* Reduce/sbeta.scm 257 */
long BgL_auxz00_4650;
{ /* Reduce/sbeta.scm 257 */
int BgL_auxz00_4651;
BgL_auxz00_4651 = 
(int)(((long)8)); 
BgL_auxz00_4650 = 
(long)(BgL_auxz00_4651); } 
BgL_modz00_2780 = 
(BgL_offsetz00_2779/BgL_auxz00_4650); } 
{ /* Reduce/sbeta.scm 257 */
long BgL_restz00_2782;
{ /* Reduce/sbeta.scm 257 */
long BgL_auxz00_4655;
{ /* Reduce/sbeta.scm 257 */
int BgL_auxz00_4656;
BgL_auxz00_4656 = 
(int)(((long)8)); 
BgL_auxz00_4655 = 
(long)(BgL_auxz00_4656); } 
BgL_restz00_2782 = 
(BgL_offsetz00_2779%BgL_auxz00_4655); } 
{ /* Reduce/sbeta.scm 257 */

{ /* Reduce/sbeta.scm 257 */
obj_t BgL_bucketz00_2784;
{ /* Reduce/sbeta.scm 257 */
int BgL_kz00_2794;
BgL_kz00_2794 = 
(int)(BgL_modz00_2780); 
BgL_bucketz00_2784 = 
VECTOR_REF(BgL_arg1221z00_2775,BgL_kz00_2794); } 
{ /* Reduce/sbeta.scm 257 */
int BgL_kz00_2796;
BgL_kz00_2796 = 
(int)(BgL_restz00_2782); 
BgL_method2729z00_2772 = 
VECTOR_REF(BgL_bucketz00_2784,BgL_kz00_2796); } } } } } } } } 
{ /* Reduce/sbeta.scm 257 */
obj_t BgL_auxz00_4664;
BgL_auxz00_4664 = 
PROCEDURE_ENTRY(BgL_method2729z00_2772)(BgL_method2729z00_2772, 
(obj_t)(BgL_nodez00_2771), BEOA); 
BgL_res3073z00_2797 = 
(BgL_nodez00_bglt)(BgL_auxz00_4664); } } } 
BgL_arg2915z00_1798 = BgL_res3073z00_2797; } 
{ /* Reduce/sbeta.scm 257 */
obj_t BgL_auxz00_4669;
BgL_auxz00_4669 = 
(obj_t)(BgL_arg2915z00_1798); 
SET_CDR(BgL_bindingz00_1797, BgL_auxz00_4669); } } } 
{ 
obj_t BgL_l2680z00_4672;
BgL_l2680z00_4672 = 
CDR(BgL_l2680z00_1793); 
BgL_l2680z00_1793 = BgL_l2680z00_4672; 
goto BgL_lname2681z00_1794;} }  else 
{ /* Reduce/sbeta.scm 256 */((bool_t)1); } } 
if(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_removablezf3zf3))
{ /* Reduce/sbeta.scm 263 */
bool_t BgL_testz00_4677;
{ /* Reduce/sbeta.scm 263 */
obj_t BgL_auxz00_4678;
BgL_auxz00_4678 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
BgL_testz00_4677 = 
NULLP(BgL_auxz00_4678); } 
if(BgL_testz00_4677)
{ /* Reduce/sbeta.scm 263 */
return 
(obj_t)(BgL_abodyz00_1791);}  else 
{ /* Reduce/sbeta.scm 265 */
bool_t BgL_test2920z00_1803;
{ /* Reduce/sbeta.scm 265 */
bool_t BgL_test2979z00_1871;
BgL_test2979z00_1871 = 
BGl_anyzf3zf3zzreduce_betaz00(BGl_proc3150z00zzreduce_betaz00, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00)); 
if(BgL_test2979z00_1871)
{ /* Reduce/sbeta.scm 265 */
BgL_test2920z00_1803 = ((bool_t)1); }  else 
{ /* Reduce/sbeta.scm 265 */
BgL_test2920z00_1803 = 
BGl_anyzf3zf3zzreduce_betaz00(BGl_dangerouszd2bindingzf3zd2envzf3zzreduce_betaz00, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00)); } } 
if(BgL_test2920z00_1803)
{ /* Reduce/sbeta.scm 265 */
return 
(obj_t)(BgL_nodez00_1786);}  else 
{ /* Reduce/sbeta.scm 275 */
bool_t BgL_test2921z00_1804;
{ /* Reduce/sbeta.scm 275 */
bool_t BgL_testz00_4689;
{ /* Reduce/sbeta.scm 275 */
obj_t BgL_auxz00_4690;
BgL_auxz00_4690 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
BgL_testz00_4689 = 
PAIRP(BgL_auxz00_4690); } 
if(BgL_testz00_4689)
{ /* Reduce/sbeta.scm 276 */
bool_t BgL_testz00_4693;
{ /* Reduce/sbeta.scm 276 */
obj_t BgL_auxz00_4694;
{ /* Reduce/sbeta.scm 276 */
obj_t BgL_auxz00_4695;
BgL_auxz00_4695 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
BgL_auxz00_4694 = 
CDR(BgL_auxz00_4695); } 
BgL_testz00_4693 = 
NULLP(BgL_auxz00_4694); } 
if(BgL_testz00_4693)
{ /* Reduce/sbeta.scm 277 */
bool_t BgL_res3074z00_2828;
{ /* Reduce/sbeta.scm 277 */
BgL_variablez00_bglt BgL_varz00_2822;
{ /* Reduce/sbeta.scm 277 */
obj_t BgL_auxz00_4699;
{ /* Reduce/sbeta.scm 277 */
obj_t BgL_auxz00_4700;
{ /* Reduce/sbeta.scm 277 */
obj_t BgL_auxz00_4701;
BgL_auxz00_4701 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
BgL_auxz00_4700 = 
CAR(BgL_auxz00_4701); } 
BgL_auxz00_4699 = 
CAR(BgL_auxz00_4700); } 
BgL_varz00_2822 = 
(BgL_variablez00_bglt)(BgL_auxz00_4699); } 
{ /* Reduce/sbeta.scm 277 */
bool_t BgL__andtest_2669z00_2824;
BgL__andtest_2669z00_2824 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_abodyz00_1791), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2669z00_2824)
{ /* Reduce/sbeta.scm 277 */
obj_t BgL_auxz00_4714;obj_t BgL_auxz00_4709;
BgL_auxz00_4714 = 
(obj_t)(BgL_varz00_2822); 
{ /* Reduce/sbeta.scm 277 */
BgL_variablez00_bglt BgL_auxz00_4710;
{ /* Reduce/sbeta.scm 277 */
BgL_varz00_bglt BgL_obj1619z00_2827;
BgL_obj1619z00_2827 = 
(BgL_varz00_bglt)(BgL_abodyz00_1791); 
BgL_auxz00_4710 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2827))->BgL_variablez00); } 
BgL_auxz00_4709 = 
(obj_t)(BgL_auxz00_4710); } 
BgL_res3074z00_2828 = 
(BgL_auxz00_4709==BgL_auxz00_4714); }  else 
{ /* Reduce/sbeta.scm 277 */
BgL_res3074z00_2828 = ((bool_t)0); } } } 
BgL_test2921z00_1804 = BgL_res3074z00_2828; }  else 
{ /* Reduce/sbeta.scm 276 */
BgL_test2921z00_1804 = ((bool_t)0); } }  else 
{ /* Reduce/sbeta.scm 275 */
BgL_test2921z00_1804 = ((bool_t)0); } } 
if(BgL_test2921z00_1804)
{ /* Reduce/sbeta.scm 275 */
{ /* Reduce/sbeta.scm 279 */
long BgL_za71za7_2829;
BgL_za71za7_2829 = BGl_za2removedza2z00zzreduce_betaz00; 
BGl_za2removedza2z00zzreduce_betaz00 = 
(BgL_za71za7_2829+((long)1)); } 
{ /* Reduce/sbeta.scm 280 */
BgL_nodez00_bglt BgL_res3077z00_2862;
{ /* Reduce/sbeta.scm 280 */
BgL_nodez00_bglt BgL_nodez00_2836;
{ /* Reduce/sbeta.scm 280 */
obj_t BgL_auxz00_4719;
{ /* Reduce/sbeta.scm 280 */
obj_t BgL_auxz00_4720;
{ /* Reduce/sbeta.scm 280 */
obj_t BgL_auxz00_4721;
BgL_auxz00_4721 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
BgL_auxz00_4720 = 
CAR(BgL_auxz00_4721); } 
BgL_auxz00_4719 = 
CDR(BgL_auxz00_4720); } 
BgL_nodez00_2836 = 
(BgL_nodez00_bglt)(BgL_auxz00_4719); } 
{ /* Reduce/sbeta.scm 280 */
obj_t BgL_method2729z00_2837;
{ /* Reduce/sbeta.scm 280 */
long BgL_objzd2classzd2numz00_2839;
{ /* Reduce/sbeta.scm 280 */
BgL_objectz00_bglt BgL_auxz00_4726;
BgL_auxz00_4726 = 
(BgL_objectz00_bglt)(BgL_nodez00_2836); 
BgL_objzd2classzd2numz00_2839 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4726); } 
{ /* Reduce/sbeta.scm 280 */
obj_t BgL_arg1221z00_2840;
{ /* Reduce/sbeta.scm 280 */
int BgL_auxz00_4729;
BgL_auxz00_4729 = 
(int)(((long)1)); 
BgL_arg1221z00_2840 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4729); } 
{ /* Reduce/sbeta.scm 280 */
long BgL_offsetz00_2844;
{ /* Reduce/sbeta.scm 280 */
long BgL_auxz00_4732;
{ /* Reduce/sbeta.scm 280 */
int BgL_auxz00_4733;
BgL_auxz00_4733 = 
(int)(BgL_objzd2classzd2numz00_2839); 
BgL_auxz00_4732 = 
(long)(BgL_auxz00_4733); } 
BgL_offsetz00_2844 = 
(BgL_auxz00_4732-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 280 */
long BgL_modz00_2845;
{ /* Reduce/sbeta.scm 280 */
long BgL_auxz00_4737;
{ /* Reduce/sbeta.scm 280 */
int BgL_auxz00_4738;
BgL_auxz00_4738 = 
(int)(((long)8)); 
BgL_auxz00_4737 = 
(long)(BgL_auxz00_4738); } 
BgL_modz00_2845 = 
(BgL_offsetz00_2844/BgL_auxz00_4737); } 
{ /* Reduce/sbeta.scm 280 */
long BgL_restz00_2847;
{ /* Reduce/sbeta.scm 280 */
long BgL_auxz00_4742;
{ /* Reduce/sbeta.scm 280 */
int BgL_auxz00_4743;
BgL_auxz00_4743 = 
(int)(((long)8)); 
BgL_auxz00_4742 = 
(long)(BgL_auxz00_4743); } 
BgL_restz00_2847 = 
(BgL_offsetz00_2844%BgL_auxz00_4742); } 
{ /* Reduce/sbeta.scm 280 */

{ /* Reduce/sbeta.scm 280 */
obj_t BgL_bucketz00_2849;
{ /* Reduce/sbeta.scm 280 */
int BgL_kz00_2859;
BgL_kz00_2859 = 
(int)(BgL_modz00_2845); 
BgL_bucketz00_2849 = 
VECTOR_REF(BgL_arg1221z00_2840,BgL_kz00_2859); } 
{ /* Reduce/sbeta.scm 280 */
int BgL_kz00_2861;
BgL_kz00_2861 = 
(int)(BgL_restz00_2847); 
BgL_method2729z00_2837 = 
VECTOR_REF(BgL_bucketz00_2849,BgL_kz00_2861); } } } } } } } } 
{ /* Reduce/sbeta.scm 280 */
obj_t BgL_auxz00_4751;
BgL_auxz00_4751 = 
PROCEDURE_ENTRY(BgL_method2729z00_2837)(BgL_method2729z00_2837, 
(obj_t)(BgL_nodez00_2836), BEOA); 
BgL_res3077z00_2862 = 
(BgL_nodez00_bglt)(BgL_auxz00_4751); } } } 
return 
(obj_t)(BgL_res3077z00_2862);} }  else 
{ /* Reduce/sbeta.scm 281 */
bool_t BgL_test2924z00_1807;
{ /* Reduce/sbeta.scm 281 */
bool_t BgL_test2963z00_1855;
BgL_test2963z00_1855 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_abodyz00_1791), BGl_conditionalz00zzast_nodez00); 
if(BgL_test2963z00_1855)
{ /* Reduce/sbeta.scm 282 */
bool_t BgL_testz00_4760;
{ /* Reduce/sbeta.scm 282 */
obj_t BgL_auxz00_4761;
{ /* Reduce/sbeta.scm 282 */
obj_t BgL_auxz00_4762;
BgL_auxz00_4762 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
BgL_auxz00_4761 = 
CDR(BgL_auxz00_4762); } 
BgL_testz00_4760 = 
NULLP(BgL_auxz00_4761); } 
if(BgL_testz00_4760)
{ /* Reduce/sbeta.scm 283 */
BgL_nodez00_bglt BgL_arg2966z00_1858;
{ /* Reduce/sbeta.scm 284 */
BgL_conditionalz00_bglt BgL_obj2304z00_2870;
BgL_obj2304z00_2870 = 
(BgL_conditionalz00_bglt)(BgL_abodyz00_1791); 
BgL_arg2966z00_1858 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2304z00_2870))->BgL_testz00); } 
{ /* Reduce/sbeta.scm 283 */
bool_t BgL_res3078z00_2877;
{ /* Reduce/sbeta.scm 283 */
BgL_variablez00_bglt BgL_varz00_2871;
{ /* Reduce/sbeta.scm 283 */
obj_t BgL_auxz00_4768;
{ /* Reduce/sbeta.scm 283 */
obj_t BgL_auxz00_4769;
{ /* Reduce/sbeta.scm 283 */
obj_t BgL_auxz00_4770;
BgL_auxz00_4770 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
BgL_auxz00_4769 = 
CAR(BgL_auxz00_4770); } 
BgL_auxz00_4768 = 
CAR(BgL_auxz00_4769); } 
BgL_varz00_2871 = 
(BgL_variablez00_bglt)(BgL_auxz00_4768); } 
{ /* Reduce/sbeta.scm 283 */
bool_t BgL__andtest_2669z00_2873;
BgL__andtest_2669z00_2873 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_arg2966z00_1858), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2669z00_2873)
{ /* Reduce/sbeta.scm 283 */
obj_t BgL_auxz00_4783;obj_t BgL_auxz00_4778;
BgL_auxz00_4783 = 
(obj_t)(BgL_varz00_2871); 
{ /* Reduce/sbeta.scm 283 */
BgL_variablez00_bglt BgL_auxz00_4779;
{ /* Reduce/sbeta.scm 283 */
BgL_varz00_bglt BgL_obj1619z00_2876;
BgL_obj1619z00_2876 = 
(BgL_varz00_bglt)(BgL_arg2966z00_1858); 
BgL_auxz00_4779 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_2876))->BgL_variablez00); } 
BgL_auxz00_4778 = 
(obj_t)(BgL_auxz00_4779); } 
BgL_res3078z00_2877 = 
(BgL_auxz00_4778==BgL_auxz00_4783); }  else 
{ /* Reduce/sbeta.scm 283 */
BgL_res3078z00_2877 = ((bool_t)0); } } } 
BgL_test2924z00_1807 = BgL_res3078z00_2877; } }  else 
{ /* Reduce/sbeta.scm 282 */
BgL_test2924z00_1807 = ((bool_t)0); } }  else 
{ /* Reduce/sbeta.scm 281 */
BgL_test2924z00_1807 = ((bool_t)0); } } 
if(BgL_test2924z00_1807)
{ /* Reduce/sbeta.scm 281 */
{ /* Reduce/sbeta.scm 286 */
long BgL_za71za7_2878;
BgL_za71za7_2878 = BGl_za2removedza2z00zzreduce_betaz00; 
BGl_za2removedza2z00zzreduce_betaz00 = 
(BgL_za71za7_2878+((long)1)); } 
{ /* Reduce/sbeta.scm 287 */
obj_t BgL_valz00_1808;
{ /* Reduce/sbeta.scm 287 */
obj_t BgL_auxz00_4788;
{ /* Reduce/sbeta.scm 287 */
obj_t BgL_auxz00_4789;
BgL_auxz00_4789 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
BgL_auxz00_4788 = 
CAR(BgL_auxz00_4789); } 
BgL_valz00_1808 = 
CDR(BgL_auxz00_4788); } 
{ /* Reduce/sbeta.scm 288 */
BgL_conditionalz00_bglt BgL_obj2306z00_2883;BgL_nodez00_bglt BgL_val2305z00_2884;
BgL_obj2306z00_2883 = 
(BgL_conditionalz00_bglt)(BgL_abodyz00_1791); 
BgL_val2305z00_2884 = 
(BgL_nodez00_bglt)(BgL_valz00_1808); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2306z00_2883))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2305z00_2884), BUNSPEC); } 
{ /* Reduce/sbeta.scm 289 */
bool_t BgL_testz00_4796;
{ /* Reduce/sbeta.scm 289 */
BgL_conditionalz00_bglt BgL_obj2298z00_2885;
BgL_obj2298z00_2885 = 
(BgL_conditionalz00_bglt)(BgL_abodyz00_1791); 
{ /* Reduce/sbeta.scm 289 */
obj_t BgL_auxz00_4798;
BgL_auxz00_4798 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2298z00_2885))->BgL_sidezd2effectzf3z21); 
BgL_testz00_4796 = 
CBOOL(BgL_auxz00_4798); } } 
if(BgL_testz00_4796)
{ /* Reduce/sbeta.scm 289 */BFALSE; }  else 
{ /* Reduce/sbeta.scm 290 */
bool_t BgL_arg2926z00_1810;
BgL_arg2926z00_1810 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_valz00_1808)); 
{ /* Reduce/sbeta.scm 290 */
BgL_conditionalz00_bglt BgL_obj2300z00_2886;obj_t BgL_val2299z00_2887;
BgL_obj2300z00_2886 = 
(BgL_conditionalz00_bglt)(BgL_abodyz00_1791); 
BgL_val2299z00_2887 = 
BBOOL(BgL_arg2926z00_1810); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2300z00_2886))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val2299z00_2887), BUNSPEC); } } } } 
return 
(obj_t)(BgL_abodyz00_1791);}  else 
{ /* Reduce/sbeta.scm 292 */
bool_t BgL_test2929z00_1813;
{ /* Reduce/sbeta.scm 292 */
bool_t BgL_test2952z00_1842;
BgL_test2952z00_1842 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_abodyz00_1791), BGl_appz00zzast_nodez00); 
if(BgL_test2952z00_1842)
{ /* Reduce/sbeta.scm 293 */
bool_t BgL_test2953z00_1843;
{ /* Reduce/sbeta.scm 293 */
obj_t BgL_auxz00_4810;
{ /* Reduce/sbeta.scm 293 */
BgL_appz00_bglt BgL_obj1725z00_2889;
BgL_obj1725z00_2889 = 
(BgL_appz00_bglt)(BgL_abodyz00_1791); 
BgL_auxz00_4810 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2889))->BgL_argsz00); } 
BgL_test2953z00_1843 = 
BGl_everyzf3zf3zzreduce_betaz00(BGl_proc3149z00zzreduce_betaz00, BgL_auxz00_4810); } 
if(BgL_test2953z00_1843)
{ /* Reduce/sbeta.scm 294 */
bool_t BgL_test2954z00_1844;
{ /* Reduce/sbeta.scm 294 */
obj_t BgL_auxz00_4815;
{ /* Reduce/sbeta.scm 294 */
BgL_appz00_bglt BgL_obj1725z00_2891;
{ /* Reduce/sbeta.scm 294 */
BgL_nodez00_bglt BgL_auxz00_4816;
BgL_auxz00_4816 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bodyz00); 
BgL_obj1725z00_2891 = 
(BgL_appz00_bglt)(BgL_auxz00_4816); } 
BgL_auxz00_4815 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2891))->BgL_argsz00); } 
BgL_test2954z00_1844 = 
BGl_anyzf3zf3zzreduce_betaz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BgL_auxz00_4815); } 
if(BgL_test2954z00_1844)
{ /* Reduce/sbeta.scm 294 */
BgL_test2929z00_1813 = ((bool_t)0); }  else 
{ /* Reduce/sbeta.scm 295 */
obj_t BgL_arg2956z00_1846;
BgL_arg2956z00_1846 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
{ /* Reduce/sbeta.scm 296 */
obj_t BgL_zc3anonymousza32957ze3z83_3479;
{ 
int BgL_auxz00_4825;int BgL_auxz00_4823;
BgL_auxz00_4825 = 
(int)(((long)1)); 
BgL_auxz00_4823 = 
(int)(((long)1)); 
BgL_zc3anonymousza32957ze3z83_3479 = 
make_fx_procedure(BGl_zc3anonymousza32957ze3z83zzreduce_betaz00, BgL_auxz00_4823, BgL_auxz00_4825); } 
{ /* Reduce/sbeta.scm 296 */
obj_t BgL_auxz00_4830;int BgL_auxz00_4828;
BgL_auxz00_4830 = 
(obj_t)(BgL_abodyz00_1791); 
BgL_auxz00_4828 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32957ze3z83_3479, BgL_auxz00_4828, BgL_auxz00_4830); } 
BgL_test2929z00_1813 = 
BGl_everyzf3zf3zzreduce_betaz00(BgL_zc3anonymousza32957ze3z83_3479, BgL_arg2956z00_1846); } } }  else 
{ /* Reduce/sbeta.scm 293 */
BgL_test2929z00_1813 = ((bool_t)0); } }  else 
{ /* Reduce/sbeta.scm 292 */
BgL_test2929z00_1813 = ((bool_t)0); } } 
if(BgL_test2929z00_1813)
{ /* Reduce/sbeta.scm 292 */
{ /* Reduce/sbeta.scm 300 */
long BgL_za71za7_2898;
BgL_za71za7_2898 = BGl_za2removedza2z00zzreduce_betaz00; 
{ /* Reduce/sbeta.scm 300 */
long BgL_auxz00_4835;
BgL_auxz00_4835 = 
bgl_list_length(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00)); 
BGl_za2removedza2z00zzreduce_betaz00 = 
(BgL_za71za7_2898+BgL_auxz00_4835); } } 
{ /* Reduce/sbeta.scm 302 */
obj_t BgL_nargsz00_1817;
{ /* Reduce/sbeta.scm 302 */
obj_t BgL_auxz00_4839;
{ /* Reduce/sbeta.scm 302 */
BgL_appz00_bglt BgL_obj1725z00_2901;
BgL_obj1725z00_2901 = 
(BgL_appz00_bglt)(BgL_abodyz00_1791); 
BgL_auxz00_4839 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2901))->BgL_argsz00); } 
BgL_nargsz00_1817 = 
BGl_makezd2argszd2listz00zzreduce_betaz00(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00), BgL_auxz00_4839); } 
{ /* Reduce/sbeta.scm 303 */
BgL_appz00_bglt BgL_obj1727z00_2902;
BgL_obj1727z00_2902 = 
(BgL_appz00_bglt)(BgL_abodyz00_1791); 
((((BgL_appz00_bglt)CREF(BgL_obj1727z00_2902))->BgL_argsz00) = ((obj_t)BgL_nargsz00_1817), BUNSPEC); } 
{ /* Reduce/sbeta.scm 304 */
bool_t BgL_testz00_4846;
{ /* Reduce/sbeta.scm 304 */
BgL_appz00_bglt BgL_obj1716z00_2904;
BgL_obj1716z00_2904 = 
(BgL_appz00_bglt)(BgL_abodyz00_1791); 
{ /* Reduce/sbeta.scm 304 */
obj_t BgL_auxz00_4848;
BgL_auxz00_4848 = 
(((BgL_appz00_bglt)CREF(BgL_obj1716z00_2904))->BgL_sidezd2effectzf3z21); 
BgL_testz00_4846 = 
CBOOL(BgL_auxz00_4848); } } 
if(BgL_testz00_4846)
{ /* Reduce/sbeta.scm 304 */BFALSE; }  else 
{ /* Reduce/sbeta.scm 306 */
bool_t BgL_arg2933z00_1819;
BgL_arg2933z00_1819 = 
BGl_anyzf3zf3zzreduce_betaz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BgL_nargsz00_1817); 
{ /* Reduce/sbeta.scm 305 */
BgL_appz00_bglt BgL_obj1718z00_2905;obj_t BgL_val1717z00_2906;
BgL_obj1718z00_2905 = 
(BgL_appz00_bglt)(BgL_abodyz00_1791); 
BgL_val1717z00_2906 = 
BBOOL(BgL_arg2933z00_1819); 
((((BgL_appz00_bglt)CREF(BgL_obj1718z00_2905))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val1717z00_2906), BUNSPEC); } } } } 
return 
(obj_t)(BgL_abodyz00_1791);}  else 
{ /* Reduce/sbeta.scm 308 */
bool_t BgL_test2936z00_1822;
{ /* Reduce/sbeta.scm 308 */
bool_t BgL_test2944z00_1832;
BgL_test2944z00_1832 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_abodyz00_1791), BGl_externz00zzast_nodez00); 
if(BgL_test2944z00_1832)
{ /* Reduce/sbeta.scm 309 */
bool_t BgL_test2945z00_1833;
{ /* Reduce/sbeta.scm 309 */
obj_t BgL_auxz00_4859;
{ /* Reduce/sbeta.scm 309 */
BgL_externz00_bglt BgL_obj1825z00_2908;
BgL_obj1825z00_2908 = 
(BgL_externz00_bglt)(BgL_abodyz00_1791); 
BgL_auxz00_4859 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_2908))->BgL_exprza2za2); } 
BgL_test2945z00_1833 = 
BGl_everyzf3zf3zzreduce_betaz00(BGl_proc3149z00zzreduce_betaz00, BgL_auxz00_4859); } 
if(BgL_test2945z00_1833)
{ /* Reduce/sbeta.scm 310 */
obj_t BgL_arg2947z00_1835;
BgL_arg2947z00_1835 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00); 
{ /* Reduce/sbeta.scm 310 */
obj_t BgL_zc3anonymousza32948ze3z83_3480;
{ 
int BgL_auxz00_4867;int BgL_auxz00_4865;
BgL_auxz00_4867 = 
(int)(((long)1)); 
BgL_auxz00_4865 = 
(int)(((long)1)); 
BgL_zc3anonymousza32948ze3z83_3480 = 
make_fx_procedure(BGl_zc3anonymousza32948ze3z83zzreduce_betaz00, BgL_auxz00_4865, BgL_auxz00_4867); } 
{ /* Reduce/sbeta.scm 310 */
obj_t BgL_auxz00_4872;int BgL_auxz00_4870;
BgL_auxz00_4872 = 
(obj_t)(BgL_abodyz00_1791); 
BgL_auxz00_4870 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32948ze3z83_3480, BgL_auxz00_4870, BgL_auxz00_4872); } 
BgL_test2936z00_1822 = 
BGl_everyzf3zf3zzreduce_betaz00(BgL_zc3anonymousza32948ze3z83_3480, BgL_arg2947z00_1835); } }  else 
{ /* Reduce/sbeta.scm 309 */
BgL_test2936z00_1822 = ((bool_t)0); } }  else 
{ /* Reduce/sbeta.scm 308 */
BgL_test2936z00_1822 = ((bool_t)0); } } 
if(BgL_test2936z00_1822)
{ /* Reduce/sbeta.scm 308 */
{ /* Reduce/sbeta.scm 314 */
long BgL_za71za7_2915;
BgL_za71za7_2915 = BGl_za2removedza2z00zzreduce_betaz00; 
{ /* Reduce/sbeta.scm 314 */
long BgL_auxz00_4877;
BgL_auxz00_4877 = 
bgl_list_length(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00)); 
BGl_za2removedza2z00zzreduce_betaz00 = 
(BgL_za71za7_2915+BgL_auxz00_4877); } } 
{ /* Reduce/sbeta.scm 316 */
obj_t BgL_nexprza2za2_1826;
{ /* Reduce/sbeta.scm 316 */
obj_t BgL_auxz00_4881;
{ /* Reduce/sbeta.scm 316 */
BgL_externz00_bglt BgL_obj1825z00_2919;
{ /* Reduce/sbeta.scm 316 */
BgL_nodez00_bglt BgL_auxz00_4883;
BgL_auxz00_4883 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bodyz00); 
BgL_obj1825z00_2919 = 
(BgL_externz00_bglt)(BgL_auxz00_4883); } 
BgL_auxz00_4881 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_2919))->BgL_exprza2za2); } 
BgL_nexprza2za2_1826 = 
BGl_makezd2argszd2listz00zzreduce_betaz00(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1786))->BgL_bindingsz00), BgL_auxz00_4881); } 
{ /* Reduce/sbeta.scm 317 */
BgL_externz00_bglt BgL_obj1827z00_2920;
BgL_obj1827z00_2920 = 
(BgL_externz00_bglt)(BgL_abodyz00_1791); 
((((BgL_externz00_bglt)CREF(BgL_obj1827z00_2920))->BgL_exprza2za2) = ((obj_t)BgL_nexprza2za2_1826), BUNSPEC); } 
{ /* Reduce/sbeta.scm 318 */
bool_t BgL_testz00_4890;
{ /* Reduce/sbeta.scm 318 */
BgL_externz00_bglt BgL_obj1819z00_2922;
BgL_obj1819z00_2922 = 
(BgL_externz00_bglt)(BgL_abodyz00_1791); 
{ /* Reduce/sbeta.scm 318 */
obj_t BgL_auxz00_4892;
BgL_auxz00_4892 = 
(((BgL_externz00_bglt)CREF(BgL_obj1819z00_2922))->BgL_sidezd2effectzf3z21); 
BgL_testz00_4890 = 
CBOOL(BgL_auxz00_4892); } } 
if(BgL_testz00_4890)
{ /* Reduce/sbeta.scm 318 */BFALSE; }  else 
{ /* Reduce/sbeta.scm 320 */
bool_t BgL_arg2940z00_1828;
BgL_arg2940z00_1828 = 
BGl_anyzf3zf3zzreduce_betaz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BgL_nexprza2za2_1826); 
{ /* Reduce/sbeta.scm 319 */
BgL_externz00_bglt BgL_obj1821z00_2923;obj_t BgL_val1820z00_2924;
BgL_obj1821z00_2923 = 
(BgL_externz00_bglt)(BgL_abodyz00_1791); 
BgL_val1820z00_2924 = 
BBOOL(BgL_arg2940z00_1828); 
((((BgL_externz00_bglt)CREF(BgL_obj1821z00_2923))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val1820z00_2924), BUNSPEC); } } } } 
return 
(obj_t)(BgL_abodyz00_1791);}  else 
{ /* Reduce/sbeta.scm 308 */
return 
(obj_t)(BgL_nodez00_1786);} } } } } } }  else 
{ /* Reduce/sbeta.scm 261 */
return 
(obj_t)(BgL_nodez00_1786);} } } } 
}



/* <anonymous:2948> */
obj_t BGl_zc3anonymousza32948ze3z83zzreduce_betaz00(obj_t BgL_envz00_3512, obj_t BgL_bz00_3514)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 310 */
{ /* Reduce/sbeta.scm 310 */
obj_t BgL_abodyz00_3513;
{ /* Reduce/sbeta.scm 310 */
int BgL_auxz00_4903;
BgL_auxz00_4903 = 
(int)(((long)0)); 
BgL_abodyz00_3513 = 
PROCEDURE_REF(BgL_envz00_3512, BgL_auxz00_4903); } 
{ 
obj_t BgL_bz00_1836;
{ /* Reduce/sbeta.scm 310 */
bool_t BgL_auxz00_4906;
BgL_bz00_1836 = BgL_bz00_3514; 
{ /* Reduce/sbeta.scm 310 */
obj_t BgL_auxz00_4911;BgL_variablez00_bglt BgL_auxz00_4907;
{ /* Reduce/sbeta.scm 310 */
BgL_externz00_bglt BgL_obj1825z00_2913;
BgL_obj1825z00_2913 = 
(BgL_externz00_bglt)(BgL_abodyz00_3513); 
BgL_auxz00_4911 = 
(((BgL_externz00_bglt)CREF(BgL_obj1825z00_2913))->BgL_exprza2za2); } 
{ /* Reduce/sbeta.scm 310 */
obj_t BgL_auxz00_4908;
BgL_auxz00_4908 = 
CAR(BgL_bz00_1836); 
BgL_auxz00_4907 = 
(BgL_variablez00_bglt)(BgL_auxz00_4908); } 
BgL_auxz00_4906 = 
BGl_argumentzf3zf3zzreduce_betaz00(BgL_auxz00_4907, BgL_auxz00_4911); } 
return 
BBOOL(BgL_auxz00_4906);} } } } 
}



/* <anonymous:2957> */
obj_t BGl_zc3anonymousza32957ze3z83zzreduce_betaz00(obj_t BgL_envz00_3515, obj_t BgL_bz00_3517)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 295 */
{ /* Reduce/sbeta.scm 296 */
obj_t BgL_abodyz00_3516;
{ /* Reduce/sbeta.scm 296 */
int BgL_auxz00_4916;
BgL_auxz00_4916 = 
(int)(((long)0)); 
BgL_abodyz00_3516 = 
PROCEDURE_REF(BgL_envz00_3515, BgL_auxz00_4916); } 
{ 
obj_t BgL_bz00_1847;
{ /* Reduce/sbeta.scm 296 */
bool_t BgL_auxz00_4919;
BgL_bz00_1847 = BgL_bz00_3517; 
{ /* Reduce/sbeta.scm 296 */
obj_t BgL_auxz00_4924;BgL_variablez00_bglt BgL_auxz00_4920;
{ /* Reduce/sbeta.scm 296 */
BgL_appz00_bglt BgL_obj1725z00_2896;
BgL_obj1725z00_2896 = 
(BgL_appz00_bglt)(BgL_abodyz00_3516); 
BgL_auxz00_4924 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2896))->BgL_argsz00); } 
{ /* Reduce/sbeta.scm 296 */
obj_t BgL_auxz00_4921;
BgL_auxz00_4921 = 
CAR(BgL_bz00_1847); 
BgL_auxz00_4920 = 
(BgL_variablez00_bglt)(BgL_auxz00_4921); } 
BgL_auxz00_4919 = 
BGl_argumentzf3zf3zzreduce_betaz00(BgL_auxz00_4920, BgL_auxz00_4924); } 
return 
BBOOL(BgL_auxz00_4919);} } } } 
}



/* <anonymous:2983> */
obj_t BGl_zc3anonymousza32983ze3z83zzreduce_betaz00(obj_t BgL_envz00_3518, obj_t BgL_bz00_3519)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 265 */
{ 
obj_t BgL_bz00_1875;
{ /* Reduce/sbeta.scm 269 */
bool_t BgL_auxz00_4929;
BgL_bz00_1875 = BgL_bz00_3519; 
{ /* Reduce/sbeta.scm 269 */
bool_t BgL__ortest_2682z00_1877;
{ /* Reduce/sbeta.scm 269 */
long BgL_auxz00_4930;
{ /* Reduce/sbeta.scm 269 */
BgL_localz00_bglt BgL_obj1267z00_2806;
{ /* Reduce/sbeta.scm 269 */
obj_t BgL_auxz00_4931;
BgL_auxz00_4931 = 
CAR(BgL_bz00_1875); 
BgL_obj1267z00_2806 = 
(BgL_localz00_bglt)(BgL_auxz00_4931); } 
BgL_auxz00_4930 = 
(((BgL_localz00_bglt)CREF(BgL_obj1267z00_2806))->BgL_occurrencez00); } 
BgL__ortest_2682z00_1877 = 
(BgL_auxz00_4930>((long)1)); } 
if(BgL__ortest_2682z00_1877)
{ /* Reduce/sbeta.scm 269 */
BgL_auxz00_4929 = BgL__ortest_2682z00_1877
; }  else 
{ /* Reduce/sbeta.scm 270 */
bool_t BgL_testz00_4937;
{ /* Reduce/sbeta.scm 270 */
BgL_localz00_bglt BgL_obj1270z00_2810;
{ /* Reduce/sbeta.scm 270 */
obj_t BgL_auxz00_4938;
BgL_auxz00_4938 = 
CAR(BgL_bz00_1875); 
BgL_obj1270z00_2810 = 
(BgL_localz00_bglt)(BgL_auxz00_4938); } 
BgL_testz00_4937 = 
(((BgL_localz00_bglt)CREF(BgL_obj1270z00_2810))->BgL_userzf3zf3); } 
if(BgL_testz00_4937)
{ /* Reduce/sbeta.scm 271 */
long BgL_n1z00_2811;
BgL_n1z00_2811 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_auxz00_4929 = 
(BgL_n1z00_2811>((long)0)); }  else 
{ /* Reduce/sbeta.scm 270 */
BgL_auxz00_4929 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_auxz00_4929);} } } 
}



/* simple? */
obj_t BGl_simplezf3zf3zzreduce_betaz00(obj_t BgL_envz00_3520, obj_t BgL_ez00_3521)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 250 */
{ 
obj_t BgL_ez00_1886;
{ /* Reduce/sbeta.scm 246 */
bool_t BgL_auxz00_4945;
BgL_ez00_1886 = BgL_ez00_3521; 
{ /* Reduce/sbeta.scm 246 */
bool_t BgL__ortest_2670z00_1888;
BgL__ortest_2670z00_1888 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_1886, BGl_atomz00zzast_nodez00); 
if(BgL__ortest_2670z00_1888)
{ /* Reduce/sbeta.scm 246 */
BgL_auxz00_4945 = BgL__ortest_2670z00_1888
; }  else 
{ /* Reduce/sbeta.scm 247 */
bool_t BgL__ortest_2671z00_1889;
BgL__ortest_2671z00_1889 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_1886, BGl_varz00zzast_nodez00); 
if(BgL__ortest_2671z00_1889)
{ /* Reduce/sbeta.scm 247 */
BgL_auxz00_4945 = BgL__ortest_2671z00_1889
; }  else 
{ /* Reduce/sbeta.scm 248 */
bool_t BgL__ortest_2672z00_1890;
{ /* Reduce/sbeta.scm 248 */
bool_t BgL__andtest_2674z00_1898;
BgL__andtest_2674z00_1898 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_1886, BGl_vrefz00zzast_nodez00); 
if(BgL__andtest_2674z00_1898)
{ /* Reduce/sbeta.scm 248 */
obj_t BgL_auxz00_4952;
{ /* Reduce/sbeta.scm 248 */
BgL_vrefz00_bglt BgL_obj2070z00_2928;
BgL_obj2070z00_2928 = 
(BgL_vrefz00_bglt)(BgL_ez00_1886); 
BgL_auxz00_4952 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2070z00_2928))->BgL_exprza2za2); } 
BgL__ortest_2672z00_1890 = 
BGl_everyzf3zf3zzreduce_betaz00(BgL_envz00_3520, BgL_auxz00_4952); }  else 
{ /* Reduce/sbeta.scm 248 */
BgL__ortest_2672z00_1890 = ((bool_t)0); } } 
if(BgL__ortest_2672z00_1890)
{ /* Reduce/sbeta.scm 248 */
BgL_auxz00_4945 = BgL__ortest_2672z00_1890
; }  else 
{ /* Reduce/sbeta.scm 249 */
bool_t BgL__ortest_2673z00_1891;
{ /* Reduce/sbeta.scm 249 */
bool_t BgL__andtest_2675z00_1894;
BgL__andtest_2675z00_1894 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_1886, BGl_appz00zzast_nodez00); 
if(BgL__andtest_2675z00_1894)
{ /* Reduce/sbeta.scm 249 */
bool_t BgL__andtest_2676z00_1895;
{ /* Reduce/sbeta.scm 249 */
obj_t BgL_auxz00_4959;
{ /* Reduce/sbeta.scm 249 */
BgL_appz00_bglt BgL_obj1725z00_2930;
BgL_obj1725z00_2930 = 
(BgL_appz00_bglt)(BgL_ez00_1886); 
BgL_auxz00_4959 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_2930))->BgL_argsz00); } 
BgL__andtest_2676z00_1895 = 
BGl_everyzf3zf3zzreduce_betaz00(BgL_envz00_3520, BgL_auxz00_4959); } 
if(BgL__andtest_2676z00_1895)
{ /* Reduce/sbeta.scm 249 */
bool_t BgL_test2992z00_1896;
BgL_test2992z00_1896 = 
BGl_dangerouszf3zf3zzreduce_betaz00(BgL_ez00_1886); 
if(BgL_test2992z00_1896)
{ /* Reduce/sbeta.scm 249 */
BgL__ortest_2673z00_1891 = ((bool_t)0); }  else 
{ /* Reduce/sbeta.scm 249 */
BgL__ortest_2673z00_1891 = ((bool_t)1); } }  else 
{ /* Reduce/sbeta.scm 249 */
BgL__ortest_2673z00_1891 = ((bool_t)0); } }  else 
{ /* Reduce/sbeta.scm 249 */
BgL__ortest_2673z00_1891 = ((bool_t)0); } } 
if(BgL__ortest_2673z00_1891)
{ /* Reduce/sbeta.scm 249 */
BgL_auxz00_4945 = BgL__ortest_2673z00_1891
; }  else 
{ /* Reduce/sbeta.scm 250 */
bool_t BgL__andtest_2677z00_1892;
BgL__andtest_2677z00_1892 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_1886, BGl_getfieldz00zzast_nodez00); 
if(BgL__andtest_2677z00_1892)
{ /* Reduce/sbeta.scm 250 */
obj_t BgL_auxz00_4969;
{ /* Reduce/sbeta.scm 250 */
BgL_getfieldz00_bglt BgL_obj1898z00_2932;
BgL_obj1898z00_2932 = 
(BgL_getfieldz00_bglt)(BgL_ez00_1886); 
BgL_auxz00_4969 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj1898z00_2932))->BgL_exprza2za2); } 
BgL_auxz00_4945 = 
BGl_everyzf3zf3zzreduce_betaz00(BgL_envz00_3520, BgL_auxz00_4969); }  else 
{ /* Reduce/sbeta.scm 250 */
BgL_auxz00_4945 = ((bool_t)0)
; } } } } } } 
return 
BBOOL(BgL_auxz00_4945);} } } 
}



/* node-beta! */
BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 87 */
{ /* Reduce/sbeta.scm 87 */
obj_t BgL_method2729z00_3429;
{ /* Reduce/sbeta.scm 87 */
long BgL_objzd2classzd2numz00_3431;
{ /* Reduce/sbeta.scm 87 */
BgL_objectz00_bglt BgL_auxz00_4974;
BgL_auxz00_4974 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_3431 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4974); } 
{ /* Reduce/sbeta.scm 87 */
obj_t BgL_arg1221z00_3432;
{ /* Reduce/sbeta.scm 87 */
int BgL_auxz00_4977;
BgL_auxz00_4977 = 
(int)(((long)1)); 
BgL_arg1221z00_3432 = 
PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BgL_auxz00_4977); } 
{ /* Reduce/sbeta.scm 87 */
long BgL_offsetz00_3436;
{ /* Reduce/sbeta.scm 87 */
long BgL_auxz00_4980;
{ /* Reduce/sbeta.scm 87 */
int BgL_auxz00_4981;
BgL_auxz00_4981 = 
(int)(BgL_objzd2classzd2numz00_3431); 
BgL_auxz00_4980 = 
(long)(BgL_auxz00_4981); } 
BgL_offsetz00_3436 = 
(BgL_auxz00_4980-OBJECT_TYPE); } 
{ /* Reduce/sbeta.scm 87 */
long BgL_modz00_3437;
{ /* Reduce/sbeta.scm 87 */
long BgL_auxz00_4985;
{ /* Reduce/sbeta.scm 87 */
int BgL_auxz00_4986;
BgL_auxz00_4986 = 
(int)(((long)8)); 
BgL_auxz00_4985 = 
(long)(BgL_auxz00_4986); } 
BgL_modz00_3437 = 
(BgL_offsetz00_3436/BgL_auxz00_4985); } 
{ /* Reduce/sbeta.scm 87 */
long BgL_restz00_3439;
{ /* Reduce/sbeta.scm 87 */
long BgL_auxz00_4990;
{ /* Reduce/sbeta.scm 87 */
int BgL_auxz00_4991;
BgL_auxz00_4991 = 
(int)(((long)8)); 
BgL_auxz00_4990 = 
(long)(BgL_auxz00_4991); } 
BgL_restz00_3439 = 
(BgL_offsetz00_3436%BgL_auxz00_4990); } 
{ /* Reduce/sbeta.scm 87 */

{ /* Reduce/sbeta.scm 87 */
obj_t BgL_bucketz00_3441;
{ /* Reduce/sbeta.scm 87 */
int BgL_kz00_3451;
BgL_kz00_3451 = 
(int)(BgL_modz00_3437); 
BgL_bucketz00_3441 = 
VECTOR_REF(BgL_arg1221z00_3432,BgL_kz00_3451); } 
{ /* Reduce/sbeta.scm 87 */
int BgL_kz00_3453;
BgL_kz00_3453 = 
(int)(BgL_restz00_3439); 
BgL_method2729z00_3429 = 
VECTOR_REF(BgL_bucketz00_3441,BgL_kz00_3453); } } } } } } } } 
{ /* Reduce/sbeta.scm 87 */
obj_t BgL_auxz00_4999;
BgL_auxz00_4999 = 
PROCEDURE_ENTRY(BgL_method2729z00_3429)(BgL_method2729z00_3429, 
(obj_t)(BgL_nodez00_2), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4999);} } } 
}



/* _node-beta!3129 */
obj_t BGl__nodezd2betaz123129zc0zzreduce_betaz00(obj_t BgL_envz00_3456, obj_t BgL_nodez00_3457)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 87 */
{ /* Reduce/sbeta.scm 87 */
BgL_nodez00_bglt BgL_auxz00_5004;
BgL_auxz00_5004 = 
BGl_nodezd2betaz12zc0zzreduce_betaz00(
(BgL_nodez00_bglt)(BgL_nodez00_3457)); 
return 
(obj_t)(BgL_auxz00_5004);} } 
}



/* node-beta!-default2728 */
BgL_nodez00_bglt BGl_nodezd2betaz12zd2default2728z12zzreduce_betaz00(BgL_nodez00_bglt BgL_nodez00_3)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 25 */
return BgL_nodez00_3;} 
}



/* _node-beta!-default2728 */
obj_t BGl__nodezd2betaz12zd2default2728z12zzreduce_betaz00(obj_t BgL_envz00_3522, obj_t BgL_nodez00_3523)
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 25 */
{ /* Reduce/sbeta.scm 25 */
BgL_nodez00_bglt BgL_auxz00_5008;
BgL_auxz00_5008 = 
BGl_nodezd2betaz12zd2default2728z12zzreduce_betaz00(
(BgL_nodez00_bglt)(BgL_nodez00_3523)); 
return 
(obj_t)(BgL_auxz00_5008);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzreduce_betaz00()
{ AN_OBJECT;
{ /* Reduce/sbeta.scm 25 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "reduce_beta"); 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)42798), "reduce_beta"); 
return 
BGl_modulezd2initializa7ationz75zzast_occurz00(((long)28461), "reduce_beta");} 
}

