/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (2.4b)                                                           */
/*   Manuel Serrano (c)       Mon Dec 10 19:08:43 CET 2001                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zztrace_walkz00();
static obj_t BGl_findzd2lastzd2nodezd2letzd2var2742z00zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl__tracezd2nodezd2default2749z00zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_tracezd2nodezd2cast2762z00zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__toplevelzd2tracezd2nodez00zztrace_walkz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
static obj_t BGl_tracezd2nodezd2sequence2752z00zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl__findzd2lastzd2nodezd2default2720zd2zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_tracezd2nodezd2conditional2766z00zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_pragmaz00zzast_nodez00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t string_to_bstring(char *);
static obj_t BGl_findzd2lastzd2nodezd2setq2734zd2zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_findzd2lastzd2nodezd2setzd2exzd2it2746zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl__findzd2lastzd2nodez00zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
static BgL_nodez00_bglt BGl_findzd2lastzd2nodezd2default2720zd2zztrace_walkz00(BgL_nodez00_bglt);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_tracezd2nodezd2boxzd2setz122784zc0zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_tracezd2nodezd2extern2760z00zztrace_walkz00(obj_t, obj_t);
extern obj_t current_error_port;
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl__tracezd2walkz12zc0zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
static BgL_letzd2varzd2_bglt BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt, BgL_typez00_bglt, obj_t, obj_t);
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
static obj_t BGl_findzd2lastzd2nodezd2jumpzd2exzd2it2748zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
static obj_t BGl_tracezd2nodezd2fail2768z00zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_tracezd2nodezd2boxzd2ref2782zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_findzd2lastzd2nodezd2sequence2723zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_findzd2lastzd2nodezd2extern2732zd2zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_tracezd2nodezd2jumpzd2exzd2it2778z00zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_tracezd2nodezd2setzd2exzd2it2776z00zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_toplevelzd2tracezd2nodezd2default2785zd2zztrace_walkz00(BgL_nodez00_bglt);
static obj_t BGl_findzd2lastzd2nodezd2fail2738zd2zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_findzd2lastzd2nodezd2appzd2ly2727z00zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_findzd2lastzd2nodezd2conditional2736zd2zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt);
static obj_t BGl_tracezd2nodezd2select2770z00zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_findzd2lastzd2nodezd2app2725zd2zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_tracezd2nodezd2letzd2var2774zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_tracezd2nodezd2makezd2box2780zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_tracezd2nodezd2appzd2ly2756zd2zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_tracezd2nodezd2setq2764z00zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_tracezd2nodezd2funcall2758z00zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
static obj_t BGl_findzd2lastzd2nodezd2select2740zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_tracezd2nodezd2app2754z00zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t);
static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t);
static obj_t BGl_tracezd2nodezd2letzd2fun2772zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
static obj_t BGl__toplevelzd2tracezd2nodezd2default2785zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_findzd2lastzd2nodezd2letzd2fun2744z00zztrace_walkz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
static obj_t BGl_toplevelzd2tracezd2nodezd2sequence2788zd2zztrace_walkz00(obj_t, obj_t);
static obj_t BGl__tracezd2nodezd2zztrace_walkz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_tracezd2nodezd2default2749z00zztrace_walkz00(BgL_nodez00_bglt);
static obj_t BGl_findzd2lastzd2nodezd2funcall2730zd2zztrace_walkz00(obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
static obj_t BGl_toplevelzd2tracezd2nodezd2setq2790zd2zztrace_walkz00(obj_t, obj_t);
static obj_t __cnst[ 16 ] ;

DEFINE_STATIC_GENERIC( BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_bgl__traceza7d2nodeza7d2za7za7trace_walkza7003278za7, BGl__tracezd2nodezd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00, BgL_bgl__toplevelza7d2traceza7d2nodeza700za7za7trace_walkza7003279z00, BGl__toplevelzd2tracezd2nodez00zztrace_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string3273z00zztrace_walkz00, BgL_bgl_string3273za700za7za7trace_walkza7003280z00, "done jvm value (c-pop-trace) c-pop-trace location set! c-push-trace quote let symbol aux no-trace @ toplevel-init pass-started ", 127 );
DEFINE_STRING( BGl_string3240z00zztrace_walkz00, BgL_bgl_string3240za700za7za7trace_walkza7003281z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string3239z00zztrace_walkz00, BgL_bgl_string3239za700za7za7trace_walkza7003282z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string3238z00zztrace_walkz00, BgL_bgl_string3238za700za7za7trace_walkza7003283z00, " error", 6 );
DEFINE_STRING( BGl_string3237z00zztrace_walkz00, BgL_bgl_string3237za700za7za7trace_walkza7003284z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3236z00zztrace_walkz00, BgL_bgl_string3236za700za7za7trace_walkza7003285z00, "   . ", 5 );
DEFINE_STRING( BGl_string3235z00zztrace_walkz00, BgL_bgl_string3235za700za7za7trace_walkza7003286z00, "Trace", 5 );
DEFINE_STATIC_PROCEDURE( BGl_toplevelzd2tracezd2nodezd2default2785zd2envz00zztrace_walkz00, BgL_bgl__toplevelza7d2traceza7d2nodeza7d2default2785za7d2za7za7trace_walkza7003287za7, BGl__toplevelzd2tracezd2nodezd2default2785zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3241z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2sequence2723za7d2za7za7trace_walkza7003288za7, BGl_findzd2lastzd2nodezd2sequence2723zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3242z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2app2725za7d2za7za7trace_walkza7003289za7, BGl_findzd2lastzd2nodezd2app2725zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3243z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2appza7d2ly2727za700za7za7trace_walkza7003290z00, BGl_findzd2lastzd2nodezd2appzd2ly2727z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3244z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2funcall2730za7d2za7za7trace_walkza7003291za7, BGl_findzd2lastzd2nodezd2funcall2730zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3245z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2extern2732za7d2za7za7trace_walkza7003292za7, BGl_findzd2lastzd2nodezd2extern2732zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3246z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2setq2734za7d2za7za7trace_walkza7003293za7, BGl_findzd2lastzd2nodezd2setq2734zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3247z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2conditional2736za7d2za7za7trace_walkza7003294za7, BGl_findzd2lastzd2nodezd2conditional2736zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3248z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2fail2738za7d2za7za7trace_walkza7003295za7, BGl_findzd2lastzd2nodezd2fail2738zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3250z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2letza7d2var2742za700za7za7trace_walkza7003296z00, BGl_findzd2lastzd2nodezd2letzd2var2742z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3249z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2select2740za7d2za7za7trace_walkza7003297za7, BGl_findzd2lastzd2nodezd2select2740zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3251z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2letza7d2fun2744za700za7za7trace_walkza7003298z00, BGl_findzd2lastzd2nodezd2letzd2fun2744z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3252z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2setza7d2exza7d2it2746za7d2za7za7trace_walkza7003299za7, BGl_findzd2lastzd2nodezd2setzd2exzd2it2746zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3253z00zztrace_walkz00, BgL_bgl_findza7d2lastza7d2nodeza7d2jumpza7d2exza7d2it2748za7d2za7za7trace_walkza7003300za7, BGl_findzd2lastzd2nodezd2jumpzd2exzd2it2748zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3254z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2sequence2752za700za7za7trace_walkza7003301z00, BGl_tracezd2nodezd2sequence2752z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3255z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2app2754za700za7za7trace_walkza7003302z00, BGl_tracezd2nodezd2app2754z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3256z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2appza7d2ly2756za7d2za7za7trace_walkza7003303za7, BGl_tracezd2nodezd2appzd2ly2756zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3257z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2funcall2758za700za7za7trace_walkza7003304z00, BGl_tracezd2nodezd2funcall2758z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3258z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2extern2760za700za7za7trace_walkza7003305z00, BGl_tracezd2nodezd2extern2760z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3260z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2setq2764za700za7za7trace_walkza7003306z00, BGl_tracezd2nodezd2setq2764z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3259z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2cast2762za700za7za7trace_walkza7003307z00, BGl_tracezd2nodezd2cast2762z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3261z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2conditional2766za700za7za7trace_walkza7003308z00, BGl_tracezd2nodezd2conditional2766z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3262z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2fail2768za700za7za7trace_walkza7003309z00, BGl_tracezd2nodezd2fail2768z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3263z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2select2770za700za7za7trace_walkza7003310z00, BGl_tracezd2nodezd2select2770z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3264z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2letza7d2fun2772za7d2za7za7trace_walkza7003311za7, BGl_tracezd2nodezd2letzd2fun2772zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3265z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2letza7d2var2774za7d2za7za7trace_walkza7003312za7, BGl_tracezd2nodezd2letzd2var2774zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3266z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2setza7d2exza7d2it2776za700za7za7trace_walkza7003313z00, BGl_tracezd2nodezd2setzd2exzd2it2776z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3267z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2jumpza7d2exza7d2it2778za700za7za7trace_walkza7003314z00, BGl_tracezd2nodezd2jumpzd2exzd2it2778z00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3268z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2makeza7d2box2780za7d2za7za7trace_walkza7003315za7, BGl_tracezd2nodezd2makezd2box2780zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3270z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2boxza7d2setza7122784za7c0za7za7trace_walkza7003316z00, BGl_tracezd2nodezd2boxzd2setz122784zc0zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3269z00zztrace_walkz00, BgL_bgl_traceza7d2nodeza7d2boxza7d2ref2782za7d2za7za7trace_walkza7003317za7, BGl_tracezd2nodezd2boxzd2ref2782zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3271z00zztrace_walkz00, BgL_bgl_toplevelza7d2traceza7d2nodeza7d2sequence2788za7d2za7za7trace_walkza7003318za7, BGl_toplevelzd2tracezd2nodezd2sequence2788zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3272z00zztrace_walkz00, BgL_bgl_toplevelza7d2traceza7d2nodeza7d2setq2790za7d2za7za7trace_walkza7003319za7, BGl_toplevelzd2tracezd2nodezd2setq2790zd2zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_findzd2lastzd2nodezd2default2720zd2envz00zztrace_walkz00, BgL_bgl__findza7d2lastza7d2nodeza7d2default2720za7d2za7za7trace_walkza7003320za7, BGl__findzd2lastzd2nodezd2default2720zd2zztrace_walkz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tracezd2walkz12zd2envz12zztrace_walkz00, BgL_bgl__traceza7d2walkza712za7c0za7za7trace_walkza7003321z00, BGl__tracezd2walkz12zc0zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_bgl__findza7d2lastza7d2nodeza700za7za7trace_walkza7003322z00, BGl__findzd2lastzd2nodez00zztrace_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_tracezd2nodezd2default2749zd2envzd2zztrace_walkz00, BgL_bgl__traceza7d2nodeza7d2default2749za700za7za7trace_walkza7003323z00, BGl__tracezd2nodezd2default2749z00zztrace_walkz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long BgL_checksumz00_4176, char * BgL_fromz00_4177)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
{ 
BGl_requirezd2initializa7ationz75zztrace_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztrace_walkz00(); 
BGl_cnstzd2initzd2zztrace_walkz00(); 
BGl_importedzd2moduleszd2initz00zztrace_walkz00(); 
BGl_methodzd2initzd2zztrace_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "trace_walk"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "trace_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "trace_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "trace_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "trace_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "trace_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "trace_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zztrace_walkz00()
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
{ /* Trace/walk.scm 15 */
obj_t BgL_cportz00_4169;
BgL_cportz00_4169 = 
open_input_string(BGl_string3273z00zztrace_walkz00); 
{ 
long BgL_iz00_4170;
BgL_iz00_4170 = ((long)15); 
BgL_loopz00_4171:
if(
(BgL_iz00_4170==((long)-1)))
{ /* Trace/walk.scm 15 */
return BUNSPEC;}  else 
{ /* Trace/walk.scm 15 */
{ /* Trace/walk.scm 15 */
obj_t BgL_arg3275z00_4173;
{ /* Trace/walk.scm 15 */
obj_t BgL_list3276z00_4174;
BgL_list3276z00_4174 = 
MAKE_PAIR(BgL_cportz00_4169, BNIL); 
BgL_arg3275z00_4173 = 
BGl_readz00zz__readerz00(BgL_list3276z00_4174); } 
{ /* Trace/walk.scm 15 */
int BgL_auxz00_4197;
BgL_auxz00_4197 = 
(int)(BgL_iz00_4170); 
CNST_TABLE_SET(BgL_auxz00_4197, BgL_arg3275z00_4173); } } 
{ 
long BgL_iz00_4200;
{ /* Trace/walk.scm 15 */
int BgL_auxz00_4201;
{ /* Trace/walk.scm 15 */
long BgL_auxz00_4202;
BgL_auxz00_4202 = 
(BgL_iz00_4170-((long)1)); 
BgL_auxz00_4201 = 
(int)(BgL_auxz00_4202); } 
BgL_iz00_4200 = 
(long)(BgL_auxz00_4201); } 
BgL_iz00_4170 = BgL_iz00_4200; 
goto BgL_loopz00_4171;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
return BUNSPEC;} 
}



/* trace-walk! */
obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t BgL_globalsz00_15)
{ AN_OBJECT;
{ /* Trace/walk.scm 35 */
{ /* Trace/walk.scm 36 */
obj_t BgL_list2801z00_1306;
{ /* Trace/walk.scm 36 */
obj_t BgL_arg2805z00_1308;
{ /* Trace/walk.scm 36 */
obj_t BgL_arg2807z00_1310;
{ /* Trace/walk.scm 36 */
obj_t BgL_auxz00_4206;
BgL_auxz00_4206 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2807z00_1310 = 
MAKE_PAIR(BgL_auxz00_4206, BNIL); } 
BgL_arg2805z00_1308 = 
MAKE_PAIR(BGl_string3235z00zztrace_walkz00, BgL_arg2807z00_1310); } 
BgL_list2801z00_1306 = 
MAKE_PAIR(BGl_string3236z00zztrace_walkz00, BgL_arg2805z00_1308); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2801z00_1306); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3235z00zztrace_walkz00; 
{ 
obj_t BgL_hooksz00_1311;obj_t BgL_hnamesz00_1312;
BgL_hooksz00_1311 = BNIL; 
BgL_hnamesz00_1312 = BNIL; 
BgL_loopz00_1313:
if(
NULLP(BgL_hooksz00_1311))
{ /* Trace/walk.scm 36 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Trace/walk.scm 36 */
bool_t BgL_test2812z00_1318;
{ /* Trace/walk.scm 36 */
obj_t BgL_fun2818z00_1324;
BgL_fun2818z00_1324 = 
CAR(BgL_hooksz00_1311); 
{ /* Trace/walk.scm 36 */
obj_t BgL_auxz00_4218;
BgL_auxz00_4218 = 
PROCEDURE_ENTRY(BgL_fun2818z00_1324)(BgL_fun2818z00_1324, BEOA); 
BgL_test2812z00_1318 = 
CBOOL(BgL_auxz00_4218); } } 
if(BgL_test2812z00_1318)
{ /* Trace/walk.scm 36 */
{ 
obj_t BgL_hnamesz00_4225;obj_t BgL_hooksz00_4223;
BgL_hooksz00_4223 = 
CDR(BgL_hooksz00_1311); 
BgL_hnamesz00_4225 = 
CDR(BgL_hnamesz00_1312); 
BgL_hnamesz00_1312 = BgL_hnamesz00_4225; 
BgL_hooksz00_1311 = BgL_hooksz00_4223; 
goto BgL_loopz00_1313;} }  else 
{ /* Trace/walk.scm 36 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3235z00zztrace_walkz00, BGl_string3237z00zztrace_walkz00, 
CAR(BgL_hnamesz00_1312)); } } } 
{ /* Trace/walk.scm 42 */
obj_t BgL_idz00_1325;
BgL_idz00_1325 = 
CNST_TABLE_REF(((long)1)); 
{ /* Trace/walk.scm 42 */
obj_t BgL_gloz00_1326;
{ /* Trace/walk.scm 43 */
obj_t BgL_list2822z00_1331;
BgL_list2822z00_1331 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_gloz00_1326 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1325, BgL_list2822z00_1331); } 
{ /* Trace/walk.scm 43 */

{ /* Trace/walk.scm 44 */
bool_t BgL_test2819z00_1327;
BgL_test2819z00_1327 = 
BGl_iszd2azf3z21zz__objectz00(BgL_gloz00_1326, BGl_globalz00zzast_varz00); 
if(BgL_test2819z00_1327)
{ /* Trace/walk.scm 45 */
BgL_valuez00_bglt BgL_instance2676z00_1328;
{ /* Trace/walk.scm 45 */
BgL_globalz00_bglt BgL_obj1155z00_2171;
BgL_obj1155z00_2171 = 
(BgL_globalz00_bglt)(BgL_gloz00_1326); 
BgL_instance2676z00_1328 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1155z00_2171))->BgL_valuez00); } 
{ /* Trace/walk.scm 46 */
BgL_nodez00_bglt BgL_arg2820z00_1329;
{ /* Trace/walk.scm 46 */
BgL_nodez00_bglt BgL_res3117z00_2199;
{ /* Trace/walk.scm 46 */
BgL_nodez00_bglt BgL_nodez00_2173;
{ /* Trace/walk.scm 46 */
obj_t BgL_auxz00_4236;
{ /* Trace/walk.scm 46 */
BgL_sfunz00_bglt BgL_obj1372z00_2172;
BgL_obj1372z00_2172 = 
(BgL_sfunz00_bglt)(BgL_instance2676z00_1328); 
BgL_auxz00_4236 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2172))->BgL_bodyz00); } 
BgL_nodez00_2173 = 
(BgL_nodez00_bglt)(BgL_auxz00_4236); } 
{ /* Trace/walk.scm 46 */
obj_t BgL_method2786z00_2174;
{ /* Trace/walk.scm 46 */
long BgL_objzd2classzd2numz00_2176;
{ /* Trace/walk.scm 46 */
BgL_objectz00_bglt BgL_auxz00_4240;
BgL_auxz00_4240 = 
(BgL_objectz00_bglt)(BgL_nodez00_2173); 
BgL_objzd2classzd2numz00_2176 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4240); } 
{ /* Trace/walk.scm 46 */
obj_t BgL_arg1221z00_2177;
{ /* Trace/walk.scm 46 */
int BgL_auxz00_4243;
BgL_auxz00_4243 = 
(int)(((long)1)); 
BgL_arg1221z00_2177 = 
PROCEDURE_REF(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_4243); } 
{ /* Trace/walk.scm 46 */
long BgL_offsetz00_2181;
{ /* Trace/walk.scm 46 */
long BgL_auxz00_4246;
{ /* Trace/walk.scm 46 */
int BgL_auxz00_4247;
BgL_auxz00_4247 = 
(int)(BgL_objzd2classzd2numz00_2176); 
BgL_auxz00_4246 = 
(long)(BgL_auxz00_4247); } 
BgL_offsetz00_2181 = 
(BgL_auxz00_4246-OBJECT_TYPE); } 
{ /* Trace/walk.scm 46 */
long BgL_modz00_2182;
{ /* Trace/walk.scm 46 */
long BgL_auxz00_4251;
{ /* Trace/walk.scm 46 */
int BgL_auxz00_4252;
BgL_auxz00_4252 = 
(int)(((long)8)); 
BgL_auxz00_4251 = 
(long)(BgL_auxz00_4252); } 
BgL_modz00_2182 = 
(BgL_offsetz00_2181/BgL_auxz00_4251); } 
{ /* Trace/walk.scm 46 */
long BgL_restz00_2184;
{ /* Trace/walk.scm 46 */
long BgL_auxz00_4256;
{ /* Trace/walk.scm 46 */
int BgL_auxz00_4257;
BgL_auxz00_4257 = 
(int)(((long)8)); 
BgL_auxz00_4256 = 
(long)(BgL_auxz00_4257); } 
BgL_restz00_2184 = 
(BgL_offsetz00_2181%BgL_auxz00_4256); } 
{ /* Trace/walk.scm 46 */

{ /* Trace/walk.scm 46 */
obj_t BgL_bucketz00_2186;
{ /* Trace/walk.scm 46 */
int BgL_kz00_2196;
BgL_kz00_2196 = 
(int)(BgL_modz00_2182); 
BgL_bucketz00_2186 = 
VECTOR_REF(BgL_arg1221z00_2177,BgL_kz00_2196); } 
{ /* Trace/walk.scm 46 */
int BgL_kz00_2198;
BgL_kz00_2198 = 
(int)(BgL_restz00_2184); 
BgL_method2786z00_2174 = 
VECTOR_REF(BgL_bucketz00_2186,BgL_kz00_2198); } } } } } } } } 
{ /* Trace/walk.scm 46 */
obj_t BgL_auxz00_4265;
BgL_auxz00_4265 = 
PROCEDURE_ENTRY(BgL_method2786z00_2174)(BgL_method2786z00_2174, 
(obj_t)(BgL_nodez00_2173), BEOA); 
BgL_res3117z00_2199 = 
(BgL_nodez00_bglt)(BgL_auxz00_4265); } } } 
BgL_arg2820z00_1329 = BgL_res3117z00_2199; } 
{ /* Trace/walk.scm 46 */
BgL_sfunz00_bglt BgL_obj1374z00_2200;obj_t BgL_val1373z00_2201;
BgL_obj1374z00_2200 = 
(BgL_sfunz00_bglt)(BgL_instance2676z00_1328); 
BgL_val1373z00_2201 = 
(obj_t)(BgL_arg2820z00_1329); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2200))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2201), BUNSPEC); } } }  else 
{ /* Trace/walk.scm 44 */BFALSE; } } } } } 
{ 
obj_t BgL_l2678z00_1332;
BgL_l2678z00_1332 = BgL_globalsz00_15; 
BgL_lname2679z00_1333:
if(
PAIRP(BgL_l2678z00_1332))
{ /* Trace/walk.scm 48 */
BGl_tracezd2funz12zc0zztrace_walkz00(
CAR(BgL_l2678z00_1332)); 
{ 
obj_t BgL_l2678z00_4277;
BgL_l2678z00_4277 = 
CDR(BgL_l2678z00_1332); 
BgL_l2678z00_1332 = BgL_l2678z00_4277; 
goto BgL_lname2679z00_1333;} }  else 
{ /* Trace/walk.scm 48 */((bool_t)1); } } 
{ /* Trace/walk.scm 49 */
bool_t BgL_test2826z00_1338;
{ /* Trace/walk.scm 49 */
long BgL_n1z00_2205;
BgL_n1z00_2205 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2826z00_1338 = 
(BgL_n1z00_2205>((long)0)); } 
if(BgL_test2826z00_1338)
{ /* Trace/walk.scm 49 */
{ /* Trace/walk.scm 49 */
obj_t BgL_list2827z00_1340;
BgL_list2827z00_1340 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2827z00_1340); } 
{ /* Trace/walk.scm 49 */
obj_t BgL_list2828z00_1341;
BgL_list2828z00_1341 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3238z00zztrace_walkz00, BgL_list2828z00_1341); } 
{ /* Trace/walk.scm 49 */
char * BgL_arg2829z00_1342;
{ /* Trace/walk.scm 49 */
bool_t BgL_test2831z00_1344;
{ /* Trace/walk.scm 49 */
bool_t BgL_test2832z00_1345;
{ /* Trace/walk.scm 49 */
obj_t BgL_objz00_2207;
BgL_objz00_2207 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2832z00_1345 = 
INTEGERP(BgL_objz00_2207); } 
if(BgL_test2832z00_1345)
{ /* Trace/walk.scm 49 */
BgL_test2831z00_1344 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Trace/walk.scm 49 */
BgL_test2831z00_1344 = ((bool_t)0); } } 
if(BgL_test2831z00_1344)
{ /* Trace/walk.scm 49 */
BgL_arg2829z00_1342 = "s"; }  else 
{ /* Trace/walk.scm 49 */
BgL_arg2829z00_1342 = ""; } } 
{ /* Trace/walk.scm 49 */
obj_t BgL_list2830z00_1343;
BgL_list2830z00_1343 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2829z00_1342), BgL_list2830z00_1343); } } 
{ /* Trace/walk.scm 49 */
obj_t BgL_list2833z00_1346;
BgL_list2833z00_1346 = 
MAKE_PAIR(current_error_port, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3239z00zztrace_walkz00, BgL_list2833z00_1346); } 
WRITE_CHAR(((unsigned char)'\n'), current_error_port); 
{ /* Trace/walk.scm 49 */
obj_t BgL_list2834z00_1347;
{ /* Trace/walk.scm 49 */
obj_t BgL_auxz00_4297;
BgL_auxz00_4297 = 
BINT(((long)-1)); 
BgL_list2834z00_1347 = 
MAKE_PAIR(BgL_auxz00_4297, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2834z00_1347);} }  else 
{ 
obj_t BgL_hooksz00_1348;obj_t BgL_hnamesz00_1349;
BgL_hooksz00_1348 = BNIL; 
BgL_hnamesz00_1349 = BNIL; 
BgL_loopz00_1350:
if(
NULLP(BgL_hooksz00_1348))
{ /* Trace/walk.scm 49 */
return BgL_globalsz00_15;}  else 
{ /* Trace/walk.scm 49 */
bool_t BgL_test2839z00_1355;
{ /* Trace/walk.scm 49 */
obj_t BgL_fun2844z00_1360;
BgL_fun2844z00_1360 = 
CAR(BgL_hooksz00_1348); 
{ /* Trace/walk.scm 49 */
obj_t BgL_auxz00_4304;
BgL_auxz00_4304 = 
PROCEDURE_ENTRY(BgL_fun2844z00_1360)(BgL_fun2844z00_1360, BEOA); 
BgL_test2839z00_1355 = 
CBOOL(BgL_auxz00_4304); } } 
if(BgL_test2839z00_1355)
{ /* Trace/walk.scm 49 */
{ 
obj_t BgL_hnamesz00_4311;obj_t BgL_hooksz00_4309;
BgL_hooksz00_4309 = 
CDR(BgL_hooksz00_1348); 
BgL_hnamesz00_4311 = 
CDR(BgL_hnamesz00_1349); 
BgL_hnamesz00_1349 = BgL_hnamesz00_4311; 
BgL_hooksz00_1348 = BgL_hooksz00_4309; 
goto BgL_loopz00_1350;} }  else 
{ /* Trace/walk.scm 49 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string3240z00zztrace_walkz00, 
CAR(BgL_hnamesz00_1349));} } } } } 
}



/* _trace-walk! */
obj_t BGl__tracezd2walkz12zc0zztrace_walkz00(obj_t BgL_envz00_4058, obj_t BgL_globalsz00_4059)
{ AN_OBJECT;
{ /* Trace/walk.scm 35 */
return 
BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_4059);} 
}



/* trace-id */
obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_variablez00_16)
{ AN_OBJECT;
{ /* Trace/walk.scm 60 */
{ /* Trace/walk.scm 61 */
bool_t BgL_test2845z00_1361;
{ /* Trace/walk.scm 61 */
bool_t BgL_test2851z00_1366;
BgL_test2851z00_1366 = 
BGl_iszd2azf3z21zz__objectz00(BgL_variablez00_16, BGl_globalz00zzast_varz00); 
if(BgL_test2851z00_1366)
{ /* Trace/walk.scm 61 */
obj_t BgL_auxz00_4321;obj_t BgL_auxz00_4318;
BgL_auxz00_4321 = 
CNST_TABLE_REF(((long)1)); 
{ /* Trace/walk.scm 61 */
BgL_globalz00_bglt BgL_obj1148z00_2217;
BgL_obj1148z00_2217 = 
(BgL_globalz00_bglt)(BgL_variablez00_16); 
BgL_auxz00_4318 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_2217))->BgL_idz00); } 
BgL_test2845z00_1361 = 
(BgL_auxz00_4318==BgL_auxz00_4321); }  else 
{ /* Trace/walk.scm 61 */
BgL_test2845z00_1361 = ((bool_t)0); } } 
if(BgL_test2845z00_1361)
{ /* Trace/walk.scm 62 */
obj_t BgL_arg2846z00_1362;
BgL_arg2846z00_1362 = 
CNST_TABLE_REF(((long)2)); 
{ /* Trace/walk.scm 62 */
obj_t BgL_list2848z00_1364;
{ /* Trace/walk.scm 62 */
obj_t BgL_arg2850z00_1365;
{ /* Trace/walk.scm 62 */
obj_t BgL_auxz00_4326;
{ /* Trace/walk.scm 62 */
BgL_globalz00_bglt BgL_obj1170z00_2218;
BgL_obj1170z00_2218 = 
(BgL_globalz00_bglt)(BgL_variablez00_16); 
BgL_auxz00_4326 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1170z00_2218))->BgL_modulez00); } 
BgL_arg2850z00_1365 = 
MAKE_PAIR(BgL_auxz00_4326, BNIL); } 
BgL_list2848z00_1364 = 
MAKE_PAIR(BgL_arg2846z00_1362, BgL_arg2850z00_1365); } 
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2848z00_1364);} }  else 
{ /* Trace/walk.scm 63 */
BgL_variablez00_bglt BgL_obj1096z00_2219;
BgL_obj1096z00_2219 = 
(BgL_variablez00_bglt)(BgL_variablez00_16); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1096z00_2219))->BgL_idz00);} } } 
}



/* trace-fun! */
obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_17)
{ AN_OBJECT;
{ /* Trace/walk.scm 71 */
{ /* Trace/walk.scm 72 */
BgL_valuez00_bglt BgL_funz00_1369;
{ /* Trace/walk.scm 72 */
BgL_variablez00_bglt BgL_obj1103z00_2220;
BgL_obj1103z00_2220 = 
(BgL_variablez00_bglt)(BgL_varz00_17); 
BgL_funz00_1369 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2220))->BgL_valuez00); } 
{ /* Trace/walk.scm 72 */
obj_t BgL_bodyz00_1370;
{ /* Trace/walk.scm 73 */
BgL_sfunz00_bglt BgL_obj1372z00_2221;
BgL_obj1372z00_2221 = 
(BgL_sfunz00_bglt)(BgL_funz00_1369); 
BgL_bodyz00_1370 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2221))->BgL_bodyz00); } 
{ /* Trace/walk.scm 73 */
BgL_typez00_bglt BgL_typez00_1371;
{ /* Trace/walk.scm 74 */
BgL_variablez00_bglt BgL_obj1100z00_2222;
BgL_obj1100z00_2222 = 
(BgL_variablez00_bglt)(BgL_varz00_17); 
BgL_typez00_1371 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_2222))->BgL_typez00); } 
{ /* Trace/walk.scm 74 */
obj_t BgL_llocz00_1372;
{ /* Trace/walk.scm 75 */
bool_t BgL_test2865z00_1387;
BgL_test2865z00_1387 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_17, BGl_globalz00zzast_varz00); 
if(BgL_test2865z00_1387)
{ /* Trace/walk.scm 76 */
obj_t BgL_auxz00_4342;
{ /* Trace/walk.scm 76 */
obj_t BgL_auxz00_4343;
{ /* Trace/walk.scm 76 */
BgL_globalz00_bglt BgL_obj1188z00_2224;
BgL_obj1188z00_2224 = 
(BgL_globalz00_bglt)(BgL_varz00_17); 
BgL_auxz00_4343 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1188z00_2224))->BgL_srcz00); } 
BgL_auxz00_4342 = 
BGl_findzd2lastzd2sexpz00zztrace_walkz00(BgL_auxz00_4343); } 
BgL_llocz00_1372 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_auxz00_4342); }  else 
{ /* Trace/walk.scm 77 */
obj_t BgL_arg2868z00_1390;
{ /* Trace/walk.scm 77 */
BgL_nodez00_bglt BgL_nodez00_2225;
BgL_nodez00_2225 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1370); 
{ /* Trace/walk.scm 77 */
obj_t BgL_method2721z00_2226;
{ /* Trace/walk.scm 77 */
long BgL_objzd2classzd2numz00_2228;
{ /* Trace/walk.scm 77 */
BgL_objectz00_bglt BgL_auxz00_4349;
BgL_auxz00_4349 = 
(BgL_objectz00_bglt)(BgL_nodez00_2225); 
BgL_objzd2classzd2numz00_2228 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4349); } 
{ /* Trace/walk.scm 77 */
obj_t BgL_arg1221z00_2229;
{ /* Trace/walk.scm 77 */
int BgL_auxz00_4352;
BgL_auxz00_4352 = 
(int)(((long)1)); 
BgL_arg1221z00_2229 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_4352); } 
{ /* Trace/walk.scm 77 */
long BgL_offsetz00_2233;
{ /* Trace/walk.scm 77 */
long BgL_auxz00_4355;
{ /* Trace/walk.scm 77 */
int BgL_auxz00_4356;
BgL_auxz00_4356 = 
(int)(BgL_objzd2classzd2numz00_2228); 
BgL_auxz00_4355 = 
(long)(BgL_auxz00_4356); } 
BgL_offsetz00_2233 = 
(BgL_auxz00_4355-OBJECT_TYPE); } 
{ /* Trace/walk.scm 77 */
long BgL_modz00_2234;
{ /* Trace/walk.scm 77 */
long BgL_auxz00_4360;
{ /* Trace/walk.scm 77 */
int BgL_auxz00_4361;
BgL_auxz00_4361 = 
(int)(((long)8)); 
BgL_auxz00_4360 = 
(long)(BgL_auxz00_4361); } 
BgL_modz00_2234 = 
(BgL_offsetz00_2233/BgL_auxz00_4360); } 
{ /* Trace/walk.scm 77 */
long BgL_restz00_2236;
{ /* Trace/walk.scm 77 */
long BgL_auxz00_4365;
{ /* Trace/walk.scm 77 */
int BgL_auxz00_4366;
BgL_auxz00_4366 = 
(int)(((long)8)); 
BgL_auxz00_4365 = 
(long)(BgL_auxz00_4366); } 
BgL_restz00_2236 = 
(BgL_offsetz00_2233%BgL_auxz00_4365); } 
{ /* Trace/walk.scm 77 */

{ /* Trace/walk.scm 77 */
obj_t BgL_bucketz00_2238;
{ /* Trace/walk.scm 77 */
int BgL_kz00_2248;
BgL_kz00_2248 = 
(int)(BgL_modz00_2234); 
BgL_bucketz00_2238 = 
VECTOR_REF(BgL_arg1221z00_2229,BgL_kz00_2248); } 
{ /* Trace/walk.scm 77 */
int BgL_kz00_2250;
BgL_kz00_2250 = 
(int)(BgL_restz00_2236); 
BgL_method2721z00_2226 = 
VECTOR_REF(BgL_bucketz00_2238,BgL_kz00_2250); } } } } } } } } 
BgL_arg2868z00_1390 = 
PROCEDURE_ENTRY(BgL_method2721z00_2226)(BgL_method2721z00_2226, 
(obj_t)(BgL_nodez00_2225), BEOA); } } 
{ /* Trace/walk.scm 77 */
BgL_nodez00_bglt BgL_obj1549z00_2251;
BgL_obj1549z00_2251 = 
(BgL_nodez00_bglt)(BgL_arg2868z00_1390); 
BgL_llocz00_1372 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2251))->BgL_locz00); } } } 
{ /* Trace/walk.scm 75 */

{ /* Trace/walk.scm 78 */
bool_t BgL_testz00_4379;
{ /* Trace/walk.scm 78 */
bool_t BgL_testz00_4380;
{ /* Trace/walk.scm 78 */
BgL_funz00_bglt BgL_obj1314z00_2252;
BgL_obj1314z00_2252 = 
(BgL_funz00_bglt)(BgL_funz00_1369); 
{ /* Trace/walk.scm 78 */
obj_t BgL_auxz00_4382;
BgL_auxz00_4382 = 
(((BgL_funz00_bglt)CREF(BgL_obj1314z00_2252))->BgL_predicatezd2ofzd2); 
BgL_testz00_4380 = 
CBOOL(BgL_auxz00_4382); } } 
if(BgL_testz00_4380)
{ /* Trace/walk.scm 78 */
BgL_testz00_4379 = ((bool_t)0)
; }  else 
{ /* Trace/walk.scm 79 */
bool_t BgL_testz00_4385;
{ /* Trace/walk.scm 79 */
obj_t BgL_auxz00_4386;
{ /* Trace/walk.scm 79 */
obj_t BgL_auxz00_4387;
{ /* Trace/walk.scm 79 */
BgL_sfunz00_bglt BgL_obj1366z00_2253;
BgL_obj1366z00_2253 = 
(BgL_sfunz00_bglt)(BgL_funz00_1369); 
BgL_auxz00_4387 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1366z00_2253))->BgL_propertyz00); } 
BgL_auxz00_4386 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)3)), BgL_auxz00_4387); } 
BgL_testz00_4385 = 
CBOOL(BgL_auxz00_4386); } 
if(BgL_testz00_4385)
{ /* Trace/walk.scm 79 */
BgL_testz00_4379 = ((bool_t)0)
; }  else 
{ /* Trace/walk.scm 79 */
BgL_testz00_4379 = ((bool_t)1)
; } } } 
if(BgL_testz00_4379)
{ /* Trace/walk.scm 78 */
{ /* Trace/walk.scm 81 */
obj_t BgL_arg2855z00_1374;
BgL_arg2855z00_1374 = 
BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_17); 
BGl_enterzd2functionzd2zztools_errorz00(BgL_arg2855z00_1374); } 
{ /* Trace/walk.scm 82 */
obj_t BgL_newzd2bodyzd2_1375;
{ /* Trace/walk.scm 82 */
bool_t BgL_test2857z00_1378;
{ /* Trace/walk.scm 82 */
bool_t BgL_test2858z00_1379;
{ /* Trace/walk.scm 82 */
long BgL_n1z00_2254;
BgL_n1z00_2254 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2858z00_1379 = 
(BgL_n1z00_2254>=((long)2)); } 
if(BgL_test2858z00_1379)
{ /* Trace/walk.scm 82 */
BgL_test2857z00_1378 = ((bool_t)1); }  else 
{ /* Trace/walk.scm 83 */
bool_t BgL__andtest_2681z00_1380;
BgL__andtest_2681z00_1380 = 
BGl_iszd2azf3z21zz__objectz00(BgL_varz00_17, BGl_globalz00zzast_varz00); 
if(BgL__andtest_2681z00_1380)
{ /* Trace/walk.scm 84 */
obj_t BgL_auxz00_4403;obj_t BgL_auxz00_4400;
BgL_auxz00_4403 = 
CNST_TABLE_REF(((long)1)); 
{ /* Trace/walk.scm 84 */
BgL_globalz00_bglt BgL_obj1148z00_2257;
BgL_obj1148z00_2257 = 
(BgL_globalz00_bglt)(BgL_varz00_17); 
BgL_auxz00_4400 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_2257))->BgL_idz00); } 
BgL_test2857z00_1378 = 
(BgL_auxz00_4400==BgL_auxz00_4403); }  else 
{ /* Trace/walk.scm 83 */
BgL_test2857z00_1378 = ((bool_t)0); } } } 
if(BgL_test2857z00_1378)
{ /* Trace/walk.scm 93 */
BgL_nodez00_bglt BgL_res3123z00_2284;
{ /* Trace/walk.scm 93 */
BgL_nodez00_bglt BgL_nodez00_2258;
BgL_nodez00_2258 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1370); 
{ /* Trace/walk.scm 93 */
obj_t BgL_method2750z00_2259;
{ /* Trace/walk.scm 93 */
long BgL_objzd2classzd2numz00_2261;
{ /* Trace/walk.scm 93 */
BgL_objectz00_bglt BgL_auxz00_4408;
BgL_auxz00_4408 = 
(BgL_objectz00_bglt)(BgL_nodez00_2258); 
BgL_objzd2classzd2numz00_2261 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4408); } 
{ /* Trace/walk.scm 93 */
obj_t BgL_arg1221z00_2262;
{ /* Trace/walk.scm 93 */
int BgL_auxz00_4411;
BgL_auxz00_4411 = 
(int)(((long)1)); 
BgL_arg1221z00_2262 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4411); } 
{ /* Trace/walk.scm 93 */
long BgL_offsetz00_2266;
{ /* Trace/walk.scm 93 */
long BgL_auxz00_4414;
{ /* Trace/walk.scm 93 */
int BgL_auxz00_4415;
BgL_auxz00_4415 = 
(int)(BgL_objzd2classzd2numz00_2261); 
BgL_auxz00_4414 = 
(long)(BgL_auxz00_4415); } 
BgL_offsetz00_2266 = 
(BgL_auxz00_4414-OBJECT_TYPE); } 
{ /* Trace/walk.scm 93 */
long BgL_modz00_2267;
{ /* Trace/walk.scm 93 */
long BgL_auxz00_4419;
{ /* Trace/walk.scm 93 */
int BgL_auxz00_4420;
BgL_auxz00_4420 = 
(int)(((long)8)); 
BgL_auxz00_4419 = 
(long)(BgL_auxz00_4420); } 
BgL_modz00_2267 = 
(BgL_offsetz00_2266/BgL_auxz00_4419); } 
{ /* Trace/walk.scm 93 */
long BgL_restz00_2269;
{ /* Trace/walk.scm 93 */
long BgL_auxz00_4424;
{ /* Trace/walk.scm 93 */
int BgL_auxz00_4425;
BgL_auxz00_4425 = 
(int)(((long)8)); 
BgL_auxz00_4424 = 
(long)(BgL_auxz00_4425); } 
BgL_restz00_2269 = 
(BgL_offsetz00_2266%BgL_auxz00_4424); } 
{ /* Trace/walk.scm 93 */

{ /* Trace/walk.scm 93 */
obj_t BgL_bucketz00_2271;
{ /* Trace/walk.scm 93 */
int BgL_kz00_2281;
BgL_kz00_2281 = 
(int)(BgL_modz00_2267); 
BgL_bucketz00_2271 = 
VECTOR_REF(BgL_arg1221z00_2262,BgL_kz00_2281); } 
{ /* Trace/walk.scm 93 */
int BgL_kz00_2283;
BgL_kz00_2283 = 
(int)(BgL_restz00_2269); 
BgL_method2750z00_2259 = 
VECTOR_REF(BgL_bucketz00_2271,BgL_kz00_2283); } } } } } } } } 
{ /* Trace/walk.scm 93 */
obj_t BgL_auxz00_4433;
BgL_auxz00_4433 = 
PROCEDURE_ENTRY(BgL_method2750z00_2259)(BgL_method2750z00_2259, 
(obj_t)(BgL_nodez00_2258), BEOA); 
BgL_res3123z00_2284 = 
(BgL_nodez00_bglt)(BgL_auxz00_4433); } } } 
BgL_newzd2bodyzd2_1375 = 
(obj_t)(BgL_res3123z00_2284); }  else 
{ /* Trace/walk.scm 82 */
BgL_newzd2bodyzd2_1375 = BgL_bodyz00_1370; } } 
{ /* Trace/walk.scm 82 */
BgL_letzd2varzd2_bglt BgL_new2zd2bodyzd2_1376;
{ /* Trace/walk.scm 97 */
obj_t BgL_arg2856z00_1377;
BgL_arg2856z00_1377 = 
BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_17); 
BgL_new2zd2bodyzd2_1376 = 
BGl_makezd2tracedzd2nodez00zztrace_walkz00(
(BgL_nodez00_bglt)(BgL_newzd2bodyzd2_1375), BgL_typez00_1371, BgL_arg2856z00_1377, BgL_llocz00_1372); } 
{ /* Trace/walk.scm 95 */

{ /* Trace/walk.scm 99 */
BgL_sfunz00_bglt BgL_obj1374z00_2285;obj_t BgL_val1373z00_2286;
BgL_obj1374z00_2285 = 
(BgL_sfunz00_bglt)(BgL_funz00_1369); 
BgL_val1373z00_2286 = 
(obj_t)(BgL_new2zd2bodyzd2_1376); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1374z00_2285))->BgL_bodyz00) = ((obj_t)BgL_val1373z00_2286), BUNSPEC); } 
return 
BGl_leavezd2functionzd2zztools_errorz00();} } } }  else 
{ /* Trace/walk.scm 78 */
return BFALSE;} } } } } } } } 
}



/* find-last-sexp */
obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_18)
{ AN_OBJECT;
{ /* Trace/walk.scm 109 */
{ 
obj_t BgL_sexpz00_1391;obj_t BgL_resz00_1392;
BgL_sexpz00_1391 = BgL_sexpz00_18; 
BgL_resz00_1392 = BgL_sexpz00_18; 
BgL_loopz00_1393:
if(
PAIRP(BgL_sexpz00_1391))
{ /* Trace/walk.scm 115 */
bool_t BgL_testz00_4448;
{ /* Trace/walk.scm 115 */
obj_t BgL_auxz00_4449;
BgL_auxz00_4449 = 
CDR(BgL_sexpz00_1391); 
BgL_testz00_4448 = 
PAIRP(BgL_auxz00_4449); } 
if(BgL_testz00_4448)
{ /* Trace/walk.scm 115 */
{ 
obj_t BgL_resz00_4454;obj_t BgL_sexpz00_4452;
BgL_sexpz00_4452 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(BgL_sexpz00_1391); 
BgL_resz00_4454 = BgL_sexpz00_1391; 
BgL_resz00_1392 = BgL_resz00_4454; 
BgL_sexpz00_1391 = BgL_sexpz00_4452; 
goto BgL_loopz00_1393;} }  else 
{ /* Trace/walk.scm 115 */
{ 
obj_t BgL_resz00_4457;obj_t BgL_sexpz00_4455;
BgL_sexpz00_4455 = 
CAR(BgL_sexpz00_1391); 
BgL_resz00_4457 = BgL_sexpz00_1391; 
BgL_resz00_1392 = BgL_resz00_4457; 
BgL_sexpz00_1391 = BgL_sexpz00_4455; 
goto BgL_loopz00_1393;} } }  else 
{ /* Trace/walk.scm 113 */
return BgL_resz00_1392;} } } 
}



/* make-traced-node */
BgL_letzd2varzd2_bglt BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_34, BgL_typez00_bglt BgL_typez00_35, obj_t BgL_symbolz00_36, obj_t BgL_llocz00_37)
{ AN_OBJECT;
{ /* Trace/walk.scm 225 */
{ /* Trace/walk.scm 226 */
obj_t BgL_locz00_1399;
BgL_locz00_1399 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_34))->BgL_locz00); 
{ /* Trace/walk.scm 226 */
obj_t BgL_auxz00_1400;
{ /* Trace/walk.scm 227 */
obj_t BgL_arg2915z00_1446;
BgL_arg2915z00_1446 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)4)), BEOA); 
BgL_auxz00_1400 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2915z00_1446); } 
{ /* Trace/walk.scm 227 */
obj_t BgL_tauxz00_1401;
BgL_tauxz00_1401 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1400, 
(((BgL_typez00_bglt)CREF(BgL_typez00_35))->BgL_idz00)); 
{ /* Trace/walk.scm 228 */
obj_t BgL_symz00_1402;
{ /* Trace/walk.scm 229 */
obj_t BgL_arg2913z00_1444;
BgL_arg2913z00_1444 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)5)), BEOA); 
BgL_symz00_1402 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2913z00_1444); } 
{ /* Trace/walk.scm 229 */
obj_t BgL_expz00_1403;
{ /* Trace/walk.scm 230 */
obj_t BgL_arg2875z00_1406;obj_t BgL_arg2876z00_1407;
BgL_arg2875z00_1406 = 
CNST_TABLE_REF(((long)6)); 
{ /* Trace/walk.scm 230 */
obj_t BgL_arg2877z00_1408;obj_t BgL_arg2878z00_1409;
{ /* Trace/walk.scm 230 */
obj_t BgL_arg2879z00_1410;
{ /* Trace/walk.scm 230 */
obj_t BgL_arg2881z00_1412;
{ /* Trace/walk.scm 230 */
obj_t BgL_arg2882z00_1413;
{ /* Trace/walk.scm 230 */
obj_t BgL_arg2884z00_1415;obj_t BgL_arg2885z00_1416;
BgL_arg2884z00_1415 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2885z00_1416 = 
MAKE_PAIR(BgL_symbolz00_36, BNIL); 
BgL_arg2882z00_1413 = 
MAKE_PAIR(BgL_arg2884z00_1415, BgL_arg2885z00_1416); } 
BgL_arg2881z00_1412 = 
MAKE_PAIR(BgL_arg2882z00_1413, BNIL); } 
BgL_arg2879z00_1410 = 
MAKE_PAIR(BgL_symz00_1402, BgL_arg2881z00_1412); } 
BgL_arg2877z00_1408 = 
MAKE_PAIR(BgL_arg2879z00_1410, BNIL); } 
{ /* Trace/walk.scm 231 */
obj_t BgL_arg2886z00_1417;
{ /* Trace/walk.scm 231 */
obj_t BgL_arg2888z00_1419;obj_t BgL_arg2889z00_1420;
BgL_arg2888z00_1419 = 
CNST_TABLE_REF(((long)6)); 
{ /* Trace/walk.scm 231 */
obj_t BgL_arg2891z00_1422;
{ /* Trace/walk.scm 232 */
obj_t BgL_arg2892z00_1423;obj_t BgL_arg2893z00_1424;
{ /* Trace/walk.scm 232 */
obj_t BgL_arg2894z00_1425;obj_t BgL_arg2895z00_1426;
BgL_arg2894z00_1425 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2895z00_1426 = 
MAKE_PAIR(BgL_symz00_1402, BNIL); 
BgL_arg2892z00_1423 = 
MAKE_PAIR(BgL_arg2894z00_1425, BgL_arg2895z00_1426); } 
{ /* Trace/walk.scm 237 */
obj_t BgL_arg2896z00_1427;obj_t BgL_arg2897z00_1428;
{ /* Trace/walk.scm 237 */
obj_t BgL_arg2898z00_1429;obj_t BgL_arg2899z00_1430;
BgL_arg2898z00_1429 = 
CNST_TABLE_REF(((long)9)); 
{ /* Trace/walk.scm 237 */
obj_t BgL_arg2900z00_1431;
BgL_arg2900z00_1431 = 
MAKE_PAIR(BgL_symz00_1402, BNIL); 
BgL_arg2899z00_1430 = 
MAKE_PAIR(BgL_symz00_1402, BgL_arg2900z00_1431); } 
BgL_arg2896z00_1427 = 
MAKE_PAIR(BgL_arg2898z00_1429, BgL_arg2899z00_1430); } 
{ /* Trace/walk.scm 238 */
obj_t BgL_arg2901z00_1432;
{ /* Trace/walk.scm 238 */
obj_t BgL_arg2903z00_1434;obj_t BgL_arg2904z00_1435;
BgL_arg2903z00_1434 = 
CNST_TABLE_REF(((long)6)); 
{ /* Trace/walk.scm 238 */
obj_t BgL_arg2905z00_1436;obj_t BgL_arg2906z00_1437;
{ /* Trace/walk.scm 238 */
obj_t BgL_arg2907z00_1438;
{ /* Trace/walk.scm 238 */
obj_t BgL_arg2909z00_1440;
{ /* Trace/walk.scm 238 */
obj_t BgL_auxz00_4485;
BgL_auxz00_4485 = 
(obj_t)(BgL_nodez00_34); 
BgL_arg2909z00_1440 = 
MAKE_PAIR(BgL_auxz00_4485, BNIL); } 
BgL_arg2907z00_1438 = 
MAKE_PAIR(BgL_tauxz00_1401, BgL_arg2909z00_1440); } 
BgL_arg2905z00_1436 = 
MAKE_PAIR(BgL_arg2907z00_1438, BNIL); } 
{ /* Trace/walk.scm 239 */
obj_t BgL_arg2910z00_1441;obj_t BgL_arg2911z00_1442;
{ /* Trace/walk.scm 239 */
bool_t BgL_testz00_4490;
if(
STRUCTP(BgL_llocz00_37))
{ /* Trace/walk.scm 239 */
obj_t BgL_auxz00_4495;obj_t BgL_auxz00_4493;
BgL_auxz00_4495 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_4493 = 
STRUCT_KEY(BgL_llocz00_37); 
BgL_testz00_4490 = 
(BgL_auxz00_4493==BgL_auxz00_4495); }  else 
{ /* Trace/walk.scm 239 */
BgL_testz00_4490 = ((bool_t)0)
; } 
if(BgL_testz00_4490)
{ /* Trace/walk.scm 240 */
obj_t BgL_res3125z00_2303;
{ /* Trace/walk.scm 240 */
obj_t BgL_auxz00_4498;
BgL_auxz00_4498 = 
CNST_TABLE_REF(((long)11)); 
BgL_res3125z00_2303 = 
MAKE_EXTENDED_PAIR(BgL_auxz00_4498, BNIL, BgL_llocz00_37); } 
BgL_arg2910z00_1441 = BgL_res3125z00_2303; }  else 
{ /* Trace/walk.scm 239 */
BgL_arg2910z00_1441 = 
CNST_TABLE_REF(((long)12)); } } 
BgL_arg2911z00_1442 = 
MAKE_PAIR(BgL_auxz00_1400, BNIL); 
BgL_arg2906z00_1437 = 
MAKE_PAIR(BgL_arg2910z00_1441, BgL_arg2911z00_1442); } 
BgL_arg2904z00_1435 = 
MAKE_PAIR(BgL_arg2905z00_1436, BgL_arg2906z00_1437); } 
BgL_arg2901z00_1432 = 
MAKE_PAIR(BgL_arg2903z00_1434, BgL_arg2904z00_1435); } 
BgL_arg2897z00_1428 = 
MAKE_PAIR(BgL_arg2901z00_1432, BNIL); } 
BgL_arg2893z00_1424 = 
MAKE_PAIR(BgL_arg2896z00_1427, BgL_arg2897z00_1428); } 
BgL_arg2891z00_1422 = 
MAKE_PAIR(BgL_arg2892z00_1423, BgL_arg2893z00_1424); } 
BgL_arg2889z00_1420 = 
MAKE_PAIR(BNIL, BgL_arg2891z00_1422); } 
BgL_arg2886z00_1417 = 
MAKE_PAIR(BgL_arg2888z00_1419, BgL_arg2889z00_1420); } 
BgL_arg2878z00_1409 = 
MAKE_PAIR(BgL_arg2886z00_1417, BNIL); } 
BgL_arg2876z00_1407 = 
MAKE_PAIR(BgL_arg2877z00_1408, BgL_arg2878z00_1409); } 
BgL_expz00_1403 = 
MAKE_PAIR(BgL_arg2875z00_1406, BgL_arg2876z00_1407); } 
{ /* Trace/walk.scm 230 */
BgL_nodez00_bglt BgL_nodez00_1404;
BgL_nodez00_1404 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1403, BNIL, BgL_locz00_1399, 
CNST_TABLE_REF(((long)13))); 
{ /* Trace/walk.scm 243 */

{ /* Trace/walk.scm 244 */
bool_t BgL_test2874z00_1405;
{ /* Trace/walk.scm 244 */
obj_t BgL_auxz00_4516;
BgL_auxz00_4516 = 
CNST_TABLE_REF(((long)14)); 
BgL_test2874z00_1405 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_4516); } 
if(BgL_test2874z00_1405)
{ /* Trace/walk.scm 244 */BFALSE; }  else 
{ /* Trace/walk.scm 247 */
BgL_letzd2varzd2_bglt BgL_obj2474z00_2304;
BgL_obj2474z00_2304 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_1404); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_obj2474z00_2304))->BgL_removablezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } } 
return 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_1404);} } } } } } } } 
}



/* trace-node*! */
obj_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_57)
{ AN_OBJECT;
{ /* Trace/walk.scm 402 */
BGl_tracezd2nodeza2z12z62zztrace_walkz00:
if(
NULLP(BgL_nodeza2za2_57))
{ /* Trace/walk.scm 403 */
return 
CNST_TABLE_REF(((long)15));}  else 
{ /* Trace/walk.scm 403 */
{ /* Trace/walk.scm 406 */
BgL_nodez00_bglt BgL_arg2917z00_1448;
{ /* Trace/walk.scm 406 */
BgL_nodez00_bglt BgL_res3128z00_2334;
{ /* Trace/walk.scm 406 */
BgL_nodez00_bglt BgL_nodez00_2308;
{ /* Trace/walk.scm 406 */
obj_t BgL_auxz00_4526;
BgL_auxz00_4526 = 
CAR(BgL_nodeza2za2_57); 
BgL_nodez00_2308 = 
(BgL_nodez00_bglt)(BgL_auxz00_4526); } 
{ /* Trace/walk.scm 406 */
obj_t BgL_method2750z00_2309;
{ /* Trace/walk.scm 406 */
long BgL_objzd2classzd2numz00_2311;
{ /* Trace/walk.scm 406 */
BgL_objectz00_bglt BgL_auxz00_4529;
BgL_auxz00_4529 = 
(BgL_objectz00_bglt)(BgL_nodez00_2308); 
BgL_objzd2classzd2numz00_2311 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4529); } 
{ /* Trace/walk.scm 406 */
obj_t BgL_arg1221z00_2312;
{ /* Trace/walk.scm 406 */
int BgL_auxz00_4532;
BgL_auxz00_4532 = 
(int)(((long)1)); 
BgL_arg1221z00_2312 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4532); } 
{ /* Trace/walk.scm 406 */
long BgL_offsetz00_2316;
{ /* Trace/walk.scm 406 */
long BgL_auxz00_4535;
{ /* Trace/walk.scm 406 */
int BgL_auxz00_4536;
BgL_auxz00_4536 = 
(int)(BgL_objzd2classzd2numz00_2311); 
BgL_auxz00_4535 = 
(long)(BgL_auxz00_4536); } 
BgL_offsetz00_2316 = 
(BgL_auxz00_4535-OBJECT_TYPE); } 
{ /* Trace/walk.scm 406 */
long BgL_modz00_2317;
{ /* Trace/walk.scm 406 */
long BgL_auxz00_4540;
{ /* Trace/walk.scm 406 */
int BgL_auxz00_4541;
BgL_auxz00_4541 = 
(int)(((long)8)); 
BgL_auxz00_4540 = 
(long)(BgL_auxz00_4541); } 
BgL_modz00_2317 = 
(BgL_offsetz00_2316/BgL_auxz00_4540); } 
{ /* Trace/walk.scm 406 */
long BgL_restz00_2319;
{ /* Trace/walk.scm 406 */
long BgL_auxz00_4545;
{ /* Trace/walk.scm 406 */
int BgL_auxz00_4546;
BgL_auxz00_4546 = 
(int)(((long)8)); 
BgL_auxz00_4545 = 
(long)(BgL_auxz00_4546); } 
BgL_restz00_2319 = 
(BgL_offsetz00_2316%BgL_auxz00_4545); } 
{ /* Trace/walk.scm 406 */

{ /* Trace/walk.scm 406 */
obj_t BgL_bucketz00_2321;
{ /* Trace/walk.scm 406 */
int BgL_kz00_2331;
BgL_kz00_2331 = 
(int)(BgL_modz00_2317); 
BgL_bucketz00_2321 = 
VECTOR_REF(BgL_arg1221z00_2312,BgL_kz00_2331); } 
{ /* Trace/walk.scm 406 */
int BgL_kz00_2333;
BgL_kz00_2333 = 
(int)(BgL_restz00_2319); 
BgL_method2750z00_2309 = 
VECTOR_REF(BgL_bucketz00_2321,BgL_kz00_2333); } } } } } } } } 
{ /* Trace/walk.scm 406 */
obj_t BgL_auxz00_4554;
BgL_auxz00_4554 = 
PROCEDURE_ENTRY(BgL_method2750z00_2309)(BgL_method2750z00_2309, 
(obj_t)(BgL_nodez00_2308), BEOA); 
BgL_res3128z00_2334 = 
(BgL_nodez00_bglt)(BgL_auxz00_4554); } } } 
BgL_arg2917z00_1448 = BgL_res3128z00_2334; } 
{ /* Trace/walk.scm 406 */
obj_t BgL_auxz00_4559;
BgL_auxz00_4559 = 
(obj_t)(BgL_arg2917z00_1448); 
SET_CAR(BgL_nodeza2za2_57, BgL_auxz00_4559); } } 
{ 
obj_t BgL_nodeza2za2_4562;
BgL_nodeza2za2_4562 = 
CDR(BgL_nodeza2za2_57); 
BgL_nodeza2za2_57 = BgL_nodeza2za2_4562; 
goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;} } } 
}



/* toplevel-trace-node*! */
obj_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t BgL_nodeza2za2_62)
{ AN_OBJECT;
{ /* Trace/walk.scm 447 */
BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
if(
NULLP(BgL_nodeza2za2_62))
{ /* Trace/walk.scm 448 */
return 
CNST_TABLE_REF(((long)15));}  else 
{ /* Trace/walk.scm 448 */
{ /* Trace/walk.scm 451 */
BgL_nodez00_bglt BgL_arg2921z00_1452;
{ /* Trace/walk.scm 451 */
BgL_nodez00_bglt BgL_res3131z00_2366;
{ /* Trace/walk.scm 451 */
BgL_nodez00_bglt BgL_nodez00_2340;
{ /* Trace/walk.scm 451 */
obj_t BgL_auxz00_4567;
BgL_auxz00_4567 = 
CAR(BgL_nodeza2za2_62); 
BgL_nodez00_2340 = 
(BgL_nodez00_bglt)(BgL_auxz00_4567); } 
{ /* Trace/walk.scm 451 */
obj_t BgL_method2786z00_2341;
{ /* Trace/walk.scm 451 */
long BgL_objzd2classzd2numz00_2343;
{ /* Trace/walk.scm 451 */
BgL_objectz00_bglt BgL_auxz00_4570;
BgL_auxz00_4570 = 
(BgL_objectz00_bglt)(BgL_nodez00_2340); 
BgL_objzd2classzd2numz00_2343 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4570); } 
{ /* Trace/walk.scm 451 */
obj_t BgL_arg1221z00_2344;
{ /* Trace/walk.scm 451 */
int BgL_auxz00_4573;
BgL_auxz00_4573 = 
(int)(((long)1)); 
BgL_arg1221z00_2344 = 
PROCEDURE_REF(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_4573); } 
{ /* Trace/walk.scm 451 */
long BgL_offsetz00_2348;
{ /* Trace/walk.scm 451 */
long BgL_auxz00_4576;
{ /* Trace/walk.scm 451 */
int BgL_auxz00_4577;
BgL_auxz00_4577 = 
(int)(BgL_objzd2classzd2numz00_2343); 
BgL_auxz00_4576 = 
(long)(BgL_auxz00_4577); } 
BgL_offsetz00_2348 = 
(BgL_auxz00_4576-OBJECT_TYPE); } 
{ /* Trace/walk.scm 451 */
long BgL_modz00_2349;
{ /* Trace/walk.scm 451 */
long BgL_auxz00_4581;
{ /* Trace/walk.scm 451 */
int BgL_auxz00_4582;
BgL_auxz00_4582 = 
(int)(((long)8)); 
BgL_auxz00_4581 = 
(long)(BgL_auxz00_4582); } 
BgL_modz00_2349 = 
(BgL_offsetz00_2348/BgL_auxz00_4581); } 
{ /* Trace/walk.scm 451 */
long BgL_restz00_2351;
{ /* Trace/walk.scm 451 */
long BgL_auxz00_4586;
{ /* Trace/walk.scm 451 */
int BgL_auxz00_4587;
BgL_auxz00_4587 = 
(int)(((long)8)); 
BgL_auxz00_4586 = 
(long)(BgL_auxz00_4587); } 
BgL_restz00_2351 = 
(BgL_offsetz00_2348%BgL_auxz00_4586); } 
{ /* Trace/walk.scm 451 */

{ /* Trace/walk.scm 451 */
obj_t BgL_bucketz00_2353;
{ /* Trace/walk.scm 451 */
int BgL_kz00_2363;
BgL_kz00_2363 = 
(int)(BgL_modz00_2349); 
BgL_bucketz00_2353 = 
VECTOR_REF(BgL_arg1221z00_2344,BgL_kz00_2363); } 
{ /* Trace/walk.scm 451 */
int BgL_kz00_2365;
BgL_kz00_2365 = 
(int)(BgL_restz00_2351); 
BgL_method2786z00_2341 = 
VECTOR_REF(BgL_bucketz00_2353,BgL_kz00_2365); } } } } } } } } 
{ /* Trace/walk.scm 451 */
obj_t BgL_auxz00_4595;
BgL_auxz00_4595 = 
PROCEDURE_ENTRY(BgL_method2786z00_2341)(BgL_method2786z00_2341, 
(obj_t)(BgL_nodez00_2340), BEOA); 
BgL_res3131z00_2366 = 
(BgL_nodez00_bglt)(BgL_auxz00_4595); } } } 
BgL_arg2921z00_1452 = BgL_res3131z00_2366; } 
{ /* Trace/walk.scm 451 */
obj_t BgL_auxz00_4600;
BgL_auxz00_4600 = 
(obj_t)(BgL_arg2921z00_1452); 
SET_CAR(BgL_nodeza2za2_62, BgL_auxz00_4600); } } 
{ 
obj_t BgL_nodeza2za2_4603;
BgL_nodeza2za2_4603 = 
CDR(BgL_nodeza2za2_62); 
BgL_nodeza2za2_62 = BgL_nodeza2za2_4603; 
goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zztrace_walkz00()
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_findzd2lastzd2nodezd2default2720zd2envz00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_sequencez00zzast_nodez00, BGl_proc3241z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_appz00zzast_nodez00, BGl_proc3242z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3243z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_funcallz00zzast_nodez00, BGl_proc3244z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_externz00zzast_nodez00, BGl_proc3245z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_setqz00zzast_nodez00, BGl_proc3246z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_conditionalz00zzast_nodez00, BGl_proc3247z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_failz00zzast_nodez00, BGl_proc3248z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_selectz00zzast_nodez00, BGl_proc3249z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3250z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3251z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3252z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3253z00zztrace_walkz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_tracezd2nodezd2default2749zd2envzd2zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00, BGl_proc3254z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00, BGl_proc3255z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3256z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00, BGl_proc3257z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00, BGl_proc3258z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00, BGl_proc3259z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00, BGl_proc3260z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_conditionalz00zzast_nodez00, BGl_proc3261z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00, BGl_proc3262z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_selectz00zzast_nodez00, BGl_proc3263z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3264z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3265z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3266z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3267z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3268z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3269z00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3270z00zztrace_walkz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00, BGl_toplevelzd2tracezd2nodezd2default2785zd2envz00zztrace_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00, BGl_sequencez00zzast_nodez00, BGl_proc3271z00zztrace_walkz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00, BGl_setqz00zzast_nodez00, BGl_proc3272z00zztrace_walkz00);} 
}



/* toplevel-trace-node-setq2790 */
obj_t BGl_toplevelzd2tracezd2nodezd2setq2790zd2zztrace_walkz00(obj_t BgL_envz00_4098, obj_t BgL_nodez00_4099)
{ AN_OBJECT;
{ /* Trace/walk.scm 430 */
{ 
BgL_setqz00_bglt BgL_nodez00_2119;
{ /* Trace/walk.scm 431 */
BgL_setqz00_bglt BgL_auxz00_4640;
BgL_nodez00_2119 = 
(BgL_setqz00_bglt)(BgL_nodez00_4099); 
{ /* Trace/walk.scm 432 */
BgL_varz00_bglt BgL_instance2718z00_2123;
BgL_instance2718z00_2123 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2119))->BgL_varz00); 
{ /* Trace/walk.scm 433 */
bool_t BgL_test3096z00_2124;
{ /* Trace/walk.scm 433 */
bool_t BgL_test3101z00_2132;
{ /* Trace/walk.scm 433 */
obj_t BgL_auxz00_4642;
{ /* Trace/walk.scm 433 */
BgL_variablez00_bglt BgL_auxz00_4643;
BgL_auxz00_4643 = 
(((BgL_varz00_bglt)CREF(BgL_instance2718z00_2123))->BgL_variablez00); 
BgL_auxz00_4642 = 
(obj_t)(BgL_auxz00_4643); } 
BgL_test3101z00_2132 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4642, BGl_globalz00zzast_varz00); } 
if(BgL_test3101z00_2132)
{ /* Trace/walk.scm 434 */
bool_t BgL_test3102z00_2133;
{ /* Trace/walk.scm 434 */
bool_t BgL_test3103z00_2134;
{ /* Trace/walk.scm 434 */
obj_t BgL_auxz00_4648;
{ /* Trace/walk.scm 434 */
BgL_nodez00_bglt BgL_auxz00_4649;
BgL_auxz00_4649 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2119))->BgL_valuez00); 
BgL_auxz00_4648 = 
(obj_t)(BgL_auxz00_4649); } 
BgL_test3103z00_2134 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4648, BGl_atomz00zzast_nodez00); } 
if(BgL_test3103z00_2134)
{ /* Trace/walk.scm 434 */
BgL_test3102z00_2133 = ((bool_t)1); }  else 
{ /* Trace/walk.scm 435 */
bool_t BgL_test3104z00_2135;
{ /* Trace/walk.scm 435 */
obj_t BgL_auxz00_4654;
{ /* Trace/walk.scm 435 */
BgL_nodez00_bglt BgL_auxz00_4655;
BgL_auxz00_4655 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2119))->BgL_valuez00); 
BgL_auxz00_4654 = 
(obj_t)(BgL_auxz00_4655); } 
BgL_test3104z00_2135 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4654, BGl_varz00zzast_nodez00); } 
if(BgL_test3104z00_2135)
{ /* Trace/walk.scm 435 */
BgL_test3102z00_2133 = ((bool_t)1); }  else 
{ /* Trace/walk.scm 436 */
bool_t BgL_test3105z00_2136;
{ /* Trace/walk.scm 436 */
obj_t BgL_auxz00_4660;
{ /* Trace/walk.scm 436 */
BgL_nodez00_bglt BgL_auxz00_4661;
BgL_auxz00_4661 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2119))->BgL_valuez00); 
BgL_auxz00_4660 = 
(obj_t)(BgL_auxz00_4661); } 
BgL_test3105z00_2136 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4660, BGl_kwotez00zzast_nodez00); } 
if(BgL_test3105z00_2136)
{ /* Trace/walk.scm 436 */
BgL_test3102z00_2133 = ((bool_t)1); }  else 
{ /* Trace/walk.scm 437 */
obj_t BgL_auxz00_4666;
{ /* Trace/walk.scm 437 */
BgL_nodez00_bglt BgL_auxz00_4667;
BgL_auxz00_4667 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2119))->BgL_valuez00); 
BgL_auxz00_4666 = 
(obj_t)(BgL_auxz00_4667); } 
BgL_test3102z00_2133 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4666, BGl_pragmaz00zzast_nodez00); } } } } 
if(BgL_test3102z00_2133)
{ /* Trace/walk.scm 434 */
BgL_test3096z00_2124 = ((bool_t)0); }  else 
{ /* Trace/walk.scm 434 */
BgL_test3096z00_2124 = ((bool_t)1); } }  else 
{ /* Trace/walk.scm 433 */
BgL_test3096z00_2124 = ((bool_t)0); } } 
if(BgL_test3096z00_2124)
{ /* Trace/walk.scm 439 */
BgL_letzd2varzd2_bglt BgL_tracez00_2127;
{ /* Trace/walk.scm 440 */
obj_t BgL_auxz00_4679;BgL_typez00_bglt BgL_auxz00_4673;
{ /* Trace/walk.scm 438 */
BgL_globalz00_bglt BgL_obj1148z00_3976;
{ /* Trace/walk.scm 438 */
BgL_variablez00_bglt BgL_auxz00_4680;
BgL_auxz00_4680 = 
(((BgL_varz00_bglt)CREF(BgL_instance2718z00_2123))->BgL_variablez00); 
BgL_obj1148z00_3976 = 
(BgL_globalz00_bglt)(BgL_auxz00_4680); } 
BgL_auxz00_4679 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1148z00_3976))->BgL_idz00); } 
{ /* Trace/walk.scm 439 */
BgL_globalz00_bglt BgL_obj1152z00_3978;
{ /* Trace/walk.scm 439 */
BgL_variablez00_bglt BgL_auxz00_4675;
BgL_auxz00_4675 = 
(((BgL_varz00_bglt)CREF(BgL_instance2718z00_2123))->BgL_variablez00); 
BgL_obj1152z00_3978 = 
(BgL_globalz00_bglt)(BgL_auxz00_4675); } 
BgL_auxz00_4673 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1152z00_3978))->BgL_typez00); } 
BgL_tracez00_2127 = 
BGl_makezd2tracedzd2nodez00zztrace_walkz00(
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2119))->BgL_valuez00), BgL_auxz00_4673, BgL_auxz00_4679, 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_2119))->BgL_locz00)); } 
{ /* Trace/walk.scm 440 */

{ /* Trace/walk.scm 441 */
BgL_nodez00_bglt BgL_val2274z00_3982;
BgL_val2274z00_3982 = 
(BgL_nodez00_bglt)(BgL_tracez00_2127); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_2119))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2274z00_3982), BUNSPEC); } } }  else 
{ /* Trace/walk.scm 433 */BFALSE; } } } 
BgL_auxz00_4640 = BgL_nodez00_2119; 
return 
(obj_t)(BgL_auxz00_4640);} } } 
}



/* toplevel-trace-node-sequence2788 */
obj_t BGl_toplevelzd2tracezd2nodezd2sequence2788zd2zztrace_walkz00(obj_t BgL_envz00_4100, obj_t BgL_nodez00_4101)
{ AN_OBJECT;
{ /* Trace/walk.scm 418 */
{ 
BgL_sequencez00_bglt BgL_nodez00_2113;
{ /* Trace/walk.scm 419 */
BgL_sequencez00_bglt BgL_auxz00_4690;
BgL_nodez00_2113 = 
(BgL_sequencez00_bglt)(BgL_nodez00_4101); 
BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_2113))->BgL_nodesz00)); 
BgL_auxz00_4690 = BgL_nodez00_2113; 
return 
(obj_t)(BgL_auxz00_4690);} } } 
}



/* trace-node-box-set!2784 */
obj_t BGl_tracezd2nodezd2boxzd2setz122784zc0zztrace_walkz00(obj_t BgL_envz00_4102, obj_t BgL_nodez00_4103)
{ AN_OBJECT;
{ /* Trace/walk.scm 393 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2103;
{ /* Trace/walk.scm 394 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4695;
BgL_nodez00_2103 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_4103); 
{ /* Trace/walk.scm 395 */
BgL_nodez00_bglt BgL_arg3089z00_2107;
{ /* Trace/walk.scm 395 */
BgL_nodez00_bglt BgL_res3225z00_3929;
{ /* Trace/walk.scm 395 */
BgL_nodez00_bglt BgL_nodez00_3903;
{ /* Trace/walk.scm 395 */
BgL_varz00_bglt BgL_auxz00_4696;
BgL_auxz00_4696 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2103))->BgL_varz00); 
BgL_nodez00_3903 = 
(BgL_nodez00_bglt)(BgL_auxz00_4696); } 
{ /* Trace/walk.scm 395 */
obj_t BgL_method2750z00_3904;
{ /* Trace/walk.scm 395 */
long BgL_objzd2classzd2numz00_3906;
{ /* Trace/walk.scm 395 */
BgL_objectz00_bglt BgL_auxz00_4699;
BgL_auxz00_4699 = 
(BgL_objectz00_bglt)(BgL_nodez00_3903); 
BgL_objzd2classzd2numz00_3906 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4699); } 
{ /* Trace/walk.scm 395 */
obj_t BgL_arg1221z00_3907;
{ /* Trace/walk.scm 395 */
int BgL_auxz00_4702;
BgL_auxz00_4702 = 
(int)(((long)1)); 
BgL_arg1221z00_3907 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4702); } 
{ /* Trace/walk.scm 395 */
long BgL_offsetz00_3911;
{ /* Trace/walk.scm 395 */
long BgL_auxz00_4705;
{ /* Trace/walk.scm 395 */
int BgL_auxz00_4706;
BgL_auxz00_4706 = 
(int)(BgL_objzd2classzd2numz00_3906); 
BgL_auxz00_4705 = 
(long)(BgL_auxz00_4706); } 
BgL_offsetz00_3911 = 
(BgL_auxz00_4705-OBJECT_TYPE); } 
{ /* Trace/walk.scm 395 */
long BgL_modz00_3912;
{ /* Trace/walk.scm 395 */
long BgL_auxz00_4710;
{ /* Trace/walk.scm 395 */
int BgL_auxz00_4711;
BgL_auxz00_4711 = 
(int)(((long)8)); 
BgL_auxz00_4710 = 
(long)(BgL_auxz00_4711); } 
BgL_modz00_3912 = 
(BgL_offsetz00_3911/BgL_auxz00_4710); } 
{ /* Trace/walk.scm 395 */
long BgL_restz00_3914;
{ /* Trace/walk.scm 395 */
long BgL_auxz00_4715;
{ /* Trace/walk.scm 395 */
int BgL_auxz00_4716;
BgL_auxz00_4716 = 
(int)(((long)8)); 
BgL_auxz00_4715 = 
(long)(BgL_auxz00_4716); } 
BgL_restz00_3914 = 
(BgL_offsetz00_3911%BgL_auxz00_4715); } 
{ /* Trace/walk.scm 395 */

{ /* Trace/walk.scm 395 */
obj_t BgL_bucketz00_3916;
{ /* Trace/walk.scm 395 */
int BgL_kz00_3926;
BgL_kz00_3926 = 
(int)(BgL_modz00_3912); 
BgL_bucketz00_3916 = 
VECTOR_REF(BgL_arg1221z00_3907,BgL_kz00_3926); } 
{ /* Trace/walk.scm 395 */
int BgL_kz00_3928;
BgL_kz00_3928 = 
(int)(BgL_restz00_3914); 
BgL_method2750z00_3904 = 
VECTOR_REF(BgL_bucketz00_3916,BgL_kz00_3928); } } } } } } } } 
{ /* Trace/walk.scm 395 */
obj_t BgL_auxz00_4724;
BgL_auxz00_4724 = 
PROCEDURE_ENTRY(BgL_method2750z00_3904)(BgL_method2750z00_3904, 
(obj_t)(BgL_nodez00_3903), BEOA); 
BgL_res3225z00_3929 = 
(BgL_nodez00_bglt)(BgL_auxz00_4724); } } } 
BgL_arg3089z00_2107 = BgL_res3225z00_3929; } 
{ /* Trace/walk.scm 395 */
BgL_varz00_bglt BgL_val2631z00_3931;
BgL_val2631z00_3931 = 
(BgL_varz00_bglt)(BgL_arg3089z00_2107); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2103))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2631z00_3931), BUNSPEC); } } 
{ /* Trace/walk.scm 396 */
BgL_nodez00_bglt BgL_arg3091z00_2109;
{ /* Trace/walk.scm 396 */
BgL_nodez00_bglt BgL_arg3092z00_2110;
BgL_arg3092z00_2110 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2103))->BgL_valuez00); 
{ /* Trace/walk.scm 396 */
BgL_nodez00_bglt BgL_res3228z00_3959;
{ /* Trace/walk.scm 396 */
obj_t BgL_method2750z00_3934;
{ /* Trace/walk.scm 396 */
long BgL_objzd2classzd2numz00_3936;
{ /* Trace/walk.scm 396 */
BgL_objectz00_bglt BgL_auxz00_4732;
BgL_auxz00_4732 = 
(BgL_objectz00_bglt)(BgL_arg3092z00_2110); 
BgL_objzd2classzd2numz00_3936 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4732); } 
{ /* Trace/walk.scm 396 */
obj_t BgL_arg1221z00_3937;
{ /* Trace/walk.scm 396 */
int BgL_auxz00_4735;
BgL_auxz00_4735 = 
(int)(((long)1)); 
BgL_arg1221z00_3937 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4735); } 
{ /* Trace/walk.scm 396 */
long BgL_offsetz00_3941;
{ /* Trace/walk.scm 396 */
long BgL_auxz00_4738;
{ /* Trace/walk.scm 396 */
int BgL_auxz00_4739;
BgL_auxz00_4739 = 
(int)(BgL_objzd2classzd2numz00_3936); 
BgL_auxz00_4738 = 
(long)(BgL_auxz00_4739); } 
BgL_offsetz00_3941 = 
(BgL_auxz00_4738-OBJECT_TYPE); } 
{ /* Trace/walk.scm 396 */
long BgL_modz00_3942;
{ /* Trace/walk.scm 396 */
long BgL_auxz00_4743;
{ /* Trace/walk.scm 396 */
int BgL_auxz00_4744;
BgL_auxz00_4744 = 
(int)(((long)8)); 
BgL_auxz00_4743 = 
(long)(BgL_auxz00_4744); } 
BgL_modz00_3942 = 
(BgL_offsetz00_3941/BgL_auxz00_4743); } 
{ /* Trace/walk.scm 396 */
long BgL_restz00_3944;
{ /* Trace/walk.scm 396 */
long BgL_auxz00_4748;
{ /* Trace/walk.scm 396 */
int BgL_auxz00_4749;
BgL_auxz00_4749 = 
(int)(((long)8)); 
BgL_auxz00_4748 = 
(long)(BgL_auxz00_4749); } 
BgL_restz00_3944 = 
(BgL_offsetz00_3941%BgL_auxz00_4748); } 
{ /* Trace/walk.scm 396 */

{ /* Trace/walk.scm 396 */
obj_t BgL_bucketz00_3946;
{ /* Trace/walk.scm 396 */
int BgL_kz00_3956;
BgL_kz00_3956 = 
(int)(BgL_modz00_3942); 
BgL_bucketz00_3946 = 
VECTOR_REF(BgL_arg1221z00_3937,BgL_kz00_3956); } 
{ /* Trace/walk.scm 396 */
int BgL_kz00_3958;
BgL_kz00_3958 = 
(int)(BgL_restz00_3944); 
BgL_method2750z00_3934 = 
VECTOR_REF(BgL_bucketz00_3946,BgL_kz00_3958); } } } } } } } } 
{ /* Trace/walk.scm 396 */
obj_t BgL_auxz00_4757;
BgL_auxz00_4757 = 
PROCEDURE_ENTRY(BgL_method2750z00_3934)(BgL_method2750z00_3934, 
(obj_t)(BgL_arg3092z00_2110), BEOA); 
BgL_res3228z00_3959 = 
(BgL_nodez00_bglt)(BgL_auxz00_4757); } } 
BgL_arg3091z00_2109 = BgL_res3228z00_3959; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2103))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3091z00_2109), BUNSPEC); } 
BgL_auxz00_4695 = BgL_nodez00_2103; 
return 
(obj_t)(BgL_auxz00_4695);} } } 
}



/* trace-node-box-ref2782 */
obj_t BGl_tracezd2nodezd2boxzd2ref2782zd2zztrace_walkz00(obj_t BgL_envz00_4104, obj_t BgL_nodez00_4105)
{ AN_OBJECT;
{ /* Trace/walk.scm 386 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2096;
{ /* Trace/walk.scm 387 */
BgL_boxzd2refzd2_bglt BgL_auxz00_4765;
BgL_nodez00_2096 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_4105); 
{ /* Trace/walk.scm 387 */
BgL_nodez00_bglt BgL_arg3085z00_2099;
{ /* Trace/walk.scm 387 */
BgL_nodez00_bglt BgL_res3222z00_3899;
{ /* Trace/walk.scm 387 */
BgL_nodez00_bglt BgL_nodez00_3873;
{ /* Trace/walk.scm 387 */
BgL_varz00_bglt BgL_auxz00_4766;
BgL_auxz00_4766 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2096))->BgL_varz00); 
BgL_nodez00_3873 = 
(BgL_nodez00_bglt)(BgL_auxz00_4766); } 
{ /* Trace/walk.scm 387 */
obj_t BgL_method2750z00_3874;
{ /* Trace/walk.scm 387 */
long BgL_objzd2classzd2numz00_3876;
{ /* Trace/walk.scm 387 */
BgL_objectz00_bglt BgL_auxz00_4769;
BgL_auxz00_4769 = 
(BgL_objectz00_bglt)(BgL_nodez00_3873); 
BgL_objzd2classzd2numz00_3876 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4769); } 
{ /* Trace/walk.scm 387 */
obj_t BgL_arg1221z00_3877;
{ /* Trace/walk.scm 387 */
int BgL_auxz00_4772;
BgL_auxz00_4772 = 
(int)(((long)1)); 
BgL_arg1221z00_3877 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4772); } 
{ /* Trace/walk.scm 387 */
long BgL_offsetz00_3881;
{ /* Trace/walk.scm 387 */
long BgL_auxz00_4775;
{ /* Trace/walk.scm 387 */
int BgL_auxz00_4776;
BgL_auxz00_4776 = 
(int)(BgL_objzd2classzd2numz00_3876); 
BgL_auxz00_4775 = 
(long)(BgL_auxz00_4776); } 
BgL_offsetz00_3881 = 
(BgL_auxz00_4775-OBJECT_TYPE); } 
{ /* Trace/walk.scm 387 */
long BgL_modz00_3882;
{ /* Trace/walk.scm 387 */
long BgL_auxz00_4780;
{ /* Trace/walk.scm 387 */
int BgL_auxz00_4781;
BgL_auxz00_4781 = 
(int)(((long)8)); 
BgL_auxz00_4780 = 
(long)(BgL_auxz00_4781); } 
BgL_modz00_3882 = 
(BgL_offsetz00_3881/BgL_auxz00_4780); } 
{ /* Trace/walk.scm 387 */
long BgL_restz00_3884;
{ /* Trace/walk.scm 387 */
long BgL_auxz00_4785;
{ /* Trace/walk.scm 387 */
int BgL_auxz00_4786;
BgL_auxz00_4786 = 
(int)(((long)8)); 
BgL_auxz00_4785 = 
(long)(BgL_auxz00_4786); } 
BgL_restz00_3884 = 
(BgL_offsetz00_3881%BgL_auxz00_4785); } 
{ /* Trace/walk.scm 387 */

{ /* Trace/walk.scm 387 */
obj_t BgL_bucketz00_3886;
{ /* Trace/walk.scm 387 */
int BgL_kz00_3896;
BgL_kz00_3896 = 
(int)(BgL_modz00_3882); 
BgL_bucketz00_3886 = 
VECTOR_REF(BgL_arg1221z00_3877,BgL_kz00_3896); } 
{ /* Trace/walk.scm 387 */
int BgL_kz00_3898;
BgL_kz00_3898 = 
(int)(BgL_restz00_3884); 
BgL_method2750z00_3874 = 
VECTOR_REF(BgL_bucketz00_3886,BgL_kz00_3898); } } } } } } } } 
{ /* Trace/walk.scm 387 */
obj_t BgL_auxz00_4794;
BgL_auxz00_4794 = 
PROCEDURE_ENTRY(BgL_method2750z00_3874)(BgL_method2750z00_3874, 
(obj_t)(BgL_nodez00_3873), BEOA); 
BgL_res3222z00_3899 = 
(BgL_nodez00_bglt)(BgL_auxz00_4794); } } } 
BgL_arg3085z00_2099 = BgL_res3222z00_3899; } 
{ /* Trace/walk.scm 387 */
BgL_varz00_bglt BgL_val2603z00_3901;
BgL_val2603z00_3901 = 
(BgL_varz00_bglt)(BgL_arg3085z00_2099); 
((((BgL_boxzd2refzd2_bglt)CREF(BgL_nodez00_2096))->BgL_varz00) = ((BgL_varz00_bglt)BgL_val2603z00_3901), BUNSPEC); } } 
BgL_auxz00_4765 = BgL_nodez00_2096; 
return 
(obj_t)(BgL_auxz00_4765);} } } 
}



/* trace-node-make-box2780 */
obj_t BGl_tracezd2nodezd2makezd2box2780zd2zztrace_walkz00(obj_t BgL_envz00_4106, obj_t BgL_nodez00_4107)
{ AN_OBJECT;
{ /* Trace/walk.scm 379 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2089;
{ /* Trace/walk.scm 380 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4803;
BgL_nodez00_2089 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_4107); 
{ /* Trace/walk.scm 380 */
BgL_nodez00_bglt BgL_arg3082z00_2092;
{ /* Trace/walk.scm 380 */
BgL_nodez00_bglt BgL_arg3083z00_2093;
BgL_arg3083z00_2093 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2089))->BgL_valuez00); 
{ /* Trace/walk.scm 380 */
BgL_nodez00_bglt BgL_res3219z00_3869;
{ /* Trace/walk.scm 380 */
obj_t BgL_method2750z00_3844;
{ /* Trace/walk.scm 380 */
long BgL_objzd2classzd2numz00_3846;
{ /* Trace/walk.scm 380 */
BgL_objectz00_bglt BgL_auxz00_4805;
BgL_auxz00_4805 = 
(BgL_objectz00_bglt)(BgL_arg3083z00_2093); 
BgL_objzd2classzd2numz00_3846 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4805); } 
{ /* Trace/walk.scm 380 */
obj_t BgL_arg1221z00_3847;
{ /* Trace/walk.scm 380 */
int BgL_auxz00_4808;
BgL_auxz00_4808 = 
(int)(((long)1)); 
BgL_arg1221z00_3847 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4808); } 
{ /* Trace/walk.scm 380 */
long BgL_offsetz00_3851;
{ /* Trace/walk.scm 380 */
long BgL_auxz00_4811;
{ /* Trace/walk.scm 380 */
int BgL_auxz00_4812;
BgL_auxz00_4812 = 
(int)(BgL_objzd2classzd2numz00_3846); 
BgL_auxz00_4811 = 
(long)(BgL_auxz00_4812); } 
BgL_offsetz00_3851 = 
(BgL_auxz00_4811-OBJECT_TYPE); } 
{ /* Trace/walk.scm 380 */
long BgL_modz00_3852;
{ /* Trace/walk.scm 380 */
long BgL_auxz00_4816;
{ /* Trace/walk.scm 380 */
int BgL_auxz00_4817;
BgL_auxz00_4817 = 
(int)(((long)8)); 
BgL_auxz00_4816 = 
(long)(BgL_auxz00_4817); } 
BgL_modz00_3852 = 
(BgL_offsetz00_3851/BgL_auxz00_4816); } 
{ /* Trace/walk.scm 380 */
long BgL_restz00_3854;
{ /* Trace/walk.scm 380 */
long BgL_auxz00_4821;
{ /* Trace/walk.scm 380 */
int BgL_auxz00_4822;
BgL_auxz00_4822 = 
(int)(((long)8)); 
BgL_auxz00_4821 = 
(long)(BgL_auxz00_4822); } 
BgL_restz00_3854 = 
(BgL_offsetz00_3851%BgL_auxz00_4821); } 
{ /* Trace/walk.scm 380 */

{ /* Trace/walk.scm 380 */
obj_t BgL_bucketz00_3856;
{ /* Trace/walk.scm 380 */
int BgL_kz00_3866;
BgL_kz00_3866 = 
(int)(BgL_modz00_3852); 
BgL_bucketz00_3856 = 
VECTOR_REF(BgL_arg1221z00_3847,BgL_kz00_3866); } 
{ /* Trace/walk.scm 380 */
int BgL_kz00_3868;
BgL_kz00_3868 = 
(int)(BgL_restz00_3854); 
BgL_method2750z00_3844 = 
VECTOR_REF(BgL_bucketz00_3856,BgL_kz00_3868); } } } } } } } } 
{ /* Trace/walk.scm 380 */
obj_t BgL_auxz00_4830;
BgL_auxz00_4830 = 
PROCEDURE_ENTRY(BgL_method2750z00_3844)(BgL_method2750z00_3844, 
(obj_t)(BgL_arg3083z00_2093), BEOA); 
BgL_res3219z00_3869 = 
(BgL_nodez00_bglt)(BgL_auxz00_4830); } } 
BgL_arg3082z00_2092 = BgL_res3219z00_3869; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2089))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3082z00_2092), BUNSPEC); } 
BgL_auxz00_4803 = BgL_nodez00_2089; 
return 
(obj_t)(BgL_auxz00_4803);} } } 
}



/* trace-node-jump-ex-it2778 */
obj_t BGl_tracezd2nodezd2jumpzd2exzd2it2778z00zztrace_walkz00(obj_t BgL_envz00_4108, obj_t BgL_nodez00_4109)
{ AN_OBJECT;
{ /* Trace/walk.scm 370 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2079;
{ /* Trace/walk.scm 371 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4838;
BgL_nodez00_2079 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_4109); 
{ /* Trace/walk.scm 372 */
BgL_nodez00_bglt BgL_arg3077z00_2083;
{ /* Trace/walk.scm 372 */
BgL_nodez00_bglt BgL_arg3078z00_2084;
BgL_arg3078z00_2084 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2079))->BgL_exitz00); 
{ /* Trace/walk.scm 372 */
BgL_nodez00_bglt BgL_res3213z00_3809;
{ /* Trace/walk.scm 372 */
obj_t BgL_method2750z00_3784;
{ /* Trace/walk.scm 372 */
long BgL_objzd2classzd2numz00_3786;
{ /* Trace/walk.scm 372 */
BgL_objectz00_bglt BgL_auxz00_4840;
BgL_auxz00_4840 = 
(BgL_objectz00_bglt)(BgL_arg3078z00_2084); 
BgL_objzd2classzd2numz00_3786 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4840); } 
{ /* Trace/walk.scm 372 */
obj_t BgL_arg1221z00_3787;
{ /* Trace/walk.scm 372 */
int BgL_auxz00_4843;
BgL_auxz00_4843 = 
(int)(((long)1)); 
BgL_arg1221z00_3787 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4843); } 
{ /* Trace/walk.scm 372 */
long BgL_offsetz00_3791;
{ /* Trace/walk.scm 372 */
long BgL_auxz00_4846;
{ /* Trace/walk.scm 372 */
int BgL_auxz00_4847;
BgL_auxz00_4847 = 
(int)(BgL_objzd2classzd2numz00_3786); 
BgL_auxz00_4846 = 
(long)(BgL_auxz00_4847); } 
BgL_offsetz00_3791 = 
(BgL_auxz00_4846-OBJECT_TYPE); } 
{ /* Trace/walk.scm 372 */
long BgL_modz00_3792;
{ /* Trace/walk.scm 372 */
long BgL_auxz00_4851;
{ /* Trace/walk.scm 372 */
int BgL_auxz00_4852;
BgL_auxz00_4852 = 
(int)(((long)8)); 
BgL_auxz00_4851 = 
(long)(BgL_auxz00_4852); } 
BgL_modz00_3792 = 
(BgL_offsetz00_3791/BgL_auxz00_4851); } 
{ /* Trace/walk.scm 372 */
long BgL_restz00_3794;
{ /* Trace/walk.scm 372 */
long BgL_auxz00_4856;
{ /* Trace/walk.scm 372 */
int BgL_auxz00_4857;
BgL_auxz00_4857 = 
(int)(((long)8)); 
BgL_auxz00_4856 = 
(long)(BgL_auxz00_4857); } 
BgL_restz00_3794 = 
(BgL_offsetz00_3791%BgL_auxz00_4856); } 
{ /* Trace/walk.scm 372 */

{ /* Trace/walk.scm 372 */
obj_t BgL_bucketz00_3796;
{ /* Trace/walk.scm 372 */
int BgL_kz00_3806;
BgL_kz00_3806 = 
(int)(BgL_modz00_3792); 
BgL_bucketz00_3796 = 
VECTOR_REF(BgL_arg1221z00_3787,BgL_kz00_3806); } 
{ /* Trace/walk.scm 372 */
int BgL_kz00_3808;
BgL_kz00_3808 = 
(int)(BgL_restz00_3794); 
BgL_method2750z00_3784 = 
VECTOR_REF(BgL_bucketz00_3796,BgL_kz00_3808); } } } } } } } } 
{ /* Trace/walk.scm 372 */
obj_t BgL_auxz00_4865;
BgL_auxz00_4865 = 
PROCEDURE_ENTRY(BgL_method2750z00_3784)(BgL_method2750z00_3784, 
(obj_t)(BgL_arg3078z00_2084), BEOA); 
BgL_res3213z00_3809 = 
(BgL_nodez00_bglt)(BgL_auxz00_4865); } } 
BgL_arg3077z00_2083 = BgL_res3213z00_3809; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2079))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg3077z00_2083), BUNSPEC); } 
{ /* Trace/walk.scm 373 */
BgL_nodez00_bglt BgL_arg3079z00_2085;
{ /* Trace/walk.scm 373 */
BgL_nodez00_bglt BgL_arg3080z00_2086;
BgL_arg3080z00_2086 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2079))->BgL_valuez00); 
{ /* Trace/walk.scm 373 */
BgL_nodez00_bglt BgL_res3216z00_3839;
{ /* Trace/walk.scm 373 */
obj_t BgL_method2750z00_3814;
{ /* Trace/walk.scm 373 */
long BgL_objzd2classzd2numz00_3816;
{ /* Trace/walk.scm 373 */
BgL_objectz00_bglt BgL_auxz00_4872;
BgL_auxz00_4872 = 
(BgL_objectz00_bglt)(BgL_arg3080z00_2086); 
BgL_objzd2classzd2numz00_3816 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4872); } 
{ /* Trace/walk.scm 373 */
obj_t BgL_arg1221z00_3817;
{ /* Trace/walk.scm 373 */
int BgL_auxz00_4875;
BgL_auxz00_4875 = 
(int)(((long)1)); 
BgL_arg1221z00_3817 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4875); } 
{ /* Trace/walk.scm 373 */
long BgL_offsetz00_3821;
{ /* Trace/walk.scm 373 */
long BgL_auxz00_4878;
{ /* Trace/walk.scm 373 */
int BgL_auxz00_4879;
BgL_auxz00_4879 = 
(int)(BgL_objzd2classzd2numz00_3816); 
BgL_auxz00_4878 = 
(long)(BgL_auxz00_4879); } 
BgL_offsetz00_3821 = 
(BgL_auxz00_4878-OBJECT_TYPE); } 
{ /* Trace/walk.scm 373 */
long BgL_modz00_3822;
{ /* Trace/walk.scm 373 */
long BgL_auxz00_4883;
{ /* Trace/walk.scm 373 */
int BgL_auxz00_4884;
BgL_auxz00_4884 = 
(int)(((long)8)); 
BgL_auxz00_4883 = 
(long)(BgL_auxz00_4884); } 
BgL_modz00_3822 = 
(BgL_offsetz00_3821/BgL_auxz00_4883); } 
{ /* Trace/walk.scm 373 */
long BgL_restz00_3824;
{ /* Trace/walk.scm 373 */
long BgL_auxz00_4888;
{ /* Trace/walk.scm 373 */
int BgL_auxz00_4889;
BgL_auxz00_4889 = 
(int)(((long)8)); 
BgL_auxz00_4888 = 
(long)(BgL_auxz00_4889); } 
BgL_restz00_3824 = 
(BgL_offsetz00_3821%BgL_auxz00_4888); } 
{ /* Trace/walk.scm 373 */

{ /* Trace/walk.scm 373 */
obj_t BgL_bucketz00_3826;
{ /* Trace/walk.scm 373 */
int BgL_kz00_3836;
BgL_kz00_3836 = 
(int)(BgL_modz00_3822); 
BgL_bucketz00_3826 = 
VECTOR_REF(BgL_arg1221z00_3817,BgL_kz00_3836); } 
{ /* Trace/walk.scm 373 */
int BgL_kz00_3838;
BgL_kz00_3838 = 
(int)(BgL_restz00_3824); 
BgL_method2750z00_3814 = 
VECTOR_REF(BgL_bucketz00_3826,BgL_kz00_3838); } } } } } } } } 
{ /* Trace/walk.scm 373 */
obj_t BgL_auxz00_4897;
BgL_auxz00_4897 = 
PROCEDURE_ENTRY(BgL_method2750z00_3814)(BgL_method2750z00_3814, 
(obj_t)(BgL_arg3080z00_2086), BEOA); 
BgL_res3216z00_3839 = 
(BgL_nodez00_bglt)(BgL_auxz00_4897); } } 
BgL_arg3079z00_2085 = BgL_res3216z00_3839; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2079))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3079z00_2085), BUNSPEC); } 
BgL_auxz00_4838 = BgL_nodez00_2079; 
return 
(obj_t)(BgL_auxz00_4838);} } } 
}



/* trace-node-set-ex-it2776 */
obj_t BGl_tracezd2nodezd2setzd2exzd2it2776z00zztrace_walkz00(obj_t BgL_envz00_4110, obj_t BgL_nodez00_4111)
{ AN_OBJECT;
{ /* Trace/walk.scm 363 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2072;
{ /* Trace/walk.scm 364 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_4905;
BgL_nodez00_2072 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_4111); 
{ /* Trace/walk.scm 364 */
BgL_nodez00_bglt BgL_arg3074z00_2075;
{ /* Trace/walk.scm 364 */
BgL_nodez00_bglt BgL_arg3075z00_2076;
BgL_arg3075z00_2076 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2072))->BgL_bodyz00); 
{ /* Trace/walk.scm 364 */
BgL_nodez00_bglt BgL_res3210z00_3779;
{ /* Trace/walk.scm 364 */
obj_t BgL_method2750z00_3754;
{ /* Trace/walk.scm 364 */
long BgL_objzd2classzd2numz00_3756;
{ /* Trace/walk.scm 364 */
BgL_objectz00_bglt BgL_auxz00_4907;
BgL_auxz00_4907 = 
(BgL_objectz00_bglt)(BgL_arg3075z00_2076); 
BgL_objzd2classzd2numz00_3756 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4907); } 
{ /* Trace/walk.scm 364 */
obj_t BgL_arg1221z00_3757;
{ /* Trace/walk.scm 364 */
int BgL_auxz00_4910;
BgL_auxz00_4910 = 
(int)(((long)1)); 
BgL_arg1221z00_3757 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4910); } 
{ /* Trace/walk.scm 364 */
long BgL_offsetz00_3761;
{ /* Trace/walk.scm 364 */
long BgL_auxz00_4913;
{ /* Trace/walk.scm 364 */
int BgL_auxz00_4914;
BgL_auxz00_4914 = 
(int)(BgL_objzd2classzd2numz00_3756); 
BgL_auxz00_4913 = 
(long)(BgL_auxz00_4914); } 
BgL_offsetz00_3761 = 
(BgL_auxz00_4913-OBJECT_TYPE); } 
{ /* Trace/walk.scm 364 */
long BgL_modz00_3762;
{ /* Trace/walk.scm 364 */
long BgL_auxz00_4918;
{ /* Trace/walk.scm 364 */
int BgL_auxz00_4919;
BgL_auxz00_4919 = 
(int)(((long)8)); 
BgL_auxz00_4918 = 
(long)(BgL_auxz00_4919); } 
BgL_modz00_3762 = 
(BgL_offsetz00_3761/BgL_auxz00_4918); } 
{ /* Trace/walk.scm 364 */
long BgL_restz00_3764;
{ /* Trace/walk.scm 364 */
long BgL_auxz00_4923;
{ /* Trace/walk.scm 364 */
int BgL_auxz00_4924;
BgL_auxz00_4924 = 
(int)(((long)8)); 
BgL_auxz00_4923 = 
(long)(BgL_auxz00_4924); } 
BgL_restz00_3764 = 
(BgL_offsetz00_3761%BgL_auxz00_4923); } 
{ /* Trace/walk.scm 364 */

{ /* Trace/walk.scm 364 */
obj_t BgL_bucketz00_3766;
{ /* Trace/walk.scm 364 */
int BgL_kz00_3776;
BgL_kz00_3776 = 
(int)(BgL_modz00_3762); 
BgL_bucketz00_3766 = 
VECTOR_REF(BgL_arg1221z00_3757,BgL_kz00_3776); } 
{ /* Trace/walk.scm 364 */
int BgL_kz00_3778;
BgL_kz00_3778 = 
(int)(BgL_restz00_3764); 
BgL_method2750z00_3754 = 
VECTOR_REF(BgL_bucketz00_3766,BgL_kz00_3778); } } } } } } } } 
{ /* Trace/walk.scm 364 */
obj_t BgL_auxz00_4932;
BgL_auxz00_4932 = 
PROCEDURE_ENTRY(BgL_method2750z00_3754)(BgL_method2750z00_3754, 
(obj_t)(BgL_arg3075z00_2076), BEOA); 
BgL_res3210z00_3779 = 
(BgL_nodez00_bglt)(BgL_auxz00_4932); } } 
BgL_arg3074z00_2075 = BgL_res3210z00_3779; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2072))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3074z00_2075), BUNSPEC); } 
BgL_auxz00_4905 = BgL_nodez00_2072; 
return 
(obj_t)(BgL_auxz00_4905);} } } 
}



/* trace-node-let-var2774 */
obj_t BGl_tracezd2nodezd2letzd2var2774zd2zztrace_walkz00(obj_t BgL_envz00_4112, obj_t BgL_nodez00_4113)
{ AN_OBJECT;
{ /* Trace/walk.scm 352 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2056;
{ /* Trace/walk.scm 353 */
BgL_letzd2varzd2_bglt BgL_auxz00_4940;
BgL_nodez00_2056 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_4113); 
{ 
obj_t BgL_l2710z00_2060;
BgL_l2710z00_2060 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2056))->BgL_bindingsz00); 
BgL_lname2711z00_2061:
if(
PAIRP(BgL_l2710z00_2060))
{ /* Trace/walk.scm 354 */
{ /* Trace/walk.scm 355 */
obj_t BgL_bindingz00_2064;
BgL_bindingz00_2064 = 
CAR(BgL_l2710z00_2060); 
{ /* Trace/walk.scm 355 */
BgL_nodez00_bglt BgL_arg3068z00_2065;
{ /* Trace/walk.scm 355 */
BgL_nodez00_bglt BgL_res3204z00_3718;
{ /* Trace/walk.scm 355 */
BgL_nodez00_bglt BgL_nodez00_3692;
{ /* Trace/walk.scm 355 */
obj_t BgL_auxz00_4944;
BgL_auxz00_4944 = 
CDR(BgL_bindingz00_2064); 
BgL_nodez00_3692 = 
(BgL_nodez00_bglt)(BgL_auxz00_4944); } 
{ /* Trace/walk.scm 355 */
obj_t BgL_method2750z00_3693;
{ /* Trace/walk.scm 355 */
long BgL_objzd2classzd2numz00_3695;
{ /* Trace/walk.scm 355 */
BgL_objectz00_bglt BgL_auxz00_4947;
BgL_auxz00_4947 = 
(BgL_objectz00_bglt)(BgL_nodez00_3692); 
BgL_objzd2classzd2numz00_3695 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4947); } 
{ /* Trace/walk.scm 355 */
obj_t BgL_arg1221z00_3696;
{ /* Trace/walk.scm 355 */
int BgL_auxz00_4950;
BgL_auxz00_4950 = 
(int)(((long)1)); 
BgL_arg1221z00_3696 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4950); } 
{ /* Trace/walk.scm 355 */
long BgL_offsetz00_3700;
{ /* Trace/walk.scm 355 */
long BgL_auxz00_4953;
{ /* Trace/walk.scm 355 */
int BgL_auxz00_4954;
BgL_auxz00_4954 = 
(int)(BgL_objzd2classzd2numz00_3695); 
BgL_auxz00_4953 = 
(long)(BgL_auxz00_4954); } 
BgL_offsetz00_3700 = 
(BgL_auxz00_4953-OBJECT_TYPE); } 
{ /* Trace/walk.scm 355 */
long BgL_modz00_3701;
{ /* Trace/walk.scm 355 */
long BgL_auxz00_4958;
{ /* Trace/walk.scm 355 */
int BgL_auxz00_4959;
BgL_auxz00_4959 = 
(int)(((long)8)); 
BgL_auxz00_4958 = 
(long)(BgL_auxz00_4959); } 
BgL_modz00_3701 = 
(BgL_offsetz00_3700/BgL_auxz00_4958); } 
{ /* Trace/walk.scm 355 */
long BgL_restz00_3703;
{ /* Trace/walk.scm 355 */
long BgL_auxz00_4963;
{ /* Trace/walk.scm 355 */
int BgL_auxz00_4964;
BgL_auxz00_4964 = 
(int)(((long)8)); 
BgL_auxz00_4963 = 
(long)(BgL_auxz00_4964); } 
BgL_restz00_3703 = 
(BgL_offsetz00_3700%BgL_auxz00_4963); } 
{ /* Trace/walk.scm 355 */

{ /* Trace/walk.scm 355 */
obj_t BgL_bucketz00_3705;
{ /* Trace/walk.scm 355 */
int BgL_kz00_3715;
BgL_kz00_3715 = 
(int)(BgL_modz00_3701); 
BgL_bucketz00_3705 = 
VECTOR_REF(BgL_arg1221z00_3696,BgL_kz00_3715); } 
{ /* Trace/walk.scm 355 */
int BgL_kz00_3717;
BgL_kz00_3717 = 
(int)(BgL_restz00_3703); 
BgL_method2750z00_3693 = 
VECTOR_REF(BgL_bucketz00_3705,BgL_kz00_3717); } } } } } } } } 
{ /* Trace/walk.scm 355 */
obj_t BgL_auxz00_4972;
BgL_auxz00_4972 = 
PROCEDURE_ENTRY(BgL_method2750z00_3693)(BgL_method2750z00_3693, 
(obj_t)(BgL_nodez00_3692), BEOA); 
BgL_res3204z00_3718 = 
(BgL_nodez00_bglt)(BgL_auxz00_4972); } } } 
BgL_arg3068z00_2065 = BgL_res3204z00_3718; } 
{ /* Trace/walk.scm 355 */
obj_t BgL_auxz00_4977;
BgL_auxz00_4977 = 
(obj_t)(BgL_arg3068z00_2065); 
SET_CDR(BgL_bindingz00_2064, BgL_auxz00_4977); } } } 
{ 
obj_t BgL_l2710z00_4980;
BgL_l2710z00_4980 = 
CDR(BgL_l2710z00_2060); 
BgL_l2710z00_2060 = BgL_l2710z00_4980; 
goto BgL_lname2711z00_2061;} }  else 
{ /* Trace/walk.scm 354 */((bool_t)1); } } 
{ /* Trace/walk.scm 357 */
BgL_nodez00_bglt BgL_arg3071z00_2068;
{ /* Trace/walk.scm 357 */
BgL_nodez00_bglt BgL_arg3072z00_2069;
BgL_arg3072z00_2069 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2056))->BgL_bodyz00); 
{ /* Trace/walk.scm 357 */
BgL_nodez00_bglt BgL_res3207z00_3749;
{ /* Trace/walk.scm 357 */
obj_t BgL_method2750z00_3724;
{ /* Trace/walk.scm 357 */
long BgL_objzd2classzd2numz00_3726;
{ /* Trace/walk.scm 357 */
BgL_objectz00_bglt BgL_auxz00_4984;
BgL_auxz00_4984 = 
(BgL_objectz00_bglt)(BgL_arg3072z00_2069); 
BgL_objzd2classzd2numz00_3726 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4984); } 
{ /* Trace/walk.scm 357 */
obj_t BgL_arg1221z00_3727;
{ /* Trace/walk.scm 357 */
int BgL_auxz00_4987;
BgL_auxz00_4987 = 
(int)(((long)1)); 
BgL_arg1221z00_3727 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_4987); } 
{ /* Trace/walk.scm 357 */
long BgL_offsetz00_3731;
{ /* Trace/walk.scm 357 */
long BgL_auxz00_4990;
{ /* Trace/walk.scm 357 */
int BgL_auxz00_4991;
BgL_auxz00_4991 = 
(int)(BgL_objzd2classzd2numz00_3726); 
BgL_auxz00_4990 = 
(long)(BgL_auxz00_4991); } 
BgL_offsetz00_3731 = 
(BgL_auxz00_4990-OBJECT_TYPE); } 
{ /* Trace/walk.scm 357 */
long BgL_modz00_3732;
{ /* Trace/walk.scm 357 */
long BgL_auxz00_4995;
{ /* Trace/walk.scm 357 */
int BgL_auxz00_4996;
BgL_auxz00_4996 = 
(int)(((long)8)); 
BgL_auxz00_4995 = 
(long)(BgL_auxz00_4996); } 
BgL_modz00_3732 = 
(BgL_offsetz00_3731/BgL_auxz00_4995); } 
{ /* Trace/walk.scm 357 */
long BgL_restz00_3734;
{ /* Trace/walk.scm 357 */
long BgL_auxz00_5000;
{ /* Trace/walk.scm 357 */
int BgL_auxz00_5001;
BgL_auxz00_5001 = 
(int)(((long)8)); 
BgL_auxz00_5000 = 
(long)(BgL_auxz00_5001); } 
BgL_restz00_3734 = 
(BgL_offsetz00_3731%BgL_auxz00_5000); } 
{ /* Trace/walk.scm 357 */

{ /* Trace/walk.scm 357 */
obj_t BgL_bucketz00_3736;
{ /* Trace/walk.scm 357 */
int BgL_kz00_3746;
BgL_kz00_3746 = 
(int)(BgL_modz00_3732); 
BgL_bucketz00_3736 = 
VECTOR_REF(BgL_arg1221z00_3727,BgL_kz00_3746); } 
{ /* Trace/walk.scm 357 */
int BgL_kz00_3748;
BgL_kz00_3748 = 
(int)(BgL_restz00_3734); 
BgL_method2750z00_3724 = 
VECTOR_REF(BgL_bucketz00_3736,BgL_kz00_3748); } } } } } } } } 
{ /* Trace/walk.scm 357 */
obj_t BgL_auxz00_5009;
BgL_auxz00_5009 = 
PROCEDURE_ENTRY(BgL_method2750z00_3724)(BgL_method2750z00_3724, 
(obj_t)(BgL_arg3072z00_2069), BEOA); 
BgL_res3207z00_3749 = 
(BgL_nodez00_bglt)(BgL_auxz00_5009); } } 
BgL_arg3071z00_2068 = BgL_res3207z00_3749; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2056))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3071z00_2068), BUNSPEC); } 
BgL_auxz00_4940 = BgL_nodez00_2056; 
return 
(obj_t)(BgL_auxz00_4940);} } } 
}



/* trace-node-let-fun2772 */
obj_t BGl_tracezd2nodezd2letzd2fun2772zd2zztrace_walkz00(obj_t BgL_envz00_4114, obj_t BgL_nodez00_4115)
{ AN_OBJECT;
{ /* Trace/walk.scm 343 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2042;
{ /* Trace/walk.scm 344 */
BgL_letzd2funzd2_bglt BgL_auxz00_5017;
BgL_nodez00_2042 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_4115); 
{ 
obj_t BgL_l2706z00_2046;
BgL_l2706z00_2046 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2042))->BgL_localsz00); 
BgL_lname2707z00_2047:
if(
PAIRP(BgL_l2706z00_2046))
{ /* Trace/walk.scm 345 */
BGl_tracezd2funz12zc0zztrace_walkz00(
CAR(BgL_l2706z00_2046)); 
{ 
obj_t BgL_l2706z00_5022;
BgL_l2706z00_5022 = 
CDR(BgL_l2706z00_2046); 
BgL_l2706z00_2046 = BgL_l2706z00_5022; 
goto BgL_lname2707z00_2047;} }  else 
{ /* Trace/walk.scm 345 */((bool_t)1); } } 
{ /* Trace/walk.scm 346 */
BgL_nodez00_bglt BgL_arg3063z00_2052;
{ /* Trace/walk.scm 346 */
BgL_nodez00_bglt BgL_arg3064z00_2053;
BgL_arg3064z00_2053 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2042))->BgL_bodyz00); 
{ /* Trace/walk.scm 346 */
BgL_nodez00_bglt BgL_res3201z00_3685;
{ /* Trace/walk.scm 346 */
obj_t BgL_method2750z00_3660;
{ /* Trace/walk.scm 346 */
long BgL_objzd2classzd2numz00_3662;
{ /* Trace/walk.scm 346 */
BgL_objectz00_bglt BgL_auxz00_5026;
BgL_auxz00_5026 = 
(BgL_objectz00_bglt)(BgL_arg3064z00_2053); 
BgL_objzd2classzd2numz00_3662 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5026); } 
{ /* Trace/walk.scm 346 */
obj_t BgL_arg1221z00_3663;
{ /* Trace/walk.scm 346 */
int BgL_auxz00_5029;
BgL_auxz00_5029 = 
(int)(((long)1)); 
BgL_arg1221z00_3663 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5029); } 
{ /* Trace/walk.scm 346 */
long BgL_offsetz00_3667;
{ /* Trace/walk.scm 346 */
long BgL_auxz00_5032;
{ /* Trace/walk.scm 346 */
int BgL_auxz00_5033;
BgL_auxz00_5033 = 
(int)(BgL_objzd2classzd2numz00_3662); 
BgL_auxz00_5032 = 
(long)(BgL_auxz00_5033); } 
BgL_offsetz00_3667 = 
(BgL_auxz00_5032-OBJECT_TYPE); } 
{ /* Trace/walk.scm 346 */
long BgL_modz00_3668;
{ /* Trace/walk.scm 346 */
long BgL_auxz00_5037;
{ /* Trace/walk.scm 346 */
int BgL_auxz00_5038;
BgL_auxz00_5038 = 
(int)(((long)8)); 
BgL_auxz00_5037 = 
(long)(BgL_auxz00_5038); } 
BgL_modz00_3668 = 
(BgL_offsetz00_3667/BgL_auxz00_5037); } 
{ /* Trace/walk.scm 346 */
long BgL_restz00_3670;
{ /* Trace/walk.scm 346 */
long BgL_auxz00_5042;
{ /* Trace/walk.scm 346 */
int BgL_auxz00_5043;
BgL_auxz00_5043 = 
(int)(((long)8)); 
BgL_auxz00_5042 = 
(long)(BgL_auxz00_5043); } 
BgL_restz00_3670 = 
(BgL_offsetz00_3667%BgL_auxz00_5042); } 
{ /* Trace/walk.scm 346 */

{ /* Trace/walk.scm 346 */
obj_t BgL_bucketz00_3672;
{ /* Trace/walk.scm 346 */
int BgL_kz00_3682;
BgL_kz00_3682 = 
(int)(BgL_modz00_3668); 
BgL_bucketz00_3672 = 
VECTOR_REF(BgL_arg1221z00_3663,BgL_kz00_3682); } 
{ /* Trace/walk.scm 346 */
int BgL_kz00_3684;
BgL_kz00_3684 = 
(int)(BgL_restz00_3670); 
BgL_method2750z00_3660 = 
VECTOR_REF(BgL_bucketz00_3672,BgL_kz00_3684); } } } } } } } } 
{ /* Trace/walk.scm 346 */
obj_t BgL_auxz00_5051;
BgL_auxz00_5051 = 
PROCEDURE_ENTRY(BgL_method2750z00_3660)(BgL_method2750z00_3660, 
(obj_t)(BgL_arg3064z00_2053), BEOA); 
BgL_res3201z00_3685 = 
(BgL_nodez00_bglt)(BgL_auxz00_5051); } } 
BgL_arg3063z00_2052 = BgL_res3201z00_3685; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2042))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3063z00_2052), BUNSPEC); } 
BgL_auxz00_5017 = BgL_nodez00_2042; 
return 
(obj_t)(BgL_auxz00_5017);} } } 
}



/* trace-node-select2770 */
obj_t BGl_tracezd2nodezd2select2770z00zztrace_walkz00(obj_t BgL_envz00_4116, obj_t BgL_nodez00_4117)
{ AN_OBJECT;
{ /* Trace/walk.scm 332 */
{ 
BgL_selectz00_bglt BgL_nodez00_2026;
{ /* Trace/walk.scm 333 */
BgL_selectz00_bglt BgL_auxz00_5059;
BgL_nodez00_2026 = 
(BgL_selectz00_bglt)(BgL_nodez00_4117); 
{ /* Trace/walk.scm 334 */
BgL_nodez00_bglt BgL_arg3051z00_2030;
{ /* Trace/walk.scm 334 */
BgL_nodez00_bglt BgL_arg3052z00_2031;
BgL_arg3052z00_2031 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2026))->BgL_testz00); 
{ /* Trace/walk.scm 334 */
BgL_nodez00_bglt BgL_res3195z00_3617;
{ /* Trace/walk.scm 334 */
obj_t BgL_method2750z00_3592;
{ /* Trace/walk.scm 334 */
long BgL_objzd2classzd2numz00_3594;
{ /* Trace/walk.scm 334 */
BgL_objectz00_bglt BgL_auxz00_5061;
BgL_auxz00_5061 = 
(BgL_objectz00_bglt)(BgL_arg3052z00_2031); 
BgL_objzd2classzd2numz00_3594 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5061); } 
{ /* Trace/walk.scm 334 */
obj_t BgL_arg1221z00_3595;
{ /* Trace/walk.scm 334 */
int BgL_auxz00_5064;
BgL_auxz00_5064 = 
(int)(((long)1)); 
BgL_arg1221z00_3595 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5064); } 
{ /* Trace/walk.scm 334 */
long BgL_offsetz00_3599;
{ /* Trace/walk.scm 334 */
long BgL_auxz00_5067;
{ /* Trace/walk.scm 334 */
int BgL_auxz00_5068;
BgL_auxz00_5068 = 
(int)(BgL_objzd2classzd2numz00_3594); 
BgL_auxz00_5067 = 
(long)(BgL_auxz00_5068); } 
BgL_offsetz00_3599 = 
(BgL_auxz00_5067-OBJECT_TYPE); } 
{ /* Trace/walk.scm 334 */
long BgL_modz00_3600;
{ /* Trace/walk.scm 334 */
long BgL_auxz00_5072;
{ /* Trace/walk.scm 334 */
int BgL_auxz00_5073;
BgL_auxz00_5073 = 
(int)(((long)8)); 
BgL_auxz00_5072 = 
(long)(BgL_auxz00_5073); } 
BgL_modz00_3600 = 
(BgL_offsetz00_3599/BgL_auxz00_5072); } 
{ /* Trace/walk.scm 334 */
long BgL_restz00_3602;
{ /* Trace/walk.scm 334 */
long BgL_auxz00_5077;
{ /* Trace/walk.scm 334 */
int BgL_auxz00_5078;
BgL_auxz00_5078 = 
(int)(((long)8)); 
BgL_auxz00_5077 = 
(long)(BgL_auxz00_5078); } 
BgL_restz00_3602 = 
(BgL_offsetz00_3599%BgL_auxz00_5077); } 
{ /* Trace/walk.scm 334 */

{ /* Trace/walk.scm 334 */
obj_t BgL_bucketz00_3604;
{ /* Trace/walk.scm 334 */
int BgL_kz00_3614;
BgL_kz00_3614 = 
(int)(BgL_modz00_3600); 
BgL_bucketz00_3604 = 
VECTOR_REF(BgL_arg1221z00_3595,BgL_kz00_3614); } 
{ /* Trace/walk.scm 334 */
int BgL_kz00_3616;
BgL_kz00_3616 = 
(int)(BgL_restz00_3602); 
BgL_method2750z00_3592 = 
VECTOR_REF(BgL_bucketz00_3604,BgL_kz00_3616); } } } } } } } } 
{ /* Trace/walk.scm 334 */
obj_t BgL_auxz00_5086;
BgL_auxz00_5086 = 
PROCEDURE_ENTRY(BgL_method2750z00_3592)(BgL_method2750z00_3592, 
(obj_t)(BgL_arg3052z00_2031), BEOA); 
BgL_res3195z00_3617 = 
(BgL_nodez00_bglt)(BgL_auxz00_5086); } } 
BgL_arg3051z00_2030 = BgL_res3195z00_3617; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_2026))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3051z00_2030), BUNSPEC); } 
{ 
obj_t BgL_l2702z00_2032;
BgL_l2702z00_2032 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2026))->BgL_clausesz00); 
BgL_lname2703z00_2033:
if(
PAIRP(BgL_l2702z00_2032))
{ /* Trace/walk.scm 335 */
{ /* Trace/walk.scm 336 */
obj_t BgL_clausez00_2036;
BgL_clausez00_2036 = 
CAR(BgL_l2702z00_2032); 
{ /* Trace/walk.scm 336 */
BgL_nodez00_bglt BgL_arg3055z00_2037;
{ /* Trace/walk.scm 336 */
BgL_nodez00_bglt BgL_res3198z00_3650;
{ /* Trace/walk.scm 336 */
BgL_nodez00_bglt BgL_nodez00_3624;
{ /* Trace/walk.scm 336 */
obj_t BgL_auxz00_5095;
BgL_auxz00_5095 = 
CDR(BgL_clausez00_2036); 
BgL_nodez00_3624 = 
(BgL_nodez00_bglt)(BgL_auxz00_5095); } 
{ /* Trace/walk.scm 336 */
obj_t BgL_method2750z00_3625;
{ /* Trace/walk.scm 336 */
long BgL_objzd2classzd2numz00_3627;
{ /* Trace/walk.scm 336 */
BgL_objectz00_bglt BgL_auxz00_5098;
BgL_auxz00_5098 = 
(BgL_objectz00_bglt)(BgL_nodez00_3624); 
BgL_objzd2classzd2numz00_3627 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5098); } 
{ /* Trace/walk.scm 336 */
obj_t BgL_arg1221z00_3628;
{ /* Trace/walk.scm 336 */
int BgL_auxz00_5101;
BgL_auxz00_5101 = 
(int)(((long)1)); 
BgL_arg1221z00_3628 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5101); } 
{ /* Trace/walk.scm 336 */
long BgL_offsetz00_3632;
{ /* Trace/walk.scm 336 */
long BgL_auxz00_5104;
{ /* Trace/walk.scm 336 */
int BgL_auxz00_5105;
BgL_auxz00_5105 = 
(int)(BgL_objzd2classzd2numz00_3627); 
BgL_auxz00_5104 = 
(long)(BgL_auxz00_5105); } 
BgL_offsetz00_3632 = 
(BgL_auxz00_5104-OBJECT_TYPE); } 
{ /* Trace/walk.scm 336 */
long BgL_modz00_3633;
{ /* Trace/walk.scm 336 */
long BgL_auxz00_5109;
{ /* Trace/walk.scm 336 */
int BgL_auxz00_5110;
BgL_auxz00_5110 = 
(int)(((long)8)); 
BgL_auxz00_5109 = 
(long)(BgL_auxz00_5110); } 
BgL_modz00_3633 = 
(BgL_offsetz00_3632/BgL_auxz00_5109); } 
{ /* Trace/walk.scm 336 */
long BgL_restz00_3635;
{ /* Trace/walk.scm 336 */
long BgL_auxz00_5114;
{ /* Trace/walk.scm 336 */
int BgL_auxz00_5115;
BgL_auxz00_5115 = 
(int)(((long)8)); 
BgL_auxz00_5114 = 
(long)(BgL_auxz00_5115); } 
BgL_restz00_3635 = 
(BgL_offsetz00_3632%BgL_auxz00_5114); } 
{ /* Trace/walk.scm 336 */

{ /* Trace/walk.scm 336 */
obj_t BgL_bucketz00_3637;
{ /* Trace/walk.scm 336 */
int BgL_kz00_3647;
BgL_kz00_3647 = 
(int)(BgL_modz00_3633); 
BgL_bucketz00_3637 = 
VECTOR_REF(BgL_arg1221z00_3628,BgL_kz00_3647); } 
{ /* Trace/walk.scm 336 */
int BgL_kz00_3649;
BgL_kz00_3649 = 
(int)(BgL_restz00_3635); 
BgL_method2750z00_3625 = 
VECTOR_REF(BgL_bucketz00_3637,BgL_kz00_3649); } } } } } } } } 
{ /* Trace/walk.scm 336 */
obj_t BgL_auxz00_5123;
BgL_auxz00_5123 = 
PROCEDURE_ENTRY(BgL_method2750z00_3625)(BgL_method2750z00_3625, 
(obj_t)(BgL_nodez00_3624), BEOA); 
BgL_res3198z00_3650 = 
(BgL_nodez00_bglt)(BgL_auxz00_5123); } } } 
BgL_arg3055z00_2037 = BgL_res3198z00_3650; } 
{ /* Trace/walk.scm 336 */
obj_t BgL_auxz00_5128;
BgL_auxz00_5128 = 
(obj_t)(BgL_arg3055z00_2037); 
SET_CDR(BgL_clausez00_2036, BgL_auxz00_5128); } } } 
{ 
obj_t BgL_l2702z00_5131;
BgL_l2702z00_5131 = 
CDR(BgL_l2702z00_2032); 
BgL_l2702z00_2032 = BgL_l2702z00_5131; 
goto BgL_lname2703z00_2033;} }  else 
{ /* Trace/walk.scm 335 */((bool_t)1); } } 
BgL_auxz00_5059 = BgL_nodez00_2026; 
return 
(obj_t)(BgL_auxz00_5059);} } } 
}



/* trace-node-fail2768 */
obj_t BGl_tracezd2nodezd2fail2768z00zztrace_walkz00(obj_t BgL_envz00_4118, obj_t BgL_nodez00_4119)
{ AN_OBJECT;
{ /* Trace/walk.scm 322 */
{ 
BgL_failz00_bglt BgL_nodez00_2014;
{ /* Trace/walk.scm 323 */
BgL_failz00_bglt BgL_auxz00_5136;
BgL_nodez00_2014 = 
(BgL_failz00_bglt)(BgL_nodez00_4119); 
{ /* Trace/walk.scm 324 */
BgL_nodez00_bglt BgL_arg3044z00_2018;
{ /* Trace/walk.scm 324 */
BgL_nodez00_bglt BgL_arg3045z00_2019;
BgL_arg3045z00_2019 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_procz00); 
{ /* Trace/walk.scm 324 */
BgL_nodez00_bglt BgL_res3186z00_3527;
{ /* Trace/walk.scm 324 */
obj_t BgL_method2750z00_3502;
{ /* Trace/walk.scm 324 */
long BgL_objzd2classzd2numz00_3504;
{ /* Trace/walk.scm 324 */
BgL_objectz00_bglt BgL_auxz00_5138;
BgL_auxz00_5138 = 
(BgL_objectz00_bglt)(BgL_arg3045z00_2019); 
BgL_objzd2classzd2numz00_3504 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5138); } 
{ /* Trace/walk.scm 324 */
obj_t BgL_arg1221z00_3505;
{ /* Trace/walk.scm 324 */
int BgL_auxz00_5141;
BgL_auxz00_5141 = 
(int)(((long)1)); 
BgL_arg1221z00_3505 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5141); } 
{ /* Trace/walk.scm 324 */
long BgL_offsetz00_3509;
{ /* Trace/walk.scm 324 */
long BgL_auxz00_5144;
{ /* Trace/walk.scm 324 */
int BgL_auxz00_5145;
BgL_auxz00_5145 = 
(int)(BgL_objzd2classzd2numz00_3504); 
BgL_auxz00_5144 = 
(long)(BgL_auxz00_5145); } 
BgL_offsetz00_3509 = 
(BgL_auxz00_5144-OBJECT_TYPE); } 
{ /* Trace/walk.scm 324 */
long BgL_modz00_3510;
{ /* Trace/walk.scm 324 */
long BgL_auxz00_5149;
{ /* Trace/walk.scm 324 */
int BgL_auxz00_5150;
BgL_auxz00_5150 = 
(int)(((long)8)); 
BgL_auxz00_5149 = 
(long)(BgL_auxz00_5150); } 
BgL_modz00_3510 = 
(BgL_offsetz00_3509/BgL_auxz00_5149); } 
{ /* Trace/walk.scm 324 */
long BgL_restz00_3512;
{ /* Trace/walk.scm 324 */
long BgL_auxz00_5154;
{ /* Trace/walk.scm 324 */
int BgL_auxz00_5155;
BgL_auxz00_5155 = 
(int)(((long)8)); 
BgL_auxz00_5154 = 
(long)(BgL_auxz00_5155); } 
BgL_restz00_3512 = 
(BgL_offsetz00_3509%BgL_auxz00_5154); } 
{ /* Trace/walk.scm 324 */

{ /* Trace/walk.scm 324 */
obj_t BgL_bucketz00_3514;
{ /* Trace/walk.scm 324 */
int BgL_kz00_3524;
BgL_kz00_3524 = 
(int)(BgL_modz00_3510); 
BgL_bucketz00_3514 = 
VECTOR_REF(BgL_arg1221z00_3505,BgL_kz00_3524); } 
{ /* Trace/walk.scm 324 */
int BgL_kz00_3526;
BgL_kz00_3526 = 
(int)(BgL_restz00_3512); 
BgL_method2750z00_3502 = 
VECTOR_REF(BgL_bucketz00_3514,BgL_kz00_3526); } } } } } } } } 
{ /* Trace/walk.scm 324 */
obj_t BgL_auxz00_5163;
BgL_auxz00_5163 = 
PROCEDURE_ENTRY(BgL_method2750z00_3502)(BgL_method2750z00_3502, 
(obj_t)(BgL_arg3045z00_2019), BEOA); 
BgL_res3186z00_3527 = 
(BgL_nodez00_bglt)(BgL_auxz00_5163); } } 
BgL_arg3044z00_2018 = BgL_res3186z00_3527; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg3044z00_2018), BUNSPEC); } 
{ /* Trace/walk.scm 325 */
BgL_nodez00_bglt BgL_arg3046z00_2020;
{ /* Trace/walk.scm 325 */
BgL_nodez00_bglt BgL_arg3047z00_2021;
BgL_arg3047z00_2021 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_msgz00); 
{ /* Trace/walk.scm 325 */
BgL_nodez00_bglt BgL_res3189z00_3557;
{ /* Trace/walk.scm 325 */
obj_t BgL_method2750z00_3532;
{ /* Trace/walk.scm 325 */
long BgL_objzd2classzd2numz00_3534;
{ /* Trace/walk.scm 325 */
BgL_objectz00_bglt BgL_auxz00_5170;
BgL_auxz00_5170 = 
(BgL_objectz00_bglt)(BgL_arg3047z00_2021); 
BgL_objzd2classzd2numz00_3534 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5170); } 
{ /* Trace/walk.scm 325 */
obj_t BgL_arg1221z00_3535;
{ /* Trace/walk.scm 325 */
int BgL_auxz00_5173;
BgL_auxz00_5173 = 
(int)(((long)1)); 
BgL_arg1221z00_3535 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5173); } 
{ /* Trace/walk.scm 325 */
long BgL_offsetz00_3539;
{ /* Trace/walk.scm 325 */
long BgL_auxz00_5176;
{ /* Trace/walk.scm 325 */
int BgL_auxz00_5177;
BgL_auxz00_5177 = 
(int)(BgL_objzd2classzd2numz00_3534); 
BgL_auxz00_5176 = 
(long)(BgL_auxz00_5177); } 
BgL_offsetz00_3539 = 
(BgL_auxz00_5176-OBJECT_TYPE); } 
{ /* Trace/walk.scm 325 */
long BgL_modz00_3540;
{ /* Trace/walk.scm 325 */
long BgL_auxz00_5181;
{ /* Trace/walk.scm 325 */
int BgL_auxz00_5182;
BgL_auxz00_5182 = 
(int)(((long)8)); 
BgL_auxz00_5181 = 
(long)(BgL_auxz00_5182); } 
BgL_modz00_3540 = 
(BgL_offsetz00_3539/BgL_auxz00_5181); } 
{ /* Trace/walk.scm 325 */
long BgL_restz00_3542;
{ /* Trace/walk.scm 325 */
long BgL_auxz00_5186;
{ /* Trace/walk.scm 325 */
int BgL_auxz00_5187;
BgL_auxz00_5187 = 
(int)(((long)8)); 
BgL_auxz00_5186 = 
(long)(BgL_auxz00_5187); } 
BgL_restz00_3542 = 
(BgL_offsetz00_3539%BgL_auxz00_5186); } 
{ /* Trace/walk.scm 325 */

{ /* Trace/walk.scm 325 */
obj_t BgL_bucketz00_3544;
{ /* Trace/walk.scm 325 */
int BgL_kz00_3554;
BgL_kz00_3554 = 
(int)(BgL_modz00_3540); 
BgL_bucketz00_3544 = 
VECTOR_REF(BgL_arg1221z00_3535,BgL_kz00_3554); } 
{ /* Trace/walk.scm 325 */
int BgL_kz00_3556;
BgL_kz00_3556 = 
(int)(BgL_restz00_3542); 
BgL_method2750z00_3532 = 
VECTOR_REF(BgL_bucketz00_3544,BgL_kz00_3556); } } } } } } } } 
{ /* Trace/walk.scm 325 */
obj_t BgL_auxz00_5195;
BgL_auxz00_5195 = 
PROCEDURE_ENTRY(BgL_method2750z00_3532)(BgL_method2750z00_3532, 
(obj_t)(BgL_arg3047z00_2021), BEOA); 
BgL_res3189z00_3557 = 
(BgL_nodez00_bglt)(BgL_auxz00_5195); } } 
BgL_arg3046z00_2020 = BgL_res3189z00_3557; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg3046z00_2020), BUNSPEC); } 
{ /* Trace/walk.scm 326 */
BgL_nodez00_bglt BgL_arg3048z00_2022;
{ /* Trace/walk.scm 326 */
BgL_nodez00_bglt BgL_arg3049z00_2023;
BgL_arg3049z00_2023 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_objz00); 
{ /* Trace/walk.scm 326 */
BgL_nodez00_bglt BgL_res3192z00_3587;
{ /* Trace/walk.scm 326 */
obj_t BgL_method2750z00_3562;
{ /* Trace/walk.scm 326 */
long BgL_objzd2classzd2numz00_3564;
{ /* Trace/walk.scm 326 */
BgL_objectz00_bglt BgL_auxz00_5202;
BgL_auxz00_5202 = 
(BgL_objectz00_bglt)(BgL_arg3049z00_2023); 
BgL_objzd2classzd2numz00_3564 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5202); } 
{ /* Trace/walk.scm 326 */
obj_t BgL_arg1221z00_3565;
{ /* Trace/walk.scm 326 */
int BgL_auxz00_5205;
BgL_auxz00_5205 = 
(int)(((long)1)); 
BgL_arg1221z00_3565 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5205); } 
{ /* Trace/walk.scm 326 */
long BgL_offsetz00_3569;
{ /* Trace/walk.scm 326 */
long BgL_auxz00_5208;
{ /* Trace/walk.scm 326 */
int BgL_auxz00_5209;
BgL_auxz00_5209 = 
(int)(BgL_objzd2classzd2numz00_3564); 
BgL_auxz00_5208 = 
(long)(BgL_auxz00_5209); } 
BgL_offsetz00_3569 = 
(BgL_auxz00_5208-OBJECT_TYPE); } 
{ /* Trace/walk.scm 326 */
long BgL_modz00_3570;
{ /* Trace/walk.scm 326 */
long BgL_auxz00_5213;
{ /* Trace/walk.scm 326 */
int BgL_auxz00_5214;
BgL_auxz00_5214 = 
(int)(((long)8)); 
BgL_auxz00_5213 = 
(long)(BgL_auxz00_5214); } 
BgL_modz00_3570 = 
(BgL_offsetz00_3569/BgL_auxz00_5213); } 
{ /* Trace/walk.scm 326 */
long BgL_restz00_3572;
{ /* Trace/walk.scm 326 */
long BgL_auxz00_5218;
{ /* Trace/walk.scm 326 */
int BgL_auxz00_5219;
BgL_auxz00_5219 = 
(int)(((long)8)); 
BgL_auxz00_5218 = 
(long)(BgL_auxz00_5219); } 
BgL_restz00_3572 = 
(BgL_offsetz00_3569%BgL_auxz00_5218); } 
{ /* Trace/walk.scm 326 */

{ /* Trace/walk.scm 326 */
obj_t BgL_bucketz00_3574;
{ /* Trace/walk.scm 326 */
int BgL_kz00_3584;
BgL_kz00_3584 = 
(int)(BgL_modz00_3570); 
BgL_bucketz00_3574 = 
VECTOR_REF(BgL_arg1221z00_3565,BgL_kz00_3584); } 
{ /* Trace/walk.scm 326 */
int BgL_kz00_3586;
BgL_kz00_3586 = 
(int)(BgL_restz00_3572); 
BgL_method2750z00_3562 = 
VECTOR_REF(BgL_bucketz00_3574,BgL_kz00_3586); } } } } } } } } 
{ /* Trace/walk.scm 326 */
obj_t BgL_auxz00_5227;
BgL_auxz00_5227 = 
PROCEDURE_ENTRY(BgL_method2750z00_3562)(BgL_method2750z00_3562, 
(obj_t)(BgL_arg3049z00_2023), BEOA); 
BgL_res3192z00_3587 = 
(BgL_nodez00_bglt)(BgL_auxz00_5227); } } 
BgL_arg3048z00_2022 = BgL_res3192z00_3587; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg3048z00_2022), BUNSPEC); } 
BgL_auxz00_5136 = BgL_nodez00_2014; 
return 
(obj_t)(BgL_auxz00_5136);} } } 
}



/* trace-node-conditional2766 */
obj_t BGl_tracezd2nodezd2conditional2766z00zztrace_walkz00(obj_t BgL_envz00_4120, obj_t BgL_nodez00_4121)
{ AN_OBJECT;
{ /* Trace/walk.scm 312 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2002;
{ /* Trace/walk.scm 313 */
BgL_conditionalz00_bglt BgL_auxz00_5235;
BgL_nodez00_2002 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_4121); 
{ /* Trace/walk.scm 314 */
BgL_nodez00_bglt BgL_arg3037z00_2006;
{ /* Trace/walk.scm 314 */
BgL_nodez00_bglt BgL_arg3038z00_2007;
BgL_arg3038z00_2007 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2002))->BgL_testz00); 
{ /* Trace/walk.scm 314 */
BgL_nodez00_bglt BgL_res3177z00_3437;
{ /* Trace/walk.scm 314 */
obj_t BgL_method2750z00_3412;
{ /* Trace/walk.scm 314 */
long BgL_objzd2classzd2numz00_3414;
{ /* Trace/walk.scm 314 */
BgL_objectz00_bglt BgL_auxz00_5237;
BgL_auxz00_5237 = 
(BgL_objectz00_bglt)(BgL_arg3038z00_2007); 
BgL_objzd2classzd2numz00_3414 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5237); } 
{ /* Trace/walk.scm 314 */
obj_t BgL_arg1221z00_3415;
{ /* Trace/walk.scm 314 */
int BgL_auxz00_5240;
BgL_auxz00_5240 = 
(int)(((long)1)); 
BgL_arg1221z00_3415 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5240); } 
{ /* Trace/walk.scm 314 */
long BgL_offsetz00_3419;
{ /* Trace/walk.scm 314 */
long BgL_auxz00_5243;
{ /* Trace/walk.scm 314 */
int BgL_auxz00_5244;
BgL_auxz00_5244 = 
(int)(BgL_objzd2classzd2numz00_3414); 
BgL_auxz00_5243 = 
(long)(BgL_auxz00_5244); } 
BgL_offsetz00_3419 = 
(BgL_auxz00_5243-OBJECT_TYPE); } 
{ /* Trace/walk.scm 314 */
long BgL_modz00_3420;
{ /* Trace/walk.scm 314 */
long BgL_auxz00_5248;
{ /* Trace/walk.scm 314 */
int BgL_auxz00_5249;
BgL_auxz00_5249 = 
(int)(((long)8)); 
BgL_auxz00_5248 = 
(long)(BgL_auxz00_5249); } 
BgL_modz00_3420 = 
(BgL_offsetz00_3419/BgL_auxz00_5248); } 
{ /* Trace/walk.scm 314 */
long BgL_restz00_3422;
{ /* Trace/walk.scm 314 */
long BgL_auxz00_5253;
{ /* Trace/walk.scm 314 */
int BgL_auxz00_5254;
BgL_auxz00_5254 = 
(int)(((long)8)); 
BgL_auxz00_5253 = 
(long)(BgL_auxz00_5254); } 
BgL_restz00_3422 = 
(BgL_offsetz00_3419%BgL_auxz00_5253); } 
{ /* Trace/walk.scm 314 */

{ /* Trace/walk.scm 314 */
obj_t BgL_bucketz00_3424;
{ /* Trace/walk.scm 314 */
int BgL_kz00_3434;
BgL_kz00_3434 = 
(int)(BgL_modz00_3420); 
BgL_bucketz00_3424 = 
VECTOR_REF(BgL_arg1221z00_3415,BgL_kz00_3434); } 
{ /* Trace/walk.scm 314 */
int BgL_kz00_3436;
BgL_kz00_3436 = 
(int)(BgL_restz00_3422); 
BgL_method2750z00_3412 = 
VECTOR_REF(BgL_bucketz00_3424,BgL_kz00_3436); } } } } } } } } 
{ /* Trace/walk.scm 314 */
obj_t BgL_auxz00_5262;
BgL_auxz00_5262 = 
PROCEDURE_ENTRY(BgL_method2750z00_3412)(BgL_method2750z00_3412, 
(obj_t)(BgL_arg3038z00_2007), BEOA); 
BgL_res3177z00_3437 = 
(BgL_nodez00_bglt)(BgL_auxz00_5262); } } 
BgL_arg3037z00_2006 = BgL_res3177z00_3437; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2002))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3037z00_2006), BUNSPEC); } 
{ /* Trace/walk.scm 315 */
BgL_nodez00_bglt BgL_arg3039z00_2008;
{ /* Trace/walk.scm 315 */
BgL_nodez00_bglt BgL_arg3040z00_2009;
BgL_arg3040z00_2009 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2002))->BgL_truez00); 
{ /* Trace/walk.scm 315 */
BgL_nodez00_bglt BgL_res3180z00_3467;
{ /* Trace/walk.scm 315 */
obj_t BgL_method2750z00_3442;
{ /* Trace/walk.scm 315 */
long BgL_objzd2classzd2numz00_3444;
{ /* Trace/walk.scm 315 */
BgL_objectz00_bglt BgL_auxz00_5269;
BgL_auxz00_5269 = 
(BgL_objectz00_bglt)(BgL_arg3040z00_2009); 
BgL_objzd2classzd2numz00_3444 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5269); } 
{ /* Trace/walk.scm 315 */
obj_t BgL_arg1221z00_3445;
{ /* Trace/walk.scm 315 */
int BgL_auxz00_5272;
BgL_auxz00_5272 = 
(int)(((long)1)); 
BgL_arg1221z00_3445 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5272); } 
{ /* Trace/walk.scm 315 */
long BgL_offsetz00_3449;
{ /* Trace/walk.scm 315 */
long BgL_auxz00_5275;
{ /* Trace/walk.scm 315 */
int BgL_auxz00_5276;
BgL_auxz00_5276 = 
(int)(BgL_objzd2classzd2numz00_3444); 
BgL_auxz00_5275 = 
(long)(BgL_auxz00_5276); } 
BgL_offsetz00_3449 = 
(BgL_auxz00_5275-OBJECT_TYPE); } 
{ /* Trace/walk.scm 315 */
long BgL_modz00_3450;
{ /* Trace/walk.scm 315 */
long BgL_auxz00_5280;
{ /* Trace/walk.scm 315 */
int BgL_auxz00_5281;
BgL_auxz00_5281 = 
(int)(((long)8)); 
BgL_auxz00_5280 = 
(long)(BgL_auxz00_5281); } 
BgL_modz00_3450 = 
(BgL_offsetz00_3449/BgL_auxz00_5280); } 
{ /* Trace/walk.scm 315 */
long BgL_restz00_3452;
{ /* Trace/walk.scm 315 */
long BgL_auxz00_5285;
{ /* Trace/walk.scm 315 */
int BgL_auxz00_5286;
BgL_auxz00_5286 = 
(int)(((long)8)); 
BgL_auxz00_5285 = 
(long)(BgL_auxz00_5286); } 
BgL_restz00_3452 = 
(BgL_offsetz00_3449%BgL_auxz00_5285); } 
{ /* Trace/walk.scm 315 */

{ /* Trace/walk.scm 315 */
obj_t BgL_bucketz00_3454;
{ /* Trace/walk.scm 315 */
int BgL_kz00_3464;
BgL_kz00_3464 = 
(int)(BgL_modz00_3450); 
BgL_bucketz00_3454 = 
VECTOR_REF(BgL_arg1221z00_3445,BgL_kz00_3464); } 
{ /* Trace/walk.scm 315 */
int BgL_kz00_3466;
BgL_kz00_3466 = 
(int)(BgL_restz00_3452); 
BgL_method2750z00_3442 = 
VECTOR_REF(BgL_bucketz00_3454,BgL_kz00_3466); } } } } } } } } 
{ /* Trace/walk.scm 315 */
obj_t BgL_auxz00_5294;
BgL_auxz00_5294 = 
PROCEDURE_ENTRY(BgL_method2750z00_3442)(BgL_method2750z00_3442, 
(obj_t)(BgL_arg3040z00_2009), BEOA); 
BgL_res3180z00_3467 = 
(BgL_nodez00_bglt)(BgL_auxz00_5294); } } 
BgL_arg3039z00_2008 = BgL_res3180z00_3467; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2002))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg3039z00_2008), BUNSPEC); } 
{ /* Trace/walk.scm 316 */
BgL_nodez00_bglt BgL_arg3041z00_2010;
{ /* Trace/walk.scm 316 */
BgL_nodez00_bglt BgL_arg3042z00_2011;
BgL_arg3042z00_2011 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2002))->BgL_falsez00); 
{ /* Trace/walk.scm 316 */
BgL_nodez00_bglt BgL_res3183z00_3497;
{ /* Trace/walk.scm 316 */
obj_t BgL_method2750z00_3472;
{ /* Trace/walk.scm 316 */
long BgL_objzd2classzd2numz00_3474;
{ /* Trace/walk.scm 316 */
BgL_objectz00_bglt BgL_auxz00_5301;
BgL_auxz00_5301 = 
(BgL_objectz00_bglt)(BgL_arg3042z00_2011); 
BgL_objzd2classzd2numz00_3474 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5301); } 
{ /* Trace/walk.scm 316 */
obj_t BgL_arg1221z00_3475;
{ /* Trace/walk.scm 316 */
int BgL_auxz00_5304;
BgL_auxz00_5304 = 
(int)(((long)1)); 
BgL_arg1221z00_3475 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5304); } 
{ /* Trace/walk.scm 316 */
long BgL_offsetz00_3479;
{ /* Trace/walk.scm 316 */
long BgL_auxz00_5307;
{ /* Trace/walk.scm 316 */
int BgL_auxz00_5308;
BgL_auxz00_5308 = 
(int)(BgL_objzd2classzd2numz00_3474); 
BgL_auxz00_5307 = 
(long)(BgL_auxz00_5308); } 
BgL_offsetz00_3479 = 
(BgL_auxz00_5307-OBJECT_TYPE); } 
{ /* Trace/walk.scm 316 */
long BgL_modz00_3480;
{ /* Trace/walk.scm 316 */
long BgL_auxz00_5312;
{ /* Trace/walk.scm 316 */
int BgL_auxz00_5313;
BgL_auxz00_5313 = 
(int)(((long)8)); 
BgL_auxz00_5312 = 
(long)(BgL_auxz00_5313); } 
BgL_modz00_3480 = 
(BgL_offsetz00_3479/BgL_auxz00_5312); } 
{ /* Trace/walk.scm 316 */
long BgL_restz00_3482;
{ /* Trace/walk.scm 316 */
long BgL_auxz00_5317;
{ /* Trace/walk.scm 316 */
int BgL_auxz00_5318;
BgL_auxz00_5318 = 
(int)(((long)8)); 
BgL_auxz00_5317 = 
(long)(BgL_auxz00_5318); } 
BgL_restz00_3482 = 
(BgL_offsetz00_3479%BgL_auxz00_5317); } 
{ /* Trace/walk.scm 316 */

{ /* Trace/walk.scm 316 */
obj_t BgL_bucketz00_3484;
{ /* Trace/walk.scm 316 */
int BgL_kz00_3494;
BgL_kz00_3494 = 
(int)(BgL_modz00_3480); 
BgL_bucketz00_3484 = 
VECTOR_REF(BgL_arg1221z00_3475,BgL_kz00_3494); } 
{ /* Trace/walk.scm 316 */
int BgL_kz00_3496;
BgL_kz00_3496 = 
(int)(BgL_restz00_3482); 
BgL_method2750z00_3472 = 
VECTOR_REF(BgL_bucketz00_3484,BgL_kz00_3496); } } } } } } } } 
{ /* Trace/walk.scm 316 */
obj_t BgL_auxz00_5326;
BgL_auxz00_5326 = 
PROCEDURE_ENTRY(BgL_method2750z00_3472)(BgL_method2750z00_3472, 
(obj_t)(BgL_arg3042z00_2011), BEOA); 
BgL_res3183z00_3497 = 
(BgL_nodez00_bglt)(BgL_auxz00_5326); } } 
BgL_arg3041z00_2010 = BgL_res3183z00_3497; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2002))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3041z00_2010), BUNSPEC); } 
BgL_auxz00_5235 = BgL_nodez00_2002; 
return 
(obj_t)(BgL_auxz00_5235);} } } 
}



/* trace-node-setq2764 */
obj_t BGl_tracezd2nodezd2setq2764z00zztrace_walkz00(obj_t BgL_envz00_4122, obj_t BgL_nodez00_4123)
{ AN_OBJECT;
{ /* Trace/walk.scm 305 */
{ 
BgL_setqz00_bglt BgL_nodez00_1995;
{ /* Trace/walk.scm 306 */
BgL_setqz00_bglt BgL_auxz00_5334;
BgL_nodez00_1995 = 
(BgL_setqz00_bglt)(BgL_nodez00_4123); 
{ /* Trace/walk.scm 306 */
BgL_nodez00_bglt BgL_arg3034z00_1998;
{ /* Trace/walk.scm 306 */
BgL_nodez00_bglt BgL_arg3035z00_1999;
BgL_arg3035z00_1999 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1995))->BgL_valuez00); 
{ /* Trace/walk.scm 306 */
BgL_nodez00_bglt BgL_res3174z00_3407;
{ /* Trace/walk.scm 306 */
obj_t BgL_method2750z00_3382;
{ /* Trace/walk.scm 306 */
long BgL_objzd2classzd2numz00_3384;
{ /* Trace/walk.scm 306 */
BgL_objectz00_bglt BgL_auxz00_5336;
BgL_auxz00_5336 = 
(BgL_objectz00_bglt)(BgL_arg3035z00_1999); 
BgL_objzd2classzd2numz00_3384 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5336); } 
{ /* Trace/walk.scm 306 */
obj_t BgL_arg1221z00_3385;
{ /* Trace/walk.scm 306 */
int BgL_auxz00_5339;
BgL_auxz00_5339 = 
(int)(((long)1)); 
BgL_arg1221z00_3385 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5339); } 
{ /* Trace/walk.scm 306 */
long BgL_offsetz00_3389;
{ /* Trace/walk.scm 306 */
long BgL_auxz00_5342;
{ /* Trace/walk.scm 306 */
int BgL_auxz00_5343;
BgL_auxz00_5343 = 
(int)(BgL_objzd2classzd2numz00_3384); 
BgL_auxz00_5342 = 
(long)(BgL_auxz00_5343); } 
BgL_offsetz00_3389 = 
(BgL_auxz00_5342-OBJECT_TYPE); } 
{ /* Trace/walk.scm 306 */
long BgL_modz00_3390;
{ /* Trace/walk.scm 306 */
long BgL_auxz00_5347;
{ /* Trace/walk.scm 306 */
int BgL_auxz00_5348;
BgL_auxz00_5348 = 
(int)(((long)8)); 
BgL_auxz00_5347 = 
(long)(BgL_auxz00_5348); } 
BgL_modz00_3390 = 
(BgL_offsetz00_3389/BgL_auxz00_5347); } 
{ /* Trace/walk.scm 306 */
long BgL_restz00_3392;
{ /* Trace/walk.scm 306 */
long BgL_auxz00_5352;
{ /* Trace/walk.scm 306 */
int BgL_auxz00_5353;
BgL_auxz00_5353 = 
(int)(((long)8)); 
BgL_auxz00_5352 = 
(long)(BgL_auxz00_5353); } 
BgL_restz00_3392 = 
(BgL_offsetz00_3389%BgL_auxz00_5352); } 
{ /* Trace/walk.scm 306 */

{ /* Trace/walk.scm 306 */
obj_t BgL_bucketz00_3394;
{ /* Trace/walk.scm 306 */
int BgL_kz00_3404;
BgL_kz00_3404 = 
(int)(BgL_modz00_3390); 
BgL_bucketz00_3394 = 
VECTOR_REF(BgL_arg1221z00_3385,BgL_kz00_3404); } 
{ /* Trace/walk.scm 306 */
int BgL_kz00_3406;
BgL_kz00_3406 = 
(int)(BgL_restz00_3392); 
BgL_method2750z00_3382 = 
VECTOR_REF(BgL_bucketz00_3394,BgL_kz00_3406); } } } } } } } } 
{ /* Trace/walk.scm 306 */
obj_t BgL_auxz00_5361;
BgL_auxz00_5361 = 
PROCEDURE_ENTRY(BgL_method2750z00_3382)(BgL_method2750z00_3382, 
(obj_t)(BgL_arg3035z00_1999), BEOA); 
BgL_res3174z00_3407 = 
(BgL_nodez00_bglt)(BgL_auxz00_5361); } } 
BgL_arg3034z00_1998 = BgL_res3174z00_3407; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1995))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3034z00_1998), BUNSPEC); } 
BgL_auxz00_5334 = BgL_nodez00_1995; 
return 
(obj_t)(BgL_auxz00_5334);} } } 
}



/* trace-node-cast2762 */
obj_t BGl_tracezd2nodezd2cast2762z00zztrace_walkz00(obj_t BgL_envz00_4124, obj_t BgL_nodez00_4125)
{ AN_OBJECT;
{ /* Trace/walk.scm 298 */
{ 
BgL_castz00_bglt BgL_nodez00_1989;
{ /* Trace/walk.scm 299 */
BgL_castz00_bglt BgL_auxz00_5369;
BgL_nodez00_1989 = 
(BgL_castz00_bglt)(BgL_nodez00_4125); 
{ /* Trace/walk.scm 299 */
BgL_nodez00_bglt BgL_arg3032z00_3351;
BgL_arg3032z00_3351 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1989))->BgL_argz00); 
{ /* Trace/walk.scm 299 */
BgL_nodez00_bglt BgL_res3171z00_3379;
{ /* Trace/walk.scm 299 */
obj_t BgL_method2750z00_3354;
{ /* Trace/walk.scm 299 */
long BgL_objzd2classzd2numz00_3356;
{ /* Trace/walk.scm 299 */
BgL_objectz00_bglt BgL_auxz00_5371;
BgL_auxz00_5371 = 
(BgL_objectz00_bglt)(BgL_arg3032z00_3351); 
BgL_objzd2classzd2numz00_3356 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5371); } 
{ /* Trace/walk.scm 299 */
obj_t BgL_arg1221z00_3357;
{ /* Trace/walk.scm 299 */
int BgL_auxz00_5374;
BgL_auxz00_5374 = 
(int)(((long)1)); 
BgL_arg1221z00_3357 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5374); } 
{ /* Trace/walk.scm 299 */
long BgL_offsetz00_3361;
{ /* Trace/walk.scm 299 */
long BgL_auxz00_5377;
{ /* Trace/walk.scm 299 */
int BgL_auxz00_5378;
BgL_auxz00_5378 = 
(int)(BgL_objzd2classzd2numz00_3356); 
BgL_auxz00_5377 = 
(long)(BgL_auxz00_5378); } 
BgL_offsetz00_3361 = 
(BgL_auxz00_5377-OBJECT_TYPE); } 
{ /* Trace/walk.scm 299 */
long BgL_modz00_3362;
{ /* Trace/walk.scm 299 */
long BgL_auxz00_5382;
{ /* Trace/walk.scm 299 */
int BgL_auxz00_5383;
BgL_auxz00_5383 = 
(int)(((long)8)); 
BgL_auxz00_5382 = 
(long)(BgL_auxz00_5383); } 
BgL_modz00_3362 = 
(BgL_offsetz00_3361/BgL_auxz00_5382); } 
{ /* Trace/walk.scm 299 */
long BgL_restz00_3364;
{ /* Trace/walk.scm 299 */
long BgL_auxz00_5387;
{ /* Trace/walk.scm 299 */
int BgL_auxz00_5388;
BgL_auxz00_5388 = 
(int)(((long)8)); 
BgL_auxz00_5387 = 
(long)(BgL_auxz00_5388); } 
BgL_restz00_3364 = 
(BgL_offsetz00_3361%BgL_auxz00_5387); } 
{ /* Trace/walk.scm 299 */

{ /* Trace/walk.scm 299 */
obj_t BgL_bucketz00_3366;
{ /* Trace/walk.scm 299 */
int BgL_kz00_3376;
BgL_kz00_3376 = 
(int)(BgL_modz00_3362); 
BgL_bucketz00_3366 = 
VECTOR_REF(BgL_arg1221z00_3357,BgL_kz00_3376); } 
{ /* Trace/walk.scm 299 */
int BgL_kz00_3378;
BgL_kz00_3378 = 
(int)(BgL_restz00_3364); 
BgL_method2750z00_3354 = 
VECTOR_REF(BgL_bucketz00_3366,BgL_kz00_3378); } } } } } } } } 
{ /* Trace/walk.scm 299 */
obj_t BgL_auxz00_5396;
BgL_auxz00_5396 = 
PROCEDURE_ENTRY(BgL_method2750z00_3354)(BgL_method2750z00_3354, 
(obj_t)(BgL_arg3032z00_3351), BEOA); 
BgL_res3171z00_3379 = 
(BgL_nodez00_bglt)(BgL_auxz00_5396); } } BgL_res3171z00_3379; } } 
BgL_auxz00_5369 = BgL_nodez00_1989; 
return 
(obj_t)(BgL_auxz00_5369);} } } 
}



/* trace-node-extern2760 */
obj_t BGl_tracezd2nodezd2extern2760z00zztrace_walkz00(obj_t BgL_envz00_4126, obj_t BgL_nodez00_4127)
{ AN_OBJECT;
{ /* Trace/walk.scm 291 */
{ 
BgL_externz00_bglt BgL_nodez00_1983;
{ /* Trace/walk.scm 292 */
BgL_externz00_bglt BgL_auxz00_5403;
BgL_nodez00_1983 = 
(BgL_externz00_bglt)(BgL_nodez00_4127); 
BGl_tracezd2nodeza2z12z62zztrace_walkz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1983))->BgL_exprza2za2)); 
BgL_auxz00_5403 = BgL_nodez00_1983; 
return 
(obj_t)(BgL_auxz00_5403);} } } 
}



/* trace-node-funcall2758 */
obj_t BGl_tracezd2nodezd2funcall2758z00zztrace_walkz00(obj_t BgL_envz00_4128, obj_t BgL_nodez00_4129)
{ AN_OBJECT;
{ /* Trace/walk.scm 282 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1974;
{ /* Trace/walk.scm 283 */
BgL_funcallz00_bglt BgL_auxz00_5408;
BgL_nodez00_1974 = 
(BgL_funcallz00_bglt)(BgL_nodez00_4129); 
{ /* Trace/walk.scm 284 */
BgL_nodez00_bglt BgL_arg3026z00_1978;
{ /* Trace/walk.scm 284 */
BgL_nodez00_bglt BgL_arg3027z00_1979;
BgL_arg3027z00_1979 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1974))->BgL_funz00); 
{ /* Trace/walk.scm 284 */
BgL_nodez00_bglt BgL_res3168z00_3345;
{ /* Trace/walk.scm 284 */
obj_t BgL_method2750z00_3320;
{ /* Trace/walk.scm 284 */
long BgL_objzd2classzd2numz00_3322;
{ /* Trace/walk.scm 284 */
BgL_objectz00_bglt BgL_auxz00_5410;
BgL_auxz00_5410 = 
(BgL_objectz00_bglt)(BgL_arg3027z00_1979); 
BgL_objzd2classzd2numz00_3322 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5410); } 
{ /* Trace/walk.scm 284 */
obj_t BgL_arg1221z00_3323;
{ /* Trace/walk.scm 284 */
int BgL_auxz00_5413;
BgL_auxz00_5413 = 
(int)(((long)1)); 
BgL_arg1221z00_3323 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5413); } 
{ /* Trace/walk.scm 284 */
long BgL_offsetz00_3327;
{ /* Trace/walk.scm 284 */
long BgL_auxz00_5416;
{ /* Trace/walk.scm 284 */
int BgL_auxz00_5417;
BgL_auxz00_5417 = 
(int)(BgL_objzd2classzd2numz00_3322); 
BgL_auxz00_5416 = 
(long)(BgL_auxz00_5417); } 
BgL_offsetz00_3327 = 
(BgL_auxz00_5416-OBJECT_TYPE); } 
{ /* Trace/walk.scm 284 */
long BgL_modz00_3328;
{ /* Trace/walk.scm 284 */
long BgL_auxz00_5421;
{ /* Trace/walk.scm 284 */
int BgL_auxz00_5422;
BgL_auxz00_5422 = 
(int)(((long)8)); 
BgL_auxz00_5421 = 
(long)(BgL_auxz00_5422); } 
BgL_modz00_3328 = 
(BgL_offsetz00_3327/BgL_auxz00_5421); } 
{ /* Trace/walk.scm 284 */
long BgL_restz00_3330;
{ /* Trace/walk.scm 284 */
long BgL_auxz00_5426;
{ /* Trace/walk.scm 284 */
int BgL_auxz00_5427;
BgL_auxz00_5427 = 
(int)(((long)8)); 
BgL_auxz00_5426 = 
(long)(BgL_auxz00_5427); } 
BgL_restz00_3330 = 
(BgL_offsetz00_3327%BgL_auxz00_5426); } 
{ /* Trace/walk.scm 284 */

{ /* Trace/walk.scm 284 */
obj_t BgL_bucketz00_3332;
{ /* Trace/walk.scm 284 */
int BgL_kz00_3342;
BgL_kz00_3342 = 
(int)(BgL_modz00_3328); 
BgL_bucketz00_3332 = 
VECTOR_REF(BgL_arg1221z00_3323,BgL_kz00_3342); } 
{ /* Trace/walk.scm 284 */
int BgL_kz00_3344;
BgL_kz00_3344 = 
(int)(BgL_restz00_3330); 
BgL_method2750z00_3320 = 
VECTOR_REF(BgL_bucketz00_3332,BgL_kz00_3344); } } } } } } } } 
{ /* Trace/walk.scm 284 */
obj_t BgL_auxz00_5435;
BgL_auxz00_5435 = 
PROCEDURE_ENTRY(BgL_method2750z00_3320)(BgL_method2750z00_3320, 
(obj_t)(BgL_arg3027z00_1979), BEOA); 
BgL_res3168z00_3345 = 
(BgL_nodez00_bglt)(BgL_auxz00_5435); } } 
BgL_arg3026z00_1978 = BgL_res3168z00_3345; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1974))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3026z00_1978), BUNSPEC); } 
BGl_tracezd2nodeza2z12z62zztrace_walkz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1974))->BgL_argsz00)); 
BgL_auxz00_5408 = BgL_nodez00_1974; 
return 
(obj_t)(BgL_auxz00_5408);} } } 
}



/* trace-node-app-ly2756 */
obj_t BGl_tracezd2nodezd2appzd2ly2756zd2zztrace_walkz00(obj_t BgL_envz00_4130, obj_t BgL_nodez00_4131)
{ AN_OBJECT;
{ /* Trace/walk.scm 273 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1964;
{ /* Trace/walk.scm 274 */
BgL_appzd2lyzd2_bglt BgL_auxz00_5445;
BgL_nodez00_1964 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_4131); 
{ /* Trace/walk.scm 275 */
BgL_nodez00_bglt BgL_arg3021z00_1968;
{ /* Trace/walk.scm 275 */
BgL_nodez00_bglt BgL_arg3022z00_1969;
BgL_arg3022z00_1969 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1964))->BgL_funz00); 
{ /* Trace/walk.scm 275 */
BgL_nodez00_bglt BgL_res3162z00_3285;
{ /* Trace/walk.scm 275 */
obj_t BgL_method2750z00_3260;
{ /* Trace/walk.scm 275 */
long BgL_objzd2classzd2numz00_3262;
{ /* Trace/walk.scm 275 */
BgL_objectz00_bglt BgL_auxz00_5447;
BgL_auxz00_5447 = 
(BgL_objectz00_bglt)(BgL_arg3022z00_1969); 
BgL_objzd2classzd2numz00_3262 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5447); } 
{ /* Trace/walk.scm 275 */
obj_t BgL_arg1221z00_3263;
{ /* Trace/walk.scm 275 */
int BgL_auxz00_5450;
BgL_auxz00_5450 = 
(int)(((long)1)); 
BgL_arg1221z00_3263 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5450); } 
{ /* Trace/walk.scm 275 */
long BgL_offsetz00_3267;
{ /* Trace/walk.scm 275 */
long BgL_auxz00_5453;
{ /* Trace/walk.scm 275 */
int BgL_auxz00_5454;
BgL_auxz00_5454 = 
(int)(BgL_objzd2classzd2numz00_3262); 
BgL_auxz00_5453 = 
(long)(BgL_auxz00_5454); } 
BgL_offsetz00_3267 = 
(BgL_auxz00_5453-OBJECT_TYPE); } 
{ /* Trace/walk.scm 275 */
long BgL_modz00_3268;
{ /* Trace/walk.scm 275 */
long BgL_auxz00_5458;
{ /* Trace/walk.scm 275 */
int BgL_auxz00_5459;
BgL_auxz00_5459 = 
(int)(((long)8)); 
BgL_auxz00_5458 = 
(long)(BgL_auxz00_5459); } 
BgL_modz00_3268 = 
(BgL_offsetz00_3267/BgL_auxz00_5458); } 
{ /* Trace/walk.scm 275 */
long BgL_restz00_3270;
{ /* Trace/walk.scm 275 */
long BgL_auxz00_5463;
{ /* Trace/walk.scm 275 */
int BgL_auxz00_5464;
BgL_auxz00_5464 = 
(int)(((long)8)); 
BgL_auxz00_5463 = 
(long)(BgL_auxz00_5464); } 
BgL_restz00_3270 = 
(BgL_offsetz00_3267%BgL_auxz00_5463); } 
{ /* Trace/walk.scm 275 */

{ /* Trace/walk.scm 275 */
obj_t BgL_bucketz00_3272;
{ /* Trace/walk.scm 275 */
int BgL_kz00_3282;
BgL_kz00_3282 = 
(int)(BgL_modz00_3268); 
BgL_bucketz00_3272 = 
VECTOR_REF(BgL_arg1221z00_3263,BgL_kz00_3282); } 
{ /* Trace/walk.scm 275 */
int BgL_kz00_3284;
BgL_kz00_3284 = 
(int)(BgL_restz00_3270); 
BgL_method2750z00_3260 = 
VECTOR_REF(BgL_bucketz00_3272,BgL_kz00_3284); } } } } } } } } 
{ /* Trace/walk.scm 275 */
obj_t BgL_auxz00_5472;
BgL_auxz00_5472 = 
PROCEDURE_ENTRY(BgL_method2750z00_3260)(BgL_method2750z00_3260, 
(obj_t)(BgL_arg3022z00_1969), BEOA); 
BgL_res3162z00_3285 = 
(BgL_nodez00_bglt)(BgL_auxz00_5472); } } 
BgL_arg3021z00_1968 = BgL_res3162z00_3285; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1964))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3021z00_1968), BUNSPEC); } 
{ /* Trace/walk.scm 276 */
BgL_nodez00_bglt BgL_arg3023z00_1970;
{ /* Trace/walk.scm 276 */
BgL_nodez00_bglt BgL_arg3024z00_1971;
BgL_arg3024z00_1971 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1964))->BgL_argz00); 
{ /* Trace/walk.scm 276 */
BgL_nodez00_bglt BgL_res3165z00_3315;
{ /* Trace/walk.scm 276 */
obj_t BgL_method2750z00_3290;
{ /* Trace/walk.scm 276 */
long BgL_objzd2classzd2numz00_3292;
{ /* Trace/walk.scm 276 */
BgL_objectz00_bglt BgL_auxz00_5479;
BgL_auxz00_5479 = 
(BgL_objectz00_bglt)(BgL_arg3024z00_1971); 
BgL_objzd2classzd2numz00_3292 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5479); } 
{ /* Trace/walk.scm 276 */
obj_t BgL_arg1221z00_3293;
{ /* Trace/walk.scm 276 */
int BgL_auxz00_5482;
BgL_auxz00_5482 = 
(int)(((long)1)); 
BgL_arg1221z00_3293 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_5482); } 
{ /* Trace/walk.scm 276 */
long BgL_offsetz00_3297;
{ /* Trace/walk.scm 276 */
long BgL_auxz00_5485;
{ /* Trace/walk.scm 276 */
int BgL_auxz00_5486;
BgL_auxz00_5486 = 
(int)(BgL_objzd2classzd2numz00_3292); 
BgL_auxz00_5485 = 
(long)(BgL_auxz00_5486); } 
BgL_offsetz00_3297 = 
(BgL_auxz00_5485-OBJECT_TYPE); } 
{ /* Trace/walk.scm 276 */
long BgL_modz00_3298;
{ /* Trace/walk.scm 276 */
long BgL_auxz00_5490;
{ /* Trace/walk.scm 276 */
int BgL_auxz00_5491;
BgL_auxz00_5491 = 
(int)(((long)8)); 
BgL_auxz00_5490 = 
(long)(BgL_auxz00_5491); } 
BgL_modz00_3298 = 
(BgL_offsetz00_3297/BgL_auxz00_5490); } 
{ /* Trace/walk.scm 276 */
long BgL_restz00_3300;
{ /* Trace/walk.scm 276 */
long BgL_auxz00_5495;
{ /* Trace/walk.scm 276 */
int BgL_auxz00_5496;
BgL_auxz00_5496 = 
(int)(((long)8)); 
BgL_auxz00_5495 = 
(long)(BgL_auxz00_5496); } 
BgL_restz00_3300 = 
(BgL_offsetz00_3297%BgL_auxz00_5495); } 
{ /* Trace/walk.scm 276 */

{ /* Trace/walk.scm 276 */
obj_t BgL_bucketz00_3302;
{ /* Trace/walk.scm 276 */
int BgL_kz00_3312;
BgL_kz00_3312 = 
(int)(BgL_modz00_3298); 
BgL_bucketz00_3302 = 
VECTOR_REF(BgL_arg1221z00_3293,BgL_kz00_3312); } 
{ /* Trace/walk.scm 276 */
int BgL_kz00_3314;
BgL_kz00_3314 = 
(int)(BgL_restz00_3300); 
BgL_method2750z00_3290 = 
VECTOR_REF(BgL_bucketz00_3302,BgL_kz00_3314); } } } } } } } } 
{ /* Trace/walk.scm 276 */
obj_t BgL_auxz00_5504;
BgL_auxz00_5504 = 
PROCEDURE_ENTRY(BgL_method2750z00_3290)(BgL_method2750z00_3290, 
(obj_t)(BgL_arg3024z00_1971), BEOA); 
BgL_res3165z00_3315 = 
(BgL_nodez00_bglt)(BgL_auxz00_5504); } } 
BgL_arg3023z00_1970 = BgL_res3165z00_3315; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1964))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3023z00_1970), BUNSPEC); } 
BgL_auxz00_5445 = BgL_nodez00_1964; 
return 
(obj_t)(BgL_auxz00_5445);} } } 
}



/* trace-node-app2754 */
obj_t BGl_tracezd2nodezd2app2754z00zztrace_walkz00(obj_t BgL_envz00_4132, obj_t BgL_nodez00_4133)
{ AN_OBJECT;
{ /* Trace/walk.scm 266 */
{ 
BgL_appz00_bglt BgL_nodez00_1958;
{ /* Trace/walk.scm 267 */
BgL_appz00_bglt BgL_auxz00_5512;
BgL_nodez00_1958 = 
(BgL_appz00_bglt)(BgL_nodez00_4133); 
BGl_tracezd2nodeza2z12z62zztrace_walkz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1958))->BgL_argsz00)); 
BgL_auxz00_5512 = BgL_nodez00_1958; 
return 
(obj_t)(BgL_auxz00_5512);} } } 
}



/* trace-node-sequence2752 */
obj_t BGl_tracezd2nodezd2sequence2752z00zztrace_walkz00(obj_t BgL_envz00_4134, obj_t BgL_nodez00_4135)
{ AN_OBJECT;
{ /* Trace/walk.scm 259 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1952;
{ /* Trace/walk.scm 260 */
BgL_sequencez00_bglt BgL_auxz00_5517;
BgL_nodez00_1952 = 
(BgL_sequencez00_bglt)(BgL_nodez00_4135); 
BGl_tracezd2nodeza2z12z62zztrace_walkz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1952))->BgL_nodesz00)); 
BgL_auxz00_5517 = BgL_nodez00_1952; 
return 
(obj_t)(BgL_auxz00_5517);} } } 
}



/* find-last-node-jump-ex-it2748 */
obj_t BGl_findzd2lastzd2nodezd2jumpzd2exzd2it2748zd2zztrace_walkz00(obj_t BgL_envz00_4136, obj_t BgL_nodez00_4137)
{ AN_OBJECT;
{ /* Trace/walk.scm 219 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1946;
BgL_nodez00_1946 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_4137); 
{ /* Trace/walk.scm 220 */
BgL_nodez00_bglt BgL_arg3015z00_3226;
BgL_arg3015z00_3226 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1946))->BgL_valuez00); 
{ /* Trace/walk.scm 220 */
obj_t BgL_method2721z00_3229;
{ /* Trace/walk.scm 220 */
long BgL_objzd2classzd2numz00_3231;
{ /* Trace/walk.scm 220 */
BgL_objectz00_bglt BgL_auxz00_5523;
BgL_auxz00_5523 = 
(BgL_objectz00_bglt)(BgL_arg3015z00_3226); 
BgL_objzd2classzd2numz00_3231 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5523); } 
{ /* Trace/walk.scm 220 */
obj_t BgL_arg1221z00_3232;
{ /* Trace/walk.scm 220 */
int BgL_auxz00_5526;
BgL_auxz00_5526 = 
(int)(((long)1)); 
BgL_arg1221z00_3232 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5526); } 
{ /* Trace/walk.scm 220 */
long BgL_offsetz00_3236;
{ /* Trace/walk.scm 220 */
long BgL_auxz00_5529;
{ /* Trace/walk.scm 220 */
int BgL_auxz00_5530;
BgL_auxz00_5530 = 
(int)(BgL_objzd2classzd2numz00_3231); 
BgL_auxz00_5529 = 
(long)(BgL_auxz00_5530); } 
BgL_offsetz00_3236 = 
(BgL_auxz00_5529-OBJECT_TYPE); } 
{ /* Trace/walk.scm 220 */
long BgL_modz00_3237;
{ /* Trace/walk.scm 220 */
long BgL_auxz00_5534;
{ /* Trace/walk.scm 220 */
int BgL_auxz00_5535;
BgL_auxz00_5535 = 
(int)(((long)8)); 
BgL_auxz00_5534 = 
(long)(BgL_auxz00_5535); } 
BgL_modz00_3237 = 
(BgL_offsetz00_3236/BgL_auxz00_5534); } 
{ /* Trace/walk.scm 220 */
long BgL_restz00_3239;
{ /* Trace/walk.scm 220 */
long BgL_auxz00_5539;
{ /* Trace/walk.scm 220 */
int BgL_auxz00_5540;
BgL_auxz00_5540 = 
(int)(((long)8)); 
BgL_auxz00_5539 = 
(long)(BgL_auxz00_5540); } 
BgL_restz00_3239 = 
(BgL_offsetz00_3236%BgL_auxz00_5539); } 
{ /* Trace/walk.scm 220 */

{ /* Trace/walk.scm 220 */
obj_t BgL_bucketz00_3241;
{ /* Trace/walk.scm 220 */
int BgL_kz00_3251;
BgL_kz00_3251 = 
(int)(BgL_modz00_3237); 
BgL_bucketz00_3241 = 
VECTOR_REF(BgL_arg1221z00_3232,BgL_kz00_3251); } 
{ /* Trace/walk.scm 220 */
int BgL_kz00_3253;
BgL_kz00_3253 = 
(int)(BgL_restz00_3239); 
BgL_method2721z00_3229 = 
VECTOR_REF(BgL_bucketz00_3241,BgL_kz00_3253); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3229)(BgL_method2721z00_3229, 
(obj_t)(BgL_arg3015z00_3226), BEOA);} } } } 
}



/* find-last-node-set-ex-it2746 */
obj_t BGl_findzd2lastzd2nodezd2setzd2exzd2it2746zd2zztrace_walkz00(obj_t BgL_envz00_4138, obj_t BgL_nodez00_4139)
{ AN_OBJECT;
{ /* Trace/walk.scm 213 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1940;
BgL_nodez00_1940 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_4139); 
{ /* Trace/walk.scm 214 */
BgL_nodez00_bglt BgL_arg3013z00_3198;
BgL_arg3013z00_3198 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1940))->BgL_bodyz00); 
{ /* Trace/walk.scm 214 */
obj_t BgL_method2721z00_3201;
{ /* Trace/walk.scm 214 */
long BgL_objzd2classzd2numz00_3203;
{ /* Trace/walk.scm 214 */
BgL_objectz00_bglt BgL_auxz00_5553;
BgL_auxz00_5553 = 
(BgL_objectz00_bglt)(BgL_arg3013z00_3198); 
BgL_objzd2classzd2numz00_3203 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5553); } 
{ /* Trace/walk.scm 214 */
obj_t BgL_arg1221z00_3204;
{ /* Trace/walk.scm 214 */
int BgL_auxz00_5556;
BgL_auxz00_5556 = 
(int)(((long)1)); 
BgL_arg1221z00_3204 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5556); } 
{ /* Trace/walk.scm 214 */
long BgL_offsetz00_3208;
{ /* Trace/walk.scm 214 */
long BgL_auxz00_5559;
{ /* Trace/walk.scm 214 */
int BgL_auxz00_5560;
BgL_auxz00_5560 = 
(int)(BgL_objzd2classzd2numz00_3203); 
BgL_auxz00_5559 = 
(long)(BgL_auxz00_5560); } 
BgL_offsetz00_3208 = 
(BgL_auxz00_5559-OBJECT_TYPE); } 
{ /* Trace/walk.scm 214 */
long BgL_modz00_3209;
{ /* Trace/walk.scm 214 */
long BgL_auxz00_5564;
{ /* Trace/walk.scm 214 */
int BgL_auxz00_5565;
BgL_auxz00_5565 = 
(int)(((long)8)); 
BgL_auxz00_5564 = 
(long)(BgL_auxz00_5565); } 
BgL_modz00_3209 = 
(BgL_offsetz00_3208/BgL_auxz00_5564); } 
{ /* Trace/walk.scm 214 */
long BgL_restz00_3211;
{ /* Trace/walk.scm 214 */
long BgL_auxz00_5569;
{ /* Trace/walk.scm 214 */
int BgL_auxz00_5570;
BgL_auxz00_5570 = 
(int)(((long)8)); 
BgL_auxz00_5569 = 
(long)(BgL_auxz00_5570); } 
BgL_restz00_3211 = 
(BgL_offsetz00_3208%BgL_auxz00_5569); } 
{ /* Trace/walk.scm 214 */

{ /* Trace/walk.scm 214 */
obj_t BgL_bucketz00_3213;
{ /* Trace/walk.scm 214 */
int BgL_kz00_3223;
BgL_kz00_3223 = 
(int)(BgL_modz00_3209); 
BgL_bucketz00_3213 = 
VECTOR_REF(BgL_arg1221z00_3204,BgL_kz00_3223); } 
{ /* Trace/walk.scm 214 */
int BgL_kz00_3225;
BgL_kz00_3225 = 
(int)(BgL_restz00_3211); 
BgL_method2721z00_3201 = 
VECTOR_REF(BgL_bucketz00_3213,BgL_kz00_3225); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3201)(BgL_method2721z00_3201, 
(obj_t)(BgL_arg3013z00_3198), BEOA);} } } } 
}



/* find-last-node-let-fun2744 */
obj_t BGl_findzd2lastzd2nodezd2letzd2fun2744z00zztrace_walkz00(obj_t BgL_envz00_4140, obj_t BgL_nodez00_4141)
{ AN_OBJECT;
{ /* Trace/walk.scm 207 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1934;
BgL_nodez00_1934 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_4141); 
{ /* Trace/walk.scm 208 */
BgL_nodez00_bglt BgL_arg3011z00_3170;
BgL_arg3011z00_3170 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1934))->BgL_bodyz00); 
{ /* Trace/walk.scm 208 */
obj_t BgL_method2721z00_3173;
{ /* Trace/walk.scm 208 */
long BgL_objzd2classzd2numz00_3175;
{ /* Trace/walk.scm 208 */
BgL_objectz00_bglt BgL_auxz00_5583;
BgL_auxz00_5583 = 
(BgL_objectz00_bglt)(BgL_arg3011z00_3170); 
BgL_objzd2classzd2numz00_3175 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5583); } 
{ /* Trace/walk.scm 208 */
obj_t BgL_arg1221z00_3176;
{ /* Trace/walk.scm 208 */
int BgL_auxz00_5586;
BgL_auxz00_5586 = 
(int)(((long)1)); 
BgL_arg1221z00_3176 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5586); } 
{ /* Trace/walk.scm 208 */
long BgL_offsetz00_3180;
{ /* Trace/walk.scm 208 */
long BgL_auxz00_5589;
{ /* Trace/walk.scm 208 */
int BgL_auxz00_5590;
BgL_auxz00_5590 = 
(int)(BgL_objzd2classzd2numz00_3175); 
BgL_auxz00_5589 = 
(long)(BgL_auxz00_5590); } 
BgL_offsetz00_3180 = 
(BgL_auxz00_5589-OBJECT_TYPE); } 
{ /* Trace/walk.scm 208 */
long BgL_modz00_3181;
{ /* Trace/walk.scm 208 */
long BgL_auxz00_5594;
{ /* Trace/walk.scm 208 */
int BgL_auxz00_5595;
BgL_auxz00_5595 = 
(int)(((long)8)); 
BgL_auxz00_5594 = 
(long)(BgL_auxz00_5595); } 
BgL_modz00_3181 = 
(BgL_offsetz00_3180/BgL_auxz00_5594); } 
{ /* Trace/walk.scm 208 */
long BgL_restz00_3183;
{ /* Trace/walk.scm 208 */
long BgL_auxz00_5599;
{ /* Trace/walk.scm 208 */
int BgL_auxz00_5600;
BgL_auxz00_5600 = 
(int)(((long)8)); 
BgL_auxz00_5599 = 
(long)(BgL_auxz00_5600); } 
BgL_restz00_3183 = 
(BgL_offsetz00_3180%BgL_auxz00_5599); } 
{ /* Trace/walk.scm 208 */

{ /* Trace/walk.scm 208 */
obj_t BgL_bucketz00_3185;
{ /* Trace/walk.scm 208 */
int BgL_kz00_3195;
BgL_kz00_3195 = 
(int)(BgL_modz00_3181); 
BgL_bucketz00_3185 = 
VECTOR_REF(BgL_arg1221z00_3176,BgL_kz00_3195); } 
{ /* Trace/walk.scm 208 */
int BgL_kz00_3197;
BgL_kz00_3197 = 
(int)(BgL_restz00_3183); 
BgL_method2721z00_3173 = 
VECTOR_REF(BgL_bucketz00_3185,BgL_kz00_3197); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3173)(BgL_method2721z00_3173, 
(obj_t)(BgL_arg3011z00_3170), BEOA);} } } } 
}



/* find-last-node-let-var2742 */
obj_t BGl_findzd2lastzd2nodezd2letzd2var2742z00zztrace_walkz00(obj_t BgL_envz00_4142, obj_t BgL_nodez00_4143)
{ AN_OBJECT;
{ /* Trace/walk.scm 201 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1928;
BgL_nodez00_1928 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_4143); 
{ /* Trace/walk.scm 202 */
BgL_nodez00_bglt BgL_arg3009z00_3142;
BgL_arg3009z00_3142 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1928))->BgL_bodyz00); 
{ /* Trace/walk.scm 202 */
obj_t BgL_method2721z00_3145;
{ /* Trace/walk.scm 202 */
long BgL_objzd2classzd2numz00_3147;
{ /* Trace/walk.scm 202 */
BgL_objectz00_bglt BgL_auxz00_5613;
BgL_auxz00_5613 = 
(BgL_objectz00_bglt)(BgL_arg3009z00_3142); 
BgL_objzd2classzd2numz00_3147 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5613); } 
{ /* Trace/walk.scm 202 */
obj_t BgL_arg1221z00_3148;
{ /* Trace/walk.scm 202 */
int BgL_auxz00_5616;
BgL_auxz00_5616 = 
(int)(((long)1)); 
BgL_arg1221z00_3148 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5616); } 
{ /* Trace/walk.scm 202 */
long BgL_offsetz00_3152;
{ /* Trace/walk.scm 202 */
long BgL_auxz00_5619;
{ /* Trace/walk.scm 202 */
int BgL_auxz00_5620;
BgL_auxz00_5620 = 
(int)(BgL_objzd2classzd2numz00_3147); 
BgL_auxz00_5619 = 
(long)(BgL_auxz00_5620); } 
BgL_offsetz00_3152 = 
(BgL_auxz00_5619-OBJECT_TYPE); } 
{ /* Trace/walk.scm 202 */
long BgL_modz00_3153;
{ /* Trace/walk.scm 202 */
long BgL_auxz00_5624;
{ /* Trace/walk.scm 202 */
int BgL_auxz00_5625;
BgL_auxz00_5625 = 
(int)(((long)8)); 
BgL_auxz00_5624 = 
(long)(BgL_auxz00_5625); } 
BgL_modz00_3153 = 
(BgL_offsetz00_3152/BgL_auxz00_5624); } 
{ /* Trace/walk.scm 202 */
long BgL_restz00_3155;
{ /* Trace/walk.scm 202 */
long BgL_auxz00_5629;
{ /* Trace/walk.scm 202 */
int BgL_auxz00_5630;
BgL_auxz00_5630 = 
(int)(((long)8)); 
BgL_auxz00_5629 = 
(long)(BgL_auxz00_5630); } 
BgL_restz00_3155 = 
(BgL_offsetz00_3152%BgL_auxz00_5629); } 
{ /* Trace/walk.scm 202 */

{ /* Trace/walk.scm 202 */
obj_t BgL_bucketz00_3157;
{ /* Trace/walk.scm 202 */
int BgL_kz00_3167;
BgL_kz00_3167 = 
(int)(BgL_modz00_3153); 
BgL_bucketz00_3157 = 
VECTOR_REF(BgL_arg1221z00_3148,BgL_kz00_3167); } 
{ /* Trace/walk.scm 202 */
int BgL_kz00_3169;
BgL_kz00_3169 = 
(int)(BgL_restz00_3155); 
BgL_method2721z00_3145 = 
VECTOR_REF(BgL_bucketz00_3157,BgL_kz00_3169); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3145)(BgL_method2721z00_3145, 
(obj_t)(BgL_arg3009z00_3142), BEOA);} } } } 
}



/* find-last-node-select2740 */
obj_t BGl_findzd2lastzd2nodezd2select2740zd2zztrace_walkz00(obj_t BgL_envz00_4144, obj_t BgL_nodez00_4145)
{ AN_OBJECT;
{ /* Trace/walk.scm 192 */
{ 
BgL_selectz00_bglt BgL_nodez00_1916;
BgL_nodez00_1916 = 
(BgL_selectz00_bglt)(BgL_nodez00_4145); 
{ /* Trace/walk.scm 194 */
bool_t BgL_testz00_5642;
{ /* Trace/walk.scm 194 */
obj_t BgL_auxz00_5643;
BgL_auxz00_5643 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1916))->BgL_clausesz00); 
BgL_testz00_5642 = 
PAIRP(BgL_auxz00_5643); } 
if(BgL_testz00_5642)
{ /* Trace/walk.scm 195 */
BgL_nodez00_bglt BgL_nodez00_3115;
{ /* Trace/walk.scm 195 */
obj_t BgL_auxz00_5646;
{ /* Trace/walk.scm 195 */
obj_t BgL_auxz00_5647;
BgL_auxz00_5647 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1916))->BgL_clausesz00)); 
BgL_auxz00_5646 = 
CDR(BgL_auxz00_5647); } 
BgL_nodez00_3115 = 
(BgL_nodez00_bglt)(BgL_auxz00_5646); } 
{ /* Trace/walk.scm 195 */
obj_t BgL_method2721z00_3116;
{ /* Trace/walk.scm 195 */
long BgL_objzd2classzd2numz00_3118;
{ /* Trace/walk.scm 195 */
BgL_objectz00_bglt BgL_auxz00_5652;
BgL_auxz00_5652 = 
(BgL_objectz00_bglt)(BgL_nodez00_3115); 
BgL_objzd2classzd2numz00_3118 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5652); } 
{ /* Trace/walk.scm 195 */
obj_t BgL_arg1221z00_3119;
{ /* Trace/walk.scm 195 */
int BgL_auxz00_5655;
BgL_auxz00_5655 = 
(int)(((long)1)); 
BgL_arg1221z00_3119 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5655); } 
{ /* Trace/walk.scm 195 */
long BgL_offsetz00_3123;
{ /* Trace/walk.scm 195 */
long BgL_auxz00_5658;
{ /* Trace/walk.scm 195 */
int BgL_auxz00_5659;
BgL_auxz00_5659 = 
(int)(BgL_objzd2classzd2numz00_3118); 
BgL_auxz00_5658 = 
(long)(BgL_auxz00_5659); } 
BgL_offsetz00_3123 = 
(BgL_auxz00_5658-OBJECT_TYPE); } 
{ /* Trace/walk.scm 195 */
long BgL_modz00_3124;
{ /* Trace/walk.scm 195 */
long BgL_auxz00_5663;
{ /* Trace/walk.scm 195 */
int BgL_auxz00_5664;
BgL_auxz00_5664 = 
(int)(((long)8)); 
BgL_auxz00_5663 = 
(long)(BgL_auxz00_5664); } 
BgL_modz00_3124 = 
(BgL_offsetz00_3123/BgL_auxz00_5663); } 
{ /* Trace/walk.scm 195 */
long BgL_restz00_3126;
{ /* Trace/walk.scm 195 */
long BgL_auxz00_5668;
{ /* Trace/walk.scm 195 */
int BgL_auxz00_5669;
BgL_auxz00_5669 = 
(int)(((long)8)); 
BgL_auxz00_5668 = 
(long)(BgL_auxz00_5669); } 
BgL_restz00_3126 = 
(BgL_offsetz00_3123%BgL_auxz00_5668); } 
{ /* Trace/walk.scm 195 */

{ /* Trace/walk.scm 195 */
obj_t BgL_bucketz00_3128;
{ /* Trace/walk.scm 195 */
int BgL_kz00_3138;
BgL_kz00_3138 = 
(int)(BgL_modz00_3124); 
BgL_bucketz00_3128 = 
VECTOR_REF(BgL_arg1221z00_3119,BgL_kz00_3138); } 
{ /* Trace/walk.scm 195 */
int BgL_kz00_3140;
BgL_kz00_3140 = 
(int)(BgL_restz00_3126); 
BgL_method2721z00_3116 = 
VECTOR_REF(BgL_bucketz00_3128,BgL_kz00_3140); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3116)(BgL_method2721z00_3116, 
(obj_t)(BgL_nodez00_3115), BEOA);} }  else 
{ /* Trace/walk.scm 196 */
obj_t BgL_auxz00_5680;
{ /* Trace/walk.scm 196 */
BgL_nodez00_bglt BgL_auxz00_5681;
BgL_auxz00_5681 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1916))->BgL_testz00); 
BgL_auxz00_5680 = 
(obj_t)(BgL_auxz00_5681); } 
return 
BGl_findzd2lastzd2sexpz00zztrace_walkz00(BgL_auxz00_5680);} } } } 
}



/* find-last-node-fail2738 */
obj_t BGl_findzd2lastzd2nodezd2fail2738zd2zztrace_walkz00(obj_t BgL_envz00_4146, obj_t BgL_nodez00_4147)
{ AN_OBJECT;
{ /* Trace/walk.scm 186 */
{ 
BgL_failz00_bglt BgL_nodez00_1910;
BgL_nodez00_1910 = 
(BgL_failz00_bglt)(BgL_nodez00_4147); 
{ /* Trace/walk.scm 187 */
BgL_nodez00_bglt BgL_arg3000z00_3083;
BgL_arg3000z00_3083 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1910))->BgL_objz00); 
{ /* Trace/walk.scm 187 */
obj_t BgL_method2721z00_3086;
{ /* Trace/walk.scm 187 */
long BgL_objzd2classzd2numz00_3088;
{ /* Trace/walk.scm 187 */
BgL_objectz00_bglt BgL_auxz00_5687;
BgL_auxz00_5687 = 
(BgL_objectz00_bglt)(BgL_arg3000z00_3083); 
BgL_objzd2classzd2numz00_3088 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5687); } 
{ /* Trace/walk.scm 187 */
obj_t BgL_arg1221z00_3089;
{ /* Trace/walk.scm 187 */
int BgL_auxz00_5690;
BgL_auxz00_5690 = 
(int)(((long)1)); 
BgL_arg1221z00_3089 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5690); } 
{ /* Trace/walk.scm 187 */
long BgL_offsetz00_3093;
{ /* Trace/walk.scm 187 */
long BgL_auxz00_5693;
{ /* Trace/walk.scm 187 */
int BgL_auxz00_5694;
BgL_auxz00_5694 = 
(int)(BgL_objzd2classzd2numz00_3088); 
BgL_auxz00_5693 = 
(long)(BgL_auxz00_5694); } 
BgL_offsetz00_3093 = 
(BgL_auxz00_5693-OBJECT_TYPE); } 
{ /* Trace/walk.scm 187 */
long BgL_modz00_3094;
{ /* Trace/walk.scm 187 */
long BgL_auxz00_5698;
{ /* Trace/walk.scm 187 */
int BgL_auxz00_5699;
BgL_auxz00_5699 = 
(int)(((long)8)); 
BgL_auxz00_5698 = 
(long)(BgL_auxz00_5699); } 
BgL_modz00_3094 = 
(BgL_offsetz00_3093/BgL_auxz00_5698); } 
{ /* Trace/walk.scm 187 */
long BgL_restz00_3096;
{ /* Trace/walk.scm 187 */
long BgL_auxz00_5703;
{ /* Trace/walk.scm 187 */
int BgL_auxz00_5704;
BgL_auxz00_5704 = 
(int)(((long)8)); 
BgL_auxz00_5703 = 
(long)(BgL_auxz00_5704); } 
BgL_restz00_3096 = 
(BgL_offsetz00_3093%BgL_auxz00_5703); } 
{ /* Trace/walk.scm 187 */

{ /* Trace/walk.scm 187 */
obj_t BgL_bucketz00_3098;
{ /* Trace/walk.scm 187 */
int BgL_kz00_3108;
BgL_kz00_3108 = 
(int)(BgL_modz00_3094); 
BgL_bucketz00_3098 = 
VECTOR_REF(BgL_arg1221z00_3089,BgL_kz00_3108); } 
{ /* Trace/walk.scm 187 */
int BgL_kz00_3110;
BgL_kz00_3110 = 
(int)(BgL_restz00_3096); 
BgL_method2721z00_3086 = 
VECTOR_REF(BgL_bucketz00_3098,BgL_kz00_3110); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3086)(BgL_method2721z00_3086, 
(obj_t)(BgL_arg3000z00_3083), BEOA);} } } } 
}



/* find-last-node-conditional2736 */
obj_t BGl_findzd2lastzd2nodezd2conditional2736zd2zztrace_walkz00(obj_t BgL_envz00_4148, obj_t BgL_nodez00_4149)
{ AN_OBJECT;
{ /* Trace/walk.scm 180 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1904;
BgL_nodez00_1904 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_4149); 
{ /* Trace/walk.scm 181 */
BgL_nodez00_bglt BgL_arg2998z00_3055;
BgL_arg2998z00_3055 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1904))->BgL_falsez00); 
{ /* Trace/walk.scm 181 */
obj_t BgL_method2721z00_3058;
{ /* Trace/walk.scm 181 */
long BgL_objzd2classzd2numz00_3060;
{ /* Trace/walk.scm 181 */
BgL_objectz00_bglt BgL_auxz00_5717;
BgL_auxz00_5717 = 
(BgL_objectz00_bglt)(BgL_arg2998z00_3055); 
BgL_objzd2classzd2numz00_3060 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5717); } 
{ /* Trace/walk.scm 181 */
obj_t BgL_arg1221z00_3061;
{ /* Trace/walk.scm 181 */
int BgL_auxz00_5720;
BgL_auxz00_5720 = 
(int)(((long)1)); 
BgL_arg1221z00_3061 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5720); } 
{ /* Trace/walk.scm 181 */
long BgL_offsetz00_3065;
{ /* Trace/walk.scm 181 */
long BgL_auxz00_5723;
{ /* Trace/walk.scm 181 */
int BgL_auxz00_5724;
BgL_auxz00_5724 = 
(int)(BgL_objzd2classzd2numz00_3060); 
BgL_auxz00_5723 = 
(long)(BgL_auxz00_5724); } 
BgL_offsetz00_3065 = 
(BgL_auxz00_5723-OBJECT_TYPE); } 
{ /* Trace/walk.scm 181 */
long BgL_modz00_3066;
{ /* Trace/walk.scm 181 */
long BgL_auxz00_5728;
{ /* Trace/walk.scm 181 */
int BgL_auxz00_5729;
BgL_auxz00_5729 = 
(int)(((long)8)); 
BgL_auxz00_5728 = 
(long)(BgL_auxz00_5729); } 
BgL_modz00_3066 = 
(BgL_offsetz00_3065/BgL_auxz00_5728); } 
{ /* Trace/walk.scm 181 */
long BgL_restz00_3068;
{ /* Trace/walk.scm 181 */
long BgL_auxz00_5733;
{ /* Trace/walk.scm 181 */
int BgL_auxz00_5734;
BgL_auxz00_5734 = 
(int)(((long)8)); 
BgL_auxz00_5733 = 
(long)(BgL_auxz00_5734); } 
BgL_restz00_3068 = 
(BgL_offsetz00_3065%BgL_auxz00_5733); } 
{ /* Trace/walk.scm 181 */

{ /* Trace/walk.scm 181 */
obj_t BgL_bucketz00_3070;
{ /* Trace/walk.scm 181 */
int BgL_kz00_3080;
BgL_kz00_3080 = 
(int)(BgL_modz00_3066); 
BgL_bucketz00_3070 = 
VECTOR_REF(BgL_arg1221z00_3061,BgL_kz00_3080); } 
{ /* Trace/walk.scm 181 */
int BgL_kz00_3082;
BgL_kz00_3082 = 
(int)(BgL_restz00_3068); 
BgL_method2721z00_3058 = 
VECTOR_REF(BgL_bucketz00_3070,BgL_kz00_3082); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3058)(BgL_method2721z00_3058, 
(obj_t)(BgL_arg2998z00_3055), BEOA);} } } } 
}



/* find-last-node-setq2734 */
obj_t BGl_findzd2lastzd2nodezd2setq2734zd2zztrace_walkz00(obj_t BgL_envz00_4150, obj_t BgL_nodez00_4151)
{ AN_OBJECT;
{ /* Trace/walk.scm 174 */
{ 
BgL_setqz00_bglt BgL_nodez00_1898;
BgL_nodez00_1898 = 
(BgL_setqz00_bglt)(BgL_nodez00_4151); 
{ /* Trace/walk.scm 175 */
BgL_nodez00_bglt BgL_arg2996z00_3027;
BgL_arg2996z00_3027 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1898))->BgL_valuez00); 
{ /* Trace/walk.scm 175 */
obj_t BgL_method2721z00_3030;
{ /* Trace/walk.scm 175 */
long BgL_objzd2classzd2numz00_3032;
{ /* Trace/walk.scm 175 */
BgL_objectz00_bglt BgL_auxz00_5747;
BgL_auxz00_5747 = 
(BgL_objectz00_bglt)(BgL_arg2996z00_3027); 
BgL_objzd2classzd2numz00_3032 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5747); } 
{ /* Trace/walk.scm 175 */
obj_t BgL_arg1221z00_3033;
{ /* Trace/walk.scm 175 */
int BgL_auxz00_5750;
BgL_auxz00_5750 = 
(int)(((long)1)); 
BgL_arg1221z00_3033 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5750); } 
{ /* Trace/walk.scm 175 */
long BgL_offsetz00_3037;
{ /* Trace/walk.scm 175 */
long BgL_auxz00_5753;
{ /* Trace/walk.scm 175 */
int BgL_auxz00_5754;
BgL_auxz00_5754 = 
(int)(BgL_objzd2classzd2numz00_3032); 
BgL_auxz00_5753 = 
(long)(BgL_auxz00_5754); } 
BgL_offsetz00_3037 = 
(BgL_auxz00_5753-OBJECT_TYPE); } 
{ /* Trace/walk.scm 175 */
long BgL_modz00_3038;
{ /* Trace/walk.scm 175 */
long BgL_auxz00_5758;
{ /* Trace/walk.scm 175 */
int BgL_auxz00_5759;
BgL_auxz00_5759 = 
(int)(((long)8)); 
BgL_auxz00_5758 = 
(long)(BgL_auxz00_5759); } 
BgL_modz00_3038 = 
(BgL_offsetz00_3037/BgL_auxz00_5758); } 
{ /* Trace/walk.scm 175 */
long BgL_restz00_3040;
{ /* Trace/walk.scm 175 */
long BgL_auxz00_5763;
{ /* Trace/walk.scm 175 */
int BgL_auxz00_5764;
BgL_auxz00_5764 = 
(int)(((long)8)); 
BgL_auxz00_5763 = 
(long)(BgL_auxz00_5764); } 
BgL_restz00_3040 = 
(BgL_offsetz00_3037%BgL_auxz00_5763); } 
{ /* Trace/walk.scm 175 */

{ /* Trace/walk.scm 175 */
obj_t BgL_bucketz00_3042;
{ /* Trace/walk.scm 175 */
int BgL_kz00_3052;
BgL_kz00_3052 = 
(int)(BgL_modz00_3038); 
BgL_bucketz00_3042 = 
VECTOR_REF(BgL_arg1221z00_3033,BgL_kz00_3052); } 
{ /* Trace/walk.scm 175 */
int BgL_kz00_3054;
BgL_kz00_3054 = 
(int)(BgL_restz00_3040); 
BgL_method2721z00_3030 = 
VECTOR_REF(BgL_bucketz00_3042,BgL_kz00_3054); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3030)(BgL_method2721z00_3030, 
(obj_t)(BgL_arg2996z00_3027), BEOA);} } } } 
}



/* find-last-node-extern2732 */
obj_t BGl_findzd2lastzd2nodezd2extern2732zd2zztrace_walkz00(obj_t BgL_envz00_4152, obj_t BgL_nodez00_4153)
{ AN_OBJECT;
{ /* Trace/walk.scm 165 */
{ 
BgL_externz00_bglt BgL_nodez00_1887;
BgL_nodez00_1887 = 
(BgL_externz00_bglt)(BgL_nodez00_4153); 
{ /* Trace/walk.scm 167 */
bool_t BgL_testz00_5776;
{ /* Trace/walk.scm 167 */
obj_t BgL_auxz00_5777;
BgL_auxz00_5777 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_1887))->BgL_exprza2za2); 
BgL_testz00_5776 = 
PAIRP(BgL_auxz00_5777); } 
if(BgL_testz00_5776)
{ /* Trace/walk.scm 168 */
BgL_nodez00_bglt BgL_nodez00_3001;
{ /* Trace/walk.scm 168 */
obj_t BgL_auxz00_5780;
{ /* Trace/walk.scm 168 */
obj_t BgL_auxz00_5781;
BgL_auxz00_5781 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1887))->BgL_exprza2za2)); 
BgL_auxz00_5780 = 
CAR(BgL_auxz00_5781); } 
BgL_nodez00_3001 = 
(BgL_nodez00_bglt)(BgL_auxz00_5780); } 
{ /* Trace/walk.scm 168 */
obj_t BgL_method2721z00_3002;
{ /* Trace/walk.scm 168 */
long BgL_objzd2classzd2numz00_3004;
{ /* Trace/walk.scm 168 */
BgL_objectz00_bglt BgL_auxz00_5786;
BgL_auxz00_5786 = 
(BgL_objectz00_bglt)(BgL_nodez00_3001); 
BgL_objzd2classzd2numz00_3004 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5786); } 
{ /* Trace/walk.scm 168 */
obj_t BgL_arg1221z00_3005;
{ /* Trace/walk.scm 168 */
int BgL_auxz00_5789;
BgL_auxz00_5789 = 
(int)(((long)1)); 
BgL_arg1221z00_3005 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5789); } 
{ /* Trace/walk.scm 168 */
long BgL_offsetz00_3009;
{ /* Trace/walk.scm 168 */
long BgL_auxz00_5792;
{ /* Trace/walk.scm 168 */
int BgL_auxz00_5793;
BgL_auxz00_5793 = 
(int)(BgL_objzd2classzd2numz00_3004); 
BgL_auxz00_5792 = 
(long)(BgL_auxz00_5793); } 
BgL_offsetz00_3009 = 
(BgL_auxz00_5792-OBJECT_TYPE); } 
{ /* Trace/walk.scm 168 */
long BgL_modz00_3010;
{ /* Trace/walk.scm 168 */
long BgL_auxz00_5797;
{ /* Trace/walk.scm 168 */
int BgL_auxz00_5798;
BgL_auxz00_5798 = 
(int)(((long)8)); 
BgL_auxz00_5797 = 
(long)(BgL_auxz00_5798); } 
BgL_modz00_3010 = 
(BgL_offsetz00_3009/BgL_auxz00_5797); } 
{ /* Trace/walk.scm 168 */
long BgL_restz00_3012;
{ /* Trace/walk.scm 168 */
long BgL_auxz00_5802;
{ /* Trace/walk.scm 168 */
int BgL_auxz00_5803;
BgL_auxz00_5803 = 
(int)(((long)8)); 
BgL_auxz00_5802 = 
(long)(BgL_auxz00_5803); } 
BgL_restz00_3012 = 
(BgL_offsetz00_3009%BgL_auxz00_5802); } 
{ /* Trace/walk.scm 168 */

{ /* Trace/walk.scm 168 */
obj_t BgL_bucketz00_3014;
{ /* Trace/walk.scm 168 */
int BgL_kz00_3024;
BgL_kz00_3024 = 
(int)(BgL_modz00_3010); 
BgL_bucketz00_3014 = 
VECTOR_REF(BgL_arg1221z00_3005,BgL_kz00_3024); } 
{ /* Trace/walk.scm 168 */
int BgL_kz00_3026;
BgL_kz00_3026 = 
(int)(BgL_restz00_3012); 
BgL_method2721z00_3002 = 
VECTOR_REF(BgL_bucketz00_3014,BgL_kz00_3026); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3002)(BgL_method2721z00_3002, 
(obj_t)(BgL_nodez00_3001), BEOA);} }  else 
{ /* Trace/walk.scm 167 */
return 
(obj_t)(BgL_nodez00_1887);} } } } 
}



/* find-last-node-funcall2730 */
obj_t BGl_findzd2lastzd2nodezd2funcall2730zd2zztrace_walkz00(obj_t BgL_envz00_4154, obj_t BgL_nodez00_4155)
{ AN_OBJECT;
{ /* Trace/walk.scm 156 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1875;
BgL_nodez00_1875 = 
(BgL_funcallz00_bglt)(BgL_nodez00_4155); 
{ /* Trace/walk.scm 158 */
bool_t BgL_testz00_5816;
{ /* Trace/walk.scm 158 */
obj_t BgL_auxz00_5817;
BgL_auxz00_5817 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1875))->BgL_argsz00); 
BgL_testz00_5816 = 
PAIRP(BgL_auxz00_5817); } 
if(BgL_testz00_5816)
{ /* Trace/walk.scm 159 */
BgL_nodez00_bglt BgL_nodez00_2944;
{ /* Trace/walk.scm 159 */
obj_t BgL_auxz00_5820;
{ /* Trace/walk.scm 159 */
obj_t BgL_auxz00_5821;
BgL_auxz00_5821 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1875))->BgL_argsz00)); 
BgL_auxz00_5820 = 
CAR(BgL_auxz00_5821); } 
BgL_nodez00_2944 = 
(BgL_nodez00_bglt)(BgL_auxz00_5820); } 
{ /* Trace/walk.scm 159 */
obj_t BgL_method2721z00_2945;
{ /* Trace/walk.scm 159 */
long BgL_objzd2classzd2numz00_2947;
{ /* Trace/walk.scm 159 */
BgL_objectz00_bglt BgL_auxz00_5826;
BgL_auxz00_5826 = 
(BgL_objectz00_bglt)(BgL_nodez00_2944); 
BgL_objzd2classzd2numz00_2947 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5826); } 
{ /* Trace/walk.scm 159 */
obj_t BgL_arg1221z00_2948;
{ /* Trace/walk.scm 159 */
int BgL_auxz00_5829;
BgL_auxz00_5829 = 
(int)(((long)1)); 
BgL_arg1221z00_2948 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5829); } 
{ /* Trace/walk.scm 159 */
long BgL_offsetz00_2952;
{ /* Trace/walk.scm 159 */
long BgL_auxz00_5832;
{ /* Trace/walk.scm 159 */
int BgL_auxz00_5833;
BgL_auxz00_5833 = 
(int)(BgL_objzd2classzd2numz00_2947); 
BgL_auxz00_5832 = 
(long)(BgL_auxz00_5833); } 
BgL_offsetz00_2952 = 
(BgL_auxz00_5832-OBJECT_TYPE); } 
{ /* Trace/walk.scm 159 */
long BgL_modz00_2953;
{ /* Trace/walk.scm 159 */
long BgL_auxz00_5837;
{ /* Trace/walk.scm 159 */
int BgL_auxz00_5838;
BgL_auxz00_5838 = 
(int)(((long)8)); 
BgL_auxz00_5837 = 
(long)(BgL_auxz00_5838); } 
BgL_modz00_2953 = 
(BgL_offsetz00_2952/BgL_auxz00_5837); } 
{ /* Trace/walk.scm 159 */
long BgL_restz00_2955;
{ /* Trace/walk.scm 159 */
long BgL_auxz00_5842;
{ /* Trace/walk.scm 159 */
int BgL_auxz00_5843;
BgL_auxz00_5843 = 
(int)(((long)8)); 
BgL_auxz00_5842 = 
(long)(BgL_auxz00_5843); } 
BgL_restz00_2955 = 
(BgL_offsetz00_2952%BgL_auxz00_5842); } 
{ /* Trace/walk.scm 159 */

{ /* Trace/walk.scm 159 */
obj_t BgL_bucketz00_2957;
{ /* Trace/walk.scm 159 */
int BgL_kz00_2967;
BgL_kz00_2967 = 
(int)(BgL_modz00_2953); 
BgL_bucketz00_2957 = 
VECTOR_REF(BgL_arg1221z00_2948,BgL_kz00_2967); } 
{ /* Trace/walk.scm 159 */
int BgL_kz00_2969;
BgL_kz00_2969 = 
(int)(BgL_restz00_2955); 
BgL_method2721z00_2945 = 
VECTOR_REF(BgL_bucketz00_2957,BgL_kz00_2969); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_2945)(BgL_method2721z00_2945, 
(obj_t)(BgL_nodez00_2944), BEOA);} }  else 
{ /* Trace/walk.scm 160 */
BgL_nodez00_bglt BgL_arg2987z00_1883;
BgL_arg2987z00_1883 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1875))->BgL_funz00); 
{ /* Trace/walk.scm 160 */
obj_t BgL_method2721z00_2972;
{ /* Trace/walk.scm 160 */
long BgL_objzd2classzd2numz00_2974;
{ /* Trace/walk.scm 160 */
BgL_objectz00_bglt BgL_auxz00_5855;
BgL_auxz00_5855 = 
(BgL_objectz00_bglt)(BgL_arg2987z00_1883); 
BgL_objzd2classzd2numz00_2974 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5855); } 
{ /* Trace/walk.scm 160 */
obj_t BgL_arg1221z00_2975;
{ /* Trace/walk.scm 160 */
int BgL_auxz00_5858;
BgL_auxz00_5858 = 
(int)(((long)1)); 
BgL_arg1221z00_2975 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5858); } 
{ /* Trace/walk.scm 160 */
long BgL_offsetz00_2979;
{ /* Trace/walk.scm 160 */
long BgL_auxz00_5861;
{ /* Trace/walk.scm 160 */
int BgL_auxz00_5862;
BgL_auxz00_5862 = 
(int)(BgL_objzd2classzd2numz00_2974); 
BgL_auxz00_5861 = 
(long)(BgL_auxz00_5862); } 
BgL_offsetz00_2979 = 
(BgL_auxz00_5861-OBJECT_TYPE); } 
{ /* Trace/walk.scm 160 */
long BgL_modz00_2980;
{ /* Trace/walk.scm 160 */
long BgL_auxz00_5866;
{ /* Trace/walk.scm 160 */
int BgL_auxz00_5867;
BgL_auxz00_5867 = 
(int)(((long)8)); 
BgL_auxz00_5866 = 
(long)(BgL_auxz00_5867); } 
BgL_modz00_2980 = 
(BgL_offsetz00_2979/BgL_auxz00_5866); } 
{ /* Trace/walk.scm 160 */
long BgL_restz00_2982;
{ /* Trace/walk.scm 160 */
long BgL_auxz00_5871;
{ /* Trace/walk.scm 160 */
int BgL_auxz00_5872;
BgL_auxz00_5872 = 
(int)(((long)8)); 
BgL_auxz00_5871 = 
(long)(BgL_auxz00_5872); } 
BgL_restz00_2982 = 
(BgL_offsetz00_2979%BgL_auxz00_5871); } 
{ /* Trace/walk.scm 160 */

{ /* Trace/walk.scm 160 */
obj_t BgL_bucketz00_2984;
{ /* Trace/walk.scm 160 */
int BgL_kz00_2994;
BgL_kz00_2994 = 
(int)(BgL_modz00_2980); 
BgL_bucketz00_2984 = 
VECTOR_REF(BgL_arg1221z00_2975,BgL_kz00_2994); } 
{ /* Trace/walk.scm 160 */
int BgL_kz00_2996;
BgL_kz00_2996 = 
(int)(BgL_restz00_2982); 
BgL_method2721z00_2972 = 
VECTOR_REF(BgL_bucketz00_2984,BgL_kz00_2996); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_2972)(BgL_method2721z00_2972, 
(obj_t)(BgL_arg2987z00_1883), BEOA);} } } } } 
}



/* find-last-node-app-ly2727 */
obj_t BGl_findzd2lastzd2nodezd2appzd2ly2727z00zztrace_walkz00(obj_t BgL_envz00_4156, obj_t BgL_nodez00_4157)
{ AN_OBJECT;
{ /* Trace/walk.scm 150 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1869;
BgL_nodez00_1869 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_4157); 
{ /* Trace/walk.scm 151 */
BgL_nodez00_bglt BgL_arg2981z00_2912;
BgL_arg2981z00_2912 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1869))->BgL_argz00); 
{ /* Trace/walk.scm 151 */
obj_t BgL_method2721z00_2915;
{ /* Trace/walk.scm 151 */
long BgL_objzd2classzd2numz00_2917;
{ /* Trace/walk.scm 151 */
BgL_objectz00_bglt BgL_auxz00_5885;
BgL_auxz00_5885 = 
(BgL_objectz00_bglt)(BgL_arg2981z00_2912); 
BgL_objzd2classzd2numz00_2917 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5885); } 
{ /* Trace/walk.scm 151 */
obj_t BgL_arg1221z00_2918;
{ /* Trace/walk.scm 151 */
int BgL_auxz00_5888;
BgL_auxz00_5888 = 
(int)(((long)1)); 
BgL_arg1221z00_2918 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5888); } 
{ /* Trace/walk.scm 151 */
long BgL_offsetz00_2922;
{ /* Trace/walk.scm 151 */
long BgL_auxz00_5891;
{ /* Trace/walk.scm 151 */
int BgL_auxz00_5892;
BgL_auxz00_5892 = 
(int)(BgL_objzd2classzd2numz00_2917); 
BgL_auxz00_5891 = 
(long)(BgL_auxz00_5892); } 
BgL_offsetz00_2922 = 
(BgL_auxz00_5891-OBJECT_TYPE); } 
{ /* Trace/walk.scm 151 */
long BgL_modz00_2923;
{ /* Trace/walk.scm 151 */
long BgL_auxz00_5896;
{ /* Trace/walk.scm 151 */
int BgL_auxz00_5897;
BgL_auxz00_5897 = 
(int)(((long)8)); 
BgL_auxz00_5896 = 
(long)(BgL_auxz00_5897); } 
BgL_modz00_2923 = 
(BgL_offsetz00_2922/BgL_auxz00_5896); } 
{ /* Trace/walk.scm 151 */
long BgL_restz00_2925;
{ /* Trace/walk.scm 151 */
long BgL_auxz00_5901;
{ /* Trace/walk.scm 151 */
int BgL_auxz00_5902;
BgL_auxz00_5902 = 
(int)(((long)8)); 
BgL_auxz00_5901 = 
(long)(BgL_auxz00_5902); } 
BgL_restz00_2925 = 
(BgL_offsetz00_2922%BgL_auxz00_5901); } 
{ /* Trace/walk.scm 151 */

{ /* Trace/walk.scm 151 */
obj_t BgL_bucketz00_2927;
{ /* Trace/walk.scm 151 */
int BgL_kz00_2937;
BgL_kz00_2937 = 
(int)(BgL_modz00_2923); 
BgL_bucketz00_2927 = 
VECTOR_REF(BgL_arg1221z00_2918,BgL_kz00_2937); } 
{ /* Trace/walk.scm 151 */
int BgL_kz00_2939;
BgL_kz00_2939 = 
(int)(BgL_restz00_2925); 
BgL_method2721z00_2915 = 
VECTOR_REF(BgL_bucketz00_2927,BgL_kz00_2939); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_2915)(BgL_method2721z00_2915, 
(obj_t)(BgL_arg2981z00_2912), BEOA);} } } } 
}



/* find-last-node-app2725 */
obj_t BGl_findzd2lastzd2nodezd2app2725zd2zztrace_walkz00(obj_t BgL_envz00_4158, obj_t BgL_nodez00_4159)
{ AN_OBJECT;
{ /* Trace/walk.scm 141 */
{ 
BgL_appz00_bglt BgL_nodez00_1858;
BgL_nodez00_1858 = 
(BgL_appz00_bglt)(BgL_nodez00_4159); 
{ /* Trace/walk.scm 143 */
bool_t BgL_testz00_5914;
{ /* Trace/walk.scm 143 */
obj_t BgL_auxz00_5915;
BgL_auxz00_5915 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1858))->BgL_argsz00); 
BgL_testz00_5914 = 
PAIRP(BgL_auxz00_5915); } 
if(BgL_testz00_5914)
{ /* Trace/walk.scm 144 */
BgL_nodez00_bglt BgL_nodez00_2886;
{ /* Trace/walk.scm 144 */
obj_t BgL_auxz00_5918;
{ /* Trace/walk.scm 144 */
obj_t BgL_auxz00_5919;
BgL_auxz00_5919 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1858))->BgL_argsz00)); 
BgL_auxz00_5918 = 
CAR(BgL_auxz00_5919); } 
BgL_nodez00_2886 = 
(BgL_nodez00_bglt)(BgL_auxz00_5918); } 
{ /* Trace/walk.scm 144 */
obj_t BgL_method2721z00_2887;
{ /* Trace/walk.scm 144 */
long BgL_objzd2classzd2numz00_2889;
{ /* Trace/walk.scm 144 */
BgL_objectz00_bglt BgL_auxz00_5924;
BgL_auxz00_5924 = 
(BgL_objectz00_bglt)(BgL_nodez00_2886); 
BgL_objzd2classzd2numz00_2889 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5924); } 
{ /* Trace/walk.scm 144 */
obj_t BgL_arg1221z00_2890;
{ /* Trace/walk.scm 144 */
int BgL_auxz00_5927;
BgL_auxz00_5927 = 
(int)(((long)1)); 
BgL_arg1221z00_2890 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5927); } 
{ /* Trace/walk.scm 144 */
long BgL_offsetz00_2894;
{ /* Trace/walk.scm 144 */
long BgL_auxz00_5930;
{ /* Trace/walk.scm 144 */
int BgL_auxz00_5931;
BgL_auxz00_5931 = 
(int)(BgL_objzd2classzd2numz00_2889); 
BgL_auxz00_5930 = 
(long)(BgL_auxz00_5931); } 
BgL_offsetz00_2894 = 
(BgL_auxz00_5930-OBJECT_TYPE); } 
{ /* Trace/walk.scm 144 */
long BgL_modz00_2895;
{ /* Trace/walk.scm 144 */
long BgL_auxz00_5935;
{ /* Trace/walk.scm 144 */
int BgL_auxz00_5936;
BgL_auxz00_5936 = 
(int)(((long)8)); 
BgL_auxz00_5935 = 
(long)(BgL_auxz00_5936); } 
BgL_modz00_2895 = 
(BgL_offsetz00_2894/BgL_auxz00_5935); } 
{ /* Trace/walk.scm 144 */
long BgL_restz00_2897;
{ /* Trace/walk.scm 144 */
long BgL_auxz00_5940;
{ /* Trace/walk.scm 144 */
int BgL_auxz00_5941;
BgL_auxz00_5941 = 
(int)(((long)8)); 
BgL_auxz00_5940 = 
(long)(BgL_auxz00_5941); } 
BgL_restz00_2897 = 
(BgL_offsetz00_2894%BgL_auxz00_5940); } 
{ /* Trace/walk.scm 144 */

{ /* Trace/walk.scm 144 */
obj_t BgL_bucketz00_2899;
{ /* Trace/walk.scm 144 */
int BgL_kz00_2909;
BgL_kz00_2909 = 
(int)(BgL_modz00_2895); 
BgL_bucketz00_2899 = 
VECTOR_REF(BgL_arg1221z00_2890,BgL_kz00_2909); } 
{ /* Trace/walk.scm 144 */
int BgL_kz00_2911;
BgL_kz00_2911 = 
(int)(BgL_restz00_2897); 
BgL_method2721z00_2887 = 
VECTOR_REF(BgL_bucketz00_2899,BgL_kz00_2911); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_2887)(BgL_method2721z00_2887, 
(obj_t)(BgL_nodez00_2886), BEOA);} }  else 
{ /* Trace/walk.scm 143 */
return 
(obj_t)(BgL_nodez00_1858);} } } } 
}



/* find-last-node-sequence2723 */
obj_t BGl_findzd2lastzd2nodezd2sequence2723zd2zztrace_walkz00(obj_t BgL_envz00_4160, obj_t BgL_nodez00_4161)
{ AN_OBJECT;
{ /* Trace/walk.scm 132 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1847;
BgL_nodez00_1847 = 
(BgL_sequencez00_bglt)(BgL_nodez00_4161); 
{ /* Trace/walk.scm 134 */
bool_t BgL_testz00_5954;
{ /* Trace/walk.scm 134 */
obj_t BgL_auxz00_5955;
BgL_auxz00_5955 = 
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1847))->BgL_nodesz00); 
BgL_testz00_5954 = 
PAIRP(BgL_auxz00_5955); } 
if(BgL_testz00_5954)
{ /* Trace/walk.scm 135 */
BgL_nodez00_bglt BgL_nodez00_2856;
{ /* Trace/walk.scm 135 */
obj_t BgL_auxz00_5958;
{ /* Trace/walk.scm 135 */
obj_t BgL_auxz00_5959;
BgL_auxz00_5959 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1847))->BgL_nodesz00)); 
BgL_auxz00_5958 = 
CAR(BgL_auxz00_5959); } 
BgL_nodez00_2856 = 
(BgL_nodez00_bglt)(BgL_auxz00_5958); } 
{ /* Trace/walk.scm 135 */
obj_t BgL_method2721z00_2857;
{ /* Trace/walk.scm 135 */
long BgL_objzd2classzd2numz00_2859;
{ /* Trace/walk.scm 135 */
BgL_objectz00_bglt BgL_auxz00_5964;
BgL_auxz00_5964 = 
(BgL_objectz00_bglt)(BgL_nodez00_2856); 
BgL_objzd2classzd2numz00_2859 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5964); } 
{ /* Trace/walk.scm 135 */
obj_t BgL_arg1221z00_2860;
{ /* Trace/walk.scm 135 */
int BgL_auxz00_5967;
BgL_auxz00_5967 = 
(int)(((long)1)); 
BgL_arg1221z00_2860 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5967); } 
{ /* Trace/walk.scm 135 */
long BgL_offsetz00_2864;
{ /* Trace/walk.scm 135 */
long BgL_auxz00_5970;
{ /* Trace/walk.scm 135 */
int BgL_auxz00_5971;
BgL_auxz00_5971 = 
(int)(BgL_objzd2classzd2numz00_2859); 
BgL_auxz00_5970 = 
(long)(BgL_auxz00_5971); } 
BgL_offsetz00_2864 = 
(BgL_auxz00_5970-OBJECT_TYPE); } 
{ /* Trace/walk.scm 135 */
long BgL_modz00_2865;
{ /* Trace/walk.scm 135 */
long BgL_auxz00_5975;
{ /* Trace/walk.scm 135 */
int BgL_auxz00_5976;
BgL_auxz00_5976 = 
(int)(((long)8)); 
BgL_auxz00_5975 = 
(long)(BgL_auxz00_5976); } 
BgL_modz00_2865 = 
(BgL_offsetz00_2864/BgL_auxz00_5975); } 
{ /* Trace/walk.scm 135 */
long BgL_restz00_2867;
{ /* Trace/walk.scm 135 */
long BgL_auxz00_5980;
{ /* Trace/walk.scm 135 */
int BgL_auxz00_5981;
BgL_auxz00_5981 = 
(int)(((long)8)); 
BgL_auxz00_5980 = 
(long)(BgL_auxz00_5981); } 
BgL_restz00_2867 = 
(BgL_offsetz00_2864%BgL_auxz00_5980); } 
{ /* Trace/walk.scm 135 */

{ /* Trace/walk.scm 135 */
obj_t BgL_bucketz00_2869;
{ /* Trace/walk.scm 135 */
int BgL_kz00_2879;
BgL_kz00_2879 = 
(int)(BgL_modz00_2865); 
BgL_bucketz00_2869 = 
VECTOR_REF(BgL_arg1221z00_2860,BgL_kz00_2879); } 
{ /* Trace/walk.scm 135 */
int BgL_kz00_2881;
BgL_kz00_2881 = 
(int)(BgL_restz00_2867); 
BgL_method2721z00_2857 = 
VECTOR_REF(BgL_bucketz00_2869,BgL_kz00_2881); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_2857)(BgL_method2721z00_2857, 
(obj_t)(BgL_nodez00_2856), BEOA);} }  else 
{ /* Trace/walk.scm 134 */
return 
(obj_t)(BgL_nodez00_1847);} } } } 
}



/* find-last-node */
obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
{ AN_OBJECT;
{ /* Trace/walk.scm 126 */
{ /* Trace/walk.scm 126 */
obj_t BgL_method2721z00_3983;
{ /* Trace/walk.scm 126 */
long BgL_objzd2classzd2numz00_3985;
{ /* Trace/walk.scm 126 */
BgL_objectz00_bglt BgL_auxz00_5994;
BgL_auxz00_5994 = 
(BgL_objectz00_bglt)(BgL_nodez00_19); 
BgL_objzd2classzd2numz00_3985 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5994); } 
{ /* Trace/walk.scm 126 */
obj_t BgL_arg1221z00_3986;
{ /* Trace/walk.scm 126 */
int BgL_auxz00_5997;
BgL_auxz00_5997 = 
(int)(((long)1)); 
BgL_arg1221z00_3986 = 
PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_5997); } 
{ /* Trace/walk.scm 126 */
long BgL_offsetz00_3990;
{ /* Trace/walk.scm 126 */
long BgL_auxz00_6000;
{ /* Trace/walk.scm 126 */
int BgL_auxz00_6001;
BgL_auxz00_6001 = 
(int)(BgL_objzd2classzd2numz00_3985); 
BgL_auxz00_6000 = 
(long)(BgL_auxz00_6001); } 
BgL_offsetz00_3990 = 
(BgL_auxz00_6000-OBJECT_TYPE); } 
{ /* Trace/walk.scm 126 */
long BgL_modz00_3991;
{ /* Trace/walk.scm 126 */
long BgL_auxz00_6005;
{ /* Trace/walk.scm 126 */
int BgL_auxz00_6006;
BgL_auxz00_6006 = 
(int)(((long)8)); 
BgL_auxz00_6005 = 
(long)(BgL_auxz00_6006); } 
BgL_modz00_3991 = 
(BgL_offsetz00_3990/BgL_auxz00_6005); } 
{ /* Trace/walk.scm 126 */
long BgL_restz00_3993;
{ /* Trace/walk.scm 126 */
long BgL_auxz00_6010;
{ /* Trace/walk.scm 126 */
int BgL_auxz00_6011;
BgL_auxz00_6011 = 
(int)(((long)8)); 
BgL_auxz00_6010 = 
(long)(BgL_auxz00_6011); } 
BgL_restz00_3993 = 
(BgL_offsetz00_3990%BgL_auxz00_6010); } 
{ /* Trace/walk.scm 126 */

{ /* Trace/walk.scm 126 */
obj_t BgL_bucketz00_3995;
{ /* Trace/walk.scm 126 */
int BgL_kz00_4005;
BgL_kz00_4005 = 
(int)(BgL_modz00_3991); 
BgL_bucketz00_3995 = 
VECTOR_REF(BgL_arg1221z00_3986,BgL_kz00_4005); } 
{ /* Trace/walk.scm 126 */
int BgL_kz00_4007;
BgL_kz00_4007 = 
(int)(BgL_restz00_3993); 
BgL_method2721z00_3983 = 
VECTOR_REF(BgL_bucketz00_3995,BgL_kz00_4007); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2721z00_3983)(BgL_method2721z00_3983, 
(obj_t)(BgL_nodez00_19), BEOA);} } 
}



/* _find-last-node */
obj_t BGl__findzd2lastzd2nodez00zztrace_walkz00(obj_t BgL_envz00_4062, obj_t BgL_nodez00_4063)
{ AN_OBJECT;
{ /* Trace/walk.scm 126 */
return 
BGl_findzd2lastzd2nodez00zztrace_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_4063));} 
}



/* find-last-node-default2720 */
BgL_nodez00_bglt BGl_findzd2lastzd2nodezd2default2720zd2zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_20)
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
return BgL_nodez00_20;} 
}



/* _find-last-node-default2720 */
obj_t BGl__findzd2lastzd2nodezd2default2720zd2zztrace_walkz00(obj_t BgL_envz00_4162, obj_t BgL_nodez00_4163)
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
{ /* Trace/walk.scm 15 */
BgL_nodez00_bglt BgL_auxz00_6024;
BgL_auxz00_6024 = 
BGl_findzd2lastzd2nodezd2default2720zd2zztrace_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_4163)); 
return 
(obj_t)(BgL_auxz00_6024);} } 
}



/* trace-node */
BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_38)
{ AN_OBJECT;
{ /* Trace/walk.scm 253 */
{ /* Trace/walk.scm 253 */
obj_t BgL_method2750z00_4008;
{ /* Trace/walk.scm 253 */
long BgL_objzd2classzd2numz00_4010;
{ /* Trace/walk.scm 253 */
BgL_objectz00_bglt BgL_auxz00_6028;
BgL_auxz00_6028 = 
(BgL_objectz00_bglt)(BgL_nodez00_38); 
BgL_objzd2classzd2numz00_4010 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6028); } 
{ /* Trace/walk.scm 253 */
obj_t BgL_arg1221z00_4011;
{ /* Trace/walk.scm 253 */
int BgL_auxz00_6031;
BgL_auxz00_6031 = 
(int)(((long)1)); 
BgL_arg1221z00_4011 = 
PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00, BgL_auxz00_6031); } 
{ /* Trace/walk.scm 253 */
long BgL_offsetz00_4015;
{ /* Trace/walk.scm 253 */
long BgL_auxz00_6034;
{ /* Trace/walk.scm 253 */
int BgL_auxz00_6035;
BgL_auxz00_6035 = 
(int)(BgL_objzd2classzd2numz00_4010); 
BgL_auxz00_6034 = 
(long)(BgL_auxz00_6035); } 
BgL_offsetz00_4015 = 
(BgL_auxz00_6034-OBJECT_TYPE); } 
{ /* Trace/walk.scm 253 */
long BgL_modz00_4016;
{ /* Trace/walk.scm 253 */
long BgL_auxz00_6039;
{ /* Trace/walk.scm 253 */
int BgL_auxz00_6040;
BgL_auxz00_6040 = 
(int)(((long)8)); 
BgL_auxz00_6039 = 
(long)(BgL_auxz00_6040); } 
BgL_modz00_4016 = 
(BgL_offsetz00_4015/BgL_auxz00_6039); } 
{ /* Trace/walk.scm 253 */
long BgL_restz00_4018;
{ /* Trace/walk.scm 253 */
long BgL_auxz00_6044;
{ /* Trace/walk.scm 253 */
int BgL_auxz00_6045;
BgL_auxz00_6045 = 
(int)(((long)8)); 
BgL_auxz00_6044 = 
(long)(BgL_auxz00_6045); } 
BgL_restz00_4018 = 
(BgL_offsetz00_4015%BgL_auxz00_6044); } 
{ /* Trace/walk.scm 253 */

{ /* Trace/walk.scm 253 */
obj_t BgL_bucketz00_4020;
{ /* Trace/walk.scm 253 */
int BgL_kz00_4030;
BgL_kz00_4030 = 
(int)(BgL_modz00_4016); 
BgL_bucketz00_4020 = 
VECTOR_REF(BgL_arg1221z00_4011,BgL_kz00_4030); } 
{ /* Trace/walk.scm 253 */
int BgL_kz00_4032;
BgL_kz00_4032 = 
(int)(BgL_restz00_4018); 
BgL_method2750z00_4008 = 
VECTOR_REF(BgL_bucketz00_4020,BgL_kz00_4032); } } } } } } } } 
{ /* Trace/walk.scm 253 */
obj_t BgL_auxz00_6053;
BgL_auxz00_6053 = 
PROCEDURE_ENTRY(BgL_method2750z00_4008)(BgL_method2750z00_4008, 
(obj_t)(BgL_nodez00_38), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_6053);} } } 
}



/* _trace-node */
obj_t BGl__tracezd2nodezd2zztrace_walkz00(obj_t BgL_envz00_4064, obj_t BgL_nodez00_4065)
{ AN_OBJECT;
{ /* Trace/walk.scm 253 */
{ /* Trace/walk.scm 253 */
BgL_nodez00_bglt BgL_auxz00_6058;
BgL_auxz00_6058 = 
BGl_tracezd2nodezd2zztrace_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_4065)); 
return 
(obj_t)(BgL_auxz00_6058);} } 
}



/* trace-node-default2749 */
BgL_nodez00_bglt BGl_tracezd2nodezd2default2749z00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_39)
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
return BgL_nodez00_39;} 
}



/* _trace-node-default2749 */
obj_t BGl__tracezd2nodezd2default2749z00zztrace_walkz00(obj_t BgL_envz00_4164, obj_t BgL_nodez00_4165)
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
{ /* Trace/walk.scm 15 */
BgL_nodez00_bglt BgL_auxz00_6062;
BgL_auxz00_6062 = 
BGl_tracezd2nodezd2default2749z00zztrace_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_4165)); 
return 
(obj_t)(BgL_auxz00_6062);} } 
}



/* toplevel-trace-node */
BgL_nodez00_bglt BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_58)
{ AN_OBJECT;
{ /* Trace/walk.scm 412 */
{ /* Trace/walk.scm 412 */
obj_t BgL_method2786z00_4033;
{ /* Trace/walk.scm 412 */
long BgL_objzd2classzd2numz00_4035;
{ /* Trace/walk.scm 412 */
BgL_objectz00_bglt BgL_auxz00_6066;
BgL_auxz00_6066 = 
(BgL_objectz00_bglt)(BgL_nodez00_58); 
BgL_objzd2classzd2numz00_4035 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_6066); } 
{ /* Trace/walk.scm 412 */
obj_t BgL_arg1221z00_4036;
{ /* Trace/walk.scm 412 */
int BgL_auxz00_6069;
BgL_auxz00_6069 = 
(int)(((long)1)); 
BgL_arg1221z00_4036 = 
PROCEDURE_REF(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00, BgL_auxz00_6069); } 
{ /* Trace/walk.scm 412 */
long BgL_offsetz00_4040;
{ /* Trace/walk.scm 412 */
long BgL_auxz00_6072;
{ /* Trace/walk.scm 412 */
int BgL_auxz00_6073;
BgL_auxz00_6073 = 
(int)(BgL_objzd2classzd2numz00_4035); 
BgL_auxz00_6072 = 
(long)(BgL_auxz00_6073); } 
BgL_offsetz00_4040 = 
(BgL_auxz00_6072-OBJECT_TYPE); } 
{ /* Trace/walk.scm 412 */
long BgL_modz00_4041;
{ /* Trace/walk.scm 412 */
long BgL_auxz00_6077;
{ /* Trace/walk.scm 412 */
int BgL_auxz00_6078;
BgL_auxz00_6078 = 
(int)(((long)8)); 
BgL_auxz00_6077 = 
(long)(BgL_auxz00_6078); } 
BgL_modz00_4041 = 
(BgL_offsetz00_4040/BgL_auxz00_6077); } 
{ /* Trace/walk.scm 412 */
long BgL_restz00_4043;
{ /* Trace/walk.scm 412 */
long BgL_auxz00_6082;
{ /* Trace/walk.scm 412 */
int BgL_auxz00_6083;
BgL_auxz00_6083 = 
(int)(((long)8)); 
BgL_auxz00_6082 = 
(long)(BgL_auxz00_6083); } 
BgL_restz00_4043 = 
(BgL_offsetz00_4040%BgL_auxz00_6082); } 
{ /* Trace/walk.scm 412 */

{ /* Trace/walk.scm 412 */
obj_t BgL_bucketz00_4045;
{ /* Trace/walk.scm 412 */
int BgL_kz00_4055;
BgL_kz00_4055 = 
(int)(BgL_modz00_4041); 
BgL_bucketz00_4045 = 
VECTOR_REF(BgL_arg1221z00_4036,BgL_kz00_4055); } 
{ /* Trace/walk.scm 412 */
int BgL_kz00_4057;
BgL_kz00_4057 = 
(int)(BgL_restz00_4043); 
BgL_method2786z00_4033 = 
VECTOR_REF(BgL_bucketz00_4045,BgL_kz00_4057); } } } } } } } } 
{ /* Trace/walk.scm 412 */
obj_t BgL_auxz00_6091;
BgL_auxz00_6091 = 
PROCEDURE_ENTRY(BgL_method2786z00_4033)(BgL_method2786z00_4033, 
(obj_t)(BgL_nodez00_58), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_6091);} } } 
}



/* _toplevel-trace-node */
obj_t BGl__toplevelzd2tracezd2nodez00zztrace_walkz00(obj_t BgL_envz00_4060, obj_t BgL_nodez00_4061)
{ AN_OBJECT;
{ /* Trace/walk.scm 412 */
{ /* Trace/walk.scm 412 */
BgL_nodez00_bglt BgL_auxz00_6096;
BgL_auxz00_6096 = 
BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_4061)); 
return 
(obj_t)(BgL_auxz00_6096);} } 
}



/* toplevel-trace-node-default2785 */
BgL_nodez00_bglt BGl_toplevelzd2tracezd2nodezd2default2785zd2zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_59)
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
return BgL_nodez00_59;} 
}



/* _toplevel-trace-node-default2785 */
obj_t BGl__toplevelzd2tracezd2nodezd2default2785zd2zztrace_walkz00(obj_t BgL_envz00_4166, obj_t BgL_nodez00_4167)
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
{ /* Trace/walk.scm 15 */
BgL_nodez00_bglt BgL_auxz00_6100;
BgL_auxz00_6100 = 
BGl_toplevelzd2tracezd2nodezd2default2785zd2zztrace_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_4167)); 
return 
(obj_t)(BgL_auxz00_6100);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
{ AN_OBJECT;
{ /* Trace/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "trace_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "trace_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "trace_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "trace_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "trace_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "trace_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "trace_walk"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)44709), "trace_walk"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "trace_walk"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "trace_walk"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "trace_walk"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "trace_walk"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)148013), "trace_walk"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "trace_walk"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "trace_walk");} 
}

